## Décompte

Le petit bout de code JavaScript que j’utilise pour compter le nombre de jours travaillés/facturables à partir de mon journal :

```
;(function displayTotalNumberOfBillableDays() {
    const details = document.querySelectorAll('details')
    Array.from(details).forEach(details => {
        const summary = details.querySelector('summary')
        const articles = details.querySelectorAll('article[data-days]')
        const daysCount = Array.from(articles)
            .map(item => parseFloat(item.getAttribute('data-days')))
            .reduce((a, b) => a + b, 0)
            .toString()
            .replace('.', ',')
        summary.innerHTML = `${summary.innerHTML} (${daysCount} jours)`
    })
})()
```

Cela présuppose une structure du HTML qui ressemble à :

```
<details>
    <summary>Janvier 2020</summary>
    <article data-days="1">
        <p>Cher journal,</p>
    </article>
</details>
```
