## Surlignage

J’ai cédé aux sirènes du surlignage avec l’élément HTML `mark` lors de [la dernière publication](/david/2020/02/14/), c’est un élément qui a l’air d’être populaire auprès des personnes que je suis en ce moment. Il y a des modes comme ça, l’année dernière c’était plutôt `hr` (j’avais cédé aussi !).

Je me suis rendu compte en voulant le styler qu’il pouvait poser des [problèmes d’accessibilité](https://developer.mozilla.org/fr/docs/Web/HTML/Element/mark#Accessibilit%C3%A9), aussi je suis arrivé à la CSS suivante :

```
mark {
 background: LightGoldenRodYellow;
}
mark::before,
mark::after {
  clip-path: inset(100%);
  clip: rect(1px, 1px, 1px, 1px);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}
mark::before {
  content: " [highlight start] ";
}
mark::after {
  content: " [highlight end] ";
}
*[lang=fr] mark::before {
  content: " [début du surlignage] ";
}
*[lang=fr] mark::after {
  content: " [fin du surlignage] ";
}
```

En espérant que cela puisse servir à d’autres. Si vous utilisez un lecteur d’écran je serais curieux de savoir si cela vous est utile.

---

Note : je trouve que la balise `mark` est pertinente pour pointer un court passage dans une citation plus longue, et comme je fais pas mal de citations je compte m’en servir par la suite. J’espère que les styles par défaut de votre [agrégateur](/david/blog/2019/flux-rss/) ne sont pas trop agressifs…
