# Holisme écologique

> Il devint clair pour moi que c’était l’*unité* de mes opinions — leur ==holisme écologique==, pas seulement leurs composantes individuelles — qui leur donnait une force radicale. Qu’une société soit décentralisée, qu’elle utilise l’énergie solaire ou éolienne, qu’elle cultive biologiquement ou qu’elle réduise la pollution : aucune de ces mesures à elle seule ou même en association limitée ne fait une société écologique. Pas plus que des étapes fragmentaires, même bien intentionnées, ne résolvent même partiellement des problèmes qui ont atteint un caractère universel, global et catastrophique. Au contraire, des « solutions » partielles servent seulement de cosmétique pour dissimuler la nature profonde de la crise écologique. Elles détournent ainsi l’attention publique et la connaissance théorique d’une compréhension adéquate de la profondeur et de l’étendue des changements nécessaires.
>
> <cite>*L’écologie sociale*, Murray Bookchin</cite>

Suite de mes [aventures](/david/stream/2018/09/03/) pour réduire ma consommation d’animaux tués pour mon plaisir. **Pour essayer de former un tout cohérent dans mes comportements autour du vivant.** Il me reste encore quelques points de friction tenaces :

1. Réduire ma consommation d’œufs : difficile pour l’instant car c’est ma principale source d’acides aminés essentiels et j’ai la croyance que je n’ai pas trop à me soucier de prendre des compléments dans cette situation. À creuser, c’est probablement faux et j’ai peut-être d’autres carences comme la vitamine B12 même si je fais attention.
2. Statuer sur la laine et la fourrure/cuir : il faudrait que je fasse un article complet sur les bienfaits de la laine lorsqu’on passe du temps en forêt et la fourrure est culturellement très ancrée par ici. Je m’auto-convaincs que l’utilisation des chutes issues de la chasse par les Premières Nations est un moindre mal mais ça ne va pas tenir bien longtemps.
3. Et la pêche ?! Ce qui est rassurant c’est que je n’ai pas réussi à me nourrir de plus de 5 poissons depuis que je suis au Canada :D. Et je dois avouer que la mise à mort de ma dernière « prise » a été difficile à accepter. Suffisamment pour que [le doute](/david/blog/2018/bivouac-automnal/) se fasse de plus en plus insistant. J’ai maintenant [une autre](/david/2020/10/28/) [source d’occupation](/david/stream/2019/07/30/).

Pourquoi en parler aujourd’hui ? Rien à voir avec une éventuelle résolution mais la conjonction de plusieurs lectures simultanées :

1. Le fait que la Covid a probablement [pour origine les élevages produisant de la fourrure](https://reporterre.net/Les-elevages-de-visons-en-Chine-a-l-origine-du-Covid-19-Les-indices-s-accumulent) ([cache](/david/cache/2021/22172cf6d8f4f1e910ed6599b3557c8a/)) ce qui m’a renvoyé vers [ce document](https://www.actasia.org/wp-content/uploads/2019/10/China-Fur-Report-7.4-DIGITAL-2.pdf) ([cache](/static/david/2021/china-fur-report.pdf), 6Mo) expliquant la situation en Chine. Au passage, on s’éloigne du récit du pauvre chinois qui est obligé d’aller chasser des animaux sauvages pour manger et qui transmet la maladie ainsi. Dans ce scénario, l’origine de cette maladie devient encore une fois… les riches.
2. Le fait que l’on soit en train d’abattre des centaines de milliers de canards dans le Sud-Ouest français après les avoir torturés afin de lutter contre la « nouvelle » grippe aviaire (il y en aura d’autres, comme les covids). Quel massacre inutile.
3. Mon dégoût de plus en plus prononcé pour la chasse et les [pratiques odieuses](https://reporterre.net/Des-chasseurs-massacrent-sadiquement-des-sangliers-a-l-arme-blanche) ([cache](/david/cache/2021/28242a5ba209770efabfdbe5a6718719/)) des chasseurs. De ce besoin de domination de l’homme sur l’animal et en fait sur tout autre être vivant.

Merci aux personnes qui m’ont fait évoluer au fil des années sur le sujet sans que je sois suffisamment réactif de mon côté, notamment [Emmanuel](http://emmanuel.clement.free.fr/). C’est par petits coups de rame successifs que j’arrive à réajuster le cap. Et par petits exemples que je montre un autre cap possible aux suivant·e·s.

> Rentré au lac, j’attrape mon premier poisson à cinq heure le soir. Un deuxième trois minutes plus tard et un troisième une heure et demie après. Trois ombles vif-argent, électrisés par la colère, luisent sur la glace. La peau est traversée d’impulsions électriques. Je les tue et regarde la plaine en murmurant ces mots de gratitude que les Sibériens adressaient autrefois à la bête qu’ils détruisaient ou au monde qu’ils contribuaient à vider. Dans la société moderne, la taxe carbone remplace ce ==« merci — pardon »==.  
> Le bonheur d’avoir dans son assiette le poisson que l’on a pêché, dans sa tasse l’eau qu’on a tirée et dans son poêle le bois qu’on a fendu : l’ermite puise à la source. La chair, l’eau et le bois sont encore frémissants.
>
> <cite>*[Dans les forêts de Sibérie](/david/2020/12/21/#dans-les-forets-de-siberie)*, Sylvain Tesson</cite>

#transformation #climat #pandémie
