# Biologeek

> I’ve never come across a subject so fractal in its complexity. It reminds me of computing that way. A day of programming might involve constructing an elaborate regular expression, investigating a file descriptor leak, debugging a race condition in the application you just wrote, and thinking through the interface of a module. Everywhere you look—the compiler, the shell, the CPU, the DOM—is an abstraction hiding lifetimes of work. ==Biology is like this, just much, much worse, because living systems aren’t intentionally designed.== It’s all a big slop of global mutable state. Control is achieved by upregulating this thing while turning down the promoter of that thing’s repressor. You think you know how something works—like when I thought I had a handle on the neutrophil, an important front-line player in the innate immune system—only to learn that it comes in several flavors, and more are still being discovered, and some of them seem to do the opposite of the ones you thought you knew. Everything in biology is like this. It’s all exceptions to the rule.
>
> <cite>*[I should have loved biology](https://jsomers.net/i-should-have-loved-biology/)* ([cache](/david/cache/2021/9c9968045ffe697a08dc13df854247f1/))</cite>

Il y a un engouement certain pour la biologie en ce moment et ça me fait plaisir de retomber dans ce domaine en mettant à jour de vieilles connaissances. **Constater les avancées scientifiques en fonction de ses anciennes croyances.** Se dire que tout cela est encore bien vivant… et inconnu !

Quelques articles particulièrement didactiques :

* [comprendre l’ADN](https://berthub.eu/articles/posts/amazing-dna/) ([cache](/david/cache/2021/1cb1c46e0a1adcd0917179a214a16e0a/)) lorsqu’on est un·e développeu·r·se ;
* les [différentes méthodes employées pour créer à un vaccin](https://www.nature.com/articles/d41586-020-01221-y) ([cache](/david/cache/2021/fe75ef80663602733dbe24cc717f257b/)) avec de jolies illustrations ;
* où j’ai appris que [le vaccin Moderna a été créé le 13 janvier… 2020 (!)](https://nymag.com/intelligencer/2020/12/moderna-covid-19-vaccine-design.html) ([cache](/david/cache/2021/30069f97e4aa989a1d89fe8d88538da8/)) et depuis on teste son usage et ses effets secondaires ;
* une [analyse du génome du coronavirus](https://www.nytimes.com/interactive/2020/04/03/science/coronavirus-genome-bad-news-wrapped-in-protein.html) ([cache](/david/cache/2021/cfcd10768187ce1c3e598136cd8838b2/)) séquencée et imagée qui permet de visualiser la forme — et donc la fonction — des protéines ;
* les [différentes mutations du virus](https://graphics.reuters.com/HEALTH-CORONAVIRUS/EVOLUTION/yxmpjqkdzvr/index.html) ([cache](/david/cache/2021/3d3e8962a6319ee4d41a75b1cd5abd38/)) au cours du temps et de l’espace ;
* pourquoi [le virus à ARN ne va pas modifier votre ADN](https://www.deplatformdisease.com/blog/no-really-mrna-vaccines-are-not-going-to-affect-your-dna) ([cache](/david/cache/2021/388cf40eae756175ee87c9bf7a1548c4/)) en l’état actuel des connaissances en biologie ;
* un [outil d’optimisation de séquences](https://edinburgh-genome-foundry.github.io/DnaChisel/) ([cache](/david/cache/2021/e8ebcfcc0dbd4336a82f618a1bd1a818/)) en Python ce qui permet par exemple [d’optimiser un vaccin](https://berthub.eu/articles/posts/part-2-reverse-engineering-source-code-of-the-biontech-pfizer-vaccine/) ([cache](/david/cache/2021/5f1c22e9a41d209ff84218b3d6faf676/)) ;
* quelqu’un qui analyse sa [perte de poids sous l’angle de la biologie](https://karpathy.github.io/2020/06/11/biohacking-lite/) ([cache](/david/cache/2021/1039b631578007d23759a99c2238cda9/)) ;
* on s’éloigne un peu de la biologie mais cette façon de [calculer son exposition en microCOVIDs](http://interconnected.org/home/2020/09/01/microcovids) ([cache](/david/cache/2021/dcba97f9e4bd70b1a152b9498dc5711c/)) est fascinante.

Bonnes lectures !

> Avant tout chose, le mentat doit être un généraliste, et non un spécialiste. Il est sage que, dans les moments importants, les décisions soient supervisées par des généralistes. Les experts et les spécialistes vous conduisent rapidement au chaos. Chasseurs de poux vétilleux, ils sont une source intarissable de chicaneries inutiles. Le mentat-généraliste, d’un autre côté, doit apporter un solide bon sens à ses décisions. Il ne doit pas se couper du courant principal des évènements de l’univers. Il doit être capable de déclarer : « Pour le moment, il n’y a pas de vrai mystère. Ceci est ce que nous voulons maintenant. ==Cela peut paraitre faux plus tard, mais nous ferons les corrections nécessaires quand le moment sera venu.== »
> 
> Le mentat-généraliste doit comprendre que tout ce que nous pouvons identifier comme étant notre univers fait simplement partie de phénomènes plus vastes. L’expert, au contraire, regarde en arrière, dans les catégories étroites de sa propre spécialité. Le généraliste, lui, regarde au loin ; ==il cherche des principes vivants==, sachant pertinemment que de tels principes changent, qu’ils se développent.
> 
> Le mentat-généraliste regarde les caractéristiques du changement lui-même. Il ne peut exister de catalogue permanent pour de tels changements, aucun traité ou manuel. C’est sans préconception qu’il faut les regarder, tout en se demandant : « Que fait cette chose ? »
>
> <cite>*Le Guide du Mentat*, [Dune](/david/2020/12/21/#dune) III. Les enfants de Dune</cite>

#pandémie #recherche
