# Software

> [en] The right coding language, system architecture, or interface design will vary wildly from project to project. But ==there are characteristics particular to software that consistently cause traditional management practices to fail==, while allowing small startups to succeed with a shoestring budget:
>
> * Reusing good software is easy; it is what allows you to build good things quickly;
> * Software is limited not by the amount of resources put into building it, but by how complex it can get before it breaks down; and
> * The main value in software is not the code produced, but the knowledge accumulated by the people who produced it.
>
> Understanding these characteristics may not guarantee good outcomes, but it does help clarify why so many projects produce bad outcomes. 
>
> <cite>*[How to Build Good Software](https://www.csc.gov.sg/articles/how-to-build-good-software)* ([cache](/david/cache/2021/6be8b8649cd695b922a43d15f74d4773/))</cite>

Deux articles lus ce jour qui sont totalement dans mes réflexions du moment. Avoir de l’expérience dans le domaine dans lequel j’évolue, c’est se demander pourquoi est-ce qu’on y est encore et si on a vraiment appris un truc après toutes ces années. J’ai beaucoup de mal à répondre à ces deux questions, les réponses se mordent la queue et ça me donne parfois l’impression de tourner en rond.

Mon activité (rémunérée) est un chaos. Et le seul moyen que j’ai trouvé de le rendre acceptable est de le réduire. Moins de dépendances, moins de hiérarchie, moins de variables, moins de boîtes noires. D’une certaine manière, moins d’attentes aussi.

Une autre exploration est de [consigner](/david/2020/12/13/#journal) mes doutes, mes motivations, mes erreurs, mes joies. Je n’ai aucune illusion quand au fait de reproduire ces expériences plus ou moins mal·heureuses — même après les avoir écrites — mais le fait de les avoir formulées, externalisées, est déjà une étape dans leur acceptation. Ainsi que les émotions qui vont avec.

Je me demande rarement si je suis un « vrai » ingénieur. Je me demande davantage si je deviens un vrai humain à continuer cette activité. C’est peut-être ceci l’expérience : douter de plus en plus de l’utilité de ce que l’on produit… et de la façon d’y parvenir.

> [en] Nobody I read in these arguments, not one single person, ever worked as a “real” engineer. At best they had some classical training in the classroom, but we all know that looks nothing like reality. ==Nobody in this debate had anything more than stereotypes to work with.== The difference between the engineering in our heads and in reality has been noticed by others before, most visibly by Glenn Vanderburg. He read books on engineering to figure out the difference. But I wanted to go further.
> 
> <cite>*[Are We Really Engineers?](https://www.hillelwayne.com/post/crossover-project/are-we-really-engineers/)* ([cache](/david/cache/2021/6514143dca5d96bf9e751236b800fba5/))</cite>

#écriture #travail #recherche
