# Optimisation

> [en] But when you increase complexity in order to optimise, demand never really goes down. The optimisation becomes an opportunity to do more, and so the complexity gets locked in – there will never be the chance to remove it.
>
> And that compounding complexity, layers upon layers of it, a nest of interlocking feedback loops, ==increases the risk of fatal, emergent complexity quakes==.
>
> All of which colours my approach to everything from how I architect my code, to how I organise my finances, to what government policies I like.
>
> <cite>*[Anxious feelings about optimisation through complexity](http://interconnected.org/home/2021/02/12/optimisation)* ([cache](/david/cache/2021/eef2b3e3085a9b71cd7fe64f21fa0453/))</cite>

Je réfléchis beaucoup à ces choses là en ce moment. Sur le fait d’ouvrir des portes que l’on ne peut plus refermer ensuite. Chaque porte étant en fait sur un palier qui demande aux autres de passer une marche de plus, ce qui n’est pas forcément dans les moyens de la majorité.

Sur un de mes produits actuels, je me suis rendu compte aujourd’hui qu’en le rendant plus « propre » je l’ai aussi rendu moins convivial (au sens d’Illich) pour les personnes qui vont devoir le reprendre. Les concepts utilisés sont un peu plus complexes, les versions un peu plus modernes, autant de marches qui m’ont semblées petites mais qui mises bout à bout rendent le produit moins accessible.

À méditer… ne plus oublier le 10<sup>e</sup> principe :

> [en] Design mediates so much of our realities and has tremendous impact on our lives, yet very few of us participate in design processes. In particular, the people who are most adversely affected by design decisions — about visual culture, new technologies, the planning of our communities, or the structure of our political and economic systems — tend to have the least influence on those decisions and how they are made.
> 
> […]
> 
> Before seeking new design solutions, ==we look for what is already working at the community level==. We honor and uplift traditional, indigenous, and local knowledge and practices.
>
> <cite>*[Read the Principles - Design Justice Network](https://designjustice.org/read-the-principles)* ([cache](/david/cache/2021/d685a0ad4878f3d833374164b49b3438/))</cite>

#technique #pharmakon #accessibilité
