# Flux lisibles

> [en] Use web feeds to **subscribe** to websites and get the **latest content in one place**.
>
> **Feeds put you in control.** It’s like subscribing to a podcast, or following a company on Facebook. You don’t need to pay or hand over your email address. You get the latest content without having to visit lots of sites, and without cluttering up your inbox. Had enough? Easy: unsubscribe from the feed.
>
> You just need a special app called a **newsreader**.
>
> <cite>*[What is a feed? (a.k.a. RSS)](https://aboutfeeds.com/)* ([cache](/david/cache/2021/0086cb1d562c02cd96f9f2a38e5bcc42/))</cite>

Cela faisait un moment que je voulais expérimenter des choses à ce sujet. Et puis j’avais vu passer le rendu des flux de [Jeremy Keith](https://adactio.com/journal/rss) ou [Matt Webb](https://interconnected.org/home/feed) que je trouvais inspirants mais j’avais l’impression que c’était compliqué à mettre en place. Alors que le travail avait en fait été [pas mal pré-mâché !](https://lepture.com/en/2019/rss-style-with-xsl) ([cache](/david/cache/2021/40d98edeb7835abd7f9d4c1917e3ea5c/)) Le rendu par défaut dans Firefox ressemblait à ça :

![Rendu par défaut d’un flux RSS dans Firefox](/static/david/2021/rendu_flux_defaut.png "Non seulement c’est pas joli mais surtout c’est incompréhensible aux non-technicien·nes !")

La feuille <abbr title="Extensible Stylesheet Language">XSL</abbr> de base est commentée et [disponible ici](https://github.com/genmon/aboutfeeds/blob/main/tools/pretty-feed-v3.xsl). L’exercice le plus difficile est d’adapter les valeurs pour que ça corresponde à votre flux, j’ai aussi enlevé la CSS par défaut pour mettre la mienne en ayant l’intuition que ça permettrait de maintenir une certaine cohérence avec la page d’où la personne vient. J’ai aussi fait en sorte d’utiliser la [notion de suivi](/david/2021/05/26/) d’un flux/individu.

Mon code [ressemble à ça](https://git.larlet.fr/davidbgk/larlet-fr-david/src/branch/master/david/log/feed.xsl) et permet d’obtenir le [rendu suivant](/david/log/) :

![Rendu après transformation de mon flux RSS dans Firefox](/static/david/2021/rendu_flux_style.png "Et voilà ! C’est quand même bien plus stylé 😎")

J’ai une petite frustration que Firefox ne supporte pas la propriété `disable-output-escaping="yes"` ce qui ne me permet pas d’avoir un rendu HTML satisfaisant lorsqu’on déplie les entrées (le plus frustrant étant que c’est implémenté chez Webkit…). J’imagine que je pourrais changer le format de mon flux pour ne pas avoir à faire cette conversion, par exemple avec du `CDATA`, à creuser.

Il s’agit bien évidemment d’une première version et je vous encourage à me faire part de vos incompréhensions ou propositions d’amélioration pour le texte d’introduction. Je suis déjà bien content d’avoir pu mettre ça en place, c’est une frustration que je me traîne depuis… plus de 15 ans !

#recherche #web #technique
