# Long terme

> [en] Agile’s success at the expense of UX is just one manifestation of a deeper truth: Businesses want scaling. And foundational UX work doesn’t scale. It doesn’t lend itself to predictable, repeatable processes and generic cookie-cutter roles. It can’t, because by definition it deals with unknown, slippery, hard-to-define problems that characterize the leading edge of an organically evolving business.
>
> The same things that make agile a great fit for scaling engineering work—regular sprint tempos; clearly articulated outcomes to be produced; breaking down the complex, unfolding experience of users into concrete elements that can be tied to code—are the very things that make it a terrible fit for foundational UX work. ==The holism necessary to do foundational UX is antithetical to the assembly-line chunks of user behavior== agile requires.
>
> <cite>*[I helped pioneer UX design. What I see today disturbs me](https://www.fastcompany.com/90642462/i-helped-pioneer-ux-design-what-i-see-today-horrifies-me)* ([cache](/david/cache/2021/f5a7f2346b8c7317be12857b52321f52/))</cite>

Je ne vais pas me focaliser sur l’opposition agile/UX car il y a pas mal de façons de pratiquer ces deux domaines. C’est certain qu’il est malheureux d’avoir appelé ces itérations des *sprints* et qu’il faut réussir à avoir suffisamment de recul pour ne pas prendre ce terme au pied de la lettre (sinon ça finit par brûler).

**Déterminer ensemble ce que l’on veut produire à long terme est très complexe pour une équipe.** Le contexte change, les utilisateur·ices évoluent, l’équipe elle-même se renouvelle, dans cet espace mouvant il est difficile de conserver un semblant d’unité et de cohérence. Au moins vis-à-vis des interactions avec l’extérieur.

On peut être tenté d’avoir recours à un *Design System* ou [Système de Design](https://gouvfr.atlassian.net/wiki/spaces/DB/pages/736362561/Version+1.0.0) même si ce cadre arrive avec une lourdeur qui lui est propre. Ça peut donner l’impression de mettre une carrosserie sur une trottinette qui n’en nécessitait pas tant. C’est une réponse technique efficace (sans être performante) à une problématique qui a trait [à l’humain et à l’empathie](/david/2021/06/23/).

Comment combiner la tactique (faire à court terme) à la stratégie (penser à long terme) alors ? **Sans technique**, avec des *personnes* qui font le liant. Qui agrègent, qui reli(s)ent, qui partagent l’enthousiasme.

Qui prennent soin. Qui donnent loin.

#produit #design #technique
