# Hybris

> [en] If you ever wanted to host your own wikipedia replica, here is the simplest way.
>
> As wikipedia is REALLY huge, you don’t really want to host a php wikimedia software and load the huge database, instead, the project made the *openzim* format to compress the huge database that wikipedia became while allowing using it for fast searches.
>
> <cite>*[Host your own wikipedia backup](https://dataswamp.org/~solene/2019-11-13-wikimedia-dump.html)* ([cache](/david/cache/2021/626841dd876f103a10391b1b841ba5ae/))</cite>

Il y a un côté plaisant à se dire que je pourrais avoir une partie du savoir collectif actuel contenu sur un simple disque dur qui n’est de toute façon même plus assez gros pour faire des sauvegardes personnelles dessus.

Pour avoir les étapes en français et localement aussi :

1. Aller sur la [page des archives kiwix](https://wiki.kiwix.org/wiki/Content_in_all_languages) et récupérer les sources intéressantes (par exemple `wikipedia (English) all nopic` (43 Go) ou `wikipedia (français) all maxi` (29 Go)).
2. Installer [zimply](https://pypi.org/project/zimply/), par exemple avec `python3 -m venv venv` puis `source venv/bin/activate` et enfin `pip install zimply`.
3. À cette étape, j’aimerais pouvoir faire un `python -m zimply monfichier.zim` mais il n’a pas été codé avec ce cas d’usage, il faut donc en passer par l’écriture d’un petit script dédié :

```
from zimply import ZIMServer
import sys
import os.path

if len(sys.argv) == 1:
    print("usage: " + sys.argv[0] + " file")
    exit(1)

if os.path.exists(sys.argv[1]):
    ZIMServer(sys.argv[1])
else:
    print("Can't find file " + sys.argv[1])
```

*C’est exactement celui de l’article original, encore une fois je ne fais que copier, le crédit revient à Solène Rapenne.*

Et enfin, la dernière étape consiste à servir notre archive (ça peut prendre quelques secondes selon la taille que vous avez choisie) : `python zim_server.py monfichier.zim` qui vous invite à aller voir ce qu’il se passe sur [http://localhost:9454/](http://localhost:9454/).

Et pendant ce temps là en Croatie…

> De 2011 à 2020, Wikipedia Croatie a été « prisonnier » d’un groupe d’une vingtaine d’administrateurs de l’encyclopédie. « Wikipedia Croatie avait reçu beaucoup d’attention à cause de sa tendance à promouvoir des points de vue fascistes, des biais contre les Serbes de Croatie, et une propagande anti-LGBT », a écrit la fondation Wikimedia dans un rapport publié le 21 juin 2021. Les accusions sont nombreuses, et les faits tout aussi graves et impressionnants.
>
> Pendant une dizaine d’années, ce groupe d’administrateurs a cherché à imposer ses « idées ». Que ce soit en occultant certains faits, en supprimant des passages ou en créant de toute pièce de nouveaux articles, ils ont promu leur vision du monde : une vision d’extrême droite, et nationaliste.
>
> <cite>*[Des administrateurs d’extrême droite ont manipulé les articles de Wikipedia Croatie pendant 10 ans](https://www.numerama.com/politique/721329-des-administrateurs-dextreme-droite-ont-manipule-les-articles-de-wikipedia-croatie-pendant-10-ans.html)* ([cache](/david/cache/2021/1f9f4eb2d926148640ef831f28335380/))</cite>

#open-source #partage
