# Long terme

> On ne répond pas à leur question : ==quelles conséquences auront sur le long terme ces vaccins ?== Cette interrogation revient chez toutes les personnes, que j’ai rencontrées ou que j’ai entendu interrogées dans les médias qui ne se vaccinaient pas. Elle n’est pas un échappatoire. Elle signe un conflit moral pour ces personnes. Le conflit entre prendre le risque de peut-être tomber gravement malade voire mourir, de contaminer des proches et des proches fragiles. Et celui de ne pas savoir pour soi — mais aussi collectivement — ce que donnera dans le temps cette vaccination massive avec des produits sur lesquels on a très peu de recul. Plutôt que de les culpabiliser, pourquoi ne répond-on pas à cette question des conséquences sur le long terme ?
> 
> <cite>*[Stigmatiser les non-vaccinés, est-ce bien responsable ?](https://blogs.mediapart.fr/stephanelavignotteorg/blog/120721/stigmatiser-les-non-vaccines-est-ce-bien-responsable)* ([cache](/david/cache/2021/c85d495a079cfa25516dd2b48d886c0f/))</cite>

Cette question est intéressante à un moment où le long terme est quand même sacrément mis en doute. S’inquiéter d’un vaccin alors qu’on mange et respire quotidiennement n’importe quoi tout en creusant notre propre sauna c’est assez… surprenant.

Mais soit, tentons d’y répondre. En préambule, la simulation la plus scientifiquement précise de la visualisation des bénéfices/risques *à court terme* du vaccin est [celle-ci](https://apps.clinicalepidemio.fr/vaccine/). Bien évidemment, on ne dispose d’[aucun résultat d’étude à long terme](https://www.lemonde.fr/les-decodeurs/article/2021/07/08/covid-19-les-essais-de-phase-3-des-vaccins-sont-ils-termines-depuis-des-mois-comme-l-affirme-olivier-veran_6087580_4355770.html) ([cache](/david/cache/2021/d5b94e174cfc10931c811675b2d5103b/)) donc ça se complique. Néanmoins, un ARNm se dégrade très rapidement dans l’organisme donc :

1. soit il produirait des modifications irréversibles qui ne se révèleraient qu’à moyen terme (on a quand même 6 mois de recul sur une population énorme : 3 milliards !) ;
2. soit cela viendrait de ce qui accompagne l’ARNm dans l’injection vaccinale.

Pour le 1., la biologie c’est du bricolage à tous les étages (c’est flippant). On dispose heureusement de nombreux mécanismes de rétro-action lorsque ça dérape (c’est presque rassurant). Est-ce que l’on n’est pas en train de jouer aux apprenti·es sorcier·es ? Bin, en fait, dès que l’on essaye de « sauver » une population vulnérable on est dans cette situation et c’est le cas depuis bien longtemps ! Césarienne, IRM, implant dentaire, lunettes, paracétamol, les exemples se retrouvent dans tous les quotidiens. Et ce ne sont que les exemples scientifiques, la vie en société, la solidarité, depuis que l’on a des tribus on joue le jeu de protéger les plus faibles pour un avenir en commun. Je pars un peu loin mais je crois que la défiance n’est pas que médicale / biologique, elle en dit long sur l’état d’une société. Au passage, si la crainte est d’introduire du matériel génétique dans notre organisme, l’ARNm du virus est bien plus long et avec des conséquences dont on sait *dès à présent* qu’elles ne sont pas cool (Covid long, etc).

Pour le 2., on ajoute [d’autres ingrédients](https://www.canada.ca/fr/sante-canada/services/medicaments-produits-sante/covid19-industrie/medicaments-vaccins-traitements/vaccins/pfizer-biontech.html#a1.1) ([cache](/david/cache/2021/5eeb933db43f2ad26de7f7e714b50705/)) à la recette pour que l’ARNm ait une chance d’arriver jusque dans la cellule et produise la protéine *Spike* sur laquelle les défenses immunitaires vont pouvoir s’entraîner. Ce sont ces autres ingrédients qui sont susceptibles de déclencher une réaction allergique *immédiate*, et c’est la raison nous allons tou·tes passer 2×15 minutes de notre vie en 2021 à réfléchir à la vacuité de nos existences. Youpi !

Dans les deux cas, j’ai du mal à voir comment des effets secondaires latents pourraient tout à coup se manifester après des années. En tout cas, pas plus qu’un autre vaccin obligatoire sur lequel on a davantage de recul. Au passage, 95 % c’est très élevé mais ça reste différent de 100 %, donc oui il y a(ura) des personnes vaccinées qui attrape(ro)nt la Covid.

Est-ce que ça peut co-participer à dépasser un seuil dans une situation déjà affaiblie ? Certainement, et c’est la raison pour laquelle la population la plus vulnérable ne peut pas se faire vacciner, le rapport bénéfice/risque est trop faible. C’est aussi pour cela que le reste de la population se vaccine, il y a une part de solidarité dans l’acceptation de ce risque, aussi bénin soit-il pour les personnes bien portantes.

**Tout cela étant dit, peut-on être pro-vaccination et contre le gouvernement ?** Cette question reste ouverte, j’ai l’espoir que cela puisse être le cas mais je ne suis pas non plus naïf quant aux implications politiques qu’il y a autour de cette pandémie.

Le virus, lui, s’en lave les mains.

Voir aussi : [« Oui mais on manque de recul… » : 10 arguments pour répondre aux questions SENSÉES des vaccino-sceptiques (et les rassurer)](https://www.atlantico.fr/article/decryptage/oui-mais-on-manque-de-recul------x-arguments-pour-repondre-aux-questions-sensees-des-vaccino-sceptiques--et-les-rassurer-) ([cache](/david/cache/2021/3f773d81ebebb1b44079ad17ee064fa7/))

---

> *[7 ans, juste après l’injection d’un vaccin pour la varicelle (obligatoire au Québec), aux infirmières]*  
> — Est-ce que je suis mort ? C’est ça le Paradis ?!

Pour le coup, ça les a bien tuées 😅.

---

> Les règles créent des fortifications à l’abri desquelles les esprits étroits édifient des satrapies. État de choses dangereux quand tout va bien, désastreux en temps de crise.
> 
> <cite>*Coda Bene Gesserit*, *[Dune](/david/2020/12/21/#dune) VI. La maison des mères*, Frank Herbert</cite>

#pandémie #accompagnement
