# Allemansrätten

Il y a toujours un mot allemand, japonais ou… suédois pour exprimer avec concision (et exotisme !) un concept qui n’est pas tout à fait exprimable en français, en tout cas pas en un seul mot. Ici, je parle de « [Droit d’accès à la nature](https://fr.wikipedia.org/wiki/Droit_d%27acc%C3%A8s_%C3%A0_la_nature) » qui s’exerce à divers endroits (pays scandinaves mais pas que, la [page wikipedia en anglais](https://en.wikipedia.org/wiki/Freedom_to_roam) est — comme souvent — plus complète) avec des contraintes différentes selon les localités. C’est un concept que je ne connaissais pas avant de m’inquiéter de cela au Canada (et de regarder des bushcrafteur·euses suédois·es sur Google Youtube).

Ce qui s’en approche localement, c’est le concept de [Crown land](https://en.wikipedia.org/wiki/Crown_land) qui est traduit par les [Terres du domaine de l’État](https://fr.wikipedia.org/wiki/Terres_du_domaine_de_l%27%C3%89tat) en québécois. Je me suis mis en quête d’une carte de ces terres. Il existe un [registre dédié](https://appli.mern.gouv.qc.ca/Rde/Info/Propos) qui fait notamment un lien vers [le texte de loi](http://legisquebec.gouv.qc.ca/fr/ShowDoc/cs/T-8.1/). Les terres sont peut-être visibles sur [cette carte interactive](https://appli.mern.gouv.qc.ca/Infolot/) (avec un accès difficile) permettant de visualiser les territoires plus ou moins jaunes (habités) et <q>non organisés</q>. Je ne suis pas sûr de la façon dont le *Crown land* est représenté et s’il faut faire une requête spéciale pour un bout de terrain donné. Si j’en crois [ce document](https://appli.mern.gouv.qc.ca/Rde/Documents/caractere_prive_public_rde.pdf), il y aurait une notion de terres publiques/privées.

En parallèle sur Mastodon, on me pointe [cette liste de cartes](https://mern.gouv.qc.ca/ministere/cartes-information-geographique/repertoire-services-web-donnees-geographiques/) qui comprend notamment [celle des droits fonciers](https://mern.gouv.qc.ca/repertoire-geographique/droits-fonciers/). J’y découvre aussi des couches topographiques bien plus précises que ce que j’ai pu trouver par ailleurs, trop pratique pour de futures explorations !

Pourquoi s’intéresser à tout ceci ? J’ai toujours dans un coin de ma tête ce [projet un peu f(l)ou](/david/2021/03/12/) et j’imagine que ça serait plus cohérent en bordure d’espaces qu’il serait possible de parcourir librement. Si j’ai loupé des trucs, je veux bien apprendre.

> La férocité que nous manifestons à nos ennemis est toujours tempérée de la leçon que nous espérons leur donner.
> 
> <cite>*[Dune](/david/2020/12/21/#dune) VI. La maison des mères*, Frank Herbert</cite>

![Un pigeon avec un drapeau québécois en fond.](/static/david/2021/pigeon-quebecois.jpg 'Sans commentaire.')

#forêt #exploration
