# Abstraction

> [en] Take a moment and think about this super power: if you write vanilla HTML, CSS, and JS, all you have to do is put that code in a web browser and it runs. Edit a file, refresh the page, you’ve got a feedback cycle. ==As soon as you introduce tooling, as soon as you introduce an abstraction not native to the browser, you may have to invent the universe for a feedback cycle.== No longer writing CSS and instead writing Sass? Now you need a development server with a build process to watch your files and compile your changes *just to develop and test your project*. You’ve just added a giant, blocking dependency for your project to work. And if you can’t get that dependency working, your project is dead in the water until you can—both now and in the future. 
>
> <cite>*[Cheating Entropy with Native Web Technologies](https://blog.jim-nielsen.com/2020/cheating-entropy-with-native-web-tech/)* ([cache](/david/cache/2021/74eae1dc26bd4537941491b4e7e201bc/))</cite>

J’ai déjà beaucoup trop parlé du sujet et en même temps cela a été et pourrait encore être mon quotidien si je n’avais pas choisi une certaine forme d’ascétisme technologique (n’ayons pas peur des mots, [ataraxie numérique](http://aswemay.fr/co/040011.html) ([cache](/david/cache/2021/1357452f72e8fab727df874cbc2582d4/)) si on veut être vraiment pédant). Évaluer chaque outil pour son usage actuel et futur, sa maintenance, sa migration, ses *drama* (coucou [Hotwire](https://hotwired.dev/)), son abandon pour la dernière mode. J’apprends hier qu’un produit est à l’arrêt pour X mois car il faut passer d’un *framework* JS à un autre. Tristesse d’un domaine où une telle pratique est courante. Bien éloignée d’un Web [frugal](https://wimvanderbauwhede.github.io/articles/frugal-computing/) ([cache](/david/cache/2021/710f8cdebd7560223ebd378f9cbe7822/)), il y a un excellent [résumé avec plein de liens ici](http://viznut.fi/texts-en/permacomputing_update_2021.html) ([cache](/david/cache/2021/0f791a9509f762f1a1a36b6ca2333230/)) si le sujet vous intéresse.

Je suis admiratif des personnes faisant de [petits outils conviviaux](https://zserge.com/posts/awfice/) ([cache](/david/cache/2021/3ac474db4dc65c1d25e99cb30655ff12/)) qui permettent d’apprendre et de jouer avec la conception de l’outil en lui-même. Si je devais refaire de l’[enseignement technique](/david/pro/enseignement/), j’emprunterais probablement cette voie. À l’opposé de la camionnette à outils qu’il faut savoir dorénavant maîtriser, en opposition à la direction qu’un marché nous pousse à emprunter.

Est-ce que l’on peut considérer l’accumulation de dette technique comme étant un *bullshit job* ?

> 16\. How does this technology empower me? At whose expense?
> 
> <cite>*[The Questions Concerning Technology](https://theconvivialsociety.substack.com/p/the-questions-concerning-technology)* ([cache](/david/cache/2021/b404382125c07935b98295a801049097/))</cite>

![Deux bourdons qui butinent des chardons.](/static/david/2021/bourdons.jpg 'Écrits pollinisateurs ?')

#technique #incompétence #web
