
# Étiquettes

> [en] In hierarchical file systems, the path to a file tells us how to retrieve it, not what is inside the file. For example, “/home/john/diary.txt” tells the computer to start from the root, go into the directory named “home”, go into the subdirectory named “john”, and follow the link named “diary.txt” to access the file. It doesn’t necessarily tell us anything about what the file contains – for all we know, it could be an actual diary or a downloaded movie. To make matters worse, the meaning of the path is relative to which computer system we’re working on. The same path “/home/john/diary.txt” might exist on a distant server, but possess completely different file content.
>
> <cite>*[Designing better file organization around tags, not hierarchies](https://www.nayuki.io/page/designing-better-file-organization-around-tags-not-hierarchies)* ([cache](/david/cache/2021/2fc0d9333db2b78b5a110724fba31b22/))</cite>

Un long article un peu technique sur le passage d’un stockage hiérarchique à une structure complètement plate en passant par des *tags*.

Ceci m’intéresse à [double](/david/2021/10/07/) [titre](/david/2021/09/23/). Ce qui m’interpelle cette fois-ci, c’est qu’une fois la hiérarchie établie par un·e précurseur·euse, les [autres](/david/2021/03/17/) doivent suivre et se retrouvent avec moins de libertés. Une approche par étiquettes permet potentiellement de privilégier une structure permettant une évolution plus fluide.

Peut-être que la façon dont on nous a appris à ranger nos affaires numériques en dit plus que ce que l’on pense. Et je ne parle même pas des URLs. Comme une envie de [revisiter](/david/2021/11/02/) des choses par ici.

---

> *[Lisant le titre d’un livre posé dans le salon : « Les lois naturelles de l’enfant »]*  
> — ==Nous==, on n’a pas de lois.

🤗

#recherche #publication #étiquette
