# Tags

> [en] For some reason, when we moved our workflows into the digital realm, we began to lose respect for this way of taking notes, of simply adding new information to an ever-growing log of our thoughts. Instead, we built tools that encourage us to keep only the most current version of reality. […]
>
> **Incremental notes** is my push against this trend of note-taking tools that only live in the present and deny the reality of learning and living through time. We don’t remember things by modifying our past memories – we simply accumulate more, as if adding entries to a log or a journal. ==We search through them by traversing time==, looking for links between ideas and experiences.
> 
> <cite>*[Incremental note-taking](https://thesephist.com/posts/inc/)* ([cache](/david/cache/2021/089ec00265a43807246ec4334a10375a/))</cite>

Depuis une semaine, vous devriez avoir vu apparaître une nouvelle dimension d’exploration sur cet espace avec l’apparition d’étiquettes qui fait suite à de [précédentes](/david/2021/11/12/) [réflexions](/david/2021/11/02/). Une petite révolution.

Je me suis mis à ajouter des *tags* à chacune des 300 entrées de cette année. C’est long mais je vois un intérêt à l’avoir fait en une fois (en vrai, trois soirs) : le *corpus* est relativement cohérent en me limitant à en apposer un à trois par entrée. J’ai aussi pu réfléchir aux étiquettes qui n’apparaissaient qu’une seule fois, de l’avantage de travailler du contenu existant. À l’inverse, j’ai essayé d’éviter les mot-clés « introspection » ou « blog » que j’avais envie de mettre à trop d’endroits. J’ai remarqué aussi certaines associations comme « pandémie » et « incompétence » inévitables… Lorsque je lis [la liste des étiquettes](/david/#tags), je ne trouve pas mes écrits très réjouissants aussi.

Le plus difficile aura été de choisir d’avoir des étiquettes annuelles, ce qui me permettra de faire évoluer les centres d’intérêts. J’étais aussi à deux doigts de faire un nuage de *tags* sur la [page d’accueil](/david/#tags). Heureusement que ma CSS actuelle me contraint à ne pas tomber dans la nostalgie.

> [en] If we were to build a medium for better thinking on top of the web browser, it’s reckless to expect the average user to manually connect, organize, and annotate the information they come across. Just as the early World Wide Web started out manually-curated and eventually became curated by algorithms and communities, ==I think we’ll see a shift in how individual personal landscapes of information are curated==, from manual organization to mostly machine-driven organization. Humans will leave connections and highlights as a trail of their thinking, rather than as their primary way of exploring their knowledge and memory.
> 
> <cite>*[The web browser as a tool of thought](https://thesephist.com/posts/browser/)* ([cache](/david/cache/2021/ed384fc76fbe9728070efb6c71a0eb9c/))</cite>

#étiquette #recherche #publication
