# Négatif

> Les générations qui sont nées après 1973, celles qui ont grandi à l’ère de « la crise » perpétuelle, ont intériorisé, l’une après l’autre, l’idée que chacune vivrait globalement moins bien que la précédente. ==Elles ont réappris à avoir peur.== Un retournement historique qui pourrait aussi se lire comme une sorte de psychothérapie de groupe, une rééducation de masse à la « tolérance à la frustration ».
> 
> <cite>*La société ingouvernable*, Grégoire Chamayou</cite>

Cela fait bientôt deux années que le monde (occidental) aspire à être négatif. À passer entre les gouttes. À fuir son prochain. Ça laisse des traces. Profondes.

Il y a la peur. Celle de faire une forme grave ou longue. Celle de la transmettre aux personnes, forcément proches. Celle de croiser le mauvais mutant, celui de trop. Celle de se déshumaniser.

Il y a les travailleurs — et surtout travailleuses — essentiel·les qui sont en panne d’essence. De sens aussi. J’en manque de même, de plus en plus, à relayer des doctrines et protocoles tous plus abscons les uns que les autres.

_Quel est le niveau d’indécence lorsqu’on essaye de faire de bons mots sur les grands maux de notre époque ?_

Il n’y aura pas de ré-solutions cette année, ni même d’in-tensions. Car toutes les solutions ne font qu’aviver les tensions. Peut-être qu’ils finiront <q cite="Interprétation : Gaël Faye, Texte : Christiane Taubira">seuls et vaincus</q>, mais à quel prix ? <q cite="Emmanuel Macron">Quoi qu’il en coûte</q> mais il faudra tout de même apprendre à <q cite="Emmanuel Macron">vivre avec</q>. Tout était dit.

En revanche, je vais essayer de trouver le bon [révélateur](https://git.larlet.fr/davidbgk/media-larlet-fr#r%C3%A9v%C3%A9lateur) pour transformer ce négatif. [Passer par l’image](https://media.larlet.fr/) pour couper le son d’une anxiété continue, non contenue. Dévier le flux. Stopper le mien. Arpenter d’autres espaces.

Loin…

---

## Du bord de la rivière

> ❤️ ==La donnée==, répondais-je, c’est la mesure de ce qui nous tient à cœur, de ce qui nous importe.
>
> Par amour du mauvais jeu de mot, j’aurais pu dire: *la mesure de ce qui compte*.
> 
> <cite>*[Ce qui compte](https://olivier.thereaux.net/2021/Ce-qui-compte/)* ([cache](/david/cache/2022/539f9f951e0d3ba9024f3b837941372f/))</cite>

> [en] 🧑‍🔬 In the so-called modern day it’s like everyone — except a few — has dropped their brain on the floor. They keep inventing “revolutionary new ways” of doing the same thing that could be done in a dozen ways already. And they do that by coating ==more and more and more unnecessary complexity== on top of existing technology stacks.
> 
> <cite>*[Is the madness ever going to end?](https://unixsheikh.com/articles/is-the-madness-ever-going-to-end.html)* ([cache](/david/cache/2022/393a69cbefc7e1642bae86080e6fc8c4/))</cite>

> [en] 🐺 The term alpha wolf is not widely used by wolf researchers today. But it is still well established in our consciousness, Zimmermann said. In the middle of a sentence, she corrects herself.
>
> “Alpha animals… I mean the leader animals or the adults,” she said. “As you can see, it’s still in there. ==But that’s completely wrong.==”
>
> <cite>*[Wolf packs don’t actually have alpha males and alpha females, the idea is based on a misunderstanding](https://phys.org/news/2021-04-wolf-dont-alpha-males-females.html)* ([cache](/david/cache/2022/3a929cba1a057771e1778ee9dc3e300a/))</cite>

> [en] ⏳ This time-based ULID system continues to give us all the advantages of a UUID system—it can be distributed, because there’s no single sequence authority, the IDs can be merged into a single dataset later, and ==there’s an even lower chance of global collision==, because collisions are only possible inside the same millisecond.
> 
> <cite>*[Understanding UUIDs, ULIDs and String Representations](https://sudhir.io/uuids-ulids)* ([cache](/david/cache/2022/eafb714078643eddfcc2d7de9982bd3b/))</cite>

> [en] 🚮 The real-life impact of ==our technical decisions really hit home== to me once again: my Mom had trouble volunteering and participating in her local community because somebody shipped the optional chaining operator in their production JavaScript. 
> 
> <cite>*[The Optional Chaining Operator, “Modern” Browsers, and My Mom](https://blog.jim-nielsen.com/2022/a-web-for-all/)* ([cache](/david/cache/2022/a26f276782ba59d80e70fb4371713309/))</cite>

> ✍️ Établir une réflexion en sciences humaines et sociales aujourd’hui signifie ==comprendre et manipuler des outils d’écriture numérique==. Il est nécessaire de proposer des formations dans les institutions de savoir pour former les chercheur·e·s en sciences humaines aux théories et pratiques numériques.
> 
> <cite>*[Débugue tes humanités](https://debugue.ecrituresnumeriques.ca/)*</cite>

> 🏡 Peut-on donc imaginer ==une manière d’habiter sans posséder ?== Je ne parle pas ici de devenir locataire, ce qui induit une autre forme de dépendance, mais bien d’habiter sans posséder ni se soumettre ; en somme, de redéfinir droit de propriété et droit d’usage, à l’aune du travail colossal réalisé sur les communs, [l’autogestion et la solidarité](https://www.revue-ballast.fr/la-part-anarchiste-des-communs/).
>
> C’est la tâche à laquelle s’attelle depuis trois ans la [foncière Antidote](https://reporterre.net/Le-fonds-de-dotation-une-breche-dans-la-conception-francaise-de-la-propriete-prive), en cherchant à neutraliser la partie la plus nocive de la propriété, l’*abusus*. Concrètement, si l’on prend l’exemple d’un arbre, l’*usus* donne le droit de dormir sous son feuillage, le *fructus* celui de manger ses fruits, et l’*abusus* le droit de le couper. Appliqué à un lieu collectif, neutraliser l’*abusus* revient donc à le sortir du marché afin qu’il ne puisse être vendu.
>
> <cite>*[Habiter sans posséder, tel est l’antidote](https://revoirleslucioles.org/habiter-sans-posseder-tel-est-lantidote/)* ([cache](/david/cache/2022/987e2e450e3e88d0d6d18ec6e6a44b95/))</cite>
