# Envie

> Dans l’un de mes carnets de voyage, j’écris ces lignes : « Je vois la civilisation comme une feuille qui vient de se détacher de sa branche. Elle virevolte, elle croit voler, elle se croit libre, affranchie de son socle. Puis elle s’écrase sur le sol et s’aperçoit que ==depuis tout ce temps, elle était déjà morte.== »
>
> Je finis par être convaincu que l’humanité fonce droit dans le mur, emportant avec elle une immense partie du vivant. Prendre la mesure de la catastrophe, à savoir que le monde est en train de mourir, m’a tout d’abord assommé, puis désespéré, et puis finalement ça m’a remis en capacité d’agir. Les seuls moments où je parviens à m’apaiser sont ceux passés en expédition.
> 
> Alors je repars encore et encore.
>
> <cite>*Comment survivre à l’attaque d’un ours et autres aventures*, Eliott Schonfeld</cite>

J’aime bien me rendre compte d’à quel point l’envie décroit avec le temps. Si je n’écris pas mon cheminement (de pensées) dans la foulée d’une sortie en forêt, je sais que ça n’aura pas lieu. Les émotions du moment s’évanouissent, les anecdotes deviennent fades, les réflexions se noircissent ou se teintent d’une sur-interprétation. Comme si elles n’étaient plus… _en vie_.

---

Lorsque je partage des [photos](https://media.larlet.fr/2009--japon-01.html) [du](https://media.larlet.fr/2011--japon-01.html) [Japon](https://media.larlet.fr/2012--japon-01.html) ou des [vidéos](https://media.larlet.fr/2021--videos-01.html) [de](https://media.larlet.fr/2021--animal-02.html) [la](https://media.larlet.fr/2021--vegetal-14.html) [forêt](https://media.larlet.fr/2021--paysages-15.html) [canadienne](https://media.larlet.fr/2021--rivieres-07.html), à qui est-ce que je donne envie et quel va être l’impact de cet envie sur une action future — potentiellement néfaste à un environnement dont j’aspire à la préservation ? Qui suis-je pour donner des leçons d’exotisme après en avoir tant bénéficié ? Rédemption mal placée.

---

J’essaye de créer (faute de constater) ce qui pourrait remplacer cette routine d’écriture quotidienne qui était si bien ancrée. L’envie est toujours là mais le sujet n’est plus. Ou il faudrait que j’aille le chercher loin, peut-être trop. Ma mère m’a suggéré d’écrire (publier ?) mes aventures. Et il faut toujours écouter sa maman.

C’était un des fils tirés lors de ma dernière retraite dans un petit refuge que j’affectionne. Idéalement depuis une résidence d’écriture en pleine forêt. Une forêt d’écriture ? L’arbre qui cache l’écrit vain.

---

En ce moment, j’essaye de laisser passer le bruit des klaxons plus ou moins numériques et de me concentrer sur la sphère proche. Et le code aussi. J’aime lorsque la pression monte juste avant de se mettre à agencer de petites briques. Le besoin est connu, la façon d’y aller reste à explorer et cet instant suspendu juste avant de faire le premier pas de ce nouveau voyage est empreint d’une forme de prise de recul, quasi spirituelle, forcément introspective. Est-ce que je vais vraiment emporter tout cela dans mon sac ? Quelles bibliothèques viennent palier mes peurs ? Jusqu’où accepter l’aventure, et avec qui ? Mais surtout : suis-je encore prêt à apprendre ?

## En vitesse

> 💚 écrire chaque jour un poème à partir des mots composant votre grille. Autre contrainte : le poème est composé d’autant de vers qu’il a fallu de coups pour trouver le mot du jour. Enfin, il faut bien évidemment attendre le lendemain pour partager son œuvre, afin de ne pas divulgâcher la solution ! ==J’ai décidé de nommer cette forme le pécatrix==, en espérant qu’elle soit appropriée par d’autres (vous ?)
>
> <cite>*[cailloux n°96 : rêver sincèrement](https://cailloux.substack.com/p/96-rever-sincerement)* ([cache](/david/cache/2022/94210cf35e7b73fcf5d3ab3c20acc1c6/))</cite>

> [en] 📱 Mobile Depression Device
> 
> <cite>*[★ Children of the Hyperlink](https://buttondown.email/robinrendle/archive/children-of-the-hyperlink/)* ([cache](/david/cache/2022/d4ae86dd75af3abc8b65953e7d3ca832/))</cite>

> 🏴 Le philosophe et psychanalyste Miguel Benasayag, ancien guérillero en Argentine et défenseur de ces « nouvelles radicalités », nous disait en 2016 : « Il faut abandonner l’idée de lutte finale, de société de justice. Ça ne produit que de la déception — ou de la dictature, lorsque les “justiciers” triomphent. » Avant de préciser : « ==Seules les luttes décentralisées et bordéliques== — à l’instar du combat des femmes, des indigènes, des Noirs ou des homosexuels —, qui visaient le changement ici et maintenant et non le pouvoir, ont pu changer le monde. »
>
> <cite>*[BALLAST • QUE FAIRE ?](https://www.revue-ballast.fr/que-faire/)* ([cache](/david/cache/2022/0a53d8dedc371884d16f45bcb349b418/))</cite>

> [en] 🔥 ==Alcohol burners like these are great for tents== because if they tip over, they self-extinguish. You can fill them with 70% rubbing alcohol and they’ll heat a small space, and if running on denatured alcohol, they can be used to cook with. They won’t do you much good outdoors unless you have significant wind protection, as the tiny jet is likely to blow out.
> 
> <cite>*[$7 Tent Heater Provides Comfort On A Budget](https://hackaday.com/2022/01/06/7-tent-heater-provides-comfort-on-a-budget/)* ([cache](/david/cache/2022/a4f881156c5d4841f7362f94b51d10b7/))</cite>

> [en] 💭 I started asking myself questions like — “Even if the projects I’m doing succeeded beyond my wildest expectations, how would it affect people? ==Whose lives would be improved and how would they be improved?==” […] I began to realize that my work wouldn’t help people be happier in ways that felt meaningful to me. Something deep in my soul seemed completely dissatisfied.
> 
> <cite>*[Why I Quit Tech and Became a Therapist](http://glench.com/WhyIQuitTechAndBecameATherapist/)* ([cache](/david/cache/2022/0c0894907925eae954987d98c9e8136b/))</cite>

> 💰 Un budget contributif est un outil qui permet à un collectif d’organiser la rémunération des membres de manière transparente.
> 
> <cite>*[Coremuneration - Movilab.org](https://movilab.org/wiki/Coremuneration)* ([cache](/david/cache/2022/8a9c9c7aa6a17b8203e2ee289a5e2ffa/))</cite>

> [en] 👅 Buy it now, it’ll arrive at your door on a bike or a drone or robo-courier in 30 minutes or less, this is good, you want your dinner, ==one-lick purchase==, boom.
> 
> <cite>*[Who can be the Netflix of ghost kitchens?](https://interconnected.org/home/2022/01/24/meme_meals)* ([cache](/david/cache/2022/622620656409b4f687cab890288a0a01/))</cite>

> ✈️ C’est bien là que réside la principale surprise de ce document officiel : malgré les assurances données par les constructeurs et compagnies aériennes, ==il existerait donc une méthode permettant d’accéder aux systèmes les plus critiques de l’avion depuis la partie divertissement==, placée par définition entre les mains des passagers.
> 
> <cite>*[Un hacker pirate le vol d’un avion depuis un siège passager](https://www.silicon.fr/hacker-modifie-vol-dun-avion-systeme-de-divertissement-116431.html)* ([cache](/david/cache/2022/389205e96cefd5e4633c70f22d029e1b/))</cite>

> [en] 💅 A redesigned user interface for Wikipedia
>
> <cite>*[Modern for Wikipedia](https://www.modernwiki.app/)*</cite>

> 🧠 La mémoire est une construction, et le numérique une base mobile de cette construction.
> 
> <cite>*[Aperçu #02 - quaternum.net](https://www.quaternum.net/2022/01/15/apercu-02/)* ([cache](/david/cache/2022/5fc3445b27f0ee637d66035734c6bea6/))</cite>

> [en] 📄 Resume screens are ridiculous. We look at this piece of paper and try to make a snap judgment about whether we should invest some time in an interview, or reject them out of hand. We’re not measuring someone’s suitability for the role; ==we’re measuring how well they write resumes.== If we don’t take steps to anonymize the resume, we can easily end up [making decisions shaped by unconscious bias](https://hbswk.hbs.edu/item/minorities-who-whiten-job-resumes-get-more-interviews).
>
> <cite>*[Wrap Up and Q&A - Jacob Kaplan-Moss](https://jacobian.org/2022/jan/6/wst-wrap-up/)* ([cache](/david/cache/2022/21c1a3b62ce222105d72ada4802bdd4e/))</cite>

> [en] 🚢 a little research makes clear that in fact if you add up all the tonnage, something very close to ==forty percent of all the shipping on earth== is just devoted to getting oil and coal and gas (and now some wood pellets) back and forth across the ocean.
> 
> <cite>*[The happiest number I’ve heard in ages](https://billmckibben.substack.com/p/the-happiest-number-ive-heard-in)* ([cache](/david/cache/2022/20648a9bc173f75256ae9d5f196fd913/))</cite>

> 🎥 Le principe : nous achetons les droits sur des films de cinéma sélectionnés parmi les meilleurs documentaires d’auteurs venant juste de finir leur exploitation en salles de cinéma. Nous vous les proposons et ==vous organisez votre festival à domicile.== Des rencontres avec les auteur.e.s sont accessibles à tou.te.s par visio-conférence.
>
> <cite>*[Tënk chez l’Habitant](https://tenkchezlhabitant.fr/)*</cite> 

> [en] ✊ Large companies find HTML & CSS frustrating “at scale” because the web is a fundamentally ==anti-capitalist mashup art experiment==, designed to give consumers all the power.
> 
> <cite>*[Sur twitter](https://twitter.com/TerribleMia/status/1198706002419310592)*, @TerribleMia</cite>

> 🤗 Puis en relevant la tête, avec son grand sourire, elle me dit : “on fait équipe n’est-ce pas ?”.
> 
> <cite>*[☕️ Journal : Faire équipe](https://oncletom.io/2022/01/30/faire-equipe/)* ([cache](/david/cache/2022/0d734a1e83d3188bb008a057aadd4a74/))</cite>

> [en] 🤢 Scrolling is an interaction of the past; apps and websites are rapidly moving towards the idea of ‘==scrollytelling==’.
> 
> <cite>*[Top 9 UX Trends to Watch out in 2022](https://uxplanet.org/top-9-ux-trends-to-watch-ut-in-2022-9dfc1eeb25a8)* ([cache](/david/cache/2022/1ed0450ac39a1bbfebf1a6bbbe6f3532/))</cite>

> [en] ✍️ Yet! When someone writes a blog post about my work, or sends me a kind email, or—on the rarest of occasions—when someone riffs on my work and remixes those ideas then, THEN, I feel as if my work *matters*. ==That it was all worthwhile.== Even when someone is disagreeing with me, I get this warm, cuddly feeling that all of my work is connected into a bigger thing, an enormous hyperlinked tapestry that we’re (sorry in advance) weaving together.
>
> <cite>*[⭕️ Signals • Buttondown](https://buttondown.email/robinrendle/archive/signals/)* ([cache](/david/cache/2022/73c1cc8ed70f3b78bb9f8d2f108b7754/))</cite>

> ✊ J’ai beaucoup de pensées décousues à ce sujet et je pourrais probablement écrire plusieurs longs essais sur le sujet si j’avais le temps et la foi en ma propre compréhension et autorité pour le faire. Pour aujourd’hui, ==je vais me contenter== de partager mon expérience et quelques grands thèmes de questionnement que j’aimerais approfondir, sans ordre particulier
> 
> <cite>*[Compte-rendu de voyage : Le samedi 5 février à Ottawa](https://mtlcontreinfo.org/compte-rendu-de-voyage-le-samedi-5-fevrier-a-ottawa/)* ([cache](/david/cache/2022/7377c68e2b48f5c923542cefec391549/))</cite>

> [en] 🤗 Designing human systems is different. Computers don’t have emotions; I don’t need to worry insulting the vast majority of S3 objects when I defensively check integrity every time. ==But humans are different;== when we design a human system around uncommon cases, we do need to consider the ramifications on the majority. There are times – and this is one of them – where addressing outlandish behavior requires steps that are just unacceptable.
> 
> <cite>*[That Wild Ask A Manager Story](https://jacobian.org/2022/feb/14/that-wild-aam-story/)* ([cache](/david/cache/2022/d9ff2d3ee678b7de12c1a4e6d521ca35/))</cite>

> 🧑‍🔬 Des CSS sans classes (mais avec variables) :
> 
> * [Simple.css](https://simplecss.org/)
> * [Basic.css](https://vladocar.github.io/Basic.css/)
> * [new.css](https://newcss.net/)
> * [Water.css](https://watercss.kognise.dev/)
> * [Almond.css](https://alvaromontoro.github.io/almond.css/)
> * [Marx](https://mblode.github.io/marx/) (forcément)

> Quand certains, isolés depuis près d’un an, souffrent de la solitude, d’autres, qui télétravaillent, dont les enfants suivent la classe à domicile, le tout sans leur réseau de soutien habituel, souffrent d’*aloneliness* : le sentiment de ne pas passer assez de temps seul. ==Il ne s’agit pas simplement d’une préférence pour la solitude== mais bien du sentiment qui naît de l’écart entre la préférence subjective pour la solitude et le temps passé effectivement seul.
> 
> <cite>*[cailloux n°79 : l’asolitude](https://cailloux.substack.com/p/cailloux-n79-lasolitude)* ([cache](/david/cache/2022/9b22b9e02073904986f4c33a75d90918/))</cite>


> [en] 🦋 But I also know we can do our best and still suffer the fate I most want to avoid. Such is life, though. This is the price we have to pay for living: to endure the beauty that comes with the fragility of moments.
>
> <cite>*[Winnie Lim » out of control](https://winnielim.org/journal/out-of-control/)* ([cache](/david/cache/2022/77e068f6681c5054ef9871e8102f3236/))</cite>
