# Régime

> J’ai eu le temps, durant toutes ces années d’errances convenues, de sentir à quel point plus c’est sauvage et plus c’est vrai. Je ne peux me défaire de ce que l’expérience de la nature a laissé : dans l’abandon du sauvage, on perd toute possibilité de liberté. J’ai toujours marché librement dans les forêts, fort de ce constat que la beauté est l’expression parfaite du sauvage pour la nature, et de la liberté pour l’homme.
>
> L’ambition est peut-être énorme que de vouloir vivre derrière l’ours en naturaliste éperdu, mais rien ne peut m’interdire d’être libre sous les étoiles, nul ne peut m’empêcher d’être entier consacré à cette errance naturelle. Partout où je marche longtemps, partout où je m’attarde un peu, l’acte libérateur est toujours un acte de présence au chemin, pourvu qu’il me conduise là où d’autres ne vont pas. […]
> 
> Cet exact moment de solitude n’est pas un retranchement, mais un rapprochement.
>
> <cite>*Dans les forêts de l’ours*, Rémi Huot</cite>

Perdre du poids [de manière saisonnière](/david/2021/12/06/) est assez difficile, surtout lorsque l’hiver s’éternise (insérer ici un mème de Merry et Pippin qui demandent si vous êtes au courant du 3<sup>e</sup> hiver québécois…). Il s’agit principalement de combiner une hausse d’activité sportive à une réduction/adaptation de l’alimentation. *Facile en théorie.*

Je vous livre ma principale astuce avant d’en faire un TED talk ou un article pour Flow magazine : **se brosser les dents après chaque ingestion d’aliment.** Dans mon cas particulier, j’applique la règle pour *chaque* carreau de chocolat. Mine de rien lorsqu’il y a plusieurs minutes en jeu, à répétition, ça donne beaucoup moins envie de grignoter. *Facile en pratique.*

---

C’est la guerre. Alors je suis allé randonner à skis. Fort. Loin. Oublier. Accepter. Se perdre. Dans des pensées étranges, entre misanthropie et incompréhension. Je ne comprends pas cette idée de nation, encore moins de nationalisme. Et j’appréhende une telle déception si j’arrivais finalement à comprendre que je m’y refuse. Ce concept peut-il mourir avec suffisamment de personnes ? Combien ?

---

Les cavaliers de l’apocalypse galopent, on ne sait plus s’ils courent après le capitalisme ou fuient la crise climatique qui s’en vient. Probablement un peu des deux, et on leur donne trop de foin, pas assez de soin. En attendant, [on se marre bien](https://www.bedetheque.com/serie-34387-BD-Cavaliers-de-l-apocadispe.html) en famille. Et c’est déjà ça.

---

Bientôt, la question se posera de savoir quel est le régime le moins inadapté à répondre à toutes ces crises. Les choix seront forcément surprenants car non pleinement conscients. Dans la panique, une main tendue. Vers qui, pour quoi ?

---

J’ai une soif de (micro)typographie en ce moment que je ne m’explique pas vraiment. Comme un besoin de me concentrer sur du tout petit et futile pour ne pas voir un macro angoissant. Je me rends compte d’à quel point le web et l’automatisation sont démunis sur ces plans là. Mes tentatives d’éviter les veuves (typographiques) sur cet espace, n’endommagent-elles pas le gris (typographique) de la page ? L’hyphénation automatique des navigateurs étant ce qu’elle est, faut-il le faire à la main ? Jusqu’où aller ?


## Bananes

> ⏳ Pour retrouver l’abondance de temps, il faudrait arrêter de le contrôler. Notre attention ne peut pas se trouver à deux endroits en même temps : soit je fais l’expérience du temps, soit je le mesure. Mais je ne peux pas faire les deux en même temps. 
>
> <cite>*[Les Jazzettes #20](https://jazzettes.substack.com/p/les-jazzettes-20)* ([cache](/david/cache/2022/87b3d4be1d7a1e72be8d411a0eb59249/))</cite>

> 🤗 Selon André Gorz, la société capitaliste a pour devise : « Ce qui est bon pour tous ne vaut rien. Tu ne seras respectable que si tu as “mieux” que les autres. » On peut lui opposer une devise écologiste : « Seul est digne de toi ce qui est bon pour tous. Seul mérite d’être produit ce qui ne privilégie ni n’abaisse personne. » Aux yeux de Gorz, un besoin qualitatif a ceci de particulier qu’il ne donne pas prise à la « distinction ». […]
> 
> Établir une liste de besoins authentiques n’a rien d’évident et suppose ==une délibération collective continue==. Il s’agit donc de mettre en place un mécanisme qui vienne d’en bas, d’où émane démocratiquement une identification des besoins raisonnables.
>
> <cite>*[Ce dont nous avons (vraiment) besoin](https://www.monde-diplomatique.fr/2017/02/KEUCHEYAN/57134)* ([cache](/david/cache/2022/65e0c481f692260299c53e9713339f53/))</cite>

> 😔 Si la justice transformatrice nous a appris une chose, c’est bien que le changement systémique n’est pas suffisant. De nombreux changements doivent aussi se produire au niveau communautaire et individuel.
>
> Les vaccins ont mis en lumière le profond ancrage du validisme dans nos cultures politiques. […]
> 
> Le privilège valide implique que vous n’avez pas à écouter les personnes handicapées ni à apprendre ce que sont le validisme et la suprématie validiste. Notre gouvernement se fiche des personnes handicapées qui existent déjà. Penser qu’il prendra soin de vous si vous devenez handicapé⋅es à cause du covid [long], comme des millions d’autres le deviendront, c’est le fruit de votre ignorance validiste. […]
> 
> Les personnes handicapées ne sont pas jetables. ==Nous sommes votre présent redouté et votre inévitable futur.== Nous sommes ce que l’âge et le temps promettent plus que tout, et c’est pourquoi vous avez peur de nous, et que vous nous avez continuellement repoussé·es et caché·es.
> 
> <cite>*[Nos morts ne vous sont pas dues](https://www.jefklak.org/nos-morts-ne-vous-sont-pas-dues/)* ([cache](/david/cache/2022/c4af28e3e148b7fd23ccb06e3a3f0358/))</cite>

> [en] ☢️ Here is no honourable deed commemorated,  
> Nor ancient treasure buried  
> Nor high seat of honor nor festival ground.  
> We feared and hated what is here.
> 
> <cite>*[2021.58 fiction until](http://futurefire.net/2021.58/fiction/until.html)* ([cache](/david/cache/2022/f3a292e38cc775f66adcd3e876baf082/))</cite>

> 🎶 Mais au bout d’une dizaine de lectures, le diamant d’une platine aura déjà raboté les infimes variations de matière correspondant aux fréquences supérieures à cette valeur sur un disque vinyle. Et de toutes façons, l’oreille humaine ne peut percevoir de fréquences au-delà de 20 kHz environ. Et encore, au début de sa vie. Si vous êtes en âge de lire ce blog, vous n’êtes plus dans ce cas, désolé 😬. 
> 
> <cite>*[Le disque vinyle : débunkage](https://blog.cybergrunge.dev/le-disque-vinyle-debunkage)* ([cache](/david/cache/2022/69acddf6a1f953e130ab2b36960568b7/))</cite>

> [en] 👻 On the web, there are no such restrictions: when a website dies, ==it leaves no sign of its past self behind.== The closest you might come to seeing signs of this cycle is witnessing the birth of a new website. […]
> 
> I’ve often thought about getting together with some friends to pay into a fund to house our websites after we die. […] Our ghosts could live forever, if we help each other.
> 
> <cite>*[How Websites Die](https://notebook.wesleyac.com/how-websites-die/)* ([cache](/david/cache/2022/91078de938da3b77cff57427da41dc11/))</cite>


> 🩹 Pour Illich et Gorz, l’institution de la médecine est globalement complice d’un système (capitaliste et technique) qui rend malade les gens (par le travail, la pollution, l’alimentation, etc). La médecine s’attache alors à soigner les malades pour faire tourner la machine qui sinon s’écroulerait. Le système crée des problèmes, mais d’une certaine manière, il tient parce que la médecine apporte des solutions. Sauf qu’en opérant ainsi, ==le système change le pansement au lieu de penser le changement.==
>
> Je trouve qu’il y a une analogie, lointaine certes, mais réelle avec l’institution qui se forme autour de l’éducation au numérique. Le système se numérise à grande vitesse, cela crée des cassures, des inégalités, des incompréhensions, des troubles. Alors une éducation au numérique s’institutionnalise pour réparer ce qui a été cassé, trouver des solutions aux problèmes. Mais à aucun moment, la question des causes n’est sérieusement diagnostiquée pour donner ensuite lieu à des politiques sociales.On dit que « 13 millions de Français subissent le numérique ». Mais subissent-ils le numérique, ou la numérisation de la société, qui est un choix politique délibéré ?
>
> <cite>*[Éduquer au numérique d’accord. Mais pas n’importe lequel et pas n’importe comment](https://louisderrac.com/2021/11/03/eduquer-au-numerique-daccord-mais-pas-nimporte-lequel-et-pas-nimporte-comment/)* ([cache](/david/cache/2022/099887889751a8432b4ab9ce7edc3bfa/))</cite>

> [en] 🤗 Gemini is solutionism at its worst and is more about exclusion of the mainstream over bringing actual technological advancement, let alone fixing the issues it baselessly claims to be fixing. Gemini does not bring new ideas to the table, but instead uses decade old concepts from HTTP and Gopher, to implement a castrated and badly designed version of its own, just for the sake of it not being HTTP nor Gopher. […]
> 
> Bottom line is, if you agree that the modern web has become an awful place, let’s work on changing that for everyone, instead of abandoning it ==like a bunch of billionaires trying to escape to a different place==, before this one collapses.
> 
> <cite>*[Gemini is Solutionism at its Worst](https://マリウス.com/gemini-is-solutionism-at-its-worst/)* ([cache](/david/cache/2022/cb9e84580f4cb201995be13a7df2117b/))</cite>

> [en] ➕ We’re capable of making this process easier for people. So much of what it takes to add content to a gemini capsule is things we can automate. So why don’t we?
> 
> <cite>*[Making Gemini Easy](https://proxy.vulpes.one/gemini/tilde.team/~tomasino/journal/20211103-making-gemini-easy.gmi)* ([cache](/david/cache/2022/053b5d423df20fa4e7978174d91d41bb/))</cite>

> [en] 🙉 In that regards, I think one of best aspects of Gemini is that it actually has a bar to entry. If you want to do more than just reading, you need to invest some time into understanding what you are contributing to. ==It’s not incredibly difficult,== but it does demand a modicum of technological understanding.
>
> That obstacle is a ultimately good thing. As much as it excludes those who are unwilling to invest in overcoming it, also it elevates those who do.
> 
> <cite>*[Keeping Gemini Difficult](https://memex.marginalia.nu/log/35-keeping-gemini-difficult.gmi)* ([cache](/david/cache/2022/d7aa31b1b2a781330df24fe71c19166c/))</cite>


> 🙌 Nous considérons l’entreprise comme une sorte de bien commun, plutôt que comme quelque chose qui appartient à certain⋅es : c’est tout simplement notre cadre de travail.
>
> Au lieu de de rémunérer la propriété de l’entreprise, nous cherchons à ==rémunérer le travail==. Mesurer le temps passé à travailler est parfois complexe, mais cela nous semble plus équitable que de rémunérer la propriété.
>
> <cite>*[Brasserie du Vieux Singe — Transformation en SCOP](https://www.vieuxsinge.com/transformation-en-scop.html)* ([cache](/david/cache/2022/63c624eb03143c963380f527b7b5ca0f/))</cite>

> [en] 🎲 I made this game so I can improve my daughter’s ability to read and debug code. Each card has something interesting to teach. The game is simple, pick a card, read the code, throw a 20 sided dice (wherever you see the ⚂ symbol) to get a value and evaluate the code together with your kid. 
>
> <cite>*[Programming time](https://punkjazz.org/programming-time/)*</cite>

> [en] 🎓 I think modern education treats programming as “career path”, I think of that to be wrong. ==I treat it as literacy.== Being literate lets to experience a different world than those who aren’t. It is not about having a job, I can’t even explain it, being literate just allows you to see the fabric of what everything is made of.
>
> <cite>*[Programming for kids](https://github.com/jackdoe/programming-for-kids)* ([cache](/david/cache/2022/62f9f5083de61124ed4d9fe1b458d505/))</cite>

> 🤫 Chacun a bien plus à gagner dans le bruit désordonné des conversations que dans le silence organisé des populations.  
>
> <cite>*[Ukraine. Para Bellum Numericum. Chronique du versant numérique d'une guerre au 21ème siècle.](https://www.affordance.info/mon_weblog/2022/02/guerre-ukraine-numerique.html)* ([cache](/david/cache/2022/31293aa75259e6e704ec714b5a4712cf/))</cite>

> 🇺🇦 Quelle que soit l’issue de la guerre, Poutine l’a déjà perdue. En plus de pousser vers l’Ouest ce qui restera de l’Ukraine, elle va renforcer voire agrandir l’OTAN, isoler et affaiblir la Russie qui deviendra paria, et menacer son propre pouvoir à Moscou. Le début de la fin.
> 
> <cite>*[Pourquoi Poutine a déjà perdu la guerre](https://legrandcontinent.eu/fr/2022/02/27/pourquoi-poutine-a-deja-perdu-la-guerre/)* ([cache](/david/cache/2022/7591561f82b6ec5b32ead9df89a11c15/))</cite>

> [en] 🦴 The web has never been a place for perfectionism. Typesetting in particular has been a long-neglected facet of web design because we’ve lacked the tools to give long texts the editorial care they need.
>
> <cite>*[Mechanical Ragger: Print typesetting for the web](https://oak.is/thinking/mechanical-ragger/)* ([cache](/david/cache/2022/c0e7ed5590b520f176aacfd76ae03188/))</cite>

> [en] 💩 According to Farley, one song that contains only the word “poop” repeated over and over generates $500 in streaming revenue every month as of 2018, likely in part because children request it from Alexa or other devices.
> 
> <cite>[Matt Farley](https://en.wikipedia.org/wiki/Matt_Farley), sur Wikipedia</cite>

> [en] 🎶 No monthly subscriptions. No ads. No corporation selling your data. No bots telling you what to like.
>
> To listen to music, buy credits for your account: 5, 10, 15 etc. Each time you listen to a song, you spend a small fraction of your credit. With our model, ==the money you spend goes directly to the artists you listen to,== and you only pay when you’re actually listening.
>
> <cite>[Pricing](https://resonate.is/pricing/), Resonate ([Manifesto](https://resonate.is/manifesto/))</cite>

> [en] 🙃 I want to start by just pointing out that what we’re trying to do here is kind of crazy. We want to:
>
> * Download code
> * from the internet
> * written by unknown individuals
> * that we haven’t read
> * ==that we execute==
> * with full permissions
> * on our laptops and servers
> * where we keep our most important data
>
> This is what we’re doing every day when we use `npm install`. It’s a *miracle* that this system works – and that it’s continued to *mostly* work for this long!
>
> <cite>*[What’s Really Going On Inside Your node_modules Folder?](https://socket.dev/blog/inside-node-modules)* ([cache](/david/cache/2022/0d024905896d89f8bd499e2a6170b59e/))</cite>

> [en] ❣️ Yet, we watch even more crippling measures being celebrated in the media as the appropriate reaction to one strongman’s decision. “Cripple Russia’s economy and there will soon be riots in Moscow to overthrow Putin” is a very simplistic logic to apply to people living under an oppressive regime. […]
> 
> It is informed by ==our lived experiences under racism, imperialism, colonialism, apartheid, neo-colonialism and so-called Western military ‘solutions’== – such as the “war on terror” – which invariably exacerbate conflicts and lead to more deaths. […]
> 
> Any day should be a good day to call out hegemony. Today, as the “free world” of “civilised nations” face “unprecedented times” – as the media would have it – those who have paid dearly for the unquestioned “rightness of the West” are saying: let’s speak against Western hegemony too.
> 
> <cite>*[An African view of what’s happening in Europe](https://www.opendemocracy.net/en/5050/an-african-view-of-whats-happening-in-europe/)* ([cache](/david/cache/2022/86a502931562f5a88120be5ae903b67a/))</cite>

> [en] 📻 When things are difficult – maybe there’s been a disaster, or an invasion (this page is being written in 2022 just after Russia invaded Ukraine), or maybe you’re just backpacking off the grid – there are tools that can help you keep in touch, or move your data around. This page aims to survey some of them, roughly in order from easiest to more complex.
>
> <cite>*[Tools for Communicating Offline and in Difficult Circumstances](https://www.complete.org/tools-for-communicating-offline-and-in-difficult-circumstances/)* ([cache](/david/cache/2022/4525ebd31ecd7bc978fbe0ad464824a3/))</cite>

> [en] 🧑‍🔬 The simplest open protocol that is able to create a censorship-resistant global “social” network once and for all.
> 
> <cite>*[nostr - Notes and Other Stuff Transmitted by Relays](https://github.com/fiatjaf/nostr)* ([cache](/david/cache/2022/af26cb6361904f154ea71e2c5b2271cc/))</cite>
