# Temps

> Lors de mes chevauchées précédentes, quand je rencontrais des habitants en vallée qui me demandaient en combien de temps avais-je franchi telle vallée ou telle montagne, et que, surpris par mes temps de passage, ils exprimaient le même grand étonnement devant tant de précaution, j’aimais leur répondre inlassablement qu’il eût été judicieux de mettre plus de temps encore.
> 
> <cite>*Dans les forêts de l’ours*, Rémi Huot</cite>

L’arrivée des bernaches, se réveiller en écoutant des couples de cardinals, le retour des étourneaux aussi. Ce passage du blanc à la vie est d’une brutalité surprenante. Chaque année. Redécouverte de sons et de mouvements aussi.

Avec une saisonnalité aussi marquée, c’est tout un écosystème qui sort de sa torpeur. Les vélos ressortent, le temps des échanges n’est plus dicté par la température, on envisage de sortir plus léger. Oui c’est cela, le manteau de l’hiver fond et on apprécie cette nouvelle légèreté.

Lors de ma dernière sortie, j’ai passé un contrat avec les sapins, je les libère du poids de la neige et ils me libèrent de celui des hommes.

---

Réflexion de camping d’hiver par -15°C : est-ce que l’homme est le seul animal à pouvoir se couvrir à la fois de laine *et* de plumes ? Cela étant dit, n’importe quel·le mésange ou [renard·e](https://media.larlet.fr/2022-renards-01.html) est bien plus adapté·e à ces conditions…

Trois jours plus tard, il fait 17°C à Montréal.

---

J’ai décidé de faire une étagère au lieu de l’acheter. L’objectif est que le prix des outils + matières premières soit inférieur à celui de l’étagère neuve. Pour l’instant, c’est pas gagné, mais il y a une tel apaisement à raboter des planches (cliché++) que c’est peut-être « rentable » tout de même. Oh et puis ça ouvre des perspectives.

Et c’est important les perspectives, ça crée d’autres temporalité. De celles qui donnent le sourire.

---

On s’est fait accompagné par [Anthony](https://ricaud.me) pour explorer Stimulus et TypeScript. C’était en fait beaucoup plus large que cela car on tourne immanquablement autour des bonnes pratiques, des performances, de l’accessibilité. Des trolls aussi. J’ai appris plein de choses et ça m’a ouvert d’autres façons de penser/aborder les choses techniques. Se dé·former en permanence, c’est ce qui me plait tant dans le web.

---

J’ai lu [L’Arabe du futur](https://fr.wikipedia.org/wiki/L%27Arabe_du_futur) et c’était douloureux. Entre la radicalisation d’un père et l’acceptation d’une mère, je ne sais pas ce qui m’a le plus crispé mais j’ai continué car j’avais besoin de comprendre les différences culturelles traitées. Et une culture ne se juge pas.

J’ai enchaîné avec [L’Odyssée d’Hakim](https://fr.wikipedia.org/wiki/L%27Odyss%C3%A9e_d%27Hakim) qui permet de suivre le parcours d’un réfugié/migrant syrien en comprenant tout ce qu’il perd, ce qu’il endure pour arriver dans un pays où il n’a pas eu la chance de naître. Et où il subira du racisme toute sa vie restante.

Cela m’a mis le nez sur l’indécence de raconter des situations de prises de risques plus ou moins volontaires dans les forêts québécoises.

---

Le vélo est l’une des plus belles inventions humaines.

## Fugit

> ✊ Ce n’est donc pas uniquement par principe éthique que nous sommes internationalistes mais aussi par stratégie révolutionnaire. Nous défendons donc la nécessité de créer des liens et des alliances entre les forces auto-organisées qui œuvrent pour l’émancipation de toutes et tous sans distinction. C’est ce que nous nommons l’internationalisme par le bas, l’internationalisme des peuples.
>
> <cite>*[Guerre en Ukraine : 10 enseignements syriens](https://cantinesyrienne.fr/ressources/les-peuples-veulent/guerre-en-ukraine-10-enseignements-syriens)* ([cache](/david/cache/2022/ad5756e74f5c976458c42eeb9e60707e/))</cite>


> [en] 💚 Writing text that can be understood by as many people as possible seems like an obvious best practice. But from news media to legal guidance to academic research, the way we write often ==creates barriers== to who can read it.
> 
> <cite>*[What makes writing more readable?](https://pudding.cool/2022/02/plain/)* ([cache](/david/cache/2022/0dc625e86fb8e680308250b1245f1086/))</cite>


> [en] 🤔 Articulating ideas as simply as possible is attractive, not least because getting people to agree with us is attractive. But we have a tendency to overrate ideas that can be shared easily, with the most apparent advantages. By constant simplifying, we may be lulled into abridging our own ideas a little too much, and sooner or later our audience—or ourselves—might come to expect only these truncated thoughts. What is easy to explain is not necessarily what is best. What is easy to understand is not necessarily what is true. […]
> 
> The archives of human cleverness are filled with blunders. When read in a good mood, history is a blooper reel. But it should not be lost on us that history never repeats, and modern technology enables ever more leverage. ==The more technology you can harness to commit an idea, and the faster your idea can spread, the greater the magnitude of something going wrong with a single decision.== Scale is a capricious beast, one that becomes easier to summon and harder to predict. Be very careful when you let it in the house. […]
> 
> p.s. “If you can’t explain it to a 6-year-old, you don’t understand it yourself.” — Another small disagreement, more implicit. You shouldn’t be so concerned about whether or not you understand something before you try to explain and share. Some things can only grow in the light of others.
>
> <cite>*[Long Distance Thinking](https://simonsarris.substack.com/p/long-distance-thinking)* ([cache](/david/cache/2022/985e33814839a9c113720a5142caec0e/))</cite>


> [en] 💯 We also need to question and seek to trim excesses in design which may look good in a design comp, but only serve to frustrate and impede people in practice. These excesses in development and design aren’t simply related, they depend on one another to exist. The more complex a design is, the more it will cost to develop it. Every interaction you simplify, every boondoggle you can remove, represents a benefit to the person who uses what you make.
>
> So make it boring.
> 
> <cite>*[Make it boring - jlwagner.net](https://jlwagner.net/blog/make-it-boring/)* ([cache](/david/cache/2022/9ad9f5ea367dbd74e4aeeb8471747247/))</cite>


> [en] 🧑‍🚀 The supplementary question is how you build trust and help people feel confident enough to share their half-baked ideas with people they half know. It’s not *just* about bumping into people outside meetings, ==but repeated encounters to build familiarity==, and the environment of the bar or the liminal quality of the corridors, and having gregarious friends and colleagues to connect conversations, and so on and so on.
> 
> <cite>*[Workplace serendipity, invention, and lessons from Prohibition 1920-1933](https://interconnected.org/home/2022/03/14/saloons)* ([cache](/david/cache/2022/a400ea6d0c196bbcaefbe1cc9af84fbb/))</cite>


> 🚗 On a construit un modèle de société où le rêve est d’ha­bi­ter dans une maison indi­vi­duelle sans vis-a-vis avec un grand jardin, avec une ou plusieurs grosse voitures et une route large qui nous amène à une grande ville juste à côté.
>
> ==C’est ce modèle qu’il nous faut dépas­ser==, et ça pren­dra bien plus que quelques années, que ce soit au niveau chan­ge­ment des menta­li­tés ou au niveau de l’or­ga­ni­sa­tion urbaine.
>
> <cite>*[On ne fera pas l’économie de parler distance des logements](https://n.survol.fr/n/on-ne-fera-pas-leconomie-de-parler-distance-des-logements)* ([cache](/david/cache/2022/47b228aca2d77bc5e7eee35437655a8e/))</cite>


> [en] ✍️ Maybe I’ll still change my mind some day, but currently I think the practice of publishing regularly keeps me honest. It can be awkward and embarrassing when I realised I no longer agree with what I wrote, but to have ==a public changelog of how I have evolved== as a person is somewhat humbling and clarifying.
> 
> <cite>*[writing as a practice](https://winnielim.org/journal/writing-as-a-practice/)* ([cache](/david/cache/2022/6e3580538a14b52ac9cb5fd54dfa1384/))</cite>
