# Recherche

> C’est une chose étrange que de vouloir être explorateur de nos jours. Le mot même pourrait sembler désuet, témoin d’un temps révolu où l’homme était encore petit et le monde encore grand. Reste-t-il toujours du mystère, de l’inconnu alors que la modernité s’acharne à tout maîtriser et à tout conquérir ? L’homme d’aujourd’hui détruit bien plus volontiers qu’il n’explore. Il uniformise le monde, s’accapare des terres et des océans et finalement tue le plus grand trésor de cette planète : le vivant.
> 
> Quand on se penche sur la définition qu’en donne le Larousse, l’explorateur y est décrit comme une « personne qui fait un voyage de découverte dans un pays lointain, une région inconnue ». Mais aujourd’hui où le pays le plus lointain se trouve à seulement quelques heures d’avion et où il faut scruter à la loupe des cartes topographiques pour repérer des régions vierges ou au mieux mal connues, cela a-t-il encore du sens ? ==Reste-t-il seulement quelque chose à explorer ?== […]
> 
> Je vois donc l’exploration comme la possibilité de rencontrer autre chose que soi-même, comme la volonté de mieux connaître la nature, de renseigner sa destruction, mais aussi et surtout de réapprendre notre place sur Terre. Un monde sans exploration possible serait un monde vide. Vide de sens, vide de vie. Un monde mort. Tant que les explorateurs pourront exercer leur métier, rien ne sera tout à fait perdu.
> 
> <cite>*Comment survivre à l’attaque d’un ours et autres aventures*, Eliott Schonfeld</cite>

Je suis frustré de ne pas avoir de page de recherche sur cet espace depuis des années. (Je ne sais pas si je suis frustré qu’il n’y ait pas de recherche ou par l’idée que ce soit un site sans possibilité de s’y retrouver mais c’est un autre débat.) J’avais expérimenté un peu avec [LunrJS](https://lunrjs.com/) sans être convaincu par le support du français. Je regarde aussi régulièrement ce qu’il se passe [côté Hugo](https://gohugo.io/tools/search/) ou [Pelican](https://pypi.org/project/pelican-search/) mais que ce soit [Stork](https://stork-search.net/) ou [tinysearch](https://github.com/tinysearch/tinysearch), passer par Rust (et WebAssembly !) ajoute une complexité non négligeable, même si des personnes ont pris la peine de [documenter](https://lord.re/posts/206-recherche-pour-un-blog-statique/) ([cache](/david/cache/2022/2f3ed5cb927427fb834b4a9d657592be/)) leurs [implémentations](https://endler.dev/2019/tinysearch/) ([cache](/david/cache/2022/d97914db7d2e525edc27669adbc0f917/)) en détail. Merci !

Et puis il y a quelques jours, je tombe sur ces [deux](https://gomakethings.com/how-to-create-a-search-page-for-a-static-website-with-vanilla-js/) ([cache](/david/cache/2022/09da2c716e8bb15e5d22ee071cf39358/)) [articles](https://gomakethings.com/how-to-update-the-url-of-a-page-without-causing-a-reload-using-vanilla-javascript/) ([cache](/david/cache/2022/2c67b87e1b880952bb277fc429cb8bf5/)) de Chris Ferdinandi et je me dis que ça vaut le coup de tenter en faisant quelques copier-coller. Histoire de voir au moins à quelle taille d’index est-ce que j’arrive et si j’en comprends bien le code. Je commence avec les entrées depuis 2020 et j’arrive à une taille raisonnable de téléchargement (350 Ko). En allant chercher quelques années précédentes, je monte jusqu’à 700 Ko de transfert ce qui me semble être la limite acceptable pour une telle fonctionnalité. Je suis enthousiaste à l’idée d’avoir avancé sur ce vieux sujet en quelques lignes de JS et de Python !

J’ai fait [quelques améliorations](https://git.larlet.fr/davidbgk/larlet-fr-david/src/commit/c0b4ddac306cfe56cd55c578b53d7c0edf7d4fd8/david/templates/recherche.html#L157-L371) depuis, notamment car je voulais que l’on voit les termes recherchés, un *template* dédié pour le rendu et des *stopwords* en français. Je fais en sorte que les résultats s’affichent lors de la saisie aussi. Il y aurait encore beaucoup à faire et à défaire (récupérer les résultats plus anciens dans un second temps pour réduire la taille de la page initiale ?). L’algorithme actuel est… simpliste. Peut-être une opportunité de [faire en commun](/david/2022/03/23/) un outil pour les utilisateur·ices de sites statiques ?

Si vous voulez jouer avec, ça se passe [par ici](/david/recherche/). Je n’ai aucune idée des recherches que vous allez effectuer car toutes les requêtes restent chez vous. N’hésitez pas à me remonter les incohérences en précisant les termes spécifiés et les résultats escomptés.

---

🐺 J’ai encore une fois croisé des traces de canidé sauvage lors d’une randonnée dans la neige fraîche. Je me demande combien d’entre ell·eux m’ont observé depuis que je vais me balader en forêt. Je réalise à quel point mon imaginaire nord-américain a été bercé par Yakari. À bientôt Trois-Pattes !

---

💰 On réfléchit beaucoup autour des salaires au sein de scopyleft (oui, [encore](/david/2021/11/30/)). Et la lecture de cet article sur le [prix libre et conscient](https://david.mercereau.info/ma-pratique-du-prix-libre-et-conscient/) ([cache](/david/cache/2022/d9af1ba02055491fc25b6849b8fd65d0/)) m’a fait envisager un *salaire libre et conscient*. À suivre…

---

🚲 J’ai vu passer quelqu’un dans mon flux mastodon qui parlait de *vélo acoustique* en opposition aux vélos électriques. J’adore et j’adopte.

---

🧐 Deux mots à explorer :

1. [anomie](https://fr.wiktionary.org/wiki/anomie) : État d’une société caractérisée par une désintégration des normes qui règlent la conduite des personnes et assurent l’ordre social. 
2. [Eutopia](https://en.wiktionary.org/wiki/Eutopia) : A place of ideal well-being, as a practical aspiration (compared with utopia as an impossible concept).

---

🎭 L’inconvénient de devenir vieux, c’est de bien trop connaître la [pièce de théâtre](https://www.economist.com/interactive/france-2022) qui se joue tous les 5 ans. Je vais une nouvelle fois m’abstenir d’y jouer un rôle, qui plus est distant.


## Trouvailles

> [en] ✍️ Many mornings I write very mundane stuff, but the pandemic has taught me not to take the mundaneness of life for granted. ==There is luxury in being mundane.== It is like how oxygen is precious to life, but we forget how precious it is because it is in abundance all around us. But once we have a suffocating experience we would never see oxygen the same way again. For me, the mundaneness of my life is precious.
>
> <cite>*[making space for my self through journalling](https://winnielim.org/journal/making-space-for-my-self-through-journalling/)* ([cache](/david/cache/2022/6e38073a60400f3930923e61a67ddc56/))</cite>


> [en] 🧑‍🍳 Cooklang is like markdown for recipes. It lets you write recipes in a human-readable format that a computer can parse to get the ingredient list, steps, etc.
> 
> <cite>*[Cooklang - Managing Recipes in Git](https://briansunter.com/blog/cooklang/)* ([cache](/david/cache/2022/48c2a5401b4445c412167f0ae1280ad8/))</cite>


> 🤗 Est-ce qu’il n’y aurait pas là comme un regret de ne plus être celle que j’ai été, un refus de laisser le temps faire son affaire, une bataille perdue d’avance ? La silhouette fine de la jeune femme me ferait-elle de l’œil dans le miroir ? C’est bien possible. Pourtant j’aime les rides et les cicatrices, les taches brunes sur mes mains m’attendrissent mais je n’accepte pas encore facilement ce corps qui change, qui s’alourdit, devient moins ferme. ==Et je ne comprends pas pourquoi.==
> 
> Il n’y a aucune raison valable.
> 
> <cite>*[Du gras - Carnets de routes](https://www.carnetsderoutes.me/Du-gras.html)* ([cache](/david/cache/2022/46d0b4daf67dbeb6a068f921c50076af/))</cite>


> 🤔 Je me doute que cet article ne va pas plaire à une bonne partie de mon lectorat. Passer son temps à se la raconter « anarchiste » pour finir par inciter les gens à aller gentiment aux urnes ? Honnêtement, je me tamponne de la « pureté » du militantisme et de l’idéologie. Le monde, la politique, tout ça, c’est le bordel, et on avance au coup par coup, ==comme on peut.== On ne crache certainement sur aucune victoire, même modeste. Je suis peut-être un anarchiste, mais alors un anarchiste opportuniste : peu importe le moyen, si ça apporte un pouième de progrès social, je prends.
> 
> <cite>*[L’hypothèse Mélenchon](https://grisebouille.net/lhypothese-melenchon/)* ([cache](/david/cache/2022/c89dc81e066c25e15a90123631168673/))</cite>


> [en] 🔗 I like Bohn’s working definition, however vague it might be in the details. ==“Be linkable and accessible to any client”== is a provocative test for whether something is “of the web”. 
> 
> <cite>*[What is the Web?](https://blog.jim-nielsen.com/2022/what-is-the-web/)* ([cache](/david/cache/2022/99a44a14a9d140bd39686955a78e5e9f/))</cite>

> [en] 📍 DAOs are, I think, one of the best illustrations of the problem with a lot of these Web3 projects: They are trying to find technological solutions that will somehow codify very complex social structures. A lot of them also seem to operate under the assumption that everyone is acting in good faith, and that ==project members’ interests will generally align==—a baffling assumption given the amount of bad actors in the crypto space.
> 
> <cite>*[How a Wikipedia volunteer editor became a very vocal Web3 critic](https://www.fastcompany.com/90733574/how-a-wikipedia-engineer-became-one-of-the-loudest-web3-skeptics)* ([cache](/david/cache/2022/10bfffb87f475e23c0dd0a30527b9750/))</cite>


> 🇷🇺 Toujours, je répondais : « Non les gars, la Russie n’est pas le passé de l’Europe. La Russie est votre futur. Regardez ce qui se passe en Russie et vous verrez ce qui arrivera à vos propres sociétés. » Tout se passe ici en accéléré. […] La paix est incompatible avec le présent système politique, avec les conditions sociales qui ont rendu Poutine possible. Poutine est bien entendu responsable personnellement de cette guerre. Mais il est aussi ==le résultat de ces trente dernières années d’inégalités et d’exploitation== pendant lesquelles les récits nationalistes ont été légitimés, tandis que la perte de voix des plus pauvres ouvrait la voie aux dérives dictatoriales. La guerre est le fruit de ces penchants libéraux et nationalistes.
> 
> <cite>*[« La victoire sur Poutine viendra de l’intérieur »](https://www.revue-ballast.fr/alexey-sakhnin-la-victoire-sur-poutine-viendra-de-linterieur/)* ([cache](/david/cache/2022/37d3c1e9f20ea7396919f9f6cda24a08/))</cite>


> [en] 🗺 As journalists and illustrators, there is no way around simplifying the world for the sake of readability. Whether in maps or in text. But we can be much more aware of ==the consequences of those simplifications== – and be honest about what’s happening. We can present a map as a story that contains moral choices, rather than portraying it as the truth.
> 
> <cite>*[How maps in the media make us more negative about migrants](https://thecorrespondent.com/664/how-maps-in-the-media-make-us-more-negative-about-migrants)* ([cache](/david/cache/2022/9f2c19796746e6888e309647a49508bb/))</cite>


> [en] 🤓 We had this debate about Iraq. Was Iraq the way it was because of Saddam, or was Saddam the way he was because of Iraq? In other words, there’s the personality, which can’t be denied, but there are also ==structural factors== that shape the personality. One of the arguments I made in my Stalin book was that being the dictator, being in charge of Russian power in the world in those circumstances and in that time period, made Stalin who he was and not the other way around.
> 
> <cite>*[The Weakness of the Despot](https://www.newyorker.com/news/q-and-a/stephen-kotkin-putin-russia-ukraine-stalin)* ([cache](/david/cache/2022/147b20ce875cacebd10f490f2690ce57/))</cite>


> 🚙 Steve Jobs disait que l’ordinateur allait devenir une bicyclette pour l’esprit, un outil sobre, efficient, réparable et améliorable. Chez Apple, la bicyclette s’est transformée en SUV.
> 
> <cite>*[Apple et la convivialité](https://louisderrac.com/2022/03/23/apple-et-la-convialite/)* ([cache](/david/cache/2022/580f9e17e55d43379850d613f51cf3a2/))</cite>


> 🎯 Un développeur web très ==au centre==, ça serait une personne qui est salariée dans une entreprise financée par de la dette (une start-up), dont le produit “œuvre pour un monde meilleur” et dont certains des clients, directs ou indirects, représentent les énergies fossiles ou des industries polluantes. Cette personne se moquerait de ses camarades, ne s’intéresserait pas aux inégalités de son équipe, de l’utilisation/traitement/revente des données, et prendrait l’avion pour aller à des conférences ou en séminaire d’équipe.
> 
> <cite>*[☕️ Journal : Marges](https://thom4.net/2022/03/23/marges/)* ([cache](/david/cache/2022/4bf828ef0ce7191d048d0c510a3c3e0c/))</cite>


> [en] 🦋 I guess the thing that would really help with this is education and helping people hone their skills as developers. I understand that there’s a learning curve and not everyone is going to become a programming god overnight, but every little bit sets off butterfly effects that will ripple down in other ways. Any solution that ==requires everyone be a programming god== isn’t viable for anyone, including programming gods.
> 
> <cite>*[Technical Solutions Poorly Solve Social Problems](https://christine.website/blog/social-quandry-devops-2022-03-17)* ([cache](/david/cache/2022/3e8bb1b63246d6f97316864569492382/))</cite>


> [en] 🚲 It’s one thing for a city to build a few pop-up bike lanes. It’s another for them to go the extra mile (or kilometer, in Jakarta) and officially ==prioritize road space for non-drivers.==
> 
> <cite>*[Jakarta’s Transit Miracle](https://infiniteblock.substack.com/p/jakartas-transit-miracle)* ([cache](/david/cache/2022/a863c20d0cb9722df74219009e8365a3/))</cite>


> [en] 🍫 For example, to stop eating chocolate—that’s something ==a dead person can do better than you== because, no matter what, they’ll definitely never, ever eat chocolate again. […] Any goal that is about not doing something or stopping doing something is a dead person’s goal.
> 
> <cite>*The Happiness Trap*, Russ Harris</cite>


> [en] 🐝 Honchar describes these technological battles, and Aerorozvidka’s way of fighting, as the future of warfare, in which swarms of ==small teams networked together== by mutual trust and advanced communications can overwhelm a bigger and more heavily armed adversary.
>
> “We are like a hive of bees,” he said. “One bee is nothing, but if you are faced with a thousand, it can defeat a big force. We are like bees, but we work at night.”
> 
> <cite>*[The drone operators who halted Russian convoy headed for Kyiv](https://www.theguardian.com/world/2022/mar/28/the-drone-operators-who-halted-the-russian-armoured-vehicles-heading-for-kyiv)* ([cache](/david/cache/2022/c7ebf32ee18c4f44c452f864729a21a8/))</cite>


> [en] 🔨 “In one sense, this register is just annoying because it’s tacky and cliched,” says Mark. “But again, it’s annoying because it just seems so lazily narcissistic. One thing I will say about the idea of the apocalypse is that it’s usually at least as much a fantasy as it is fear. As often as not, ==it’s a narcissistic fantasy about being a witness==, and subject, of the end of everything. And when it’s invoked, as it so often is, in this world-weary, ironic register it’s a way of seeming to be maximally serious – because what could be more serious than the end of the world? – while being about as frivolous as it’s possible to be.
> 
> <cite>*[Stop making the Ukraine war about you](https://www.dazeddigital.com/politics/article/55563/1/stop-making-the-ukraine-war-about-you)* ([cache](/david/cache/2022/cf85372fcb8da232d3fb8d95a88bc8fe/))</cite>

> [en] 👋 When your FOSS project chooses to use a non-free platform, you give it an official vote of confidence on behalf of your project. In other words, you lend some of your project’s credibility and legitimacy to the platforms you choose. These platforms are defined by network effects, and ==your choice is an investment in that network.== […]
> 
> In short, choosing non-free platforms is an individualist, short-term investment which prioritizes your project’s apparent access to popularity over the success of the FOSS ecosystem as a whole.
> 
> <cite>*[It is important for free software to use free software infrastructure](https://drewdevault.com/2022/03/29/free-software-free-infrastructure.html)* ([cache](/david/cache/2022/ed7544349c2bef8c7f1bfff3ab286fd6/))</cite>

> [en] 💔 If you work with full time remote employees or contractors, please put channels in place to communicate with family or alternate contacts. Make sure emergency contact info is shared on both sides.
> 
> <cite>*[Mourning Loss of a Team Member as a Remote Team](https://www.sofuckingagile.com/blog/mourning-loss-as-a-remote-team)* ([cache](/david/cache/2022/5eb0016b355ac4b358be367fe64f4c84/))</cite>

