# Ressenti

> [en] As a result of these conversations, I have sometimes even wondered whether I should ==add some artificial delay== in the comment application before responding with a success message to satisfy the expectations of people who are so used to the bloated web. Of course, I am not actually going to do that. I want to keep it simple. I do not like adding artificial restrictions to a simple piece of functionality.
> 
> <cite>*[Comfort of Bloated Web](https://susam.net/maze/wall/comfort-of-bloated-web.html)* ([cache](/david/cache/2022/fc0fd0dbeeb8a3f2b47e8ccab6d2cbc9/))</cite>

Cela m’a rappelé une vieille discussion [issue de ce <abbr title="Post-Scriptum">PS</abbr>](/david/stream/2015/12/22/) :

> Notez qu’en attendant j’ai mis une courte animation à l’affichage des pages car on m’a *plusieurs fois* fait la remarque que « les performances sont trop bonnes » pour identifier le changement de page (la première fois j’ai pris ça pour une blague mais il faut bien constater qu’il s’agit d’une expérience aux antipodes des pratiques sur le web…), j’ai aussi mis en relief les phrases en gras.

Qui avait généré [quelques discussions chez Stéphane](https://nota-bene.org/Performances-trop-bonnes) ([cache](/david/cache/2022/1ab2a594ae40deb0f4443807f1fa7596/)), puis une [clarification de ma part](/david/stream/2015/12/30/), et enfin  chez Éric qui [évoque la notion de ressenti](https://n.survol.fr/n/performances-et-ressenti) ([cache](/david/cache/2022/c8c3f9a0a328a21db8c91c7a288a8b4f/)) plus que de performances.

Sans compréhension, la performance n’est rien pour paraphraser un slogan (d’un autre temps ?). Avec le recul, je prends davantage en considération les affordances — surtout dans le cas de l’article en anglais sus-cité — et ce n’est pas tout d’être rapide si certains *patterns* ne sont pas respectés. Auquel cas, l’utilisateur·ice n’en est que plus rapidement… désorienté·e. Les évolutions de ces façons d’interagir se font dans un temps et à une échelle qui ne permettent pas d’innover localement sans introduire quelques incompréhensions plus ou moins volontaires. Toujours ce curseur de l’acceptabilité.

> [en] It’s a good reminder that the answer is usually a mix: it’s not data over intuition, nor rationality over feeling. Argue the contraries and you’ll find wisdom in-between. 
> 
> <cite>*[There’s More to Design Than Data and Rationality](https://blog.jim-nielsen.com/2022/more-to-design-than-data-and-rationality/)* ([cache](/david/cache/2022/27ced7003612537f6ad81106f34607af/))</cite>

---

Réflexion du moment : les développeurs sont des colonisateurs contemporains. Ils arrivent avec un saut technologique comparable à une arme à feu en d’autres temps. Cela leur procure un avantage déloyal et permet de faire fi de cultures numériques existantes.

En étant de l’autre côté du miroir, il faut faire preuve d’une bonne dose d’abnégation pour ne pas avoir envie de faire évoluer des situations qui génèrent des « erreurs » humaines.

---

Je me faisais la réflexion récemment que :

> Vieillir, c’est passer par tous les personnages de Matrix. 

L’ordre choisi/subi n’ayant que bien peu d’importance au final…

---

En parlant des sœurs Wachowski, j’ai enfin lu la bande-dessinée « V pour Vendetta », puis revu le film éponyme. (Oui, c’est l’effet que me font les élections.) Cela m’a permis de comparer plus facilement les angles des deux œuvres et d’en avoir d’autres lectures. Le manga n’est pas dans un style que j’affectionne mais je reconnais qu’il permet de se plonger dans une ambiance que je n’ai pas vraiment retrouvée dans le film. Classique.

---

Deux mots à explorer :

1. [Sprezzatura](https://fr.wikipedia.org/wiki/Sprezzatura) : cette faculté de donner une apparence de facilité, d’aisance et de naturel aux réalisations les plus ardues.
2. [Shibui](https://fr.wikipedia.org/wiki/Shibui) : se réfère en japonais à la sensation subjective produite par la beauté simple, subtile, et discrète.


## Encore

> [en] 🗣 I mean, think of a sitting with friends round a dinner table. Two people, three people, four people, it’s one conversation. ==Five people, it’s still one conversation – just.== At six it’s hard to maintain; the conversation often splits and oscillates between 4/2 and 3/3 modes.
>
> The cognitive limit corresponds to how our ears and voices work. […]
> 
> “Comfortable” conversation means “background noise levels typical of both offices and city streets” – our normal voice levels, our normal hearing, our normal comfortable personal social distance, our normal width of shoulders all combine to produce conversional groups of… 5 people.
>
> <cite>*[Dunbar’s number and how speaking is 2.8x better than picking fleas](https://interconnected.org/home/2022/04/05/dunbar)* ([cache](/david/cache/2022/df33a2f3d5f174aadda2a8311eebcafa/))</cite>


> ⏳ J’aime les constructions de sable sur la plage. Il n’y a pas d’attente de durabilité, ni de perfection. L’espace est totalement libre. L’œuvre disparaîtra irrémédiablement. Mais ==le temps de l’élaboration nous construit== poétiquement, amicalement, socialement. Nous sommes, dans ce moment là, existence.
>
> <cite>*[désabler l’imagination](https://www.la-grange.net/2022/03/20/imagination)* ([cache](/david/cache/2022/56f14d85f38a7bb04e187aa3334bdb57/))</cite>


> [en] 🤗 Some people tend to jump into problems and just start writing code. Other people tend to want to research and research and get caught in analysis paralysis. In those cases, set a deadline for yourself and ==just start exploring solutions.== You’ll quickly learn more as you start solving the problem, and that will lead you to iterate into a better solution.
> 
> <cite>*[20 Things I’ve Learned in my 20 Years as a Software Engineer](https://www.simplethread.com/20-things-ive-learned-in-my-20-years-as-a-software-engineer/)* ([cache](/david/cache/2022/7d378db0707cc63aa2d466ada68fe690/))</cite>


> 🙈 Mais que faire alors du code existant ? Initialement, je pensais terminer Lessy proprement en n’ajoutant plus de fonctionnalités, mais en continuant de mettre à jour les dépendances logicielles afin d’éviter des failles de sécurité. Mais je dois vous avouer que je n’en suis plus capable. ==Les dépendances JavaScript sont une véritable plaie à maintenir== avec des trucs qui pètent dans tous les sens à chaque mise à jour. C’est une charge que je n’ai pas envie de gérer.
> 
> <cite>*[Lessy est terminé](https://marienfressinaud.fr/lessy-est-termine.html)* ([cache](/david/cache/2022/128ce7c2bc3cbf479318e36ae2faf6b8/))</cite>

> [en] 🤞 Imagine that, an industry that’s a little less reliant on libraries and frameworks because we invest time into discovering and cultivating patterns and principles. ==I believe== that’s a future with less maintainer burnout, less breaking changes and better, more long-lived programs.
> 
> <cite>*[Innovating beyond libraries and frameworks](https://nilsnh.no/2022/04/09/innovating-beyond-libraries-and-frameworks/)* ([cache](/david/cache/2022/4cea6f484d1e161074216e23d8826dea/))</cite>


> 🗳 Voter, c’est abdiquer ; nommer un ou plusieurs maîtres pour une période courte ou longue, c’est renoncer à sa propre souveraineté. Qu’il devienne monarque absolu, prince constitutionnel ou simplement mandataire muni d’une petite part de royauté, le candidat que vous portez au trône ou au fauteuil sera votre supérieur. ==Vous nommez des hommes qui sont au-dessus des lois,== puisqu’ils se chargent de les rédiger et que leur mission est de vous faire obéir. 
> 
> <cite>*[Lettre à Jean Grave, par Élisée Reclus (Voter c’est abdiquer)](http://www.homme-moderne.org/textes/classics/ereclus/jgrave.html)* ([cache](/david/cache/2022/1f0b2ca39bffe2d3551c7ea20dc315a1/))</cite>


> [en] 🕊 “Hope is a discipline,” prison abolitionist Mariame Kaba reminds us. It is not an emotion. It is not even as Gramsci put it simply “optimism” — a belief that things will get better. ==Hope is work.== You have to put energy and time into it. You have to practice, repeatedly. You have to keep at it, keep moving, keep pushing. No one else will free you or fix you — except us, collectively through our power to imagine and build a better future.
>
> Hope is not in technology. Hope is in our humanity.
>
> <cite>*[Hope for the Future](https://hackeducation.com/2022/03/08/hope)* ([cache](/david/cache/2022/66d9d4be64db7fe8324a4fdcbf3ef705/))</cite>

> 🏠 Dans mon cas à moi, c’était aussi un moment où j’étais malheureux là où je travaillais ; mais j’hésitais à changer de boulot, et à devenir indépendant, un peu par peur d’une perte de revenus dans l’intervalle. Rien de très important – mais en regardant mieux, on s’est mis à voir autour de nous plein de situations comme ça, où ==des gens restent dans un travail qui les rend malheureux== ou qui fait du mal au monde, pour une raison simple : la peur de ne plus pouvoir payer le loyer.
> 
> <cite>*[Colocation : contribuer au loyer en fonction de ses revenus](https://kemenaran.winosx.com/posts/colocation-contribuer-au-loyer-en-fonction-de-ses-revenus)* ([cache](/david/cache/2022/8299fd0b8bd7010b4c74f4c06719f81d/))</cite>


> 📚 Les Européens, et Christophe Colomb le premier, ont la conviction que la végétation luxuriante en Amérique est à l’origine d’une pluviométrie excessive : il faut donc déboiser pour « assainir » le climat. L’objectif est d’expliquer les différences climatiques entre l’Europe et l’Amérique à latitude identique, et en même temps de ==justifier la colonisation== : pendant longtemps, celle-ci a été pensée comme une « normalisation climatique ». […]
> 
> Si les Caraïbes sont trop humides ou le Canada trop froid, c’est parce que les Indiens n’ont pas amélioré la terre : ce qui est une manière de dire qu’ils ne la possèdent pas vraiment. Au XVIII<sup>e</sup> siècle, le discours sur le climat devient une manière de hiérarchiser les races : il y a les peuples amérindiens restés dans l’enfance d’un climat sauvage, les peuples européens producteurs du doux climat de leur continent, les peuples orientaux destructeurs et dégénérés. À l’époque, on pense les corps comme profondément influencés par l’environnement : changer le climat, c’est changer l’humain.
>
> <cite>*Penser le climat*, article de Jean-Baptiste Fressoz intitulé « Comment l’occident a joué avec les nuages »</cite>
