# Quarantaine

> Chaque fois que j’accède à une nouvelle connaissance, qu’un nouveau savoir irradie le reste de la journée, les limites de mon ignorance se repoussent d’autant plus. Lorsque j’hésite sur l’empreinte d’une loutre dans la neige, sur celle d’un ours dans la boue ou sur le nom d’une fleur dans les parage ; lorsque je découvre une cascade, une nouvelle sente dans les collines, un nouvel éboulis dans la montagne, comme lorsque je rencontre un aspect inédit de ma nature au détour du chemin, je sonde indirectement l’ampleur de mon innocence et comprends qu’il est souhaitable de ne pas tout savoir.
> 
> <cite>*Dans les forêts de l’ours*, Rémi Huot</cite>

À l’intersection de la citation de papillote Révillon™, de positions paternalistes ascendantes et d’une suite d’aphorismes condescendants. Faute conscientisée, à moitié acceptée ? Une bonne partie a été écrite en marchant dans la forêt, ce qui explique la prédominance de la bouffe.

1. La seule légitimité à avoir déjà fait le chemin est de savoir là où tu n’aurais pas voulu aller à l’époque.
1. Les instincts… et les intestins savent, encore faut-il apprendre à les écouter.
1. Un pantalon devenu trop petit ne sera plus utilisable. Jamais.
1. Ta réalité est la stabilité nécessaire à ta survie dans un monde chaotique. Lorsque tu t’identifies à une représentation du monde, tu finis par créer les illusions te permettant de vivre dans ce monde là.
1. On prend de mauvaises décisions lorsqu’on a faim. Mais aussi lorsqu’on n’a pas assez faim.
1. Un bon matériel déçoit rarement. Il génère parfois une autre forme de déception. La sienne.
1. Les pieds sont bien plus importants que ce que veut bien nous laisser penser la tête.
1. On n’a qu’un seul corps. Et qu’un seul cœur. Un cœur ne sert pas à alimenter qu’un cerveau.
1. La communication est si difficile que l’on a eu besoin d’inventer l’écriture.
1. Accepter l’inacceptable est la seule façon de ne pas devenir fou.
1. Expatriation, colonisation et intégration forment un triangle dont il est difficile de s’extraire.
1. Les échecs sont un excellent moyen de trouver ses limites.
1. L’argent nous fait croire qu’il y a un sommet à la chaîne alimentaire. La richesse se trouve dans l’écosystème.
1. Si tu ne fais pas d’erreurs, tu n’es pas en train d’apprendre au rythme optimal. Et ce n’est pas si grave.
1. Si tu vois le verre à moitié vide, tu as le pouvoir d’en changer la taille.
1. Le talent, c’est ce que les hommes de pouvoir veulent bien te laisser exprimer.
1. Si tu peux choisir un minimum tes insomnies, c’est pas mal.
1. La gratitude n’est pas une attente de gratitude réciproque. C’est un don.
1. Le beau n’est pas inclusif. On ne tire pas la gaussienne par un bout mais en poussant toute la cloche.
1. Une lame mal affûtée est plus dangereuse qu’une lame bien affûtée, mais ça dépend surtout de qui s’en sert.
1. Toujours se méfier des personnes proposant des solutions techniques à des problématiques humaines. Elles sont rapidement dangereuses.
1. Lorsqu’on marche, on a moins conscience du bruit de ses propres pas.
1. Dans chaque perle d’enfant il y a un grain de sable qui gratte.
1. En mettant la barre trop haut, on a du mal à manier le gouvernail.
1. Il n’y a pas de plus grand privilège que de pouvoir priver quelqu’un de son propre privilège.
1. Partir en expédition sans connaître les forces et faiblesses de son matériel est hasardeux.
1. Prendre des risques sans connaître les remèdes et poisons de son environnement est hasardeux aussi.
1. Avancer ensemble, ce n’est pas forcément être côte à côte mais avoir la promesse de se retrouver à un moment.
1. Si tu te préoccupes de ce que tu fuis ou de ce que tu tentes de rejoindre, tu perds l’intérêt du chemin.
1. Dis-moi comment tu cuisines et je te dirai comment tu codes.
1. Tu ne peux pas économiser pour ton voisin mais tu peux montrer une autre façon de vivre.
1. Mieux vaut un chocolat de qualité qui soit aussi en quantité.
1. Tu doutes de tout mais qui doute de toi ?
1. La chance est une notion très relative qui nourrit le discours des envieux.
1. Tu ne peux pas te rendre compte de la chaleur d’un feu avant de l’avoir quitté.
1. Si tu es témoin du passage d’un pic, tu as probablement été acteur de son déclin.
1. L’intelligence ce n’est pas d’empêcher l’accident mais d’éviter le sur-accident.
1. Courir te permet de connaître ton corps. Marcher d’accepter ta tête. Arpenter d’apprivoiser ton âme.
1. Ne pas terminer c’est une invitation à contribuer.

[Et si](/david/stream/2018/10/31/) c’était [maintenant](https://jcfrog.com/mylife/index.html?bdate=23-04-1982&lexp=80) ?

---

Et [Aurélien](https://latitude77.org/) de m’envoyer il y a quelques jours :

> L’aphorisme, c’est le cache-sexe de l’absence de pensée. Quand on a un grand vide en soi […], quand on a une grande confusion d’esprit et une grande absence et de conviction et d’opinion et d’intelligence du regard sur les choses, et bien ==on masque cette abîme par des formules.==
>
> <cite>*[Quel genre de science est la géographie, selon Sylvain Tesson](https://www.franceculture.fr/emissions/science-en-questions/quel-genre-de-science-est-la-geographie-selon-sylvain-tesson)*</cite>

## Vieilleries

> [en] 🤔 If other people’s creative work happens because they stand on the shoulders of others, then kicking away your work just because you don’t like it any more is a fundamentally ==selfish act.== And I find that a little more worthy of shame than most people’s old blog posts.
>
> <cite>*[Shame. - Dirty Feed](http://www.dirtyfeed.org/2022/04/shame/)* ([cache](/david/cache/2022/9094f894455bccf9d9772fd5782ec782/))</cite>

> 🏠 Je suis contraint par ce système ==(contrainte choisie, heureuse)== : c’est pour moi la seul façon d’avancer dans ce monde d’abondance apparente… Cela me permet de toucher du doigt la finitude des choses.
>
> Si j’applique ce principe d’auto-contrainte à l’habitat c’est avant tout sur la surface et non sur la composition des murs que ça se joue.
> 
> <cite>*[Ode aux petites maisons : C’est la taille qui compte !](https://david.mercereau.info/ode-aux-petites-maisons-cest-la-taille-qui-compte/)* ([cache](/david/cache/2022/85dbf217709930ce1e6208ca4fd5bf60/))</cite>


> [en] 🙇 I really appreciate you taking the time to read this — but I am only one Autistic voice. What I hope you’ll walk away with is an understanding that every Autistic person you interview will give you a unique perspective into what Autism is, how it manifests and what kinds of challenges it’s associated with. ==Each of these perspectives is as valid as any other.==
>
> […] Nobody can prove their Autism to you. Nobody can take a blood test and say “Yep, Autistic!” Autism is a purely subjective experience that can manifest in *many very different ways*, and only some of those ways are medically recognized as “Autism”. It’s important to understand that unless you are Autistic you simply Will Not Understand Or Relate To certain Autistic experiences. That’s okay. We don’t understand or relate to all of yours. Embrace the chaos and allow us our truths!
> 
> <cite>*[How To Talk About Autism Respectfully](https://coda.io/@mykola-bilokonsky/public-neurodiversity-support-center/how-to-talk-about-autism-respectfully-84)* ([cache](/david/cache/2022/232df2405c016899b63a060ca2e23cbd/))</cite>

> [en] ✍️ Just like programming, writing requires a lot of context that you hold in your short term memory. ==You need to recall a lot of details== about the topic you are writing about, as well as your punch-line and the current state of the document. All this state takes time to load into memory, and is easily lost by distractions or context switching.
> 
> <cite>*[Writing for Engineers](https://www.heinrichhartmann.com/posts/writing/)* ([cache](/david/cache/2022/26b53a6e8889416c87357fd76cc5d951/))</cite>

> [en] 💯 Don’t attach your identity to your code. Don’t attach anyone’s identity to their code. ==Realize that people are separate from the artifacts they produce.== Don’t take code criticism personally but be very careful when criticizing others’ code.
> 
> <cite>*[My guiding principles after 20 years of programming](https://alexewerlof.medium.com/my-guiding-principles-after-20-years-of-programming-a087dc55596c)* ([cache](/david/cache/2022/d55dffd91db7452e76bf32f3dfc6446a/))</cite>



