# R&Day

> [en] The beauty is the build process works like progressive enhancement in the browser: the core experience is functional and accessible, then the build process enhances whatever you want to add by injecting those enhancements to the original, accessible HTML documents […]
> 
> ==The build process is a progressive enhancement to the core content of your website.== Whether it runs or not, your site remains accessible and deployable at any point in time.
> 
> <cite>*[Progressively Enhanced Builds](https://blog.jim-nielsen.com/2022/progressively-enhanced-builds/)* ([cache](/david/cache/2022/0707aa459878d644f14b65e9e05e9537/))</cite>

Cet article m’a fait [explorer l’usage](https://inoads.com/articles/2021-01-09-Next-Gen-Static-Blogging) ([cache](/david/cache/2022/2458bbc9f86af47ffffcd1b99f19743a/)) de la propriété `white-space` puis le [retrait potentiel](https://news.ycombinator.com/item?id=25701053) ([cache](/david/cache/2022/6a8fadb032ab4c1951319268a1315655/)) de balises fermantes pour alléger la charge codale (?!) du texte, ce qui semble être [historiquement pertinent](https://remysharp.com/2019/09/12/why-some-html-is-optional) ([cache](/david/cache/2022/f761b745c18906fa98046badd51231c2/)).

Et puis en parallèle, ça fait un moment que je regarde ce qui peut être fait avec des composants web [comme details/summary](https://www.zachleat.com/web/details-utils/) ([cache](/david/cache/2022/ce44e844633f17f25d53f44c1ebd35e7/)) pour apporter une [couche d’amélioration progressive](https://cloudfour.com/thinks/web-components-as-progressive-enhancement/) ([cache](/david/cache/2022/72b4d15d286c2df85aba5742b1d98e62/)). Mais alors que se passe-t-il lorsqu’on essaye de [combiner les deux](https://md-block.verou.me/) ? [Ce code](https://md-block.verou.me/md-block.js) est probablement bien plus important à comprendre que les *frameworks* JS à la mode (en bonus, essayer de décrypter les [module shims](https://github.com/guybedford/es-module-shims/)).

Pour avoir récemment proposé un format Frontmatter en YAML histoire d’avoir la lisibilité du Markdown tout en ayant des méta-données, je me rends compte qu’une en-tête HTML pourrait être tout aussi (?) accessible. En revanche, on perd le rendu lisible en tableau depuis l’interface du dépôt git, ce qui est non négligeable.

Pour un usage un peu plus technique/personnel, je vois bien comment itérer à partir de cette base de réflexions. Ça rejoint un peu l’idée que [le HTML d’une publication est son format pérenne](https://www.robinrendle.com/notes/blogging-and-the-heat-death-of-the-universe/) ([cache](/david/cache/2022/7f62798239c75130d19c030a4c695027/)), ce que j’applique déjà [par ici](https://git.larlet.fr/davidbgk/larlet-fr-david) d’une année sur l’autre. De simples [fichiers textes](https://sive.rs/plaintext) ([cache](/david/cache/2022/1dd0383e3a416109e4259144d7a67e2d/)) en somme.

Il y a des jours comme ça… et je ne vais pas m’en plaindre. Une façon de partager ma propre amélioration progressive 🤷.

---

Citation du moment :

> C’est une erreur de croire que les bottes sont dangereuses, ce sont les pantoufles qui le sont.

## W&Lit

> [en] 🏰 Looking at how we responded to the virus I am not optimistic at all. Nobody wants to believe or know that things will be bad, so we’ll all try to live life as normally as possible, whatever normal means. Prevention is better than cure, but prevention is also a lot of hard work.
>
> Unlike my younger self I don’t blame people for wanting ==to stay in their made-belief Disneyland== while fire is burning outside. Even without all the issues we face, life is inherently difficult. I think we have limited emotional and psychological capacity.
>
> <cite>*[bearing witness](https://winnielim.org/journal/bearing-witness/)* ([cache](/david/cache/2022/ce69309198dcbdbcb1d5ff9f784c4925/))</cite>


> 🦋 Un·e charmant·e amoureux·se.
> 
> <cite>*[Révolution typographique post-binaire](https://typo-inclusive.net/inventaire/)*</cite>


> [en] 🛠 With version 2 of pandoc came a new option: `--pdf-engine`. That option lets you specify which tool to use when doing a conversion to PDF. While you can still use LaTeX (and a few other tools) to do the deed, you don’t need to bother with all that bulk.
> 
> <cite>*[Creating a Nice-Looking PDF with pandoc](https://plaintextproject.online/articles/2022/04/06/pdf.html)* ([cache](/david/cache/2022/4d01ca34a54c4be19535df17fdf0c9d2/))</cite>


> 🗳 Le fait que GvoT soit un logiciel libre ne protège pas de tous les risques de manipulation.
> 
> <cite>*[Considérations générales sur le vote en ligne](https://voter.cliss21.org/consid%C3%A9rations-g%C3%A9n%C3%A9rales-sur-le-vote-en-ligne/)* ([cache](/david/cache/2022/7616326c2896e35714a26de5d2898736/))</cite>


> 🤹 Mais surtout, la notion de capital numérique évite les termes d’inclusion/exclusion. Il faut bien admettre qu’on peut faire le choix de ne pas développer de capital numérique, parce qu’on n’en voit pas l’intérêt, qu’on ne développe pas d’appétence numérique. Et il faudra bien finir par accepter que ==tous les citoyens ne sont pas intéressés par les technologies numériques,== n’en déplaise à certains politiques ou champions de la tech.
> 
> <cite>*[Du concept de « fracture(s) numérique(s) » à celui de capital numérique ?](https://louisderrac.com/2020/11/19/du-concept-de-fractures-numeriques-a-celui-de-capital-numerique/)* ([cache](/david/cache/2022/34e73243a6ed7e36a8348b98ea79e52b/))</cite>


> 😔 Une femme a très peu de chances de parvenir à quitter un conjoint maltraitant tant qu’elle reste convaincue d’avoir ==la possibilité de l’amener à changer.== Et, tant qu’elle restera à ses côtés, il aura tout le loisir de continuer à la meurtrir, en instaurant une escalade graduelle de la violence qui aura pour effet de resserrer de plus en plus sur elle l’étau de l’attachement traumatique, caractéristique des situations d’emprise.
> 
> <cite>*[Un homme peut-il être un conjoint violent malgré lui ?](https://centre-bertha-pappenheim.fr/2021/10/20/un-homme-peut-il-etre-un-conjoint-violent-malgre-lui/)* ([cache](/david/cache/2022/0195a7767c46de6bc21bb35b542911a6/))</cite>


> 💪 Ma devise, c’est “Tout est possible”. Quand j’ai commencé le chantier, se souvient-elle, on me disait que je n’y arriverais pas. ==Les gens rêvent puis crèvent sans avoir pris de risques, assis sur leur canapé.== Moi, j’ai le soleil dans la tête. La peur m’est étrangère. Je risque quoi ? Ce ne sera jamais un échec, j’aurai appris.
> 
> <cite>*[La maison en A, plan B des « fauchés »](https://bag.fiat-tux.fr/share/6252865f762331.80369904)* ([cache](/david/cache/2022/4687697ee56ee244b7d9d17a4a328c6a/))</cite>


