# Outils

> As Henry Ford once put it, ==“If you need a machine and don’t buy it, then you will ultimately find that you have paid for it and don’t have it.”== Thinking on a marginal basis can be very, very dangerous.
> 
> <cite>*[Clayton Christensen’s “How Will You Measure Your Life?”](https://hbswk.hbs.edu/item/7007.html)* ([cache](/david/cache/2022/450dce1f614eba220a97b035cea5dfe5/))</cite>

Cette citation m’a inspiré cette paraphrase :

> Si tu as besoin d’un outil et que tu ne le construis pas, tu vas finir par comprendre que tu l’as quand même construit mais de manière non pérenne/soutenable.

En [ce moment](/david/2022/04/26/), je prends soin des processus et outils autour de l’activité de [scopyleft](http://scopyleft.fr/). Et puis, quand je tombe sur [une bonne idée](https://hund.tty1.se/2021/07/14/how-i-create-fancy-pdf-documents-in-markdown.html) ([cache](/david/cache/2022/0c60682eeb1edfaf2c6c13cd30cce60d/)) ou une techno que je veux explorer, je tente des petites choses autour.

Le dernier en date est un [générateur de PDF à partir d’un fichier markdown et d’une feuille de style CSS](https://gitlab.com/davidbgk/convertisseur-markdown-pdf). La principale contrainte étant de le rendre *aussi* accessible à des personnes qui sont peu familières des environnements techniques. De cette contrainte née la créativité d’utiliser l’intégration continue de Gitlab pour générer le PDF. Ainsi, il « suffit » d’éditer le fichier `source.md`, de faire une `merge-request` et l’artéfact est produit auto-magiquement.

Pour un usage plus avancé, il est possible de modifier la CSS pour le rendu et/ou de le faire tourner en local sans être dépendant·e de Gitlab.


## Caisse

> [en] 🔬 All in all I think I found my cure for javascript fatigue as well as a preferred way to do new projects going forward.
> 
> <cite>*[How I fell in love with low-js](https://edofic.com/posts/2022-01-28-low-js/)* ([cache](/david/cache/2022/3e7688b2d34d13bf51290fc906d77b3d/))</cite>


> [en] ⚖️ I suppose another way of putting this position is that excellence requires a mix of arrogance and humility; ==arrogance as to your capabilities, humility toward the work.== Arrogance says that you can and will accomplish your desires; humility understands that a greatness that transcends excellence, let alone survives, is not actually in your hands. You have to submit: to the truth, to the real, toward the bends and knots of what is coming to be through you.
>
> <cite>*[It’s Very Unlikely Anyone Will Read This in 200 Years](https://www.gawker.com/culture/nobody-will-read-this-essay-in-200-years)* ([cache](/david/cache/2022/0888271d03779999af533b991a8b76eb/))</cite>


> [en] 💯 And the fact that these technologies have shipped in stable browsers means they’re vetted. They’ve been through a rigourous testing phase. They’ve effectively got a seal of approval from each individual browser maker. To me, that seems like a much bigger signal of trustworthiness than the popularity of a third-party library or framework.
>
> So ==I’m kind of confused== by this prevalent mindset of trusting third-party code more than built-in browser features.
>
> <cite>*[Trust](https://adactio.com/journal/19021)* ([cache](/david/cache/2022/8981770b1b5be8044fd201739e67c60d/))</cite>


> [en] ✍️ Uncurled - everything I know and learned about running and maintaining Open Source projects for three decades.
> 
> I have been actively involved in Open Source development since the early 1990s when I discovered the phenomenon of people writing source code they give away freely for others to use and modify under a certain license.
> 
> <cite>[Uncurled](https://un.curl.dev/)</cite>

> [en] 🌳 Occlusion Grotesque is an experimental typeface that is carved into the bark of a tree. As the tree grows, it deforms the letters and outputs new design variations, that are captured annually. The project explores what it means to ==design with nature== and on nature’s terms.
> 
> <cite>*[Bjørn Karmann › Occlusion Grotesque](https://bjoernkarmann.dk/occlusion-grotesque)* ([cache](/david/cache/2022/32cf150b3b75b308683c4246b54cdcf9/))</cite>

> 💚 Chaque organisme est unique, mais je crois que nous partageons tous certaines tendances communes. Cela signifie que nous pouvons apprendre et réapprendre les uns des autres, et travailler ensemble pour établir des milieux de travail plus sains pour les gens de toute identité de genre. Nous en sommes au début de ce projet et ==nous ferons sans doute des erreurs== en cours de route.
> 
> <cite>*[La masculinité positive ou toxique : Comment les hommes peuvent transformer la culture organisationnelle](https://numerique.canada.ca/2022/04/21/la-masculinit%C3%A9-positive-ou-toxique-comment-les-hommes-peuvent-transformer-la-culture-organisationnelle/)* ([cache](/david/cache/2022/ab2739b2622b6a977d73ca7871c64a01/))</cite>

