# Méditation

J’ai récemment demandé à la bibliothécaire qui vit avec moi un livre sur le bouddhisme, elle est revenue avec celui-ci. ❤️

> Nous avons besoin d’une pause entre la journée d’action et la nuit de repos. Le temps que nous consacrons à la méditation répond à ce besoin. C’est une période où nous sommes seuls avec nous-mêmes — un temps propice à la guérison. À défaut de nous accorder une telle plage de temps, nous devrons nous rabattre sur le temps consacré au sommeil pour diriger notre _regard vers l’intérieur_, en toute _tranquillité_, sans _aucune distraction_. Ces trois conditions sont aussi celles de la méditation.
> 
> ==Si nous ne pratiquons pas la méditation, le temps du sommeil devra également répondre au temps de réflexion.== Mais sans les qualités qui font de la méditation une activité liée à la guérison, il est probablement que ce temps de réflexion tourne vite à la rumination, aux regrets, aux inquiétudes et contribue à nous garder éveillés. Dans la méditation, nous devons d’abord calmer l’esprit en nous concentrant sur la respiration. Ce qui nous permet de mettre les choses en perspectives. Nous pratiquons la liberté.
>
> <cite>*En pyjama avec Bouddha*, Joseph Emet</cite>

Je note ici les 7 exercices proposés par le livre (un par semaine) car j’ai besoin de les consigner quelque part pour pouvoir y avoir accès facilement. Leur valeur réside surtout dans l’accompagnement que constitue le livre que je recommande si ça attise votre curiosité.

L’auteur habite à Montréal, peut-être qu’une occasion de le rencontrer arrivera ?

> For payment, please make an appropriate donation to Greenpeace at [https://greenpeace.donorportal.ca/](https://greenpeace.donorportal.ca/)
> 
> <cite>[Private Coaching](https://mindfulnessmeditationcentre.org/private-meditation-coaching/)</cite>

## 1. Calmer l’esprit

Lisez le texte qui suit lentement en observant une courte pause entre chaque consigne.

> Le passé n’est plus et le futur est à venir. Je me concentre, serein, heureux et libre, sur l’instant présent.
> 
> Je me concentre et prends conscience de chaque respiration. J’accompagne la respiration lorsqu’elle débute et que l’abdomen commence à se dilater. Je porte toujours attention alors que mon ventre se gonfle et se dégonfle à chaque respiration, comme l’enfant sur la balançoire qui s’élève et s’abaisse.
> 
> Comme une balançoire, mon souffle ralentit à la fin de chaque mouvement. Je l’accompagne pendant qu’il ralentit et recommence.
> 
> Je veille sur ma respiration avec le plus grand soin, comme une mère tenant dans ses bras son enfant. Je ne veux pas laisser tomber le bébé. Les pensées demeurent en arrière-plan.
> 
> J’aime la sensation rythmique de mon ventre qui s’élève et s’abaisse ; j’aime être dans l’instant présent. J’ai cessé de courir devant et derrière.
> 
> Mon esprit continue à produire des pensées ; c’est sa nature. Je ne suis pas mes pensées. Je me concentre sur ma respiration.
> 
> Je suis confortable et à l’aise. À chaque respiration, je laisse tomber une tension quelque part dans mon corps et dans mon esprit.
> 
> Je suis conscient que les pensées provoquent des tensions sur mon visage. Après chaque respiration, je relaxe mes muscles faciaux et je souris.
> 
> J’éprouve des sensations dans mon corps, je les accepte. Je suis conscient de ma posture. Je suis conscient de l’air qui pénètre dans mes narines en inspirant.
> 
> S’il y a des sons, je n’y réagis pas. Je les remarque et je laisse aller. Je continue à respirer calmement et avec plaisir.
> 
> Un torrent de sentiments et de pensées se répand, mais je ne m’y noie pas. La concentration sur la respiration est comme l’ancre qui empêche le bateau de dériver.
> 
> La concentration sur la respiration m’empêche de me perdre dans mes pensées. Je remarque les sons et les sensations sur ma peau sans y réagir.
> 
> Je souris aux dérangements comme les souvenirs, les petites démangeaisons et les bruits. Sourire me détend et me donne un sentiment de contentement.
> 
> Après chacune de mes respirations, je m’installe dans l’instant présent. Je suis assis bien droit, respirant avec aisance.
> 
> Mon esprit est tranquille, mon corps est sans tension. Je suis calme et reposé. Je me sens libre. Je me sens chez moi.

## 2. Dompter l’esprit

Avec chaque respiration, je détourne mon attention de mes pensées et la reporte sur ce que je ressens dans mon corps. Avec chaque respiration, je laisse le monde des pensées et rejoins celui des sensations.

> Je suis dans l’instant présent lorsque je me concentre sur ma respiration et sur l’expérience que je vis.
> 
> Je me concentre sur les sensations et non sur la personne ayant ces sensations.
> 
> Je me concentre sur les sensations et non sur les sentiments que j’ai à propos de ces sensations. Pour le moment, ni le bien ni le mal, ni aucun jugement n’existent.
> 
> Mes sens saisissent l’instant présent. J’accepte ce qui me vient par mes sens.
> 
> J’accepte le monde tel qu’il est. En inspirant et en expirant, je demeure dans ce monde chaleureux de l’acceptation.
> 
> En inspirant et en expirant, je suis satisfait de ce qui est en cet instant présent. Je ne lutte pas pour que les choses soient autrement.
> 
> Rien à critiquer, rien à évaluer, ce ne sont que des pensées. Je ne fais que prendre connaissance de ce qui me vient de mes sens.
> 
> Je m’estime heureux et j’envoie des vagues de contentement à toutes les parties de mon corps. Mon corps est un miracle.
>
> Les pensées vont et viennent comme les bruits qui m’entourent. Je suis concentré sur ma respiration.
> 
> En inspirant et en expirant, je demeure ouvert sans faire d’effort.
> 
> Je ne maîtrise pas le flot de la connaissance, je ne suis que maître de mon ouverture.
>
> Mon esprit est-il libre en ce moment ? Je prends une respiration avec liberté. Puis une autre.
> 
> J’inspire, je me sens frais et dispos. J’expire, je suis toujours ici.

## 3. Explorer le corps

Assis confortablement, je laisse tomber toutes les tensions. Je prends lentement cinq respirations profondes, en me concentrant sur les sensations physiques de la respiration, sur l’air qui s’engouffre dans mes narines quand j’inspire et sur mon abdomen qui se gonfle d’air. Mon attention reste fixée sur la respiration durant les cinq cycles complets : inspiration, ralentissement en fin de course, expiration, ralentissement, brève pause et reprise du cycle.

Pendant les cinq prochaines respirations, je détends mon esprit. En ce moment, il n’y a rien à faire et nulle part où aller. Aucune obligation. Je suis assis, détendu et parfaitement moi-même.

Le visage est le miroir de l’esprit. Un visage serein est le miroir d’un esprit en paix. Mon visage reflète mon sourire intérieur. Je détends les muscles de mon visage et de mon front, puis les muscles des yeux et des joues. Je détends ensuite les muscles autour de ma bouche et sous le menton pendant cinq respirations.

Je trouve une position confortable pour mon menton qui n’est ni trop haut ni trop bas. Pendant les cinq prochaines respirations, je me concentre sur mon menton et mon cou. Je m’assure que ma tête est dans le prolongement de ma colonne vertébrale et que mon cou est détendu.

En descendant un peu plus bas, je me concentre sur les épaules et les bras, en m’assurant qu’il n’y a pas de tensions dans les épaules. Mes mains se touchent et elles touchent mon abdomen. Avec mes mains, je sens mon abdomen qui se dilate et se contracte. J’accompagne l’ondoiement de mon ventre pendant les cinq prochaines respirations.

Durant la posture de méditation, les muscles de mon dos sont engagés. Ils me soutiennent afin de rendre possible la respiration abdominale. Mon ventre est souple et mon dos, ferme. Je respire pendant cinq cycles en gardant le dos immobile et l’abdomen ondoyant.

Je vois mentalement mes muscles dorsaux jusqu’au bas de mon dos. Ma posture est assurée par les muscles qui vont de mes épaules au bas du dos. J’ai une posture stable et mon ventre ainsi que chaque côté de ma cage thoracique se dilatent et se contractent à chaque respiration. Mon torse au complet respire.

Pendant les cinq prochaines respirations, je me concentre sur le bas de mon corps. D’abord, je porte attention à la sensation du coussin, du banc ou de la chaise sous mes fesses. Suis-je en parfait équilibre ? Si nécessaire, j’apporte les ajustements pour un meilleur équilibre ou confort.

Ensuite, je porte mon attention à tout inconfort ressenti dans les jambes. Qu’est-ce que je ressens exactement ? J’inspire et j’expire en prenant conscience de cette sensation.

Pendant les cinq prochaines respirations, je me concentre sur mes pieds. Sur quoi reposent-ils ? Est-ce que je ressens de la chaleur ou du froid ? Est-ce la même sensation dans les deux pieds ? À quel endroit cette sensation est-elle le plus intense ? Qu’en est-il de mes chevilles ?

Enfin, je sens la complétude de mon corps, de la tête aux pieds. Je sens que mon corps est un tout organisé.

Et maintenant, j’écoute. Y a-t-il une partie quelconque de mon corps qui aurait quelque chose à me dire ? Peut-être qu’un de mes pieds est inconfortable et se plaint tout haut. Une de mes épaules vient de se contracter. Je relâche mes muscles. Puis j’écoute encore.


## 4. La méditation de l’amour bienveillant

Assis confortablement, je prends quelques respirations profondes. J’entre en contact avec les sentiments récurrents qui m’habitent et je les remplace consciemment par des pensées bienveillantes.

Je remarque qu’il existe une certaine coloration émotionnelle à l’évocation de chaque personne connue. Alors que les souvenirs de certaines me fait sourire, d’autres me font me contracter.

J’inspire et j’expire, je remplace consciemment ces sentiments qui émergent spontanément envers chacune de ces personnes par des sentiments de bonté et de générosité.

Je refais cette substitution encore et toujours. Aussitôt qu’un visage ou qu’un nom me revient en mémoire, je pense à cette personne avec chaleur et bonté. Ces sentiments sont les miens. Mes sentiments ne sont pas commandés par les autres. Je suis responsable de mes sentiments.

Je bénéficie aussi de ces sentiments de bonté et de générosité. La malveillance, la colère et la rancœur sont source de tensions.

Je ne fais pas de favoritisme. Je ne suis pas avare de mes pensées bienveillantes. La bonté est comme le soleil. Tout le monde en a besoin. Le soleil brille pour tous et pas seulement pour les gens parfaits. Ma bonté s’attache à chaque personne, moi y compris.

Je me revois à l’âge de cinq ans, innocent et magnifique. J’ai été cet enfant. Je mérite l’amour et la bonté que je me porte. Je mérite les sentiments d’amour que j’ai envers moi-même.

Beaucoup de prisonniers ont été victimes de violence durant leur enfance. Ils ont aussi besoin de bonté. La bonté guérit tout. Je laisse s’épanouir mes sentiments de bonté.

Je n’ai pas à être mesquin parce que quelqu’un d’autre l’a été. Je suis la personne que je suis. Je m’adonne sans réserve à la bonté et à la générosité par ce que je me sens bien lorsque je le fais et parce que cela aide les autres à mieux se sentir.

Je revois en pensée les gens que je connais. À l’évocation de certains, aucun sentiment particulier ne me vient en tête. Ma bienveillance et ma générosité sont des cadeaux que je leur offre en toute amitié.

J’inspire et j’expire, je me concentre sur le flot de cette énergie positive qui circule dans mon corps. J’explore chacune des parties de mon corps et je m’applique à leur transmettre mes pensées les plus aimantes.

J’envoie des pensées aimantes vers le cœur, le foie, l’estomac et les autres organes. Ils travaillent sans relâche à me garder en vie et en bonne santé. Je leur promets en retour d’être attentif à leur santé et bien-être lorsque je me nourris et me désaltère.

En ce moment, je suis libre de tensions. Avec chaque respiration, j’envoie des vagues de bons sentiments vers moi-même et les autres. Je suis détendu et accueille avec plaisir ces bons sentiments.


## 5. Le moment présent

Assis confortablement, je me libère de mes pensées. Je laisse tomber le stress et la tension et je concentre toute mon attention sur ma respiration.

Rien ne compte que la respiration. Rien d’autre n’existe que la respiration en ce moment.

Le temps n’existe pas en dehors de la respiration. La respiration est le temps. Lorsque mon attention est totale, je goûte la vie dans sa plénitude.

Le temps n’existe qu’au présent. Le passé n’est pas le temps. Le passé a déjà été le présent, mais il n’est aujourd’hui que pensées et idées.

Je ne peux vivre qu’au présent. Ce que je pense du futur n’est pas le temps, c’est un agrégat d’attentes et d’espérances.

Le passé et le futur existent dans le présent. Ils existent sous forme de souvenirs, d’habitudes, d’idées et d’attentes.

Les fleurs qui ont fleuri hier nous ont laissé leur parfum. Ce parfum existe encore aujourd’hui.

Les graines du futur sont aussi avec nous au présent. Plusieurs de ces semences sont sous terre et me sont invisibles.

Le temps est enchâssé dans ma vie et dans ma respiration. Lorsque je ne fais qu’un avec ma respiration, je vis ma vie pleinement et non de manière abstraite.

Lorsque je ne fais qu’un avec ma respiration, je suis toujours dans l’instant présent. Je vis dans un climat de printemps éternel où tout est nouveau et frais.

Je ne suis pas coincé dans un passé fait de représentations. En me libérant de mes idées, le passé n’est plus ce qu’il était pour moi.

Je suis reconnaissant d’être en vie. Je vois les gens à travers l’esprit de l’amour. Je respire avec gratitude pour tous les êtres qui ont contribué à soutenir ma vie et à enrichir le monde.

Le stress ne fait pas partie du futur. Mes attentes ne font pas partie du futur. Elles sont l’expression de mes habitudes mentales. Je me défais de ces habitudes afin de vivre avec ouverture, en toute liberté.

Le bonheur est dans l’instant présent. Le bonheur est impossible à tout autre moment. Il n’y a pas d’autre temps.

Je ne fais qu’un avec ma respiration et avec les sensations de mon corps. Je respire, le cœur tranquille.


## 6. L’observation de la respiration

Je suis assis, le dos droit, la tête dans l’axe du dos, les jambes confortables et les muscles de mon visage, détendus. Si nécessaire, j’ajuste ma posture pour être plus à l’aise.

Je me concentre sur les sensations de la respiration. J’accompagne le souffle qui entre par les narines et gonfle les poumons avant d’expirer et de marquer une pause.

Je ne cherche pas à dominer la respiration ou à m’interposer. Je reste dans un état d’attention tranquille, en observant la respiration naturelle du corps.

Lorsque mon souffle est court et superficiel, je prend acte de mon souffle court et superficiel. Lorsqu’il est lent et profond, je prends acte qu’il est lent et profond.

Mon corps sait quand inspirer et expirer. Je n’interviens pas, je ne fais qu’observer.

Lorsque je suis en proie à des émotions ou à des rêvasseries, ma respiration suit la cadence de mon imagination. En ce moment, j’ai l’esprit calme et ma respiration suit un rythme naturel.

Chaque inspiration et expiration est suivie d’une brève pause. J’attends que la respiration reprenne son cours.

À la pause, je résiste à l’impulsion d’inspirer ou d’expirer volontairement. J’attends que la respiration reprenne d’elle-même.

Le souffle possède le rythme naturel des vagues. Observer le rythme de la respiration ressemble à observer les vagues de la mer.

Le « je » qui effectue la respiration n’existe pas. Je ne suis pas l’instigateur de celle-ci. Je demeure un observateur désintéressé.

À la fin de chaque expiration, j’attends avec curiosité l’instant où débutera la prochaine inspiration. Le corps inspire lorsqu’il est prêt.

J’apprécie cette conscience sereine de mon souffle. Comme les vagues de la mer, mon souffle possède un rythme naturel qui lui est propre.

Mon esprit ressemble à la flamme constante d’une chandelle lorsqu’il n’y a pas de vent. Mon esprit a une conscience tranquille, non seulement de la respiration, mais aussi des bruits, des sensations de chaleur ou de froid sur la peau.

Je note toutes les sensations de lumière et d’ombre, de confort et de malaise avec la même attention détachée. Elles vont et viennent, je ne fais qu’observer.

J’observe l’état d’esprit dans lequel je suis présentement. Est-ce un état d’esprit joyeux, triste, craintif ou autre ?

J’examine l’état mental que me réserve habituellement mon esprit. Est-il teinté d’inquiétude, d’impatience, de regret, d’envie ou autre émoi ?

Mon esprit a ses habitudes. Grâce à la concentration, je deviens conscient de mes habitudes mentales.


## 7. L’esprit est un peintre

Assis confortablement, je prends plaisir à respirer alors que mon abdomen se dilate et se contracte rythmiquement.

En respirant paisiblement, des images des gens et des endroits que je connais me viennent à l’esprit.

Je m’en tiens à ma respiration. Je sais que ces images sont une création de mon esprit. Les gens dans mes pensées sont des personnages fictifs, bien qu’ils ressemblent aux gens que je connais.

Je suis détendu et conscient que mon esprit est en train d’élaborer, à partir de ces images, un ouvrage de fiction, une bande dessinée. Je vois que mon esprit en dispose au gré de ma fantaisie.

En inspirant, je souris à ces personnages. En expirant, je sais qu’ils ne sont pas de vraies personnes. Les vraies personnes ont une profondeur que les personnages de bande dessinée n’ont pas.

L’œuvre de fiction dans ma tête coule comme une rivière. La conscience de la respiration est mon ancrage. Elle empêche le courant de mes pensées de m’emporter.

Mon esprit est ancré et lié à mon corps. Je ne suis pas entraîné par les courants de la rivière.

Je suis bien dans mon bateau qui me berce doucement au gré des vagues de mon souffle. J’aime voir les pensées et les images qui défilent. Je garde en tête que ce sont mes créatures.

Mon esprit est un bon artiste. Ses peintures des gens et des lieux sont très vraisemblables. Elles sont très crédibles. Je respire et je souris.

Ces images ne sont que des images. Tous les sentiments que j’ai envers ces images, comme de l’amour, de la haine, de la colère ou de la peur, ne sont que des sentiments à l’égard des images.

Mon esprit me distribue des images comme dans une partie de cartes. En m’en tenant à ma respiration, j’observe le jeu. Je n’ai pas choisi les cartes que j’ai eues.

J’observe ma main et je respire. Je suis à l’aise et détendu. Je ne prends pas ce jeu trop au sérieux. J’éprouve de la satisfaction.
