# Bouddhisme

> Beaucoup d’entre nous pensent qu’il n’y a pas de place dans leur vie pour cultiver la pleine conscience. En vérité, ==vivre en plein conscience consiste plus à changer de direction==, à se souvenir de son intention véritable, qu’à caser une activité supplémentaire appelée « méditation » dans votre emploi du temps quotidien. Vous n’avez pas besoin d’être dans votre salle de méditation ou d’attendre d’avoir du temps libre dans votre emploi du temps pour pratiquer la pleine conscience, même s’il s’agit bien sûr de moments merveilleux dont je vous encourage à profiter chaque fois que c’est possible. N’importe quel moment peut être consacré à la respiration paisible et en pleine conscience. N’importe quel lieu peut être un lieu sacré, si vous êtes dans la détente et la sérénité, si vous suivez votre respiration et maintenez votre concentration sur ce que vous êtes en train de faire.
> 
> <cite>*Les bienfaits du silence*, Thich Nhat Hanh</cite>

J’ai essayé [plusieurs fois](/david/2020/01/06/#meditation) le bouddhisme, j’étais toujours circonspect quant à la relation à la souffrance et à la mort. J’étais plein d’_a priori_ sur la pleine conscience que je trouvais être une pratique assez perchée. Et puis, c’est le [second](/david/2022/05/30/) livre que j’explore récemment sur le sujet et peut-être que c’est le bon moment personnel aussi. J’ai plusieurs choses qui font écho à des pratiques que j’ai adoptées ces dernières années autour de la respiration et de la marche, du [mouvement](/david/stream/2015/09/25/) à l’écoute, du ralentissement.

Mes balades thérapeutiques en forêt ressemblent de plus en plus à ça : se rendre à un endroit, essayer de réduire les besoins au maximum, se concentrer à ce moment précis sur ce que je suis.

> Quand vous pratiquez la méditation marchée, soyez pleinement conscient de vos pieds, du sol, et du contact entre eux. Laissez votre respiration se dérouler naturellement ; accordez vos pas à votre souffle et non l’inverse. Faites quelques pas à chaque inspiration et quelques pas à chaque expiration. L’expiration a tendance à être plus longue, donc vous ferez avec elle plus de pas qu’au cours de l’inspiration. De temps en temps, en des endroits qui s’y prêtent, là où il n’y a pas trop de monde par exemple, ==vous pouvez marcher très lentement==, faisant un pas sur l’inspiration et un pas sur l’expiration. À chaque inspiration ou expiration, dites en vous-même : « J’inspire », puis : « J’expire », ou « Je suis chez moi », puis « Je suis arrivé ». À chaque pas, vous arriverez alors à votre vraie demeure, dans l’instant présent.
>
> <cite>*Ibid.*</cite>

## Ailleurs

> [en] 💯 No app I make or work on should prioritise collaboration and work over the well-being of others. The obscurity or lack of popularity of my software or yours should not be the only thing that prevents it from being used for abuse.
>
> <cite>*[On online collaboration and our obligations as makers of software](https://www.baldurbjarnason.com/2022/on-online-collaboration/)* ([cache](/david/cache/2022/69a1e92ad3eeec1bf528c2a906ccee13/))</cite>

> [en] 🎯 Entrepreneurship is like one of those carnival games where you throw darts or something.
>
> Middle class kids can afford one throw. Most miss. A few hit the target and get a small prize. A very few hit the center bullseye and get a bigger prize. Rags to riches! The American Dream lives on.
>
> ==Rich kids can afford many throws.== If they want to, they can try over and over and over again until they hit something and feel good about themselves. Some keep going until they hit the center bullseye, then they give speeches or write blog posts about “meritocracy” and the salutary effects of hard work.
>
> Poor kids aren’t visiting the carnival. They’re the ones working it. 
> 
> <cite>[notacoward](https://news.ycombinator.com/item?id=15659076) au sujet de « Entrepreneurs Aren’t a Special Breed – They’re Mostly Rich Kids », 2017</cite>


> [en] 🗺 So here’s another fun problem: how do you do a “fourth dimensional” geo-tag (that is, adding a time system) without revealing all of the places a person’s been and when they were there? In other words, how do you do that without compromising privacy? 
>
> <cite>*[More on geo-tagging photos with a time element](https://rachelbythebay.com/w/2022/06/20/exif/)* ([cache](/david/cache/2022/0ccfb99277e4fb33d213df05598df960/))</cite>


> ⏳ Markwhen is a text-to-timeline tool. You write markdown-ish text and it gets converted into a nice looking cascading timeline.
> 
> <cite>*[Markwhen](https://github.com/kochrt/markwhen)*, [live demo](https://markwhen.com/)</cite>


> 💚 De toutes les couleurs, de toutes les formes, l’humanité de tous ces gens me frappe à chaque fois et me ravit indéfiniment.
> 
> <cite>*[Les pas perdus | nota-bene.org](https://nota-bene.org/Les-pas-perdus)* ([cache](/david/cache/2022/c321f4f9abbd8866e82cf77912972431/))</cite>


> 🌱 Je suis distrait. Je suis tout à ma tâche de ne rien faire. Je suis un vagabon sur le rocher. Je regarde l’ombre des plantes. J’admire la délicatesse des tiges. Je ne fais rien. Tout est là.
>
> <cite>*[entre l’ombre et la tige](https://www.la-grange.net/2022/05/29/ombre-tige)* ([cache](/david/cache/2022/4803414174643ce6cb23128f1194c125/))</cite>



Mots du moment :

* [auto-pelure-de-bananisations](https://fr.wiktionary.org/wiki/auto-pelure-de-bananisations#fr) : vient du Québec et désigne le fait de se mettre soi-même la peau de banane sur laquelle on va glisser ;
* [Mamihlapinatapai](https://fr.wikipedia.org/wiki/Mamihlapinatapai) : décrit « un regard partagé entre deux personnes dont chacune espère que l’autre va prendre l’initiative de quelque chose que les deux désirent mais qu’aucun ne veut commencer ». 
