# Regard

> [en] And, as many of my students have told me, their lives seem richer because they are *seeing better and seeing more*. It’s helpful to remember that we don’t teach reading and writing to produce only poets and writers, but rather ==to improve thinking.==
> 
> <cite>*The New Drawing on the Right Side of the Brain*, Betty Edwards</cite>

Si la photographie m’a permis d’être attentif à la composition, à la couleur, au mouvement, à l’émotion, le dessin me fait regarder d’autres choses comme les ombres, les textures, l’in·attention aux détails, le choix de représentation. Une autre forme — non pas de capture — mais de témoignage du monde, une forme de souvenance non-écrite dont on retient la finalité mais aussi le contexte de sa production.

Je n’ai pas l’impression de savoir mieux dessiner aujourd’hui (en dépit du temps passé à faire [des exercices](https://drawabox.com/)) mais je sais probablement mieux regarder ce qui m’entoure. L’important n’étant pas de voir la matrice dans laquelle nous évoluons mais d’être en capacité de la re·créer.

Merci à Antoine pour l’inspiration il y a quelques années… et à tou·tes les autres le long du chemin.

> Ça se passerait ailleurs. Si tant est que la création soit une quantité d’énergie disponible. Alors allons voir ailleurs plutôt que rien du tout. Hésiter, c’est vraiment rater. L’échec est un bel essai. Il faut négocier avec l’univers créé. Celui-ci n’est pas détaché du reste. S’il y a un reste. Tout se réagençait déjà. Les carnets cachaient les métamorphoses à l’œuvre. L’urgence de s’écouter.
>
> <cite>*[Épuiser la pratique](https://www.quaternum.net/2020/02/29/epuiser-la-pratique/)* ([cache](/david/cache/2020/fd776407232cd6fd7627bac7dba39755/))</cite>


> 🤗 Je n’ai pas d’objectif noble, ni de message à transmettre. J’ai un besoin égoïste de collectionneuse. Peu importe le médium s’il permet de capturer au mieux ce que je sens et ce que je ressens. Je n’ai pas peur des accidents dans mon processus, ils expriment le jeu du hasard dans la vie. Les accepter transforme mon travail en pratique spirituelle.
> 
> <cite>*[Pourquoi je dessine ?](https://ynote.hk/humeur/explorartise)* ([cache](/david/cache/2022/08eb28d8ecab162cb267257c5352b791/))</cite>


> [en] 🙇 I feel like most of my life I spent learning how to use my mind, now I am learning how to use my hands, my body, my senses. It makes me feel more present compared to living perpetually on the internet. I’m grateful to have the time and opportunity to learn how to cook. ==It feels like something that I can be learning for a very long time, and still not be very good at it.== Which is a great choice of skill to develop to experience the joy of learning, in my opinion. It can be really easy with the right tools, and as difficult as we want it to be.
> 
> <cite>*[what deepened my joy in cooking](https://winnielim.org/journal/what-deepened-my-joy-in-cooking/)* ([cache](/david/cache/2022/43474059e42ea4b1555375daa85d50a5/))</cite>


> 🖐 Pour penser le geste dans son rapport au corps et à ce qui peut être projeté d’expression sur ce dernier, les créations devaient décliner les rencontres entre plusieurs niveaux de matière et donc, pour faire chair, de visibilité.
> 
> <cite>*[Scanner à genoux](https://blank.blue/creas/scanner-a-genoux/)* ([cache](/david/cache/2022/3a5ff20d8606e8299d06914cb4c6a37d/))</cite>


> 🙆 L’art est ce qui donne un sens humain au travail. Il est même, selon la version morrissienne du socialisme, « une nécessité de la vie humaine », « la finalité de la vie », parce qu’il permet, seul, « l’emploi agréable de nos énergies ». Ce que Morris appelle « l’idéal socialiste de l’art », c’est que « l’art doit faire partie intégrante de tous les objets manufacturés possédant une forme bien précise et destinés à durer. » Pour lui, les hommes se nourrissent d’art comme producteur et comme consommateur, puisqu’ils ne peuvent exprimer la plénitude de leurs facultés que dans un travail créatif et qu’==ils ne peuvent trouver de plaisir dans l’usage d’objets que si ceux-ci suscitent de l’admiration et du respect.==
> 
> <cite>*[William Morris, penseur et artisan de l’autonomie et de la beauté](http://www.journaldumauss.net/?William-Morris-penseur-et-artisan-de-l-autonomie-et-de-la-beaute)* ([cache](/david/cache/2022/39043b7bdcd5355a2e255d9f06237e72/))</cite>


> 🔔 Quand vous lisez ce livre, quand vous méditez, ce n’est pas dans le but d’acquérir des notions ou des idées. En fait, c’est pour lâcher prise sur des notions et des idées. Ne vous contentez pas de remplacer vos notions et vos idées familières par de nouvelles. Cessez de courir après les notions de bonheur, les unes après les autres, remplaçant une idée par une autre.
> 
> <cite>*Les bienfaits du silence*, Thich Nhat Hanh</cite>
