# Origines

> À date fixe, il faut défricher, labourer, semer, désherber, biner, couper, lier, battre, sécher, trier, moudre… Là où le chasseur-cueilleur jonglait avec les rythmes différents des multitudes d’organismes vivants dont il se nourrissait, l’agriculteur est enchaîné par des « routines méticuleuses », qui donnent naissance peu à peu à des rites, des fêtes, des cultes… Pour James Scott, tout ce processus a ouvert l’espace social où a pu s’installer l’État.
>
> ==Car le premier acte d’un État, c’est de lever un impôt.== En Mésopotamie, c’était souvent un cinquième de la récolte, et, pour le receveur des impôts qui sillonnait la campagne, le blé et l’orge constituait une base fiscale idéale. Scott y voit la véritable raison de leur succès par rapport à d’autres plantes aux qualités nutritives comparables. Le blé pousse à la vue de tous, contrairement aux pommes de terre ; et ses épis se récoltent tous en même temps, contrairement aux légumineuses. La surveillance est donc aisée. Le produit de la récolte prend la forme de graines faciles à compter, à transporter et à stocker. Recenser, mesurer, arpenter furent les principales activités des États mésopotamiens, et l’écriture elle-même fut à l’origine un outil de contrôle fiscal. Les premières tablettes administratives d’Uruk, vers 3300-3100 av. J.-C., sont « des listes, des listes et encore des listes, principalement de céréales, de main-d’œuvre et de taxes ».
>
> <cite>*Comment le blé a piégé l’humanité*, Penser le vivant</cite>

Je suis en train de lire _Homo Domesticus_ (_Against the grain_ en anglais) de James C. Scott qui explore la naissance des premiers États et c’est fascinant à plus d’un titre. Merci à toutes les personnes qui me l’on suggéré.

Creuser l’[anarchisme](/david/2020/09/16/), c’est à un moment se demander comment est-ce que l’on en est arrivé à une telle délégation/acceptation, quelle histoire a été racontée pour que l’on accepte que certaines personnes aient plus de pouvoir que d’autres, qui a domestiqué qui et pour quels bénéfices.

J’apprécie d’avoir pu balayer pas mal de mes croyances sur les formations humaines initiales et leur rapport à l’agriculture ainsi qu’à l’élevage. Mais aussi à notre transformation potentielle en tant qu’espèce au cours de ce processus de sédentarité :

> Le physique et le culturel sont étroitement liés. Faut-il croire, par exemple, qu’à l’instar de leurs animaux domestiqués, les être humains devenus sédentaires, cultivateurs de céréales et habitants de la *domus*, ont connu ==un déclin comparable de leur réactivité émotionnelle== et sont moins sur leurs gardes au sein de leur environnement immédiat ? Dans l’affirmative, est-ce lié, comme dans le cas des animaux domestiques, à des changements du système limbique, dont on a vu qu’il régit la peur, l’agression et les réflexes de fuite ? Aucun élément de preuve concernant directement cette question ne semble avoir été apporté et l’on ne voit guère pour l’instant comment elle pourrait être traitée de manière objective.
> 
> <cite>*Homo Domesticus*, James C. Scott</cite>


## Autres pensées du moment

> [en] 📱 Hardt doesn’t have data yet, but ==believes==, “the cost of this might be an enormous increase in dementia. The less you use that mind of yours, the less you use the systems that are responsible for complicated things like episodic memories, or cognitive flexibility, the more likely it is to develop dementia. There are studies showing that, for example, it is really hard to get dementia when you are a university professor, and the reason is not that these people are smarter – it’s that until old age, they are habitually engaged in tasks that are very mentally demanding.”
>
> <cite>*[Is your smartphone ruining your memory? A special report on the rise of ‘digital amnesia’](https://www.theguardian.com/global/2022/jul/03/is-your-smartphone-ruining-your-memory-the-rise-of-digital-amenesia)* ([cache](/david/cache/2022/7de1fadf3f8b3a65c97e32ef7b4fbf3c/))</cite>


> [en] 😮 Ok so there’s noticeable cognitive impairment on complex decision making when CO2 levels are *much* higher – but is even this 25% atmospheric uplift dinging my IQ? […]
> 
> But, being more specific, what lead is dinging isn’t just IQ – I seem to remember that lead affects impulse control? And CO2 affects “*complex strategic thinking*” ==so that’s an attentional thing, maybe?==
>
> I am suuuuuuper out on a limb here, but: *smartphones*? What if this century’s rise of short-attention-span casual games, attentional disorders, etc, is not to do with too much screen-time at all, but is a symptom of growing up under increased atmospheric CO2?
>
> <cite>*[Training my sense of CO2 ppm](https://interconnected.org/home/2022/07/14/co2)* ([cache](/david/cache/2022/f41d1b9b8daa4f9aaa4e789e07315bb5/))</cite>


> [en] 🙇 When you are talking to a person in a ring smaller than yours, someone closer to the center of the crisis, the goal is to help. Listening is often more helpful than talking. But if you’re going to open your mouth, ask yourself if what you are about to say is likely to provide comfort and support. If it isn’t, don’t say it. Don’t, for example, give advice. ==People who are suffering from trauma don’t need advice.== They need comfort and support. So say, “I’m sorry” or “This must really be hard for you” or “Can I bring you a pot roast?” Don’t say, “You should hear what happened to me” or “Here’s what I would do if I were you.” And don’t say, “This is really bringing me down.”
>
> <cite>*[How not to say the wrong thing](https://www.latimes.com/opinion/op-ed/la-xpm-2013-apr-07-la-oe-0407-silk-ring-theory-20130407-story.html)* ([cache](/david/cache/2022/029aa35f1401af118e933b15bf5b12bd/))</cite>


> [en] 🕯 In this day and age, good storytelling is more necessary, but riskier, than ever before, particularly when it comes to science. Science informs medical, environmental, legal, and many other public decisions, as well as our personal opinions on what to be wary about and how to lead our lives. Important societal and individual actions depend on our best understanding of the world around us—now more than ever, with the plague in all our houses, and the worst yet to come with climate change.
>
> It is time to subject our Populist Prophet, and others like him, to serious scrutiny.
> 
> […]
> 
> Harari’s speculations are consistently based on a poor understanding of science. His predictions of our biological future, for instance, are based on a gene-centric view of evolution—a way of thinking that has (unfortunately) dominated public discourse due to public figures like him. ==Such reductionism advances a simplistic view of reality==, and worse yet, veers dangerously into eugenics territory.
> 
> <cite>*[The Dangerous Populist Science of Yuval Noah Harari](https://www.currentaffairs.org/2022/07/the-dangerous-populist-science-of-yuval-noah-harari)* ([cache](/david/cache/2022/73089c42e8000a2d5a07cf29a39c913d/))</cite>


> [en] 🔗 I do touch upon a lot of different disciplines and I am a professional amateur. I’m not an expert in anything. I never fully know my field, but ==I try to make connections between fields and between people== without being a wanker, without appropriating someone else’s work, but by clearly building on top of what’s there, acknowledging what others have do. I love bringing people together, be it in space or on the pages of a magazine, that’s why I love being a curator. I don’t pretend to invent anything. I think everything’s been said and done anyway. More often than not, it’s about rediscovering the past.
>
> The connection of disciplines, is something that’s very important for me. What connects them all is me. Why do I do all this stuff? Because my brain tells me that that it will be fun, and that’s probably why I go there.
> 
> <cite>*[Justinien Tribillon](https://thecreativeindependent.com/people/writer-and-urbanist-justinien-tribillon-on-how-being-lazy-can-help-you-be-productive/)* ([cache](/david/cache/2022/c7e286caaab59b36a6d11893d7d08aba/))</cite>


> [en] 😱 Under assault by these flesh-eating monsters, the human race almost went extinct. Only by becoming an apex predator ourselves did we survive. We became the greatest killers the world has ever known, because if we hadn’t, we’d have died out. 
> 
> <cite>*[When Orcs were Real](https://treeofwoe.substack.com/p/when-orcs-were-real)* ([cache](/david/cache/2022/966252f65f40f1dbe13f56fde2fd34a3/))</cite>


> [en] ⭕️ Within bonfire, you now have the possibility to define circles and boundaries: a way to privately group some of your contacts and then grant them permissions to interact with you and each piece of content you share at the most granular level. […]
>
> People don’t fit in binary boxes labeled “follower” or “friend”. Circles and boundaries are a way to empower us to come up with our own groupings and sets of permissions.
>
> <cite>*[Introducing circles and boundaries](https://bonfirenetworks.org/posts/introducing_boundaries/)* ([cache](/david/cache/2022/dbe0cd099c2e1b99b5630d277235bfdd/))</cite>


> 💩 Est-ce que vous êtes tous fiers de chier dans de l’eau potable ?
>
> <cite>*[Toilettes sèches à litière (théorie et pratique)](https://david.mercereau.info/toilettes-seches-a-litiere-theorie-et-pratique/)* ([cache](/david/cache/2022/a89de577985310077a6e5e4477309922/))</cite>
