# Silence

> Il s’agit là de deux dimensions de la solitude, qui sont toutes deux importantes. La première consiste à être seul physiquement. La seconde, a être capable d’être vous-même et de rester centré au beau milieu d’un groupe. ==C’est parce que vous êtes en paix dans la solitude que vous pouvez être en communion avec le monde.== Je me sens relié à vous parce que je suis vraiment moi-même. C’est simple : pour pouvoir vous relier au monde, vous devez d’abord revenir en vous et vous relier à vous-même.
>
> <cite>*Les bienfaits du silence*, Thich Nhat Hanh</cite>

Peu d’écriture ces derniers temps. Peu de projets facturés/facturables aussi. Un été au ralenti qui me permet de rapatrier des [bouts de code chez moi](https://code.larlet.fr/), de faire un peu plus de sport et d’être davantage présent pour les personnes qui content une histoire commune.

Beaucoup de lectures, quelques croquis et pas mal de parties de UNO. À me demander si je suis éco-anxieux ou [éco-furieux](https://www.youtube-nocookie.com/embed/CrKmxPkV2jY) de voir l’Europe cramer. À me demander quand est-ce que le peuple va s’embraser pour de bon.

Et de regarder tout cela depuis mon île, où il fait pas mal vivre. Entouré de piscines et de climatisations, de <abbr title="Sport Utility Vehicles">SUV</abbr> et de _pickups_ démesurés, de souffleuses et de tondeuses à gazon. _Everything is fine!_

La grenouille se sent au mieux dans sa cocotte minute. Le poisson rouge attendra l’été prochain pour s’indigner. Les dents des vautours n’ont jamais été aussi longues… mais chut, je me tais.

Mot du mois :

> **[Baizuo](https://fr.wikipedia.org/wiki/Baizuo)** (白左, báizuǒ, abrégé de 白人左派, báirén zuǒpài, litt. « gauche blanche ») est un néologisme chinois péjoratif désignant une personne occidentale naïve ou hypocrite, qui ne militerait pour la paix et l’égalité que pour satisfaire un sentiment de supériorité morale. Son progressisme et son sens du politiquement correct favoriseraient l’émergence de valeurs rétrogrades. Arrogant et condescendant, le baizuo se poserait en sauveur. 


## Un peu de bruit

> 💯 Le bruit me fatigue. Je perds des points de vie.
> 
> <cite>*[☕️ Journal : Bruits](https://thom4.net/2022/08/23/bruits/)* ([cache](/david/cache/2022/15e68cfef2b2b0a461019c28a4269135/))</cite>


> 🥹 Parler, c’est s’exposer à beaucoup de choses. Le silence, c’est hyper… C’est hyper cool. C’était trop bien de me taire pendant 10 ans… 
> 
> <cite>*[L’interview exclusive de Mélanie Diam’s sur Brut](https://www.youtube-nocookie.com/embed/vWcV8ZPBEDg)*</cite>


> [en] 🤔 If you repeated what you did today 365 more times will you be where you want to be next year?
> 
> <cite>*[103 Bits of Advice I Wish I Had Known](https://kk.org/thetechnium/103-bits-of-advice-i-wish-i-had-known/)* ([cache](/david/cache/2022/3e2fe7a3e11df2b7ef1ac497e8687ad7/))</cite>


> 😮 Les adolescent.e.s admirent les adultes (vraiment !), comme des personnes responsables qui les guident et les protègent. ==Iels voient les politiciens comme les adultes des adultes.== [Note: cette expression m’a bouleversée.] Voir des politiciens qui savent ce qui se passe mais qui n’agissent pas, et des adultes autour d’eux qui font de même, les perturbe profondément.
>
> <cite>*[Un jeune désespoir](https://jksteinberger.medium.com/un-jeune-d%C3%A9sespoir-ed9df9de150d)* ([cache](/david/cache/2022/566023401a0e4735828a469104ebd2c7/))</cite>

> [en] 🚧 The most impactful mitigation strategy is to accept that lossiness exists. ==Simply adopting the mindset that signal loss is normal shifts your attention in ways that start to reduce it.== Most miscommunication happens because we aren’t aware of the potential for it, or because we presume it’s unlikely rather than the default state of affairs. If you are _aware_ of the likelihood that some of what you say is getting lost—and, conversely, that you aren’t hearing or absorbing everything that other people are trying to tell you—you are already three-quarters of the way to reducing the signal loss down to something sustainable, if not inconsequential.
> 
> […]
> 
> Adopting the mindset that lossiness is a fact of life has another benefit: that of beginning to see communication not as simply a transference but as a generative space. That is, we often think of communication as simply moving understanding from one place to another, the way we might move electrons from a substation to a home. This assumption is behind a lot of otherwise well-intentioned efforts to reduce or even eliminate synchronous communication, as it can seem wholly inefficient compared with other methods. But the best communication makes way for something new to emerge in the exchange. It’s not passive but generative, not mere delivery but a creative transformation.
> 
> <cite>*[All communication is lossy](https://aworkinglibrary.com/writing/all-communication-is-lossy)* ([cache](/david/cache/2022/d38ffcc7cf91cf1eb52c8a15f66f32fc/))</cite>


> ✊ Détricoter, tirer des fils et ouvrir des possibles, se donner de la force en imaginant concrètement les bouleversements à notre portée, avec ce qui résisterait. Notre parti pris est d’imaginer un monde où les choses ne seraient pas si simples, où elles nous blesseraient et nous accableraient comme on l’éprouve déjà si souvent… mais où nous serions suffisamment ensemble *pour que ça tienne* : en d’autres termes, ==imaginer une révolution qui durerait toujours== dix ou vingt ans plus tard, inventive, contradictoire et belle, à la fois modeste et ambitieuse.
> 
> <cite>*[Postface : Construire sur les ruines du système : vers une technologie libératrice ?](https://antemonde.org/textes/postface-batir-aussi/)* ([cache](/david/cache/2022/c0a9e157313301d9299e4bba31b485bf/))</cite>


> [en] 🤩 We grew up on the web; it’s nostalgic. We’ve also seen how it’s changed over time. […]
>
> While we still intend on building web sites, our goal is to experiment with new ways to encourage human communication and collaboration.
>
> <cite>*[team pico’s blog](https://hey.prose.sh/)* ([cache](/david/cache/2022/30fa9a24a052e993533639e7c19ccd04/))</cite>


> 🌲 Cela fait quelques jours que nous sommes arrivés à Tvaian, je m’applique à ne rien faire, je voudrais même essayer d’arrêter de penser. Ce matin, je me dis qu’il faut surtout que je cesse de vouloir — comprendre guérir voir savoir prévoir tout de suite. ==Au fond des bois gelés, on ne « trouve » pas de réponses :== on apprend d’abord à suspendre son raisonnement et à se laisser prendre par le rythme, celui de la vie qui s’organise pour rester vivants dans une forêt en hiver. J’essaie de trouver en moi un silence aussi profond que celui des grands arbres dehors qui se tiennent immobiles et verticaux dans le froid.
>
> <cite>*croire aux fauves*, nastassja martin</cite>


> 🤗 Je fais ce que je peux.  
> Avec mes silences et le reste.  
> Avec mes peurs de bête.  
> Avec mes cris d’enfant qui ne débordent plus.  
> Je fais ce que je peux.  
> Dans ce petit bain de cruauté et de lumière.  
> Dans les éclats de sucre et de mensonge.  
> Dans la délicatesse.  
> Dans la violence du temps qui piétine nos rêves.  
> Dans nos petits pataugements précieux.  
> Un matin après l’autre.  
> Un oubli après l’autre.  
> Un mot sur le suivant.  
> Je fais comme tout le monde.  
> Avec le ciel et sans les dieux.
>
> <cite>Thomas Vinau, découvert [sur masto](https://mamot.fr/@Vesper/108787164194833679), pas retrouvé [sur le site de l’auteur](http://etc-iste.blogspot.com/)</cite>
