# Bifurquer

> Par ailleurs, certains agronomes sont devenus « scientocrates ». Ils se sont vus comme une élite chargée de faire la promotion des techniques testées par l’Inra, un peu comme des missionnaires répandent la bonne nouvelle. Regardez, le mot « agronomie » se termine par « nomie », du grec _nomos_, qui veut dire « loi ». Comme dans « économie » — disciplines qui sont devenues norminatives, au risque de déraper.
>
> Il y a enfin une dimension sociale : les châtelains envoyaient leurs enfants dans les grandes écoles d’agronomie dont les petits paysans étaient exclus. On nous enseignait la certitude d’avoir établi le vrai, avec une sorte de mépris pour les autres formes de savoir agricole. Inconsciemment, on nous enseignait à devenir méprisants.
> 
> <cite>Marc Dufumier, L’agronomie doit revenir sur terre, Penser le vivant</cite>

Au début de l’été, je voulais écrire un truc au sujet de ces [bifurcations](https://www.youtube-nocookie.com/embed/3LvTgiWSAAE) **post**-diplômes qui se sont [enchaînées](https://www.youtube-nocookie.com/embed/SUOVOC2Kd50) dans les [grandes](https://www.youtube-nocookie.com/embed/BY7zclxtOLU) [écoles](https://www.youtube-nocookie.com/embed/lmgIpum4QOc). Et puis le temps à passé, mon aigreur aussi, peut-être. Il est tellement plus facile de déclamer son « anti-systèmisme » juste après avoir reçu un tampon de ce même système. En utilisant un espace de parole qui a été aménagé. Devant un parterre de camarades qui sentent bon la reproduction sociale. Avec la garantie de retrouver un emploi dans le secteur en un claquement de doigts. Bref, finalement l’aigreur est toujours là.

Et pourtant, il faut bien trouver [une voie alternative](https://framablog.org/2022/08/29/bifurquer-avant-limpact-limpasse-du-capitalisme-de-surveillance/) ([cache](/david/cache/2022/a6889f5458d738fa7e88825c39292d4c/)), un nouvel espoir. En ayant bien conscience que cell·eux qui *pensent* mal la situation actuelle sont démuni·es. Que cell·eux qui la *vivent* mal sont encore bien trop loin. On s’approche du gouffre mais il y a pas mal de monde devant nous. Ça amortira. Peut-être.

---

De manière plus réjouissante, j’ai commencé à publier des trucs [autour de la nature et de la forêt](https://nature.larlet.fr/). Parfois, l’outil devient suffisamment stimulant pour avoir envie de l’alimenter. Il me reste pas mal de contenus à ajouter mais vous pouvez aussi sculpter un peu cet espace avec moi en me proposant des sujets pas encore abordés. Ils s’agit du troisième sous-domaine de l’année, je me demande ce que ça signifie en terme de bifurcation.

Aussi, contre toute attente, la rentrée s’est bien passée. Je crois que l’on va avoir une vraie enseignante cette année. [Ça change.](/david/2021/09/01/)

---

Toute cette histoire à base de barbecue et de virilité en France me fait réaliser à quel point nous sommes loins d’être prêt·es (OK, surtout prêts) à ce qui nous attend. Ça pourrait être risible si ça n’était pas aussi engageant. Enrageant aussi.

Il faudrait au moins un 1000% sur les prix de l’essence et de la viande pour que ça fasse bouger les choses. Ça s’en vient, trop doucement.

Et [pendant ce temps-là](https://shouldibake.com/).


## La barre à droite toute

> [en] 🤸 The digital theorist Ian Bogost argues that this move-fast-and-break-things approach is precisely why software developers should stop calling themselves “engineers”: engineering, he points out, is a set of disciplines with codes of ethics and recognized commitments to civil society. Agile promises no such loyalty, except to the product under construction.
>
> Agile is good at compartmentalizing features, neatly packaging them into sprints and deliverables. Really, that’s a tendency of software engineering at large—modularity, or “information hiding,” is a critical way for humans to manage systems that are too complex for any one person to grasp. But by turning features into “user stories” on a whiteboard, Agile has the potential to create what Yvonne Lam calls a “chain of deniability”: ==an assembly line in which no one, at any point, takes full responsibility for what the team has created.==
> 
> <cite>*[Agile and the Long Crisis of Software](https://logicmag.io/clouds/agile-and-the-long-crisis-of-software/)* ([cache](/david/cache/2022/1236188b3f1c5da5282d20951c339338/))</cite>


> [en] 🛠 If you are just starting off and I tell you *exactly* how I work, right down to the brand of pen and notebook, I am, in a some small sense, ==robbing you of the experience== of finding your own materials and your own way of working.
>
> Trying to approximate someone else’s work with your own tools can lead to wonderful discoveries.
>
> <cite>*[The tools matter and the tools don’t matter](https://austinkleon.com/2018/02/24/the-tools-matter-and-the-tools-dont-matter/)* ([cache](/david/cache/2022/d2116522ee6de8693c08cbd3c4fe147f/))</cite>


> [en] 🎵 But we already know the answer to that. There have been other periods of artistic stagnation in the past, and ==they usually signaled a collapse== in other spheres of society too. You can’t lose creativity in the arts—its natural home—without seeing a rise of close-mindedness in other fields as well.
>
> But I don’t expect this trend to reverse anytime soon. Even scarier, at a certain juncture, we lose the key skills we need to support and nurture fresh perspectives and new creative endeavors.
>
> <cite>*[The New Numbers on Music Consumption Are Very Ugly](https://tedgioia.substack.com/p/the-new-numbers-on-music-consumption)* ([cache](/david/cache/2022/4bdaa4b32abeb8b0c9c682893b22da82/))</cite>


> [en] 😡 **Can in-app browsers read everything I do online?** Yes, if you are browsing ==through their in-app browser== they technically can.
> 
> <cite>*[iOS Privacy: Announcing InAppBrowser.com - see what JavaScript commands get injected through an in-app browser](https://krausefx.com/blog/announcing-inappbrowsercom-see-what-javascript-commands-get-executed-in-an-in-app-browser)* ([cache](/david/cache/2022/8e934525d3694413fe73a9af99cdf99d/))</cite>


> 🧑‍💼 Avant de poursuivre, on pourrait souligner que, à bien des égards, l’hostilité véhémente des États et la réaction quasi hystérique des gouvernants à WikiLeaks s’expliquent par la blessure narcissique que l’activité de cette organisation inflige aux hommes et aux femmes d’État.
> 
> On ne mesure sans doute pas à quel point découle, pour ces derniers, une sorte de jouissance du fait d’avoir accès à des informations dont le public, ainsi constitué en masse ignorante, est privé : c’est toute une image de soi comme être privilégié, lucide, qui a accès à ce qui est rare, à ce dont les citoyens ordinaires sont exclus, qui structure le rapport à eux-mêmes de celles et ceux qui sont intégrés dans l’appareil d’État. ==C’est l’une des rémunérations symboliques les plus fortes que l’État procure à celles et ceux qui le servent.==
>
> Or l’action de WikiLeaks a pour conséquence de ruiner ce privilège de classe. Toute la doctrine de ce site vise à déposséder les membres de l’État de ce qui est peut-être le plus précieux pour eux socialement : la capacité de regarder les autres comme ignorants. Aussi est-ce à leurs yeux une agression insupportable qui est ici accomplie, d’où la violence de leurs réactions.
>
> <cite>*L’art de la révolte*, Geoffroy de Lagasnerie</cite>


> [en] 💨 Behind the scenes, developers could look to use CO2.js as part of their deployment workflow. In the same way that web developers might set a *performance budget* for their site, [a carbon budget could also be used](https://css-tricks.com/reduce-your-websites-environmental-impact-with-a-carbon-budget/). If a website or app exceeds a threshold for carbon intensity, then an alert can be raised or a new deployment can be blocked. The data from CO2.js can also be used as part of internal monitoring tools and dashboards.
> 
> <cite>*[CO2.js: An Open Library for Digital Carbon Reporting](https://branch.climateaction.tech/issues/issue-4/normalising-digital-carbon-reporting/)* ([cache](/david/cache/2022/dbdfbdab3a63c31e36fcb412f3b4b0e0/))</cite>


> 🏦 Le sens littéral du mot d’origine grecque « parasite » est « à côté du grain ».
>
> <cite>*Homo Domesticus*, James C. Scott</cite>
