# Esclavage

Beaucoup de citations de cet ouvrage (*Homo Domesticus* / *Against the grain*) qui est remarquable. J’en retiens principalement trois choses :

1. L’écriture est nécessaire à l’État pour consigner l’impôt et celui-ci doit être prélevé sur une quantité visible et saisonnière (blé vs. pomme de terre par exemple).
2. L’esclavage est nécessaire à la production de nourriture pour les membres de l’État (peut-être à étendre à une forme de nourriture de la pensée avec la construction des téléphones indispensables en Asie ?).
3. Une épidémie est la pire chose qui puisse arriver à un État car elle conduit à une perte de population + une décentralisation pour fuir la maladie.

La suite après les extraits :

> Dès qu’une entité politique embrasse ne serait-ce que quelques milliers de sujets, une certaine forme de notation et de documentation allant au-delà de la simple mémoire et de la tradition orale devient nécessaire. ==Ce lien fondamental entre administration étatique et écriture== est d’autant plus plausible qu’il semble bien qu’en Mésopotamie, l’écriture ait été essentiellement utilisée à des fins de comptabilité pendant plus de cinq siècles avant de commencer à refléter les gloires civilisationnelles auxquelles on l’associe généralement : littérature, mythologies, panégyriques, listes et généalogies royales, chroniques et textes religieux.
> 
> <cite>*Homo Domesticus*, James C. Scott</cite>

> De même que la plupart des consommateurs occidentaux ne feront jamais ==l’expérience directe des conditions de reproduction des fondements matériels de leur existence,== les Athéniens n’avaient guère conscience que près de la moitié de la population servile travaillait dans les carrières, les mines, les forêts et sur les galères et était de ce fait largement invisible.
>
> <cite>*Ibid.*</cite>

> Tant qu’il existe d’autres options de subsistance, comme l’a montré Ester Boserup dans un ouvrage classique, « il est impossible d’empêcher les membres des classes subalternes de trouver d’autres moyens de subsistance, à moins qu’ils ne soient réduits individuellement en esclavage. Lorsque la population devient si dense que la terre peut être contrôlée, il devient inutile de maintenir les classes subalternes dans la servitude ; ==il suffit de priver la population laborieuse du droit d’être des cultivateurs indépendants== » — ou bien de pratiquer librement la chasse, la cueillette, l’agriculture sur brûlis ou l’élevage.
>
> <cite>*Ibid.*</cite>

> Nous savons que l’État n’a pas inventé l’esclavage et la servitude : ceux-ci sont observables dans un nombre considérable de sociétés pré-étatiques. Mais ce que l’État a certainement inventé ce sont des sociétés de grande taille reposant systématiquement sur le travail forcé et une main-d’œuvre asservie. Même lorsque la proportion d’esclaves y était bien inférieure à celle d’Athènes, de Sparte, de Rome ou de l’Empire néo-assyrien, le rôle de la main-d’œuvre captive et de l’esclavage était tellement vital et stratégique pour la préservation du pouvoir de ces États que l’on imagine mal qu’ils aient pu subsister longtemps en leur absence.
> 
> ==Pourquoi ne pas prendre au sérieux, en tant qu’hypothèse fructueuse, l’idée d’Aristote selon laquelle un esclave est un outil de travail== et, en tant que tel, peut être assimilé à un animal domestique, à l’instar d’un boeuf, par exemple ? Après tout, Aristote savait de quoi il parlait. Pourquoi ne pas analyser l’existence de l’esclavage, des prisonniers de guerre soumis aux travaux agricoles, des hilotes, etc., comme le reflet d’un projet étatique visant à domestiquer par la force toute une classe de serviteurs humains de la même manière que nos ancêtres néolithiques avaient domestiqué les ovins et les bovins ?
> 
> <cite>*Ibid.*</cite>

> Prenons la question de la reproduction. Au cour même de la domestication, il y a l’affirmation du contrôle humain sur la reproduction des plantes ou des animaux, ce qui implique leur confinement et un souci de sélection et de gestion du taux de reproduction. Au cours des guerres visant la capture de prisonniers, la préférence marquée pour les femmes en âge de procréer reflète un intérêt au moins aussi important envers leurs services reproductifs qu’envers leur force de travail. Au vu des défis épidémiologiques auxquels étaient confrontés les premiers centres étatiques, il serait instructif de connaître — même si c’est hélas impossible à vérifier — l’importance de la reproduction des femmes esclaves pour leur stabilité et leur croissance démographiques. ==La domestication des femmes non esclaves dans les Etats céréaliers antiques peut également être considérée selon cette perspective.== La combinaison de la propriété foncière, de la famille patriarcale, de la division du travail au sein de la *domus* et de l’intérêt supérieur de l’État à maximiser sa population avait comme effet de domestiquer la reproduction des femmes en général.
> 
> <cite>*Ibid.*</cite>

> Pourquoi déplorer l’« effondrement » dès lors que la situation décrite par ce terme ne reflète le plus souvent que la décomposition d’un État complexe, fragile et généralement oppressif en de plus petits fragments décentralisés de taille inférieure ? Une raison fort simple et pas nécessairement superficielle de cette perception négative, c’est que la disparition d’un État prive les chercheurs et spécialistes chargés de documenter les civilisations antiques du matériau brut dont ils ont besoin. […] ==Il me semble que nous devrions nous efforcer de « normaliser » l’idée d’effondrement et d’y voir l’amorce d’une reformulation périodique et peut-être même salutaire de l’ordre politique.==
> 
> […]
> 
> Et surtout, le bien-être d’une population ne doit jamais être confondu avec la puissance d’un centre étatique ou palatial. Il n’était pas rare que les sujets des premiers États abandonnent l’agriculture et les centres urbains afin d’échapper aux impôts, à la conscription, aux épidémies et à l’oppression. Sous un certain angle, on peut considérer qu’ils ont ainsi régressé vers des formes de subsistance plus rudimentaires, telles que la cueillette ou le pastoralisme. Mais sous un autre angle, que je crois plus pertinent, on peut se féliciter qu’ils aient ainsi échappé au paiement d’un tribut en main-d’œuvre et en céréales, survécu à une épidémie, échangé une servitude oppressive contre un surcroît de liberté et de mobilité physique, voire évité la mort au combat. En pareilles circonstances, l’abandon de l’État pouvait être vécu comme une émancipation.
>
> <cite>*Ibid.*</cite>

Cela fait longtemps que je m’interroge sur notre capacité à accepter cet esclavage moderne que les générations futures ne pourront comprendre, de la même manière qu’il est difficile d’accepter que le commerce triangulaire ait pu être possible.

Si on le prend comme condition de l’État, alors il devient peut-être plus compréhensible et il faut se réjouir d’un effondrement joyeux qui consisterait à sortir de cette nécessité en allant vers une décentralisation et une forme d’auto-suffisance ne reposant pas sur le travail des autres.

Les personnes anxieuses de la situation actuelle sont majoritairement les 10 % qui exploitent tou·tes les autres pour améliorer/conserver leur confort et confirmer l’assise de leur pouvoir plus ou moins volontairement. J’en fais partie et probablement que toi aussi lecteur·ice.

On ne cherche pas à sauver l’espèce humaine, encore moins la planète mais la reproduction sociale qui assure la supériorité de notre (con)descendance. Il est difficile de [rester silencieux](/david/2022/08/24/) sans devenir esclave de ses pensées. En les libérant, j’emprisonne les autres. Comment s’en sortir ?


## Libérations

> 💯 On a parfois tendance à penser qu’un diagnostic, par exemple “TDAH” ou “dépression” est une entité naturelle discrète (ce n’est jamais le cas, la comorbidité est la règle et pas l’exception), qui contiendrait une sorte de vérité essentielle et immuable.
>
> En réalité, on pourrait comparer un diagnostic à une constellation. Depuis l’endroit où l’on se trouve, on remarque que des étoiles semblent proches les unes des autres, comme des symptômes qui se présenteraient souvent ensemble. On décide d’appeler la forme qu’elles prennent “la Grande Ourse”, ou “la schizophrénie”. En réalité, selon un point de vue différent, on pourrait créer d’autres formes à partir de chacune de ces étoiles, et donner d’autres noms à ces formes-là.
>
> ==La constellation permet de décrire un coin du ciel depuis notre point de vue, subjectif dans le temps et dans l’espace.== Ça permet de se repérer, de synthétiser des informations et de les transmettre à d’autres, mais ça ne dit pas grande chose de l’expérience vécue par celles et ceux qui explorent ces espaces interstellaires.
>
> <cite>*[cailloux n°103 : words, words, words](https://cailloux.substack.com/p/103-words-words-words)* ([cache](/david/cache/2022/bbca3c5e1bb2364d21c39db0f25ce7c7/))</cite>


> 🧡 Où l’on redécouvre que le blog qui ne raconte rien, à l’ancienne, n’est pas mort !
>
> <cite>*[J’ai pris le large](https://nota-bene.org/J-ai-pris-le-large)* ([cache](/david/cache/2022/c45fd3d630e91da74f901ab4bbeebb73/))</cite>


> [en] 👷 After 4 hours of work to re-compile my app and 44 hours waiting in the review queue, WorldAnimals is now updated to a new version. I am safe for at least another three years before getting automatically flagged for removal. Unless, that is, Apple decides there is a new threshold for “outdated” and change their policy once again.
> 
> <cite>*[Outdated vs. Complete](https://vivqu.com/blog/2022/09/25/outdated-apps/)* ([cache](/david/cache/2022/e3a00561b3b07a5b4c1e207eb59eaa3f/))</cite>


> 😔 Car de la même manière que la bourgeoisie s’est détournée de la malbouffe, elle apprend aujourd’hui à préserver ses enfants des écrans après les avoir utilisés pendant vingt ans comme marqueur social. Les familles les plus pauvres, inondées de pub et privées de nature, dépourvues des moyens de rivaliser avec YouTube et Fortnite par des sorties et des loisirs, sont massivement victimes de la misère addictive du *high tech*. Non seulement leurs enfants sont les premiers touchés, mais les parents sont désignés comme les principaux coupables. Comme pour les problèmes d’obésité et de surpoids (qui touche maintenant plus d’un tiers des jeunes enfants en France), ==la violence de l’intoxication de masse est recyclée en violence de classe.==
>
> <cite>*[À la maison comme à l’école, les écrans sont une catastrophe](https://reporterre.net/A-la-maison-comme-a-l-ecole-les-ecrans-sont-une-catastrophe)* ([cache](/david/cache/2022/5964573af5b20f004910ef76ee7f3d8a/))</cite>


> 🧑‍🎓 Du reste, les 1700 milliards de dettes étudiantes ne tombent pas du ciel. Ils découlent d’un choix prenant racine dans les années 1960. Face à l’agitation politique qui dominait alors les campus américains et structurait la résistance à la guerre du Viet Nam, les élites conservatrices avaient tiré la sonnette d’alarme. Le directeur du FBI Edgard Hoover et le patron de la CIA John McCone décrivaient le campus de Berkley (Californie) comme étant « sous influence communiste » – situation qui « nécessitait une action corrective ».
>
> Avec l’élection de l’acteur de série B Ronald Reagan au poste de gouverneur de Californie, la droite conservatrice avait pu commencer à restreindre les budgets des universités publiques. Roger Freeman, son conseiller à l’éducation, déclarait : « nous faisons face au risque de produire un prolétariat instruit, ce serait de la dynamite ! On doit être sélectif ! ». Couper les subventions publiques et transférer le coût des études sur les étudiants, incités à s’endetter pour payer leurs frais d’inscriptions, devait permettre de placer une barrière à l’entrée des études supérieures. Il s’agissait d’une petite révolution : jusqu’ici, les politiques publiques visaient à éduquer un maximum de citoyens, gratuitement.
> 
> <cite>*[la fin d’un totem néolibéral](https://lvsl.fr/annulation-de-la-dette-etudiante-aux-etats-unis-la-fin-dun-totem-neoliberal/)* ([cache](/david/cache/2022/2ce856390079feed694a41bb2f2f42f1/))</cite>


> 💚 Il est silence.  
> Mais qui écoute les mots dont il est plein ?  
> Et s’arrête un instant pour le sentir vibrer ?  
> L’écho du vide n’est pourtant pas néant.  
> Il s’entrelace jusqu’à se chuchoter toute une mythologie.  
> Comme du vent surgit la mélodie, du non-dit émerge la poésie.  
> Du potentiel jaillit un battement de cœur.
>
> <cite>*[Abandon - Maïa Dereva](https://blog.maiadereva.net/abandon/)* ([cache](/david/cache/2022/91ee87b7d6f86f136cf9e6c6ec2b2117/))</cite>
