# Mastodon

> [en] For those of us who have been using Mastodon for a while (I started my own Mastodon server 4 years ago), this week has been overwhelming. I’ve been thinking of metaphors to try to understand why I’ve found it so upsetting. ==This is supposed to be what we wanted, right? Yet it feels like something else.== Like when you’re sitting in a quiet carriage softly chatting with a couple of friends and then an entire platform of football fans get on at Jolimont Station after their team lost. They don’t usually catch trains and don’t know the protocol. They assume everyone on the train was at the game or at least follows football. They crowd the doors and complain about the seat configuration.
>
> <cite>*[Home invasion](https://www.hughrundle.net/home-invasion/)* ([cache](/david/cache/2022/58f10e6e52b49d69b79d1793482f1cf0/))</cite>

Il est temps de mettre des mots sur le Mastodon qui traine dans le couloir, ces derniers jours sur le réseau ayant été assez spéciaux. Il y a la [loi de Metcalfe](https://fr.wikipedia.org/wiki/Loi_de_Metcalfe) qui relie l’utilité d’un réseau au nombre de ses membres. Je crois que je suis sensible à l’inverse de cette loi : un réseau perd de son intérêt lorsqu’il dépasse un certain nombre de membres. En dépit de toutes les fonctionnalités dont j’ai (ab)usé pour me protéger de cela, plus de personnes entraîne plus d’activité entraîne plus d’éparpillement entraîne un trop plein d’émotions. Elle me dit que je suis un _snob_ qui ne se complait que dans son club très privé. Soit.

La contradiction, c’est que je suis heureux d’observer cette nouvelle vague. Même si c’est un *tsunami* auquel fait suite un accident nucléaire en fait. Comment ne pas se réjouir du fait qu’Elon Musk se casse les dents ? Comment ne pas apprécier qu’une alternative open-source et décentralisée finisse par percer ? Comment ne pas être heureux qu’une personne proche/intéressante rejoigne et participe enfin au réseau ?

Et puis il y a toutes les observations d’ordre sociologique qui sont croustillantes : les reproductions de schémas pyramidaux, les influences diverses pour modeler les communautés, la vérification que les _geeks_ puis les scientifiques, artistes et littéraires attirent (ou pas) la masse, le pouvoir/devoir que procure la modération plus ou moins opaque d’une instance, les attentes des ancien·nes et les croyances des nouveaux·elles (ou l’inverse), etc.

Mais il y a aussi la pression d’une perte d’intimité qui n’était pas tant un entre-soi qu’un espace restreint où l’on pouvait plaisanter sans que cela prenne des proportions vertigineuses, où l’on avait l’impression de connaître toutes les personnes suivies et suiveuses, d’en découvrir certaines à petits pas, j’ai besoin de lenteur dans mes interactions sociales. Du jour au lendemain, le mégaphone a eu besoin de faire son retour car la place du village s’est transformée en une arène à captation d’attention. Et j’ai déjà donné à ce jeu là. Ce n’est pas tant de la nostalgie que de la fuite d’une foule numérique. Lorsque l’échelle change, j’en reviens souvent à l’escabeau.

Et donc, retour à la case départ avec cette réflexion sur des réseaux à échelle humaine qui seraient _vraiment_ conçus pour ne pas dépasser une certaine taille (même si cette fois ça n’est pas passé bien loin). Des technologies/protocoles un peu plus frugales aussi, qui pourraient permettre des interactions entre sites statiques.

Quand on y pense, les blogs et leurs RSS c’est pas si mal en fait hein… #DaccordVieillard

## Encore plus de pachydermes

> [en] However, unlike Big Tech, the stated goal of the fediverse is to decentralise things, not centralise them. Yet how likely is it we can achieve the opposite of Big Tech’s goals while adopting its same fundamental design?
>
> When you adopt the design of a thing, you also inherit the success criteria that led to the evolution of that design. If that success criteria does not align with your own goals, you have a problem on your hands.
> 
> <cite>*[Is the fediverse about to get Fryed? (Or, “Why every toot is also a potential denial of service attack”)](https://ar.al/2022/11/09/is-the-fediverse-about-to-get-fryed-or-why-every-toot-is-also-a-potential-denial-of-service-attack/)* ([cache](/david/cache/2022/a6257c9517a4e07d4d4ccfa872cbf08b/))</cite>

> [en] In an ideal version of the fediverse, the majority of users and organisations would run their own instances. This would make the network very resilient, make verification a no-brainer (see above) and the load would be shared fairly.
>
> Right now, there’s a high risk of burning through the financial means of the team behind a popular instance – as well as burning them out mentally because of the work load. That’s less than ideal as a foundation for a healthy new home.
>
> <cite>*[Fediverse](https://bastianallgeier.com/notes/fediverse)* ([cache](/david/cache/2022/827b390ef9e20d414ef803611bc4f2bb/))</cite>

> [en] I have an unproven hypothesis. Suppose that Free Radical had several worker threads trying to contact instance Foo. Foo was running slowly, so those connections eventually timed out after many seconds, and Free Radical added a retry task to the end of the queue. However, while it was waiting for those connections to give up, it was responding to other servers slowly. Somewhere out there, server Bar was trying to deliver messages to Free Radical, and those connections were timing out because Free Radical was stuck waiting for Foo. That made Bar run slowly. Meanwhile, Foo is trying to contact Bar, but can’t because Bar is so loaded up. In other words, lots of servers were running slowly because they were waiting on all their neighbors to start running quickly.
> 
> <cite>*[Surviving and thriving through the 2022-11-05 meltdown](https://blog.freeradical.zone/post/surviving-thriving-through-2022-11-05-meltdown/)* ([cache](/david/cache/2022/5562ca2239cf52842501c3fc675eca3c/))</cite>

* [Mastodon on your own domain without hosting a server](https://blog.maartenballiauw.be/post/2022/11/05/mastodon-own-donain-without-hosting-server.html) ([cache](/david/cache/2022/2b4baf23121e6a8cfb4d29008e478770/))
* [.well-known + config nginx par Alexis](https://github.com/almet/.well-known)
* [Getting Mastodon running on a custom domain](https://til.simonwillison.net/mastodon/custom-domain-mastodon) ([cache](/david/cache/2022/d8a33ccb98091090b6a13b532773137a/))
* [Setting up a personal Fediverse ID / Mastodon instance](https://jacobian.org/til/my-mastodon-instance/) ([cache](/david/cache/2022/19bb6f887f452188b738599777d7014d/))
* [The Fediverse, And Custom Domains](https://aeracode.org/2022/11/01/fediverse-custom-domains/) ([cache](/david/cache/2022/9a78ae9b6814326d9c3df1425006f8f4/))
* [Everything I know about Mastodon](https://blog.djnavarro.net/posts/2022-11-03_what-i-know-about-mastodon/) ([cache](/david/cache/2022/4bdd8a682b8c7d31f518b6c6730179d2/))
* [Nikodemus’ Guide to Mastodon](https://docs.google.com/document/d/1D9gfeKg_-hlsU66R-dLEvUeyMsqEfyIx2pnfUeX0t_E/edit) ([cache](/david/cache/2022/3b9259e5e41e5e73fc3d5574fd472674/))
* [Procédure pour déplacer son compte d’une instance Mastodon à une autre](https://pmazagol.gitpages.huma-num.fr/migration-mastodon/) ([cache](/david/cache/2022/cb9be8bdfda6c6e03820a5ebae0cb470/))
* [Mastodon, fin de (première) partie ?](https://framablog.org/2022/11/12/mastodon-fin-de-premiere-partie/) ([cache](/david/cache/2022/3f045054587e15191052008ca455dc3c/)) (Traduction du billet d’introduction)
