# Traces

_Cet article a également été publié sur [24 jours de web](https://www.24joursdeweb.fr/) à [l’adresse suivante](https://www.24joursdeweb.fr/2022/traces-de-developpements/). Merci._

Lorsqu’on parle de publication d’un journal sur le web — qu’il soit personnel ou professionnel — on pense tout de suite aux (web)blogs. Je voudrais ici partager avec vous une autre pratique du journal qui me permet de partager mon travail de manière semi-privée au sein des équipes distribuées et asynchrones que je côtoie depuis plus de 5 ans. C’est un intermédiaire entre la description d’une facture, un compte rendu d’activité (CRA) et ce qui peut être échangé lors d’un rendez-vous d’équipe oral quotidien. Pour [une version courte](/david/2020/12/13/#journal).

## Prologue

> Je suis fermement convaincu que l’on ne « perd » jamais du temps à écrire, même si à un certain moment on abandonne le projet sur lequel on travaillait. Chaque tentative d’écriture, qu’il s’agisse d’un article analytique, d’un chapitre de roman ou d’un poème, est une expérience de travail sur la tâche impossible de donner une forme écrite à la vie vécue. ==La vie vécue ne peut être couchée sur le papier.== Elle ne se présente pas sous la forme de mots et est impossible à traduire en mots. L’expérience de penser une pensée n’est pas la pensée qu’on inscrit sur la page. Et pourtant, nous essayons d’inventer des formes de faire cette traduction impossible […]
> 
> <cite>*[Pour une nouvelle sensibilité analytique ou « que veux-tu être quand tu seras grand ? »](https://carnetpsy.fr/pour-une-nouvelle-sensibilite-analytique-ou-que-veux-tu-etre-quand-tu-seras-grand/)* ([cache](/david/cache/2022/e6dbee7e4ecefa386cb1c73040ee9e16/))</cite>

J’ai probablement été inspiré par les carnets de laboratoire si importants pour la recherche scientifique, ayant ensuite participé activement à leur numérisation et à leur passage au web (premier emploi). Il y a certainement des personnes comme [Ronan](https://ronan.amicel.net/) et [Yannick](https://elsif.fr/) qui m’ont influencé aussi dans cette routine d’écriture. Oh, et peut-être de bloguer régulièrement [depuis 18 ans](/david/biologeek/archives/20040930-ouverture-de-rideau/) aussi 🙃.

## Génèse

Le plus vieux journal de la sorte que j’ai pu retrouver remonte à mon accompagnement de [data.gouv.fr](https://www.data.gouv.fr/fr/) en 2016. C’est étrange d’avoir commencé en cours de mission mais ça correspond aussi à mon arrivée au Québec. Cela justifie probablement l’envie de créer un nouvel espace d’échanges asynchrones car je me retrouvais avec 6 heures de décalage horaire. _Note : le fait de ne pas être sur la même timezone m’apporte beaucoup dans mon travail quotidien mais ce sera l’objet d’un futur article._ Il était aussi plus facile de démarrer l’expérience avec une équipe que je connaissais assez bien (un an et demi d’ancienneté).

![Capture d’écran d’un ancien journal (2016)](/static/david/2022/journal-2016-datagouvfr.png "Capture d’écran d’un journal hebdomadaire pour la deuxième semaine de septembre 2016.")

On peut voir que je comptabilise le nombre de jours facturés de manière publique avec l’équipe, que je partage un _mood_ et que je documente ce que j’ai fait sur la semaine en cours/passée. Il y a aussi beaucoup de liens et d’emojis, on se refait pas 🤷.

Lors d’un essai, je trouve ça pertinent de ne pas trop se soucier de la forme ou du lieu où sont stockées les données, cela sera facilement modifiable et récupérable si l’expérience est concluante. Ça reste tout de même du texte brut en _markdown_ qui est aisément transformable.

J’ai continué ce premier journal jusqu’à la fin de l’année avant de valider l’expérience et de passer à une publication chez moi, jusqu’à avoir un journal par équipe/produit. Avoir la main sur la conversion en HTML m’a permis de le représenter davantage sous la forme d’une _timeline_ et de comptabiliser automagiquement les jours du mois pour la facturation grâce à des `data-attributes` bien placés. J’ai aussi la possibilité de replier les entrées très anciennes à l’aide d’un `details`/`summary` ce qui devient assez critique car je passe à un format quotidien, plus approprié au [produit sur lequel je travaille](https://beta.gouv.fr/startups/zam.html) à ce moment là.

![Capture d’écran d’un ancien journal (2019)](/static/david/2022/journal-2019-zam.png "Capture d’écran d’un journal quotidien fin 2019")

Il s’agit d’une routine qui demande une certaine rigueur mais en couplant l’écriture au décompte du temps passé — et donc à la rémunération associée — cela motive pour ne pas louper une entrée 😅.

## Évolutions

Début 2022, je sentais bien que je supportais de moins en moins le contexte du produit sur lequel je travaillais, j’ai donc introduit une notion de fun combinée à une comptabilité du temps plus précise qui ne s’effectuait plus à la (demi-)journée mais à l’heure. Je me disais qu’il fallait au moins prendre la mesure de cette démotivation ainsi que son évolution. Cela m’a permis de clairement réaliser qu’il fallait que je mette fin à ma participation à ce produit.

![Capture d’écran d’un journal récent (début 2022)](/static/david/2022/journal-2022-fun.png "Capture d’écran d’un journal début 2022")

Plus récemment, sur un autre journal/produit, j’ai ajouté des graphes du temps passé et de l’humeur du moment. Je voulais voir ce que ça pouvait donner sur une période et visualiser si l’humeur était dépendante d’une surcharge de travail par exemple. Je trouve intéressant d’avoir ce baromètre donnant une information importante pour les collaborateur·ices et pour moi-même.

Au cours de l’évolution dans le temps du format du journal, je remarque que je me concentre davantage sur les émotions que sur ce qui a été fait de manière analytique. C’est peut-être lié à une maturité personnelle qui me fait considérer davantage le côté humain au côté technique dans mon travail.

![Capture d’écran d’un journal récent (2022)](/static/david/2022/journal-2022-stylo.png "Capture d’écran d’un journal quotidien en 2022")

Pour la source, elle est toujours en _markdown_, j’ai tenté à un moment d’écrire directement en HTML (et j’ai encore des journaux en cours ainsi) mais ça change ma fluidité d’écriture car je finis par être distrait par l’éditeur. J’ajoute des métadonnées à base d’emojis pour comptabiliser le temps et consigner l’humeur :

![Capture d’écran de la source d’un journal récent (2022)](/static/david/2022/journal-2022-stylo-source.png "Capture d’écran de la source d’un journal quotidien en 2022")

Je passe sur certaines adaptations faites au cours du temps sur le générateur de HTML pour pouvoir supporter le décompte du temps de plusieurs personnes ou d’avoir plusieurs journaux combinés sur une même page.

La technique est loin d’être clef dans ce contexte et l’importance est plutôt de rendre le journal accessible facilement aux autre membres de l’équipe. Je poste le lien vers l’entrée du jour plus ou moins régulièrement (en fonction de l’activité du projet) dans l’espace dédié à la discussion instantanée. Je n’ai pas de statistiques de lecture et je ne cherche pas à en avoir.

## Intérêts

Le premier gain est personnel, il s’agit d’une mémoire externalisée de ce que j’ai fait avec des notes — parfois technique — de ce qui m’a débloqué à des moments clefs. Le fait de rédiger quotidiennement ou hebdomadairement me permet de faire un bilan de ce que j’ai réussi (ou échoué) à faire et des conditions de travail dans lesquelles j’ai été. Cela donne un sentiment d’avancement assez plaisant, ou lors de certaines périodes de réaliser que l’on piétine un peu aussi. J’y consignais également des bouts de code plus technique avant de les externaliser vers un [espace public dédié](https://code.larlet.fr/).

Je relis rarement ce journal de bout en bout *a posteriori* mais je vais souvent y piocher des lignes de commandes ou des conclusions de réunions. Parfois même des actions à faire lorsque la régularité sur un produit devient plus espacée.

![GIF animé de Sean Connery issu d’un film qui dit qu’il consigne des choses dans son journal pour ne pas avoir à les retenir](/static/david/2022/journal-sean-connery.gif "Ce-que-disent-les-vieux.")

Cela m’offre un certain recul sur le temps passé et ma « productivité » aussi, autant dans un sens (_burn-out_) que dans l’autre (culpabilité, syndrome de l’imposteur, etc). Il y a toute la réflexion autour de « Est-ce que c’est du travail ? » qui est intéressante lorsqu’on fait un travail plutôt intellectuel. Est-ce que d’aller me promener une heure est important pour arriver à la résolution de ce *bug* ? Est-ce que j’ai besoin de trois heures de procrastination pour arriver à développer cette fonctionnalité en 20 minutes ? Si oui, comment facturer cela ? Etc.

J’apprécie que le temps soit décompté de manière transparente, il y a rarement des surprises ou si elles le sont c’est rapidement expliqué. Je trouve cela important que pour des personnes moins techniques mon métier soit un peu plus tangible. Le fait de raconter les différents errements et recherches technologiques participe probablement à sa compréhension. Lorsqu’on facture au temps passé et qui plus est à distance, la confiance s’installe également par la transparence.

Le gain collectif est difficile à estimer. J’ai souvent des retours positifs et inspirants. J’apprécie que toutes les personnes de l’équipe puissent avoir le même niveau d’information à mon sujet, autant au niveau du cheminement technique que de la forme du moment. Notamment dans des passages difficiles, je trouve ça intéressant de pouvoir m’exprimer à l’écrit de manière asynchrone, de manière un peu plus posée. Ces retours sont souvent à l’origine de discussions qui sont importantes pour que tout le monde se sente bien dans l’équipe. Le journal est une soupape de connaissances afin de ne pas devenir un·e gardien·ne du temple mais aussi une soupape émotionnelle !

Est-ce que les autres personnes des équipes lisent ces traces de développement au quotidien ? Je n’en ai aucune idée, je pense que chaque collaborateur·ice a ses propres routines de lectures et il faut combiner à cela les personnes qui sont plus à l’aise à l’oral. Le journal n’est pas exclusif mais fait partie d’une faculté plus globale à communiquer de plusieurs manières possibles pour essayer de transmettre un message compréhensible.

## Coopérative

Dans un autre contexte — la [coopérative](http://scopyleft.fr/) dont je fais partie depuis 10 ans — j’ai démarré cette année un nouveau journal pour partager autour des petits produits que je mettais en proposition pour la SCOP.

![Capture d’écran de la source d’un journal de coopérative (2022)](/static/david/2022/journal-2022-scopyleft.png "Capture d’écran de la source d’un journal de coopérative en 2022")

Celui-ci avait encore une fois le double intérêt de partager mes expérimentations avec les membres du collectif et de comptabiliser le temps passé pour d’éventuelles productions immobilisées (du jargon pour dire que je crée de la valeur pour l’entreprise). La porte est ouverte, dans ce moteur de blog/site statique, pour que d’autres personnes puissent participer bien que cela n’ait pas encore été le cas.

Ce journal a tout particulièrement pour objectif de générer des discussions et d’expliquer les attentes et frustrations autour des produits. Certaines entrées sont très techniques, d’autres davantage un résumé du cheminement. Je rédige souvent des entrées en pensant à une personne particulière de la coopérative qui pourrait le lire et y trouver des petites graines.

Le fait d’être en décalage de six heures avec les autres membres me fait davantage utiliser l’écrit et l’asynchrone pour certaines tâches comme le développement pur, cela influence probablement mon attirance pour ces traces numériques. Il n’est pas toujours aisé de travailler côte à côte lorsqu’un océan les sépare.

## La suite ?

Je ne sais pas de quoi mon prochain journal sera fait. La seule certitude que je peux avoir est qu’il existera. J’espère qu’il continuera à s’adapter à mes besoins et à ceux des équipes car c’est aussi un espace de jeu autour du partage et d’une autre forme de travail.

Je vous invite à inventer le vôtre, qui vous correspondra et qui en inspirera d’autres. Peut-être que de nouvelles façons de faire émergeront, des dessins, un [schéma](https://fr.wikipedia.org/wiki/%C3%89tudes_du_f%C5%93tus_dans_l%27ut%C3%A9rus), une photo, un _haïku_, une [_issue_](https://simonwillison.net/2022/Nov/26/productivity/) ([cache](/david/cache/2022/747b97ed378bc3b334ab6375346a13fa/)), tout est possible.

## Épilogue

Depuis cette année, l’enfant de 9 ans qui vit avec moi rédige ce qu’iels appellent dans sa classe des « traces d’études », ce qui correspond à une page de résumé des apprentissages pour la semaine en cours.

Il n’est jamais trop tôt pour commencer !

![Photo d’un cahier avec des traces d’études (2022)](/static/david/2022/journal-2022-traces.jpg "Une photo du cahier avec des traces d’études.")

_Merci à Émilie et Roch pour leurs relectures attentives et enthousiastes._
