# Marcher

> Mais l’ennui est aussi une volupté tranquille, un retrait provisoire hors de la frénésie ordinaire qui laisse démuni et étonné, les mains vides, du temps plein la tête avec une vague culpabilité de ne pas être à la tâche. S’ennuyer est un art qui s’apprend à l’usage. La marche induit peu à peu une sorte de transe, une douce fatigue imprègne les muscles et libère l’esprit qui n’est plus assujetti à la rumination des soucis. Après quelques heures d’effort les mouvements glissent comme la durée, comme l’eau s’écoule dans le lit de la rivière, dans une sorte d’évidence. La conscience s’est élargie, elle développe une lucidité tranquille sur la progression, sur les incidents possibles du parcours.
>
> La pensée flottante qui naît de la marche est affranchie des contraintes de raisonnement, elle va et vient, enracinée dans la sensorialité, l’instant qui passe. ==La marche est un élagage des pensées trop lourdes== qui empêchent de vivre par leur poids d’inquiétude.
>
> <cite>*Marcher, éloge des chemins de la lenteur*, David Le Breton</cite>

[Encore](/david/2022/10/18/) un ouvrage dont je pourrais citer de très nombreux passages. Il y aurait tellement de choses à écrire autour de la marche, comme un poncif dont on n’aurait jamais fait le tour car le chemin est différent pour chacun·e. Parfois, il me faut des kilomètres pour dé-penser, d’autres fois au bout de 50 mètres je suis déjà pleinement (dans) la forêt. Très difficile d’anticiper le temps et l’espace qui vont être nécessaires à ce jeu de déconnexion/reconnexion.

Réussir à détourner volontairement son attention n’est pas chose aisée. Il y a l’œil du photographe, le pistage de la gélinotte huppée, la peur du chasseur, la recherche d’un campement ou tout simplement d’eau. Le cerveau est un élastique entre le présent et son analyse.

Et puis il y a la marche qui prépare la marche, cet entraînement qui fait partie du chemin aussi, qui en rendra possible un autre. Celui-ci permet de tester le corps, de le pousser plus loin, de vérifier l’équipement parfois. Il a la monotonie que l’on souhaite bien lui accorder.

> Ce qui importe ce n’est pas le chemin mais ce que le marcheur en fait.
>
> <cite>*Marcher, éloge des chemins de la lenteur*, David Le Breton</cite>

**L’écriture est une forme de marche qui me manque.** J’ai ressenti fortement cette année ce sentiment d’être à l’arrêt dans mes pensées car elles n’arrivaient pas à sortir. Une routine se perd si facilement… j’en arrive même à avoir du mal à l’exprimer ici et maintenant.

En 2023, je mets un pas devant l’autre.

---

Mot du moment : [Sédition](https://fr.wikipedia.org/wiki/S%C3%A9dition).

Bande son du moment : [Beds are burning](https://www.youtube-nocookie.com/embed/1WnisEbdpN0) par Julia Stone.

Chaîne Youtube du moment : [David M Bird](https://www.youtube.com/@davidmbird).

Citation du moment :

> Nous nous sommes vendus, et nous n’avons plus les moyens de nous racheter. — [Henri Loevenbruck](https://toot.portes-imaginaire.org/@loevenbruck/109393130645158796)

## Arpenter plus loin

> 🚶 Il y a une de mes performances, Le chemin se fait en marchant, très importante pour moi. La phrase provient d’une poésie de 1917 d’Antonio Machado, un poète républicain que j’ai toujours adoré. C’est l’idée qu’il n’y a pas de chemin, que c’est toi qui fais ce chemin. “Caminante, no hay camino, se hace camino al andar” (==« Marcheur, il n’y a pas de chemin, le chemin se construit en marchant. »==)
>
> <cite>*[« Le jour où il ne faudra plus être féministe, ce sera bien, parce que c’est fatigant. »](https://laviematerielle.substack.com/p/le-jour-ou-il-ne-faudra-plus-etre)* ([cache](/david/cache/2022/e0589fba236da1d8b224c75da8bb82cb/))</cite>


> [en] 🫣 How do you let go of the guilt? How do you not feel it every time you stand up to go for a walk, close your email and put on some headphones, or have a coffee with a colleague to discuss an idea you have? Because sometimes ==knowing you are doing the right thing doesn’t translate into feeling it,== and that’s where guilt comes in.
>
> Guilt is insidious. Not only do we usually feel guilt, but then we feel guilty about feeling guilty.
> 
> <cite>*[Let Go of the Learning Baggage](https://fs.blog/learning-baggage/)* ([cache](/david/cache/2022/33c9132d6cb60f0f40f9b926b596a3c7/))</cite>

> 🏝 La dromomanie signifie la manie du déplacement. Or la mobilité – pas simplement le fait d’être en vacances, mais de partir en vacances – a été survalorisée. Comme si rester chez soi était une affaire de ringard. Pour être moderne, voire postmoderne, il faut forcément partir, se sentir « nomade ». Pour être heureux, intelligent et serein, il faut quitter son chez-soi. Il y a une connotation positive attachée au fait de se déplacer. L’idée admise qu’on revient forcément l’esprit plus ouvert d’un voyage ou d’un séjour touristique. Comme si un monde où les gens se déplacent facilement devait être plus harmonieux. ==Rien ne prouve cette idée.== 
> 
> <cite>*[« Le tourisme est une industrie de la compensation »](https://cqfd-journal.org/Le-tourisme-est-une-industrie-de)* ([cache](/david/cache/2022/f0cc8cd88f5fb119ce628b56716ce419/))</cite>

> [en] 💰 I find it telling that no one EVER tries to quantify the paper billionaire argument. They never ask “how big is the total market?” or “what portion *could* we safely liquidate without some major negative consequence?” No. They simply look at the massive scale of global wealth, and the massive scale of global poverty, and then retreat into cynicism. The millions dead from preventable diseases? Unsolvable, they declare. Those who would address global poverty just “don’t understand how stocks work.” Perhaps it’s easier to just declare the problem unsolvable than to confront the massive human cost of your ideology. But confront it we must. ==The money is there, we just need to take it.==
> 
> <cite>*[The Paper Billionaire Argument](https://github.com/MKorostoff/1-pixel-wealth/blob/master/THE_PAPER_BILLIONAIRE.md)* ([cache](/david/cache/2022/0d004d900e6fd42c0390be1ca2e339a5/))</cite>

> ✍️ La première condition de l’appropriation étatique (quel qu’en soit l’objet) est nécessairement un inventaire des ressources disponibles — population, terres, rendement des cultures, bétail, réserves stockées disponibles. Sauf que ce type d’information, à l’instar des relevés cadastraux, n’est qu’un instantané bien vite dépassé. Au fur et à mesure que progresse l’effort d’appropriation, il faut constamment mettre à jour les registres de livraisons de céréales, de corvées effectuées, de réquisitions, de reçus, etc. Dès qu’une entité politique embrasse ne serait-ce que quelques milliers de sujets, une certaine forme de notation et de documentation allant au-delà de la simple mémoire et de la tradition orale devient nécessaire.
>
> Ce lien fondamental entre administration étatique et écriture est d’autant plus plausible qu’il semble bien qu’==en Mésopotamie, l’écriture ait été essentiellement utilisée à des fins de comptabilité== pendant plus de cinq siècles avant de commencer à refléter les gloires civilisationnelles auxquelles on l’associe généralement : littérature, mythologies, panégyriques, listes et généalogies royales, chroniques et textes religieux.
>
> <cite>*Homo Domesticus*, James C. Scott</cite>

> [en] 🤗 Turns out “soft” skills are quite hard.﻿
>
> <cite>*[I’m offering research, writing, and notetaking coaching for techies and programmers](https://www.baldurbjarnason.com/coaching/)* ([cache](/david/cache/2022/edea79e07b920846edef77b35be19c71/))</cite>

> 🌱 Pour moi la bombe à graines c’est ça, cette façon dont les actions influence d’autres actions. Je me dis que au-delà de l’influence personnel, d’autres reçoivent ces graines et vont, à leur tour, les faire germer à leur tour.
>
> <cite>*[Fresque du climat, bombe à graines et autres idées…](https://blog.pelmel.org/2022/09/30/fresque-du-climat-bombe-a-graines-et-autres-idees/)* ([cache](/david/cache/2022/c1ceebc3a6312283982e840d69f7f010/))</cite>

> [en] 😮 I learned that the Quakers (Friends) don’t just seek *consent* (as in sociocracy), but seek *unity* (or *concord*). ==It’s a subtle but important difference.== I noticed how the Friends deliberately slowed down when there were objections. The Swedish Friends call it “framkallningstid” (*development time*).
> 
> <cite>*[My 10 Year Summary: What I Have Learned](https://janhoglund.eu/my-10-year-summary/)* ([cache](/david/cache/2022/2e20d075443fd560d80e788be22b40bc/))</cite>

> 🏢 ==Sous un gouvernement qui emprisonne un seul être injustement, la juste place du juste est aussi la prison.== La place idoine aujourd’hui, la seule place que le Massachusetts ait fournie à ses esprits les plus libres et les moins serviles, ce sont les prisons, pour être rejetés et enfermés hors de l’État par lui-même, car ils s’en sont déjà retirés par leurs principes. C’est là que l’esclave fugitif, que le prisonnier mexicain en liberté conditionnelle, que l’Indien venu plaider les torts subis par sa race se retrouveront ; en ce lieu séparé, plus libre et plus honorable, où l’État situe ceux qui ne sont pas avec lui, mais *contre* lui — la seule demeure d’un État esclave où l’homme libre puisse résider avec honneur.
> 
> <cite>*La Désobéissance civile*, Henry David Thoreau</cite>

> [en] ⚔️ I am asked quite often what I think about CSS-in-JS or utility-first frameworks, or even CSS libraries & conventions more generally. And I try to stay out of any spicy flame wars, or gate-keeping nonsense.
>
> For myself? I don’t find many of these tools useful. They don’t solve a problem that I have. […]
> 
> (Anyone marketing their product as _The Only Solution_™️ to some _Essential Problem with CSS_™️ is selling you a religion, not a tool.)
> 
> <cite>*[When Our Tools Hold Us Back](https://www.oddbird.net/2022/11/11/platform-tools/)* ([cache](/david/cache/2022/28c9baf3ff21fbc616ccf13776104ccd/))</cite>

> [en] 👥 It’s likely that both word persons and web persons are in the minority on the modern internet. Most people would rather read short snippets of text rather than long blog posts. Most people would rather use apps than browse the web or consume content rather than write it or create their own websites always. But hopefully ==there will always be room for those of us== who enjoy plain text and simple HTML.
>
> <cite>*[Word Persons and Web Persons · roytang.net](https://roytang.net/2022/11/word-web-persons/)* ([cache](/david/cache/2022/989dafbb1b7a9141a6f2ecbb8bfb2917/))</cite>

> 🐘 Tout fonc­tion­ne­ment interne n’a pas forcé­ment à être démo­cra­tique. C’est impor­tant pour un pays ou une collec­ti­vité terri­to­riale parce qu’on ne choi­sit pas son pays d’ori­gine et qu’on ne change pas faci­le­ment de pays ou de terri­toire.
>
> La démo­cra­tie c’est « le pouvoir au peuple ». ==Sur Masto­don l’uti­li­sa­teur a le pouvoir== vu qu’il peut choisir à tout moment une instance avec des règles qui lui conviennent, sans avoir de consé­quences néga­tives signifi­ca­tives.
> 
> <cite>*[Dis tonton, c’est quoi les blocages d’instance sur Mastodon ?](https://n.survol.fr/n/dis-tonton-cest-quoi-les-blocages-dinstance-sur-mastodon)* ([cache](/david/cache/2022/e33bbb49c8c58793420809f920c92868/))</cite>

> 🏴 Dictionnaire anarchiste des enfants
>
> [Lire le livre](http://www.atelierdecreationlibertaire.com/Dictionnaire-anarchiste-des-enfants,1025.html)

> 🤗 Cher·e modérateurice qui me lis, tu fais un boulot pas facile, et grâce à toi le réseau est plus beau chaque jour. Merci pour ton travail, j’espère que tu as un collectif qui te soutiens, et que se soit le cas ou non, pense à avoir sous la main le numéro d’un·e psychologue, au cas où un jour tu tombes sur quelque chose de vraiment difficile pour toi/vous.
> 
> <cite>*[Avantages et limites — L’aventure de la modération : Chapitre 4](https://www.maiwann.net/blog/laventuredelamoderation4/)* ([cache](/david/cache/2022/57abeb7689c96b43032c66e7d008f074/))</cite>

> [en] 🚶 Initially I thought I’ll only be walking because I cannot run, but since starting these long morning walks I realised this is something that I want to do continuously in my life. ==Walking is just so simple, so anywhere.== I don’t have to be in special clothing or footwear. The slowness of it makes me notice my environment more, and I am more in tune and connected with the universe, whereas cycling and running envelopes me in my own world. 
> 
> <cite>*[walking longer distance: scenes & snippets](https://winnielim.org/journal/walking-longer-distance-scenes-snippets/)* ([cache](/david/cache/2022/0a4a9498ff6edf9552ec59a4511124dc/))</cite>

