# Préparation

> C’est sûrement cette impatience qui m’a mis sur la voie d’un apprentissage autodidacte, car je n’ai jamais voulu attendre que l’un de mes camarades soit disponible pour faire une sortie, et je n’étais pas non plus enclin à élargir le cercle de mes amitiés. La solution était donc d’y aller seul et d’apprendre par moi-même en suivant le rythme de mes erreurs et de mes réussites. C’est comme ça que j’ai été amené à escalader mes premières voies sur roche ou sur glace, et que j’ai réalisé la majeure partie de mes ascensions. Le chemin a été long, certainement plus que si j’avais été entouré de camarades ou guidé par des mentors, car ==l’apprentissage en solitaire force à être très lucide sur les risques que l’on court et à ne jamais douter de ses capacités== lorsqu’on souhaite relever certains défis. Quand on est livré à soi et rien qu’à soi, on intègre et on consolide plus fermement les connaissances qu’on acquiert au fur et à mesure, et on apprend à se servir de son imagination pour surmonter les difficultés. Mais je dois aussi reconnaître qu’arrivé à un certain niveau, on ne peut plus progresser en restant seul.
>
> <cite>*Au-delà des sommets*, Kilian Jornet</cite>

Je me suis inscrit à [une mini-expédition](https://poissonblanc.ca/experiences/la-grande-traversee/) ([cache](/david/cache/2023/c9441324cd8ba32c33817cdbc720bfda/)), un peu sur un coup de tête. Ce n’est pas encore très clair pour moi de savoir pourquoi est-ce que je me suis lancé là-dedans, ça va potentiellement [sentir fort la testostérone](/david/blog/2013/piolets-hommes/) et 40 personnes d’un coup, c’est bien au-delà de mes capacités sociales.

Il y a probablement cette envie de voir certaines techniques non connues à l’œuvre, échanger des expériences, d’être un peu moins sur le qui-vive (le double-sens de cette expression est savoureux), peut-être de trouver des compagnon·nes d’aventure pour de futures sorties ? J’hésite à profiter d’un contexte moins engagé qu’une sortie solo à la même date pour faire quelques photos aussi.

Le *pourquoi* mis de côté, il y a le *comment* qui est une partie que j’affectionne avant une balade : avoir le bon matériel compte-tenu des conditions, visualiser son campement, les difficultés d’alimentation/hydratation, imaginer l’intensité nécessaire, s’entraîner avec un objectif précis, etc. Et puis, en étant accompagné, il y a ce que je pourrais éventuellement prêter aux autres, peut-être même mutualiser certaines choses ?

> ==Cette phase d’analyse est presque aussi excitante que l’activité en soi,== car tout en planifiant une sortie, je ferme les yeux. Tous les détails défilent dans mon esprit, et je ressens presque le froid sur mon visage ou la douleur qui s’empare de mes mains, l’angoisse ou les frissons quand je me vois en plein virage avec les skis en suspension. Et j’anticipe également tout ce qui pourrait mal tourner: une avalanche qui se déclenche, un mauvais dérapage sur des plaques de verglas cachées par la neige, un mauvais enchaînement sur un virage.
> 
> Il m’arrive souvent de décaler le passage à l’acte, parce que je somatise, parce que je ne sais pas si je saurai accepter les risques ou gérer la pression, ou parce que le jour où il faut y aller, je sens un mal-être envahir mon corps tout entier. Lorsque je me décide à y aller vraiment, c’est que j’ai la certitude d’avoir étudié et pris en compte tous les paramètres liés aux risques auxquels je m’expose.
>
> <cite>*Ibid.*</cite>


---

> [en] 🧑‍🎓 Having multiple strategies for solving a problem is vital when you aren’t yet at the level of mastery. It ensures not only backups you can fall upon when more difficult methods fail, but it gives ==different reasoning paths== to reach the right answer.
>
> <cite>*[Variability, Not Repetition, is the Key to Mastery](https://www.scotthyoung.com/blog/2022/10/26/variable-mastery/)* ([cache](/david/cache/2023/3d3259256af967c84b199220b3a5244a/))</cite>

> [en] 🧡 Ah, scissors. They’re important enough that we have an emoji for them. On your device, it appears as ✂️. Unlike the real world tool it represents, the emoji’s job is to convey the idea, especially at small sizes. It doesn’t need to be able to swing or cut things. Nevertheless, let’s judge them on that irrelevant criterion.
>
> <cite>*[Which emoji scissors close](https://wh0.github.io/2020/01/02/scissors.html)* ([cache](/david/cache/2023/acb867f0c6a744d9a06cd82cd9da002e/))</cite>

#aventure #courage
