# Instanseul

> Peut-être que la centralisation d’une identité mastodon est une hérésie. 🤔
>
> Au même titre que l’on s’adapte au contexte des lieux physiques, je pourrais avoir un compte sur piaille.fr pour parler dans un contexte français, un autre sur jasette.facil.services pour tout ce qui est québécois, etc.
>
> Une identité distribuée, fédiversifiée, qui serait ==la représentation numérique d’une personnalité complexe et moins lissée.==
>
> Il y a tant à désapprendre.
> 
> <cite>*[Un pouet du 23 novembre 2022](https://mastodon.social/@dav/109395748607478355) (ancienne instance)*</cite>

Un retour sur ma migration Mastodon depuis [https://mastodon.social/@dav](https://mastodon.social/@dav) vers [https://fedi.larlet.fr/@david](https://fedi.larlet.fr/@david) (avec @david@larlet.fr en _username_) en utilisant [masto.host](https://masto.host/) en arrière plan.

Quelques motivations pour bouger :

* la décentralisation rendue possible par les protocoles vs. ma participation à une instance centrale/principale/historique qui n’est pas terrible compte tenu de mes compétences/connaissances ;
* la consommation des ressources des autres (et savoir combien ça consomme en vrai), au-delà de l’argent, je voulais avoir une idée de ce que ça implique sans pour autant l’auto-héberger ;
* la modération (im)possible à une telle ampleur avec une équipe/politique qui n’est pas limpide et des conflits d’intérêts possibles hébergeur/développeur ;
* le contrôle et la pérennité des endroits où je m’exprime en ligne sont importants pour moi ;
* le côté expérimental/geek de la chose en jouant avec les protocoles 🧑‍🔬.

Ce qui est problématique à ce jour :

* la migration a été un peu chaotique car j’avais déjà tenté plein de trucs à la main à base de `webfinger` sur ce domaine et il restait des traces et du cache, ma faute ;
* lors de la migration, il semble y avoir des (serveurs de) comptes qui n’ont pas répondu à temps et qui suivent encore l’ancien profil, sachant que je ne peux initier une redirection/récupération que tous les 30 jours sur mastodon.social ça fait pas mal de personnes qui ne savent pas ce qui se passe, j’imagine que je suis aussi des comptes fantômes sans le savoir ;
* lors du déclenchement de la migration, vous n’avez plus accès à grand chose à part à vos archives, il n’est pas possible de modifier son ancien profil par exemple pour signifier que c’est un compte redirigé auquel il ne faut plus s’abonner ;
* à ma connaissance, si quelqu’un·e fait un message direct à l’ancien compte, iel n’a aucun moyen de savoir que celui-ci est redirigé et que je n’aurai pas les moyens d’être notifié et de répondre ;
* je n’ai pas facilement accès aux réponses de messages hors de mon instance (à part s’il s’agit d’une personne suivie qui répond), il faut que j’aille sur l’URL de l’instance en question pour tout voir, ça réduit beaucoup l’aspect social de la chose, surtout en suivant très peu de personnes ;
* le flux RSS n’est pas redirigé depuis https://mastodon.social/@dav.rss vers https://fedi.larlet.fr/@david.rss ce que je peux comprendre techniquement mais qui n’est pas terrible ([issue ici](https://github.com/mastodon/mastodon/issues/22404)) ;
* je ne sais pas comment fonctionne la découverte des comptes mais il y a clairement moins de personnes (connues) qui s’abonnent depuis la migration, je ne sais pas si c’est un défaut d’eXperience Utilisateur·ice ou autre (je doute que ce soit la *timeline* locale qui puisse être en cause vu le flux sur mastodon.social) ;
* j’ai l’impression de ne pas voir tous les messages mais ça m’arrivait déjà avant avec deux clients différents donc ça ne doit pas dépendre de l’instance ;
* je n’ai reçu aucune des nombreuses notifications sur mon ancien compte, il m’a fallu le réactiver pour m’en rendre compte !

Ce que j’ai découvert :

* les administrateur·ices d’instances ont un résumé des mots-dièses les plus employés sur l’instance (et la possibilité de les mettre en avant) ;
* je consomme beaucoup d’espace disque (3 Gb à ce jour, après un mois) alors que je publie peu, tout ce qui passe dans ma _timeline_ semble être récupéré localement, je me demande s’il y a un option pour faire le ménage ;
* les interactions avec les personnes suivies restent quasi-instantanées, merci [ActivityPub](https://tinysubversions.com/notes/reading-activitypub/) ([cache](/david/cache/2023/8440372c6df33b8f23cfce7a9eca5961/)) ;
* je n’ai eu aucun problème de _spam_ jusqu’à présent ni d’instance à bloquer ;
* je ne sais pas si c’est la migration et/ou la [vague de novembre](/david/2022/11/12/) (et/ou les activités hivernales) mais j’interagis beaucoup moins sur le réseau, d’une certaine manière ça m’a motivé pour republier régulièrement par ici ;
* j’ai toujours ce truc qui me trotte en tête de ne pas passer par Mastodon mais d’avoir un truc semi-statique et certains ont déjà un peu creusé depuis.

Est-ce que tout cela en valait vraiment la peine ? Ce n’est pas encore bien évident… j’ai une vraie frustration à ne pas voir toutes les réponses, ce qui était déjà vrai auparavant mais sur une instance populaire ça se voit beaucoup moins (ce qui est peut-être encore davantage un souci !). Pareil lorsque je veux suivre une nouvelle personne, il faut que j’aille sur sa page de profil sinon je n’ai pas (toutes) ses publications. Depuis Toot! sur iOS c’est extrêmement fastidieux.

Cela m’a permis d’explorer aussi la résilience du protocole et contrairement à ce qu’il se passe avec les courriels ça ne semble pas retenter les envois. Les interfaces actuelles étant assez silencieuses sur ces erreurs, c’est dommage, même en asynchrone ça serait bien utile.

D’un autre côté, j’ai appris pas mal de choses sur les rouages et le transit des publications et des interactions.

Est-ce que je recommanderais aux nouvelles et nouveaux venu·es de commencer avec une instance solo ? **Sûrement pas.** C’est déjà fastidieux de comprendre le concept d’instance, si en plus il y a tous les problèmes cités ci-dessus qui s’ajoutent et créent davantage de confusion ça doit donner une expérience décevante.

En même temps, une instance solo fait probablement peu de sens pour un réseau social architecturé comme Mastodon et on en revient à mon pouet initial (oui vous savez, tout là-haut) : plusieurs comptes avec plusieurs identités. En revanche, pour un collectif — au hasard [Scopyleft](http://scopyleft.fr/) — je vois un intérêt à avoir une instance dédiée. Ça pourrait permettre d’embarquer des personnes en douceur aussi…

---

> [en] ✍️ Hacking on ActivityPub was a fun project, but it was chaotic. ActivityPub in practice is a grab-bag of specifications and implementation-specific details. ==It was hard to find documentation== for a lot of things and hard to debug requests that didn’t have their intended effect on Mastodon.
>
> ActivityPub is a distributed architecture, so it’s going to be a lot more complicated than RSS.
> 
> <cite>*[Playing with ActivityPub](https://macwright.com/2022/12/09/activitypub.html)* ([cache](/david/cache/2023/4be6162587a2171b64fd7753b7fe410b/))</cite>

> [en] 😬 I found this one particularly hard - it was almost impossible to find an example of what a Follow message looks like, so I ended up spending a lot of time following my account from a Mastodon client and seeing what data was HTTP POSTed; **and** I also ==need to maintain the state of who followed me== (so I can send them messages later).
> 
> <cite>*[Adding ActivityPub to your static site](https://paul.kinlan.me/adding-activity-pub-to-your-static-site/)* ([cache](/david/cache/2023/1676902071b6e1e7e0d3395bc47956b5/))</cite>

> [en] 💯 A virtual Mastodon monopoly is not good for almost anyone, I think - I'm actually quite excited for Tumblr to implement ActivityPub, because it stands a chance of forcing protocol changes and improvements to be discussed, rather than directed almost entirely by one project.
> 
> <cite>*[Understanding A Protocol](https://aeracode.org/2022/12/05/understanding-a-protocol/)* ([cache](/david/cache/2023/4b5bae499ad13fe0f5413d8c7b77c09a/))</cite>

> [en] But there’s one major difference to all the problem’s we've witnessed with social media so far. It will stay an open space that we can co-design. Even though Eugen Rochko now seems to be a super nice guy, he has all the freedom to abandon Mastodon, make some bad decisions or to do a hard right turn and follow Elon. It doesn’t matter. ==Always remember that Mastodon is just one door.== You no longer like this door? Open another one. Mastodon is not THE platform.
> 
> <cite>*[Network effect](https://bastianallgeier.com/notes/network-effect)* ([cache](/david/cache/2023/745057669a6d4c8fd3c5ce1c5dd81b8c/))</cite>

> [en] 😅 Self-hosting Mastodon is all the rage, but having to deal with a full-blown installation of Ruby (which is always a pain to install properly, even if you use rbenv), plus the abomination that is Sidekiq and the overall Rube Goldberg-esque architectural approach that is almost mandatory to deal with ==the complexities of ActivityPub is just something I don’t want to maintain.== Ever. Even inside Docker.
> 
> <cite>*[Getting Takahē to run on Piku](https://taoofmac.com/space/blog/2022/12/21/0900)* ([cache](/david/cache/2023/a889fa6d4e07bdc390d44461ed6dce21/))</cite>

> [en] Having spent time on Mastodon, I now realize how hilariously wrong I was about how moderation would work. ==I was seeing Mastodon through the lenses of Twitter, rather than as a different culture with different technology.== I’m now fairly confident in saying Mastodon is friendlier than Twitter and will remain so, regardless of who and how many join.
> 
> <cite>*[I Was Wrong About Mastodon](https://escapingtech.com/tech/opinions/i-was-wrong-about-mastodon-moderation.html)* ([cache](/david/cache/2023/daa39b64681b0574bbe189e80c8a4653/))</cite>

#décentralisation #mastodon #technique