# Dépendances

> [en] I suspect one of the reasons for this is that Pinafore is written in Svelte v2 and Sapper – both of which are deprecated in favor of Svelte v3 and SvelteKit. Not only is there no migration path from Svelte v2 to v3, but there isn’t one from Sapper to SvelteKit either. (And on top of that, I had to fork Sapper pretty heavily.) Anyone making a bet on learning Pinafore’s tech stack is investing in a dead framework, so ==it’s not very attractive for new maintainers.==
>
> <cite>*[Retiring Pinafore](https://nolanlawson.com/2023/01/09/retiring-pinafore/)* ([cache](/david/cache/2023/b5acd8bbf209345ff300ea8c10c44181/))</cite>

« <span lang=en>Move fast and outdate things.</span> » n’est pas un *motto* mais une constatation. Je suis assez assidu des écrits de Baldur Bjarnason à ce sujet, que ce soit à travers son [site](https://www.baldurbjarnason.com/), son [livre](https://softwarecrisis.baldurbjarnason.com/) ou sa [newsletter](https://softwarecrisis.dev/).

Je crois que je commence à dépasser la sidération et le rejet pour tenter de comprendre un peu mieux les raisons profondes de toute cette complexité et cette vitesse que l’on s’impose, avec une composante historique notamment.

2023, l’année de la maturité 😂.

> [en] The symptoms of pop culture:
> 
> * A “disdain for history”. Pop cultures believe history doesn’t have anything to teach them.
> * Newer is automatically better. Pop cultures are built on the assumption that anything new or different is superior to established. Or, in other words, older is inherently inferior.
> * ==What’s next is going to be superior to what’s now.== Pop cultures exist in perpetual anticipation of the next trend. Their disbelief of history appears to outsiders as a belief in progress.
> * The “Pop” in “Pop Culture” stands for “popularity”. If it’s popular then it must be right.
>
> These traits are deeply irrational but they are the tech industry’s default mode of operation.
>
> <cite>*[Tech Companies Are Irrational Pop Cultures](https://softwarecrisis.dev/letters/tech-is-a-pop-culture/)* ([cache](/david/cache/2023/45c1becce6fcd8254f2c99fbc1397018/))</cite>


---

> [en] We’re starting to see the initial decay hit the parts of the web dev ecosystem that are the furthest away from the cheap money fountains Google and Facebook are providing. Core projects run out of money. Git commits stop. ==A dependency you use breaks when one of its dependencies stops working,== leading somebody to fork it with a quick fix or replacement dependency. Bandaid fixes to decaying OSS projects start to crop up in more and more places. We start to see blog posts saying that all we need to do is get enough people to donate money or pay for support. Everything will be fine. Just look at how OpenSSL got turned around.
>
> All of which is bad enough but also misses the point.
>
> <cite>*[The Open-Source Software bubble that is and the blogging bubble that was](https://www.baldurbjarnason.com/2021/the-oss-bubble-and-the-blogging-bubble/)* ([cache](/david/cache/2023/d6b891fd250a6ae967ae55564770b67a/))</cite>

> This JavaScript community (if judged by the demographics of this survey) seems to be comprised mostly of folks that are largely building with React, webpack, and Jest. With React on 3.2% of web sites and jQuery at 77.7% (as of January 2023), ==that’s a pretty small slice of a much larger community.==
>
> We seem to live in different worlds.
> 
> <cite>*[JavaScript, Community](https://www.zachleat.com/web/javascript-community/)* ([cache](/david/cache/2023/7ff62009f21336b8eb54ea18261bcfb7/))</cite>


#gratitude #recherche #technique
