# Snow Fall

> [en] Ten years ago this week, in December 2012, “[Snow Fall: The Avalanche at Tunnel Creek](https://www.nytimes.com/projects/2012/snow-fall/index.html),” an ambitious multimedia feature about a deadly avalanche in Washington State that year, took the journalism world by storm.
> 
> <cite>*[‘Snow Fall’ at 10: How It Changed Journalism](https://www.nytimes.com/2022/12/23/insider/snow-fall-at-10-how-it-changed-journalism.html)* ([cache](/david/cache/2023/cba96d83d96944c55675cb073fcfc60d/))</cite>

Il est rare que je me souvienne d’évènement historiques autour du Web. À part peut-être les sorties de [Firefox 1](/david/biologeek/archives/20041121-mozparty-des-geeks-irl--/) et [2](/david/biologeek/archives/20061028-soiree-firefox-2-paris/) car j’étais aux évènements dédiés.

« <span lang=en>Snow Fall</span> » était d’un autre ordre de grandeur pour moi car ça ouvrait au Web une possibilité de raconter des histoires dynamiques. Je me rappelle avec une assez bonne précision de l’excitation que j’avais eu en parcourant la page à l’époque. Ce n’était pas tant le côté immersif que technique qui m’intéressait alors, et c’était une époque où l’on pouvait encore consulter une source de site web et la comprendre. J’ai tellement appris comme ça !

Allez consulter cette magnificence, une source commentée, non minifiée, avec du contenu qui est dans la page et des media liés de manière standardisée et compréhensible. Une autre époque.

On en parlait récemment avec [Thomas](https://thom4.net/), comment est-ce qu’une génération qui est principalement autodidacte a-t-elle pu être à l’origine de la complexité actuelle des outils de publication sur le Web ? Je suis tellement triste de la marche que l’on a créé pour réduire l’accessibilité de sa source. Il y a une tendance humaine à faire — plus ou moins consciemment — tomber l’échelle qui nous a permis de monter pour être sûr de garder une certaine avance sur les suivant·es.

_Tout parallèle avec notre rapport à l’immigration serait bien évidement fortuit._

> [en] Mr. Duenes also noted that “Snow Fall” helped budding designers and engineers see themselves as potential journalists.
>
> “It generated the idea among people with visual skills that journalism might be a place for them,” Mr. Duenes said. “Not people who were experts at the moment, but people in school who could see an overlap between an area where they had talent and the discipline of visual journalism.”
>
> <cite>*Ibid.*</cite>

---

> [en] For a data format, yaml is extremely complicated. It aims to be a human-friendly format, but in striving for that it introduces ==so much complexity,== that I would argue it achieves the opposite result. Yaml is full of footguns and its friendliness is deceptive. In this post I want to demonstrate this through an example.
> 
> <cite>*[The yaml document from hell](https://ruudvanasseldonk.com/2023/01/11/the-yaml-document-from-hell)* ([cache](/david/cache/2023/3b05eb0d7d0409bcfd53b4cdf6c20daa/))</cite>

> [en]  It was among the strongest feelings of grief I have ever encountered. The contrast between the vicious coldness of space and the warm nurturing of Earth below filled me with overwhelming sadness. Every day, we are confronted with the knowledge of further destruction of Earth at our hands: the extinction of animal species, of flora and fauna . . . things that took five billion years to evolve, and suddenly we will never see them again because of the interference of mankind. It filled me with dread. ==My trip to space was supposed to be a celebration; instead, it felt like a funeral.==
> 
> <cite>*[William Shatner: My Trip to Space Filled Me With Sadness - Variety](https://variety.com/2022/tv/news/william-shatner-space-boldly-go-excerpt-1235395113/)* ([cache](/david/cache/2023/ca3e313992d7ac7e4aeaece85e7f4b6a/))</cite>

#complexité #qualité #traces
