# Ennui

> [en] There’s a quote from a writer that has rattled around in my head for years (although I have never been able to source it, leading me to wonder if I accidentally made it up), but it went something like, “I only need a half hour a day to write. But I have to wait around an awful long time for that half hour to show up.” I think about this all the time—that the actual amount of time spent in doing something creative (writing, designing, making music, whathaveyou) is often buffered by hours and hours on either side by real—sometimes pleasant, sometimes infuriating—boredom.
> 
> […] That is, not merely an absence of doing, but a not-doing so complete it doesn’t stimulate, and it doesn’t heal. It merely waits—patiently or otherwise—for an arrival. ==I fear we have forgotten how to wait.==
>
> <cite>*[Tolerance for boredom](https://aworkinglibrary.com/writing/tolerance-for-boredom)* ([cache](/david/cache/2023/ae079737f65e55da1d7a672b3a685b46/))</cite>

C’est l’une des choses que je trouve être la plus difficile à transmettre en tant que parent. Accepter que l’on a du temps devant soi et qu’il est possible et sain de ne « rien faire » pendant une période plus ou moins longue. Ce qui est complexe, c’est cet apprentissage de l’alternance entre des périodes d’activités _intentionnelles_ et celles qui sont induites par ce qui semble être — à première vue — de l’inactivité.

Compenser de l’hyper-activité par de la sur-activité est une voie qui semble naturelle mais qui ne _me_ parait pas être soutenable et/ou enviable sur du long terme.

La difficulté vient peut-être du fait qu’il n’est pas facile de montrer l’ennui à partir du moment où la demande d’attention (externe) vient interrompre de fait cette période…

---

Pensée du jour :

> Ce monde sera plus terne lorsqu’il n’y aura plus de neige.

---

> [en] His wildly popular “Last Child in the Woods: Saving Our Children From Nature-Deficit Disorder” includes evidence that exposure to nature is essential not just to children’s mental and physical health, but to everyone’s. Adults are just as susceptible to a “Vitamin N” deficiency he explains in his more recent “The Nature Principle: Reconnecting with Life in a Virtual Age.” I asked him about my writing-outside theory.
>
> “It’s likely you find it easier to write outside not only because of nature’s direct impact, but because of the absence of so many distractions, most of them technological.” says Mr. Louv, who also finds his writing better when he does it by a lake or in the woods. “The info-blitzkrieg has spawned a new field called ‘interruption science’ and a newly minted condition: continuous partial attention.” Constant electronic intrusions, he says, leave anyone trying to work frustrated, stressed and certainly less creative.
> 
> <cite>*[Time to Write? Go Outside](https://archive.nytimes.com/opinionator.blogs.nytimes.com/2013/09/16/time-to-write-go-outside/)* ([cache](/david/cache/2023/300b9aa899d44f7606a8448991e2acfd/))</cite>

#accompagnement #complexité #parentalité