# Chargement

> [en] If you are familiar with how the web is built, what happened is pretty obvious: A website that over-relies on JavaScript to power its experience had its logic collide with one or more other errant pieces of logic that it summons. This created a deadlock.
>
> If you do not make digital experiences for a living, what happened is not obvious at all. All you see is ==a tiny fake loading spinner that never stops.==
>
> <cite>*[Modern Health, frameworks, performance, and harm](https://ericwbailey.website/published/modern-health-frameworks-performance-and-harm/)* ([cache](/david/cache/2023/7469f181ef4b031f59ae69356af16e28/))</cite>

Je suis le témoin d’un web cassé au quotidien. J’utilise [uMatrix](https://addons.mozilla.org/en-US/firefox/addon/umatrix/) en bloquant toutes les requêtes qui ne sont pas sur le domaine consulté. Il est assez triste de constater le manque de résilience de la plupart des sites.

Parfois, la consultation d’un article de blog n’est pas possible à cause de cela. Le contenu n’est même pas dans le HTML… ou une erreur JavaScript en masque l’affichage.

La fragilité est devenue la norme car plus personne ne sait se servir des fondations du Web.

---

Bande son du moment : [SEVDALIZA - DARKEST HOUR](https://www.youtube-nocookie.com/embed/Lm_2LCDmpXU)

---

> [en] 🏎️ I guess what I’m winding up to say here is ==developer experience really isn’t important==—especially when frameworks haven’t even got the absolute baseline experience anywhere near where it needs to be to service a world wide web. A world wide web that’s accessed with slow, expensive connections and cheap, underperforming hardware. How about taking a bit of “DX” on the chin to focus instead on “why are we using this framework that potentially excludes the majority of users?”.
>
> <cite>*[Speed for who? | Andy Bell](https://andy-bell.co.uk/speed-for-who/)* ([cache](/david/cache/2023/f7957bdde7af740e322756668784d355/))</cite>

> 🤗 Préciser notre mission, c’est rediscuter ensemble l’ordonnanceur qu’on ramènera tou⋅tes à la maison : quelles priorités, quelles actions, et comment s’insèrent-elles dans la tapisserie que nous brodons ensemble.
> 
> <cite>*[La mission de Deuxfleurs](https://plume.deuxfleurs.fr/~/Deuxfleurs/La%20mission%20de%20Deuxfleurs)* ([cache](/david/cache/2023/a0ccec7acb932e4155960c1c88d65eff/))</cite>

> [en] 🙇  Thinking that people are stupid is not thinking. ==Understanding them is.==
>
> I never want to debate, but if I had to, I would hope to lose. I don’t want to convince anyone of my existing perspective. I would rather be convinced of theirs. It’s more interesting to assume that they are right. 
> 
> <cite>*[I want to lose every debate.](https://sive.rs/led)* ([cache](/david/cache/2023/f85d5742bb188e4b25d627b78413fbac/))</cite>

#incompétence #tristesse #web
