# Allumage

Démarrer un nouveau projet avec une nouvelle équipe est un sentiment qui m’est incroyable. J’ai passé mon année 2022 à faire — entre autres — des petits produits pour Scopyleft et je ne réalise que maintenant à quel point ça me permet de démarrer plus rapidement aujourd’hui pour un site que l’on fait avec [Maïtané](https://www.maiwann.net/) pour la Croix-Rouge.

La structure est toujours un peu la même : des contenus dans du markdown, du déploiement continu de fichiers HTML statiques en utilisant l’intégration continue et l’hébergement de GitLab. Une URL de démonstration dès le premier _commit_. À partir de là, on peut rajouter des traductions, des images, une navigation particulière mais la base est l’affaire d’un copier-coller de quelques fichiers et d’une centaine de lignes de Python.

Soigner l’allumage technique, c’est avoir plus de temps pour réfléchir à l’accessibilité des données et à l’autonomie des personnes qui vont maintenir le site, c’est permettre de s’adapter aux besoins du public sans être contraint par un cadre, c’est prendre le temps de s’intéresser au problème _métier_ à résoudre. C’est prendre confiance dans de petits outils résilients et frugaux.

Que mon eXpérience de Développeur (DX) s’en trouve être améliorée car j’aspire à cultiver de petits bonsaïs numériques n’est qu’un effet de bord.

---

> [en] 🦕 I have been using it from day one of this blog (né Year II before <abbr title="Loïc Le Meur, coucou Loïc , long time no see!">LLM</abbr>).
>
> <cite>*[The Content Management System of my Dreams (part 1) - A little bit of history](https://www.padawan.info/en/2023/02/the-content-management-system-of-my-dreams-part-1-a-little-bit-of-history.html)* ([cache](/david/cache/2023/65169d7164c8bf5790a224d45a95adb7/))</cite>


> [en] 🧱 Think very hard about that word. What exactly is *dynamic* on your home page? Are you speaking about that Top News thingy? How often do they change? ==Are you doing this to satisfy yourself== (some content editors have the same proclivity than developers to throw a tantrum because their new content does not appear instantaneously on the site)? Is this a business requirement or a real need of your users?
>
> <cite>*[The Content Management System of my Dreams (part 2) - The trouble with dynamic publishing](https://www.padawan.info/en/2023/02/the-content-management-system-of-my-dreams-part-2-the-trouble-with-dynamic-publishing.html)* ([cache](/david/cache/2023/f8b7c3246cf1d4e06c735ee163be32a0/))</cite>

> [en] 🧭 Since ==every direction is technically “North”== from here, we use a grid overlay, to bring some semblance of order to our surroundings. The prevailing winds here come from “Grid North”.
> 
> <cite>*[South Pole Topography](https://brr.fyi/posts/south-pole-topography)* ([cache](/david/cache/2023/f9e282fb545b5c1f50dfa1c0d98c50e3/))</cite>

#confiance #technique #web