title:      La bio-informatique : l&#39;informatique au service de la vie
slug:       la-bio-informatique-linformatique-au-service-de-la-vie
date:       2005-01-16 13:54:04
type:       post
vignette:   
contextual_title1:  ★ Choisissez votre avenir
contextual_url1:    20081209-choisissez-votre-avenir
contextual_title2:  ★ RDF, l&#39;ADN de notre identité numérique ?
contextual_url2:    20080811-rdf-adn-de-notre-identite-numerique
contextual_title3:  Ontologies et biologie : l&#39;espoir du web sémantique ?
contextual_url3:    20070419-ontologies-et-biologie-l-espoir-du-web-semantique

<p>Extrait d'une de mes conversation type&nbsp;:</p>


<blockquote><p>[...]<br />
Toi&nbsp;: Et sinon tu fais quoi dans la vie / comme études / à Paris (rayer la mention inutile ;-))<br />
Moi&nbsp;: Je fais un master de bio-informatique<br />
Toi&nbsp;: Ah ouais ok... euh... et c'est quoi la bio-informatique ?!</p></blockquote>

<p>Et là, j'ai toujours des problèmes pour répondre car il n'y a pas vraiment de réponse précise, si l'on cherche sur <a href="http://fr.wikipedia.org/wiki/Accueil">wikipédia</a> on trouve&nbsp;:</p>


<blockquote><p>On regroupe sous le terme de bio-informatique toutes les applications informatiques appliquées à la biologie.</p></blockquote>


<p>Donc voila, ça rassemble beaucoup de domaines de la biologie, voire tous&nbsp;!</p>


<p>Alors comment faire comprendre à quelqu'un ce que c'est concrêtement&nbsp;? Le seul moyen est de donner des exemples, et là il faut être pertinent et compréhensible. J'en ai retenu deux qui me semblent assez simples mais si vous en voulez plus, c'est possible :-).</p>


<h2>Bio-informatique et phylogénétique</h2>


<p>Alors dans un premier temps il faut bien comprendre ce qu'est la phylogénétique&nbsp;: c'est l'étude des espèces de façon établir leur parenté au cours de l'évolution. Prenons un cas concrêt, l'arbre phylogénétique humain. On sait qu'il contient dans ses ramifications le chimpanzé et le gorille. Néanmoins, il faut déterminer lequel de ces grands singes est le plus proche de nous et donc lequel possède un ancêtre commun qui est le plus récent, en effet si on représente cet arbre de la façon suivante&nbsp;:</p>


<p><img src="/static/david/biologeek/images/arbre_phylogenetique.png" alt="Arbre phylogénétiquede l&#039;homme, du chimpanzé et du gorille" style="display:block; margin:0 auto;" /></p>


<p>on constate que dans l'hypothèse où le chimpanzé serait plus proche de nous, il aurait un ancêtre commun à l'homme plus récent que l'ancêtre commun à l'homme et au gorille. Pour arriver à une telle conclusion, il va falloir calculer la distance génétique qui sépare chacunes des espèces et ce à l'échelle moléculaire, c'est-à-dire en comparant les <abbr title="Acide Désoxyribo Nucléique">ADN</abbr> des trois espèces. Et c'est là que l'informatique  de bio-informatique entre en jeux :-). En effet, pour réaliser le calcul de ces distances génétiques il va falloir réaliser des alignements multiples de séquences d'<abbr title="Acide Désoxyribo Nucléique">ADN</abbr>, ce qui est impossible à faire sans l'aide de l'outil informatique qui permet de confronter des milliers de séquences. Une fois ces distances établies et rangées sous forme de matrice, il faut encore se servir de l'informatique pour réaliser l'arbre selon une méthode précise (dans le cas où il y a de nombreuses espèces à comparer bien sûr, dans notre exemple c'est réalisable à la main, et pour information, l'arbre présenté est le bon ;-) ).</p>


<h2>Bio-informatique et modélisation moléculaire</h2>


<p>Encore une fois, juste un exemple de ce qui peut être réalisé en bio-informatique&nbsp;: étudier <em>in silico</em> le repliement d'une protéine. Alors tout d'abord quel intérêt&nbsp;? Il faut savoir que de nombreuses maladies sont dues à un mauvais repliement de certaines protéines essentielles à certaines fonctions donc en comprenant les mécanismes de repliement des protéines, on espère pouvoir guérir ces maladies.</p>


<p>Alors, comment ça marche&nbsp;? On part de la protéine (actuellement plutôt du polypeptide car c'est plus petit) totalement dépliée, donc d'une suite d'acides aminés que l'on "plonge virtuellement" en solution aqueuse. Puis on soumet les atomes de ces acides aminés à des forces qui, associées aux forces inter-atomiques, vont amener la protéine à se replier. Maintenant que le principe est bien compris, quelle est la part de traitement informatique&nbsp;? En fait, l'ordinateur recalcule à chaque mouvement d'atome les forces qui lient cet atome à tous les autres atomes de la protéine ainsi qu'aux molécules d'eau environnantes de façon à déterminer se nouvelle position dans l'espace. Inutile de préciser que de tels calculs de repliement sont actuellement très coûteux en temps puisqu'une telle simulation peut durer 6 mois avec les ordinateurs les plus puissants du marché&nbsp;!</p>


<p>Donc en guise de conclusion, j'espère avoir été plus clair que la <a href="https://larlet.fr/david/biologeek/archives/20040930-la-bio-informatique-bioinfo-pour-les-intimes-definitions-et-applications/">dernière fois</a> :-), n'hésitez pas à poser des questions dans les commentaires si vous ne comprenez pas très bien un des points ou si vous voulez en savoir plus&nbsp;!</p>
