title:      Comment installer Django
slug:       comment-installer-django
date:       2006-06-17 17:41:20
type:       post
vignette:   images/logos/django.png
contextual_title1:  Le langage de template Django : Pour les auteurs de templates
contextual_url1:    20060815-le-langage-de-template-django-pour-les-auteurs-de-templates
contextual_title2:  Comparaison de TurboGears et Django, deux frameworks web Python
contextual_url2:    20060715-comparaison-de-turbogears-et-django-deux-frameworks-web-python
contextual_title3:  Rédaction de votre première appli Django, partie 4 : Conception d&#39;un formulaire et vues génériques
contextual_url3:    20060617-redaction-de-votre-premiere-appli-django-partie-4-conception-d-un-formulaire-et-vues-generiques

<p>Ce document décrit les différentes étapes nécessaires à l'installation de
Django.</p>

<div class="section">
<h1><a id="installer-python" name="installer-python">Installer Python</a></h1>
<p>Étant un framework web en Python, Django requiert Python.</p>
<p>Il fonctionne avec n'importe quelle version de Python supérieure ou égale à 2.3.</p>
<p>Récupérez Python sur www.python.org. Si vous êtes sous GNU/Linux ou MacOS X,
il est déjà probablement installé sur votre machine.</p>
</div>
<div class="section">
<h1><a id="installer-apache-et-mod-python" name="installer-apache-et-mod-python">Installer Apache et mod_python</a></h1>
<p>Si vous voulez juste expérimenter Django, sautez cette étape. Django fournit
sont propre serveur Web destiné à la phase de développement.</p>
<p>Si vous voulez utiliser Django sur un site en production, utilisez
Apache avec <a class="reference" href="http://www.modpython.org/">mod_python</a>. mod_python est similaire à mod_perl -- il
embarque Python à l'intérieur d'Apache et charge le code Python en
mémoire quand le serveur démarre. Le code reste en mémoire pendant
toute la durée de vie d'un processus Apache, ce qui mène à des
performances significatives par rapport à d'autres architectures de
serveurs. Vérifiez que vous avez Apache d'installé, avec le module
mod_python d'activé. Django requiert Apache 2.x et mod_python 3.x.</p>

<p>Lisez <a class="reference" href="http://www.djangoproject.com/documentation/modpython/">comment utiliser Django avec mod_python</a> pour les informations
concernant la configuration de mod_python une fois que vous l'avez installé.</p>
<p>Si vous ne pouvez pas utiliser mod_python pour une quelconque raison, n'ayez
pas peur : Django suit la spécification <a class="reference" href="http://www.python.org/peps/pep-0333.html">WSGI</a>, qui lui permet d'être
exécuté sur de nombreuses plate-formes de serveurs. Lisez la <a class="reference" href="http://code.djangoproject.com/wiki/ServerArrangements">page wiki
sur les architectures de serveurs</a> pour les instructions spécifiques
à l'installation pour chaque plate-forme.</p>
</div>
<div class="section">
<h1><a id="faire-marcher-votre-base-de-donn-es" name="faire-marcher-votre-base-de-donn-es">Faire marcher votre base de données</a></h1>
<p>Si vous prévoyez d'utiliser l'API d'accès aux bases de données fournie
par Django, vous aurez besoin qu'un serveur de base de données soit lancé.
Django marche avec <a class="reference" href="http://www.postgresql.org/">PostgreSQL</a> (recommandé), <a class="reference" href="http://www.mysql.com/">MySQL</a> et <a class="reference" href="http://www.sqlite.org/">SQLite</a>.</p>

<p>De plus, vous aurez besoin d'avoir installé une surcouche Python pour la
base de données utilisée.</p>
<ul class="simple">
<li>Si vous utilisez PostgreSQL, vous aurez besoin du paquet <a class="reference" href="http://initd.org/projects/psycopg1">psycopg</a> (version 1.1
-- pas la version 1.0 ni la version 2, qui est toujours en bêta). Si vous êtes
sous Windows, récupérez la <a class="reference" href="http://stickpeople.com/projects/python/win-psycopg/">version précompilée non-officielle pour Windows</a>.</li>
<li>Si vous utilisez MySQL, vous aurez besoin de <a class="reference" href="http://sourceforge.net/projects/mysql-python">MySQLdb</a>.</li>
<li>Si vous utilisez SQLite, vous aurez besoin de <a class="reference" href="http://initd.org/tracker/pysqlite">pysqlite</a>. Utilisez la
version 2.0.3 ou plus.</li>

</ul>
</div>
<div class="section">
<h1><a id="installer-le-code-de-django" name="installer-le-code-de-django">Installer le code de Django</a></h1>
<p>Les instructions d'installation sont quelque peu différentes si vous
utilisez la dernière version officielle ou la dernière version en développement.</p>
<p>Quelle que soit la version choisie, la démarche est facile.</p>
<div class="section">
<h2><a id="installation-de-la-version-officielle" name="installation-de-la-version-officielle">Installation de la version officielle</a></h2>
<ol class="arabic simple">
<li>Téléchargez Django-0.95.tar.gz depuis notre <a class="reference" href="http://www.djangoproject.com/download/">page de téléchargement</a>.</li>

<li><tt class="docutils literal"><span class="pre">tar</span> <span class="pre">xzvf</span> <span class="pre">Django-0.95.tar.gz</span></tt></li>
<li><tt class="docutils literal"><span class="pre">cd</span> <span class="pre">Django-0.95</span></tt></li>
<li><tt class="docutils literal"><span class="pre">sudo</span> <span class="pre">python</span> <span class="pre">setup.py</span> <span class="pre">install</span></tt></li>

</ol>
<p>Notez que la dernière commande téléchargera et installera automatiquement
<a class="reference" href="http://peak.telecommunity.com/DevCenter/setuptools">setuptools</a> si vous ne l'avez pas déjà d'installé. Ceci requiert une connexion
internet en état de marche.</p>
<p>Ceci installera Django dans le répertoire <tt class="docutils literal"><span class="pre">site-packages</span></tt> de votre
installation Python.</p>
</div>
<div class="section">
<h2><a id="installation-de-la-version-en-d-veloppement" name="installation-de-la-version-en-d-veloppement">Installation de la version en développement</a></h2>
<ol class="arabic">
<li><p class="first">Vérifiez que vous ayez <a class="reference" href="http://subversion.tigris.org/">Subversion</a> d'installé.</p>

</li>
<li><p class="first"><tt class="docutils literal"><span class="pre">svn</span> <span class="pre">co</span> <span class="pre">http://code.djangoproject.com/svn/django/trunk/</span> <span class="pre">django_src</span></tt></p>
</li>
<li><p class="first">Faites un lien symbolique de <tt class="docutils literal"><span class="pre">django_src/django</span></tt> nommé <tt class="docutils literal"><span class="pre">django</span></tt> à
l'intérieur de votre répertoire Python <tt class="docutils literal"><span class="pre">site-packages</span></tt>:</p>

<p><tt class="docutils literal"><span class="pre">ln</span> <span class="pre">-s</span> <span class="pre">`pwd`/django_src/django</span> <span class="pre">/usr/lib/python2.3/site-packages/django</span></tt></p>
<p>(Dans la ligne ci-dessus, changez <tt class="docutils literal"><span class="pre">python2.3</span></tt> pour qu'il corresponde à
votre version de python en cours.)</p>
</li>
</ol>
<p>Vous n'avez pas à exécuter <tt class="docutils literal"><span class="pre">python</span> <span class="pre">setup.py</span> <span class="pre">install</span></tt>.</p>

<p>Lorsque vous voudrez mettre à jour votre code, exécutez simplement la commande
<tt class="docutils literal"><span class="pre">svn</span> <span class="pre">update</span></tt> depuis le répertoire <tt class="docutils literal"><span class="pre">django_src</span></tt>.</p>
<p>Vous pouvez maintenant retourner à la <a class="reference" href="https://larlet.fr/david/biologeek/archives/20060617-traduction-francaise-de-la-documentation-de-django-le-framework-web-python/">page d'accueil des traductions de la
documentation de Django</a>.</p>
<p>Cette traduction correspond à la révision 3589 (post 0.95).</p>
</div>
</div>

