title:      ★ Traduction française de la documentation de Django, le framework web python
slug:       traduction-francaise-de-la-documentation-de-django-le-framework-web-python
date:       2006-06-17 17:32:16
type:       post
vignette:   images/logos/django.png
contextual_title1:  Le langage de template Django : Pour les auteurs de templates
contextual_url1:    20060815-le-langage-de-template-django-pour-les-auteurs-de-templates
contextual_title2:  Comparaison de TurboGears et Django, deux frameworks web Python
contextual_url2:    20060715-comparaison-de-turbogears-et-django-deux-frameworks-web-python
contextual_title3:  Rédaction de votre première appli Django, partie 4 : Conception d&#39;un formulaire et vues génériques
contextual_url3:    20060617-redaction-de-votre-premiere-appli-django-partie-4-conception-d-un-formulaire-et-vues-generiques

<p><a href="http://www.djangoproject.com/">Django</a> est un <a href="http://fr.wikipedia.org/wiki/Framework">cadre d'applications</a> ou framework web écrit en Python et dédié à la publication sur Internet. Je l'apprend plus que je ne l'utilise depuis maintenant près d'un mois et je suis vraiment conquis. C'est l'une des raisons pour lesquelles j'ai décidé de participer à la traduction de la documentation en français, aidé de Damien Boucard qui a fait un énorme travail&nbsp;!</p>

<p>Mais bon avant tout commençons par un petit topo sur les «&nbsp;fonctionnalités » offertes, histoire de vous convaincre de lire la documentation ;-).</p>


<h2>Historique</h2>


<p>Django a été développé par World Online, en closed-source, avant que le code soit libéré et le site lancé. C'est donc dans une logique de publication de contenu que le framework a été créé. Le slogan est «&nbsp;Le framework web pour les perfectionnistes avec des délais&nbsp;: Django facilite la conception rapide d'applis web nécessitant moins de code ». On se rend compte tout de suite de l'omniprésence des exigeances de l'édition.</p>


<h2>Objectifs</h2>


<p>Comme tous les frameworks, le but est de développer rapidement des sites pouvant être complets. Pour reprendre la <a href="http://www.b-list.org/weblog/2006/06/10/lets-talk-about-frameworks-when-frameworks-arent">métaphore de James Bennett</a>, l'intérêt d'un framework c'est de disposer des ingrédients pour faire un bon gâteau sans avoir à construire la cuisine qui est autour.</p>


<p>Les développeurs ont essayé de pousser le principe du <abbr title="Don&#039;t Repeat Yourself">DRY</abbr> (pas de répétition) à son extrême tout en découplant les différentes briques du framework de façon à ce que vous puissiez utiliser vos briques si vous les préférez. Aussi, lorsqu'on lit qu'un des inconvénients de Django est qu'il est un tout non modifiable, c'est en partie faux.</p>


<p>L'un des objectifs était aussi de pouvoir totalement séparer les équipes de développement et celles d'intégration. Il est donc possible de créer ses templates sans rien connaître à Python. C'est presque vrai pour le reste aussi si vous vous limitez à des applications simples mais bon ce serait dommage de ne pas <a href="https://larlet.fr/david/biologeek/archives/20050218-cours-pour-apprendre-python/">apprendre le python</a> par la même occasion&nbsp;!</p>


<h2>Possibilités</h2>


<p>J'aurais presque envie de dire infinies mais ça vaut pour tous les frameworks donc commençons par ce qui a déjà été fait&nbsp;:</p>
<ul>
<li>La personnalisation des URLs</li>
<li>L'interface d'administration</li>
<li>Les vues génériques</li>
<li>La gestion des commentaires et des fils RSS</li>
<li>La gestion des sessions et de l'authentification</li>
<li>L'internationnalisation</li>
<li>...</li>
</ul>

<p>Ne serait-ce que ça suffit à écrire très rapidement votre application de blog par exemple, je vous laisse découvrir seul les «&nbsp;... ». C'est tout simplement bien pensé et totalement personnalisable.</p>


<h2>Limites</h2>


<p>Pour l'instant la version «&nbsp;officielle » est celle disponible dans le dépôt de développement (soit la version supérieure à 0.91 qui est maintenant obsolète). Cette version est stable mais aucune garantie de rétro-compatibilité n'est assurée avant la version 1.0. Il faut savoir qu'il y a eut récemment une fusion d'une branche de développement enlevant une partie de la magie qui était jusqu'alors présente (version 0.91). Une nouvelle version «&nbsp;officielle » sortira dès que cette fusion rendra la version du dépôt exempte de bugs. Il est néanmoins conseillé pour l'instant d'utiliser la version du dépôt qui facilitera grandement la mise à jour ultérieure de votre projet.</p>


<p>Une autre limite assez attendue est l'incorporation du buzz du moment&nbsp;: AJAX. Malheureusement pour ceux qui en vivent, ce n'est pas franchement à l'ordre du jour pour l'instant. On trouve <a href="http://code.djangoproject.com/wiki/AjaxDjangoDojoForm">diverses méthodes sur le wiki</a> mais les développeurs sont formels (même si <a href="http://code.djangoproject.com/wiki/AJAX">la discussion est en cours</a>), commençons par avoir une solution stable et robuste avant de s'éparpiller sur des détails. Et je dois dire que je suis assez d'accord donc bon pour moi ce n'est pas une limite :-).</p>


<h2>Ressources</h2>


<p>Les ressources francophones sont nulles (rassurez vous l'interface d'administration de Django est tout de même traduite), voici les traductions effectuées pour l'instant (contactez-moi si vous souhaitez participer)&nbsp;:</p>

<ul>
<li><a href="https://larlet.fr/david/biologeek/archives/20060617-comment-installer-django/">Comment installer Django</a></li>
<li><a href="https://larlet.fr/david/biologeek/archives/20060617-redaction-de-votre-premiere-appli-django-partie-1-initialisation-creation-des-modeles-et-api-de-la-base-de-donnees/">Rédaction de votre première appli Django, partie 1&nbsp;: Initialisation, création des modèles et <abbr title="Application Programming Interface">API</abbr> de la base de données</a></li>
<li><a href="https://larlet.fr/david/biologeek/archives/20060617-redaction-de-votre-premiere-appli-django-partie-2-exploration-de-l-interface-d-admin-auto-generee/">Rédaction de votre première appli Django, partie 2&nbsp;: Exploration de l'interface d'admin auto-générée</a></li>
<li><a href="https://larlet.fr/david/biologeek/archives/20060617-redaction-de-votre-premiere-appli-django-partie-3-creation-des-vues-de-l-interface-publique/">Rédaction de votre première appli Django, partie 3&nbsp;: Création des vues de l'interface publique</a></li>
<li><a href="https://larlet.fr/david/biologeek/archives/20060617-redaction-de-votre-premiere-appli-django-partie-4-conception-d-un-formulaire-et-vues-generiques/">Rédaction de votre première appli Django, partie 4&nbsp;: Conception d'un formulaire et vues génériques</a></li>
<li><a href="https://larlet.fr/david/biologeek/archives/20060815-le-langage-de-template-django-pour-les-auteurs-de-templates/">Le langage de template Django&nbsp;: Pour les auteurs de templates</a></li>
</ul>

<p>N'hésitez pas à demander de l'aide et/ou à corriger les traductions en commentaire.</p>


<h2>Communauté</h2>


<p>Pour l'instant c'est en discussion, principalement sur #django-fr@irc.freenode.net, n'hésitez pas à nous rejoindre&nbsp;! Une <a href="http://lists.afpy.org/mailman/listinfo/afpy-django">mailing-list</a> a été mise en place sur le site de l'<abbr title="Association Francophone Python">AFPy</abbr>.</p>


<p><strong>[edit de juin 2007]&nbsp;: le <a href="https://larlet.fr/david/biologeek/archives/20070603-django-fr-enfin-en-ligne/">site django-fr a été lancé</a> et je vous invite à aller <a href="http://www.django-fr.org/documentation/">lire les pages de documentation directement sur ce site</a> qui sera assurément plus à jour que ce que l'on peut trouver ici.</strong></p>
