title:      Éclaircissez vos idées avec Freemind sous Ubuntu Dapper
slug:       eclaircissez-vos-idees-avec-freemind-sous-ubuntu-dapper
date:       2006-07-21 13:13:53
type:       post
vignette:   images/logos/freemind.png
contextual_title1:  ★ L&#39;artiste qui sommeille en chaque geek
contextual_url1:    20080613-artiste-qui-sommeille-en-chaque-geek
contextual_title2:  ★ Bonne continuation Ubuntu-fr
contextual_url2:    20070317-bonne-continuation-ubuntu-fr
contextual_title3:  ★ Rêve de geek
contextual_url3:    20070131-reve-de-geek

<p><a href="http://freemind.sourceforge.net/wiki/index.php/Main_Page">Freemind</a> est un logiciel de <a href="http://en.wikipedia.org/wiki/Mind_map">mind-mapping</a> permettant de créer des <a href="http://fr.wikipedia.org/wiki/Carte_heuristique">cartes heuristiques</a>. Vous êtes encore là&nbsp;? ;-) Bon reprennons plus «&nbsp;scientifiquement compéhensible » (j'aimerais bien que cette expression devienne un pléonasme un jour...). Votre cerveau comporte un nombre phénoménal de neurones qui sont sollicités en permanence. Résultat, les idées vont, viennent, se balladent, repartent suite à une distraction, accaparent une partie de votre nuit... sans compter qu'elle sont plus ou moins réalisables selon la partie de votre cerveau qui s'en occupe&nbsp;! Mais revenons à notre logiciel qui est censé mettre un peu d'ordre dans tout ça. Son objectif est tout simplement de vous permettre de poser à plat ces idées si vous en ressentez le besoin et de pouvoir ensuite les organiser. Ça peut être utilisé pour tout et n'importe quoi et de nombreux formats d'export sont disponibles.</p>

<p><a href="http://blognote-info.com/index.php?2005/10/23/290-mindmanager-sous-ubuntu">PiTiLeZarD en avait déjà parlé</a> mais un récent article dans Linux Pratique n°36 m'a donné envie de l'essayer (d'ailleurs à ce sujet il parait que le <a href="http://linux-pratique.com/index.php?2006/07/05/30-ubuntu-dapper-drake-606-numero-special"><abbr title="Hors-Série">HS</abbr> sur Ubuntu</a> est sorti et je sais qu'il comporte des articles de qualité ;-)). Le problème est qu'il n'existe pas de manière très simple de l'installer donc voici la démarche pas à pas (grandement inspirée de <a href="http://blog.siliconchaos.net/articles/2006/05/22/setting-up-freemind-in-ubuntu-dapper">cette méthode en anglais</a> mais en utilisant GDebi qui est vraiment une avancée depuis Dapper pour les installations «&nbsp;exotiques »).</p>


<h2>Récupération des fichiers</h2>


<p>Un petit tour sur SourceForge pour récupérer les <a href="http://sourceforge.net/project/showfiles.php?group_id=7118&amp;package_id=161831&amp;release_id=355162">paquets nécessaires à l'installation</a>, il vous faut au moins les paquets <strong>freemind</strong> et <strong>java libforms</strong> pour tester, si vous êtes intéressés par les plugins vous pouvez d'ores et déjà les récupérer aussi (ce sont les paquets <strong>freemind-plugins*</strong>).</p>


<h2>Installation de base</h2>


<p>Commencez par installer le paquet <strong>java libforms</strong> en cliquant dessus, normalement l'utilitaire GDebi va s'ouvrir en vous proposant de l'installer&nbsp;:</p>


<p><img src="/static/david/biologeek/images/installation_freemind/01-GDebi_libforms-java.png" alt="Installation du paquet java libforms avec GDebi" style="display:block; margin:0 auto;" /></p>


<p>Ici toutes les dépendances sont satisfaites mais ça peut ne pas être votre cas selon votre installation de Java actuelle. Dans le cas contraire, GDebi vous proposera d'installer les dépendances si elles sont accessibles (il vaut mieux avoir universe et multiverse d'activés).</p>


<p>C'est par exemple ce qui va arriver lorsque vous installerez le paquet <strong>freemind</strong>&nbsp;:</p>


<p><img src="/static/david/biologeek/images/installation_freemind/02-GDebi_freemind.png" alt="Installation du paquet freemind avec GDebi" style="display:block; margin:0 auto;" /></p>


<p>Vous pouvez au passage jetter un œil sur les dépendances requises&nbsp;:</p>


<p><img src="/static/david/biologeek/images/installation_freemind/03-GDebi_freemind-details.png" alt="Installation du paquet freemind avec GDebi (details)" style="display:block; margin:0 auto;" /></p>


<p>Une fois ces deux paquets installés, vous devez avoir une nouvelle entrée dans le menu <strong>Applications &gt; Bureautique &gt; FreeMind</strong> qui lance l'application... ou pas. Dans mon cas en le lançant dans une console j'avais une erreur du type&nbsp;:</p>


<pre>Exception in thread "main" java.awt.AWTError: Cannot load AWT toolkit: gnu.java.awt.peer.gtk.GtkToolkit
Caused by: java.lang.ClassNotFoundException: gnu.java.awt.peer.gtk.GtkToolkit</pre>


<p>Que je n'ai pas réussi à éradiquer sans changer mon environnement java pour passer à celui de Sun. J'ai pour cela fait appel à GAlternatives (<a href="http://blognote-info.com/index.php?2006/06/14/433-galternatives">encore merci PiTiLeZarD</a>, décidemment) qui est dans vos dépôts et qui s'installe avec Synaptic. Il suffit alors de le lancer avec les droits appropriés&nbsp;: <strong>Alt+F2 &gt; gksudo galternatives</strong> et de changer l'entrée pour java&nbsp;:</p>


<p><img src="/static/david/biologeek/images/installation_freemind/04-java-GAlternatives.png" alt="Exemple de choix dans GAlternatives" style="display:block; margin:0 auto;" /></p>


<p>Voila, cette fois tout devrait fonctionner, vous pouvez tout de suite tester par vous même l'application, ça peut même servir pour réfléchir à un prochain billet de blog&nbsp;:</p>


<p><img src="/static/david/biologeek/images/installation_freemind/05-Exemple_freemind.png" alt="Exemple utilisation de Freemind" style="display:block; margin:0 auto;" /></p>


<h2>Installer les plugins</h2>


<p>En ce qui concerne les plugins <strong>time</strong> et <strong>help</strong>, rien de bien sorcier, GDebi s'en chargera sans accrocs. En revanche pour le <strong><abbr title="Scalable Vector Graphics">svg</abbr></strong>, il va d'abord falloir récupérer le paquet <strong>java libbatik</strong> <a href="http://dir.filewatcher.com/d/Debian/all/contrib/libs/libbatik-java_1.5.1-1_all.deb.4318692.html">dans les dépôts Debian</a> et l'installer, GDebi se charge encore une fois de cette installation.</p>


<p><img src="/static/david/biologeek/images/installation_freemind/06-GDebi_libbatik-java.png" alt="Installation du paquet java libbatik avec GDebi" style="display:block; margin:0 auto;" /></p>


<p>Il suffit ensuite d'installer le dernier plugin qui est aussi intéressant pour l'export <abbr title="Portable Document Format">pdf</abbr> qu'il propose.</p>


<h2>Associer les fichiers avec une extension <strong>.mm</strong> à l'ouverture de FreeMind</h2>


<p>Pour l'instant si vous cliquez sur un fichier de sauvegarde, il va être ouvert dans l'éditeur de texte. Et à part si vous êtes fans de xml, ça risque de ne pas être très intéressant. Dans le tutoriel en anglais ils proposent une procédure qui me semble très compliquée à base de xml justement alors qu'il suffit de faire un clic-droit sur le fichier en question, d'aller sur l'onglet <strong>ouvrir avec</strong> et d'ajouter FreeMind pour le mettre par défaut&nbsp;:</p>


<p><img src="/static/david/biologeek/images/installation_freemind/07-ouvrir_avec_freemind.png" alt="Ouverture des fichiers avec Freemind" style="display:block; margin:0 auto;" /></p>


<p>L'ouverture de tels fichiers se fera dorénavant grâce à FreeMind, vous voila opérationnels, enjoy!</p>


<p>Les applications de ce logiciel sont aussi étendues que votre imagination ;-). N'hésitez pas à décrire vos exemples d'utilisation en commentaire, personnellement je m'en suis récemment servi pour faire un bilan personnel sur mes compétences/motivations/perspectives et c'était un outil puissant et tout à fait adapté.</p>
