title:      ★ Getting Things Done (GTD) ou l&#39;art d&#39;être efficace
slug:       getting-things-done-gtd-ou-l-art-d-etre-efficace
date:       2006-07-22 19:19:14
type:       post
vignette:   
contextual_title1:  37signals : ce qu&#39;ils ont appris
contextual_url1:    20081104-37signals-ce-quils-ont-appris
contextual_title2:  ★ L&#39;artiste qui sommeille en chaque geek
contextual_url2:    20080613-artiste-qui-sommeille-en-chaque-geek
contextual_title3:  L&#39;intelligence économique (veille technologique) en pratique
contextual_url3:    20070609-l-intelligence-economique-veillle-technologique-en-pratique

<p>Même <a href="https://larlet.fr/david/biologeek/archives/20060614-je-suis-devenu-un-leve-tot/">en se levant tôt</a>, notre efficacité dépend essentiellement de notre faculté à bien gérer notre temps. Ceci est une introduction à la méthode Getting Things Done souvent abrégée en <abbr title="Getting Things Done">GTD</abbr> qui fait l'objet du livre très connu outre-atlantique de David Allen. Elle sera suivie de quelques conseils pour les plus geeks d'entre vous car autant l'annoncer tout de suite&nbsp;: Internet est à l'origine d'une perte de temps phénoménale qu'il est bon de maîtriser si l'on souhaite accéder au niveau d'alphageek.</p>

<h2>Introduction</h2>


<p>Je n'ai pas lu le livre en question donc corrigez moi si vous êtes fan. Voici un résumé de la méthode telle que je l'ai comprise&nbsp;:</p>


<blockquote><p>Il s'agit de <strong>collecter</strong> toutes les choses que vous avez à faire ou que vous prévoyez de faire puis de les <strong>analyser</strong> afin de savoir comment est ce que vous allez les <strong>organiser</strong>. Typiquement, il vous faudra les ranger en <ins>projets</ins> et déterminer s'ils ont une <ins>contrainte temporelle ou pas</ins> puis leur assigner un état&nbsp;: <ins>action suivante</ins>, <ins>en attente</ins>, <ins>incertain</ins> ou <ins>les supprimer</ins>. Inutile d'arriver jusqu'ici si ce n'est pas pour <strong>consulter</strong> régulièrement ces listes afin d'effectuer les <ins>actions suivantes</ins> et les <ins>évènements temporels</ins>. Quoi qu'il en soit, <strong>agissez</strong>&nbsp;!</p></blockquote>


<p>C'est donc une méthode basée sur la décomposition des tâches à effectuer en actions élementaires simple et rapides à réaliser. Chaque action en haut de la pile est notée comme étant l'action suivante à achever le plus rapidement possible. Les actions peuvent selon les cas être regroupées par projets, par localisation et/ou par créneaux horaires. Elles peuvent aussi être supprimées ou déléguées.</p>


<p>Il est nécessaire de consulter fréquemment ces listes pour toujours connaître l'action suivante et ajouter des tâches si celles-ci sont nécessaires. L'objectif est de ne pas être distrait lors de la réalisation d'une action par une réflexion au sujet d'une autre tâche. Vous faites presque mécaniquement l'action suivante et d'actions suivantes en actions suivantes vous avancez rapidemment. Cette méthode vous pousse à l'action&nbsp;!</p>


<p>L'exemple le plus caractéristique est celui du mail. Si vous pensez que répondre à un mail ne vous prendra pas plus de 2 minutes&nbsp;: <ins>faites-le immédiatement</ins>.</p>


<p>Après si vous voulez consulter des notes complètes au sujet de la méthode de l'ouvrage, <a href="http://www.minezone.org/wiki/MVance/GettingThingsDone">celles de minezone</a> sont assez bien agencées, une <a href="http://www.43folders.com/2004/09/08/getting-started-with-getting-things-done/">introduction est disponible</a> sur le site de référence 43folders dont <a href="http://wiki.43folders.com/index.php/Main_Page">le wiki</a> est une vraie mine.</p>


<p>D'ailleurs, 43 folders fait référence aux 43 dossiers que préconise de créer David Allen qui correspondent aux 12 mois de l'année et aux 31 jours du mois. Chaque action est stockée dans le dossier correspondant à sa date d'exécution (dans le cas où elle est temporelle) ce qui permet de s'en rappeler en consultant ces dossiers quotidiennement.</p>


<h2>Applications et outils</h2>


<p>Comment mettre en application ces conseils et quels sont les outils à notre disposition&nbsp;? Tout dépend de vos habitudes de travail et des ressources dont vous disposez. Deux écoles ici&nbsp;: à l'ancienne avec un callepin ou moderne en numérisant vos données.</p>


<h3>Papier</h3>


<p>C'est la moins coûteuse à mettre en application, il suffit d'un carnet, voire de simples feuilles de papier pour y écrire ses todo-lists et classer ses différents objectifs. C'est celle que j'ai adoptée car j'ai commencé durant mon stage et je devais alors passer plus de deux heures dans le métro par jour. Elle présente l'avantage de vous suivre partout sans avoir à synchroniser vos données avec votre ordinateur ou une application en ligne (si vous avez un PDA par exemple). Un autre avantage est celui de pouvoir répartir les feuillets devant soi pour avoir une vision d'ensemble.</p>


<h3>Numérique</h3>


<p>En revanche, l'intérêt d'une numérisation est la possibilité de faire une recherche dans les tâches (par catégorie/date/ce que vous voulez) et de pouvoir facilement faire un copier/coller d'une liste ou d'un fragment de liste vers une autre.</p>


<p>Certains se servent des fameux 43 dossiers en utilisant des répertoires de leur ordinateur, d'autres ont développé des outils <a href="http://swapoff.org/DevTodo">en ligne</a> <a href="http://www.todotxt.com/library/todo.sh/">de commande</a> (il existe même une version <a href="http://www.todotxt.com/library/birdseye.py/">en python</a>), certains utilisent un <a href="http://tiddlywiki.com/">TiddlyWiki</a> assez facilement (<a href="http://www.framasoft.net/article3882.html">c'est quoi un TiddlyWiki ?</a>). Il existe par exemple <a href="http://avm.online.fr/tidlipo.html">TiddlyPo fait par un français</a>, mais aussi <a href="http://shared.snapgrid.com/index.html">GTDTiddlyWiki</a> et <a href="http://wiki.43folders.com/index.php/GTD_Tiddly_Wiki_Plus">GTDTiddlyWiki Plus</a> (je renvoie sur le wiki de 43folders car le site à l'air mal en point pour l'instant).</p>


<p>Il y a aussi la solution application web 2.0 et là il y en a pour tous les goûts, de la simpliste <a href="http://www.tadalist.com/">tada-list</a> au plus complet <a href="http://www.rememberthemilk.com/">remember the milk</a> mais aucune ne m'a donné pleinement satisfaction pour l'instant (j'attend beaucoup du <a href="http://cfait.fr/">prochain service de GMLI</a> en fait car je sais que Guillaume va nous concocter quelquechose de bien :-)).</p>


<p>Enfin celle qui me semble la plus intéressante pour le moment (même si c'est pas celle qui vient naturellement à l'esprit) est le détournement d'un compte de messagerie électronique. Certains donnent la <a href="http://saw.themurdaughs.com/gtd-with-gmail-whitepaper/">solution pour GMail</a> ou <a href="http://entropicprincipal.blogspot.com/2005/09/using-thunderbird-to-get-things-done.html">via le client Thunderbird</a>. Les deux sont facilement réalisables, dans le cas où c'est Thunderbird il vaut mieux avoir un compte en IMAP pour pouvoir accéder à vos modifications de n'importe quel poste.</p>


<h2>Conseils pour geeks</h2>


<p>Les principales distractions du geek sont (pas forcément dans l'ordre)&nbsp;:</p>

<ul>
<li><strong>Passer son temps à surfer</strong>&nbsp;: bon jusque là c'est normal, on surfe tous, par contre ajouter 10 onglets pour chaque site visité quand on en a déjà une centaine d'ouverts c'est le meilleur moyen de perdre son temps exponentiellement (et oui car en plus vous avez installé <a href="http://extensions.geckozone.org/SessionSaver">Session Saver</a> pour être sûr de les retrouver plus tard...) donc limitez votre navigation aux sujets qui vous intéressent vraiment et ne suivez pas tous les liens en commentaires.</li>
<li><strong>Passer son temps à mouler sur <abbr title="Internet Relay Chat">IRC</abbr></strong>&nbsp;: là bien obligé de prendre des mesures radicales car c'est vraiment chronophage. Soit vous ne l'ouvrez qu'à certains moments de la journée, soit vous l'extériorisez par exemple sur un portable auquel vous pouvez accéder assez simplement style avec un x2x à intervalles réguliers (mais espacés !). Je préconise la même approche pour tout ce qui est <abbr title="Instant Messaging">IM</abbr>. Vous planifiez ainsi certains créneaux horaires qui seront aussi consacrés à&nbsp;:</li>
<li><strong>Passer son temps à lire son aggrégateur</strong>&nbsp;: un opml ça grossit forcément et du coup quand avant 20 minutes par jour suffisaient il vous faut maintenant 2 heures matin et soir. Vous pouvez supprimer des fils ou vous interdire de suivre les liens (ça vous permet de supprimer les fils incomplets). Virez tous les sites d'information trop généralistes, lorsqu'une information pertinente passe dessus, elle est reprise sur d'autres blogs. Ne soyez pas trop friands des digg-like, au départ ces sites sont fait pour vous épargner du temps mais ils en font perdre au final (à part ceux qui sont vraiment spécialisés).</li>
<li><strong>Passer son temps à lire/répondre à ses mails</strong>&nbsp;: c'est inévitable. Autant on peut vivre sans aggrégateur ou sans IRC, autant sans mail ça devient problématique. Encore ici pour éviter de regarder frénétiquement sa messagerie, il est intéressant d'externaliser et/ou d'instaurer des créneaux. Le traitement se fait rapidement en classant les mails à réponse directe (cliquer sur Répondre pour ne pas oublier) et les mails qui méritent réflexion (personnellement je leur met un drapeau). Je me suis aussi inscrit à toutes les listes via un compte GMail que je consulte uniquement quand j'ai le temps.</li>
</ul>

<p>Lire aussi l'<a href="http://www.lifehack.org/articles/lifehack/a-geeks-best-lifehack.html">article en anglais sur lifehack</a> à ce sujet qui m'a fait sourire, surtout le «&nbsp;optional » à la fin qui est on ne peut plus vrai ;-).</p>


<h2>Ressources en français</h2>


<p>Comme vous avez pu le remarquer, la plupart des liens sont en anglais car il existe très peu de ressources en français. Quelques liens pour continuer&nbsp;:</p>

<ul>
<li>La <a href="http://www.mogore.net/?cat=9">catégorie GTD sur le blog de Mogore</a> qui aimerait monter un <a href="http://www.mogore.net/?p=46">site de ressources</a> là-dessus&nbsp;;</li>
<li>Les <a href="http://www.outilsfroids.net/texts/GestionDuTemps.shtml">articles sur la Gestion Du Temps</a> d'Outils Froids&nbsp;;</li>
<li>Les <a href="http://web.mac.com/ericlodi/iWeb/Orgameth/Orgameth/Orgameth.html">articles d'Éric Lodi</a> (au passage si tu passes par là, je n'ai pas réussi à laisser un commentaire chez toi mais c'est totalement crétin de mettre ses articles sous forme d'images, même s'ils sont référencés grâce au contenu de l'attribut alt de tes balises img il est impossible de zoomer, etc)&nbsp;;</li>
<li>Le <a href="http://pascalvenier.com/blog/?p=77">diagramme de flux de travail</a> sur le blog de Pascal Venier&nbsp;;</li>
<li>La <a href="http://fr.wikipedia.org/wiki/Getting_Things_Done">définition sur Wikipédia</a>.</li>
</ul>

<p>Voila, j'espère que cette introduction vous permettra de gagner un peu de votre précieux temps et j'attend impatiemment que cette resource francophone se forme. Hum il y a un truc que j'ai oublié de mentionner pour faire gagner du temps aux geeks&nbsp;: <strong>arrêtez de bloguer</strong>&nbsp;!</p>


<p><strong>[edit du 3/08]</strong>&nbsp;: Bonus&nbsp;! Vous combinez mes deux derniers posts (celui-ci et <a href="https://larlet.fr/david/biologeek/archives/20060721-eclaircissez-vos-idees-avec-freemind-sous-ubuntu-dapper/">celui sur Freemind</a>) et vous pouvez utiliser le <a href="http://yeksoon.neusteps.com/?p=63">template réalisé par YekSoon</a>. Du coup ça répond aussi à la question d'Enro en commentaire ;-).</p>


<p><strong>[edit du 12/08]</strong>&nbsp;: Re-bonus (décidemment !) si vous appréciez <a href="https://larlet.fr/david/biologeek/archives/20060617-traduction-francaise-de-la-documentation-de-django-le-framework-web-python/">Django</a>, David Avraamides a réalisé <a href="http://davidavraamides.net/blog/2006/07/30/getting-things-done-django-style-part-2/">une application permettant de combiner Django et GTD</a>.</p>
