title:      ★ À la recherche d&#39;un site sémantique
slug:       a-la-recherche-d-un-site-semantique
date:       2006-08-15 16:22:46
type:       post
vignette:   images/logos/semantic_web_activity.png
contextual_title1:  ★ De l&#39;avenir du web
contextual_url1:    20060808-de-l-avenir-du-web
contextual_title2:  ★ Résolutions : rediriger, économiser et débattre
contextual_url2:    20120131-resolutions-rediriger-economiser-et-debattre
contextual_title3:  ★ Résolutions : découvrir, concrétiser et transmettre
contextual_url3:    20110112-resolutions-decouvrir-concretiser-et-transmettre

<p>Ce billet fait suite à celui intitulé <a href="https://larlet.fr/david/biologeek/archives/20060704-a-la-recherche-du-site-parfait/">À la recherche du site parfait</a> qui était une ébauche de réflexion sur la structure de mon prochain site. Depuis que je vous ai promis l'<a href="https://larlet.fr/david/biologeek/archives/20060808-de-l-avenir-du-web/">avenir du web comme étant sémantique</a>, je suis sûr que vous vous êtes jetté sur votre moteur de recherche préféré pour essayer d'être prêt lorsque ce jour sera arrivé. Si ce n'est pas le cas, 1/ c'est mal car les prédiction de Biologeekus ont une très forte probabilité d'apparition (si si je vous assure !), 2/ c'est compréhensible et c'est la raison pour laquelle je vais tenter de détailler ce que c'est ici.</p>

<h2>Qu'est ce que le web sémantique&nbsp;?</h2>


<p>En fait la première question à se poser serait «&nbsp;Pourquoi le web sémantique&nbsp;? ». Il est évident que le mode recherche actuel de données sur le web est archaïque. D'ailleurs, <a href="https://larlet.fr/david/biologeek/archives/20060809-les-100-premiers-mots-cles-recherches-par-les-utilisateurs-d-aol/">de récentes études hautement scientifiques</a> le prouvent ;-). Il est donc nécessaire d'introduire au contenu existant des données permettant une indexation plus poussée.</p>


<p><strong>L'idée est d'associer à un contenu des données qui décrivent un sens, à l'origine humain, qui soit compréhensible par les machines.</strong> Prennons exemple sur ce billet de blog&nbsp;:</p>
<ul>
<li>le <strong>contenu</strong> est <strong>le billet en lui même</strong>&nbsp;;</li>
<li>le <strong>sens humain</strong> est <strong>la compréhension et l'application du web sémantique</strong>, qu'il va falloir retranscrire en données (appelées méta-données pour données sur les données) qui soient interprétables par les machines.</li>
</ul>

<p>Le résultat pour un lecteur humain sera exactement le même que l'actuel, sauf si l'on souhaite afficher ces méta-données. En effet, le web sémantique s'intéresse aux machines pour permettre ensuite aux humains d'effectuer des requêtes plus pertinentes.</p>


<p>En fait, ça se rapproche assez de l'Intelligence Artificielle puisqu'on essaye d'enseigner aux machines une manière de «&nbsp;penser » qui se rapproche du mode de penser humain afin d'obtenir des résultats adaptés aux humains.</p>


<h2>Comment l'appliquer&nbsp;?</h2>


<p>Tout dépend du contenu. Mais j'ai retenu 5 pistes actuellement&nbsp;:</p>

<ul>
<li>tout d'abord <a href="http://rdfs.org/sioc/"><abbr title="Semantically Interlinked Online Communities">SIOC</abbr></a> qui est une <a href="http://interstices.info/display.jsp?id=c_17672&amp;qs=id%3Djalios_5127">ontologie</a> pour <strong>décrire les discussions de forums et les billets de sites appartenant à une même communauté</strong>. C'est donc grâce à ce format que je vais ajouter de la sémantique à mes billets de blog. Puisque ce format s'adresse aussi aux communautés, il serait possible que je complète ces informations personnelles à des informations issues de toute la communauté. Par exemple, il serait possible de faire une ontologie pour la communauté Ubuntu-fr avec des billets de blogs et des posts du forum.</li>
</ul>
<ul>
<li>viennent ensuite <strong>les relations entre individus</strong> et là on a <a href="http://www.foaf-project.org/"><abbr title="Friend Of A Friend">FOAF</abbr></a> qui permet de décrire les liens entre personnes mais aussi ce qu'elles ont fait et font (une sorte de micro-<abbr title="Curriculum Vitae">CV</abbr> en fait). Cela peut être un complément à une blogroll par exemple.</li>
</ul>
<ul>
<li>enfin <a href="http://usefulinc.com/doap"><abbr title="Description of a Project">DOAP</abbr></a> <strong>décrit les projets communautaires de développement de logiciels</strong>. Pas besoin d'exemple ici vous aurez compris je pense :-).</li>
</ul>
<ul>
<li>petit outsider, <a href="http://www.w3.org/2004/02/skos/"><abbr title="Simple Knowledge Organisation System">SKOS</abbr></a> que je place ici car même s'il est moins connu <a href="http://dossierdoc.typepad.com/descripteurs/2005/08/thsaurus_et_web.html">n'en est pas moins intéressant</a> pour la suite. Il permet d'<strong>établir des relations entre des concepts simples</strong>, ce qui permet d'établir par exemple des relations entre différents tags. Certains lui promettent d'ailleurs <a href="http://www.lespetitescases.net/skos-l-avenir-de-la-folksonomie-y">un avenir de remplaçant des tags actuels</a>.</li>
</ul>

<p>Ces quatre premiers sont des formats se basant sur <abbr title="Resource Description Framework">RDF</abbr> qui, avouons-le, n'est pas des plus simple à mettre en œuvre. La grammaire <abbr title="eXtensible Markup Language">XML</abbr> étant faite pour les machines, ce qui pose des problèmes dans la rédaction de ces différents fichiers, à moins d'avoir à sa disposition des outils adaptés.</p>

<ul>
<li>C'est la grande raison de la popularité des <a href="http://microformats.org/wiki/Main_Page-fr">microformats</a> qui sont apparus plus récemment et ne se basent pas sur RDF mais sur l'insertion d'informations au sein même du <abbr title="eXtensible Hyper Text Markup Language">XHTML</abbr> de la page. Par exemple, <a href="http://gmpg.org/xfn/"><abbr title="XML Friends Network">XFN</abbr></a> s'occupe de décrire les relations entre individus comme le fait <abbr title="Friend Of A Friend">FOAF</abbr> mais en s servant de simples liens, par exemple en ajoutant <strong>rel="friend met"</strong> pour indiquer les relations entre le lieur et le lié.</li>
</ul>

<h2>Quelles sont les limitations actuelles&nbsp;?</h2>


<p>La principale limitation est... le désintéressement total actuel de ces données par les moteurs de recherche alors que ça devrait être une sorte de Graal pour eux&nbsp;! Du coup, c'est un peu le serpent qui se mord la queue car quel développeur web va bosser des heures à se taper les specifications et à implémenter toutes ces relations pour son site si cela n'apporte rien&nbsp;? Bon ok un geek, mais ça ne donne pas assez de sens au final pour les moteurs de recherche qui ne vont pas développer leur recherche pour une dizaine de milliers de pages...</p>


<p>Autre limitation, c'est compliqué. Alors c'est sûr, nous sommes compliqués donc les relations qui en découlent ne pouvaient pas être simple mais c'est un frein évident au développement du web sémantique. C'est bien simple, ça doit faire une semaine que je me suis lancé à fond là-dedans et je n'ai pas l'impression d'avancer.</p>


<p>Néanmoins, j'ai envie que le web progresse dans ce sens et je prend le temps d'investir dans cette technologie car j'aimerais que mon prochain site soit sémantique.</p>


<h2>Comment faire un site sémantique finalement&nbsp;?</h2>


<p>C'est problèmatique. Le premier problème c'est le manque d'exemples concrêts disponibles. Il manque un getreal.w3.org qui listerait des outils et des exemples d'application pour chaque spec (et pas une dizaine de lignes mais un vrai exemple). Alors je sais c'est facile de critiquer mais actuellement c'est le seul moyen de faire percer <strong>rapidement</strong> une technologie. Il n'y a qu'à voir le buzz fait autour de <abbr title="Ruby on Rails">RoR</abbr>, à quand un screencast pour rendre son site sémantique&nbsp;?</p>


<p>Autre hésitation, il y a deux écoles comme vous aurez pu le constater&nbsp;: les microformats et l'utilisation du RDF. Ce qui est bien c'est que vous pouvez combiner les deux sans soucis. Ce qui est moins bien c'est que ça demande le double de travail&nbsp;! Pour les fainéants, les microformats sont tout trouvés, 2-3 modifications dans votre template et ça roule (presque). Le problème c'est que je ne pense pas que ce soit le lieu pour faire de la sémantique. La sémantique sert à décrire des relations entre données mais indépendament de ces données (à mon avis) car ces relations peuvent évoluer et les microformats ne sont pas une solution pérenne. Que ferez vous si la situation évolue&nbsp;? Reprendre chaque ligne de html pour modifier les relations que vous avez inséré&nbsp;? Bon courage.</p>


<p>Quelques idées sont bonnes à prendre mais devraient plus à mon avis être assimilées à des standards, par exemple que chaque billet de blog ait un contenu possédant une <strong>class="post"</strong> ou que chaque lien vers un billet ait un <strong>rel="bookmark"</strong>, voila de quoi ajouter un plus sans conséquence qui permet une uniformisation de la structure d'un document html permettant par exemple d'afficher plusieurs blogs avec la même feuille de style ou d'identifier les blocs qui ont réellement un sens dans la page.</p>


<p>Donc pour faire un site sémantique, il va falloir&nbsp;:</p>

<ul>
<li>apprendre le RDF&nbsp;;</li>
<li>lire les spécifications de chacun des formats&nbsp;;</li>
<li>implémenter les outils permettant de générer ces fichiers.</li>
</ul>

<p>Wow, il y a encore un motivé dans l'assistance&nbsp;? Personnellement je commence à douter. Heureusement qu'il existe quelques outils pour simplifier tout ça mais quand même je suis sceptique quant à la capacité à rendre tout ça grand public. Sans compter qu'il va falloir renseigner ces métadonnées pour chaque nouvelle entrée...</p>


<h2>Qu'est ce que j'ai oublié&nbsp;?</h2>


<p>Voici quelques articles que j'ai consulté jusqu'à présent à ce sujet&nbsp;:</p>

<ul>
<li><a href="http://websemantique.org/PagePrincipale">Web Sémantique.org</a>, <strong>évidemment</strong>&nbsp;;</li>
<li><a href="http://esw.w3.org/topic/SemanticWeb">SemanticWeb</a> sur le site du W3C&nbsp;;</li>
<li><a href="http://www.la-grange.net/2003/12/17.html">XFN&nbsp;: juste pour les mauvais geeks</a>, tout est dans le titre :-)&nbsp;;</li>
<li><a href="http://upian.net/znarf/carnet/2003/12/XFN">XFN</a> chez Znarf</li>
<li><a href="http://iandavis.com/blog/2005/05/tinky-and-skos?year=2005&amp;monthnum=05&amp;name=tinky-and-skos">Tinky and SKOS</a>, réflexion intéressante sur le tagging des sites&nbsp;;</li>
<li><a href="http://www.la-grange.net/2005/06/23.html#tag-skos">Tag, Taxonomie et DotClear</a>, ou comment remettre les tags à leur place&nbsp;;</li>
<li><a href="http://apassant.net/wiki/semweb/dotclear-sioc">SIOC exporter for Dotclear</a>, une implémentation de SIOC pour Dotclear&nbsp;;</li>
<li><a href="http://www.betaversion.org/~stefano/linotype/news/85/">Folksologies: de-idealizing ontologies</a>, exemple d'implémentation&nbsp;;</li>
<li><a href="http://www.w3.org/2004/03/thes-tf/primer/2005-05-04">Quick Guide to Publishing a Thesaurus on the Semantic Web</a>&nbsp;;</li>
<li><a href="http://sunsite.informatik.rwth-aachen.de/Publications/CEUR-WS//Vol-135/">Scripting for the Semantic Web</a>&nbsp;;</li>
<li><a href="http://www.la-grange.net/2003/02/17.html.fr">Un Web sémantique facile</a>, très bon texte d'introduction&nbsp;;</li>
<li><a href="http://www.internetactu.net/?p=6118">Les microformats, prochaine étape du web sémantique ?</a>&nbsp;;</li>
<li><a href="http://fredericdevillamil.com/articles/2006/06/13/la-recherche-par-tag-compl%C3%A9ment-indissociable-de-la-recherche-sur-le-contenu">La recherche par tag, complément indissociable de la recherche sur le contenu</a>, par Frédéric, pro-microformats&nbsp;;</li>
<li><a href="http://www.electronlibre.com/electronnews/?p=17">Comprendre les tags</a> et les extensions possibles&nbsp;;</li>
<li><a href="http://autrans.crao.net/index.php/AtelierWebS%E9mantique">Atelier Web Sémantique</a>, <strong>si vous ne devez suivre qu'un seul lien</strong>.</li>
</ul>

<p>J'ai dû passer à côté de beaucoup de choses encore, et vous quelles sont vos ressources ou vos projets pour un web plus sémantique&nbsp;?</p>


<p><strong>[trackback manuel]</strong>&nbsp;: Simon qui <a href="http://atonie.org/weblog/">a finit par ouvrir un blog</a>, propose <a href="http://atonie.org/weblog/david-websemantique">quelques ressources supplémentaires pour un web sémantique</a>. Merci&nbsp;!</p>
