title:      ★ Ergonomie d&#39;un blog : analyse des réponses
slug:       ergonomie-d-un-blog-analyse-des-reponses
date:       2007-02-05 23:40:21
type:       post
vignette:
contextual_title1:  12 règles d&#39;ergonomie web par Amélie Boucher
contextual_url1:    20071117-12-regles-d-ergonomie-web-par-amelie-boucher
contextual_title2:  Critique du livre Donne moi ce que je veux !
contextual_url2:    20071014-critique-du-livre-donne-moi-ce-que-je-veux
contextual_title3:  ★ L&#39;importance du rythme vertical en design CSS
contextual_url3:    20070819-l-importance-du-rythme-vertical-en-design-css

<p>Je comptais insérer la synthèse dans le <a href="https://larlet.fr/david/biologeek/archives/20070201-ergonomie-d-un-blog-en-16-questions/">billet sur l'ergonomie des blogs</a> mais vous avez été tellement nombreux à répondre que ça méritait un billet à part entière. Les réponses sont désormais en ligne donc le sondage est clos. J'ai répondu aux questions spécifiques dans un commentaire à la suite, conformément à vos réponses ;-).</p>

<p>Merci à <a href="http://www.typouype.org">pouype</a>, jblanche , <a href="http://www.neolao.com">neolao</a>, pangel , <a href="http://sunfox.org/">Sunny</a>, <a href="http://fashion.hosmoz.net/">Geoffrey</a>, <a href="http://pierre.equoy.free.fr/">Pierre</a>, <a href="http://www.laconjuration.net/notes">willy</a>, <a href="http://giz404.freecontrib.org/">giz404</a>, <a href="http://wildmary.net-sauvage.com/weblog">wildmary</a>, darkagonik , <a href="http://www.libert-fr.com/blog/">Deeder</a>, <a href="http://aon.shortbrain.org">vdemeester</a>, Eliness , <a href="http://sebseb01.net/V2">Sebseb01</a>, <a href="http://navigosaure.net">Thomas</a>, <a href="http://www.cynicalturtle.net/kame/">Damien B</a>, <a href="http://www.livresanspage.net">Alexandre P.</a>, <a href="http://appogiature.free.fr">Ln</a>, <a href="http://eric.daspet.name/">Éric Daspet</a>, <a href="http://atonie.org/">Simon Rozet</a>, <a href="http://minouchnaouak.free.fr">Aka</a>, nyquist , <a href="http://www.ouinon.net">Christophe D.</a>, <a href="http://www.parenthese.be/dotclear2/">Céd'</a>, <a href="http://filyb.info/">Thesa</a>, Laurent , <a href="http://fredericdevillamil.com">Frédéric de Villamil</a> et <a href="http://kib2.webfactional.com/">kib2</a> pour les 30 réponses et leurs suggestions diverses.</p>


<p>Je ne sais pas si on peut considérer ces réponses comme étant significatives car ce blog est assez technique et pas forcément grand public mais elles ont le mérite d'être franches et argumentées. En tout cas elles m'aident beaucoup à mettre à plat ce que j'avais prévu pour cette refonte. Voici l'analyse que j'ai pu en faire, si vous souhaitez avoir le détail il est aussi dans ce billet (à la fin car c'est assez volumineux !).</p>


<h2>Découverte d'un blog</h2>


<h3>1. Quelle est la <strong>porte d'entrée</strong> d'un nouveau blog&nbsp;? Arrivez-vous le plus souvent sur la page d'accueil ou via un lien direct/une recherche ou autre&nbsp;?</h3>


<p>Vous n'avez pas tous compris la question. Il faut dire que le raccourci à placer en commentaire était un peu réducteur et ne contenait plus les mots «&nbsp;découverte » ou «&nbsp;nouveau » qui étaient important, j'aurais du laisser les questions complètes. Néanmoins, les résultats sont clairs&nbsp;: <strong>la porte d'entrée d'un blog peut être n'importe quelle page</strong> (c'est <a href="http://www.fredcavazza.net/index.php?2005/05/26/712">pas nouveau</a> mais c'est maintenant vérifié pour les blogs), il faut donc faire en sorte que chaque page ait une ouverture au moins identique à l'accueil. Voyons voir les liens utiles.</p>


<h3>2. Quelle est la <strong>page suivante</strong>, celle que vous visitez juste après avoir lu celle que vous venez de découvrir&nbsp;? Les liens généralement fournis sont-ils adaptés&nbsp;?</h3>


<p>Il n'y a pas de réponse unanime à cette question mais on peut déterminer deux profils&nbsp;:</p>
<ul>
<li><strong>les visiteurs qui viennent pour chercher une information sur un sujet précis</strong>, auquel cas ils continuent leur visite par cercles concentriques à partir de la première page visitée en élargissant le périmètre&nbsp;;</li>
<li><strong>les visiteurs qui décident de s'intéresser au blog visité</strong> et qui consultent généralement la page d'accueil pour lire les derniers billets ou la page de description de l'auteur pour savoir qui est derrière le blog.</li>
</ul>

<p>Afin de satisfaire ces deux types de visiteurs, il est intéressant de rendre accessibles facilement et si possible dès la fin du billet les liens vers les billets relatifs à celui-ci ainsi qu'un lien vers l'accueil et un autre vers l'auteur. Parallèlement, des liens vers les tags ou catégories sont utiles aussi.</p>


<p>Je ne pensais pas que la page sur l'auteur avait une telle importance, bon à savoir.</p>


<h3>3. Lorsque vous découvrez un blog intéressant, quel est votre <strong>type d'exploration</strong>&nbsp;? Via les tags, les favoris, les archives&nbsp;?</h3>


<p><strong>Des tags, des tags et encore des tags</strong>. C'est normal, on ne peut pas être intéressé par la totalité des sujets traités sur un blog. Attention toutefois à conserver les liens chronologiques car certains utilisent cette méthode. La pré-sélection réalisée par l'auteur est aussi utilisée.</p>


<p>En conclusion de cette partie, tous les liens habituels sont utilisés mais certains sont plus recherchés que d'autres par les visiteurs, ils doivent donc doivent être mis différemment en valeur. <strong>Favoriser les tags et la sélection des billets en haut de page pour ceux qui furètent, proposer les liens relatifs et la description de l'auteur en bas de page</strong>.</p>


<h2>Souscription à son flux <abbr title="RDF Site Summary">RSS</abbr></h2>


<h3>4. Quel est le <strong>facteur déclenchant</strong> la souscription&nbsp;? Quels sont vos critères de sélection&nbsp;?</h3>


<p><strong>Le contenu de qualité est roi</strong> (en tout cas pour ceux qui se sont donné la peine de répondre, c'est franchement flatteur :-)) mais il faut bien sûr qu'il corresponde à vos centres d'intérêt. Vous n'avez pas tous des critères aussi drastiques pour ajouter un flux à votre agrégateur, mais généralement les derniers billets sont décisifs. Un point qui est souvent évoqué est de ne pas reprendre du contenu que l'on trouve ailleurs ou fournir un simple lien, on remarque là l'arrivée des digg-like qui jouent ce rôle. Je n'ai pas fait ce sondage il y a quelques années mais je suis persuadé que la donne a changée à ce niveau là, de nombreux blogs ne faisaient que relayer de l'information puis le contenu est progressivement devenu la ressource recherchée alors que les services permettant d'être au courant de la dernière nouveauté sont apparus.</p>


<h3>5. Vous abonnez-vous au <strong>flux général ou à une sous-partie</strong> (lorsque c'est possible)&nbsp;?</h3>


<p><strong>Le flux général pour presque tous</strong>, j'aurais du au passage demander si vous vous abonnez aux flux annexes (comme le mien) ou s'il faut donner le flux mixant les deux par défaut. À méditer pour la prochaine version car je compte accorder plus d'importance aux «&nbsp;brèves ».</p>


<h3>6. Qu'est ce qui vous pousse à <strong>supprimer un fil <abbr title="RDF Site Summary">RSS</abbr></strong> de votre agrégateur&nbsp;?</h3>


<p>Vous êtes vraiment fidèles&nbsp;! La conclusion à tirer est qu'<strong>un flux ajouté dans un agrégateur est rarement supprimé</strong>, il y a d'ailleurs peut-être un <a href="https://larlet.fr/david/biologeek/archives/20061118-agregateur-liberez-vous-de-tous-ces-fils/">service à développer dans ce sens</a>... notamment pour supprimer les flux des blogs arrêtés (ou presque). Le changement de ligne éditoriale est aussi un facteur déclenchant important.</p>


<p>En conclusion, <strong>mettre le flux <abbr title="RDF Site Summary">RSS</abbr> en valeur est important</strong> même s'il faut le faire au détriment des flux annexes.</p>


<h2>Recherche d'un billet particulier</h2>


<h3>7. Passez-vous par une <strong>recherche externe</strong>&nbsp;? interne&nbsp;?</h3>


<p>Vous êtes nombreux à <strong>passer par la recherche interne</strong>. Il faut donc qu'elle soit pertinente, c'est à mon avis pour l'instant un gros défaut de Dotclear et c'est d'ailleurs ce qui me pousse à préférer la recherche externe (même pour mon propre site des fois :-/).</p>


<h3>8. Utilisez-vous les <strong>archives d'un blog</strong>&nbsp;?</h3>


<p>13 voix pour la consultation des archives contre 17 ne les utilisant jamais. Après je n'ai pas détaillé si c'était simplement la liste des billets classés chronologiquement ou les pages d'archives contenant les billets complets. Je pense que <strong>les archives ne doivent pas avoir une grande importance sur une page de blog</strong>, un accès aux pages doit être possible pour les archéologues mais pas plus. Normalement, l'intégralité des pages sont accessibles via les catégories et les billets connexes suivant une visite thématique. Je considère un peu la visite d'un blog par semaine/mois comme un échec de l'ergonomie générale (excepté pour les derniers billets).</p>


<h3>9. Pour vous rappeler d'un billet, <strong>le titre est-il primordial</strong>&nbsp;? Faut-il qu'il soit choquant/spécial&nbsp;?</h3>


<p><strong>Un titre pertinent est capital</strong>, s'il fait sourire sans être racoleur c'est gagné. Prendre en compte le fait que nombreux sont les lecteurs qui ont configuré leur agrégateur pour n'avoir qu'un simple affichage du titre des billets. Sachant ceci, je préconiserais presque les billets avec un titre long. Attention à ne pas faire de fausse joie toutefois...</p>


<h2>Contenu et disposition</h2>


<h3>10. Préférez-vous le <strong>classique deux colonnes ou le nouveau big footer</strong> pour tout ce qui est «&nbsp;annexe » (liens, archives, derniers *, etc)&nbsp;? ou autre (par exemple ici c'est un peu hybride)&nbsp;?</h3>


<p>J'ai été surpris de voir que <strong>vous préférez le classique deux colonnes</strong> (de l'ordre de 15 contre 5). De bonnes idées sont évoquées dans les réponses, je note toutes ces suggestions précieusement. Il y a l'éternel dilemme entre les combattants du bruit et ceux qui ne sont pas contre quelques liens glissés au passage permettant de changer rapidement de lecture. En tout cas la «&nbsp;mode » du big footer est loin de faire l'unanimité, bon à savoir.</p>


<h3>11. <strong>Un bon billet de blog</strong>, c'est le point de départ vers de nombreuses pages intéressantes à lire ou une impasse car vous n'avez bien souvent pas le temps de lire d'autres ressources&nbsp;?</h3>


<p>Les billets <strong>assez complets pour attiser votre curiosité</strong> mais permettant grâce à des liens d'approfondir le sujet semblent être le meilleur compromis. Il est vrai que la base du web c'est le lien donc un billet qui n'en contient pas est un peu tristounet (sans compter qu'ils sont souvent les seuls à avoir une couleur distinguable dans un agréagateur, c'est principalement pour ça que j'abuse maintenant du gras).</p>


<h3>12. Quelle importance accordez-vous à la <strong>régularité de publication</strong> d'un blog&nbsp;?</h3>


<p><strong>Très peu d'importance accordée à ce critère</strong> (ouf !), il est vrai qu'avec l'avalanche d'information à laquelle on doit faire face, une publication pas trop fréquente et de qualité est vraiment appréciable. Merci à tous les blogueurs qui me permettent de gagner du temps chaque jour.</p>


<h2>Commentaires</h2>


<h3>13. Souhaitez-vous être tenu au courant des <strong>réponses à votre commentaire</strong>&nbsp;? Si oui, comment&nbsp;?</h3>


<p><strong>Le mail est votre solution favorite</strong>, j'implémenterai ça dans la prochaine version. C'est une bonne méthode mais encore faut-il faire confiance au site sur lequel on laisse son adresse pour ne pas crouler sous le spam, ce qui n'est pas gagné. Couplé à <a href="https://larlet.fr/david/biologeek/archives/20070104-comment-utiliser-openid-la-solution-d-identification-tant-attendue/">OpenId</a> ça pourrait devenir assez sexy :-). Par ailleurs, je sais qu'il y a <a href="http://xmlfr.org/communautes/websemantique/listes/websemantique/2007/02/0000.html">des solutions qui vont voir le jour</a> sous peu pour améliorer un peu le système des commentaires actuels. Je suis impatient de <a href="http://www.la-grange.net/2006/04/14">pouvoir être propriétaire de mes commentaires</a>.</p>


<h3>14. Préférez-vous que la <strong>réponse soit incluse</strong> à votre propre commentaire ou dans un commentaire suivant&nbsp;?</h3>


<p>Le <strong>commentaire suivant</strong> obtient une large majorité de voix, je m'attendais au contraire j'ai bien fait de poser la question&nbsp;! En fait, ça me pose surtout problème juste après la publication d'un billet lorsque je dois m'absenter et que des commentaires s'enchaînent sans que je puisse y répondre dans un commentaire proche.</p>


<h3>15. Quelle importance accordez-vous à la <strong>qualité de vos commentaires</strong>&nbsp;?</h3>


<p>Les diverses réponses sont intéressantes. La seule conclusion que l'on peut tirer c'est que ça dépend des visiteurs, certains aiment commenter pour ajouter du contenu ou de la valeur aux commentaires, d'autres les considèrent plus légèrement. Toutefois, <strong>un contenu de qualité attire des commentaires de qualité</strong>.</p>


<h3>16. Avez-vous déjà hésité à répondre après avoir <strong>identifié les liens sortants en «&nbsp;nofollow »</strong>&nbsp;?</h3>


<p>Cette question était un peu le bonus car j'ai récemment remarqué que j'étais un des seuls blogs à avoir encore des liens <strong>sans</strong> «&nbsp;nofollow » pour les auteurs de commentaires. Ça n'a pas l'air de vous gêner dans le cas contraire pour ceux qui le remarquent, pour information les liens ayant cet attribut <strong>rel</strong> sont une information permettant aux robots de ne pas considérer ce lien comme valable pour comptabiliser la popularité d'un site.</p>


<h2>Conclusion</h2>


<p>Les blogs sont un type de publication particulier, à la modularité assez limitée. Par conséquent on retrouve toujours les mêmes liens. La difficulté est donc de les agencer pour rendre la visite la plus agréable possible qui se termine dans le meilleur des cas par un abonnement au flux <abbr title="RDF Site Summary">RSS</abbr> lors d'une première visite. C'est après que les difficultés commencent pour produire un contenu de qualité assez régulierement mais c'est un autre débat :-).</p>


<h2>Réponses complètes par question</h2>


<p>Pour ceux qui veulent analyser plus en détails les différentes réponses, il est beaucoup plus simple d'avoir les réponses par question (j'ai procédé de cette manière). Voici la totalité des réponses&nbsp;:</p>


<h3>1. Quelle est la porte d'entrée d'un nouveau blog&nbsp;? Arrivez-vous le plus souvent sur la page d'accueil ou via un lien direct/une recherche ou autre&nbsp;?</h3>

<p>David, biologeek&nbsp;: généralement je découvre un blog via un lien direct d'un autre blog ou les liens laissés dans mes commentaires. Lorsque je fais une recherche sur un point particulier, je suis pressé donc je ne prend pas le temps d'aller plus loin que ma réponse.</p>


<p>pouype&nbsp;: Plutôt un lien direct, de temps à autres, au gré d'une balade en cliquant sur la "blogroll" d'un autre site</p>


<p>jblanche&nbsp;: lien direct (depuis agrégateur)</p>


<p>neolao&nbsp;: lien direct</p>


<p>pangel&nbsp;: un page en particulier, généralement liée depuis un autre site.</p>


<p>Sunny&nbsp;: via un lien sur une page interne</p>


<p>Geoffrey&nbsp;: un billet, généralement linké depuis une de mes lectures régulières</p>


<p>Pierre&nbsp;: en général, je tombe dessus par hasard, au fil des liens provenant d'autres sources (blogs, généralement). J'arrive donc directement sur un article, et pas sur la  "page d'accueil "&nbsp;;</p>


<p>willy&nbsp;: Pour un nouveau blog c'est soit un lien externe, soir une recherche d'information. Je n'arrive donc que tres rarement sur une "page d'accueil".</p>


<p>giz404&nbsp;: Le plus souvent la page d'accueil quand j'arrive sur un blog par le biais d'un autre blog que je lis déjà (soit parce que le nouveau blog est dans son blogroll, soit parce que l'auteur a laissé son URL lors d'un commentaire sur un autre blog)</p>


<p>wildmary&nbsp;: un lien d'un autre site l'indiquant en référence ou comme lien intéressant en rapport avec le sujet</p>


<p>darkagonik&nbsp;: par un billet</p>


<p>Deeder&nbsp;: Un billet en particulier, souvent linké ailleurs ou présent dans mon agrégateur RSS.</p>


<p>vdemeester&nbsp;: Page d'accueil (car je passe par un bookmarks)</p>


<p>Eliness&nbsp;: Généralement, je découvre un blog un peu au hasard du web, soit de lien en lien, soit sur un article précis, mais cherche toujours ensuite à visiter "dans le bon ordre", et tombe donc habituellement sur la page d'accueil. J'avoue ne pas vraiment trouver utile la page "cliquez ici pour entrer" que certains peuvent avoir, mais parfois tomber sur un blog "brut" en pleine rédaction peut être décontenançant. Je pense que le compromis que tu as choisi est le bon, à savoir une présentation en "page d'accueil", qui est en même temps intégrée au blog pour que l'on puisse directement "y entrer".</p>


<p>Sebseb01&nbsp;: Recherche (google) / lien(trakback)</p>


<p>Thomas&nbsp;: lien vers un des billets via un autre site généralement</p>


<p>Damien B&nbsp;: un lien d'un autre blog (article en particulier), moteur de recherche (souvent la page d'accueil avec Google recherche web)</p>


<p>Alexandre P.&nbsp;: Le plus souvent, c'est en lisant un billet lié par quelqu'un d'autre dans un forum ou billet, mais il m'arrive aussi de tomber sur des pages d'accueil quand je suis des liens de commentateurs dans des billets.</p>


<p>Ln&nbsp;: je tape "biologeek" sous google et je prends le 2ème lien, celui vers le journal ou le premier lien vers la page d'accueil, puis clic sur lien du journal
bref, j'aimerai bien arriver directement sur le blog&nbsp;!</p>


<p>Éric Daspet&nbsp;: Essentiellement un billet par un lien dans un autre blog ou par une recherche dans un moteur. Je ne suis jamais les liens "X a ouvert un nouveau blog", j'attend qu'il y ait du contenu valable lié, du coup j'arrive rarement sur l'accueil.</p>


<p>Simon Rozet&nbsp;: Lien direct vers un article.</p>


<p>Aka&nbsp;: Le billet du blog lu a partir de mon agrégateur RSS</p>


<p>nyquist&nbsp;: un lien en lecture (d'un autre blog, ou un autre flux RSS), une recherche google</p>


<p>Christophe D.&nbsp;: La majorité des liens entre blogs se font en pointant sur des billets précis et pense suivre cette tendance. En ce qui me concerne, on va dire que c’est du 2/3 par entrées directes sur des billets et 1/3 par liens sur la «&nbsp;home » du blog.</p>


<p>Céd'&nbsp;: la page d'accueil quand je suis un liens dans une blogroll, ou un article m'interressant (suite à une recherche par ex.)</p>


<p>Thesa&nbsp;: C'est très variable, j'arrive sur un blog via un lien d'un autre site, et il peut mener aussi bien sur un billet que sur la page d'accueil. Par contre, si un billet me semble intéressant, je vais sur la page d'accueil pour en lire d'autres.</p>


<p>Laurent&nbsp;: billet directement via flux rss</p>


<p>Frédéric de Villamil&nbsp;: J’arrive généralement sur un nouveau blog via un médium externe&nbsp;: billet sur un blog déjà lu, ou résultat de recherche. J’arrive donc très rarement sur la page d’accueil. Cependant, quel que soit mon point de chute, je m’attends à y voir un certain nombre d’éléments bien précis (que l’on retrouve – oh surprise – sur celui-ci)&nbsp;:</p>
<ul>
<li>Un titre.</li>
<li>Un descriptif de ce dont traite le blog (autrement appelé tagline).</li>
<li>Un ou plusieurs billets.</li>
<li>L’endroit où je me trouve (un chemin de fer est parfois un plus, mais pas toujours adapté).</li>
<li>Une navigation générale simple et concise, comprenant un lien vers le flux RSS visible et standard.</li>
<li>Une navigation thématique claire, complète et très facilement accessible (typiquement en première position de la sidebar).</li>
</ul>

<p>kib2&nbsp;: La page d'accueil</p>


<h3>2. Quelle est la page suivante, celle que vous visitez juste après avoir lu celle que vous venez de découvrir&nbsp;? Les liens généralement fournis sont-ils adaptés&nbsp;?</h3>

<p>David, biologeek&nbsp;: généralement l'accueil, d'ailleurs je me demande s'il ne serait pas bon de mettre le best of plutôt que les derniers billets en page d'accueil car je vais rarement au-delà.</p>


<p>pouype&nbsp;: Au sujet de l'auteur et/ou du blog bien souvent.</p>


<p>jblanche&nbsp;: accueil</p>


<p>neolao&nbsp;: aucune</p>


<p>pangel&nbsp;: généralement, je regarde les quelques billets précédents, ou un titre qui m'accroche dans une liste quelconque en coté de page - sauf si je suis déjà parti dans les liens fournis par le billet.</p>


<p>Sunny&nbsp;: page principale</p>


<p>Geoffrey&nbsp;: la homepage :)</p>


<p>Pierre&nbsp;: je regarde les autres articles qui se trouvent dans la catégorie de celui que je viens de lire (par exemple, la section Ubuntu des divers blogs sur lesquels je tombe à travers le Planet éponyme)&nbsp;;</p>


<p>willy&nbsp;: Soit la page d'accueil, soit la page  "qui "</p>


<p>giz404&nbsp;: Pas évident cette question. Tout dépend du type de blog... Ca peut être un autre billet, ou un saut vers la catégorie ou le tag qui m'intéresse, éventuellement les pages annexes si l'auteur m'intrigue, ou encore le porfolio s'il s'agit d'un blog orienté design).</p>


<p>wildmary&nbsp;: l'accueil du blog</p>


<p>darkagonik&nbsp;: la page d'accueil</p>


<p>Deeder&nbsp;: Un lien présent dans le billet, une sélection d'articles ou les derniers articles présents également sur la page d'accueil.</p>


<p>vdemeester&nbsp;: ça dépends tout du pourquoi de la visites ça :°)</p>


<p>Eliness&nbsp;: Deux types&nbsp;: si je tombe sur une page de présentation, le lien suivant est généralement celui montrant les derniers posts, si je tombe  "en plein dans le blog ", je cherche une page de présentation ou de profil de son auteur.</p>


<p>Sebseb01&nbsp;: Une catégorie qui m'intéresse (ou accueil si tout est intéressent, comme ici)</p>


<p>Thomas&nbsp;: page "a propos de l'auteur" pour connaitre son domaine de prédilection (ergonomie, python, firefox, etc.), puis billets "a retenir"</p>


<p>Damien B&nbsp;: la page d'accueil, ou si le billet a une catégorie bien définie (pas un vague amoncellement de tags ou pire, rien) cette catégorie</p>


<p>Alexandre P.&nbsp;: Généralement, c'est le prochain bilet le plus récent.</p>


<p>Ln&nbsp;: des anciens posts au cas où j'en aurais manqué un...</p>


<p>Éric Daspet&nbsp;: Dans l'ordre&nbsp;: les autres billets liés dans le contenu de ma lecture (pas dans les menus), la page d'accueil (pour savoir de quoi ça parle), 4 ou 5 contenus récents si les titres m'intéressent, la sélection de la page d'accueil quand il y en a une et qu'elle est courte (s'il y en a plus de 5 je n'y vais pas)</p>


<p>Simon Rozet&nbsp;: Généralement, j'arrive pour lire un article bien précis (via lien) et
et m'y arrete.
Mais, si je vois</p>
<ul>
<li>la liste des catégorie et que j''y des sujets qui m'intéresse</li>
<li>la liste des derniers billet/un lien billet suivante-précédent</li>
</ul>
<p>avec un titre qui m'accroche (s'il y a web sémantique dedans en sommes :p)</p>


<p>Aka&nbsp;: les liens concernant des solutions annexes, ou des discutions se rapprochant du sujet initial, et, lors de la découverte du blog, les liens taggués dans la même catégorie</p>


<p>nyquist&nbsp;: un lien compris dans le billet ou dans les commentaires si le sujet m'intéresse, sinon un autre billet du blog si je ne fait pas de recherche précise et qu'un sujet me tente.</p>


<p>Christophe D.&nbsp;: Je fais un coup de molette vers le bas de la page pour rapidement avoir un perçu des 5-6 billets suivants. Les liens directs vers des billets sont donc rarement adaptés et il faut remonter sur la page d’accueil (je trouve que c’est trop long avec les boutons billets précédent / billets suivants, lorsqu’ils sont présents).</p>


<p>Céd'&nbsp;: Dépendant de la qualité de l'article lu, je passe souvent par les catégories/tags pour "feuilleter" le reste du blog</p>


<p>Thesa&nbsp;: Après la page d'accueil, la page suivante. Je déteste l'absence d'un lien vers la page suivante (ou précédente, vu que l'ordre chronologique est inversé).</p>


<p>Laurent&nbsp;: liens dans le billet, puis autre billet le cas échéant, sinon sortie</p>


<p>Frédéric de Villamil&nbsp;: Je ne lis généralement pas d’autre page que celle sur laquelle je suis tombé, puisque mon arrivée sur ce blog répond à un besoin précis. Je peux cependant faire une entorse à la règle si la page visitée réunit des conditions précises&nbsp;:</p>
<ul>
<li>Que tous les titres des billets soient parfaitement pertinents.</li>
<li>Que les billets disposent de liens “précédent” et “suivant” affichés en haut de page et affichant le titre des articles vers lesquels ils pointent.</li>
<li>Ou, mieux, que sous chaque billet se trouve un encadré comprenant un ou plusieurs liens pointant vers des billets connexes.</li>
</ul>

<p>kib2&nbsp;: Dépend des liens donnés, en général par catégories.</p>


<h3>3. Lorsque vous découvrez un blog intéressant, quel est votre type d'exploration&nbsp;? Via les tags, les favoris, les archives&nbsp;?</h3>

<p>David, biologeek&nbsp;: le plus souvent via une catégorie particulière qui m'intéresse.</p>


<p>pouype&nbsp;: Catégorie</p>


<p>jblanche&nbsp;: tags, rubrique "a retenir", derniers billets</p>


<p>neolao&nbsp;: tag</p>


<p>pangel&nbsp;: archives, surtout, et recherche par la suite</p>


<p>Sunny&nbsp;: aperçu des articles précédents globaux en utilisant les liens "page suivante"</p>


<p>Geoffrey&nbsp;: le scroll, je lis rarement les vieux billets d'un blog</p>


<p>Pierre&nbsp;: plutôt via les tags/catégories, pour lire d'abord les articles qui se rapprochent le plus de ce qui m'intéresse&nbsp;;</p>


<p>willy&nbsp;: j'aime assez naviguer avec les tags pour decouvrir un blog. Les archives quand il n'y a pas de tags. Finalement, et même si j'aime l'idée, je ne me sers que tres rarement des "billets à retenir".</p>


<p>giz404&nbsp;: Complètement erratique. Etant donné mes habitudes de surf, dans la majorité des cas, ça se résume à un ajout à mes bookmarks del.icio.us en le tagguant "a-lire". Si j'ai vraiment accroché sur le contenu, alors je l'ajoute directement à mon aggrégateur, quitte à le supprimer ultérieurement. Dans les autres cas, voir question 2.</p>


<p>wildmary&nbsp;: chronologique, je regarde les derniers billets et si c'est vraiment intéressant je remonte les archives</p>


<p>darkagonik&nbsp;: si le blog est récent et qu'il n'y a pas beaucoup de billets, c'est par les archives. Sinon par les tags, c'est assez pratique pour voir les derniers billets traitant d'un tel sujet. Et quand un blog est assez ancien (et qu'il y a beaucoup de billets), je préfère les favoris.</p>


<p>Deeder&nbsp;: J'utilise souvent les favoris et les archives pour mieux cerner l'auteur d'un billet. Les pages "a propos" permettent aussi d'en savoir plus sur l'auteur rapidement et de connaitre son profil.</p>


<p>vdemeester&nbsp;: Mon exploration préférée c'est les tags (et au pire les dates)</p>


<p>Eliness&nbsp;: Si je me sens intéressée ou curieuse, je lis généralement les archives, mois par mois.</p>


<p>Sebseb01&nbsp;: Par les catégories</p>


<p>Thomas&nbsp;:  "X derniers billets " et billets  "à retenir'</p>


<p>Damien B&nbsp;: catégorie ou lecture systématique des archives, jamais par les tags ou les posts mis en avant (les deux étant sélectionnés par l'auteur, auteur qu'on cherche à découvrir, et découvrir un auteur par son thésaurus ça n'est pas forcément très intéressant... et découvrir un auteur par son best-of, souvent on en reste au best-of)</p>


<p>Alexandre P.&nbsp;: Par archive, si on veut. En fait, je lis les titres des billets de façon chronologique et je m'arrête quand plus aucun titre ne m'allume vraiment.
Concernant RSS, je n'utilse pas, mais si on peut considérer un blogroll d'une façon semblabe&nbsp;:</p>


<p>Ln&nbsp;: les tags surtout</p>


<p>Éric Daspet&nbsp;: Danns l'ordre par les liens entre les contenus, les contenus récents, la sélection de la page d'accueil, le formulaire recherche sur un ou deux sujets qui m'intéressent le jour dit. Parfois un tag/catégorie si elle n'est pas trop générique (genre  "openid " mais pas  "web " ou  "authentification "). Jamais ou presque par les archives datées ou les catégories génériques.</p>


<p>Simon Rozet&nbsp;: En général, je survole les cinq derniers billets, pour me faire une idée plus précise.
(donc lien suivant-précédent m'est utile)</p>


<p>Aka&nbsp;: comme dit plus haut, les tags</p>


<p>nyquist&nbsp;: un blog intéressant va dans mes liens, si je retourne 3 ou 4 fois via divers liens sur le même je l'enregistre aussi.
RSS</p>


<p>Christophe D.&nbsp;: Lorsque je découvre un blog, j’utilise rarement les catégories. Je m’en sert plus volontiers sur des blogs que je connais et que j’apprécie.</p>


<p>Céd'&nbsp;: cfr question 2</p>


<p>Thesa&nbsp;: Au début par tags/catégories pour lire les sujets qui m'intéresse (notamment pour les blogs assez technologie), puis par les archives, pour retrouver le premier billet du blog (c'est un passage obligé pour tous les blogs que je suis régulièrement), ou rechercher un billet lu dont je ne me souviens que de la date approximative.</p>


<p>Laurent&nbsp;: J'explore les archives, lis quelques billets dont le titre me paraît intéressant</p>


<p>Frédéric de Villamil&nbsp;: Quand je ne passe pas par les média explicités ci-dessus, j’utilise généralement la navigation thématique large, autrement appelée catégories, à moins que je ne cherche que des billets traitant d’un sujet vraiment particulier pouvant se définir par un simple mot clé.</p>


<p>kib2&nbsp;: Les tags, puis les archives.</p>


<h3>4. Quel est le facteur déclenchant la souscription&nbsp;? Quels sont vos critères de sélection&nbsp;?</h3>

<p>David, biologeek&nbsp;: du contenu de qualité, pas trop abondant et bien écrit.</p>


<p>pouype&nbsp;: Intérêt du contenu (de mon point de vu), régularité de publication</p>


<p>jblanche&nbsp;: qualité de rédaction du blog, blog non pollué par de multiples messages trop persos.</p>


<p>neolao&nbsp;: un billet intéressant</p>


<p>pangel&nbsp;: je m'abonne au flux à partir d'un certain ratio intéressant/inintéressant dans les billets que j'ai consulté après ma première visite.</p>


<p>Sunny&nbsp;: qualité de l'écriture, sujet qui me tiens à cœur, personne que je connais et que j'apprécie</p>


<p>Geoffrey&nbsp;: je subscribe au rss des blogs qui m'apportent quelque chose dans la vie de tous les jours</p>


<p>Pierre&nbsp;: des articles en phase avec ce qui m'intéresse ou ce que je recherche, une bonne écriture (c'est malheureusement rarement le cas sur les blogs très techniques, le tien faisant presque figure d'exception !), une relative régularité dans les mises à jour&nbsp;;</p>


<p>willy&nbsp;: qualité de l'info et de l'ecriture et, bien sûr, sujet abordé</p>


<p>giz404&nbsp;: Comme expliqué ci-dessus, il suffit que les quelques billets que j'ai aperçu ou lu me semblent intéressants pour que je souscrive à son fil.</p>


<p>wildmary&nbsp;: les divers billets m'intéressent/m'amusent, pour les blogs photos (que je fréquente le plus) si les quelques dernières photos me plaisent particulièrement</p>


<p>darkagonik&nbsp;: le contenu. Quoique si le design est vraiment affreux, que la navigation sur le blog est incompréhensible, je passe mon chemin...</p>


<p>Deeder&nbsp;: Il suffit qu'un ou plusieurs article correspondent au thème de la veille que j'essaye d'entretenir. La popularité du blog peut y aider.</p>


<p>vdemeester&nbsp;: Pour l'instant aucun, j'arrive pas à utiliser un lecteur rss :)</p>


<p>Eliness&nbsp;: Si j'ai réussi à lire les archives jusqu'au bout, et que je sais  "avoir accroché ", alors je souscris au flux.</p>


<p>Sebseb01&nbsp;: Si plusieurs billets me frape sur la page</p>


<p>Thomas&nbsp;: si il a l'air de traiter de sujet qui m'intéressent et que le dernier billet ne datent pas de 3 mois...</p>


<p>Damien B&nbsp;: j'aime ou je n'aime pas... mes lectures ne sont pas strictement guidés par un intérêt hobbyiste ou professionnel, l'effet baron ou blogostar est nul</p>


<p>Alexandre P.&nbsp;: le sujet général du blog.</p>


<p>Ln&nbsp;: #NA</p>


<p>Éric Daspet&nbsp;: Contenu intéressant dans les derniers et/ou dans la sélection de page d'accueil. Par intéressant j'entend  "différent ou plus appronfondi que ce que j'ai déjà dans mes flux " (et pas une énième répétition de la même chose)</p>


<p>Simon Rozet&nbsp;: si les cinq derniers billets me plaisent&nbsp;:
- sujets qui m'intéresse
- pas pleins de posts de relais de liens sans valeur ajoutée</p>


<p>Aka&nbsp;: Le contenu des billets, et leur clarté.</p>


<p>nyquist&nbsp;: qualité du site, charte graphique, lisibilité, thème abordé, centre d'intérêt sur les sujets... bref si c'est agréable a lire, pertinent et que les sujets m'intéressent je m'abonne.</p>


<p>Christophe D.&nbsp;: La qualité du contenu. Pour le coup, avec le RSS, les autres critères (ergo, graphisme) passent un peu à la trappe puisque je sais que je peux suivre le blog sans y naviguer.</p>


<p>Céd'&nbsp;: la qualité rédactionnelle évidemment, et aussi les sujets traités</p>


<p>Thesa&nbsp;: Un blog qui parle de sujets intéressant, et bien écrit. Je ne suis pas assez difficile, mon agrégateur se remplit trop vite.</p>


<p>Laurent&nbsp;: Les billets que j'ai lu m'ont globalement parus intéressants et agréables à lire. Je n'ai pas vraiment de critère de sélection, c'est plus au feeling.</p>


<p>Frédéric de Villamil&nbsp;: Le premier facteur, c’est la visibilité du flux RSS. Le bouton RSS fait partie des premières choses que je m’attends à voir sur un blog, avec le titre et la tagline. Si je dois me demander où chercher la souscription ne serait-ce qu’une seconde, je n’irai pas plus loin.
Il faut ensuite que le contenu soit vraiment intéressant pour que je rajoute un flux aux quelques centaines qui encombrent déjà mon agrégateur, et là aussi, cela implique des critères tout à fait subjectifs&nbsp;:</p>
<ul>
<li>Si c’est un blog personnel, il faut impérativement que je connaisse la personne au moins en ligne.</li>
<li>Il faut qu’il soit en bon français.</li>
<li>S’il s’agit d’un blog professionnel ou technique, il faut que sa ligne éditoriale aille dans le sens de mes centres d’intérêt (elle doit donc être clairement définie, notamment à travers la navigation thématique simplifiées).</li>
<li>Les contenus doivent être pertinents, de qualité, et ne pas être de simple relais des billets à la mode sur les autres blogs. J’ai les favoris populaires de Delicious pour ça.</li>
</ul>

<p>kib2&nbsp;: Le sujet&nbsp;!</p>


<h3>5. Vous abonnez-vous au flux général ou à une sous-partie (lorsque c'est possible)&nbsp;?</h3>

<p>David, biologeek&nbsp;: le flux général dans la plupart des cas.</p>


<p>pouype&nbsp;: flux général, s'il y a des sous partie en général je cherche la plus généraliste possible</p>


<p>jblanche&nbsp;: flux général</p>


<p>neolao&nbsp;: sous partie</p>


<p>pangel&nbsp;: toujours le flux général, si je m'abonne c'est que je compte apprécier tout ce qui se trouve sur le blog</p>


<p>Sunny&nbsp;: toujours général</p>


<p>Geoffrey&nbsp;: le flux général</p>


<p>Pierre&nbsp;: flux général si la personne sait écrire comme il faut, car ça permet de découvrir d'autres choses que ce pourquoi on est arrivé sur son blog&nbsp;;</p>


<p>willy&nbsp;: flux général sauf pour les tres gros sites (en fait un seul exemple&nbsp;: les sites des quotidiens papiers)</p>


<p>giz404&nbsp;: J'utilise généralement le fil général lors de la découverte d'un blog. J'ai tendance à ajouter les fils de sous-partie plus tard, une fois que je connais mieux le blog, ou qu'un billet traité m'intéresse particulièrement (auquel cas j'ajoute le fil des commentaires)</p>


<p>wildmary&nbsp;: flux général</p>


<p>darkagonik&nbsp;: flux général.</p>


<p>Deeder&nbsp;: Un flux général en ce qui concerne un blog&nbsp;: quand on aime un auteur, on l'aime entier.</p>


<p>vdemeester&nbsp;: ben...</p>


<p>Eliness&nbsp;: Général habituellement, je préfère faire  "le tri " par la suite, si une info ne m'intéresse pas je la survole.</p>


<p>Sebseb01&nbsp;: Selon sur un blog spécialisé plustôt flux générale, sur un blog vague (grand) une sous-partie.</p>


<p>Thomas&nbsp;: flux général, toujours</p>


<p>Damien B&nbsp;: flux général, sans exception, je lis la personne, pas ses produits</p>


<p>Alexandre P.&nbsp;: blog au complet.</p>


<p>Ln&nbsp;: #NA</p>


<p>Éric Daspet&nbsp;: Quasiment toujours le flux général même si les sujets sont très divers. Je n'ai une sous-partie que sur un ou deux blogs qui ont une mauvaise qualité de contenu mais qui sont  "la " source d'info sur un sujet spécifique.</p>


<p>Simon Rozet&nbsp;: Général</p>


<p>Aka&nbsp;: Tout dépends du type de blog. Pour le tien, qui traite en grande partie de programmation web, j'ai souscrit au flux général</p>


<p>nyquist&nbsp;: flux général</p>


<p>Christophe D.&nbsp;: Si la sous partie existe et est suffisamment achalandée, je prends la sous partie pour avoir un flux plus ciblé sur mes intérêts. Si il y a peu de régularité, je prends le général.</p>


<p>Céd'&nbsp;: suivant la personnalité du blog, généralement le prend le flux complet, et j'adapte au besoin si trop d'articles me semblent  "inintéressant "</p>


<p>Thesa&nbsp;: Flux général pour les billets, sauf si je m'intéresse vraiment qu'à une catégorie particulière (cas plutôt rare).</p>


<p>Laurent&nbsp;: Toujours le flux des billets</p>


<p>Frédéric de Villamil&nbsp;: Le flux général, toujours, mais je ne lis que ce qui m’intéresse (d’où l’utilité de donner des titres pertinents à ses billets).</p>


<p>kib2&nbsp;: à une sous-partie, si c'est faisable;</p>


<h3>6. Qu'est ce qui vous pousse à supprimer un fil RSS de votre agrégateur&nbsp;?</h3>

<p>David, biologeek&nbsp;: quasi-abandon du blog, suite de post inintéressants.</p>


<p>pouype&nbsp;: S'il n'y a plus de billet, que les sujets ne m'interesse plus ...</p>


<p>jblanche&nbsp;: s'il ne répond plus aux facteurs déclanchant ou abscence de post de plus de 2-3 mois.</p>


<p>neolao&nbsp;: trop de thèmes différents</p>


<p>pangel&nbsp;: lorsque je me surprend à parcourir les titres sans cliquer sur aucun dans mon agrégateur pendant plus d'une semaine, je supprime le flux.</p>


<p>Sunny&nbsp;: trop de contenu ou du moins trop de contenu sans intérêt</p>


<p>Geoffrey&nbsp;: quand je me rend compte que je ne prends pas le temps de lire les billets</p>


<p>Pierre&nbsp;: le manque de mise à jour, bien souvent... ou alors lorsque je m'aperçois que le contenu ne colle plus avec ce que je cherche (soit parce que l'auteur a changé de direction, soit parce que j'ai changé de point de vue !)&nbsp;;</p>


<p>willy&nbsp;: oula il m'en faut pour supprimer un flux. en général il faut que l'auteur se mette à écrire conneries sur conneries - ou ce que je considere ainsi ;). La non publication ne me gene pas puisque je ne regarde que les sites mis à jour&nbsp;! Reste bien sûr, comme le regretté karl, le cas de l'arret pur et simple du site.</p>


<p>giz404&nbsp;: La selection naturelle... Quand le nombre de fils de mon aggrégateur devient trop important, alors je fais le ménage, au feeling, selon les thèmes traités...
J'essaie de me maintenir sous la barre des 200, sans quoi la lecture devient trop chronophage.
J'ai également tendance à supprimer les blogs peu mis à jour. Dans ce cas, je les remplace par un bookmark, histoire de conserver un accès aux archives.</p>


<p>wildmary&nbsp;: si le site ferme, s'il n'y a plus de mise à jour depuis très longtemps, et encore... je supprime très peu au cas où un truc bien reviendrai ou pour le garder en tant que bookmark</p>


<p>darkagonik&nbsp;: si le contenu ne m'intéresse plus.</p>


<p>Deeder&nbsp;: Lorsqu'au bout de plusieurs semaines/mois, on se rend compte que le type d'articles traité ne correspond pas à ce que l'on attendait à l'origine.</p>


<p>vdemeester&nbsp;: ben...</p>


<p>Eliness&nbsp;: Voir qu'au final un site qui m'emballait ne se révèle pas aussi intéressant que ce que j'imaginais, ou bien une fermeture.</p>


<p>Sebseb01&nbsp;: Trop de news (Plus de 3/4 par jour), News hors sujet</p>


<p>Thomas&nbsp;: finalement ça ne m'intéresse pas ou le dernier billet date d'un an :)</p>


<p>Damien B&nbsp;: passons par des exemples (c'est vite lu), le manque de temps, manque de temps et désintéressement, le constat de l'essoufflement d'un blog (notion très subjective) , et pour finir, mouvements d'humeur (bon minable cette réponse)</p>


<p>Alexandre P.&nbsp;: le sujet du blog change, le blog arrête d'être mis à jour (annoncé par le mainteneur du blog) ou le sujet ne m'intéresse plus.</p>


<p>Ln&nbsp;: #NA je n'utilise pas les flux RSS...</p>


<p>Éric Daspet&nbsp;: Le déclencheur est souvent une suite de billets peu intéressants un jour où j'en ai beaucoup dans mon aggrégateur. Le tri se fait sur les critères suivants, par ordre d'importance&nbsp;: billets tronqués, contenus identiques aux autres flux (marre des blogs qui ne font que répéter ce qu'on voit partout ailleurs), mise en forme qui dérappe dans mon aggrégateur (le texte pur est préféré), aucun contenu intéressant dans les derniers billets (oui, étonnament c'est le critère le plus faible).</p>


<p>Simon Rozet&nbsp;:</p>
<ul>
<li>devient ennuyant (sujet inintéressants)</li>
<li>devient un linkblog</li>
<li>devient un lifeblog (ex: glazblog)</li>
</ul>

<p>Aka&nbsp;: Quand ceux-çis publient trop souvent des articles sans intérêt, voir trop peu réfléchis, ou sortant du contexte d'origine du blog. également quand les publications sont trop nombreuses.</p>


<p>nyquist&nbsp;: inactivité et/ou manque de place. il faut savoir limiter le nombre de flux pour ne pas passer son temps a faire des recherches.
RECHERCHE PARTICULIERE</p>


<p>Christophe D.&nbsp;: Le manque de régularité. Je pense aussi que je pourrai virer un blog de mon CSS suite à un gros dérapage (propos racistes par exemple) mais ça ne m’est jamais arrivé.</p>


<p>Céd'&nbsp;: le manque de mises à jours, le désinterressement au sujet suivit</p>


<p>Thesa&nbsp;: Je supprime les fils que je marque trop souvent comme lu sans les avoir regardés, principalement parce que leur contenu m'avait semblé médiocre ou éloigné de mes centres d'intérêt, et que les titres n'étaient pas intéressant.</p>


<p>Laurent&nbsp;: Principalement des publications trop espacées, voire parfois un contenu qui ne m'intéresse plus (ce qui n'arrive généralement pas)</p>


<p>Frédéric de Villamil&nbsp;: Cette question rejoint celle du facteur déclencheur de la souscription, mais dans le sens inverse&nbsp;:</p>
<ul>
<li>Perte de la qualité rédactionnelle.</li>
<li>Perte durable d’intérêt des billets.</li>
<li>Transformation du blog en relais de Digg.</li>
</ul>

<p>kib2&nbsp;: que le sujet ne m'intéresse plus.</p>


<h3>7. Passez-vous par une recherche externe&nbsp;? interne&nbsp;?</h3>

<p>David, biologeek&nbsp;: quasiment qu'en passant par Google.</p>


<p>pouype&nbsp;: Ca dépends...</p>


<p>jblanche&nbsp;: plutot interne</p>


<p>neolao&nbsp;: non</p>


<p>pangel&nbsp;: recherche interne, plutôt. Quoique cela dépend, un site come lifehacker a une fonction recherche indispensable, alors que biologeek, moins fourni mais plus organisé, est j'imagine plus adapté à une recherche par catégories/tags.</p>


<p>Sunny&nbsp;: interne</p>


<p>Geoffrey&nbsp;: non</p>


<p>Pierre&nbsp;: externe, non. J'utilise souvent le moteur de recherche interne d'un blog pour retrouver un article dont j'ai mémorisé certains mots clé&nbsp;;</p>


<p>willy&nbsp;: je ne comprends pas trop la question. S'il s'agit de  "retrouver " un billet qui m'a plu alors en général je l'ai mis dans mon del.icio.us. Sinon cela depend du critere dont je me souviens (qui varie)&nbsp;: la date (les archives), le titre (le moteur interne), le sujet général (tag)...</p>


<p>giz404&nbsp;: J'arrive souvent sur des blogs par le biais de moteurs externe, j'avoue n'utiliser la recherche interne quasiment que pour mon propre blog (orgueil, quand tu nous tiens)</p>


<p>wildmary&nbsp;: interne lorsque disponible, sinon en remontant les archives quand je me souviens avoir vu un billet, sinon tant pis&nbsp;: Google et je cherche ailleurs mon info (flemmarde inside...)</p>


<p>darkagonik&nbsp;: j'utilise le formulaire de recherche qu'il y a sur le blog</p>


<p>Deeder&nbsp;: Principalement interne pour ma part, avec une recherche parmi les flux de l'agrégateur au besoin.</p>


<p>vdemeester&nbsp;: souvent externe oui</p>


<p>Eliness&nbsp;: Si recherche interne il y a, je préfère utiliser celle-ci, sinon, Google est mon ami, en espérant tomber sur le post recherché.</p>


<p>Sebseb01&nbsp;: interne</p>


<p>Thomas&nbsp;: euh externe d'abord via google  "mot-clé du billet et nom du blog " puis interne :)</p>


<p>Damien B&nbsp;: externe</p>


<p>Alexandre P.&nbsp;: Interne si je me souviens du blog sur lequel était publié le billet recherché et que le blog offre la possibilité d'effectuer une recherche interne&nbsp;; sinon, externe.</p>


<p>Ln&nbsp;: un peu via google + mot-clef biologeek</p>


<p>Éric Daspet&nbsp;: Toujours la recherche externe quand le blog n'a pas bloqué les robots (ce qui m'agace *très* fortement) parce que les recherches internes ne prennent généralement pas en compte l'importance du billet (ce qui se traduit souvent assez bien parle nombre de liens entrants et donc les critères des moteurs externes)</p>


<p>Simon Rozet&nbsp;: Je l'utilise seulement si je ne me souviens plus trop de la date d'un ancien billet
que je recherche.</p>


<p>Aka&nbsp;: interne si celle ci est suffisamment claire</p>


<p>nyquist&nbsp;: si je me souviens d'un billet et du blog je me connecte d'abord a celui ci pour le chercher, en régle général je repasse par un moteur de recherche pour refaire le même chemin qui m'avait conduit la première fois (utile si je n'ai pas garder le lien)</p>


<p>Christophe D.&nbsp;: Recherche interne (si je sais que le contenu recherché est dans le blog, bien entendu).</p>


<p>Céd'&nbsp;: Recherche interne lorsque je me souviens du blog concerné, sinon, je passe par google blogsearch</p>


<p>Thesa&nbsp;: Recherche interne pour essayer de retrouver un billet qui m'avait marqué et dont je n'avais pas laissé de lien quelque part.</p>


<p>Laurent&nbsp;: interne si disponible</p>


<p>Frédéric de Villamil&nbsp;: Arrivant le plus souvent sur un blog par un moteur de recherche, je passe assez peu par la recherche interne. Je m’attends cependant à en trouver une accessible immédiatement à un endroit pertinent&nbsp;: à droite de l’en-tête, ou bien placée dans la sidebar. Il faudra d’ailleurs que je la remette ici quand j’aurai refait la CSS des résultats.</p>


<p>kib2&nbsp;: je préfère l'interne, si elle existe.</p>


<h3>8. Utilisez-vous les archives d'un blog&nbsp;?</h3>

<p>David, biologeek&nbsp;: jamais, je me souviens des mots-clés employés.</p>


<p>pouype&nbsp;: Rarement</p>


<p>jblanche&nbsp;: non j'utilise la recherche</p>


<p>neolao&nbsp;: oui</p>


<p>pangel&nbsp;: uniquement celles des blogs  "utilitaires ". Jamais pour un site comme kottke par exemple.</p>


<p>Sunny&nbsp;: rarement</p>


<p>Geoffrey&nbsp;: très rarement (sur deux blogs en fait)</p>


<p>Pierre&nbsp;: rarement, mais ça m'arrive. La plupart du temps, c'est lorsque je viens juste de découvrir un blog... j'ai du retard de lecture à rattraper&nbsp;;</p>


<p>willy&nbsp;: finalement assez rarement suaf dans les blogs bd que je decouvre&nbsp;!</p>


<p>giz404&nbsp;: Je consulte les archives des blogs que je visite le plus. Etant donné que je suis un lecteur assidu par le biais des RSS, je sais souvent ce que je recherche dans mes blogs favoris.</p>


<p>wildmary&nbsp;: oui</p>


<p>darkagonik&nbsp;: oui&nbsp;!</p>


<p>Deeder&nbsp;: Régulièrement oui.</p>


<p>vdemeester&nbsp;: assez peu mais ça arrive</p>


<p>Eliness&nbsp;: Je m'en sers souvent oui, histoire de relire des posts, ou même juste de me  "balader " un peu, plaisir de re-découverte.</p>


<p>Sebseb01&nbsp;: très peut.</p>


<p>Thomas&nbsp;: jamais eu l'occasion quoique ça puisse être intéressant mais c'est souvent fastidieux. Le  "a retenir c'est le mieux "</p>


<p>Damien B&nbsp;: oui, soirées lectures</p>


<p>Alexandre P.&nbsp;: pas vraiment, sinon en visualisant les  "billets précédents ", comme je l'ai mentionné plus haut.</p>


<p>Ln&nbsp;: oui, les longues soirées d'hiver ;-)</p>


<p>Éric Daspet&nbsp;: rarement utilisées, uniquement si je cherche un contenu que j'ai vu passer très récement</p>


<p>Simon Rozet&nbsp;: Oui, si elle donne un vue des posts par mois et années. Sinon elle ne me sont
d'aucune utilité</p>


<p>Aka&nbsp;: oui.</p>


<p>nyquist&nbsp;: non, a moins qu'une recherche externe me fasse tomber dessus.</p>


<p>Christophe D.&nbsp;: Rarement. J’utilise plus facilement les catégories ou l’outil de recherche. Il faut vraiment que je sois accroc à un blog, ou que je connaisse personnellement son auteur pour écumer les archives.</p>


<p>Céd'&nbsp;: rarement, sauf si le blog m'interresse vraiment beacoup</p>


<p>Thesa&nbsp;: Oui, pas régulièrement, mais ça m'arrive de pester quand elles sont absentes. Pour moi, un simple lien «&nbsp;Archives » menant vers une page dédié suffit, pas besoin de la liste de mois, ou d'un calendrier («&nbsp;à la dotclear 1 »).</p>


<p>Laurent&nbsp;: oui</p>


<p>Frédéric de Villamil&nbsp;: Je n’utilise pas les archives temporelles, qui ne valent finalement que dans le cadre du diarisme (journal intime pas intime). J’utilise en revanche beaucoup les catégories, qui sont une méthode d’archivage thématique.</p>


<p>kib2&nbsp;: oui, j'utilise beaucoup.</p>


<h3>9. Pour vous rappeler d'un billet, le titre est-il primordial&nbsp;? Faut-il qu'il soit choquant/spécial&nbsp;?</h3>

<p>David, biologeek&nbsp;: oui clairement, j'aime des titre marquent un peu pas forcément avec des mots-clés courants.</p>


<p>pouype&nbsp;: Oui, c'est bien souvent en fonction du titre que je décide de lire</p>


<p>jblanche&nbsp;: Oui, sans être forcément choc il est primordial qu'il reprennent les grandes lignes de l'article afin de le trouver facilement grâce à la recherche.</p>


<p>neolao&nbsp;: OUI</p>


<p>pangel&nbsp;: pas forcément choquant, et surtout par énigmatique. Un condensé du billet en quatre mots c'est l'idéal.</p>


<p>Sunny&nbsp;: pour retrouver un billet, pas spécialement</p>


<p>Geoffrey&nbsp;: oui</p>


<p>Pierre&nbsp;: si le titre est important, j'accorde beaucoup d'importance au choix des mots clé à l'intérieur même de l'article, car ça me permet de retrouver un article par la suite&nbsp;;</p>


<p>willy&nbsp;: non sauf si le resume n'apparait pas dans mon aggregateur</p>


<p>giz404&nbsp;: Je n'irais pas jusqu'à dire primordial, mais il est important, puisqu'il peut déclencher à lui seul la lecture d'un article ou son  "ignorement " (c'est français ce mot ??)</p>


<p>wildmary&nbsp;: oui il doit être pertinant par rapport au contenu, je regarde les titres quand je cherche qqe chose de particulier, je ne parcours pas le contenu des billets</p>


<p>darkagonik&nbsp;: c'est un élément très important, il faut qu'il soit pertinent, contenant des mots-clés</p>


<p>Deeder&nbsp;: Il aide à la mémorisation mais la présence de mots-clefs suffit à amorcer la lecture.</p>


<p>vdemeester&nbsp;: Oui, le titre est plutôt important, ça conditionne si on veut lire plus loin ou pas (mais faut pas que ce soit choquant/spécial si ça vaut pas le coup)</p>


<p>Eliness&nbsp;: Je dirais que oui, histoire de  "voir de quoi ça parle ", surtout pour un blog à caractère informatif. Maintenant pas de quoi vouloir en faire une phrase choc de magazine people, mais au moins être  "accrocheur " pour avoir envie de lire la suite.</p>


<p>Sebseb01&nbsp;: Il doit donnée une bonne idée du sujet, un petite intro du sujet dessous va donner une idée plus détaillé du sujet</p>


<p>Thomas&nbsp;: un billet précis dans les termes c'est bien, un billet racoleur donne une mauvaise image</p>


<p>Damien B&nbsp;: il faut qu'il soit présent (mon aggrégateur ne fait pas de lien sur un post sans titre), et raisonnablement unique. Le souvenir se fait sur le contenu.</p>


<p>Alexandre P.&nbsp;: non.</p>


<p>Ln&nbsp;: compromis entre originalité qui donne envie de lire le billet sans le dénaturer et précision pour le retrouver...</p>


<p>Éric Daspet&nbsp;: oui, c'est à partir de ça que je recherche ce que j'ai déjà lu, il faut qu'il soit significatif par rapport au contenu et suffisament accrocheur pour que je m'en rappelle</p>


<p>Simon Rozet&nbsp;: Oui et non, je m'en rappel plus ou moins bien même s'il ne me marque pas.
En général, je me souviens plus du contenu!</p>


<p>Aka&nbsp;: oui.</p>


<p>nyquist&nbsp;: oui, il doit être clair sur le sujet et/ou aussi donner envie. Rêve de Geek est absolument pas clair sur le sujet traité mais donne envie de le lire
LE FOND ET LA FORME</p>


<p>Christophe D.&nbsp;: Comme j’utilise un lecteur de flux RSS, le titre a intérêt à être très révélateur du contenu (pas seulement accrocheur, donc).
Bon, j’essaie quand même de passer régulièrement sur une partie des quelques 228 blogs que je suis, histoire d’être sûr de ne rien avoir raté au moins sur ceux là, mais un titre utile, c’est mieux&nbsp;!</p>


<p>Céd'&nbsp;: c'est l'élément qui me  "marque " le plus, avec les mots clés</p>


<p>Thesa&nbsp;: Oui, il faut que je me souvienne au moins de quelques mots clef qui me mèneront au billet via la recherche. Pour les blogs qui ont une fréquence de publication élevée et qui ne m'intéressent que moyennement, le titre décide si je vais lire le billet ou non.</p>


<p>Laurent&nbsp;: pas vraiment, je me souviens plus du contenu d'un billet marquant que de son titre, sauf s'il m'a fait rire :)</p>


<p>Frédéric de Villamil&nbsp;: Pourquoi me rappeler le titre d’un billet si je sais de quoi il parle et que je dispose d’une recherche locale&nbsp;? En revanche, utilisant un agrégateur RSS particulièrement peuplé, je m’attends à ce que les titres soient pertinents, sinon je ne lis pas le contenu.</p>


<p>kib2&nbsp;: c'est un bon facteur, le fait qu'il soit choquant/drole peut aider à s'en rapeller plus facilement.</p>


<h3>10. Préférez-vous le classique deux colonnes ou le nouveau big footer pour tout ce qui est «&nbsp;annexe » (liens, archives, derniers *, etc)&nbsp;? ou autre (par exemple ici c'est un peu hybride)&nbsp;?</h3>

<p>David, biologeek&nbsp;: j'aime beaucoup le concept du big footer mais un billet sur toute la largeur d'un site c'est peut-être un peu trop.</p>


<p>pouype&nbsp;: J'aime pas le bigfooter, alors deux colonnes ou autres (un peu d'originalité&nbsp;? moi j'y arrive pas :p )</p>


<p>jblanche&nbsp;: plutôt deux colonnes</p>


<p>neolao&nbsp;: bog footer</p>


<p>pangel&nbsp;: aucune importance.</p>


<p>Sunny&nbsp;: pas fan des big footer que je ne regarde jamais, préfère les contenus annexes là où je regarde en tout premier&nbsp;: en haut à droite</p>


<p>Geoffrey&nbsp;: peu importe</p>


<p>Pierre&nbsp;: je ne sais pas... je suis très habitué aux deux colonnes, donc j'ai un peu de mal avec le big footer (si on parle des trucs comme sur le blog de Frédéric de Villamil)&nbsp;;</p>


<p>willy&nbsp;: j'avoue ne pas etre fan du big footer. Ma préférence pour les sites à gros contenu est une disposition à trois colonnes&nbsp;: 50% pour l'actu  "hot ", 25% pour les breves, les sites  "bookmarkés "... et 25% pour identifier le blog et son auteur (bon les % sont pas tres fiables, ça peut être 60,20,20 sans que le site disparaisse de mon bloglines :D)</p>


<p>giz404&nbsp;: J'avoue que j'aime assez le big footer, et pas seulement parce que c'est tendance. En fait, je trouve que le fait d'isoler le billet et permet ainsi au lecteur de se concentrer sur l'essentiel. En revanche, l'accès aux infos annexes peut se révéler plus pénible si le billet est long, il faut donc impérativement prévoir des liens d'accès direct.</p>


<p>wildmary&nbsp;: classique... pour savoir qu'il y a un big footer il faut savoir qu'il est là sinon on ne le voit pas (d'ailleurs je ne l'avais pas vu...)</p>


<p>darkagonik&nbsp;: le problème du footer, c'est, justement, qu'il est en bas. Mais ça a l'avantage de pouvoir utiliser toute la largeur de la page, contrairement aux colonnes.</p>


<p>Deeder&nbsp;: Trop de longueur tue la longueur&nbsp;: je pense que la colonne a gauche a plus d'impact car elle est plus visible, notamment pendant la lecture.</p>


<p>vdemeester&nbsp;: Big footer ça rox, pas parce que tout le monde l'utilise, mais parce que normalement, du coup, le contenu (ici le corps du billet) est mis en avant et prends toute la place :)</p>


<p>Eliness&nbsp;: Je reste fidèle aux deux colonnes, qui peuvent être tout à fait originalement agencées, j'ai un peu de mal avec le footer.</p>


<p>Sebseb01&nbsp;: j'aime bien le colonnes (si la colonne est pas trop longue). les liens en haut de page pour l'historique ou autre&nbsp;!</p>


<p>Thomas&nbsp;: sans opinion</p>


<p>Damien B&nbsp;: rien à faire</p>


<p>Alexandre P.&nbsp;: deux colonnes.</p>


<p>Ln&nbsp;: classique, restons classique&nbsp;; j'aime l'ordre pour m'y retrouver&nbsp;!</p>


<p>Éric Daspet&nbsp;: Aucun des deux, si possible juste deux ou trois liens en header dans les pages de contenu. Les liens dans la page d'accueil visibles sans trop scroller (donc en colonne pour ceux qui tiennent à mettre le contenu des billets en page d'accueil, ce qui me parait contestable).
Pour parler concret&nbsp;: Dans tes contenus j'ai tendance à ignorer naturellement ton footer coloré (derniers billets, best of, commentaire) et ta barre à droite (sélection, archives, catégories). Seuls les liens vers les tag du contenu en cours, un lien vers la page d'accueil et un lien vers la page du mois de publication (et que celui ci) m'intéressent. Par contre tout ça m'intéresse dans la page d'accueil (alors que le contenu du dernier billet ne m'intéresse pas là et me gêne pour y voir le reste).</p>


<p>Simon Rozet&nbsp;: Aucun des deux  :)  Je préfère des catégories et un menu horizontal en haut
et rien en bas ou à côté qui puisse géner la lecture.</p>


<p>Aka&nbsp;: peu importe, l'aggregateur RSS fait le reste.</p>


<p>nyquist&nbsp;: pas de préférence (du a manque de discernement sur la question) il me semble qu'ici c'est un classique sur 2 colonnes ...</p>


<p>Christophe D.&nbsp;: Étant designer de formation, tendance taliban, je dirai Less is more, c’est à dire 2 colonnes, avec le moins d’éléments inutiles possibles.
Je sais que le mode est aux pages surchargées façon «&nbsp;faux portails » mais dans la majeure partie des cas, je trouve les 3/4 des éléments présents dans ces pages sont inutiles et ne font qu’allonger le temps que met l’œil pour aller vers l’information qu’il recherche.
Éventuellement, je pense qu’un 3 colonnes peut-être intéressant si il est utilisé comme un dans Embruns, pour envoyer 2 types de billets différents. Mais malheureusement, le plus souvent les 3 colonnes sont conçus pour mettre tout un tas de trucs chiants sur les cotés ;-)
Graphiquement, la hiérarchie de l’information est importante aussi, mais je m’arrête là sinon je vais écrire un roman ;-)</p>


<p>Céd'&nbsp;: /</p>


<p>Thesa&nbsp;: Je préfère du deux colonnes, ou un mélange des deux. Le tout big footer me plaît pas vraiment (mais c'est une histoire de design, si c'est bien fait...)</p>


<p>Laurent&nbsp;: 2 colonnes sans hésitation</p>


<p>Frédéric de Villamil&nbsp;: Je préfère une solution hybride qui me permette de&nbsp;:</p>
<ul>
<li>Embrasser d’un seul coup d’oeil navigation thématique et contenu du billet sur lequel j’arrive.</li>
<li>Affiche le reste des éléments de navigation à part, de manière bien détachée, claire, et surtout sans interférer avec le contenu, donc de préférence en dessous.</li>
</ul>

<p>kib2&nbsp;: Le big footer me plait bien, mais c'est un peu une mode...</p>


<h3>11. Un bon billet de blog, c'est le point de départ vers de nombreuses pages intéressantes à lire ou une impasse car vous n'avez bien souvent pas le temps de lire d'autres ressources&nbsp;?</h3>

<p>David, biologeek&nbsp;: un bon compromis entre le rapport signal/bruit.</p>


<p>pouype&nbsp;: un billet court, bien construit, interessant avec des eventuelles référence pour creusé plus le sujet si c'est nécessaire</p>


<p>jblanche&nbsp;: plutôt un point de départ</p>


<p>neolao&nbsp;: bon début</p>


<p>pangel&nbsp;: je préfère lorsqu'il m'oriente vers de la lecture. Ca m'évite aussi de bookmarker massivement, puisque tout est sur le billet :-)</p>


<p>Sunny&nbsp;: un bon billet d'une source méconnue est un excellent point de départ, au moins jusqu'à la page principale</p>


<p>Geoffrey&nbsp;: pas trop court, ni trop long, facile a lire, avec des dessins</p>


<p>Pierre&nbsp;: un bon billet doit être le plus indépendant de sources externes possible (car les sources externes sont de potentiels liens morts à terme), mais il doit quand même ouvrir de nouveaux horizons (ne serait-ce qu'avec les liens internes, qui permettent de ne pas répéter ce qu'on pense tout le temps)&nbsp;;</p>


<p>willy&nbsp;: mes racines normandes me disent&nbsp;: un peu des deux&nbsp;! Non disons qu'un billet uniquement constitué de lien j'm'en fiche un peu (les  "en vrac " de tristan par exemple je ne les lis que tres rarement) mais lorsqu'on commente une info j'aime avoir les sources - voir ce que fait thierry sur formats-ouverts par ex.</p>


<p>giz404&nbsp;: Tout dépend de son contenu. Ca peut etre un point de départ s'il lie des ressources externes. Il peut se suffire à lui-même s'il est exhaustif ou traite de façon concise une problématique données.
Ex&nbsp;: un billet Django VS RoR aura plutôt interêt à se présenter sous forme d'argumentaire émaillé de liens, car il n'est pas possible de clore le débat en un billet. Au contraire, un Howto sur l'installation d'un serveur par exemple peut se suffire à lui-même.</p>


<p>wildmary&nbsp;: tout dépend du temps dont on dispose... si je n'ai pas le temps sur le moment de suivre les liens, je le garde sous le coude dans mon aggrégateur pour quand j'aurai le temps... dans tous les cas, immédiat ou différé c'est un point de départ</p>


<p>darkagonik&nbsp;: c'est au cas par cas, et ça dépend vraiment de chacun je dirais.</p>


<p>Deeder&nbsp;: Les deux, tout dépend du sujet abordé. Sur un point de vue personnel, une argumentation complète, le billet se suffit à lui même. Par contre, lors de cas complexes, ou de discussion prolongée ou amorcée, des sources annexes sont bienvenues.</p>


<p>vdemeester&nbsp;:  "c'est le point de départ vers de nombreuses pages intéressantes à lire ", mais ça peut être les deux en fait</p>


<p>Eliness&nbsp;: C'est le point de départ d'une réflexion qui me pousse à vouloir en connaitre plus sur un sujet, donc s'il me donne les liens qu'il me faudrait pour approfondir c'est un plus, mais il faut avant tout qu'il m'explique/me montre quelque chose. Si ça m'intéresse, je prendrai le temps de lire les ressources annexes.</p>


<p>Sebseb01&nbsp;: c'est le point de départ vers la suite ... il me permet de comprendre(apprendre) quelque chose et me propose des liens pour en savoir plus</p>


<p>Thomas&nbsp;: sans opinion</p>


<p>Damien B&nbsp;: 4 ou 5 liens maximum s'ils sont dans la prose, c'est fini le temps ou on préparait son mémoire</p>


<p>Alexandre P.&nbsp;: point de dépar vers des passionnantes lectures.</p>


<p>Ln&nbsp;: assez de contenu pour ne pas rester sur sa faim et des liens pour en savoir plus si on veut ;-)</p>


<p>Éric Daspet&nbsp;: Un contenu avec beaucoup de liens externes référence (vers des contenus, pas des pages d'accueil). Je ne les suis pas forcément mais généralement plus il y a de liens contextuels sur les notions mieux c'est. Par contre effectivement, par manque de temps, mettre simplement le lien avec un  "allez le lire " me gêne (oui, je veux le beurre et l'argent du beurre&nbsp;: le résumé/commentaire/explication *et* les liens)</p>


<p>Simon Rozet&nbsp;: Un mix des deux. Pas besoin de tout expliquer et à l'inverse un peu d'explication
ne fait pas de mal  :)</p>


<p>Aka&nbsp;: il est intéressant de trouver des ressources et liens externes approfondissant le(les) sujet(s) abordés</p>


<p>nyquist&nbsp;: résume une information, amorce une réflexion, débute des recherches (en donnant des liens)... il peut se suffire a lui même mais doit donner la possibilité de poursuivre le sujet ailleurs (si ça s'applique). récemment un blog m'a donné un lien vers une application qui me manquait et dont j'ignorai l'existence...</p>


<p>Christophe D.&nbsp;: C’est un point de départ&nbsp;! Et en général, ça vaut même un ajout du blog dans mon Netvibes, pour le suivre sur le long terme.</p>


<p>Céd'&nbsp;: c'est généralement un pas vers le reste du blog</p>


<p>Thesa&nbsp;: Un bon billet, c'est comme une publication quelconque&nbsp;: s'il est personnel, si c'est une fiction, une planche de blog BD, etc, pas besoin de liens. Par contre, pour un article technique, politique, d'actualité, les sources sont primordiales, et des liens vers les documents connexes sont appréciables. (Et après tout, nul n'est obligé de cliquer !)</p>


<p>Laurent&nbsp;: un bon billet doit à mon avis se suffire à lui-même, mais la présence de liens si on est vraiment intéressé est un plus bien sûr.</p>


<p>Frédéric de Villamil&nbsp;: Un bon billet de blog, c’est généralement un aller simple dans mes bookmarks Delicious, avec très peu de chances pour que je lise autre chose, à moins que les options de navigation décrites plus haut ne me soient offertes.</p>


<p>kib2&nbsp;: un très bon point de départ pour aller voir ailleurs afin d'en savoir plus.</p>


<h3>12. Quelle importance accordez-vous à la régularité de publication d'un blog&nbsp;?</h3>

<p>David, biologeek&nbsp;: aucune si au final le contenu est de qualité.</p>


<p>pouype&nbsp;: au moins un par semaine je dirais, tout dépends du contenu (je préfère plusieurs petit billet que un enorme par mois)</p>


<p>jblanche&nbsp;: Peu importante (dans certaines limites tout de même)</p>


<p>neolao&nbsp;: sans importance, vive les clients RSS</p>


<p>pangel&nbsp;: on ne peut pas juger la régularité de publication en soi. Tout dépend des buts que s'est fixé le blog/site. Ca serait comme comparer les articles d'Openweb et... les billets de lifehacker&nbsp;!</p>


<p>Sunny&nbsp;: peu d'importance, à part quand celle-ci noie mon aggrégateur et que cela devient irritant</p>


<p>Geoffrey&nbsp;: un post par semaine c'est pas mal (si il est de bonne qualité)</p>


<p>Pierre&nbsp;: hm... qualité avant quantité&nbsp;? Je suis très très mal placé pour parler de régularité de publication, de toute façon&nbsp;! ;)</p>


<p>willy&nbsp;: m'en fous completement, c'est bien un des avantages des flux rss, je trouve, pas de billet, pas de visite.</p>


<p>giz404&nbsp;: La régularité a son importance. Même si les billets sont d'une qualité inégale, une parution régulière permet de maintenir son lectorat et de dégager les thèmes appréciés ou non, et ainsi trouver une ligne éditoriale au blog.</p>


<p>wildmary&nbsp;: régulier c'est mieux mais irrégulier ce n'est pas bien grave si c'est intéressant. Trop fréquent peut être gênant aussi&nbsp;: on n'a pas forcément le temps de suivre</p>


<p>darkagonik&nbsp;: c'est clair que si il n'y a plus de nouvelles pendant 6 mois, ça ne va pas. Et que si tu écris 10 billets par jours, c'est un peu trop ;)</p>


<p>Deeder&nbsp;: Le plus souvent est le mieux, j'aime retrouver mes lectures quotidiennes. Attention tout de même à ne pas poster trop, la surinformation fait parfois passer inaperçu les billets intéressants.</p>


<p>vdemeester&nbsp;: Aucune, un blog c'est personnel, c'est à la personne qui blog de s'imposer ou pas une certaines régularité. Un blog pas très régulier mais où il y a beaucoup de bon billet, ça ne me dérange absolument pas.</p>


<p>Eliness&nbsp;: Je préfère le contenu à la quantité... Un ou deux posts par mois ne me dérangent pas s'ils sont intéressants (même si j'avoue, c'est un peu frustrant, et en même temps ça n'en est que plus plaisant lorsqu'un nouveau parait). Tenir un blog et rédiger des articles prend du temps (et mine de rien, il faut aussi trouver de quoi parler !) aussi je n'en veux pas à l'auteur de ne pas sortir sa tartine quotidienne ;)</p>


<p>Sebseb01&nbsp;: aucune importance&nbsp;!</p>


<p>Thomas&nbsp;: sans opinion sauf  "trop c'est trop ". Plus d'un billet par jours voir un billet par jour ça me saoule car j'aime bien trop lire donc je tri...</p>


<p>Damien B&nbsp;: aucune importance si l'intérêt est là à chaque billet</p>


<p>Alexandre P.&nbsp;: pas nécessaire, tant que les billets restent intéressants.</p>


<p>Ln&nbsp;: tant que ce n'est pas mort pendant 3 semaines, ça ne me dérange pas d'avoir 3 posts un jour et rien pendant 10</p>


<p>Éric Daspet&nbsp;: La régularité ne m'importe pas. Au contraire, ce qui m'intéresse c'est le ratio interessant/bruit donc des publications régulières pour faire de l'actu ça me gêne plus qu'autre chose (voir le point 6)</p>


<p>Simon Rozet&nbsp;: Elle m'importe peux.</p>


<p>Aka&nbsp;: c'est important, si un blog ne publie pas assez souvent, il est ennuyeux, si il publie trop souvent, il est barbant. Difficile de trouver un juste milieu. Je pense que deux à trois billets par semaine est une bonne moyenne.</p>


<p>nyquist&nbsp;: moins important que la qualité du contenu, voir moins important que la qualité graphique de celui ci, mais arrive en troisième position quand il s'agit de faire le ménage dans les liens
COMMENTAIRES</p>


<p>Christophe D.&nbsp;: Primordiale. Cependant, si un blogueur sort des billets très documentés qui demandent beaucoup de travail, ça ne me dérange pas si il ne publie qu’une fois de temps en temps.</p>


<p>Céd'&nbsp;: peu importante si le contenu est de qualité</p>


<p>Thesa&nbsp;: Peu importe (mais j'ai du mal à tout lire chez Embrun :-/ ), je préfère que l'on privilégie la qualité à la quantité.</p>


<p>Laurent&nbsp;: J'y accorde beaucoup d'importance, un blog qui publie trop peu souvent (moins d'une fois par mois) sort rapidement de mes flux</p>


<p>Frédéric de Villamil&nbsp;: La généralisation des agrégateurs RSS a profondément changé notre mode de consultation d’un contenu web&nbsp;: d’actifs – nous allions vers l’information – nous sommes devenus passifs – l’information vient à nous. Dès lors, la fréquence de publication n’a plus grand intérêt&nbsp;: nous ne nous lassons plus à force de nous heurter quotidiennement à un mur de non nouveauté tous les matins à l’heure du petit déjeuner.</p>


<p>kib2&nbsp;: Pas d'importance, poster pour ne rien dire est simplement inutile, et on voit disparaître ses lecteurs.</p>


<h3>13. Souhaitez-vous être tenu au courant des réponses à votre commentaire&nbsp;? Si oui, comment&nbsp;?</h3>

<p>David, biologeek&nbsp;: oui, j'ai un dossier Commentaires dans firefox mais c'est insuffisant/inadapté. S'abonner à un flux RSS c'est lourd car on l'oublie et CoComment c'est assez contraignant et pas assez répandu. La solution est peut-être la notification par mail&nbsp;?</p>


<p>pouype&nbsp;: par mail c'est pratique, car je ne m'abonne que rarement au fil de commentaire, mais bon on s'adapte.</p>


<p>jblanche&nbsp;: Oui, par mail</p>


<p>neolao&nbsp;: oui, avec fil RSS commentaire ça suffit</p>


<p>pangel&nbsp;: j'ai toujours rêvé d'un outil qui garde la traces de nos commentaires.</p>


<p>Sunny&nbsp;: aime être tenu des réponses par email si c'est un blog que je n'ai pas ajouté à mon aggrégateur et que les commentaires n'innondent pas ma boîte email</p>


<p>Geoffrey&nbsp;: je ne commente (presque) pas</p>


<p>Pierre&nbsp;: tout dépend du commentaire. Parfois, j'aime effectivement savoir le cours pris par un fil de commentaires. Dans ce cas, je reviens régulièrement vers l'article pour regarder les nouveaux commentaires. En ce sens, j'apprécie la section  "derniers commentaires " de certains blogs. Je ne m'abonne en revanche jamais aux flux de commentaires&nbsp;;</p>


<p>willy&nbsp;: quand je poste un commentaire j'aime m'abonner au flux des comm. le temps que le gros du debat se passe - j'ai un dossier dédié ds mon aggregateur qui lui est mis à jour regulierement</p>


<p>giz404&nbsp;: Une case à cocher proposant d'être notifié par mail peut être une solution séduisante.</p>


<p>wildmary&nbsp;: ce serait pas mal, j'ai tendance à oublier où et quand je commente... mais j'ai aussi tendance (sur les forums) à désactiver l'email qui nous prévient. Quelque chose d'optionnel avec une case à cocher pour être prévenu par mail serait pas mal, on pourrait ne suivre les réponses que quand elles nous importent vraiment</p>


<p>darkagonik&nbsp;: ce serait bien pratique en tout cas&nbsp;! par e-mail par exemple.</p>


<p>Deeder&nbsp;: Tout dépend du sujet et du commentaire, à savoir s'il attend ou non un réponse. La plupart du temps non.</p>


<p>vdemeester&nbsp;: ça ce serait cool, par mail pourquoi pas, mais ça pourrait être lourd aussi..</p>


<p>Eliness&nbsp;: L'idéal serait de permettre à une personne qui répond à un commentaire déjà poster de signaler que c'est une réponse, par un champ à cocher par exemple, et que l'auteur du commentaire soit ainsi prévenu par mail. Sinon, permettre le suivi rss des commentaires, si l'on est intéressé.</p>


<p>Sebseb01&nbsp;: Oui, par mail de préférence.(pas besoin de modifier la config de mon agregateur)</p>


<p>Thomas&nbsp;: oui oui&nbsp;! par RSS je trouve ça bidon, par coComment j'avais essayé mais j'ai abandonné donc par mail ou télépathie si tu y arrive (par SMS&nbsp;? :D). Plus que la réponse à notre commentaire ce serait bien de pouvoir être notifier des commentaires même si on en a posté aucun soi-même. De plus faut vraiment qu'il n'y ai pas de spam :/</p>


<p>Damien B&nbsp;: oui, par mail pour les blogs sur lesquels je commentes rarement, je suis abonné au fil des commentaires sinon. J'ai essayé cocomment&nbsp;: ça ne marche pas.</p>


<p>Alexandre P.&nbsp;: si on peut trier sur le volet quels commentaires devraient être notifiés, oui, par courriel.</p>


<p>Ln&nbsp;: non, je viens voir directement</p>


<p>Éric Daspet&nbsp;: Oui, être avverti des réponses m'intéresse. Un avertissement par mail serait bien, un fil par billet avec les commentaires et maj du billet est intéressant (même si d'expérience je les utilise rarement). Je dis mail plus à défaut de média qui me paraisse plus adapté, je suis ouvert à d'autres idées (jabber ne me semble pas adapté).</p>


<p>Simon Rozet&nbsp;: Oui. Par feed</p>


<p>Aka&nbsp;: Je ne poste pas assez souvent de commentaires pour juger, mais suppose que cela dépends du type de commentaire. Avoir le choix d'être averti pour chacun de nos commentaires peut être un bon compromis.</p>


<p>nyquist&nbsp;: non</p>


<p>Christophe D.&nbsp;: En tant que lecteur, je refuse toujours d’être tenu informé des commentaires par mail ou par RSS, lorsque c’est possible. J'ai un dossier de favoris «&nbsp;à suivre », pour ne pas oublier de suivre les fils ou j’ai participé, mais ça s’arrête là.
En tant que blogueur, je ne veux rater aucun commentaire de mon blog mais je préfère tout de même ne pas être averti avec des moyens autre que mon backoffice. J’ai le souvenir de Loïc Le Meur qui se faisait biper sur un téléphone portable à chaque commentaire (relayés par SMS), ce devait être l’enfer&nbsp;!</p>


<p>Céd'&nbsp;: oui, par mail de préférence</p>


<p>Thesa&nbsp;: Oui, par fil de syndication. Les blogs auxquels je participe souvent ont leur fil de syndication de tous les commentaires dans mon agrégateur, pour les blogs sur lesquels je commente occasionnellement, j'ai un dossier «&nbsp;Commentaires » dans mon agrégateur dans lequel je place le fil de syndication des commentaires du billet - s'il existe.</p>


<p>Laurent&nbsp;: oui, par mail</p>


<p>Frédéric de Villamil&nbsp;: Il existe deux manières de se tenir au courant des réponses à un commentaire&nbsp;:</p>
<ul>
<li>Par courrier électronique.</li>
<li>Par un flux RSS associé à la discussion.</li>
</ul>
<p>Pour moi, le premier médium n’est pas envisageable. La plupart des gens ne ferment pas leurs commentaires au bout d’une durée déterminée, et recevoir des mails à propos d’une discussion vieille de deux ans, totalement dépassée et sortie de son contexte est relativement fatiguant.
Le flux RSS, au contraire, me semble présenter des avantages indéniables. Il évite de sortir de l’agrégateur (pour rejoindre le client mail), il se fait oublier tant qu’il n’y a plus de réponse, et il ne vient pas polluer ma boite à lettres.</p>


<p>kib2&nbsp;: oui, par mail ou par un petit message me le signalant sur la page d'acceuil du blog.</p>


<h3>14. Préférez-vous que la réponse soit incluse à votre propre commentaire ou dans un commentaire suivant&nbsp;?</h3>

<p>David, biologeek&nbsp;: oui, mais clairement identifiable.</p>


<p>pouype&nbsp;: Commentaire suivant</p>


<p>jblanche&nbsp;: dans un autre commentaire</p>


<p>neolao&nbsp;: non</p>


<p>pangel&nbsp;: aucune importance</p>


<p>Sunny&nbsp;: préfère un fil à un arbre de commentaires</p>


<p>Geoffrey&nbsp;: non</p>


<p>Pierre&nbsp;: non, car ce n'est pas facile à lire, et ce n'est en général indiqué nulle part (cf. point 13, la fameuse section  "derniers commentaires ")&nbsp;;</p>


<p>willy&nbsp;: tiens je ne m'etais jamais posé la question. En fait je n'aime pas trop les presentations en arborescences pour les commentaires. Ma reponse est donc&nbsp;: commentaire suivant</p>


<p>giz404&nbsp;: No comprendo. Je suppose que tu veux parler de commentaire imbriqués, un peu à la slashdot, contre le système linéaire offert par la plupart des blogs. Pour ma part, je m'orienterai plutôt vers le linéaire, assez adapté à la majorité des blogs. Le sytème d'imbrication ne fait sens uniquement lorsqu'on a de nombreux commentaires et que plusieurs discussions démarrent en parallèle.</p>


<p>wildmary&nbsp;: dans un commentaire suivant</p>


<p>darkagonik&nbsp;: dans notre commentaire, ce serait pas mal. Et ça faciliterais sans doute la tâche d'avertir la personne d'une réponse. Mais si la personne a de nouveau envie de répliquer, il faut qu'il écrire un nouveau commentaire... Dans ce cas ce serait pas plus simple un système comme sur linuxfr&nbsp;? Sinon la méthode traditionnelle est très bien aussi.</p>


<p>Deeder&nbsp;: Cela n'a aucune importance.</p>


<p>vdemeester&nbsp;: hum....</p>


<p>Eliness&nbsp;: Incluse si elle concerne juste le commentaire, dans le commentaire suivant si elle débouche sur autre chose ou si elle amène à un autre sujet de discussion dans les commentaires.</p>


<p>Sebseb01&nbsp;: Le commentaire suivant (voir linuxfr.org )</p>


<p>Thomas&nbsp;: a la suite ou en arbre.</p>


<p>Damien B&nbsp;: sans importance</p>


<p>Alexandre P.&nbsp;: incluse.</p>


<p>Ln&nbsp;: liste linéaire des commentaires et pas sous forme hiérarchique</p>


<p>Éric Daspet&nbsp;: S'il te plait, la réponse dans un commentaire séparé. Tu peux l'insérer directement en dessous de celui auquel tu répond et si tu veux avec un cadre de couleur mais visuellement un commentaire séparé. Voir des réponses dans le commentaire m'agace fortement, même quand la mise en forme est explicite (genre une mise en italique ou en couleur du texte de réponse. Sinon j'ai l'impression qu'on modifie ma prose ou qu'on pervertit ce que je veux dire. J'ai vraiment une répulsion forte sur les réponses du propriétaire incluses dans le commentaire du visiteur.</p>


<p>Simon Rozet&nbsp;: Autre commentaire</p>


<p>Aka&nbsp;: Pour les nouveaux lecteurs, a qui les commentaires apportent des compléments, avoir une réponse dans le commentaire peut permettre de clarifier la conversation.</p>


<p>nyquist&nbsp;: dans un commentaire suivant pour n'avoir qu'un fil.</p>


<p>Christophe D.&nbsp;: Je préfère que le réponse fasse l’objet d’un nouveau commentaire, pour pouvoir le suivre via un menu «&nbsp;derniers commentaires ». Sinon il n’est généralement pas comptabilisé dans ce type de menu et on le zappe.</p>


<p>Céd'&nbsp;: pas forcément, sauf si le sujet sucite beaucoup de commentaires</p>


<p>Thesa&nbsp;: Je préfère une réponse dans un autre commentaire, c'est plus pratique notamment pour suivre la discussion avec un fil de syndication.</p>


<p>Laurent&nbsp;: réponse incluse, c'est beaucoup plus clair je trouve</p>


<p>Frédéric de Villamil&nbsp;: Un commentaire suivant.</p>


<p>kib2&nbsp;: non</p>


<h3>15. Quelle importance accordez-vous à la qualité de vos commentaires&nbsp;?</h3>

<p>David, biologeek&nbsp;: j'essaye d'apporter une valeur ajoutée au billet à part quand c'est pour rigoler entre blogo-potes :-).</p>


<p>pouype&nbsp;: très peu. Disons, j'essaie de pas faire de hors sujet.</p>


<p>jblanche&nbsp;: Importante , ceux ci doivent être également un point de départ pour de nouvelles chose et pas seulement une critiques de l'article en question.</p>


<p>neolao&nbsp;: il faut que ça apporte quelque chose au billet</p>


<p>pangel&nbsp;: dépend de la qualité présumée du blog.</p>


<p>Sunny&nbsp;: je n'accorde un commentaire que lorsque j'ai clairement quelquechose à ajouter. Néanmoins les commentaires restent de l'ordre de la discussion, car j'ai souvent l'impression qu'un bon contenu est perdu s'il reste juste dans un commentaire</p>


<p>Geoffrey&nbsp;: cf 13</p>


<p>Pierre&nbsp;: je relis plusieurs fois mes commentaires pour éviter de laisser des fautes, ou pour être sûr de ce que j'envoie. Qui plus est si l'article que je commente est bien rédigé&nbsp;;</p>


<p>willy&nbsp;: Quand j'en poste un - ce que je ne fais pas si souvent en fait - j'essaye de m'appliquer mais quand c'est long comme ici je ne me relis pas (excusez les fôtes donc ;)</p>


<p>giz404&nbsp;: Tout dépend du billet. Sur un billet futile du genre 3615 mon nombril, on ne peut pas forcément attendre de commentaires de haute volée. En revanche, sur un problème de fond, des commentaires plus approfondis sont toujours intéressants. Dans les deux cas, l'orthographe se doit d'être correcte.</p>


<p>wildmary&nbsp;: ça dépend des jours et du blog sur lequel je commente, si c'est quelqu'un que je connais peu ou un blog très sérieux je vais faire particulièrement attention à ce que j'écris (fond et forme)</p>


<p>darkagonik&nbsp;: la qualité des commentaires ne dépend pas de toi, si&nbsp;?</p>


<p>Deeder&nbsp;: L'argumentation/discussion autour d'un sujet en commentaire peut être importante, intéressante, enrichissante. C'est la suite logique d'un billet, la confrontation des points de vues, les objections, bref, c'est l'autre moitié du blog. Plus elle est de bonne qualité, mieux c'est.</p>


<p>vdemeester&nbsp;: Hum.. comment ça&nbsp;? les commentaires que nous on poste&nbsp;? si oui, alors mes commentaires sont jamais top alors :p</p>


<p>Eliness&nbsp;: Simple, je n'en poste généralement que si j'ai quelque chose à dire</p>


<p>Sebseb01&nbsp;: Je ne commente pas si je ne pense pas pouvoir faire avancer le débat&nbsp;! Je poste aussi si l'on me pause une question(comme ici).</p>


<p>Thomas&nbsp;: euh coin coin&nbsp;?</p>


<p>Damien B&nbsp;: selon l'humeur du jour, sarcastique ou constructif</p>


<p>Alexandre P.&nbsp;: aucune, tant que ce n'est pas du spam :P J'essaye de commenter plus que  "+1 " ou  "lol ".</p>


<p>Ln&nbsp;: j'essaie d'apporter qqc ou de poser une question, pas de commentaire du style  "c'est super " ou  "c'est nul "</p>


<p>Éric Daspet&nbsp;: Je fais attention à la qualité du fond, je laisse souvent une forme très discutable qui ne me fait honte que le lendemain.</p>


<p>Simon Rozet&nbsp;: Je dis quelque chose seulement si j'ai vraiment quelque chose d'intéressant à rajouter</p>


<p>Aka&nbsp;: Ils permettent souvent de clarifier l'article, ils doivent donc êtres rédigés en bon français, et êtres aisément compréhensibles.
Il serait également agréable d'avoir un plus grand espace pour l'écriture des commentaires, avec un peu plus d'options de mise en forme.
Bon courage&nbsp;!</p>


<p>nyquist&nbsp;: soit on poste un commentaire pour apporter une information pertinente et intéressante, soit on ne poste pas (à la rigueur des remerciements si le billet a été très utile</p>


<p>Christophe D.&nbsp;: En tant que lecteurs, je fais gaffe à ne pas dire de bêtises et à bien lire tout ce qui a été écrit avant. J’ai un gros passé de commentateur/forumeur (depuis 1999) sous pseudo. Mais j’accorde une grande importance à la qualité de ce que j’écris. Par contre, j’ai tendance à être pressé et à faire des fautes d’ortho ou des répétitions.
En tant que blogueur, la qualité des commentaires est importante pour fidéliser les lecteurs et entretenir un esprit de communauté. Lorsque les commentateurs s’apprécient et se respectent, ils reviennent régulièrement, ils postent plus facilement.
J’ai énormément de mal avec les gens qui critiquent l’orthographe des autres.</p>


<p>Céd'&nbsp;: très important, si mon commentaire n'apporte rien ou n'est pas utile, je m'abstiens</p>


<p>Thesa&nbsp;: Une importance plutôt grande ça m'arrive souvent de rédiger un commentaire, et de ne pas l'envoyer (ce qui ne m'empêche pas de poster des stupidités de temps en temps).</p>


<p>Laurent&nbsp;: je ne poste jamais de comm si je pense n'avoir rien de vraiment intéressant/constructif à dire sur le sujet, pour la simple et bonne raison que je trouve insupportable les comms inutiles.</p>


<p>Frédéric de Villamil&nbsp;: Idéalement, tout blog modérerait les commentaires à priori. Bien que plus contraignante pour l’auteur, cette solution présenterait au moins un avantage&nbsp;: prévenus des risques de modération, les commentateurs ne publieraient que des commentaires pertinents, et éviteraient les missives du genre  "ouah, j’adore ce que tu fais, kikooolol ".</p>


<p>kib2&nbsp;: je ne vois pas très bien le sens de la question...</p>


<h3>16. Avez-vous déjà hésité à répondre après avoir identifié les liens sortants en «&nbsp;nofollow »&nbsp;?</h3>

<p>David, biologeek&nbsp;: je sais pas pourquoi j'ai mis cette question, surtout que 15 questions c'était plus accrocheur, enfin on verra bien vos réponses :D.</p>


<p>pouype&nbsp;: Non.</p>


<p>jblanche&nbsp;: Non</p>


<p>neolao&nbsp;: j'ai pas compris la question</p>


<p>pangel&nbsp;: je m'en contrefiche.</p>


<p>Sunny&nbsp;: jamais hésité à répondre (je commente rarement cela dit)</p>


<p>Geoffrey&nbsp;: peu m'importe</p>


<p>Pierre&nbsp;: rien à foutre&nbsp;! :) je poste pas de commentaire pour faire de la pub pour qui/quoi que ce soit, mais pour donner mon avis ou exprimer mon opinion...</p>


<p>willy&nbsp;: jamais. Et je suis plutôt pour le nofollow dans les commentaires. Je ne réponds pas à un billet pour augmenter mon PR&nbsp;! :D</p>


<p>giz404&nbsp;: Non. En revanche, une explication sur la mise en place de cet attribut peut-être la bienvenue, puisque le suivi des liens est une des bases du référencement. Si les moteurs ne peuvent pas tracer les relations existants entre différents site, le web entier en pâtit (bon j'exagère un peu, mais l'idée générale est là).</p>


<p>wildmary&nbsp;: je n'ai jamais pris la peine d'identifier de tels liens... d'ailleurs qu'entends-tu par là&nbsp;? de quels liens s'agit-il&nbsp;? s'il s'agit du lien créé par le champs  "url de notre site web ", il m'arrive de ne pas le remplir mais c'est plutôt pour d'autres raisons.</p>


<p>darkagonik&nbsp;: je suis pas sur de savoir ce que c'est... si c'est pour empêcher que les moteurs de recherche suivent le lien, je n'ai jamais fait attention... mais je suis évidemment contre, et ça donne une image négative si on s'en rend compte.</p>


<p>Deeder&nbsp;: Je n'y apporte pas d'importance, l'utilisant moi-même sur mon blog, j'en comprends les tenants.</p>


<p>vdemeester&nbsp;: Euh non..</p>


<p>Eliness&nbsp;: Alors, je vois à quoi ça sert de mettre ses liens en  "nofollow ", maintenant je ne vois pas trop en quoi ça m'éviterait de poster un commentaire, je n'ai pas trop compris la question en fait...</p>


<p>Sebseb01&nbsp;: Je trouve dommage d'utiliser l'attribue  "nofollow " car les webmasters actif ne sont pas mis en valeur. mais je comprend que la lute contre le spam prennent du temp. (Aucune différence pour mes commantaires)</p>


<p>Thomas&nbsp;: jamais vu mais AMHA ça ne rebuterait pas</p>


<p>Damien B&nbsp;: le lien en nofollow c'est une des plus grandes escroquerie intellectuelle de ce début de siècle</p>


<p>Alexandre P.&nbsp;: non.</p>


<p>Ln&nbsp;: euh, pas compris&nbsp;?</p>


<p>Éric Daspet&nbsp;: Non, je ne regarde même pas ça. Franchement je ne commente pas pour mettre un lien en pub. A la limite j'aurai tendance à dire que si ça en freine certain c'est peut être que leur commentaire n'est pas si intéressant et qu'il est bénéfique de ne pas l'avoir.</p>


<p>Simon Rozet&nbsp;: Ca ne me dérange pas plus que ca, mais je trouve cela tout de même bof.
comme dis Karl,  "nofollow, c'est du plâtre sur une jambe de bois "  :)</p>


<p>nyquist&nbsp;: pas compris, désolé...
Je ne suis pas un spécialiste des blogs, je lis les blogs comme certains lisent le journal, passant d'un sujet a l'autre (a ceci près que quand une information éveille ma curiosité je délaisse ma lecture pour creuser le sujet de manière plus actif).</p>


<p>Christophe D.&nbsp;: Je ne fais pas attention à ça.</p>


<p>Céd'&nbsp;: je n'ai pas bien compris la question :D</p>


<p>Thesa&nbsp;: Je n'y ait jamais fait attention.</p>


<p>Laurent&nbsp;: je ne suis pas assez geek pour comprendre ce qu'implique cette question ^^</p>


<p>Frédéric de Villamil&nbsp;: J’ai une double position vis à vis des liens sortants en «&nbsp;nofollow »&nbsp;:</p>
<ul>
<li>Dans les commentaires, ils ne posent pas de problèmes, car ils ne risquent pas d’empêcher les moteurs de recherche de perdre le fil de la discussion.</li>
<li>Dans les pingbacks ou trackbacks, il me semble qu’ils arrêtent la discussion, au moins virtuellement.</li>
</ul>
<p>Ma réponse à la question sera  "non ", car je ne fais pas attention à la politique du blog avant de poster un commentaire, et je ne le fais pas pour profiter du pagerank de l’auteur du billet mais parce que j’ai quelque chose à dire.</p>


<p>kib2&nbsp;: non</p>



<p><strong>J'ai enlevé les remerciements/compliments accompagnant la dernière question mais ils me vont droit au cœur, merci à tout ceux qui ont joué le jeu :-).</strong></p>
