title:      ★ Le guide complet du débutant freelance
slug:       le-guide-complet-du-debutant-freelance
date:       2007-04-16 09:02:36
type:       post
vignette:   images/logos/freelance.png
contextual_title1:  Estimer le coût d&#39;une mission pour un développeur freelance
contextual_url1:    20080120-estimer-le-cout-d-une-mission-pour-un-developpeur-freelance
contextual_title2:  Erreurs classiques de freelances et leurs solutions
contextual_url2:    20071114-erreurs-classiques-de-freelances-et-leurs-solutions
contextual_title3:  Conseils pour s&#39;éviter les prises de tête lorsqu&#39;on est freelance
contextual_url3:    20071108-conseils-pour-s-eviter-les-prises-de-tete-lorsqu-on-est-freelance

<p>Voici la traduction de l'article initiateur du site <a href="http://freelanceswitch.com">FreelanceSwitch</a> intitulé <a href="http://freelanceswitch.com/start/a-comprehensive-guide-to-starting-your-freelance-career/">A Comprehensive Guide to Starting Your Freelance Career</a>. Je l'ai trouvé très pertinent (tout comme le nouveau site en question) car j'ai toujours été tenté par cette voie là. On verra bien combien de temps est-ce que je résiste mais en attendant vos <a href="http://www.miheev.info/2007/04/08/7_rules_of_successful_freelancer/">témoignages</a> sont les bienvenus&nbsp;!</p>


<p><em><abbr title="Pre-Scriptum">PS</abbr>&nbsp;: N'hésitez pas à corriger les fautes (notamment de vocabulaire professionnel) si vous en croisez.</em></p>

<p>Travailler en solo - ou en freelance - est à la fois une décision importante à prendre pour mener votre propre barque mais aussi une carrière à part entière. Pour les débutants, il y a plusieurs pièges à éviter au début pour mener de main de maître votre carrière de freelance. Étant moi-même un ancien freelance et ayant eu l'occasion d'en employer beaucoup, j'ai pu répertorier certains de ces pièges. <strong>Cet article fait le point sur ces écueils qui s'appliquent aussi bien aux travailleurs freelance qu'aux petites entreprises.</strong></p>


<h2>Free Lances&nbsp;: que signifie freelance&nbsp;?</h2>


<p>Au moyen-âge, lorsque les chevaliers battaient la campagne et que les combats se faisaient à dos de cheval avec un long bout de bois appelé lance, les mercenaires de l'époque étaient appelés «&nbsp;free lances ».</p>


<p>Aujourd'hui, freelance peut désigner un écrivain, un graphiste, un développeur, etc. Les freelances sont des personnes offrant leurs services à des employeurs sans qu'il n'y ait d'accord à long terme entre eux. Ils sont généralement rémunérés à l'heure, au jour ou à la mission et travaillent bien souvent seuls.</p>


<p>Les conditions de travail diffèrent selon les pays mais sont généralement dépendantes d'un enregistrement légal de l'activité et de taxes associées aux services proposés. Le principal pré-requis pour devenir freelance est un niveau de compétence élevé dans votre domaine. Une fois que vous vous êtes lancé, il n'y a plus de vétéran pour corriger ou couvrir vos erreurs. <strong>Les freelances sont généralement rodés dans leur domaine car ils doivent avoir l'expertise d'une équipe à eux tout seul.</strong></p>


<p>Au delà des conditions évidentes&nbsp;: le désir de devenir freelance et le niveau de compétence élevé, il y a un nombre important de détails que vous devez connaître, de la vente aux tarifs, de la relation client aux mécanismes comptables. Cet article va en passer en revue certains.</p>



<h2>Trouver un nom</h2>


<p>L'une des premières choses à faire lorsque vous devenez freelance est de décider d'un nom de marque pour vous-même. Cela peut être votre nom «&nbsp;David Larlet Development » ou quelque chose de plus grand «&nbsp;Django Programming Services ». Quel que soit votre choix final, <strong>vous devez trouver une identité professionnelle pour vous faire un nom et pour que les clients puissent vous identifier sous ce nom</strong>.</p>


<p>Associé à votre nouveau nom vous allez bien évidemment avoir besoin d'un logo, d'un compte et d'un site internet. N'oubliez pas que vous êtes maintenant une entreprise et que chacune de vos représentations doit être avenante et professionnelle. Il est intéressant de jouer la carte de la proximité mais n'allez pas jusqu'à faire état de vos activités personnelles ou à afficher vos photos de vacances, en particulier sur votre site internet.</p>


<p>Si vous n'êtes pas vous-même graphiste (<abbr title="Note du Traducteur">NdT</abbr>&nbsp;: l'auteur est graphiste) investissez l'argent nécessaire dans une ressource qui sait ce qu'elle fait car la différence de résultat est inestimable et <strong>l'impact d'avoir l'air professionnel peut vraiment faire la différence</strong> lorsque votre client potentiel n'a pas encore eu la chance de vous connaître pour votre travail de qualité.</p>


<p>Lorsque vous en arrivez au site internet, soyez sûr d'avoir un nom de domaine qui soit&nbsp;:</p>

<ul>
<li><strong>facile à retenir</strong>&nbsp;: les noms de domaines trop longs peuvent rapidement devenir difficiles à mémoriser, de même pour ceux comportant des acronymes&nbsp;;</li>
<li><strong>facile à épeler</strong>&nbsp;: si vous devez donner l'adresse de votre site ou de votre email par téléphone, il est toujours mieux de ne pas avoir à l'épeler lettre par lettre avec des tirets ou des underscores&nbsp;;</li>
<li><strong>descriptif</strong>&nbsp;: un nom qui signifie quelque chose ou va bien avec votre nom ou le nom de votre entreprise est toujours meilleur. Il est facile à retenir et vous identifie immédiatement.</li>
</ul>

<p>Attention, <strong>avoir un site internet et en particulier un nom de domaine est essentiel</strong>. Avoir une activité freelance derrière un compte hotmail ne fait pas très professionnel ni sérieux et les premières impressions comptent énormément.</p>


<p>Lorsque vous en arrivez à la conception de votre site internet, il y a certaines informations clé qui doivent être accessibles&nbsp;:</p>

<ul>
<li>une introduction - bien souvent faire état de votre situation est suffisant&nbsp;;</li>
<li>vos services, sinon comment pourrez-vous être connu pour ce que vous faites&nbsp;? ;</li>
<li>des exemples de vos précédents travaux&nbsp;;</li>
<li>les détails permettant de vous contacter.</li>
</ul>

<p>Vous voudrez sûrement en faire plus pour votre site, travailler votre référencement ou l'inclure dans votre processus de travail mais ces 4 points essentiels suffisent pour commencer.</p>



<h2>Où trouver du travail&nbsp;?</h2>


<p>La base pour commencer à travailler en freelance est d'avoir du travail. Mais où trouver votre premier travail ainsi que les suivants&nbsp;? Et que mettre dans votre portfolio si tout ce que vous avez fait précédemment relève de l'activité de votre ancien employeur&nbsp;?</p>


<p>Lorsque vous devez trouver votre première mission, il est courant d'avoir recours à ses contacts, et cela signifie signaler à toutes les personnes que vous connaissez que vous êtes actuellement en recherche de clients. Si vous avez peu de contacts, vous devez vous assurer de faire savoir que vous n'êtes pas très cher. Une bonne idée peut être d'envoyer des mails à votre famille et vos amis, vous pouvez aussi les rencontrer personnellement selon votre convenance. Quoi qu'il en soit, <strong>rappelez-vous que personne ne vous embauchera si personne ne connaît votre situation</strong>.</p>



<p>Vous pouvez souvent trouver du travail sur le net via les forums ou les offres d'emploi. Consultez les sites locaux ainsi que les internationaux. Voici quelques exemples de sites que vous pouvez consulter&nbsp;:</p>

<ul>
<li><a href="http://gigs.37signals.com/">37Signals’ Gig board</a></li>
<li><a href="http://www.krop.com/">Krop</a></li>
<li><a href="http://www.sitepoint.com/marketplace/viewcategory?categoryid=19">Sitepoint</a> (si vous voulez être sous payé !)</li>
<li><a href="http://www.coroflot.com/">Coroflot</a></li>
</ul>

<p><abbr title="Note du Traducteur">NdT</abbr>&nbsp;: et en bonus quelques sites locaux&nbsp;:</p>

<ul>
<li><a href="http://emploi.alsacreations.com/">Emploi AlsacréationS</a></li>
<li><a href="http://fr.lolix.org/">Lolix</a></li>
<li><a href="http://fr.crunchboard.com/">TechCrunch</a></li>
<li>vous en voyez d'autres&nbsp;?</li>
</ul>

<p><strong>Les endroits où vous avez précédemment travaillé ou ceux où vous avez une connaissance en interne peuvent également être de bons points de départ</strong>. Deux de mes premiers clients avaient été mes précédents employeurs ayant un surplus de travail. Cela m'a permis d'enrichir mon portfolio et de passer le cap financièrement crucial des premiers mois.</p>


<p>Si vous n'avez aucune réalisation à montrer pour une quelconque raison vous avez intérêt à avoir la tchatche ou à trouver quelque chose qui puisse servir d'exemple. Cela peut inclure&nbsp;:</p>

<ul>
<li>créer un travail imaginaire pour vous-même et l'exécuter&nbsp;;</li>
<li>offrir vos services gratuitement à quelqu'un&nbsp;;</li>
<li>négocier avec votre ancien employeur l'attribution de votre travail réalisé avec lui pour une période donnée.</li>
</ul>

<p>En tout cas, il est difficile pour un client de vous solliciter sur vos simples bonnes paroles. De temps à autres, on va vous demander de faire vos preuves et le client potentiel va vous demander de faire une partie du travail avant d'être payé. <strong>Mon avis là-dessus est qu'une telle pratique dévalue votre travail et indique un manque de considération pour votre travail de la part de votre client potentiel</strong>. Imaginez si vous allez consulter un docteur, demanderiez-vous un premier bilan de santé gratuitement, ou demanderiez-vous à votre mécanicien de commencer par réparer votre voiture pour voir si vous appréciez la façon dont il travaille&nbsp;? Cela arrive bien souvent dans les domaines de la création comme le design ou l'écriture, mais cela ne devrait pas arriver. Gardez cela à l'esprit, en particulier lors de vos débuts lorsque vous galèrez.</p>


<p>Lorsque vous aurez réalisé plusieurs travaux, vous allez vous rendre compte qu'il y aura de plus en plus de travail, soit en continuant avec les mêmes employeurs, soit via vos références et que vous dépendrez de moins en moins des nouvelles missions. Si ce n'est pas le cas, soit vous êtes soit trop cher, soit vous vous adressez à la mauvaise clientèle ou n'êtes pas assez bon dans votre travail (ce qui signifie en quelque sorte que vous êtes trop cher). Vous pouvez et généralement devez chercher des moyens d'avoir davantage de travail - publicité, pages jaunes, référencement, etc - mais ce sont des problèmes mineurs et vous devez identifier le problème principal.</p>



<h2>Devis et estimations</h2>


<p>Lorsqu'on vous confie une mission ou même avant, vous allez devoir faire une estimation ou un devis pour ce travail. Les estimations diffèrent des devis dans leur malléabilité. Les estimations ne garantissent pas le prix final et en général s'en tiennent à une variation possible de l'ordre de 20% du prix annoncé pour le prix final si la situation n'évolue pas. Les devis par contre signifient que le prix donné est officiel et correspond à la charge de travail spécifiée.</p>


<p><strong>La plupart des clients préfèrent les devis car les estimations ont tendance à être réévaluées à la hausse au final et rarement l'inverse</strong>. En revanche, les estimations peuvent être acceptables si vous avez une bonne réputation ou avec un client en particulier. Elles peuvent aussi marcher si vous garantissez que la variation du prix sera comprise dans une certaine marge (10%, 20%, etc).</p>


<p>Détailler le contenu de vos devis et de vos estimations signifie pouvoir séparer un devis en plusieurs parties qui peuvent être évaluées séparément. Ce n'est pas seulement utile pour votre client qui peut ainsi évaluer pourquoi telle étape a un tel coût, mais c'est aussi utile pour vous puisque cela va vous forcer à penser à chaque étape du processus. À la fin de la mission, c'est une excellente idée de relire votre devis initial et de comparer le temps estimé à celui que vous avez effectivement passé. Cela vous aidera à mieux évaluer certaines étapes et vous permettra de remporter davantage de contrats par la suite. Il y a de nombreuses applications de gestion du temps comme SlimTimer, Basecamp et pleins d'autres. Choisissez-en une et utilisez-la.</p>


<p>De temps à autre, un projet va exploser le calendrier. Cela intervient pour l'un de ces deux raisons&nbsp;:</p>

<ul>
<li><strong>Vous avez sous-estimé la somme de travail nécessaire</strong>. Malheureusement, personne n'a dit que le métier de freelance était facile, et neuf fois sur dix vous allez devoir assumer votre erreur en travaillant sans être rémunéré. Si vous vous êtes entendu clairement avec votre client dès le début sur le fait que vous n'étiez pas sûr pour une quelconque raison, il est possible qu'il accepte de payer un surplus. Si vous n'êtes pas encore assez compétent pour évaluer vos services, vous méritez d'en payer le prix.</li>
<li><strong>Le client a mal communiqué ce que le projet comprenait</strong>. Les clients agissent ainsi pour de nombreuses raisons - ils ne comprennent pas de quoi il retourne, ne savent pas ce que vous avez besoin de savoir, sont trop occupés ou sont tellement excités qu'ils ajoutent des fonctionnalités en cours de route. Quelle que soit la raison, c'est à vous de les avertir. Et c'est à ce moment là qu'un devis détaillé va vous servir. Vous pouvez rappeler exactement ce qui a été convenu. Si vous faites quelque chose qui n'était pas prévu initialement, vous avez le droit de demander à ce que cela soit facturé.</li>
</ul>

<p>Lorsque vous envoyez votre devis initial, il est intéressant d'envoyer vos conditions avec. Les «&nbsp;Limites du service » ou les «&nbsp;Modalités et conditions » sont simplement une liste de conditions que vous associez à votre prestation. En général, elles permettent de vous protéger, vous et votre client, d'une transaction qui se passerait mal. Cela peut inclure&nbsp;:</p>

<ul>
<li>Le délai pendant lequel le client doit régler sa dernière facture - aussi appelés les conditions de paiement&nbsp;;</li>
<li>La refacturation des coûts additionnels&nbsp;;</li>
<li>Les avances d'argent requises&nbsp;;</li>
<li>Le copyright de ce que vous produisez&nbsp;;</li>
<li>Le propriétaire du travail avant et après le paiement&nbsp;;</li>
<li>Vos droits et responsabilités et les leurs.</li>
</ul>

<p>Vous pouvez choisir d'avoir ces termes rédigés par votre conseil juridique, ou simplement les avoir écrit clairement et en bon français. <strong>Lorsqu'elles sont attachées à votre devis ou à votre estimation, ces conditions sont considérées comme étant acceptées lorsque le devis lui-même l'est</strong>. Cela signifie qu'une fois le devis signé, les conditions sont acceptées implicitement.</p>


<p><strong>Prendre le temps d'être sûr que vous avez un ensemble de termes qui vous protègent, vous et votre client, est important. Lorsque vous avez tous les deux accepté ces termes, cela signifie que vous avez une base sur lequel entamer une bonne relation</strong>. En tant que freelance, vous allez parfois être sollicité pour signer un contrat ou des termes venant de vos clients aussi, assurez-vous de les avoir lu attentivement car ils ont peut-être des clauses spécifiant un écrasement de vos propres termes.</p>



<h2>Refacturer d'autres services</h2>


<p>Parallèlement à vos propres services, vous allez être amené à facturer d'autres services demandés par votre client. Comme par exemple l'hébergement, les coût d'impression ou le travail de spécialistes. Il y a quelques écueils à ce niveau là&nbsp;:</p>

<ul>
<li><strong>N'offrez jamais ce service, à moins que le coût soit très faible</strong>. Habituer le client à avoir des choses gratuitement est une très mauvaise idée car un simple service peut vite devenir une liste qui peuvent vous mener à un agacement et finalement à une mauvaise relation&nbsp;;</li>
<li><strong>Ajoutez une marge au prix initial</strong>. Ajouter de l'ordre de 25% au prix initial lorsque vous refacturez est un standard, cela couvre vos propres frais d'avance et de logistique (appels, temps d'enregistrement, etc)&nbsp;;</li>
<li><strong>Si le prix est élevé, envisagez sérieusement de laisser le client traiter directement avec le fournisseur</strong>. Alors qu'il est tentant d'avoir une commission de l'ordre de 25% sur un coût élevé comme une grosse commande d'impression, vous êtes en fait en train de prendre un risque très élevé. Pré-payer un service très coûteux qui n'est finalement pas retenu par le client peut vous faire couler très rapidement. Le meilleur exemple à ce sujet est le marché de l'impression. Le coût des travaux d'impression grimpe rapidement et si le contrat évolue mal pour une quelconque raison et que le client décide de recommencer, vous allez vous retrouver dans une situation très inconfortable où il va falloir ré-imprimer à vos frais. Refacturer ce type de surcoût peut marcher, mais vous le faites à vos risques et périls.</li>
</ul>


<h2>Argent&nbsp;: Comment bien doser&nbsp;?</h2>


<p>Cela nous amène à la partie la plus difficile dans une activité freelance - décider de ce qu'il faut facturer. La plupart des freelances travaillent avec un taux horaire. Ils vont donc soit se vendre à ce taux horaire là, soit utiliser ce taux horaire pour déterminer le coût d'une mission en estimant le nombre d'heures nécessaires.</p>


<p>Établir votre taux horaire requiert les considérations suivantes&nbsp;:</p>

<ul>
<li><strong>Que facturent les autres ?</strong> Évidemment, s'aligner sur les prix du marché est probablement le plus important, surtout lorsque vous débutez. Si tout le monde facture 50€/heure et que vous êtes à 200€/heure vous allez avoir du mal à trouver du travail. Renseignez-vous, en particulier auprès des personnes dans votre domaine d'activité ayant les mêmes compétences que vous.</li>
<li><strong>Quel est le maximum que vous pouvez facturer ?</strong> Si vos services demandent vraiment 200€/heure et qu'il y a suffisamment de clients prêt à payer pour ça, vous seriez idiot de ne pas facturer un tel taux horaire. En réalité, votre prix doit être ce que le marché peut supporter. Trouver le bon dosage passe par des tests et les erreurs peuvent vous faire perdre des contrats. Faites-les au cours du temps en procédant par petites modifications.</li>
<li><strong>Qu'avez-vous besoin de facturer ?</strong> L'une des façons d'établir votre taux horaire est de prendre le problème à l'envers et de calculer le nombre d'heures pendant lesquelles vous allez être payé durant la semaine, quels sont vos coûts et finalement combien est-ce que vous devez être payé pour rentrer dans vos dépenses. Cela peut être un bon moyen, à part si vous ne savez pas combien d'heures est-ce que vous allez travailler dans la semaine car vous venez de commencer.</li>
</ul>

<p>Un autre point important à prendre en considération est que les heures que vous allez facturer ne représentent qu'une partie des heures où vous allez effectivement travailler. Il est tentant de faire le calcul suivant&nbsp;: 40€/heure x 40 heures par semaine = 1600€ par semaine. <strong>En réalité, chaque heure travaillée est accompagnée d'une heure qui n'est pas facturable</strong> comme la comptabilité, les relations clients, la recherche de travail, l'auto-promotion, etc. Vous devez de plus considérer les maladies, les vacances et le temps où vous n'avez tout simplement rien à faire. Pour ces raisons, votre taux doit généralement être plus élevé que ce que vous aviez déterminé en première estimation.</p>


<p>D'un autre côté, il y a des avantages à sous-facturer, en particulier au début de votre carrière. Il faut savoir qu'un coût peu élevé vous apporte du travail, du travail par reconduction et plus important du travail par référence. Étant donné que les contrats sont la base de votre activité de freelance, cette variable ne doit pas être sous-estimée. Si vous produisez du bon travail à coût réduit, les clients vont être intéressés. Bien sûr au début il va être difficile de finir les mois alors que vous travaillerez très dur mais ce que vous pouvez faire c'est augmenter légèrement vos prix à chaque vague successive de clients. <strong>Au final, vous allez être dans une position où vous aurez beaucoup de travail à des coûts intéressants</strong>. D'après mon expérience, du début de ma carrière de freelance à sa fin, mon taux horaire a été multiplié par un facteur 6 allant de vraiment bon marché à relativement coûteux.</p>


<p>Une autre facette importante de votre facturation est de conserver une trace de ce à quoi vous consacrez votre temps, pas seulement lorsque vous travaillez pour un client, mais de façon générale. Comme je l'ai sus-mentionné, <strong>trouvez-vous un bon programme de gestion du temps</strong> et identifiez à quoi est-ce que vous passez votre temps. Cela va vous aider à comprendre ce que vous devez facturer ainsi que ce qui se passe réellement en opposition avec ce que vous pensez qu'il se passe.</p>



<h2>Facturation</h2>


<p>Maintenant tout va bien car vous avez fixé vos prix, mais à la fin de la journée les devis ne sont pas payés, les factures si - la plupart du temps. Être à jour dans vos factures peut faire la différence entre une entreprise haletante et une entreprise prospère.</p>


<p>Pour commencer, qu'est-ce qu'une facture&nbsp;? C'est simplement la contrepartie à un devis. Alors qu'un devis est une déclaration de ce qu'un client va payer, la facture est le papier qui dit «&nbsp;payer ce montant maintenant s'il vous plaît ». Le format exact d'une facture diffère selon le pays, mais on retrouve généralement les parties suivantes&nbsp;:</p>

<ul>
<li><strong>Taxes et informations légales</strong>&nbsp;: cela peut inclure l'enregistrement de votre entreprise (n° siret ?), votre adresse et le numéro de facture&nbsp;;</li>
<li><strong>Ce qui doit être payé</strong>&nbsp;: le coût final, souvent détaillé pour être en accord avec le devis&nbsp;;</li>
<li><strong>Comment payer</strong>&nbsp;: il est bon de rendre cette étape aussi simple que possible. Offrez plusieurs options comme un transfert, une adresse pour envoyer les chèques et un service comme paypal pour accepter les paiements par carte de crédit&nbsp;;</li>
<li><strong>La date d'échéance</strong>&nbsp;: donner une date précise à votre client pour régler sa facture est crucial pour avoir quelque chose à montrer si les choses tournent mal. Le laps de temps donné au client varie, mais c'est généralement entre le paiement immédiat et une échéance de 90 jours.</li>
</ul>

<p>Pour un travail conséquent, vous voudrez peut-être découper les différentes parties en itérations, qui une fois complétées sont à l'origine d'un paiement partiel. Vous pouvez par exemple découper la mission en trois étapes, et demander ensuite un paiement de 25% suivi d'un paiement de 25% par étape complétée. Lorsque vous définissez les itérations, assurez-vous d'avoir des choses concrètes à livrer que le client puisse estimer à la fin de chaque itération. Vous devez aussi pouvoir estimer le planning et produire un calendrier d'exécution des différentes itérations.</p>


<p><strong>L'avantage des paiements par itération est que votre situation financière va devenir significativement plus stable</strong>. Au lieu d'attendre des mois pour que le travail soit achevé et ensuite attendre encore un autre mois pour le paiement, vous récupérez des parties du magot à intervalles réguliers. L'autre avantage majeur est que vous diminuez les chances de ne pas être payé pour un travail important.</p>


<p>Dans presque tous les cas, il est bon de demander un dépôt au début de la mission. C'est particulièrement vrai pour les clients que vous ne connaissez pas ou qui ont un historique de paiement lent. Le dépôt initial peut aller de 25 à 50%. Inutile de dire qu'une fois cet acompte encaissé, vous avez intérêt à finir le travail et à le finir bien.</p>


<p><strong>Peut-être que le point le plus important au sujet de la facturation est de ne pas l'oublier</strong>. Parfois, lorsque vous êtes submergé par le travail, cela peut être rejeté au fin fond de votre liste des tâches mais le plus tôt vous envoyez la facture, le plus tôt vous serez payé. La facturation et son suivi doit toujours être en bonne position dans votre liste de tâches.</p>



<h2>Être payé</h2>


<p>Au cours de votre carrière, vous avez malheureusement de bonnes chances de tomber sur un client qui refuse de payer, essaye de réduire sa facture ou laisse courir le paiement indéfiniment. Ces clients peuvent être à l'origine de gros problème pour votre petite activité de freelance, en particulier si ce contrat constitue une partie importante de votre travail sur une période donnée.</p>


<p>Avant de discuter des façons de vous faire payer, il est important de noter qu'il est utile de garder une certaine réserve d'argent sur vos comptes professionnels ou personnels pour gérer ce genre de cas. Ne pas avoir l'argent nécessaire pour payer votre pain quotidien alors que vous attendez le paiement de factures - aussi connu sous le nom de problèmes de <em>cash flow</em> - est l'une des cause principale de cessation d'activité pour les petites entreprises.</p>


<p>Lorsqu'un client refuse de payer, vous allez naturellement vous tourner vers le devis original, les mails et les facture pour vous aider. <strong>Il est intéressant d'avoir des devis détaillés pour pouvoir attester de la bonne réalisation de votre travail point par point</strong>. Si vous avez des mails témoignant de la satisfaction du client, cela va aussi vous aider.</p>


<p>Étudions les trois principaux scénarios&nbsp;:</p>


<h3>Le client qui fait traîner le paiement</h3>


<p>Sur vos devis et ensuite vos factures, vous avez inscrit vos «&nbsp;Conditions de paiement » ou en d'autres termes le délai accordé avant le paiement depuis l'édition de votre facture. Cela peut aller du paiement à la réception à un délai de 90 jours. Clairement, laisser 90 jours au client lui est favorable et je vous déconseille d'être aussi généreux. Il est plus courant de laisser entre 0 et 30 jours de délai. Les grosses entreprises peuvent se permettre ces conditions, pas vous.</p>


<p>Lorsqu'un client dépasse ce délai, il est de votre ressort de le lui rappeler, encore et encore. <strong>Souvenez-vous que la seule personne qui doit être embarrassée par une telle situation est celle qui n'a pas payé</strong>, donc si vous avez honte de constamment téléphoner ou écrire pour de l'argent, oubliez définitivement ce sentiment.</p>


<p>Un rappel hebdomadaire ou dans des situations plus extrêmes quotidien au sujet des paiements convient tout à fait. Il y a un proverbe disant <em>la roue grinçante obtient la graisse</em> (traduction ?) et c'est particulièrement vrai lorsque l'on en vient à être payé. Si le client semble gêné du fait que vous lui demandiez à être payé, cela fait peut-être partie de sa stratégie pour ne pas payer et vous devriez reconsidérer le fait de travailler pour lui.</p>


<p><strong>Une autre solution pouvant vous prémunir des retards de paiement est d'instaurer un système d'honoraires de retard</strong>. Vous pouvez demander 1% en plus lors d'un paiement en retard et 1% de plus à chaque mois suivant de retard. Ne mettez pas en place des intérêts trop élevés, vous ne devriez pas dépasser les 12 à 15% par an - ce qui équivaut à ceux d'une carte de crédit.</p>


<p>Les honoraires de retard peuvent fonctionner, mais beaucoup de clients vont s'offusquer et cela peut aller jusqu'à l'animosité. En particulier si vous êtes strict et les mettez en application dès la date dépassée. De même, si vous demandez des agios à un client avec qui les relations ont toujours été excellentes, il y a de grandes chances pour que vous receviez un mail ou un coup de fil énervé&nbsp;!</p>



<h3>Le client qui essaye de réduire la facture comme il peut</h3>


<p>Dans ce cas, le client va souvent se plaindre de ne pas avoir eu tout ce qu'il avait initialement demandé. C'est pour cette raison qu'il est si important d'avoir un devis clair, sous forme de liste. Dans la mesure du possible, il est bon d'avoir un devis qui a été signé en votre possession. Si vous n'êtes pas en possession d'une copie signée, un début de paiement ou une quelconque preuve d'accord initial écrit suffira à prouver que le client avait accepté le devis.</p>


<p>La meilleure chose à faire dans ce cas est de rendre personnellement visite au client. Au lieu d'envisager une confrontation, allez-y avec deux idées en tête&nbsp;:</p>

<ul>
<li>vous assurer que les souhaits du client ont été exaucés et expliquer qu'il faut une bonne raison pour avoir un réduction&nbsp;;</li>
<li>vous ne devez pas simplement demander poliment à être payé, vous devez rester ferme sans être agressif.</li>
</ul>

<p><strong>Rencontrer le client ou au moins l'avoir au téléphone est le meilleur moyen de se mettre d'accord sur les problèmes rencontrés</strong>. Si vous sentez que le client essaye juste de ne pas payer son dû, rappelez les conditions du devis ou n'importe quel autre document montrant que vous avez livré ce qui était convenu. Si le problème ne peut être résolu - ce qui est peu probable - vous en arrivez au scénario suivant.</p>



<h3>Le client refuse complètement de payer ou vous évite</h3>


<p>Lorsque la situation évolue d'un retard de paiement ou d'un désaccord sur le paiement à un refus de paiement, il est temps d'agir légalement. Chaque situation est différente et les lois diffèrent selon les pays. En général, vous devriez toujours avoir un avocat avec qui vous êtes en contact et que vous pouvez appelez dans ce type de situation.</p>


<p>Vous pouvez aussi engager un agent de recouvrement. Les agents de recouvrement prennent un pourcentage de la somme qu'ils doivent récupérer et sont généralement très expérimentés pour extraire l'argent des clients escrocs par leur acharnement et les ramifications légales ou financières de leurs actions.</p>


<p><strong>Il y a aussi des fois - en particulier pour les petites sommes d'argent - ou ça rentre dans le cadre des pertes et profits</strong> et vous maudissez les clients et surtout cette sorte là comme la peste. Cette conduite est à tenir lorsque les coûts légaux et de recouvrement sont supérieurs à la somme due. C'est rageant mais c'est parfois tellement plus simple.</p>



<h2>Reconnaître les clients à problèmes</h2>


<p>Tous les clients ne sont pas identiques, et avec l'expérience vous allez facilement identifier les clients qui vont vous poser des problèmes ensuite. Voici quelques signes potentiels permettant d'identifier ces clients - retenez qu'il n'y a pas de règle stricte pour cela&nbsp;:</p>

<ul>
<li><strong>Les clients qui se surprotègent</strong>. Vous allez quelques fois avoir des clients qui vous feront signer un tas de paperasse légale, comme des accords de confidentialité, des termes de livraison, des contrats, etc. Normalement, ce n'est pas une mauvaise idée si vous portez une attention particulière à la lecture de ces documents, mais d'après mon expérience, les clients qui s'inquiètent de ne pas être arnaqués finissent généralement par penser qu'ils ont été arnaqués. C'est un peu comme s'ils réunissaient préventivement des preuves contre vous. Il ne faut pas nécessairement penser qu'un client qui veut vous faire signer quelque chose est un mauvais client, mais soyez circonspect si un client semble très inquiet du fait que vous puissiez l'arnaquer.</li>
<li><strong>Les clients qui posent beaucoup de questions sur leur obligation de paiement s'ils n'apprécient pas le résultat</strong>. Cela arrive souvent dans le design, le client va poser une question du genre&nbsp;: «&nbsp;Que se passe-t-il si je n'aime pas le logo que vous me proposez, dois-je quand même payer pour celui-ci&nbsp;? » Cela prouve que le client n'a pas confiance en vos services et signifie généralement que vous allez avoir du mal à traiter avec lui.</li>
<li><strong>Les clients qui annoncent qu'ils ont eu une très mauvaise expérience avec le dernier développeur/graphiste</strong>. Des fois ils sont vraiment tombés sur un mauvais, mais parfois ils sont eux-même la source du problème. C'est un peu comme les personnes qui ont toujours de mauvaises relations, si vous observez attentivement le point commun à toutes leurs relations c'est eux. Dans les affaires, il est fréquent qu'il s'installe de mauvaises relations avec d'autres fournisseurs ou entrepreneurs, et dans la plupart des cas ils tiendront le même discours de vous.</li>
</ul>

<p>Faire attention à ces signes peut vous aider à vous prémunir de futurs problèmes. Néanmoins, souvenez-vous toujours que chaque client est différent et qu'il n'y a pas de règles pré-établies donc <strong>laissez toujours au client le bénéfice du doute si vous n'êtes pas sûr</strong>.</p>



<h2>Périmètre, livraison et étapes</h2>


<p>Lorsqu'un client vous paye pour réaliser un travail, il est de votre responsabilité non seulement de faire du bon boulot mais aussi de le faire dans les temps. En fait, la qualité du travail et l'efficacité avec laquelle vous le réalisez sont aussi importantes pour beaucoup de clients et vous allez vous forger une sacré réputation si vous livrez dans les temps. <strong>Dans le monde professionnel, la plupart des gens veulent pouvoir compter sur une échéance, même si c'est au détriment de la qualité</strong>. Bien sûr, produire un travail de haute qualité dans les temps est encore mieux&nbsp;!</p>


<p>Le calendrier de travail doit être réalisé dès le début. C'est pourquoi il est intéressant de faire des prévisions pour estimer la somme de travail nécessaire. Ça dépend aussi du domaine, dans le développement cette analyse est souvent très poussée avant de commencer le travail.</p>


<p>Lorsque vous avez une idée précise du travail à réaliser et que vous vous êtes mis d'accord avec le client, il est temps de lui fournir des dates de livraison pour ce travail. Ces dates sont généralement assorties de livrables pour que le client se rende compte de l'avancée du travail et peuvent être associées à des paiements comme nous l'avons précédemment évoqué.</p>


<p>Après s'être mis d'accord sur un agenda, il est absolument impératif que vous vous y teniez. Je ne peux pas vous dire à quel point les livraisons dans les temps sont importantes et l'influence que cela peut avoir sur les projets suivants et sur votre réputation.</p>



<h2>Service, accessibilité et coups de bourre</h2>


<p>On distingue quatre caractéristiques dans un travail&nbsp;: <strong>la qualité, le prix, la confiance et le service. Si vous pouvez livrer chacun des quatre, vous allez être très recherché</strong> par la suite. Nous allons maintenant parler du dernier item&nbsp;: le service.</p>


<p>Comme dans toutes les autres affaires, le service est ce qui vous différencie, permet de garder de bonnes relations avec le client et justifie vos honoraires. Lorsque l'on est freelance, le service prend quatre formes différentes&nbsp;:</p>

<ul>
<li><strong>Relations générales</strong>. Cela comprend la qualité de vos rencontres réelles, vos conversations au téléphone et vos emails. Il faut que vous soyez accessible, affable et que vous ayez le sens du contact. Cela prend en compte l'intérêt que vous portez au client et à son travail, au-delà de la mission. <strong>Il faut que vous soyez quelqu'un avec qui l'on ait envie de travailler</strong>.</li>
<li><strong>Accessibilité</strong>. Les clients veulent pouvoir vous contacter facilement. Il n'y a rien de pire que de ne pas réussir à joindre quelqu'un dans une situation critique donc soyez certain d'être accessible par téléphone, par mail, par messagerie instantanée et voire même à l'adresse de votre bureau. <strong>Des missions différentes demandent différents niveaux d'accessibilité en termes d'extras, mais tous les freelances doivent au moins être accessibles dans les heures ouvrables de bureau</strong>. Si vous êtes inaccessible pour un temps, soyez assuré d'avoir des répondeurs - que vous consultez&nbsp;! Si vous prenez des vacances ou êtes malade, ayez un message de réponse personnalisé et/ou ayez un répondeur automatisé pour vos emails de façon à ce que vos clients sachent où vous êtes.</li>
<li><strong>En faire parfois plus</strong>. En faire plus lors d'une mission signifie faire un petit extra. Cela peut être une fonctionnalité non demandée dans un logiciel, une mise à jour de leur identité visuelle, ou quelque chose dont ils auront besoin mais qu'ils n'ont pas demandé. <strong>C'est le petit truc qui fait qu'un client sent qu'il est choyé lors de la livraison et que vous êtes quelqu'un de bien</strong>. Attention, j'ai bien dit «&nbsp;parfois ». Si vous livrez constamment plus que ce qui est prévu, votre client va tout simplement s'habituer à obtenir certaines choses ainsi et il ne demandera plus rien en supplément. De plus, assurez-vous (subtilement) que votre client se rende compte que vous avez fait ce petit extra ou sinon vous allez en perdre le bénéfice - bien que vous ayez la satisfaction d'un travail bien fait.</li>
<li><strong>Coups de bourre</strong>. Lorsque vous êtes freelance, vous allez parfois devoir travailler plus rapidement que prévu et je vous conseille de tirer avantage de ces situations. Cela arrive souvent dans une mission freelance car vos clients ont souvent eux-mêmes leurs propres clients et tous les clients ont des échéances. <strong>Lorsque vos clients viennent vers vous avec une échéance urgente que personne d'autre ne peut tenir, il est intéressant que vous puissiez produire le travail attendu dans les temps</strong>. Ici aussi attention, mettre les bouchées doubles continuellement va devenir quelque chose d'attendu par le client. Donc utilisez vos pouvoirs avec parcimonie pour qu'ils soient appréciés à leur juste valeur&nbsp;!</li>
</ul>


<h2>S'étendre pour devenir une société</h2>


<p>Partir d'une activité de freelance à succès pour se développer et employer de nouvelles personnes dans le but de passer d'une carrière solo à un groupe peut être votre but initial ou pas. C'est néanmoins un schéma que l'on retrouve souvent et c'est une excellente manière de monter sa société en s'affranchissant d'un capital initial important.</p>


<p>Il y a tout de même un piège, lorsque vous êtes seul à travailler pour vous-même, vous n'avez à vous soucier que d'une seule personne&nbsp;: vous. Vous savez quand est-ce que vous êtes efficace au travail, ce dont vous êtes capable, l'argent dont vous avez besoin, lorsque vous êtes distrait et lorsque vous travaillez dur. En d'autres termes, <strong>vous avez du succès en tant que freelance car vous êtes totalement sous votre propre contrôle</strong>. Lorsque vous décidez d'embaucher des personnes, vous arrivez dans le grand bain, lequel va nécessiter de votre part énormément de management et beaucoup moins de pratique de votre activité principale.</p>


<p>Il y a beaucoup d'avantages et d'inconvénients à passer à une structure plus importante et cela peut être très rentable. <strong>Pour terminer cet article, je donnerais comme conseil de commencer doucement et de ne pas vous étendre au dessus de vos moyens</strong>. Vous pouvez aussi lire un <a href="http://www.amazon.com/E-Myth-Revisited-Small-Businesses-About/dp/0887307280">livre appelé E-myth</a> (équivalent français ?) qui traite justement de cette situation.</p>
