title:      Ontologies et biologie : l&#39;espoir du web sémantique ?
slug:       ontologies-et-biologie-l-espoir-du-web-semantique
date:       2007-04-19 23:53:24
type:       post
vignette:   images/logos/mygrid.png
contextual_title1:  ★ De l&#39;OpenData au LinkedData : exemple de nosdonnees.fr
contextual_url1:    20101130-de-lopendata-au-linkeddata-exemple-de-nosdonneesfr
contextual_title2:  ★ Pourquoi Python et Django
contextual_url2:    20091211-pourquoi-python-et-django
contextual_title3:  ★ Discussions sur les applications web libres
contextual_url3:    20091202-discussions-sur-les-applications-web-libres

<p>J'ai eu la chance d'assister aujourd'hui à une conférence intitulée «&nbsp;A Semantic Jamboree for Biology: Ontologies, the Semantic Web and Semantic Middleware » donnée par <a href="http://www.cs.man.ac.uk/~carole/">Carole Goble</a> sur le site de l'Institut Pasteur. C'était vraiment passionnant et j'étais heureux de replonger un peu dans l'ambiance scientifique. Voici le contenu résumé de la présentation&nbsp;:</p>

<blockquote><p>Over the past ten years or more there has been huge enthusiasm for ontologies in biology. Examples include the Gene Ontology, BioPAX, OBI, etc. Ontologies are community-wide and community developed knowledge models that we use to annotate datasets, index data, cross-link records and exchange information. But they can be much more than this. And less.</p>
<p>
Ontology-enabled metadata is used in the Life Sciences to harvest and harness the collective intelligence of the Life Science community - its data sets, its know-how, it tools and its people. This is also the aim of the Semantic Web. By adding machine-processable metadata into the Web we can enrich the Web with ontologies, interlink and aggregate the data published on the web or generated by Web Services, and even infer new information. So the Semantic Web seems like an ideal partner for the Life Sciences, and the Life Sciences are a community with a need and an environment that can incubate the development of the Semantic Web. But sometimes a little semantics is all you need.</p>
<p>
Meanwhile, there has been a revolution in how we automate and integrate the resources of the Life Sciences – web services and workflows are the mainstays of the technical middleware underpinning our integration platforms. The myGrid project and its Taverna workflow workbench is an example of such a modern <a href="http://www.mygrid.org.uk">Bioinformatics platform</a>. So is the new social networking and workflow exchange initiative <a href="http://www.myexperiment.org">myExperiment</a>. Again, semantic technologies are valuable for finding datasets, guiding workflow development, recording and reusing results and helping Scientists exchange and share their science and their ideas. But the devil is in the detail.</p>
<p>
In this tutorial I will tackle two things: first an introduction to Ontologies, their purpose, the state of the art and the language and tools to develop them. In the second part I will talk about my own research using ontologies to help life scientists integrate and explore the plethora of knowledge out there in the community. I will draw on my work on the myGrid, myExperiment and OntoGrid projects, my past work on the TAMBIS project and work by my colleagues on the SeaLife and ComparaGrid projects. I’ll darw on examples from other work such as the SWAN system at Harvard, BioDASH at MIT and the rise of social tagging in Scientific publications.</p></blockquote>


<p>Et maintenant quelques phrases que j'ai retenu, en attendant que le support de la <a href="http://www.cs.man.ac.uk/~carole/talks/index.html">présentation soit en ligne</a> (très prochainement dixit la conférencière qui avait pas mal de problèmes avec PowerPoint alors qu'<a href="http://meyerweb.com/eric/tools/s5/">il existe des alternatives tellement plus pratiques</a>)&nbsp;:</p>


<blockquote><p>Il n'y a pas de Science, il n'y a que des scientifiques qui échangent leurs connaissances.</p></blockquote>


<p>L'introduction commençait assez fort et continuait sur le concept de la valeur ajoutée des méta-données via les étiquettes. <strong>C'est ce qui distingue une information d'un savoir</strong>. L'étiquetage se réalise en 3 étapes&nbsp;:</p>

<ul>
<li>l'ajout d'une étiquette&nbsp;;</li>
<li>la description de l'étiquette&nbsp;;</li>
<li>l'explication du sens de l'étiquette.</li>
</ul>

<p>Le concept actuel des tags crée une connaissance non contrôlée due au nombre de possibilités trop important et au manque de description des relations qui peuvent exister entre ces tags. Il est nécessaire de définir un vocabulaire commun pour arriver à un résultat satisfaisant qui apporte du sens.</p>


<h2>Ontologies</h2>


<p>Rien de vraiment nouveau de ce côté là, surtout lorsqu'on s'est un peu renseigné avant en lisant <a href="http://fr.wikipedia.org/wiki/Ontologie_%28informatique%29">la page sur Wikipédia</a> ou d'autres <a href="http://interstices.info/display.jsp?id=c_17672">articles intéressants à ce sujet</a>. D'ailleurs, le dernier paragraphe de la dernière page évoque <strong>la programmation orientée ontologie</strong>. C'est un concept d' «&nbsp;Intelligence Artificielle » auquel je n'avais pas pensé auparavant et qui me semble très intéressant. Il faut encore que j'y réfléchisse.</p>


<h2>Web sémantique</h2>


<p>J'attendais cette partie avec impatience et malheureusement elle a été un peu escamotée faute de temps mais j'attends impatiemment le support de présentation qui contenait des graphes assez parlants. C'est surtout <strong>l'opposition «&nbsp;web intelligent crée par une élite » mais peu utilisé vs. le web grand public comprenant l'annotation des ressources par les masses mais de façon non conventionnelle et quasi-inutilisable</strong>. Ça m'a rappelé l'opposition <abbr title="Resource Description Framework">RDF</abbr>/Microformats <a href="https://larlet.fr/david/biologeek/archives/20060815-a-la-recherche-d-un-site-semantique/">dont j'ai déjà parlé</a> et j'ai d'ailleurs posé la question en fin de présentation. Les Microformats représentent un part de l'avenir dixit la conférencière du fait de leur inclusion directe dans la page et l'une des tendances actuelles est d'<strong>inclure du RDF sous la forme de Microformats directement dans les pages</strong>, il faudra que je me renseigne là-dessus.</p>


<blockquote><p>Les geeks doivent construire des outils pour que les masses fassent du web sémantique sans le savoir, un peu à la manière des tags de Flickr.</p></blockquote>


<p><del>La bataille</del> l'avenir du Web Sémantique en dépend et de nombreux espoirs sont nourris vis-à-vis de son essor dans les disciplines scientifiques comme la biologie.</p>


<h2><a href="http://www.mygrid.org.uk/">myGrid</a>&nbsp;: des workflows de mashups dédiés à la biologie</h2>


<p>Bon outre le fait de faire péter le compteur 2.0 (ce qui est relativement rare en biologie), le projet est intéressant et je vais essayer d'expliquer clairement de quoi il retourne (enfin du moins ce que j'ai compris, je n'ai pas encore eu le temps de tester).</p>


<p>Devant le constat d'un nombre très important de services proposés aux scientifiques, l'équipe de Carole Goble a identifié des workflows récurrents d'utilisation de ces services. Ils ont donc eu l'idée de créer des workflows type d'utilisation de ces services. Ceux-ci étant utilisables via des services web, <strong>il a été relativement simple de créer des agrégations de ces services (ou mashups)</strong>. Pour aller plus loin, le soin est laissé aux chercheurs de créer leurs propres workflows et de les partager. C'est en quelque sorte du <a href="http://pipes.yahoo.com/pipes/">Yahoo Pipes</a> dédié à la biologie.</p>


<p>La dernière version de l'application a permis l'insertion de sémantique mais on manquait de temps pour aborder les détails.</p>


<h2>Conclusion</h2>


<p>Au final, malgré le manque de temps, je ne regrette pas du tout d'avoir assisté à cette conférence aussi bien par la densité des sujets intéressants abordés que par la prestation de la conférencière qui avait la pèche du début à la fin&nbsp;! (et qui s'exprimait en anglais très distinctement).</p>


<p>Ça fait plaisir aussi de voir qu'<strong>une (petite) partie de la biologie n'est pas en retard de quelques années, c'est vraiment motivant</strong>. Il faut que j'explore un peu toutes les pistes données car certaines initiatives comme l'<a href="http://obo.sourceforge.net/">Open Biology Ontology</a> ou <a href="http://www.geneontology.org/">Gene Ontology</a> le méritent. Le meilleur est à venir ;-).</p>
