title:      Trouver un projet d&#39;application web
slug:       trouver-un-projet-d-application-web
date:       2007-05-06 12:12:47
type:       post
vignette:   images/logos/web20.png
contextual_title1:  ★ Discussions sur les applications web libres
contextual_url1:    20091202-discussions-sur-les-applications-web-libres
contextual_title2:  ★ Bilan après une année de freelance
contextual_url2:    20090102-bilan-apres-une-annee-de-freelance
contextual_title3:  ★ Pourquoi avoir peur de Google ?
contextual_url3:    20080907-pourquoi-avoir-peur-de-google

<p>Vous étudiez l'évolution du web depuis quelques anées et vous vous dites qu'il serait intéressant de participer pleinement à son essor&nbsp;? Il est grand temps de se jeter à l'eau. Voici quelques étapes pour imaginer et définir votre application web.</p>

<h2>Définir le but</h2>


<p>C'est certainement la première question à se poser&nbsp;: <strong>pourquoi vouloir créer une n-ième application web ?</strong> Ce but est différent selon les personnes, en voici une liste non exhaustive&nbsp;:</p>

<ul>
<li><strong>lucratif</strong>&nbsp;: il s'agit de s'en mettre plein les poches ou au moins de ne pas être déficitaire. C'est relativement difficile actuellement et on se demande toujours quel est le business model de certaines des application web 2.0&nbsp;;</li>
<li><strong>renommée</strong>&nbsp;: se faire mousser&nbsp;? Pas vraiment, c'est plutôt pour se faire connaître, cela peut-être une stratégie de carrière ou un moyen de lancer avec succès une autre activité en parallèle&nbsp;;</li>
<li><strong>expérience</strong>&nbsp;: il n'y a qu'en étant en conditions réelles que l'on peut véritablement progresser sur certains plans. Cela permet aussi de découvrir les avantages et les inconvénients de certaines technologies&nbsp;;</li>
<li><strong>personnel</strong>&nbsp;: vous avez un besoin qui n'est pas encore comblé et comme vous êtes un geek vous vous dites que ça prend une après-midi et que ça pourrait servir à d'autres.</li>
</ul>

<p>Il y en a de nombreux autres et <strong>c'est souvent une somme de ces raisons qui peut vous décider</strong>&nbsp;: vous rêvez d'avoir telle application qui vous permette d'accroître votre expérience et votre renommée pour pourquoi pas la rendre rentable au bout d'un certain temps si vous voyez qu'il y a un nombre important de personnes intéressées ;-).</p>


<h2>Analyser les besoins</h2>


<p>Voici quelques uns des besoins actuels et les solutions actuelles qui leurs sont associées (encore une fois il doit en manquer pas mal...), il n'y a pas vraiment d'ordre défini et je ne mets que quelques exemples, l'objectif est avant tout de se faire une idée avec un certain recul&nbsp;:</p>

<ul>
<li><strong>échange</strong>&nbsp;: mail, forum, messagerie instantannée&nbsp;;</li>
<li><strong>rencontre</strong>&nbsp;: meetic, doodle&nbsp;;</li>
<li><strong>identité</strong>&nbsp;: cv, openid, viadeo&nbsp;;</li>
<li><strong>information</strong>&nbsp;: google, netvibes&nbsp;;</li>
<li><strong>contact</strong>&nbsp;: carnet d'adresses, copaing&nbsp;;</li>
<li><strong>participation</strong>&nbsp;: wiki, commentaires, votes&nbsp;;</li>
<li><strong>publication</strong>&nbsp;: blogs, flickr, youtube&nbsp;;</li>
<li><strong>vente</strong>&nbsp;: ebay, comparateurs, magasin en ligne&nbsp;;</li>
<li><strong>divertissement</strong>&nbsp;: jeux en ligne, pr0n&nbsp;;</li>
<li><strong>travail</strong>&nbsp;: veille techno, analyse concurrence, highrise&nbsp;;</li>
<li><strong>gestion du temps</strong>&nbsp;: calendrier, gtd&nbsp;;</li>
<li><strong>déplacement</strong>&nbsp;: ratp/sncf, google maps, mappy&nbsp;;</li>
<li><strong>hébergement</strong>&nbsp;: sauvegarde, serveurs.</li>
</ul>

<p>On remarque que chacun des domaines comporte déjà des leaders qu'il va être difficile de détrôner. Mais est-ce que l'ensemble des besoins utilisateurs sont vraiment couverts&nbsp;? Comment faire la différence face à ces rouleaux compresseurs&nbsp;?</p>


<h2>Stratégie à adopter</h2>


<p>La stratégie va essentiellement dépendre de votre taille.</p>


<p>Si vous êtes de taille à affronter un Google ou un Yahoo! qui sont dans une <strong>stratégie militaire d'écrasement de l'adversaire</strong> (parfois grâce à des alliances comme Google/Apple ou à des fusions comme l'éventuel rachat de Yahoo! par Microsoft). Bon courage, vous en apprendrez sûrement plus en consultant votre services stratégie ;-).</p>


<p>Si vous êtes de taille moyenne, <strong>focalisez-vous sur un seul domaine</strong> comme le fait 37signals avec le monde professionnel par exemple.</p>


<p>Mais si vous êtes en train de lire ce billet, vous n'êtes pas dans ce cas là, vous êtes tout petit. Comment lutter lorsque l'on est en position d'infériorité&nbsp;? Tout simplement en restreignant la cible, c'est-à-dire <strong>en attaquant une toute petite niche d'utilisateurs</strong>. Mais attention, une fois que votre idée aura montré son intérêt, vous allez avoir tous les gros aux trousses et cela va demander d'avoir toujours une longueur d'avance sur ces entreprises qui ont une force de frappe beaucoup plus importante que la votre...</p>


<h2>L'innovation est la clé</h2>


<h3>Miser sur la proximité</h3>


<p>C'est une façon de diminuer drastiquement la concurrence. <strong>Concentrez-vous sur votre ville, votre région</strong>. Le nombre d'utilisateurs potentiellement intéressés n'est pas énorme, rien à voir avec une portée mondiale, mais avez-vous réellement besoins d'autant d'utilisateurs&nbsp;? Il faut parfois commencer petit et cela nécessite moins de développements dans un premier temps par exemple...</p>


<h3>Simplifier</h3>


<p>Malgré le saut ergonomique que les applications web ont fait ces dernières années, il est encore possible de simplifier grandement certaines d'entre elles et il ne faut pas oublier que les générations sachant utiliser basiquement un ordinateur vont bientôt arriver à la retraite. Ne prenez pas des jours et des jours à ajouter une fonctionnalité hype, concentrez-vous sur le cœur de votre application. <strong>Vos utilisateurs ne seront pas forcément des geeks</strong>.</p>


<h3>Mashuper</h3>


<p>Là où avant on utilisait des bibliothèques pour ne pas réinventer la roue en programmation, aujourd'hui on <em>mashupe</em> en se servant d'une application tierce pour réaliser une application précise. Plus besoin de développer votre propre moteur de streaming pour intégrer de la vidéo dans votre application, utilisez l'api de youtube et le tour est joué. <strong>Le développement agile et rapide c'est aussi savoir se servir des ressources existantes !</strong></p>


<h3>Sonder</h3>


<p>Les utilisateurs sont prêts à participer, à vous aider. <strong>Sollicitez-les en demandant leur avis, c'est généralement du gagnant-gagnant</strong>&nbsp;: vous faites une étude de besoin sur votre application à moindres coûts et ils ont au final le service tel qu'ils le rêvaient. Cerise sur le gâteau, il est possible que certains utilisent des services concurrents dont vous n'avez jamais entendu parler...</p>



<h2>Prochainement...</h2>


<p>Bon ça y est, vous avez votre idée qui va révolutionner le monde&nbsp;? En tout cas, c'est mon cas, prochaine étape&nbsp;: mise en place du projet.</p>
