title:      ★ Web social : rendez nous le contrôle de nos données !
slug:       web-social-rendez-nous-le-controle-de-nos-donnees
date:       2007-09-06 17:38:15
type:       post
vignette:   images/logos/opensocialweb.png
contextual_title1:  Les outils manquants de l&#39;OpenData
contextual_url1:    20110328-les-outils-manquants-opendata
contextual_title2:  ★ Architecture web moderne et agile
contextual_url2:    20080604-architecture-web-moderne-et-agile
contextual_title3:  Pérennité et stockage des liens
contextual_url3:    20070415-perennite-et-stockage-des-liens

<p>J'ai lu avec intérêt la <a href="http://opensocialweb.org/2007/09/05/bill-of-rights/">Déclaration des Droits de l'Utilisateur 2.0</a> qui est une excellente idée mais il est vraiment dommage que la réflexion n'ait pas été portée un peu plus loin pour approcher davantage <a href="https://larlet.fr/david/biologeek/archives/20070131-reve-de-geek/">mon rêve de geek</a> qui se concrétise peu à peu avec l'avancée des technologies. Quelques pistes pour aller plus loin grâce aux outils actuels.</p>

<h2>Déclaration des droits de l'utilisateur du Web Social</h2>


<p>On commence par la <a href="http://opensocialweb.org/2007/09/05/bill-of-rights/">traduction de la déclaration</a>, rédigée par 4 personnes influentes du web 2.0&nbsp;:</p>


<p>Nous affirmons publiquement que tous les utilisateurs du web social ont droit à certains droits fondamentaux, notamment&nbsp;:</p>

<ul>
<li><strong>la propriété</strong> de leur information personnelle, incluant&nbsp;:
<ul>
<li>les données de leur profil,</li>
<li>la liste de personnes auxquelles elles sont liées,</li>
<li>le flux d'activité du contenu créé&nbsp;;</li>
</ul></li>
<li><strong>le contrôle</strong> de la manière dont cette information personnelle est partagée avec autrui&nbsp;; et</li>
<li><strong>la liberté</strong> d'autoriser les sites externes de confiance à accéder à ces données.</li>
</ul>

<p>Les sites en accord avec ces termes doivent&nbsp;:</p>

<ul>
<li>Permettre à leurs utilisateurs de syndiquer les données de leur profil, leur liste d'amis, et les données qui sont partagées avec elles par l'intermédiaire du service, en utilisant une URL persistante ou une API ainsi que des formats ouverts&nbsp;;</li>
<li>Permettre à leurs utilisateurs de syndiquer leur flux d'activité en dehors du site&nbsp;;</li>
<li>Permettre à leurs utilisateurs de lier leur page de profil à des ressources externes de manière publique&nbsp;; et</li>
<li>Permettre à leurs utilisateurs de découvrir les connaissances qui sont présentes sur ce site, utilisant les mêmes ressources externes que celles utilisables pour accéder au service.</li>
</ul>

<p>En résumé, et l'<a href="http://www.stoweboyd.com/message/2007/09/the-architectur.html">analyse de Stowe Boyd</a> est pertinente là-dessus, <strong>tant qu'il y a une position de monopole dans le web 2.0 tout va bien car l'information est centralisée mais dès qu'il s'agit de rendre les applications interopérables (ce qui n'est pas forcément dans l'intérêt de tous) c'est beaucoup plus difficile</strong>. Jusqu'ici tout allait bien mais même les early-adopters commencent à se lasser de devoir ajouter leur liste d'amis à chaque nouveau service... alors imaginez le grand public.</p>


<p>En revanche, je ne suis pas d'accord avec le fait qu'il faille rendre les applications interopérables entre elles et les graphiques proposés dans l'analyse sont pour moi voués à l'échec car <strong>l'utilisateur devrait être au centre de l'architecture, nous sommes les données après tout</strong>&nbsp;! Explications.</p>


<h2>Notre identité numérique comme <a href="http://fr.wikipedia.org/wiki/Entrep%C3%B4t_de_donn%C3%A9es">datawarehouse</a> grâce au Web Sémantique</h2>


<p>Prenons un exemple simple pour la suite. Considérons justement la liste d'amis qu'il faut partager entre les différents services web sociaux. L'idéal pour l'utilisateur serait de n'avoir à la définir qu'une seule fois et que les modifications (et oui les relations évoluent très vite) soient prises en comptes par chacune des applications aussi.</p>


<p>Pour cela il faut un endroit unique où définir sa liste d'amis et c'est là qu'intervient <a href="https://larlet.fr/david/biologeek/archives/20070104-comment-utiliser-openid-la-solution-d-identification-tant-attendue/">OpenID</a> qui est ce que nous voulons&nbsp;: <strong>une clé unique sur le web, une URL</strong>. Encore mieux, cet identifiant fourni à l'application tierce va vous permettre de vous identifier sans avoir à remplir un n-ième formulaire vous demandant vos nom(s), prénom(s), etc. <strong>L'utilisateur est gagnant</strong>.</p>


<p>L'avantage c'est que vous avez maintenant le contrôle de vos données car celles-ci sont récupérées et synchronisées régulièrement à partir de votre espace. <strong>Les services web deviennent des agrégateurs de votre contenu, sur lequel vous avez un contrôle total</strong>. Si l'on reprend l'exemple des amis, il suffit que vous placiez un fichier <abbr title="Friend Of A Friend">FOAF</abbr> sur la page pointée par votre OpenID et le service peut collecter ces relations immédiatement et régulièrement pour être toujours à jour.</p>


<p>Nous avions une discussion très similaire avec <a href="http://lacot.org/">Xavier</a> il y a de cela un an (!) <strong>au sujet des commentaires des blogs</strong>. Ceux-ci devraient être rédigés et stockés sur votre espace personnel car ce sont vos données que vous devriez être libre de modifier à tout moment. Ils seraient ensuite liés aux blogs qui agrégeraient les commentaires des différentes personnes ayant réagi à cet article, c'est un peu ce que l'on retrouve en partie avec les trackbacks par exemple.</p>


<h2>Que manque-t-il pour avancer&nbsp;?</h2>


<p><strong>OpenID doit devenir plus mature</strong> pour faire face notamment aux <a href="https://larlet.fr/david/biologeek/archives/20070109-openid-et-phishing-sont-dans-un-bateau/">problèmes de phishing</a> mais c'est en bonne voie, je ne me fais pas trop de soucis de ce côté là.</p>


<p><strong>Des applications doivent être créées pour faciliter la construction de ces datawarehouse personnels</strong>, l'absence de tels outils conviviaux est un réel frein à cette migration. Il y a un marché inexploité de ce côté là et le premier à se lancer là-dedans aura une avance significative sur ses concurrents...</p>


<p>Enfin, <strong>les services web de nouvelle génération doivent adopter une telle approche</strong> mais comme dans toute migration c'est un peu le serpent qui se mord la queue car personne ne souhaite faire ce pas tant qu'il n'y aura pas un nombre important d'utilisateurs qui sont prêts à le faire et les utilisateurs attendent d'avoir des applications prêtes pour adopter cette nouvelle architecture.</p>


<p><strong>Le Web de demain est en marche et c'est motivant.</strong></p>


<p><strong>[edit]</strong>&nbsp;: lien hautement intéressant à ce sujet <a href="http://bradfitz.com/social-graph-problem/">Thoughts on the Social Graph</a> et comme souvent <a href="http://django-psn.googlecode.com/svn/trunk/readme.html">ça bouge rapidement autour de Django</a> :-).</p>


<p><strong>[edit du 9]</strong>&nbsp;: présentation de Simon Willison intitulée <a href="http://www.slideshare.net/simon/building-the-social-web-with-openid/">Building the Social Web with OpenID</a>, ça ne va pas aussi loin mais c'est intéressant.</p>


<p><strong>[edit du 10]</strong>&nbsp;: une autre présentation <a href="http://www.slideshare.net/huw/open-social-networking">Open Social Networking</a> qui reprend exactement l'idée de ce billet (c'est assez hallucinant d'ailleurs !), trouvée sur la liste de diffusion de <a href="http://groups.google.com/group/social-network-portability">Social Network Portability</a> avec le sujet <a href="http://groups.google.com/group/social-network-portability/browse_thread/thread/73a63e318cff5097/b42af11616eb3291">A possible approach?</a> (les réponses sont intéressantes aussi).</p>


<p><strong>[edit du 13]</strong>&nbsp;: <a href="http://danbri.org/words/2007/09/13/194">“The World is now closed”</a>, brillante réflexion sur la décentralisation des données, la notion d'amis et sur l'intérêt des applications web dans ces relations.</p>


<p><strong>[edit du 21]</strong>&nbsp;: ça bouge du côté de Six Apart qui propose d'<a href="http://www.sixapart.com/about/news/2007/09/were_opening_th.html">ouvrir le graphe social</a>. À noter aussi l'initiative <a href="http://openfriendformat.com/">OpenFriend</a> qui planche là-dessus.</p>
