title:      Erreurs classiques de freelances et leurs solutions
slug:       erreurs-classiques-de-freelances-et-leurs-solutions
date:       2007-11-14 23:11:02
type:       post
vignette:   images/logos/freelance.png
contextual_title1:  Estimer le coût d&#39;une mission pour un développeur freelance
contextual_url1:    20080120-estimer-le-cout-d-une-mission-pour-un-developpeur-freelance
contextual_title2:  Conseils pour s&#39;éviter les prises de tête lorsqu&#39;on est freelance
contextual_url2:    20071108-conseils-pour-s-eviter-les-prises-de-tete-lorsqu-on-est-freelance
contextual_title3:  ★ Le guide complet du débutant freelance
contextual_url3:    20070416-le-guide-complet-du-debutant-freelance

<p>Encore une traduction de l'excellent FreelanceSwitch, dont le titre original est <a href="http://freelanceswitch.com/freelancing-essentials/the-10-biggest-mistakes-freelancers-make-and-how-to-avoid-them/">The 10 Biggest Mistakes Freelancers Make, and How to Avoid Them</a>. Je vais essayer de les éviter au mieux dans ma nouvelle activité de freelance Django. <em>Tiens petite question au passage, lorsque je fais des traductions, vous préférez que je commente ou la traduction se suffit à elle même ?</em></p>

<p>Aucune freelance n'est parfait&nbsp;: ni moi, ni vous, ni même le meilleur d'entre nous. Nous faisons tous des erreurs, constamment, et si nous sommes assez intelligent, nous apprenons de ces erreurs.</p>


<p>Néanmoins, certaines de ces erreurs sont plus dommageables que d'autres, et si on arrive à les corriger ou les éviter, nous y survivons. On fait toujours d'autres erreurs mais elles sont moins importantes.</p>


<p><strong>Analysons certaines des pires erreurs que les freelances, débutants comme confirmés, font souvent et la manière d'en venir à bout.</strong></p>


<h2>Ne pas tenir les délais</h2>


<p>Votre capacité à produire un travail de qualité dans les délais impartis est ce qui fait votre réputation. <strong>Et en tant que freelance, votre réputation est tout ce que vous avez</strong>. Si vous ne tenez pas les délais assez souvent, vous allez rapidement voir vos clients aller à la concurrence. Comment corriger&nbsp;: <strong>faites des délais l'une de vos deux top priorités</strong> (de pair avec un résultat irréprochable), surestimez le temps que cela va vous prendre, découpez le projet en étapes plus petites et menez à bien chacune d'entre elles dans les temps.</p>


<h2>Sous-facturer</h2>


<p>Ce sont surtout les nouveaux freelances qui se sous-estiment et demandent moins que ce qu'ils valent. C'est bon si vous êtes débutant et que vous n'avez aucune réalisation à votre actif ni aucune réputation dans le domaine. Mais dès que vous aurez quelques gallons, ne soyez pas effrayé de demander ce que vous valez, autrement vous vous sous-payez. Et vous ne travaillez que pour payer vos factures. Comment y remédier&nbsp;: <strong>il est bon de trouver les prix qui se pratiquent sur le marché et demander un peu plus. Cela signifie au client que vous êtes bon</strong>. Une bonne manière de calculer est de convenir de la marge que vous souhaitez faire et le nombre d'heure réaliste que vous comptez passer dessus. Etablissez ensuite votre facture en fonction de ces chiffres.</p>


<h2>Un manque de recherches préliminaires</h2>


<p>C'est ici la recherche avant d'aborder votre client, pas avant d'accomplir la tâche. Souvent un freelance contacte un client potentiel sans réellement comprendre le client ou ses besoins et sans connaître la valeur ajoutée de ce projet pour le client. Cette approche ne va pas vous ramener beaucoup de clients. Comment l'éviter&nbsp;: <strong>faites de recherches sur votre client avant d'entrer en contact</strong>. Internet est bien entendu parfait pour ça. Informez vous sur ce que le client fait, quel est son marché, ce que sont ces buts (en général), et découvrez comment est-ce que vous pourriez aider le client pour parvenir à ces objectifs. Qu'allez-vous apporter&nbsp;? Dirigez la discussion en ce sens.</p>


<h2>Choisir le mauvais client</h2>


<p>La relation client-freelance est importante et il y a énormément de facteurs vous permettant de différencier le bon du mauvais client, pour vous. Ça dépend de leur domaine d'activité, leur façon de travailler, s'ils sont difficiles, s'ils rechignent à payer, la quantité de travail dont ils ont besoin, leur faculté à payer dans les délais, etc. Si vous choisissez le mauvais client, vous allez gagner moins d'argent, être malheureux et travailler davantage. Comment y remédier&nbsp;: sélectionnez vos clients avec soin. Encore une fois, renseignez-vous sur eux, discutez avec d'autres freelances ayant travaillé pour eux. <strong>Lorsque vous contactez un client, pensez-y comme une interview à double-sens</strong> - ils essayent de déterminer si vous êtes la bonne personne pour ce boulot mais vous devez aussi évaluer si ces clients vont être bons pour vous. Commencez par quelques tâches test mineures pour voir comment les choses évoluent. <strong>À chaque instant, évaluez vos clients pour vérifier qu'ils en valent la peine</strong>.</p>


<h2>Devenir trop proche</h2>


<p>Il est bon de maintenir des relations amicales avec le client, mais restez professionnel. <strong>Vous ne devez pas devenir les meilleurs amis du monde</strong>. Vous ne devez pas non plus être trop formel, mais si ça devient personnel deux choses peuvent se produire&nbsp;:</p>
<ul>
<li>l'un d'entre vous peut être énervé envers l'autre pour une décision professionnelle&nbsp;; ou</li>
<li>le client peut penser que vous n'êtes pas professionnel.</li>
</ul>
<p>Dans les deux cas c'est mauvais pour votre business. Comment l'empêcher&nbsp;: <strong>commencez chaque relation en étant formel, puis faites évoluer cette relation en fonction du client et de sa manière de communiquer</strong>. N'ayez pas peur de devenir proche, mais sachez en même temps conserver une relation professionnelle.</p>


<h2>Laisser éclater sa colère</h2>


<p>Lorsqu'il y a un problème avec un client, certains freelances ont tendance à faire part de leur frustration... au client. Par exemple, si un éditeur décide de ne pas publier mon article, je peux montrer ma frustration et ma déception en laissant éclater ma colère. C'est mal. Ça va mettre un sacré coup à votre réputation professionnelle, à la fois pour ce client et pour les clients suivants. Et à terme, vous allez perdre des clients si vous continuez à faire cette erreur. Comment y remédier&nbsp;: <strong>lorsqu'il y a un problème avec un client, et que vous êtes énervé ou frustré, ne communiquez pas tout de suite</strong>. Laissez retomber la vapeur, parlez en à un ami, faites du sport, videz un paquet de bonbons (<abbr title="Note du Traducteur">NdT</abbr>&nbsp;: je vous recommande les magnums doubles au chocolat). Mais ne vous acharnez pas sur votre client, ni un autre acteur de votre sphère professionnelle. Ensuite, lorsque vous êtes calmé, <strong>communiquez avec votre client d'une manière professionnelle sans faire transparaître la moindre émotion, de préférence de manière positive</strong>, mais clairement et fermement de façon à ce que les problèmes futurs puissent être évités.</p>


<h2>Ne pas proposer de suite</h2>


<p>Souvent un freelance termine sa mission et va ensuite passer à la mission suivante pour un autre client. Peut-être que le freelance espère que la mission s'est tellement bien passée que le client va passer par lui la fois suivante. Malheureusement, ça n'arrive pas souvent. <strong>Si vous ne proposez pas les bases d'une prochaine réalisation, vous ne la verrez jamais</strong>. Comment corriger&nbsp;: lorsque vous arrivez au terme d'une mission, proposez une suite pour une futur travail.</p>


<h2>Ne pas disposer de plusieurs sources de revenus</h2>


<p>Se reposer sur un ou deux clients est <strong>toujours</strong> une mauvaise idée. Si votre gros client vous lâche, ou réduit son budget freelance, ou coule, vous allez être très mal. Et maintenant vous ne pouvez plus payer vos factures. Comment l'éviter&nbsp;: <strong>ayez toujours de nombreuses sources de revenus</strong>. Vous allez probablement commencer avec un seul client (on commence tous comme ça), mais ne vous reposez pas sur cette unique source, cherchez d'autres clients. Et si vous pouvez avoir d'autres sources de revenus (un temps partiel, un autre business, le salaire de votre femme, la vente de produits, etc), travaillez dur pour y parvenir. Ça rendra vos entrées d'argent plus sûres et pérennes.</p>


<h2>Se permettre de glander</h2>


<p>Entendons nous bien&nbsp;: certains jours, on n'a pas envie de bosser. Et c'est bon si vous avez pris en compte cette flexibilité et mettez des bouchées doubles d'autres jours. Mais si vous glandez trop souvent, vous allez vite vous retrouver sans revenu. Et vous n'allez pas tenir les délais. Pas bon du tout ça. Comment y remédier&nbsp;: <strong>vous pouvez vous permettre une certaine flexibilité, de façon à travailler lorsque vous vous sentez productif. Mais si vous avez des délais à tenir, ne vous laissez pas aller</strong>. Motivez-vous pour tenir ces délais, quitte à faire un gros travail sur vous-même.</p>


<h2>Ne pas être soi-même</h2>


<p>Certaines fois on accepte des missions «&nbsp;alimentaires », mais ça ne correspond pas à ce que nous sommes. Et on s'en veut de faire ces choix, et on en arrive rapidement à se haïr d'avoir cédé. Jusqu'à ce que l'on refuse de travailler. Comment corriger le tir&nbsp;: <strong>cherchez dès le début des missions en accord avec vos valeurs, qui vous permettent d'être vous-même</strong>. Cacher la vérité aux autres et à soi ne mène à rien. Soyez sincères dans vos communications avec les autres, et n'hésitez pas à dire non lorsque ce n'est pas compatible avec vous. <strong>Tâchez de toujours trouver un travail qui vous plaît</strong>.</p>
