title:      Mozilla Weave : la libération des données utilisateurs par Mozilla
slug:       mozilla-weave-la-liberation-des-donnees-utilisateurs-par-mozilla
date:       2007-12-24 16:03:39
type:       post
vignette:   images/logos/mozilla_weave.png
contextual_title1:  Firefox Download Day : record de stupidité 
contextual_url1:    20080531-firefox-download-day-record-de-stupidite
contextual_title2:  ★ Résolutions : rediriger, économiser et débattre
contextual_url2:    20120131-resolutions-rediriger-economiser-et-debattre
contextual_title3:  ★ Résolutions : découvrir, concrétiser et transmettre
contextual_url3:    20110112-resolutions-decouvrir-concretiser-et-transmettre

<p>La nouvelle est tellement énorme qu'il est dommage de l'annoncer en ces périodes de fêtes mais ça fait un sacré cadeau de la part de Mozilla&nbsp;: Weave, le framework pour vos données, <a href="http://labs.mozilla.com/2007/12/introducing-weave/">vient de sortir en version beta</a>. Essayons de décrypter les applications possibles.</p>


<p><em>Ce billet fait partie des réponses apportées à la question&nbsp;: <a href="https://larlet.fr/david/biologeek/archives/20071124-quel-avenir-pour-les-applications-web-libres/">Quel avenir pour les applications web libres ?</a></em></p>

<h2>Principes</h2>


<p>J'avais évoqué la possibilité d'avoir recours à un organisme de confiance comme le <abbr title="World Wide Web Consortium">W3C</abbr> dans <a href="https://larlet.fr/david/biologeek/archives/20071202-gweb-peut-on-encore-rever-d-un-web-libre/">mon précédent billet sur GWeb</a> mais il est vrai que Mozilla Corp. pourrait entrer dans ce cadre là.</p>


<p>Les principes sont les suivants&nbsp;:</p>

<ul>
<li>proposer un ensemble de services en ligne optionnels hébergés par Mozilla</li>
<li>s'assurer de la simplicité de création de services par le biais d'outils libres basés sur des standards ouverts</li>
<li>proposer aux utilisateurs un contrôle total et un paramétrage de leur expérience en ligne, intégrant la façon dont leurs données doivent être partagées avec leur famille, leurs amis, et les services tiers.</li>
<li>respecter la vie privée des individus (par exemple le chiffrage au niveau du client par défaut avec la possibilité de déléguer ces droits d'accès)</li>
<li>utiliser les standards ouverts et en proposer de nouveaux si nécessaire</li>
<li>bâtir une architecture extensible comme Firefox</li>
</ul>

<p>Plutôt ambitieux mais tellement encourageant.</p>


<h2>Exemples d'application</h2>


<p>Concrètement, il n'y a pas grand chose pour le moment et c'est bien sûr centré sur les produits Mozilla mais c'est très prometteur. Le meilleur exemple est celui de la synchronisation des favoris de Firefox. Vous pouvez utiliser <a href="http://www.foxmarks.com/">Foxmarks</a> ou <a href="http://www.google.com/tools/firefox/browsersync/">Browser Sync</a> bien sûr mais vous ne savez pas ce qui est fait de vos données personnelles. Mozilla va plus loin au niveau de l'utilisation de ces données. Vous pouvez par exemple facilement créer un outil qui récupère les favoris d'un des dossiers et les ajoute automatiquement à votre compte <a href="http://www.blogmarks.net/">Blogmarks</a> ou les publie sur votre blog ou fait une sauvegarde locale car <a href="https://larlet.fr/david/biologeek/archives/20070415-perennite-et-stockage-des-liens/">la pérennité des favoris est un problème</a> ou récupérer tous les liens qui sont dans un dossier particulier de mes amis pour faire une <a href="https://larlet.fr/david/biologeek/archives/20070609-l-intelligence-economique-veillle-technologique-en-pratique/">veille technologique (ou intelligence économique)</a> plus pertinente et collaborative.</p>


<p>Pour résumer, <strong>seule votre imagination est limitante à ce niveau si c'est bien fait</strong>.</p>


<p><img src="/static/david/biologeek/images/mozilla_weave_schema.png" alt="Schéma de Mozilla Weave" style="display:block; margin:0 auto;" /></p>


<p>Mais pourquoi se limiter&nbsp;? L'idée de pouvoir stocker des métadonnées utilisateur dans le «&nbsp;nuage » et de les rendre accessibles selon le choix de l'utilisateur de façon granulaire ouvre clairement la porte aux applications tierces qui vont pouvoir proposer des services innovants. Et c'est là tout l'intérêt de ce nouveau framework qui s'approche énormément de <a href="https://larlet.fr/david/biologeek/archives/20070131-reve-de-geek/">mon rêve de geek</a>&nbsp;: vos données sont stockées de manière sûre et les applications tierces y accèdent via <a href="http://oauth.net/">oAuth</a> lorsque vous le décidez. En fait tous <a href="http://dataportability.org/">les standards ouverts</a> pourraient être utilisés par ce framework, c'est vraiment motivant&nbsp;!</p>


<h2>Vraiment libre&nbsp;?</h2>


<p>La question posée par <a href="http://www.readwriteweb.com/archives/mozilla_weaves_web_platform_for_user_data.php#comment-43715">Matt, un lecteur de Read/Write Web</a> est pertinente&nbsp;:</p>


<blockquote><p>Big brother is going to want that data. What is Mozilla going to do when he comes knocking? (Big Brother va vouloir ces données, que va faire Mozilla lorsqu'il viendra frapper à la porte ?)</p></blockquote>


<p>Le risque est là. <strong>Peut-on faire confiance à Mozilla ?</strong> La question reste ouverte. Ce que j'en pense c'est que ça restera toujours mieux que Google et surtout j'espère que ceux qui sont en train de réfléchir à ça essayent d'imaginer une <strong>gestion décentralisée de ces données</strong>. Si le code de la plateforme est libéré, il deviendra facile de l'installer sur son propre serveur... ça ouvre des perspectives très intéressantes. Merci Mozilla :-).</p>


<p><abbr title="Post Scriptum">PS</abbr>&nbsp;: et joyeux noël à tous&nbsp;!</p>
