title:      ★ Mieux que gratuit : le business model réinventé
slug:       mieux-que-gratuit-le-business-model-reinvente
date:       2008-02-27 01:38:03
type:       post
vignette:   images/logos/better_than_free.png
contextual_title1:  ★ Pourquoi avoir peur de Google ?
contextual_url1:    20080907-pourquoi-avoir-peur-de-google
contextual_title2:  ★ iPheeds.org, une version iPhone pour votre blog
contextual_url2:    20080723-ipheedsorg-une-version-iphone-pour-votre-blog
contextual_title3:  ★ De l&#39;OpenData au LinkedData : exemple de nosdonnees.fr
contextual_url3:    20101130-de-lopendata-au-linkeddata-exemple-de-nosdonneesfr

<p>Voici une traduction d'un texte pointé par <a href="http://la-grange.net">Karl</a> intitulé <a href="http://www.kk.org/thetechnium/archives/2008/01/better_than_fre.php">Better than free</a> et écrit par Kevin Kelly. Je trouve la réflexion très intéressante et arrivant à point nommé dans ma réflexion sur le financement des <a href="https://larlet.fr/david/biologeek/archives/20071124-quel-avenir-pour-les-applications-web-libres/">applications web libres</a>. Je vous laisse lire et on en parle ensuite.</p>

<p>L'Internet est une machine à copier. À son niveau le plus bas, il copie chaque action, chaque caractère, chaque pensée que nous faisons lorsque nous surfons dessus. Lorsque vous envoyez un message d'un bout à l'autre de l'internet, les protocoles de communication exigent la copie complète du message en de nombreux points. Les entreprises dans les <abbr title="Technologies de l’Information et de la Communication">TIC</abbr> font beaucoup d'argent en vendant des infrastructures facilitant cette copie incessante. Chaque bit de donnée jamais produit sur un ordinateur est copié quelque part. <strong>L'économie digitale surfe sur une vague de copies</strong>. Contrairement aux copies issues des productions de masse, ces copies ne sont pas juste bon marché, elles sont gratuites.</p>


<p>Notre réseau de communication numérique a été conçu de façon à ce que le flux de copies circule avec le moins de frictions possibles. En fait, les copies circulent si librement que l'on pourrait considérer internet comme un système super-distribué dans lequel dès qu'une copie est introduite, elle est copiée incessamment au sein du réseau, un peu comme l'électricité dans un composant supraconducteur. Nous en avons des preuves dans la vie réelle. Lorsque n'importe quoi qui puisse être copié est mis en contact avec internet, ça va être copié, et ces copies ne vont jamais disparaître. Même un simple d'esprit sait que vous ne pouvez pas l'effacer une fois que c'est sur internet.</p>


<p><img src="/static/david/biologeek/images/better_than_free_traduction.jpg" alt="Les autoroutes physiques de l&#039;information ?" style="display:block; margin:0 auto;" /></p>


<p>Ce système de super-distribution est devenu le fondement de notre économie et de la richesse. La réplication instantanée des données, des idées et des media est la clé de voûte de tous les secteurs majeurs de notre économie, en particulier ceux impliqués dans l'exportation&nbsp;: ces industries dans lesquelles les États-Unis ont un avantage concurrentiel. <strong>Notre richesse est fondée sur un très grand appareil qui copie aléatoirement et constamment</strong>.</p>


<p>Pourtant, l'âge précédent de cette économie était consacré à la vente de précieuses copies, la libre circulation de copies gratuites tend donc à renverser l'ordre précédemment établi. Si la reproduction de nos meilleurs efforts est gratuite, comment pouvons-nous continuer&nbsp;? Pour dire les choses plus simplement&nbsp;: comment peut-on faire de l'argent en vendant des copies gratuites&nbsp;?</p>


<p>J'ai une réponse. La façon la plus simple que j'ai de l'exprimer est la suivante&nbsp;:</p>


<p>Lorsque les copies sont très nombreuses, elles perdent leur valeur. Lorsque les copies sont surabondantes, les choses qui ne peuvent être copiées deviennent rares et précieuses.</p>


<p><strong>Lorsque les copies sont gratuites, vous devez vendre des choses qui ne peuvent être copiées.</strong></p>


<p>Soit, qu'est-ce qui ne peut être copié&nbsp;?</p>


<p>Il y a un certain nombre de qualité qui ne peuvent être copiées. Prenons «&nbsp;<em>la confiance</em> ». La confiance ne peut être copiée. Vous ne pouvez pas l'acheter. La confiance doit être gagnée, au fil du temps. Elle ne peut pas être téléchargée. Ou falsifiée. Ou contrefaite (du moins pour l'instant). Toutes choses égales par ailleurs, vous préférerez toujours traiter avec quelqu'un en qui vous avez confiance. La confiance est donc un élément immatériel qui a de plus en plus de valeur dans un monde saturé de copies.</p>


<p>Il y a de nombreuses autres qualités similaires à la confiance qui sont difficiles à copier, et prennent donc de la valeur dans ce monde en réseau. Je pense que la meilleure manière de les appréhender n'est pas de les voir avec l'œil du producteur, fabricant ou créateur mais via les yeux de l'utilisateur. On peut commencer avec une simple question à un utilisateur&nbsp;: <strong>pourquoi serions-nous prêts à payer pour quelque chose que nous pourrions obtenir gratuitement ?</strong> Lorsque quelqu'un achète une version de quelque chose qu'il aurait pu avoir gratuitement, qu'achète-t-il&nbsp;?</p>


<p>D'après mon étude de l'économie de réseau, je vois à peu près 8 catégories de valeurs immatérielles que nous achetons lorsque nous payons quelque chose que nous aurions pu obtenir gratuitement.</p>


<p>En réalité, ce sont 8 choses qui sont mieux que gratuit. 8 valeurs incopiables. Appellons-les «&nbsp;<em>génératrices</em> ». Une valeur génératrice est une qualité ou un attribut qui doit être généré, cultivé, entretenu. Une génératrice ne peut être copiée, clonée, contrefaite ou reproduite. Elle est unique, à un endroit donné, à un instant t. Dans le domaine numérique, les qualités génératrices ajoutent de la valeur aux copies gratuites et sont donc quelque chose pouvant être vendu.</p>


<h2>Huit génératrices meilleures que gratuit</h2>


<h3>Immédiateté</h3>


<p>Tôt ou tard, vous pouvez trouver une copie gratuite de ce que vous voulez, mais avoir une copie envoyée dans votre boite de réception au moment de la sortie - ou même mieux, de la production - de la part des créateurs est un avantage indéniable. Beaucoup de gens vont au cinéma le jour de la sortie pour voir un film qu'ils vont payer au prix fort alors qu'ils pourraient l'obtenir ensuite gratuitement, ou presque, en le louant ou en le téléchargeant. Les livres reliés sont achetés pour leur immédiateté, déguisée en une reliure. Les premières versions requièrent bien souvent un prix plus important pour le même bien. Étant une qualité vendable, l'immédiateté a de nombreux niveaux, incluant l'accès à des versions beta. Les fans font partie intégrante du processus génératif lui-même. Les versions beta sont souvent dévaluées car elles sont incomplètes, mais elles possèdent aussi des qualités génératrices qui peuvent être vendues. L'immédiateté est relative, c'est pourquoi elle est génératrice. Elle doit correspondre au produit et au public. Un blog n'a pas la même perception du temps qu'un film ou une voiture. Mais l'immédiateté peut être retrouvée dans tous les médias.</p>


<h3>Personnalisation</h3>


<p>Une version générique de l'enregistrement d'un concert peut être gratuite, mais si vous souhaitez une copie qui a été modifiée pour rendre un son parfait pour votre salon - comme si vous y étiez - vous seriez certainement prêt à payer beaucoup. La copie gratuite d'un livre peut être personnalisée par l'éditeur pour coïncider avec votre connaissance de l'œuvre. Un film gratuit que vous avez acheté peut être paramétré pour ne diffuser que ce que vous souhaitez voir (pas de violence, pas d'injures). L'aspirine est gratuite, mais l'aspirine adaptée à votre <abbr title="Acide DésoxyriboNucléique">ADN</abbr> est très coûteuse. Bien sûr, la personnalisation requiert une communication constante entre le créateur et le consommateur, l'artiste et ses fans, le producteur et l'utilisateur. C'est très génératif car c'est itératif et ça prend du temps. Vous ne pouvez pas copier la personnalisation issue d'une relation. Les marketeux l'appellent «&nbsp;stickiness » car elle signifie que les deux côtés de la relations sont liés (investis) dans cet atout génératif, et seront réticents à repartir de zéro.</p>


<h3>Interprétation</h3>


<p>Comme le dit la bonne vieille blague&nbsp;: logiciel = gratuit, manuel = 10 000 €. Mais ce n'est pas une blague. Certaines entreprises, comme Red Hat, Apache et d'autres gagnent leurs vies en faisant exactement ça. Ils procurent du support payant pour des logiciels libres. La copie du code, réduite à des bits, est gratuite - et ne devient utile qu'à travers le support et l'aide. Je pense qu'une bonne partie de l'information génétique va prendre cette voie. Actuellement, obtenir la copie de votre <abbr title="Acide DésoxyriboNucléique">ADN</abbr> est très coûteuse, mais bientôt cela ne sera plus le cas. En fait, bientôt les entreprises pharmaceutiques vont vous payer pour avoir votre séquence de gènes. La copie de votre séquence va donc devenir gratuite, mais l'interprétation de ce qu'elle signifie, ce que vous pouvez faire avec, et comment l'utiliser - le manuel de vos gènes finalement - sera coûteux.</p>


<h3>Authenticité</h3>


<p>Vous allez pouvoir récupérer un logiciel gratuitement, mais même si vous n'avez pas besoin du manuel, vous voudrez être certain qu'il est exempt de bugs, fiable et certifié. Vous allez payer pour l'authenticité. Il y a presque un nombre infini de variantes autour de Fatals Arlésiens, mais l'achat d'une version authentique du groupe lui-même vous garantira l'obtention de celui que vous désiriez. Ou que c'était effectivement réalisé par les Fatals. Les artistes ont fait face à ce problème depuis longtemps. Les reproductions graphiques comme les photographies et les lithographies possèdent souvent avec le sceau d'authenticité de l'artiste <em>une signature</em> pour augmenter la valeur de la copie. Les filigranes numériques et autres technologies de signature ne marcheront pas en tant que protection anti-copies (je vous rappelle que les copies sont sur un composant supraconducteur) mais ils peuvent servir de qualité génératrice d'authenticité pour ceux qui accordent de l'importance à ça.</p>


<h3>Accessibilité</h3>


<p>L'appartenance pose problème. Vous voulez garder les choses clean, à jour, et dans le cas du numérique, sauvegardées. Et dans ce monde mobile, vous devez le transporter avec vous. Beaucoup de gens, moi inclus, seraient heureux de déléguer ces «&nbsp;possessions » à d'autres. Nous paieront Truc Digital Warehouse pour nous donner accès à n'importe quel morceau de musique dans le monde, quand et où nous le souhaitons, de même que n'importe quel film ou photo (de nous ou d'autres photographes). Idem pour les livres et les blogs. Truc sauvegarde le tout, paye les créateurs, et concrétise nos désirs. On peut en profiter sur nos téléphones, PDA, portables, grands écrans, d'où l'on veut. Une bonne partie de ce matériel devenant disponible gratuitement, notre souhait de vouloir le sauvegarder, le modifier, l'organiser, deviendra de plus en plus désuet.</p>


<h3>Incarnation</h3>


<p>Intrinsèquement, une copie digitale est immatérielle. Vous pouvez prendre une copie gratuite d'une œuvre et la projeter sur un écran. Mais peut-être souhaitez-vous l'observer en haute résolution sur un immense écran&nbsp;? Peut-être en 3D&nbsp;? Les pdf c'est bien mais il est parfois bon d'avoir les mêmes mots imprimés sur un papier blanc cotonneux, relié de cuir. Ça sent si bon. Pourquoi ne pas jouer à votre jeu (gratuit) préféré avec 35 acolytes dans la même pièce&nbsp;? Une meilleure incarnation n'a pas de limites. Bien sûr, la haute résolution d'aujourd'hui peut se retrouver demain dans votre salon, mais il y aura toujours la dernière technologie non accessible au grand public. Projection laser, écran holographique, le holo-bureau lui même&nbsp;! Et rien ne donne plus d'âme à la musique qu'une performance live, avec de vrais corps. La musique est gratuite, la performance humaine coûte cher. Cette formule est rapidement devenue le quotidien non seulement des musiciens, mais aussi des auteurs. Le livre est gratuit, la conférence à son sujet est onéreuse.</p>


<h3>Mécénat</h3>


<p>Je suis convaincu que l'audience <strong>souhaite</strong> payer les créateurs. Les fans veulent récompenser les artistes, musiciens, auteurs et autres à la hauteur de leur appréciation car ça leur permet de maintenir un lien. Mais ils ne vont payer que si c'est très facile à faire, d'un montant raisonnable et en étant sûr que l'argent ira directement aux créateurs. L'expérience récente très médiatisée de Radiohead laissant les fans payer ce qu'ils souhaitent pour une copie gratuite est une excellente illustration de la puissance du mécénat. Le lien immatériel et insaisissable entre ce que les fans apprécient et l'artiste vaut quelque chose. Dans le cas de Radiohead, il valait environ 5$ par téléchargement. Il existe de nombreux autres exemples pour lesquels l'audience est prête à payer pour ce qu'elle apprécie.</p>


<h3>Trouvabilité</h3>


<p>Alors que les autres génératrices résident dans les œuvres digitales, la trouvabilité est un atout qui se positionne à un niveau supérieur d'agrégation. Un prix descendu à zéro n'aide pas à attirer l'attention sur un travail et peu même parfois lui être préjudiciable. Mais quel que soit son prix, une œuvre n'a aucune valeur si elle n'est pas visible, les chefs-d'œuvres perdus n'ont plus aucun intérêt. Lorsqu'il y a des millions de livres, des millions de morceaux, des millions de films, des millions d'applications, des millions de choses qui requièrent votre attention - et la plupart gratuites - être trouvé a de la valeur.</p>


<p>Les agrégateurs géants comme Amazon et Netflix génèrent du profit en partie en aidant leur public à trouver les œuvres qu'ils aiment. Ils rendent accessible le bénéfique phénomène de la «&nbsp;<a href="http://fr.wikipedia.org/wiki/Longue_traine">longue traîne</a> », que nous connaissons tous, connectant un public de niche à une production de niche. Malheureusement, la longue traîne n'est intéressante que pour ces agrégateurs géants et ceux de tailles plus modestes comme les éditeurs, les studios, et les labels (ÉSL). Elle ne profite guère aux créateurs eux-mêmes. Mais puisque la trouvabilité ne peut être appliquée qu'au niveau des systèmes, les créateurs ont besoin de ces agrégateurs. C'est la raison pour laquelle les éditeurs, studios et labels (ÉSL) ne disparaîtront jamais. Ils ne sont pas nécessaires pour la distribution des copies (la machine Internet s'occupe de ça). Au contraire, les <abbr title="Éditeurs, Studios et Labels">ÉSL</abbr> sont nécessaires pour la distribution de l'attention des utilisateurs vers les œuvres. À partir de l'océan des possibilités, les <abbr title="Éditeurs, Studios et Labels">ÉSL</abbr> trouvent, enrichissent et affinent le travail des créateurs pour lesquels ils pensent que les fans vont être prêts à établir un lien. Les autres intermédiaires comme les critiques et les commentateurs permettent aussi de canaliser l'attention. Les fans font confiance à ces paramètres croisés de recherche pour trouver les œuvres de valeurs à travers ces nuées produites. Il y a de l'argent à se faire (indirectement pour les créatifs) en trouvant les talents. Pendant de nombreuses années, la publication papier TV Guide a fait plus d'argent que les 3 plus grands réseaux TV réunis vers lesquels elle «&nbsp;guidait ». Le magazine orientait les téléspectateurs vers le meilleur de la semaine sur le petit écran. Meilleur, il est important de le rappeler, qui était gratuit pour les téléspectateurs. Il y a peu de doutes qu'en dehors des méga-agrégateurs, dans un monde de gratuité, les <abbr title="Éditeurs, Studios et Labels">ÉSL</abbr> vont faire de l'argent en vendant de la trouvabilité - en plus des autres qualités génératrices.</p>



<p><strong>Ces 8 qualités requièrent de nouvelles compétences</strong>. La réussite dans le monde de la libre copie ne dérive pas des compétences acquises dans la distribution puisque la grande machine à copier s'en occupe. Ni les compétences juridiques entourant la propriété intellectuelle et le droit d'auteur qui ne sont plus vraiment utiles. Au contraire, ces 8 nouvelles génératrices demandent une compréhension de la façon dont l'abondance engendre un nouvel état d'esprit, comment la générosité peut devenir un business model, à quel point il est devenu indispensable de cultiver des qualités qui ne peuvent être reproduites en un clic de souris.</p>


<p>En bref, dans cette économie de réseau, l'argent est décorrélé du nombre de copies. Il suit la voie de l'attention, et l'attention a ses propres mécaniques.</p>


<p>Les lecteurs attentifs noteront une absence. Je n'ai pas parlé de la publicité. Les annonces sont largement considérées comme la solution, presque la <strong>seule</strong> solution, au paradoxe de la gratuité. La plupart des solutions suggérées que j'ai vu tendant à aller vers la gratuité incluent la publicité à un niveau ou un autre. Je pense que les publicités ne sont qu'une des voies de l'attention, et à long terme, ne seront à l'origine que d'une partie de la nouvelle rémunération associée à une copie gratuite.</p>


<p>Mais c'est une autre histoire.</p>


<p>Bien plus que la publicité bête et méchante, ces huit génératrices fournissent de la valeur aux copies gratuites omniprésentes, ce qui permet d'ajouter de la pertinence à la publicité. Ces génératrices s'appliquent à toutes les copies digitales, mais aussi à toute sorte de copies dont le coût s'approche de zéro (voir mon billet <a href="http://www.kk.org/thetechnium/archives/2007/11/technology_want.php">Technology Wants to Be Free</a>). La constatation est la même dans les industries où les coûts de réplication sont proches de zéro, ils se comportent alors comme pour ces copies gratuites. La cartographie a atteint ce seuil. La génétique ne va pas tarder à y arriver. Les gadgets et les petits appareils (comme les téléphones portables) empruntent doucement cette voie. La pharmaceutique y sont déjà, mais ne veulent pas le faire savoir. Ça ne coûte rien de produire une pilule. On paye les médicaments pour l'authenticité et l'immédiateté. Un jour on paiera pour la personnalisation.</p>


<p>Maintenir ces génératrices demande bien davantage de travail que de reproduire des exemplaires dans une usine. Il reste encore beaucoup à apprendre. Beaucoup de choses à comprendre. Écrivez-moi si c'est votre cas.</p>


<h2><abbr title="Retour du Traducteur">RdT</abbr>&nbsp;: exemple des applications web libres</h2>


<p>Prenons totalement au hasard, <a href="https://larlet.fr/david/biologeek/archives/20080112-ma-killer-app-pour-le-web-semantique/">ma killer app pour le web sémantique</a>. Si l'on considère cette application comme étant gratuite, comment réussir à la monétiser&nbsp;?</p>

<ul>
<li><strong>Immédiateté</strong>&nbsp;: pour une application web, cela consiste en une garantie de service (hébergeur sérieux, réactivité, etc), liée à l'accessibilité&nbsp;;</li>
<li><strong>Personnalisation</strong>&nbsp;: la gestion sémantique des individus et de leurs relations au sein d'un intranet requiert quelques adaptations coûteuses par exemple&nbsp;;</li>
<li><strong>Interprétation</strong>&nbsp;: une formation payante des futurs utilisateurs aux enjeux de son identité en ligne peut être envisagée, il en va de même pour le support&nbsp;;</li>
<li><strong>Authenticité</strong>&nbsp;: l'assurance de l'identité d'une personne via croisement avec un tiers de confiance (État, banque, etc) est ce qui manque au web actuel (comptes pro ?);</li>
<li><strong>Accessibilité</strong>&nbsp;: l'objectif est de pouvoir l'installer sur son propre serveur mais rien n'empêche d'héberger le service et de créer des comptes payants pour les personnes ne souhaitant pas mettre les mains dans le cambouis&nbsp;;</li>
<li><strong>Incarnation</strong>&nbsp;: pour une application web, on peut aujourd'hui associer cette génératrice à la communauté qui l'anime (comptes pro ?)&nbsp;;</li>
<li><strong>Mécénat</strong>&nbsp;: je suis moi aussi persuadé qu'une rémunération basée sur le don est jouable si elle est bien présentée/sincère et si le service propose une réelle valeur ajoutée&nbsp;;</li>
<li><strong>Trouvabilité</strong>&nbsp;: certaines requêtes complexes/non standards sont envisageables et monétisables.</li>
</ul>

<p>En suivant les 8 génératrices, on arrive assez facilement à dégager <strong>un business model intéressant à partir d'un produit gratuit</strong>. J'espère qu'il y a là de quoi rassurer <a href="http://leblog.cfait.fr/post/2007/12/05/Le-web-gratuit-a-t-il-un-avenir">Guillaume</a> et <a href="http://www.stacksegment.net/blog/index.php?post/2007/12/07/Le-financement-des-services-web-gratuits-par-la-pub">Greg</a>, gratuit ne signifie pas forcément publicité...</p>


<p>Je ne suis pas sûr que cela soit sexy du point de vue d'un investisseur mais c'est on ne peut plus motivant quand on est un geek :-).</p>


<p><strong>[edit]</strong>&nbsp;: ce texte a initié une discussion <a href="http://www.dogmazic.net/modules.php?ModPath=phpBB2&amp;ModStart=viewtopic&amp;p=28074">sur le forum de Dogmazik</a>.</p>
