title:      ★ RDF, l&#39;ADN de notre identité numérique ?
slug:       rdf-adn-de-notre-identite-numerique
date:       2008-08-11 03:11:19
type:       post
vignette:   images/logos/pirates_genome.png
contextual_title1:  ★ Architecture web moderne et agile
contextual_url1:    20080604-architecture-web-moderne-et-agile
contextual_title2:  ★ Ma killer app pour le Web Sémantique
contextual_url2:    20080112-ma-killer-app-pour-le-web-semantique
contextual_title3:  ★ Les pirates du génome... et si c&#39;était l&#39;avenir ?
contextual_url3:    20050122-les-pirates-du-genome-et-si-c-etait-l-avenir

Il était 6 heures du matin, dans un bateau me menant en Corse (après un voyage épique, ne prenez pas la SNCM !) et j'étais en train de lire la première boucle d'[Hominescence décrite par Michel Serres](http://hominescence.net/), lorsque j'ai eu une sorte d'illumination biologeek. Avec le recul c'est pas aussi extraordinaire, même si je suis supris de ne pas voir plus de résultats sur RDF et ADN ou DNA dans les moteurs de recherche, pour la peine je vous mets quelques photos.

<p>
    <img
        src="/static/david/biologeek/images/corse/meria.jpg"
        alt="Marine de Meria, vue de la fenêtre"
        style="margin: 0pt auto; display: block;"/>
</p>

## À l'origine était le triplet

J'essaye de trouver une solution simple pour [expliquer RDF](https://larlet.fr/david/biologeek/archives/20080425-le-point-sur-rdf-et-rdfa/) depuis un moment et je pense que **la métaphore est la meilleure manière de transmettre un concept abstrait**. Encore fallait-il trouver celle qui était la plus proche/juste. Pas simple. J'ai bien une piste mais elle requiert d'avoir quelques connaissances en biologie (l'article sur [la synthèse des protéines](http://fr.wikipedia.org/wiki/Synth%C3%A8se_des_prot%C3%A9ines) de Wikipedia est un bon départ pour les plus curieux).

Lors de l'expression des gènes, l'ADN est transcrit en ARN puis traduit en une séquence d'acides aminés. Cette dernière étape de traduction utilise le [code génétique](http://fr.wikipedia.org/wiki/Code_g%C3%A9n%C3%A9tique) permettant de faire correspondre chaque **triplet** à un acide aminé. Or, ces acides aminés sont la base essentielle de la formation des protéines qui nous constituent. **L'ordre dans lequel ils sont agencés et la forme qu'ils vont conférer à la protéine grâce à leurs propriétés physico-chimiques déterminent la fonction de cette protéine** (restons simples).

Prenons maintenant un profil FOAF, il est constitué de triplets RDF qui ont chacun une signification propre. **C'est leur agencement, leurs imbrications qui définissent l'identité numérique.** Notre avantage sur le vivant : nous ne sommes pas limités à 4 [bases azotées](http://fr.wikipedia.org/wiki/Bases_azot%C3%A9es) mais à une infinité de vocabulaires appelés ontologies (restons simples ici aussi :-)).

**Vous êtes donc une protéine numérique au sein d'une cellule virtuelle.**

<p>
    <img
        src="/static/david/biologeek/images/corse/centuri.jpg"
        alt="Marine de Meria, vue de la fenêtre"
        style="margin: 0pt auto; display: block;"/>
</p>

Ironie du sort, la propriété [DNA checksum](http://xmlns.com/foaf/spec/#term_dnaChecksum) (présentée ouvertement comme étant une blague !) permet de lier sa séquence d'ADN à son profil FOAF, **liant ainsi votre identité biologique à votre identité numérique**. Qui sait, peut-être un jour enseignera-t-on « RDF, support de notre information numérique » au même titre que « l'ADN, support de notre information génétique » ?

## Cellule, organe et organisme

Et si nous allions plus loin ? Que représente cette cellule virtuelle si ce n'est votre **sphère d'influence**, votre cercle restreint de connaissances avec lequel vous interagissez au premier degré. Au même titre qu'une protéine, vous interagissez avec ces personnes selon vos affinités (hydrophobicité : Tu bois ce soir ? Non je conduis. Ok, tu me ramènes ?) et vos polarités (les contraires s'attirent parait-il).

Ces cellules pouvant former ensuite des **organes thématiques** : divertissement, santé, connaissance, etc. Les organes numériques ne sont pas forcément distincts car le virtuel permet de s'affranchir des contraintes d'espace, l'organe des *jeux olympiques* est par exemple à cheval sur ceux de l'*argent* et de la *politique*.

<p>
    <img
        src="/static/david/biologeek/images/corse/macinaggio_plage.jpg"
        alt="Plage près de Macinaggio"
        style="margin: 0pt auto; display: block;"/>
</p>

À quel organisme arrive-t-on ? **Tout simplement au web**. Impossible d'en déterminer la forme, ni le but mais force est de constater qu'il vit, grâce à nous. Battant au rythme de l'actualité mondiale, son débit ne se calcule pas en pulsations par minute mais en terabits par seconde.


## Communication et maladies

Il y a divers moyens d'établir des interactions inter-cellulaires. Si on reste dans la métaphore sémantique, REST semble être un bon candidat pour mimer un tel mécanisme avec les différents protocoles d'[identification/autorisation](https://larlet.fr/david/biologeek/archives/20080716-differences-entre-identification-autorisation-et-authentification/) requis (leur complexité pourrait faire sourire comparé à ce qu'il se passe dans une cellule).

On peut identifier les **cancers**, qui sont des proliférations anormales de cellules, à certains phénomènes qui ponctuent l'histoire du web. Un bon exemple est celui de la prolifération des blogs. De la même manière, le **virus** se propage de cellule en cellule, vérolant l'information de l'intérieur. On n'est pas loin de la définition d'une campagne de buzz avec ses billets sponsorisés...

<p>
    <img
        src="/static/david/biologeek/images/corse/bastia_by_night.jpg"
        alt="Port de Bastia, de nuit"
        style="margin: 0pt auto; display: block;"/>
</p>

Bon après être partis un peu loins, revenons à nos triplets. **Peut-on vraiment comparer les triplets que forment les bases azotées aux triplets RDF dans un but pédagogique ?** J'en suis convaincu s'il ne faut pas en plus expliquer les concepts de synthèse des protéines sinon ça devient difficile ! J'ai du mal à voir si ça concerne les 3/4 lecteurs que je connais ou si c'est maintenant de l'acquis. À vous de me dire si la courte nuit ayant précédée cette découverte est en cause ou pas ;-).

