title:      ★ Pourquoi avoir peur de Google ?
slug:       pourquoi-avoir-peur-de-google
date:       2008-09-07 23:49:27
type:       post
vignette:   images/logos/google_lotr.png
contextual_title1:  Retours sur le Social Web Camp Paris
contextual_url1:    20090921-retours-sur-le-social-web-camp-paris
contextual_title2:  Google Wave, une fois la vague de buzz retombée
contextual_url2:    20090605-google-wave-une-fois-la-vague-de-buzz-retombee
contextual_title3:  Internet, minitel, cloud, gratuité et liberté
contextual_url3:    20090217-internet-minitel-cloud-gratuite-et-liberte

J'en ai pris plein la tête dans les 20 premiers commentaires de [ma dernière brève sur Google Chrome](https://larlet.fr/david/biologeek/archives/20080902-big-browser-sinvite-chez-vous/) mais je reste tout de même sur mes positions. Je vais essayer d'expliquer pourquoi plus en détail, sans tomber dans la paranoïa, car il y a pas mal d'incompréhensions et c'est à mon avis important que chacun sache ce qui est en train de se passer actuellement pour l'avenir du Web afin de pouvoir agir de manière responsable. Ce ne sont que des réflexions personnelles dans la continuité de [ma définition du GWeb](https://larlet.fr/david/biologeek/archives/20071202-gweb-peut-on-encore-rever-d-un-web-libre/) et je ne vous demande pas d'y adhérer, juste d'y réfléchir.

## Un Anneau pour les gouverner tous

Pour commencer, je n'ai rien contre le fait qu'une entreprise soit rentable, Google a su s'imposer sur le marché avec des produits innovants et rendant des services utiles, c'est incontestable. En revanche, je trouve que leur éthique et leur stratégie sont préoccupantes compte tenu de la place qu'occupe l'entreprise dans le Web d'aujourd'hui.

Revenons sur le cœur de métier de Google, **il s'agit des données liées à des utilisateurs**, je précise qu'elles sont liées car c'est un point important qui est parfaitement illustré par Knol vs. Wikipedia par exemple. Depuis toujours, Google crawle, enregistre, indexe, classifie ces données, à tel point qu'il détient une grande partie de la mémoire numérique de l'Humanité.

Avec l'avènement du 2.0, Google a trouvé un moyen de collecter encore plus de données et de devenir le principal support de données en ligne. Vous en doutez ? Consulter donc la page listant [les applications en question](http://www.google.fr/intl/fr/options/). Que celui qui n'utilise aucun de ces services me jette la première pierre. Je dois avouer qu'il est difficile de s'en passer car les alternatives sont trop souvent moins intéressantes et ne bénéficient pas de l'« environnement » Google permettant d'avoir une authentification unique ou d'ouvrir un document word stocké avec Gmail dans Google Docs par exemple.

**Je considère Chrome et Android comme étant l'achèvement d'une stratégie de monopole**, Google devient votre compagnon de poche permettant de connaître vos déplacements et vos activités de façon totalement indépendante d'un tiers. Vous vous connectez au Google, avec Google, sur Google. Et oui Google est en passe de devenir le Web, doucement mais sûrement, et tout cela en 10 ans seulement (coïncidence, la date anniversaire est aujourd'hui).

Or **disposer d'autant de données pouvant être croisées est un réel pouvoir**. L'analyse de ces flux de données est le trésor de Google, n'importe quel service marketing est prêt à payer cher pour connaître les habitudes de navigation, d'achat, de divertissement d'une catégorie ciblée de la population, n'importe quel service de ressources humaines souhaiterait avoir une connaissance plus approfondie du candidat, n'importe quelle entreprise souhaiterait savoir ce qui se trame chez son concurrent. Je ne pense pas que ce soit de la paranoïa, ce sont juste des services lucratifs pour des actionnaires essayant de rentabiliser au mieux leur investissement. Et oui Google est en bourse et le capital sympathie des deux geeks initiaux mérite d'être revu, même s'ils font de jolies BD. On n'a jamais été aussi proche de cette image qui était à la base humoristique...

<p>
    <img 
        src="/static/david/biologeek/images/google_2084.jpg" 
        alt="Google 2084 ou l'évolution du web" 
        style="margin: 0pt auto; display: block;"/>
</p>

Concernant Microsoft, malgré leur force de frappe, je pense qu'ils appartiennent maintenant à une autre époque et à moins d'un virage à 90° ils ne peuvent qu'essayer de durer le plus longtemps possible. Ils ont loupé le train du web et même s'ils détiennent une part importante des OS, le champ de bataille s'est déplacé et il n'est plus du tout à leur avantage.


## Un Anneau pour les trouver

La recherche et les publicités associées constituent le principal revenu. Or l'algorithme est basé sur ces publicités justement, par exemple votre site est plus rapidement indexé si vous souscrivez à des Google Ads lors du lancement.

**Ce moteur de recherche est optimisé pour le rendement publicitaire, rien d'autre**. Il faut arrêter de croire que Google est un service objectif d'intérêt public, c'est une entreprise qui fait tout pour optimiser son rendement. Vous utilisez un concurrent pour placer de la publicité sur votre site, vous êtes impacté au niveau du PageRank.

Une autre piste de réflexion, les Google Ads vous permettent d'afficher votre publicité sur des mots-clés et la place se négocie sous forme d'enchères entre les annonceurs. Qu'est-ce qui vous prouve que Google ne surenchérit pas pour que vous payiez plus ? Même avec la présomption d'innocence, j'aimerais bien qu'on me prouve le contraire...

Avec Chrome, la recherche est intégrée à votre barre d'adresse. Elle s'effectue plus rapidement et les résultats ont davantage de place grâce à la réduction du Chrome justement. **Tout est optimisé pour afficher d'avantage de publicité contextuelles et donc générer davantage de revenu**s. Ils n'ont pas fait un navigateur pour le plaisir, sinon ils auraient contribué à des projets existants (d'autant qu'ils financent la MoFo).

Avez-vous utilisé la fonction de localisation de l'iPhone après vous être connecté à m.gmail.com ? Ou à Google Reader ? Il se pourrait que Google sache vous trouver lui aussi. Et même vous suivre grâce au GPS maintenant. Bien sûr on se dit qu'on est perdu dans la masse et que de toute façon ça n'a aucune importance. **On entre dans la banalisation de la filature numérique**.

Il en va de même avec les fonctionnalités de suggestion, que ce soit sur la page d'accueil du moteur ou dans la barre d'adresse de Chrome, tout ce que vous saisissez est soumis avant même que vous ne cliquiez sur le bouton de soumission...

Attention, je ne suis pas contre la technologie, c'est juste qu'elle est ici au service d'un monopole qui arrive à réunir beaucoup trop d'informations. Le tout sous couvert d'être aussi à votre service, la limite est floue mais seule une prise de conscience permettrait de faire faire machine arrière à Google sur ce plan là. Le pouvoir des utilisateurs est toujours important.


## Un Anneau pour les amener tous

Google améliore l'ouverture du Web, Google fait de l'Open-Source, Google va changer ma vie, autant de phrases que j'ai pu lire ces dernières heures. Que les choses soient claires, **Chrome c'est du Webkit agrémenté de fonctionnalités permettant de promouvoir les services Google** :

* Un moteur JS optimisé pour leurs applications ;
* Gears pour récupérer vos données même lorsque vous n'êtes pas en ligne ;
* Un process par onglet pour éviter de perdre trop de données ;
* Une barre de recherche qui couple le moteur de Google afin de conserver l'affichage de la publicité ;
* Une mise à jour automatique du navigateur sans vous demander votre avis.

Plus des conditions d'utilisation permettant de disposer des données saisies à travers le navigateur. Je trouve ça peu réjouissant. *Edit:* il semblerait qu'ils soient en train de changer les conditions à ce sujet, auraient-ils pris cette peine si personne n'avait relevé le problème ? J'ai du mal à croire que Google puisse avoir fait un copier-coller malheureux au sujet de leur cœur de métier.

Passons maintenant à OpenSocial, service auquel je me suis intéressé dernièrement. Il s'agit d'uniformiser, non pas les widgets comme le fait UWA, mais à un niveau plus bas les API permettant d'accéder aux... données bien sûr. Je n'ai pas besoin de vous faire un dessin pour que vous compreniez ce qui va transiter par là, **il s'agit tout simplement d'un entonnoir à données appartenant à Google**. Très fort. Et le pire c'est que l'implémentation de leur « standard » demande énormément de ressources que les gros acteurs vont s'empresser de fournir pour faire partie du réseau privilégié des sujets de Google. Vraiment très fort.

Et les geeks dans tout ça ? Ils sont très contents de pouvoir utiliser Google Code pour leurs projets (au passage ça doit être sympa pour les RH), d'être sur GTalk car c'est du jabber ou d'exploiter à fond les API qui respectent [à peu près](http://www.snellspace.com/wp/?p=306) les standards. Quel bonheur de pouvoir être intégré au service de RH de Google, de leur confier toutes vos discussions, de faire des mashups à partir de silos propriétaires ! Ah mais non, j'avais oublié que Google c'était les gentils dans la lutte contre le méchant Microsoft.


## Et dans les ténèbres les lier

L'une des composantes de l'identité numérique est d'être trouvable, une autre est d'avoir des souvenirs, une autre des relations. Que se passe-t-il lorsqu'une seule entité détient le pouvoir d'effacer toutes ces données ? **Elle a tout simplement le pouvoir de mort numérique.** Ça fait froid dans le dos mais le terme est à mon avis à la hauteur de ce qui peut arriver.

Et encore, je ne parle pas des manipulations à grande échelle pour ne pas être accusé de lutter contre le Grand Complot Mondial Organisé™, mais réfléchissez-y aussi, que se passera-t-il si Google décide de modifier l'information qui passe dans ses tuyaux ? Jusqu'où peux aller son influence ?


## Au Pays de Mordor où s'étendent les ombres.

Quelles solutions alternatives ? Combien de Frodons (ou d'[Ulysses](http://www.christian-faure.net/2008/09/06/la-metis-de-google/)) ? **L'hégémonie de Google est-elle un fatalité ?** À quel moment sera-t-il trop tard ?

Autant de questions que je me pose, que je vous pose.

<del>PS : J'aurais l'occasion d'en discuter je l'espère de vive voix lors du [Google Developer Day](http://code.google.com/intl/fr/events/developerday/2008/home.html) à [Paris le 18 septembre](http://www.mixin.com/events/655921/google-developer-day-ensa-le/).</del> Finalement j'ai beaucoup trop de choses prévues cette semaine, et [Damien m'a clairement refroidi](http://www.cynicalturtle.net/kame/index.php/2007/06/01/218-gdd) sur l'intérêt technique... au plaisir de lire vos retours 2008.
