title:      Ouvert et décentralisé, est-ce suffisant ?
slug:       ouvert-et-decentralise-est-ce-suffisant
date:       2009-06-15 15:52:25
type:       post
vignette:   images/logos/identica.png
contextual_title1:  ★ De l&#39;OpenData au LinkedData : exemple de nosdonnees.fr
contextual_url1:    20101130-de-lopendata-au-linkeddata-exemple-de-nosdonneesfr
contextual_title2:  ★ Discussions sur les applications web libres
contextual_url2:    20091202-discussions-sur-les-applications-web-libres
contextual_title3:  Sécurité, twitter, confiance et habitudes
contextual_url3:    20091013-securite-twitter-confiance-habitudes

Prenons le cas pratique du micro-blogging. Comme un irréductible gaulois j'ai résisté des mois à [twitter](http://twitter.com/). Ils ont eu raison de moi et j'ai cédé à un moment où tout le monde parle d'un [#BigSwitch](http://rn7.net/w/BigSwitch). Chacun incite ses contacts à migrer vers [identi.ca](http://identi.ca/), et éventuellement on publie sur les deux plateformes pendant un moment.

*Note : ce billet a été rédigé par [Éric Daspet](http://eric.daspet.name).*

## Où on part

Vous avez certainement déjà connu ça quand une connaissance est passé de hotmail à gmail. Il faut prévenir tous ses contacts afin qu'ils mettent à jour les coordonnées. Trop souvent un message part à l'ancienne adresse ou un contact n'a pas fait attention à la migration. Il y a des pertes, et à terme il y aura une coupure entre les anciens restés sur twitter et les nouveaux passés sur identi.ca.
      
Du coup j'ai regardé identi.ca. Il y a du mieux fonctionnellement mais **le grand argument c'est l'ouverture, appelée à permettre plus d'innovation et d'interopérabilité**. Pour assurer cette ouverture et cette innovation, la plate-forme est décentralisée : Chacun peut monter son propre serveur [laconi.ca](http://laconi.ca/) (nom du logiciel lui-même) et se connecter avec les autres, qu'ils soient sur le même serveur sur identi.ca, ou sur le leur.

Vous avez à peu près le contrôle sur vos données, vous pouvez faire évoluer la plate-forme, mais est-ce vraiment suffisant ?


## Où on recommence

Sauf que je suis pénible, et que les migrants ne semblent pas apprendre de leurs erreurs : **ils créent majoritairement un compte sur le serveur "officiel" d'identi.ca**. Que ce passera-t-il quand ce serveur ne sera plus innovant ? quand il ajoutera de la publicité dans les messages ? quand il s'arrêtera par faute de sous ? ou simplement qu'il proposera des évolutions peu appréciées ?

Il y aura un second big switch. Tous ces gens vont changer de serveur, trouver un nouvel identifiant, demander à tous leurs contacts de se connecter à nouveau (et dans le pire des cas arrêter de suivre ceux qui sont sur l'ancien serveur, scindant la communauté). C'est déjà pénible de le faire une fois, de voir chaque contact pendant un mois te demander de changer l'adresse à suivre, mais si c'est pour recommencer tous les ans, là, non !

Rien ne permet d'imaginer que ce qui arrive aujourd'hui à twitter n'arrivera pas demain à identi.ca, rien. Ou plutôt tout permet de penser que ça risque d'arriver de nouveau. Personne de votre entourage n'a changé d'adresse email deux fois ? peut être même en moins de deux ans. Nous y voilà. Si c'est pour se lier à un autre prestataire, nous sommes condamnés à recommencer.


## Où on décentralise, mais tous au même endroit

**La décentralisation n'est utile que si on s'en sert, et vous ne vous en servez pas camarades**. Pour bénéficier de la décentralisation il faut contrôler son serveur. Cela implique d'avoir un serveur connecté 24/24, d'y installer et configurer le logiciel, et d'opérer la maintenance régulière. Là vous contrôlerez votre identifiant et serez à l'abri de l'enfermement d'un prestataire.        

Entendons nous bien, il existe des serveurs laconi.ca gratuits, plus qu'ils n'en faut, mais cela ne résoudra rien. En fait ça peut même être pire car au lieu d'avoir un big switch une fois que identi.ca dérape, on aura plein de bascules en permanence à chaque fois que c'est un serveur mineur qui tombe ou qui fait quelque chose de mal.

Certains auront leur propre serveur, comme je le fais moi pour mon blog par exemple, mais ils seront rares et on ne peut guère demander à tous de jouer l'informaticien. Même pour ces derniers c'est pénible et chronophage. 


## Où on contrôle son identifiant

**Avec la décentralisation ce qui est important c'est le contrôle de l'identifiant**. Un identifiant doit être pérenne, et passer d'un serveur à l'autre sans avoir à changer. Cela veut dire que si demain je change de prestataire pour mon micro-blogging, les gens pourront continuer à me suivre, de façon presque transparente.

Le système laconi.ca ne permet pas d'identifiant pérenne indépendant du serveur. **Voilà la faille**.  

Une solution serait que l'identifiant pérenne soit le nom de domaine sur lequel tourne votre serveur laconi.ca. Vous achetez et contrôlez votre nom de domaine pour une somme modique (5 à 15 euros par an) et vous pourrez le faire pointer vers le prestataire que vous souhaitez. C'est déjà ainsi que je procède pour mes pages web, mon adresse mail, mon identifiant de messagerie instantanée, etc. Concernant laconi.ca il suffirait d'un changement léger dans le code du logiciel pour qu'il sache quel domaine utiliser suivant comment on y accède, compatibilité totale avec l'existant non modifié.  

C'est la voie royale, qui vous permet de garder toujours contrôle de votre identité, quel que soit le média. **Plus que le contrôle de mes données passées, c'est le contrôle de mon identité elle-même que je sauvegarde**. Pour une dizaine d'euros par an (le prix d'un nom de domaine), ce n'est vraiment pas cher payé.


## Où on indirectionne

L'indirection est la voie du pauvre, mais c'est aussi celle qui pourra toucher le plus grand monde. C'est par exemple ce qu'utilise la [délégation OpenID](http://openid.net/specs/openid-authentication-1_1.html#delegating_authentication).

Pour joindre le serveur OpenID d'un correspondant, je regarde son identifiant et je vais chercher la page web associée. Là je regarde s'il y est indiqué quel prestataire OpenID je dois utiliser pour cet identifiant. Pour changer de prestataire mon correspondant n'a qu'à mettre à jour sa page web.

Pour laconi.ca il suffirait d'aller regarder la page de profil de mon correspondant, repérer l'adresse de la page personnelle, et y récupérer l'adresse du prestataire de micro-blogging. Si identi.ca ne me convient plus, je peux modifier ma page personnelle. Le serveur de micro-blogging de mes correspondant lira mon ancien profil identi.ca, ira trouver ma page personnelle et y verra mon nouveau serveur. Tout peut être mis à jour en toute transparence sans avoir à avertir tout le monde et à risquer des coupures. Cette vérification peu facilement être réalisée une à deux fois par semaine sans pénaliser les performances.

On ne résout pas tout. En particulier seul le contrôle d'un nom de domaine propre me permettrait de palier un arrêt total d'identi.ca, mais on éviterait exactement ce qu'il se passe actuellement lors de la migration de twitter vers identi.ca. 


## Où on pose plein de questions

**Il reste à définir comment déclarer le serveur de micro-blogging dans ma page web**, et c'est là que je fais appel aux informaticiens. Par quel système est-il préférable de faire la déclaration ? une balise &lt;meta&gt; ? un fichier XRDS ? un fichier FOAF ? (et si oui quelles balises)
                                                                                                                            
L'expérience OpenID m'incite à penser qu'une balise &lt;meta&gt; ou &lt;link&gt; est ce qu'il y a de plus simple mais un fichier FOAF reste très tentant. On peut envisager les deux, mais il faut décider des balises et du mécanisme exacte de découverte. Quid ?  j'attends vos commentaires et vos propositions.

