title:      Retours sur le Social Web Camp Paris
slug:       retours-sur-le-social-web-camp-paris
date:       2009-09-21 01:46:41
type:       post
vignette:   images/logos/social_web_camp_paris.png
contextual_title1:  Internet, minitel, cloud, gratuité et liberté
contextual_url1:    20090217-internet-minitel-cloud-gratuite-et-liberte
contextual_title2:  ★ Le Web Sémantique ou l&#39;importance des données liées 
contextual_url2:    20081117-le-web-semantique-ou-limportance-des-donnees-liees
contextual_title3:  ★ Pourquoi avoir peur de Google ?
contextual_url3:    20080907-pourquoi-avoir-peur-de-google

J'étais ce samedi à Paris pour le [premier Social Web Camp](http://barcamp.org/SocialWebCampParis1), avec un nom pareil ça très bien pu prendre des tournures de [bullshit 2.0](http://www.telecom.gouv.fr/rubriques-menu/soutiens-financements/programmes-nationaux/volet-numerique-du-plan-relance/resultats-deux-appels-projets/liste-projets-retenus-web-innovant-2218.html) mais j'ai été très agréablement surpris et malgré un public technico-marketeux j'ai réussi à participer à des ateliers super intéressants.

## FOAF+SSL : RESTful authentication

J'ai enfin eu la chance de rencontrer [Henry Story](http://blogs.sun.com/bblfish/) qui est venu nous parler de son petit bébé : [FOAF+SSL](http://esw.w3.org/topic/foaf+ssl). Suivant le projet depuis un bon moment, j'avais surtout besoin de voir niveau ergonomie comment la chose évoluait.

Commençons par la technologie, l'idée est de permettre à la fois l'authentification et l'autorisation grâce aux certificats SSL. Une fois le certificat fourni, vous allez pouvoir récupérer des données RDF de façon granulaire. Là où c'est malin, c'est que ça va utiliser une propriété des certificats SSL peu connue qui consiste à spécifier une URI. On obtient de cette façon **une solution beaucoup plus sécurisée qu'OpenStack (OpenID+OAuth qui sont basés sur de la redirection) et beaucoup plus puissante puisqu'on attaque directement un graphe RDF**. En bonus, il s'agit de technologies standard et tout est déjà implémenté au niveau des navigateurs.

Enfin presque, car c'est là où le bât blesse : peu de navigateurs gèrent les certificats de manière satisfaisante d'un point de vue ergonomique. C'est le principal frein à l'adoption actuelle avec le besoin d'avoir du https (mais c'est en partie résolu, ou du moins temporairement remédiable grâce à l'[identity provider](https://foafssl.org/srv/idp) mis en place) et celui de créer son certificat mais [foaf.me](http://foaf.me/) arrive à le générer dans une iframe.

[Anthony](http://hanblog.info/blog/) me demandait récemment ce qu'il manquait aux navigateurs pour tirer pleinement parti de l'openweb afin d'en parler au MozEuCamp, je ne saurais que trop recommander une meilleure interface pour gérer ses certificats (surtout que Firefox est l'un des plus mal lotis...).

Au final, voir du concret et discuter avec Henry m'a bien motivé pour essayer de faire une petite appli Django en guise d'exemple de ce qui peut être fait. Pour aller plus loin, vous pouvez aussi lire [le résumé de la session](http://barcamp.org/FoafSsl) et bien sûr le blog d'Henry qui reste la référence.


## Internet of subjects

Le principe de l'internet des sujets est de casser les silos 2.0 pour décentraliser l'information et les remplacer par des silos personnels. Autant dire que c'était du sur-mesure :-). La discussion est restée assez théorique mais ça fait plaisir d'échanger avec d'autres points de vue sur la question.

Les notions de **privacy vs. intimacy, hébergement *box, neutralité du net, droit au mensonge, gouvernance des données, etc** ont été abordées. Il y a une conférence prévue en janvier et une fondation qui va être créée si j'ai bien tout suivi, je vous tiendrai au courant de l'avancée du projet.

Tiens au passage, un petit coup de pub : j'animerai un [atelier lors de Paris-Web](http://www.paris-web.fr/2009/-Samedi-10-octobre-) sur un sujet similaire à [celui abordé lors des RMLL](https://larlet.fr/david/biologeek/archives/20090702-discussion-aux-rmll-autour-des-applicationsdonnees-libres/) intitulé « Portabilité des données : danger ou opportunité ? ». Il doit rester quelques places pour y participer...


## Nouvelle forme de partenariat

J'ai terminé la journée autour d'une discussion sur les moyens de contractualiser les micro-prestations. Il devient difficile d'être touche à tout dans le web et on va vers de la spécialisation. Conséquence immédiate : on a besoin de plusieurs personnes expertes pour monter un projet mais pour de courtes durées et de plus en plus en formant une équipe internationnale. On a réfléchi aux structures permettant de monter de tels projets en sautant de Creative Commons, aux tiers de confiance, au droit internationnal, à eBay, etc.

Étant de plus en plus souvent dans ce type de situation, j'ai pu apporter mon expérience au débat et apprendre beaucoup de choses au niveau legislatif et économique à l'échelle de la planète. Il n'y a pas (encore) de solution miracle mais ça permet d'ouvrir des pistes (et de se sentir moins seul :-)). **Je suis persuadé qu'un projet web se montera bientôt comme on monte un film avec une réunion temporaire de compétences venant de divers horizons**. Cela ne se fera pas sans ces nouvelles formes de partenariat.

Bilan de la journée très positif, à refaire. Merci la FING, la Cantine et tous les motivés !

