title:      ★ Discussions sur les applications web libres
slug:       discussions-sur-les-applications-web-libres
date:       2009-12-02 03:18:10
type:       post
vignette:   images/logos/canards.png
contextual_title1:  Les outils manquants de l&#39;OpenData
contextual_url1:    20110328-les-outils-manquants-opendata
contextual_title2:  Retour sur l&#39;OpenData et nous, et nous, et nous ? 
contextual_url2:    20110322-retour-sur-lopendata-et-nous-et-nous-et-nous
contextual_title3:  Un projet Python : de l&#39;idée à la publication
contextual_url3:    20101203-un-projet-python-de-lidee-la-publication

Je vais essayer de résumer ce que j'ai dit en introduction des discussions que j'ai eu lors des RMLL (en juillet) et de Paris Web (en octobre) autour de ce thème. Je vous accorde qu'il eut été beaucoup plus intéressant d'avoir les discussions en elles-même mais il faut bien qu'il reste un intérêt à venir ;-). Et puis je vous invite à continuer en commentaires.

*Note : billet rédigé en partie dans le train donc ça va manquer de liens.*

## Notion de datacide

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/point_commun.jpeg" 
        alt="Point Commun" 
        style="margin: 0pt auto; display: block;"/>
</p>

Le point commun entre Pownce, Ma.gno.lia ou Orange blogs est le suivant : une fermeture du service entraînant dans la majorité des cas la perte des données pour l'utilisateur (ou sa réutilisation impossible, je ne parle pas des geeks), ce que j'ai appelé un **datacide par contraction de data et génocide**, une extinction de données (mais alors la perte d'un nom de domaine est un crime contre le Web, argh :-)).

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/gmail_outage.jpeg" 
        alt="GMail outage" 
        style="margin: 0pt auto; display: block;"/>
</p>

Or ce n'est malheureusement pas un cas isolé et on se rend même compte que la majorité des applications web 2.0 n'ont pas duré très longtemps...


<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/web2.jpeg" 
        alt="Évolution du Web 2.0" 
        style="margin: 0pt auto; display: block;"/>
</p>

Mais les disparitions brutales ne sont pas les seuls moments qui peuvent mettre en péril vos données, comment faites-vous lorsqu'un service est racheté par une entreprise à laquelle vous ne souhaitez pas livrer vos données personnelles ?

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/rachat.jpeg" 
        alt="Rachat de Dopplr par Nokia" 
        style="margin: 0pt auto; display: block;"/>
</p>

Toutes ces situations sont actuellement possibles du fait de l'enfermement des données dans des silos/prisons 2.0 qui ont la main sur vos données et qui en contrôlent l'accès, la réutilisation, la monétisation, etc.

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/silos_prisons.jpeg" 
        alt="Silos/prisons 2.0" 
        style="margin: 0pt auto; display: block;"/>
</p>


## Applications web libres

Si on analyse l'évolution du desktop, on a eu le développement à partir d'un système, l'OS, des logiciels qui ont fini par être libérés mais un peu sur le tard ce qui a donné une longueur d'avance difficilement rattrapable par le libre.

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/evolution.jpeg" 
        alt="Évolution desktop/web" 
        style="margin: 0pt auto; display: block;"/>
</p>

Si on passe maintenant au système web, on peut constater avec effroi que l'histoire se répète et c'était justement l'objet de mes interventions : **motiver les développeurs pour une libération du web et de ses utilisateurs**. Ou pour parler plus pragmatiquement, des données et de leur valorisation.

Est-ce déjà perdu vu l'avance de certains acteurs ? Je ne vous cache pas que c'est assez mal parti, mais rien n'est perdu car les habitudes ne sont pas encore assez ancrées pour être irréversibles, **notre fidélité aux applications web est encore relativement faible** (par exemple, il y a beaucoup moins de trolls sur les environnements web que sur les OS encore aujourd'hui, on a les indicateurs qu'on mérite :p).

J'aurais pu m'arrêter là et commencer la discussion mais je voulais poser quelques bases pour l'amorcer. C'est toujours difficile de savoir qui en est où dans l'assistance avant de lancer le débat. Avec le recul, je trouve ce format vraiment intéressant et je pense que j'essayerais de le reproduire.


## Quelques pistes de discussion

### Architecture et matériel

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/architecture.jpeg" 
        alt="Architecture" 
        style="margin: 0pt auto; display: block;"/>
</p>

**Internet est intrinsèquement pair à pair et acentré** (différent de décentralisé : qui possédait un centre). Or nos connexions asymétriques découragent une telle pratique qui consisterait à rendre chaque machine un serveur potentiel. C'est en partie la raison de l'échec d'Opera Unite par exemple qui a dû placer un proxy de cache pour limiter les faiblesses du réseau, ce qui lui a valu une mauvaise publicité injustifiée dans ce domaine (oui j'ai toujours ça en travers). Pourtant le concept est clairement innovant et permettrait de s'affranchir d'une nouvelle machine pour configurer un serveur local simplement (voir plus bas).

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/opera_unite.jpeg" 
        alt="Opera Unite" 
        style="margin: 0pt auto; display: block;"/>
</p>

On se retrouve ici à un goulot d'étranglement qui fait le bonheur de notre minitel 2.0 actuel : le téléchargement étant plus rapide, il a grandement contribué à la centralisation des services et aux producteurs de contenus professionnels qui ont les moyens de se payer un serveur avec une connexion décente.

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/materiel.jpeg" 
        alt="Matériel" 
        style="margin: 0pt auto; display: block;"/>
</p>

Partant de ce constant, il y a plusieurs alternatives matérielles possibles. On peut soit considérer qu'Internet est un nuage contrôlé par quelques sociétés et qu'il va falloir faire avec en développant des usages plus rapidement au détriment du contrôle de ses données. Je pense notamment à des projets comme [JoliCloud](http://www.jolicloud.com/) qui sont tournés vers la mobilité mais qui renforcent cette architecture client/serveur qui n'est pas de l'Internet (vous pouvez mettre dans le même sac Chrome OS).

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/jolicloud.jpeg" 
        alt="JoliCloud" 
        style="margin: 0pt auto; display: block;"/>
</p>

**Soit avoir son propre serveur maison qui permette d'héberger et de partager ses données**. Les connexions asymétriques étant suffisantes pour un visiteur unique consultant les photos du dernier par exemple.

Benjamin Bayart était à l'[Ubuntu Party](http://ubuntu-party.org/) ce weekend pour motiver des développeurs Ubuntu derrière un projet de no-box qui permettrait d'avoir la configuration d'un serveur web/mail/etc accessible aux humains. Même si c'est un premier pas important si on veut arriver à mettre un serveur libre dans chaque salon, **je pense qu'il faut une forte culture web pour réussir à développer la couche applicative** interopérable, ouverte, connectée, etc au dessus de la couche système. C'est la grande difficulté du projet et [je suis bien placé pour le savoir](https://larlet.fr/david/biologeek/archives/20070131-reve-de-geek/) car je me casse les dents sur l'aspect technique depuis 4 ans. Heureusement les choses commencent à bouger et de plus en plus de solutions sont envisageables.

*Note : il est intéressant de constater la sortie récente d'un Mac mini avec Snow Leopard server qui couplé à MobileMe + un Web App Store (+ éventuellement une tablette) pourrait constituer une solution propriétaire/fermée mais au combien puissante...*


### Applications et indépendance

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/applications.jpeg" 
        alt="Applications" 
        style="margin: 0pt auto; display: block;"/>
</p>

Cette couche applicative doit être aussi simple et ergonomique qu'un App Store des applications web (en plus ouvert, libre, mieux). Ça existe déjà avec [LaDistribution](http://ladistribution.net/) par exemple qui est un projet au potentiel énorme.

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/ladistribution.jpeg" 
        alt="LaDistribution" 
        style="margin: 0pt auto; display: block;"/>
</p>

Mais cette solution va un peu trop loin à mon goût (même si elle a l'avantage d'être pragmatique). **Idéalement, j'aimerais avoir un entrepôt de données auquel puissent accéder à la fois mes applications et des applications tierces qui valoriseraient ces données.**

Par exemple Typepad Motion, développé par les ex-Pownce (en Django toujours), a libéré le code et vous permet pour le moment d'héberger les données sur Typepad, c'est une première tentative de séparation des données et des services dans le (ex-)monde du 2.0.

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/typepad_motion.jpeg" 
        alt="Typepad Motion" 
        style="margin: 0pt auto; display: block;"/>
</p>

Il ne doit pas être très compliqué d'avoir une version qui pointe vers un autre stockage de données, ce qui m'intéresserait finalement beaucoup plus que la possibilité de contrôler le code mais non les données.

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/independance.jpeg" 
        alt="Indépendance" 
        style="margin: 0pt auto; display: block;"/>
</p>

En effet, le point central d'une telle évolution est d'avoir une indépendance vis-à-vis du prestataire, je veux pouvoir changer d'hébergeur de mon entrepôt de données ou d'applications valorisant mes données sans que ce soit contraignant. **Cette indépendance est rendu possible grâce à la possession d'un nom de domaine que l'on contrôle.**

Cela éviterait également d'avoir une box dans son salon qui n'est pas super écolo et qui posera tôt ou tard la question de la neutralité du net lorsque les FAI auront compris qu'il y a un marché dans leurs box...


### Identité et confiance

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/identite.jpeg" 
        alt="Identité" 
        style="margin: 0pt auto; display: block;"/>
</p>

Il reste encore 2 gros problèmes irrésolus jusqu'à présent, mais relativement liés : **la certification de l'identité et la confiance**. L'impossibilité de pouvoir s'assurer de l'identité d'une personne sur ce nouveau continent qu'est le net est une réelle difficulté (je n'entre pas dans le débat c'est aussi une chance, etc). J'ai déjà évoqué ici la place clé des états ou banques dans ce processus mais ce ne sont pas vraiment des acteurs innovants et technophiles...

<p>
    <img 
        src="/static/david/biologeek/images/applications_libres/evolution_identite.jpeg" 
        alt="Évolution de l'identité" 
        style="margin: 0pt auto; display: block;"/>
</p>

Une quantification de la confiance pourrait être établie par les réseaux sociaux mais les verified accounts de Twitter me font penser qu'il est difficile de déterminer ça algorithmiquement. Dommage que le W3C n'ait pas vraiment l'air de pousser la réflexion dans ce sens car ça va devenir un point clé et il serait dommage qu'il soit contrôlé par une/quelques société(s).


## Discussions

De Google à FOAF+SSL, des points de vue juridiques aux points de vue ergonomiques, des concepts aux idées, de nombreux échanges ont suivi qui étaient sacrément intéressants. J'ai eu des retours assez positifs mais je crois que le plus ravi dans l'histoire, c'était moi, **merci aux participants** ! :-)

