title:      Stratégie de sauvegarde SSD + NAS
slug:       strategie-de-sauvegarde-ssd-nas
date:       2010-04-29 01:35:51
type:       post
vignette:   images/logos/ssd.png
contextual_title1:  Stratégie de chiffrement des données et emails
contextual_url1:    20101206-strategie-de-chiffrement-des-donnees-et-emails
contextual_title2:  ★ Discussions sur les applications web libres
contextual_url2:    20091202-discussions-sur-les-applications-web-libres
contextual_title3:  Sécurité, twitter, confiance et habitudes
contextual_url3:    20091013-securite-twitter-confiance-habitudes

J'avais mentionné dans mon [billet-résolution annuel](https://larlet.fr/david/biologeek/archives/20100103-resolutions-redistribuer-produire-et-bouger/) que j'allais revoir ma stratégie de sauvegarde. C'est maintenant en place et c'est d'autant plus important que je suis aussi passé au SSD qui ne pardonne rien dans ce domaine. Résumé en 2 étapes :

## Choix et configuration du NAS

> Network Attached Storage, (NAS) désigne un périphérique de stockage relié à un réseau dont la principale fonction est le stockage de données en un gros volume centralisé pour des clients-réseau hétérogènes.

J'avais 2 disques SATA de même contenance (200 Go) d'une ancienne machine et c'est [Éric](http://eric.daspet.name/) qui m'a conseillé au détour d'un tweet d'investir dans un NAS de la marque Synology. Je me suis donc tourné vers [le modèle DS210j](http://www.synology.com/enu/products/DS210j/index.php) qui semblait convenir à ce que je voulais faire et je dois dire que je ne suis pas déçu.

**J'ai réussi à monter les disques, configurer le réseau, construire le RAID 1, transférer mes données et établir une sauvegarde TimeMachine via le wifi en une après-midi**, ce qui fut vraiment une surprise. Je m'attendais à galérer un moment. Cerise sur le gâteau, le partage des photos me permet de les visionner sur la télé et le partage de la musique est automagiquement détecté dans iTunes ce qui s'avère très pratique vu que je suis maintenant restreint en espace disque. À noter qu'il est aussi possible d'en faire une station de téléchargement : il y a juste à passer un lien BT ou même un flux RSS et ça télécharge tout seul, sans affecter ma machine. Appréciable, d'autant que je peux ensuite visionner tout ça depuis mon Macbook car lui il sait bufferiser :-)

Sur les points négatifs, le ventilateur fait un bruit de PC dans mon salon qui était redevenu si silencieux et les disques grattent un peu... La télé voit les films mais il est juste impossible de les visionner (très certainement un soucis de tampon sur la télé, vraiment dommage). J'étais étonné de voir une version iPhone de l'interface d'administration mais elle est finalement restreinte aux photos, la vue classique est tout de même pleinement fonctionnelle. Je n'ai pas encore tenté d'installer/compiler Python pour pouvoir lancer Django (car ça peut aussi faire serveur web), mais ça ne saurait tarder.

En parallèle du NAS, j'ai aussi un disque externe de 500 Go qui me sert de backup TimeMachine au quotidien et surtout lorsque je pars en voyage ainsi qu'un disque de 128 Go qui me sert de copie brute de disque grâce à [SuperDuper!](http://www.shirt-pocket.com/SuperDuper/SuperDuperDescription.html) qui permet d'avoir un disque bootable de sauvegarde que je vais essayer d'actualiser tous les 15 jours. Il me manque l'automatisation de la sauvegarde distante pour être complet.


## Choix et configuration du SSD

J'étais tenté de passer au <abbr title="Solid State Drive">SSD</abbr> sur ma prochaine machine mais plutôt déçu des nouveaux Macbook Pro 13". Et [j'ai appris](http://twitter.com/bibinou/status/12122708533) que [les SSD d'Apple ne valaient pas grand chose](http://it.anandtech.com/show/2829/19) en fait... d'où un changement de stratégie : acheter un [SSD très performant](http://macperformanceguide.com/Reviews-SSD-OWC-Mercury_Extreme.html) quitte à le mettre dans une autre machine plus tard. J'ai opté pour le modèle 100/128 Go qui reste quand même sacrément cher (mais mon patron est généreux).

**Je n'ai vraiment pas été déçu du résultat.** C'est un confort indiscutable, à tel point que j'avais l'impression d'être sur une nouvelle machine ! C'est là où on réalise que le dev de Textmate doit avoir un SSD par exemple pour avoir eu l'idée de rafraîchir le projet à chaque focus ou qu'Aperture 3 n'est utilisable qu'avec un disque aussi rapide :D

Plus sérieusement, c'est visible à tous les niveaux. Du lancement des applications à l'affichage des dossiers, au passage entre les applis, à la mise en veille qui est quasi immédiate, au serveur de dev local de Django, au lancement des tests, aux commandes Mercurial. **Un vrai bonheur de geek.** Et pour l'ouverture d'un navigateur avec une cinquantaine d'onglets ou une bibliothèque Aperture c'est juste bluffant, j'imagine même pas couplé à un meilleur matériel...

Du côté des inconvénients, c'est sûr qu'il faut se restreindre un peu niveau place. Surtout lorsqu'on prend des photos. J'ai déjà mis tout ce qui était musique sur le NAS, à part ce que je veux écouter en déplacement et j'ai archivé les très anciennes photos. Il me reste une vingtaine de gigas de marge, sachant qu'il faut laisser pas mal de place sur un SSD. **L'autre inconvénient c'est la fragmentation**, même si elle est réduite sur ce disque, qui peut demander un [reconditionnement annuel](http://macperformanceguide.com/Storage-SSD-Reconditioning.html) mais vu la simplicité avec laquelle j'ai fait le switch avec SuperDuper! ça ne me préoccupe pas tant que ça. Enfin il faut savoir qu'en cas de problème sur le disque SSD, il n'est pas possible de récupérer les données, d'où l'importance d'avoir une sauvegarde régulière et un clone de disque récent pour pouvoir rapidement être opérationnel avec l'ancien disque en cas de catastrophe un jour J (ou plutôt M pour [Murphy](http://fr.wikipedia.org/wiki/Loi_de_Murphy) dans ce cas).

Attention : pour le montage du nouveau disque dur dans votre macbook, vous avez besoin d'un tournevis TORX T6 qui est assez rare (en tout cas dans les boutiques d'électronique proche de chez moi) donc prévoyez le coup. Après **la migration est très simple avec SuperDuper!** : sauvegarde du disque actuel en excluant ce qui a été sauvé sur le NAS, extinction de la machine, remplacement du disque, démarrage sur le disque externe bootable, formattage et transfert des données, reboot (rapide !) et voilà ;-). Une petite réindexation de la part de Mac OS X et tout fonctionne immédiatement, de la récupération des onglets au backup TimeMachine.


## Conclusion

Au final, ça m'aura quand même coûté assez cher, 200€ + 400€ environ (beaucoup moins qu'un nouveau laptop...) mais j'ai gagné énormément en confort d'utilisation et comme c'est mon quotidien ça en valait la peine. Je suis aussi beaucoup plus serein grâce à la nouvelle stratégie de backup qui, même si elle n'est pas parfaite, est moins risquée que la précédente en place qui reposait juste sur un disque externe en TimeMachine + sauvegarde distante tous les x mois. En théorie, je devrais même gagner un peu en autonomie. En pratique, je n'ai pas encore pu tester même si ça m'a semblé être le cas [lors de djangocong](http://rencontres.django-fr.org).

