title:      Stratégie de chiffrement des données et emails
slug:       strategie-de-chiffrement-des-donnees-et-emails
date:       2010-12-06 17:06:42
type:       post
vignette:   images/logos/chiffrement.png
contextual_title1:  Stratégie de sauvegarde SSD + NAS
contextual_url1:    20100429-strategie-de-sauvegarde-ssd-nas
contextual_title2:  ★ Pourquoi Python et Django
contextual_url2:    20091211-pourquoi-python-et-django
contextual_title3:  ★ L&#39;élitisme de la curiosité
contextual_url3:    20090313-lelitisme-de-la-curiosite

J'étais dans une situation inconfortable depuis 3 ans, travaillant à mon compte pour divers projets, requérant différents niveaux de confidentialité, le fait que l'on puisse me voler ma machine était un réel problème. J'ai récemment décidé de remédier à ça en chiffrant mes données confidentielles : projets, documents et emails. C'est à la fois une garantie pour mes clients (qui n'ont jamais émis des réserves à ce sujet, à croire que signer un NDA suffit...) mais **surtout un apaisement personnel**.


## Mise à jour stratégie de sauvegarde ##

On commence par quelques retours sur [ma stratégie de sauvegarde](https://larlet.fr/david/biologeek/archives/20100429-strategie-de-sauvegarde-ssd-nas/) à la demande de [Jean-Christophe](https://larlet.fr/david/biologeek/archives/20100429-strategie-de-sauvegarde-ssd-nas/#c51045) :

> 6 mois ont passé depuis ton article, il serait intéressant de faire un bilan rétrospectif. Notamment es-tu toujours aussi content/impressionné par la rapidité du SSD ? As-tu découvert des inconvénients par rapport au bon vieux disque mécanique ? Maintenant qu'est passé l'enthousiasme initial de l'achat de ton NAS, quel regard plus objectif lui portes-tu ?
> 
> Dispose-t'il (le NAS) de la puissance et de la mémoire nécessaire à son rôle (je pense aussi si tu lui installes des "applis" en plus comme python par exemple) ? As-tu adapté ta stratégie de sauvegarde ? As-tu essayé de nouveaux outils pour ? Lesquels ton déplus, quels sont ceux qui t'enthousiasmes maintenant ?

Il se trouve que j'ai pu valider la stratégie pour de bon car mon disque SSD a crashé au bout d'un mois. Et c'est une bonne chose. Enfin je me comprends...

Résultat, **je me suis rendu compte à quel point les clones de disques bootables réalisés par SuperDuper! sont pratiques dans ces cas là pour être immédiatement opérationnel**, et oui ça arrive toujours au moment où il ne faut pas que ça arrive. J'ai donc remplacé le lecteur de disques sur ma machine par le disque d'origine non SSD de 500Go qui me sert à la fois de clone de secours et de stockage de media : bibliothèque principale Aperture, musique, films, séries. Car la limite des 100Go du SSD commençait à être problématique, je voulais pouvoir déborder en cas de besoin (rien de pire de se rendre compte au milieu d'un séjour qu'il faut faire de la place pour vider une carte...).

**Je fais également plusieurs clones externes**, un sur disque en Firewire 800 qui me sert de disque au quotidien pour Time Machine également ainsi que pour les sauvegardes de banques Aperture. Un autre qui est chez ma mère sur lequel je fais des backup moins fréquents mais qui pourraient me sauver en cas de gros pépin, d'où l'importance lorsque l'on commence à sauver en distant du chiffrement ci-dessous, quand je vois les geeks qui envoient des données en clair sur Dropbox ça me rend fou. Enfin un dernier davantage dédié au voyage qui me permet d'avoir 3 sauvegardes distinctes des photos que je prends.

**[edit du 09/12/2010]** J'ai été un peu médisant sur DropBox à ce niveau, lire à ce sujet [le document pdf Security Overview](http://www.dropbox.com/static/team/DropboxSecurityOverview.pdf) publié par l'entreprise.

Pour revenir sur les questions, concernant la rapidité du SSD c'est toujours autant un plaisir, l'ajout d'un second disque classique dans la machine la rend un peu plus bruyante (et nécessite un peu plus d'énergie) mais c'est le prix de la sécurité. Le NAS fait son boulot mais je lui en demande pas trop, il me sert uniquement de plateforme de téléchargement et de sauvegarde Time Machine. À noter qu'il n'est pas possible de sauvegarder une banque Aperture sur un disque réseau apparemment ce qui m'a bien énervé quelques heures. Il y avait également un bug dernièrement avec la dernière version d'iTunes qui ne reconnaissait plus la musique qui était dessus mais le streaming d'un iTunes à un autre est maintenant suffisant.

Pas d'évolution au niveau des outils mais par contre j'ai changé de machine et je suis passé à 1To en RAID 1 pour le NAS.


## Chiffrements des données ##

Passons au sujet du billet, j'ai commencé à évaluer [TrueCrypt](http://free.korben.info/index.php/TrueCrypt) suite à l'excellente série de billets de [Kozlika](http://www.kozlika.org/kozeries/post/2010/10/29/Vol-d-ordinateur-limiter-les-degats) et puis [Olivier](http://neokraft.net) m'a dit qu'il était plus intéressant d'utiliser [SparseBundle](http://www.competencemac.com/Sparsebundle-kezaco_a987.html) sous OS X qui ne consommait pas l'espace libre de l'image (ce qui est important lorsqu'on est limité) et qui est constitué de petits fichiers (utile pour faire un rsync par exemple). J'ai finalement opté pour cette dernière, ne nécessitant pas de lire ces images par un autre OS.

*Note : je ne voulais pas chiffrer l'intégralité de la home car je trouve ça dommage de vouloir gagner en performances d'un côté avec SSD+iCore+ram si c'est pour ralentir l'intégralité du système par ailleurs...*

L'intégration de SparseBundle est vraiment excellente, il suffit de passer par l'utilitaire de disques et de créer une nouvelle image (attention, ne sélectionnez pas un disque existant sinon ça va lancer la copie du disque lorsque l'image est créée !) et de choisir le nom, les options de chiffrement et le type SparseBundle. Cerise sur le gâteau, **il est possible de compacter l'image si jamais vous supprimez une grosse quantité de données et même de changer la taille limite à la volée.**

Le seul vrai avantage de TrueCrypt était de pouvoir créer une partition invisible dans une partition chiffrée, utile si vous avez l'occasion de vous faire torturer (par la justice notamment) mais je me suis dit que c'était rarement à mon emploi du temps et que mes données n'étaient pas *si* confidentielles.

J'ai créé 2 images, l'une pour les Sites qui contiennent les projets (surtout Django) ainsi que les données relatives aux projets (ce qui est généralement plus intéressant à revendre pour un éventuel voleur). L'autre pour mes Documents qui sont à la fois pro (paperasse comptable) et perso. Il faut encore que je m'occupe des fichiers pour les bases de données relatives au projet lorsqu'elles ne sont pas en sqlite.

*Note : Il est possible de créer une image par projet permettant en cas de demande de la justice de ne pas laisser accès à tous les projets mais ça me semble inapproprié pour le moment.*


## Chiffrement des emails ##

Là c'est un peu plus délicat, j'ai commencé par modifier le `.plist` comme décrit [sur ce forum](http://hintsforums.macworld.com/archive/index.php/t-43096.html) mais ça posait un problème lorsque j'oubliais de monter le disque avant de lancer Mail.app. J'en suis donc arrivé à faire un lien symbolique de mon volume vers `~/Library/Mail/` et ça marche plutôt bien, en cas d'oubli ça m'affiche un joli message d'erreur au lieu de me créer un dossier local et de retélécharger tous les mails...

**Pensez également à chiffrer `Mail Downloads` qui contient vos pièces jointes !** Il faut encore que je m'occupe de chiffrer les données de Transmit et de 1password si c'est possible même s'il me semble que c'est dans le trousseau chiffré d'OS X.

*Note : Inutile de prendre autant de précautions si vous n'utilisez pas imaps ou si vous ne verrouillez pas votre iPhone hein :-)*

Il me reste maintenant à **trouver un moyen d'optimiser les montages/démontages des images**, enfin surtout le démontage car actuellement si je mets l'ordinateur en veille (ce qui sera le plus probable si on me le vole), et bien les images ne sont pas démontées. Il faut donc que j'y pense lorsque je suis en déplacement ce qui est loin d'être idéal ! Si vous avez des idées (je n'ai pas encore creusé du tout), je suis preneur.

**En conclusion, la sérénité a un coût en temps de configuration initiale qui ne me parait pas si élevé relativement au résultat, j'aurais dû essayer plus tôt mais au moins ça ne sera pas trop tard :-).**

## Procédure détaillée ##

**[Edit du 08/12/2010]** À la demande de [Karl](http://la-grange.net), quelques précisions sur la procédure pour chiffrer les mails (c'est exactement la même chose en plus simple pour les données). On commence par créer l'image grâce à l'utilitaire de disque `Applications > Utilitaires > Utilitaire de disque` et on clique sur `Nouvelle image`. Là une petite boîte s'ouvre, on complète `Enregistrer sous` avec le nom, par exemple `Emails`, et on lui donne le même nom pour rester cohérent. La taille dépend de vos besoins, j'essaye de rester correct avec mon hébergeur en restant sous le Giga et j'ai mis 4,6 Go histoire de voir venir et de pouvoir mettre ça sur un DVD au besoin. On ne touche pas au format et on chiffre en 128 ou 256 bits, on ne touche pas non plus aux partitions et enfin le plus important on choisit `image disque SparseBundle` comme format d'image.

Hop il ne reste plus qu'à cliquer sur créer et compléter son mot de passe super compliqué mais dont il faut impérativement se souvenir...

Une fois l'image créée, il faut la monter (il est possible d'enregistrer le mot de passe dans le trousseau OS X) et copier les données depuis `~/Library/Mail/` et `~/Library/Mails Downloads/` **après avoir fermé Mail.app**, une fois fait on peut supprimer ces dossiers et créer des liens depuis l'image chiffrée :

    $ ln -s /Volumes/Emails/Mail/ /Users/david/Library/Mail
    $ ln -s /Volumes/Emails/Mail\ Downloads/ /Users/david/Library/Mail\ Downloads

On relance `Mail.app` et normalement vos emails devraient s'afficher directement depuis l'image chiffrée qui a été montée. Si vous vous êtes trompé au niveau du lien ou si l'image n'est pas montée, une fenêtre va vous indiquer le problème en termes intelligibles.

