title: Accompagnement EMI
slug: accompagnement-emi
date: 2013-03-22
chapo: La concrétisation d'un projet ne doit jamais se faire au détriment de la communication dans l'équipe.

> Accompagner, c'est célébrer, c'est manifester l'incroyable splendeur qu'est chacun(e).
>
> <cite>Marie Milis</cite>

J'intervenais cette semaine à l'[EMI CFD](http://www.emi-cfd.com/) comme [précédemment mentionné](/david/blog/2013/conferences-diversite/). L'occasion de rencontrer une promotion orientée graphisme et rédaction bien éloignée de la sphère des développeurs.

L'objet était de produire une petite application en une semaine qui utilise des données sur la thématique du *Festival de Cannes*, ce qui s'est avéré être un challenge intéressant autant du point de vue de l'accompagnement en lui-même que de celui du sociologue qui sommeille en moi.

Il y a eu 2 problèmes transverses aux équipes accompagnées sur lesquels je voudrais revenir :

* *le manque de démarche expérimentale* : lorsque l'on commence à « s'imbiber de données » (sic), il est important de formuler des hypothèses qui doivent être vérifiée **par** les données et non énoncer des points de vues que l'on cherche absolument à prouver **avec** des données. Il ne faut pas avoir peur de produire des esquisses de données — à travers des graphes tout simples — avant de penser en termes d'infographies. Pressés par le temps, nous n'avons pas pu développer la discussion sur **la rigueur scientifique des journalistes** mais cela aurait pu être intéressant, il est trop tentant de vouloir raconter une histoire pour sa simple [audience](/david/blog/2012/opinion-audience/).
* *le manque de [coopération](/david/blog/2013/autoritaire-cooperatif/)* : il y avait 3 équipes qui sont restées dans leur bulle tout le long de la semaine, quel dommage ! Chaque équipe — même dans le cadre d'une *coopétition* — aurait gagnée à mutualiser des données ou à se challenger sur les résultats obtenus. Cela aurait encouragé également une démarche itérative pour que ces échanges soient rendus possibles. *Note : on nous a récemment qualifiés d'« intégristes de la coopération » avec [scopyleft](http://scopyleft.fr) et j'assume pleinement ce rôle.*

En recherche d'efficacité optimale, j'ai introduit la méthode [MoSCoW](https://en.wikipedia.org/wiki/MoSCoW_Method) la dernière journée en improvisant un ersatz de *backlog* priorisé. Le résultat s'est révélé être au-delà de mes espérances en terme de fluidité des cartes au sein de l'équipe pour effectuer les dernières tâches rapidement.

Il était assez frustrant de ne pas avoir le temps d'expliquer la vision que j'ai de mon métier et de transmettre une façon de travailler permettant de garder un rythme soutenable et procurant du plaisir. Frustration également (salutaire cette fois) de se retenir de trop encadrer, certaines expériences devant se faire par soi-même. Cela étant dit, mon seul vrai regret sur la semaine aura été de ne pas avoir pu rester à la fin lors de la rétro accompagnateurs et du pot qui aurait pu permettre de parler d'autre chose que de données :-).

Quelques idées pour améliorer la formation :

* donner quelques rudiments méthodologiques pour faire fonctionner les groupes, au moins en leur expliquant les différents axes possibles d'organisation (centralisé, démocratique, [sociocratique](/david/blog/2012/consentement-sociocratie/), etc), la méthode à [la RACHE](http://www.la-rache.com/) ayant montré ses limites ;
* lisser la pression, elle ne devrait pas être croissante comme j'ai pu l'observer quel que soit le groupe, l'approche itérative permet d'y arriver efficacement ;
* donner davantage de temps pour affiner la vision initiale en leur proposant le thème plus tôt, beaucoup de temps a été perdu par simple manque de réflexion en amont.

> L'éducation authentique ne se fait pas de A vers B, ni de A sur B, mais par A avec B, par l'intermédiaire du monde.
>
> <cite>Paulo Freire</cite>

J'ai au moins autant appris que les « étudiants » cette semaine en ayant eu la possibilité d'observer des groupes de travail à l'ouvrage et en constatant une fois de plus la difficulté à travailler ensemble même en poursuivant un but commun. **La concrétisation d'un projet ne doit jamais se faire au détriment de la communication dans l'équipe.** Auquel cas on perd non seulement le projet, mais également l'équipe…

Pour finir, je voudrais remercier [Yohan](http://yohanboniface.me/) qui m'a permis de participer à cette formation (et de dormir sur son bateau pendant une semaine !).
