title: Autoritaire ou coopératif
slug: autoritaire-cooperatif
date: 2013-03-03
chapo: Mieux vaut allumer une bougie que maudire l'obscurité.

> Il ne s’agit plus du tout de cela, mais bien plutôt d’un **choix entre la centralisation ou la distribution, le choix entre un système autoritaire ou un système coopératif.**
>
> […]
>
> Il y a un **changement dans le paradigme du pouvoir**. Le pouvoir du haut vers le bas, le pouvoir centralisé. La nouvelle génération a une vision complètement différente. La génération Internet ne pense pas entre gauche et droite. Ils ne pensent pas capitalisme ou socialisme. Ces mots ne sont même plus inscrits dans leur vocabulaire. Quand un jeune de la génération internet juge un comportement politique, il pose la question de la manière suivante, que ce soit à un gouvernement, une entreprise, un parti politique ou une école : est-ce que cette institution se comporte de façon centralisée, patriarcale, du haut vers le bas, propriétaire, fermée ? Ou est-ce que cette institution se conduit de façon distributive, collaborative, ouverte, transparente avec des pouvoirs latéraux.
>
> <cite>Jeremy Rifkin retranscrit par Pascal Gaillard *[Du pouvoir vertical au pouvoir latéral…](http://www.pascal-gaillard.fr/?p=873)*</cite>

Dans la théorie, je trouve cela évident. Maintenant lorsqu'il s'agit de le mettre en pratique je deviens sceptique en observant les difficultés que l'on peut déjà avoir à 4 pour changer ce *paradigme du pouvoir* en étant tous pleinement convaincus de son intérêt. Pour en arriver à affecter la culture et la civilisation comme Jeremy Rifkin l'ambitionne, il va falloir à mon avis énormément de temps (et d'éducation). *Or, on manque justement de temps.* Et encore, ce n'est pas une mutation mais une création dans notre cas, ce qui s'avère plus facile :

> **Rachel**: *GitHub started out flat from the get go. Do you think that in a more traditional structure, people can transition to and ‘go flat’?*
>
> **Steve**: I think it would be difficult to do unless you have a buy-in from everyone on the team. If we had twelve managers and wanted to go flat, we’d have to be like, “So you guys, I don’t know what you’re going to do now. We don’t really need you anymore—.” I don’t know how you’d handle that as a company [laughing].
>
> <cite>*[Steve Smith On Optimizing For Happiness](http://www.ngenworks.com/blog/steve-smith-on-optimizing-for-happiness)*</cite>

D'un autre côté, j'ai l'impression que les choses bougent au niveau de la coopération dans l'entreprise. Peut-être est-ce le [prisme déformant de mon centre d'intérêt](/david/blog/2013/developpeurs-creatifs/) qui me fait découvrir des entreprises et les personnes qui les animent comme [Ninja Squad](http://ninja-squad.com/) ou [Lateral Thoughts](http://www.lateral-thoughts.com/) mais *il est vraiment encourageant de découvrir que cet épiphénomène n'en est peut-être pas un* :

> Toute entreprise, en tant que système humain organisé autour d’un objectif commun, répond à ces lois relationnelles du vivant qui régissent autant l’infiniment petit que l’infiniment grand. Ainsi, **la capacité d’équilibre et d’évolution de l’entreprise repose fondamentalement sur la fluidité de l’information qui circule et la qualité des interactions humaines qu’elle génère**.
>
> En outre, et à l’inverse des hiérarchies de contrôle habituelles des sociétés où la règle descend du haut, il s’avère scientifiquement que **l’ordre et le changement (homéostasie et évolution) s’élèvent du bas vers le haut** : le système s’autogénère à partir d’une **coopération spontanément adaptative** entre ses parties, pour un bénéfice général.
>
> […]
> 
> Il lui faut  pour cela, en premier lieu, respecter et s’appuyer sur le ressort fondamental de l’être humain, qui constitue sa liberté et sa dignité : **s’accomplir individuellement, dans et par l’interaction humaine, au service d’une cause co-construite qui transcende ses besoins égotiques pour servir positivement son système d’appartenance (l’humanité).**
> 
> <cite>Pascal Gaillard, *[Kosmos (3) : un management résolument horizontal](http://www.pascal-gaillard.fr/?p=940)*</cite>

Je vous invite à lire l'intégralité des articles relatifs à la création de cette entreprise (série non terminée) :

* [Kosmos (1): une vision évolutive et des valeurs positives](http://www.pascal-gaillard.fr/?p=927)
* [Kosmos (2): une recherche d’utilité sociale des solutions](http://www.pascal-gaillard.fr/?p=938)
* [Kosmos (3): un management résolument horizontal](http://www.pascal-gaillard.fr/?p=940)
* [Kosmos (4) : des collaborateurs autonomes, créatifs et solidaires](http://www.pascal-gaillard.fr/?p=970)

Il faudra que j'arrive à écrire ce type d'articles relatifs à [scopyleft](http://scopyleft.fr) lorsque j'aurai un peu plus de recul. Mon marque-page actuel est celui d'[Amnesty International](https://www.amnesty.org/) sur lequel est inscrit :

> **Mieux vaut allumer une bougie que maudire l'obscurité.**
