title: Blogs et partage
slug: blogs-partage
date: 2013-01-24
chapo: J'aimerais avoir une liseuse de Web, qui me permette de lire du contenu brut de proche en proche, d'idées en idées, de pair à pair.

Beaucoup de réactions suite à [ma réponse à Thierry Crouzet](/david/blog/2013/blogs-epubs/) qui a son tour me répond chez lui :

> Parce que sur un blog les billets se suivent, comme dans un journal intime, ils nous incitent à écrire des histoires/réflexions en épisodes. Pas besoin que les billets soient autonomes, compréhensibles en eux-mêmes. Ils s’adressent à des lecteurs fidèles. Déjà familiers de l’univers de lecture.
>
> De même, la forme blog à un moment donné cesse, à mon sens, de nourrir le blogueur. Elle ne le pousse plus en avant, à moins qu’il n’ait cessé de se remettre en cause.
>
> <cite>Thierry Crouzet, *[Tout est format](http://blog.tcrouzet.com/2013/01/22/tout-est-format/)*</cite>

Je ne conçois plus le blog comme un *journal intime* mais comme un outil permettant de [faire ricocher les idées](/david/blog/2013/citations-inspiration/) et d'échanger — effectivement en plusieurs épisodes — non pas avec soi-même mais avec d'autres blogueurs, c'est à mon avis le seul moyen de *nourrir le blogueur* sur le long terme, **sortir de sa bulle narcissique pour s'ouvrir et échanger avec la communauté, participer à sa définition et se (re)définir ainsi.**

> Mais à mon sens, cela rendra d’autant plus nécessaire l’accès traditionnel au « livre clos » (imprimé ou numérique), celui qui a un commencement et une fin, qu’un auteur a publié à une certaine date et auquel il ne touche plus après. C’est-à-dire le contraire du livre modifié en permanence – dit parfois « liquide » –, parce que son auteur y revient ou qu’il est enrichi par d’autres : une modalité passionnante, mais inévitablement inscrite dans l’instant, impossible à inscrire dans la durée.
>
> <cite>François Gèze, *[Nous sommes à un tournant majeur de l’histoire de l’édition](http://www.bastamag.net/article2882.html)*</cite>

Le « livre liquide » qu'est le blog peut au contraire s'inscrire dans la durée par les nombreuses références qui peuvent être faites montrant le cheminement de la réflexion, parfois collective. **Le problème du livre numérique et/ou du blog ne vient pas de sa temporalité mais de l'[obsolescence du schéma de pensée de ses concepteurs](/david/blog/2013/developpeurs-magiciens/).** La technique est pourtant là pour assurer la pérennité des contenus numériques… mais encore faut-il que ceux-ci continuent à être liés pour pouvoir être découverts. Ce n'est pas tant [une question de pagination](http://carnets.contemporain.info/audet/archives/1204) mais de parcours de graphe qui doit rester une expérience plaisante pour le lecteur. Je suis atterré de lire encore des articles sans aucun lien, *des impasses du Web*.

> Le blog cherche à communiquer. David parle de partage. En étant plus terre à terre je parlerai de mise à jour, d’ajout régulier de contenu, de liens et de commentaires. […] Pour améliorer les blogs parlons plutôt simplicité de diffusion, facilité d’écriture, amélioration des discussions, mais tout ceci est rarement une question de format ou de technique.
>
> <cite>Éric D., *[Blogs et EPUB](http://n.survol.fr/n/blogs-et-epub)*</cite>

Pour préciser ma vision sur le partage, **ce qui m'intéresse c'est avant tout le dialogue que cela rend possible avec mes pairs.** Les discussions croisées qui enrichissent le débat, qui donnent d'autres manières de penser, d'autres *matières* à penser, qui font *progresser*. Et cela me semble aller dans le sens de ce que ressent Clochix :

> Mais ce ne sont pas forcément les liens les plus pertinents sur une page. Lorsque je lis le billet de David, m’intéresse davantage le contexte que la liste des autres publications sur d’autres sujets dans son carnet. […] Il suffirait que l’auteur ajoute manuellement ces références à son article.
>
> <cite>Clochix, *[Reconstruire une toile](http://esquisses.clochix.net/2013/01/23/liens/)*</cite>

*Note : j'ajoute ces liens manuellement jusqu'à présent lorsque je suis informé de ces sources. Ce qui est [devenu moins facile](/david/refonte/#20121213).*

Le danger serait de tourner en vase clos, **que la communauté tourne en rond et s'étouffe d'elle-même** et cela m'inquiète car je (re)lis beaucoup de « vieux » blogueurs (certains apprécieront :P) mais j'ai du mal à découvrir de l'encre numérique neuve, de la fraîcheur dans les idées. C'est très préoccupant mais je retrouve malheureusement cela dans les événements aussi et j'ai du mal à *améliorer l'accessibilité des communautés auxquelles je participe*.

> Et soudain j'y ai vu un grand manque de nos liseuses : comment se fait-il qu'elles ne puissent communiquer entre elles ?! Pourquoi ne pourrais-je pas approcher ma liseuse de celle d'un ami pour partager un livre ? de façon horizontale.
>
> <cite>Emmanuel Clément, *[Un epub et au lit](http://emmanuel.clement.free.fr/blog/index.php/post/2013/01/23/Un-epub-et-au-lit)*</cite>

Certes, <cite>les liseuses ne sont pas partageuses</cite> mais qu'est-ce qu'elles sont profiteuses ! C'est avant tout un choix dicté par le profit, c'est le même débat que celui sur l'asymétrie du débit ne permettant pas d'avoir des échanges en pair-à-pair optimisés *par* le Web afin de privilégier les fournisseurs de contenus centralisés *sur* le Web. **J'aimerais avoir une liseuse de Web, qui me permette de [lire du contenu brut](https://bitbucket.org/david/contentbrowser/) de proche en proche, d'idées en idées, de pair à pair.**
