title: Culture et entreprise
slug: culture-entreprise
date: 2013-02-26
chapo: J'ai l'impression qu'il y a beaucoup plus qu'un manifeste ou des valeurs derrière ce terme mais une véritable relation.

Plusieurs billets récemment sur la culture d'une entreprise, avec une première charge contre les *startups* qui sont dans l'adoption de pratiques plus que dans [la transformation](/david/blog/2013/developpeurs-magiciens/) :

> Culture is about power dynamics, unspoken priorities and beliefs, mythologies, conflicts, enforcement of social norms, creation of in/out groups and distribution of wealth and control inside companies. Culture is usually ugly. It is as much about the inevitable brokenness and dysfunction of teams as it is about their accomplishments. Culture is exceedingly difficult to talk about honestly.
>
> <cite>*[What Your Culture Really Says](http://blog.prettylittlestatemachine.com/blog/2013/02/20/what-your-culture-really-says/)*</cite>

Suivi d'un billet de 37signals qui nous rappelle la différence entre culture d'entreprise et politique d'entreprise :

> Culture nurtures pet projects so that they grow into everyday company tools. Policy steals 20% of your staff’s work hours to gamble on forced research and development.  
> Culture does. Policy says.  
> Culture encourages. Policy requires.  
> Culture empowers. Policy mandates.  
> Culture simply happens — it isn’t created.
>
> <cite>*[When culture turns into policy](https://37signals.com/svn/posts/3450-when-culture-turns-into-policy)*</cite>

Et enfin Hubert en remet une couche avec la notion d'entreprise agile :

> La conclusion de l’étude, jamais publiée, était que les entreprises qui avaient survécu étaient à la fois très décentralisées (c’est-à-dire qu’elles avaient des « frontières poreuses » et des « bords excentriques »), tout en ayant une très forte identité (c’est-à-dire des valeurs, une culture, des croyances).
>
> […]
>
> « Trop souvent, on engage les gens pour leurs compétences, alors qu’il est aussi nécessaire de les engager pour leurs valeurs, afin que celles-ci soient en phase avec l’organisation qui les accueille »
>
> […]
>
> La société a donc établi une carte culturelle, un petit carnet, qui évoque et explique les valeurs de la marque. « Plus qu’un manifeste, c’est un livret qui montre ce qui importe, qui se veut inspirant ». « Il ne faut pas planifier, il faut spéculer », clame l’entrepreneur.
>
> […]
>
> Cette session laissait penser que les entreprises agiles, finalement, ne sont que des entreprises comme les autres. Peut-être est-ce finalement plus vrai que le contraire. A moins que l’agilité, ce buzzword à la mode, soit déjà dévoyé, rattrapé et assimilé par le vocabulaire du management. C’est en tout cas l’impression que pouvait laisser ces trois interventions, où l’agilité, ressemblait à une tranquille adaptation aux exigences du moment. 
>
> <cite>*[Agile, l’entreprise de demain ?](http://www.internetactu.net/2013/02/22/agile-lentreprise-de-demain/)*</cite>

Je me pose beaucoup de questions au sujet de la *culture* d'une entreprise comme [scopyleft](http://scopyleft.fr) et sur la manière de la partager et de la transmettre (ce que je vais tenter de faire [lors de Devoxx](http://www.devoxx.com/display/FR13/BOF+Not+Only+SSII)). **J'ai l'impression qu'il y a beaucoup plus qu'un manifeste ou des valeurs derrière ce terme mais une véritable relation.** Un savant mélange de vécus, d'espoirs, de doutes, de rencontres, d'échecs, d'expériences, de concessions, de découvertes, de remises en questions et de fun. *Or, une relation ne se raconte pas, elle se vit. Au quotidien. Intime.*

*[Mise à jour]* : l'importance de la culture lors d'une embauche :

> Don't build a team, build a culture. Teams expand, contract, change process and leadership at a decent pace in any startup and the culture is what can hold it together through all that change. Culture is the expression of shared values and interests between people. Culture is the heartbeat of a community. So the central question must be: what are the values and interests of your culture?
>
> <cite>*[Hiring](http://www.mikealrogers.com/posts/hiring.html)*</cite>

Stéphane répond dans [Une relation de travail](http://nota-bene.org/Une-relation-de-travail).

> Compared with existing governance models which are paper-based, hierarchical, exclusive and slow to change, this is a long overdue shift. Governance is central to upholding a culture, so ours should be web-based, user-focused, and participative.
>
> <cite>*[Of the web, not on the web](http://digital.cabinetoffice.gov.uk/2013/03/14/of-the-web-not-on-the-web/)*</cite>
