title: Écologie et données
slug: ecologie-donnees
date: 2013-05-01
chapo: Un archivage raisonné de vos données est le garant d'une empreinte numérique respectueuse des ressources naturelles finies dont nous disposons.

*Article initialement publié dans le volume 2 de FaitMain avec pour titre [Le coût écologique de vos données](http://faitmain.org//volume-2/cout-ecologique-donnees.html) sous [licence CC BY-SA](https://creativecommons.org/licenses/by-sa/3.0/deed.fr) et [rapatrié depuis sur cet espace](/david/blog/2014/rapatriement-articles/).*

Des photos de vacances non triées aux mails archivés *ad vitam aeternam*, des
films collectionnés aux bibliothèques musicales dont la qualité est devenue
obsolète, des livres téléchargés mais jamais ouverts aux projets inachevés,
nous disposons tous de **poussières numériques** plus ou moins évidentes.

À l'heure où le stockage de données domestiques se compte en téra-octets, on
pourrait trouver saugrenue l'idée de limiter son impact en terme de stockage
numérique. Et pourtant. Songez un instant à cette masse de données accumulées,
à ce *grenier numérique* qui encombre votre disque dur de ses données
antédiluviennes, et ces sauvegardes sur d'autres supports, et ces sauvegardes
distantes, et ces sauvegardes incrémentales. **Autant de duplications et de
transferts qui ont un coût écologique non négligeable.**

Comment réduire son empreinte numérique ? La première option pourrait être de
ne pas faire de sauvegarde du tout, ce qui règlerait le problème en faisant un
*reset* du système à chaque itération de crash/réinstallation. Cette
éventualité vous fait peut-être sourire pourtant la plupart des personnes
(non-techniciennes) de mon entourage gèrent leur patrimoine numérique de cette
manière. En tant que lecteur du magazine, vous êtes probablement dans un cas
inverse et **vous accordez une certaine importance à la pérennité de vos
données,** ce qui vous a amené à effectuer des sauvegardes suivant la méthode
recommandée des 3 emplacements physiques distincts (ce qui soulève notamment un
problème de confidentialité diluée mais ce n'est pas l'objet de cette tribune).

Pour venir à bout de cette poussière qui s'accumule, il faut se prêter à deux
exercices : **un ménage régulier et une hygiène de vie numérique.** Le ménage
initial est incroyablement chronophage en fonction de l'état de flemme dont
vous avez fait preuve au cours des précédentes années (décennies ?!). La
première étape pourra consister à localiser les fichiers qui sont les plus
volumineux pour procéder à un premier tri, et ce, dans chacune des catégories
possibles (films, livres, emails, etc.) tout en ajustant la qualité des données
à votre perception : inutile de conserver des rafales de photos en *raw* de 30
Mo si vous avez un ordinateur portable de 13" non calibré… Une fois ce premier
ménage effectué (je vous conseille le printemps approchant, c'est une
excellente période pour ça) il va falloir suivre une certaine méthode de tri
des données qui doit devenir à terme une routine. En procédant ainsi, vous
allez pouvoir cultiver une base saine et propre à vos besoins.

Outre la satisfaction d'un travail bien fait et la préservation de votre santé
mentale, je parlais en introduction du coût écologique de ces données. Il faut
bien avoir conscience que, quelle que soit votre approche — traditionnelle et
locale ou récente et distante (Cloud) — **le stockage de données occasionne une
consommation d'électricité non négligeable.** Prenons l'exemple d'un film d'1Go
que vous conservez sur votre disque dur : celui-ci va être répliqué sur votre
sauvegarde locale (sur-consommation au moment du transfert et stockage
physique, obsolescence itérative non pas programmée mais matérialisée du
périphérique de stockage), puis répliqué sur votre sauvegarde distante
(sur-consommation au niveau du routeur/modem durant toute la durée du
transfert, des intermédiaires réseaux et du serveur qui est très certainement
lui-même redondé — peut-être en plusieurs points du globe) et enfin
éventuellement transféré physiquement dans un autre lieu. Que d'énergie
dépensée pour un film que vous n'allez en définitive peut-être même pas
visionner !

**Un archivage raisonné de vos données est le garant d'une empreinte numérique
respectueuse des ressources naturelles finies dont nous disposons.**
