title: Informatique plaisante
slug: informatique-plaisante
date: 2013-12-01
chapo: Il faut que je travaille à rendre mes productions plus conviviales.

> These are my rules and they make me happy. I hope they make you happy too. If you have computing rules of your own that make you happy, I encourage you to publish them.
>
> <cite>*[al3x’s Rules for Computing Happiness](https://al3x.net/2008/09/08/al3xs-rules-for-computing-happiness.html)*</cite>

Listes découvertes en lisant celles de [Vivek Haldar](http://blog.vivekhaldar.com/post/64898843420/rules-for-computing-happiness) sur le même sujet. Je partage bien sûr certaines de ces réflexions mais je n'ai pas vraiment les mêmes priorités. J'avais commencé une liste sur le sujet et finalement tous les points convergeaient vers ces 2 principes pour que mon usage de l'informatique reste plaisant : **simplifier et réduire.**

*Simplification des usages et réduction des outils.* Ré-évaluation fréquente des outils utilisés et exploration de solutions plus simples. Certains outils me permettraient d'être plus productif mais leur apprentissage serait trop coûteux. D'autres ont beaucoup trop de fonctions pour que je puisse les utiliser sereinement. **Utiliser des applications minimalistes transforme les usages.**

*Réduction des données et simplification des formats.* Limiter les données stockées (mails, photos, archives, etc) est une façon de garder un système cohérent et sain. De limiter les recherches, les sauvegardes et les changements d'environnements. Conserver ses données dans un seul format (si possible ouvert et standardisé) est un gage de facilité de conversion le moment venu. **La pérennité d'une donnée dépend de sa capacité à être transformée.**

Il n'y a finalement que dans mon travail — même si j'ai choisi des langages comme Python ou JavaScript — que je n'arrive pas à suivre ces principes. Je trouve cela affreusement difficile de développer/tester/déployer les projets auxquels j'ai participé jusqu'à présent. **Il faut que je travaille à rendre mes productions plus *conviviales*.** Peut-être avec [Docker](http://www.docker.io/) ? *Et si je proposais une image de ce site sous cette forme pour rendre sa consultation/sauvegarde distribuée ?*
