title: L'initiative scopyleft
slug: initiative-scopyleft
date: 2013-09-01
chapo: Une aventure éthique, sociale et humaine.

*Article initialement publié dans la Revue Française de Service Social « la crise et ses répercussions sur le travail social », parution trimestrielle-septembre 2013-numéro 250 avec pour titre « L'initiative scopyleft : une aventure éthique, sociale et humaine » et [rapatrié depuis sur cet espace](/david/blog/2014/rapatriement-articles/).*

## Un bilan amer

[Scopyleft](http://scopyleft.fr/), c'est avant tout l'histoire d'une rencontre. La rencontre de quatre professionnels du Web qui, après avoir essayé le salariat, se sont mis à leur compte durant plusieurs années et ont fait le bilan amer de s’y sentir inadaptés. Amer, car l'organisation hiérarchique du monde du travail traditionnel ne leur convenait pas : les rapports conflictuels pour étendre le pouvoir politique de chacun au sein de l’entreprise étant à l'origine d'un stress inutile et anxiogène. Amer également, car leurs expériences respectives en tant qu'indépendants ne se sont pas révélées être concluantes (même si profitables) : la nécessité de passer par une prestation subie et avilissante ne permet pas toujours d'entretenir une relation de collaboration saine et amène à travailler sur des projets dont l'utilité n'est pas toujours avérée.

Travailler seul pose également le problème de la montée en compétence sur le long terme sans que la viabilité de la structure ne soit mise en péril. De même, travailler en tant qu’indépendant permet difficilement d'avoir du soutien en cas de coup dur — ou de coup de fatigue — et tend à isoler socialement de ses pairs. Ce statut amène à se poser aussi des questions d'ordre moral et éthique qui sont difficiles à résoudre en étant seul ; et les décisions, une fois prises, peuvent être difficiles à tenir et à maintenir dans leur mise en œuvre.

Persuadés qu'une alternative existe et animés par la volonté de faire des projets utiles et intéressants en associant leurs points de vue et compétences respectives, ils décident de se mettre en quête d'un nouveau statut, ensemble.

## Un cadre de travail pérenne

Ils découvrent le statut de société coopérative et participative (SCOP) qui semble répondre à leurs attentes :

* des statuts qui favorisent la pérennité de la structure au détriment du profit et de la spéculation, l’obligation d’une réserve financière qui couvre les coups durs ;
* une égalité au sein des salariés avec le principe « 1 homme = 1 voix », chacun détenant une et une seule voix ;
* des valeurs encourageant la prééminence de la personne humaine, la démocratie, l’émancipation, la solidarité et le partage.

Le fait d'être inscrit sur la liste interministérielle des SCOP offre certains allègements fiscaux permettant de mener à bien des projets qui ne seraient pas forcément viables autrement.

En parallèle de la création administrative de la SCOP, ils commencent à réfléchir aux valeurs internes qui vont l'animer.

## Une quête de valeurs

Négligeant dans un premier temps le *business model* prédictif à court terme, ils décident de s'aligner au niveau des valeurs qui vont constituer un cap à long terme. C'est un travail qui a nécessité plusieurs mois de réflexions et de discussions.

Au terme de ce travail, ils se sont accordés sur cette phrase fondatrice :

> Travailler entre Humains, sur des projets éthiques et intéressants, tout en privilégiant le bien-être et le plaisir de chacun.

Un manifeste propre à la coopérative a été rédigé pour préciser les valeurs retenues en parallèle de cette maxime (honnêteté intellectuelle, courage, respect, partage et bien-être). Ces valeurs ont également été insérées en préambule des statuts de la société.

Comme le rappelle Brigitte Bouquet dans le numéro 247 de *La revue française du droit social*, « mener une relation et une intervention éthique de qualité n'est pas simple et nécessite notamment de maîtriser les tensions qui existent entre l'éthique de conviction, l'éthique de responsabilité et l'éthique de discussion ». Il n'y a que dans la pratique que ces valeurs pourront être vérifiées lorsqu'elles seront confrontées à des cas concrets qui viennent flirter avec les limites théoriques.

## Une émulation vers l'excellence

Après quelques semaines à travailler ensemble, nos quatre aventuriers réalisent que le travail à plusieurs, en coopération, implique de s'accorder également sur la qualité du travail que l'on fournit ; cela les conduit à entamer la rédaction d'un livre blanc établissant des critères de qualité internes.

L'aspect démocratique de la SCOP se trouve être très responsabilisant ; les engagements pris mettent en jeu la santé de l'entreprise mais aussi la confiance au sein de l'équipe de manière quotidienne. Ils se poussent à sortir de leurs zones de confort respectives pour avancer ensemble au service d’un projet commun.

En contrepartie, les échanges au cours de ces remises en question sont extrêmement enrichissants. Ils sont source d'inspiration et de curiosité pour mieux comprendre les autres dans leur façon de penser et de communiquer. Cette aventure se révèle être avant tout de nature humaine.

## Une coopération ouverte

Scopyleft n'est pas un regroupement d'indépendants mais une réelle volonté de **créer une équipe pluri-compétente qui partage des valeurs pour créer de la valeur.**

Néanmoins, une équipe de quatre personnes peut difficilement être aujourd'hui capable de regrouper l'ensemble des compétences nécessaires à la réalisation d'un produit Web complet. Conscients de ce fait, trois axes ont été pris pour pallier ces limites :

* *s'enrichir d'externes* : en invitant le plus souvent possible des personnes de différents horizons et en initiant un mouvement de *compagnonnage du développement Web* — initiative visant à réaliser des échanges inter-entreprises ;
* *partager les compétences* : en participant aux conférences et en proposant de partager notre expérience et notre expertise dans les domaines du Web ;
* *faciliter les relations* : en organisant des événements regroupant des pairs qui vont être à même de collaborer et d'échanger comme les *scopycamps*.

## Un partage exemplaire

L'une de nos valeurs est *la transparence*, nous souhaitons montrer qu'une alternative au mode de travail traditionnel est possible en affichant nos réussites, nos échecs et nos doutes.

La structure administrative n'ayant été créée que fin 2012, il est difficile d'avoir le recul nécessaire pour tirer la moindre conclusion sur cette expérience autant d'un point de vue économique que relationnel.

Néanmoins, nous essayons de montrer une voie et de définir un nouveau *framework* pour le travail en diffusant les documents administratifs, les outils et les méthodologies qui nous ont été nécessaires afin de faciliter d'autres initiatives similaires à la notre. La distribution de notre travail est un objectif important dans le cadre de cette exemplarité.

## Une alternative à la crise ?

Dans un contexte de crise systémique (économique, sociale, environnementale, culturelle et finalement de civilisation) qui montre les limites de l'approche hiérarchique et centralisée aussi bien au niveau de l'entreprise que des ressources énergétiques — voir les propositions de Jeremy Rifkin à ce sujet — la création d'une coopérative est une voie alternative qui pourrait porter ses fruits : **ceux de la liberté et de la dignité.**
