title: OpenData France
slug: opendata-france
date: 2013-06-25
chapo: Si l'OpenData est un échec, ce n'est pas un problème de portail mais de rencontres.

> Il faut donc appartenir. N'appartenir à personne, c'est ne devenir personne. Mais appartenir à une culture, c'est ne devenir qu'une seule personne. On ne peut pas devenir plusieurs personnes à la fois sauf à connaître des troubles d'identité qui compromettent son insertion dans le groupe. […] Cette altération des représentations de soi et des interactions quotidiennes provoque régulièrement des troubles de l'identité : quand on ne sait pas d'où l'on vient, on ne peut pas savoir où l'on va.
>
> <cite>*Les nourritures affectives*, Boris Cyrulnik.</cite>

J'étais aujourd'hui à la réunion de création d'une association intitulée *OpenData France* et regroupant diverses instances de la puissance publique du territoire national, l'occasion de voir si la situation avait évoluée depuis [mes précédentes incursions](/david/thoughts/#opendatacontests) [dans l'OpenData](/david/thoughts/#opendata).

Malheureusement, les thématiques de fédération et d'inter-opérabilité soulevées — à juste titre — sont loin d'être les réels freins au développement de l'OpenData. L'OpenData était la promesse d'un engagement citoyen et d'une ré-appropriation de sa citoyenneté via les données publiques. **Si l'OpenData est un échec (et pas grand monde n'a envie de l'accepter semble-t-il), ce n'est pas un problème de portail mais de rencontres.**

Ces rencontres n'ont pas eues lieues car les citoyens ne sont jamais invités à ces réunions. J'ai assisté toute la journée à des discussions techniques car c'est un domaine factuel dans lequel on peut se réfugier facilement lorsque l'on est désemparé (je suis bien placé pour le savoir). Or, c'est un problème sociétal auquel nous sommes confrontés qui se résout par **de l'éducation et des groupes de travail** regroupant les différents acteurs (citoyens, élus, développeurs ET puissance publique) *dans la même salle*.

Heureusement, [Charles Nepote](http://rn7.net/) a terminé la journée en présentant [le projet *InfoLab* de la FING](http://fing.org/?-Infolab-) qui tente de mettre en place une **culture de la donnée** à travers des lieux similaires aux *FabLab* permettant de prototyper rapidement mais à partir de la donnée. Un outil de médiation pour accompagner la réutilisation de la donnée de manière accessible, ouverte et continue. Ça faisait du bien après des discours prônant encore les *hackathons* et autres concours [sans avenir](http://pro.01net.com/editorial/597895/vers-la-fin-des-hackathons/) (mais pas [sans intérêt](http://dataholic.ca/2013/06/27/vers_la_fin_des_hackathons/)).

D'autres idées venues pendant la journée (merci [Pascal Romain](https://twitter.com/keronos) !) :

* [bonne pratique](http://checklists.opquast.com/fr/opendata) supplémentaire : [proposer une application modèle en *Open-Source*](http://www.lagazettedescommunes.com/173932/la-gazette-ouvre-les-donnees-et-le-code-de-son-application-interactive-sur-les-perequations-horizontales/) qui utilise les données libérées, cela permettrait de se mettre à la place du réutilisateur d'une part et de fournir un exemple de transformation/appel de la donnée (puisque de plus en plus d'*API* sont considérées en guise de portail) ;
* organiser des ateliers de co-construction qui partent d'une problématique pour arriver à un besoin de données (pas exactement le cas des *InfoLab* qui font l'inverse) afin que la puissance publique puisse publier des données *utiles* ;
* rémunérer les citoyens qui actualisent et augmentent la qualité des données, on pourrait même envisager que cela devienne une monnaie alternative pour acquérir des services/applications.

En guise de conclusion je ne peux que [réitérer ma demande](/david/thoughts/#opendata) auprès des acteurs publics :

> Aidez les citoyens à s'emparer de l'OpenData…

Sauf que cette fois [je peux ajouter](http://scopyleft.fr/) :

> …et faites-vous aider si vous n'avez pas les compétences pour ça.
