title: Outils conviviaux
date: 2013-06-13
slug: outils-conviviaux
chapo: À la recherche d'outils numériques conviviaux conformes à la vision d'Illich.

Nous avons récemment déjeuné avec les personnes s'occupant d'[Outils-Réseaux](http://outils-reseaux.org/) dans les locaux de [scopyleft](http://scopyleft.fr) (d'ailleurs, si vous passez dans le coin de Montpellier/Clapiers n'hésitez pas à venir nous voir) qui nous ont parlé des **outils conviviaux** introduits par [Ivan Illich](https://fr.wikipedia.org/wiki/Ivan_Illich) :

> Illich définit alors trois critères indispensables pour qu'une instrumentation ou une institution soit considérée comme juste ou conviviale :
>
> * elle ne doit pas dégrader l'autonomie personnelle en se rendant indispensable
> * elle ne suscite ni esclave, ni maître
> * elle élargit le rayon d'action personnel
>
> <cite>*Critères de convivialité*, [sur Wikipédia](https://fr.wikipedia.org/wiki/Outil_convivial#Crit.C3.A8res_de_convivialit.C3.A9).</cite>

Lorsque l'on applique ces critères à l'informatique, **on se rend compte du chemin qu'il reste à faire pour obtenir des outils numériques conviviaux.** Cela m'a amené à penser à l'utilisation des *frameworks* comme outils d'industrialisation à l'origine d'une hiérarchisation entre ceux qui connaissent le langage et ceux qui connaissent les méta-outils associés au langage. On en arrive à une hiérarchie entre développeurs avant même de pouvoir rendre ces outils accessibles au grand public.

> Permettre à nos outils de communiquer localement sans passer par un réseau distant à des propriétés sociales intéressantes :
>
> * Interactions physiques couplées à l'interaction du réseau local
> * Renforcement du contrat social
> * Augmentation de l'opacité vis à vis des infrastructures distantes
>
> <cite>*[L'édition en intimité sur un réseau local](http://www.la-grange.net/2013/04/02/edition-locale)*, Karl Dubost</cite>

Pour un projet que l'on a en interne, j'ai pas mal réfléchi à la simplicité extrême que pouvait prendre une application et j'en suis arrivé à la solution conviviale suivante :

* un seul fichier `HTML` à transmettre à l'utilisateur final contenant les css/js/html non minifiés et commentés, celui-ci doit être capable de le modifier ;
* un espace de stockage local pour avoir du cache en situation de déconnexion ou si les données ne sont pas destinées à être échangées/publiées ;
* une centralisation des données via une `API` (par exemple [webdis](http://webd.is/)) en attendant d'avoir une solution de pair-à-pair efficace pour synchroniser les données entre plusieurs personnes ;
* la possibilité d'exporter les données dans un format lisible et traitable.

**Est-ce que vous avez des exemples d'applications web conviviales ?**
