title: Fondée sur des valeurs
slug: scopyleft-valeurs
date: 2013-03-29
chapo: scopyleft est une entreprise fondée sur des valeurs pour créer de la valeur.

J'étais à Devoxx hier soir comme [annoncé](/david/blog/2013/conferences-diversite/) pour présenter [une approche différente de la SSII](http://www.devoxx.com/display/FR13/BOF+Not+Only+SSII) et je devais décrire l'expérience [scopyleft](http://scopyleft.fr) :

> scopyleft est une SCOP (Société Coopérative et Participative) toute jeune — seulement 3 mois — ce qui ne permet pas d'avoir le recul nécessaire pour valider ou invalider une approche. Ni même pour juger de sa viabilité. C'est pourquoi j'ai choisi de vous parler de sa genèse : autrement dit, de *l'avant scopyleft*.
>
> Notre approche a été de **ne pas** commencer par le traditionnel *business plan* mais de nous aligner entre nous 4 sur les **valeurs fondatrices** que nous voulions comme cap au cours de la vie de l'entreprise. Si l'approche économique nous donnait une vision pour environ 1 an avec son lot d'incertitudes et autres pivotages, passer par des valeurs nous amenait à considérer une durée beaucoup plus longue… de l'ordre de la décennie. Ambitieux projet.
>
> Cela commence par mieux se connaître, discuter de valeurs permet d'aller beaucoup plus en profondeur qu'une discussion sur le retour sur investissement, les salaires ou le titre que l'on souhaite avoir dans l'entreprise. Une fois d'accord sur le fond — **honnêteté intellectuelle, courage, bien-être, respect et partage** —, nous sommes arrivés à formuler une phrase (à défaut d'un manifeste) résumant notre objectif commun :
>
> > **Travailler entre humains, sur des projets éthiques et intéressants, tout en privilégiant le bien-être et le plaisir de chacun.**
>
> *Ces valeurs et cette maxime nous guident dans nos choix stratégiques au quotidien pour accepter ou non un client, pour concrétiser une initiative ou pour accompagner un projet.*
>
> C'est notamment ce qui nous a menés à choisir le statut de *SCOP*,  un statut basé sur une *gouvernance démocratique* (1 homme = 1 voix) et favorisant la *pérennité* des emplois et du projet d'entreprise (co-entrepreunariat et réserve importante imposés). **Ce statut met l'humain au cœur de l'entreprise, ce qui diffère d'une entreprise traditionnelle qui se concentre sur son capital.** C'est un changement de paradigme majeur dans une société capitaliste. Nous avons enrichi ces statuts d'une co-gérance tournante (faute de pouvoir gérer à 4) et d'une égalité salariale.
>
> Un autre aspect de la SCOP qui a attisé notre curiosité est la notion de **solidarité inter-entreprises** au sein de la confédération des SCOP. C'est notamment ce que l'on a pu constater avec les entreprises qui nous ressemblent, il existe relativement peu de SCOP (dans l'informatique) mais elles se serrent les coudes !
>
> Ces 3 derniers mois nous ont permis de reconsidérer notre approche économique, de mieux nous connaître, d'avoir énormément de retours (à la fois de nos clients et de nos pairs), de coder *ensemble*, d'accompagner *ensemble*, d'assister à des conférences *ensemble*, de stresser *ensemble*, de faire de l'administratif *ensemble*, autant de tâches qui sont loin d'être insurmontables et qui sont le lot quotidien du créateur d'entreprise mais qui s'avèrent être moins pénibles lorsque l'on poursuit **un objectif un peu plus « élevé »** (sain ?) que le simple aspect financier. Augmenté par le fait de le réaliser à plusieurs.
>
> Cette aventure aurait difficilement pu être envisageable sans avoir confiance dans notre *savoir-faire* acquis lors de nos expériences respectives à nos comptes. Malgré notre expérience dans le domaine, l'un de nos objectifs à terme est de nous libérer de la prestation pour **co-produire des produits utiles, éthiques et open-source**.
>
> Pour résumer, **scopyleft est une entreprise fondée sur des valeurs pour créer de la valeur.** En coopérant.

Je n'ai pas dû dire la moitié de tout ça au final car l'approche monologue était un peu ennuyante et je préférais avoir plus de temps pour discuter. Et là je n'ai pas été déçu car les réactions ont été nombreuses, un peu décousues et agressives mais cela montrait un intérêt certain.

*Décousues* car on était nombreux à pouvoir répondre (une dizaine) et qu'il y avait beaucoup de questions qui passaient brutalement du fond à la forme selon le niveau de réflexion de chacun. Peut-être qu'un autre format (groupes de discussions par exemple) se prêtait mieux à la discussion ouverte mais la salle n'était pas adaptée.

*Agressives* principalement car le titre *NoSSII* a été interprété comme un affrontement alors que l'on avait bien mis en avant le côté *Not only*. Dommage, l'idée n'était pas du tout d'aller dans ce sens mais il est peut-être normal que certains se sentent déstabilisés lorsqu'on présente quelque chose de différent.

Quelques questions dont je me souviens :

> À quoi cela sert-il de créer une SCOP vs. un GIE (Groupement d'intérêt économique) d'indépendants ?

L'objectif n'est pas du tout le même, principalement car **on ne se regroupe pas en SCOP pour un intérêt économique** mais pour partager et échanger à un autre niveau.

> Qu'est-ce qui vous différencie d'une SSII classique finalement ?

D'une part le fait d'avoir le contrôle sur les objectifs de la société, ils peuvent être lucratifs ou pas, ils peuvent être citoyens ou pas, ils peuvent être éthiques ou pas, ils peuvent s'émanciper de la prestation ou pas. D'autre part, le fait de **mettre l'humain au cœur du cadre de travail** est un changement radical, ce qui change aussi les relations avec les clients.

> Comment gérez-vous les problèmes d'éthiques ?

**Nous n'avons pas de règle pré-définie,** chaque cas aux limites est discuté longuement et un vote suivant [les pratiques de l'Open-Source](http://www.oss-watch.ac.uk/resources/meritocraticGovernanceVoting#voting) (et de [Django](https://docs.djangoproject.com/en/dev/internals/contributing/bugs-and-features/#how-we-make-decisions)) permet de trancher.

> Est-ce que ça peut fonctionner à plus grande échelle ?

L'exemple [du handbook de Valve](http://www.valvesoftware.com/company/Valve_Handbook_LowRes.pdf) a été mis en avant avec quelques autres. La question c'est plutôt de savoir quel est l'intérêt de passer à une autre échelle ? Dans notre cas par exemple, **c'est une volonté forte de rester à taille humaine.**

Ça rejoint d'ailleurs une question relative au référencement dans les services achats des grosses entreprises. C'est peut-être plus difficile en étant petit mais en fait ça nous intéresse peu de travailler avec ce type de structures donc ça limite le problème. Beaucoup de questions n'allaient pas assez loin dans le *pourquoi* et se limitaient au *comment*.

> Comment trouvez-vous des clients ?

On ne sait pas démarcher. Partant de ce constat, ça passe plutôt par **de la recommandation ou des connaissances** qui nous suivent depuis longtemps et le partage de nos expériences. On a également la chance d'avoir des entreprises partageant nos valeurs qui nous transmettent des demandes.

Les [réactions à chaud](http://www.freelanceinformatique.com/2013/03/29/devoxxfr-nossii-reaction-a-chaud/) sont plutôt positives, j'espère que l'on aura réussi avec [Ninja Squad](http://ninja-squad.com/) et [Lateral Thoughts](http://www.lateral-thoughts.com/) à au moins attiser la curiosité de certains et pourquoi pas à en motiver pour monter leur propre structure !

*[Mise à jour]* : [Retour sur Devoxx France - BOF NoSSII](http://www.pingtimeout.fr/2013/04/retour-sur-devoxx-france-bof-nossii.html)
