title: Semences et données
slug: semences-donnees
date: 2013-02-01
chapo: Vos publications, même à titre futile, constituent une partie de votre identité numérique.

*Article initialement publié dans le volume 1 de FaitMain avec pour titre [Semences stériles et données futiles](http://faitmain.org//volume-1/semences-donnes.html) sous [licence CC BY-SA](https://creativecommons.org/licenses/by-sa/3.0/deed.fr) et [rapatrié depuis sur cet espace](/david/blog/2014/rapatriement-articles/).*

La problématique des [semences génétiquement modifiées](https://fr.wikipedia.org/wiki/Organisme_g%C3%A9n%C3%A9tiquement_modifi%C3%A9)
pose des questions d'ordre éthique, sanitaire et social. Les semences stériles
— utilisant le gène au doux nom de [Terminator](https://fr.wikipedia.org/wiki/Technologie_terminator) — sont emblématiques
de la société Monsanto qui est prête à diffuser à tout prix ses semences, même
 [gratuitement à titre humanitaire](http://www.monde-diplomatique.fr/carnet/2010-06-15-Haiti) pour avoir un
contrôle de la production mondiale de nourriture.

Les schémas de pensées court-termistes — apportant un confort immédiat — ont
tendance à se reproduire d'un domaine à un autre et c'est notamment ce qui est
en train de se passer avec le Web.

Après une étape de standardisation prometteuse qui permettait une
interopérabilité entre les différentes publications (RSS, Atom, trackbacks), la
mode est plutôt à la centralisation des données (Twitter) voire à leur
déconnexion du Web (Facebook) au profit d'un confort de publication bien réel
avec la promesse de l'instantanéité et de l'approche ubiquitaire.

Le tout associé à une flatterie de l'égo par une quantification du partage
(nombre de retweets/likes/followers/etc) qui se rapproche, osons le dire, d'une
compétition malsaine capitaliste du toujours plus, d'une approche en
consommateur des liens sociaux, d'une course effrénée à la socialisation
numérique qui détruit les communautés locales au profit d'une communauté de
suiveurs inconnus.

Or, au même titre que les [associations pour le maintien d'une agriculture
paysanne (AMAP)](https://fr.wikipedia.org/wiki/AMAP), il existe une voie pour
un web ouvert qui encourage l'artisanat et la réutilisation via un modèle
acentré et local. Certaines initiatives comme [La Distribution](http://ladistribution.net/) ou [CozyCloud](https://www.cozycloud.cc/)
encouragent de telles approches permettant de garder un contrôle sur ses
données et même un hébergement sur son [propre](https://github.com/ladistribution) [serveur](https://github.com/mycozycloud) afin d'assurer la pérennité de ses URI.
L'avènement d' [outils de publication](http://docs.getpelican.com/) générant
des fichiers statiques facilite grandement le déploiement et l'hébergement de
ses idées et minimise les connaissances techniques nécessaires à son expression
sur le web. Les problèmes techniques restants à résoudre sont la notification
de manière distribuée et l'agrégation en temps-réel mais ceux-ci ne pourront
être validés qu'après une adoption à large échelle de tels services, permettant
d'atteindre la masse sociale critique pour rendre ces services utiles.

Étudions la liste des composants nécessaires pour garder son indépendance
vis-à-vis de services web centralisés :

* *un nom de domaine*, ce qui coûte entre 5 et 15 € selon le niveau de support
et de confiance que l'on souhaite avoir à ce niveau, en bonus non négligeable
vous pouvez associer à ce domaine un certificat SSL qui assurera la
confidentialité des échanges entre vos visiteurs et vos publications.
Même si vos écrits ne sont pas critiques, pensez au fait qu'une banalisation
de tels usages permet de rendre une telle pratique moins suspecte lorsqu'elle
est nécessaire (nous ne vivons pas tous en démocratie) ;
* *un hébergement*, il en existe à tous les prix et si vous vous dirigez
vers un site au rendu statique grâce à des générateurs locaux vous
n'êtes soumis à aucune contrainte technique si ce n'est celle de l'espace
disque et de la bande passante qui ne devraient pas poser problème
dans un premier temps au moins ;
* *un logiciel de téléversement*, permettant de déployer le contenu généré
sur le serveur d'hébergement. Il en existe de nombreux qui ne demandent
aucune connaissance technique particulière.

Et voilà ! Il ne reste plus qu'à faire connaître votre URI au reste du monde.
N'oubliez pas de [produire un flux](http://openweb.eu.org/articles/syndication-mon-amour) permettant à vos
visiteurs de s'abonner à vos publications (cela est normalement géré par le
générateur) sans avoir à dépendre d'une plateforme non pérenne et
centralisée.

**Vos publications, même à titre futile, constituent une partie de votre identité numérique, vos interactions sur le web participent à votre propre définition et à vos relations sociales.**  Il serait dommage de laisser des services tiers
monétiser votre identité et vos interactions avec vos amis, d'autant plus
qu'ils ne garantissent aucun engagement dans la durée et conduisent à de
véritables génocides de données — que j'appelle datacides — lors de la
fermeture brutale des entreprises qui ont du mal à trouver un business modèle
rentable associé à la gratuité du service proposé.

Si vous êtes un jardinier numérique, je vous encourage à reprendre le contrôle
de vos semences^Wdonnées afin de pérenniser votre récolte^Widentité
numérique. Il n'est pas trop tard pour nourrir d'idées ouvertes et gratuites
vos concitoyens du web.
