title: Sprints et randonnées
slug: sprints-randonnees
date: 2013-12-03
chapo: Comment entretenir itérations ET émulation au sein des équipes sans arriver à l'épuisement ?

On parle régulièrement de *sprints* pour évoquer les itérations de développement ce qui va à l'encontre de l'[Agile Manifesto](http://www.agilemanifesto.org/) qui milite pour un rythme de travail soutenable indéfiniment. Or, stricto sensu, **on ne peut pas enchaîner plusieurs sprints.** Quel autre terme imagé pourrait-on lui préférer ? Certains évoquent le jeu :

> Le développement de logiciel est un « jeu collaboratif d’invention et de communication à ressources contraintes et à objectif fini » dans lequel les participants utilisent des marqueurs pour se souvenir, se stimuler et s’informer mutuellement dans chaque mouvement du jeu. Le premier but poursuivi est la « production » et le « déploiement » d’un système. Le second but est l’obtention d’un ensemble de marqueurs permettant d’être dans une position favorable pour engager le jeu suivant qui consiste à modifier le système existant ou à produire un système similaire. Les deux objectifs poursuivis simultanément sont en compétition vis-à-vis des ressources limitées.
>
> <cite>*[Cooperative game manifesto for software development](http://alistair.cockburn.us/Cooperative+game+manifesto+for+software+development)*</cite>

La [version longue de l'auteur](http://alistair.cockburn.us/Software+development+as+a+cooperative+game) sous la forme d'un résumé de présentation fait une analogie avec **l'escalade** :

> Of all the comparison partners for software development that I have seen, rock climbing has emerged as the best. Here are some of the words and phrases that we can link with rock climbing. You can see how well they transfer to software development […]

Je lui préfère celle de **la randonnée** introduite par [Stéphane](https://twitter.com/langlois_s) [lors de ParisWeb il y a 2 ans](http://www.paris-web.fr/2012/conferences/scrum-vue-des-petites-tranchees.php)	. On y retrouve l'entraînement, la technique, l'équipe, le matériel, la planification, le fun, les challenges, les ressources limitées tout en limitant la dangerosité (comparé à l'escalade).

L'inconvénient de la randonnée est qu'elle est encore *trop individualiste*, au mieux on se réparti la nourriture commune ou un peu de matériel au départ mais l'on n'a pas vraiment l'impression de réaliser quelque chose *ensemble*, pour le groupe.

*Parenthèse : peut-être mieux qu'une randonnée, une transhumance ? :-)*

> Quand on passe son temps à enlever des problèmes, les gens oublient ceux qu’ils avaient avant et peuvent croire qu’il ne s’est rien passé […]
>
> Mon activité ne change pas beaucoup. Je l’ai défini comme “chien de berger agile” : le mec qui courre partout, on se demande un peu ou il va, mais au final le troupeau atteint sa destination. Ce n’est pas moi qu’il faut suivre mais le résultat.
>
> <cite>*[Profession chien de berger agile](http://www.lesmanagersit.com/2013/01/baeli/)*, Dimitri Baeli</cite>

**On pourrait aller vers l'expédition, l'équipage ou la cordée mais cela ne fonctionne pas** pour 2 raisons :

* la notion de *survie* qui implique d'avoir un chef pour pouvoir prendre des décisions dans l'urgence lorsque des vies sont en jeu ;
* la notion d'*isolement* qui a un impact psychologique très important sur l'équipe et qui accroit les tensions internes.

Finalement, le *rythme soutenable* tant convoité n'est-il pas utopique ? N'entretiendrait-il pas un certain [confort](/david/blog/2013/confort-convivialite/) qui limite la collaboration ? **Comment entretenir itérations ET émulation au sein des équipes sans arriver à l'épuisement ?**
