title: TEDx Montpellier 2013
slug: tedx-montpellier
date: 2013-03-15
chapo: Cela soulève forcément la question de l'utilité de vivre aussi longtemps…

L'édition 2013 de [TEDx Montpellier](http://tedxmontpellier.com/tedxmontpellier-edition-2013/) portait sur le sujet *« e-médecine & prospectives humaines »*. Quelques prises de notes et questions sur cette journée.

### C'est pas moi, c'est mes gènes ! — Sophie Nahum

> Quels choix serions-nous prêts à faire avec l'avancée de la médecine (génomique, robotique, clonage, etc) ? Comment vieillir en bonne santé ? Comment anticiper la maladie ?

Dommage que la réflexion n'ait pas été poussée un peu plus loin sur le « pourquoi vivre longtemps ? » ou sur les questions d'éthique relatives à ces nouvelles pratiques de la médecine.

### Interniste 2.0 — Laurent Chiche

> Comment utiliser la e-médecine pour améliorer le quotidien des personnes affectées par les maladies rares ? Comment communiquer ses informations médicales en cas d'urgence ?

C'est un sujet qui me tient à cœur car j'ai commencé à rédiger une telle page web suite à la visite médicale d'aptitude à l'embauche pour [scopyleft](http://scopyleft.fr) afin d'avoir un suivi numérique de mes vaccins, puis de centraliser des informations et finalement d'en faire une page à consulter en cas d'urgence dont j'ai collé l'URL sur ma carte d'identité que j'emporte lorsque je m'absente pour aller gambader. Je retiens de cette intervention le fait de traduire ces informations en plusieurs langues.

Je vois également dans ce carnet de notes du patient une dé-responsabilisation avouée des médecins qui ne remplissent pas la fiche transférée destinée à leurs confrères, ou peut-être est-ce une responsabilisation salutaire du patient sur son état de santé ?

L'ouverture se faisait sur du *big data* épidémiologique qui permettrait en agrégeant les données anonymisées des fiches de patients de servir la communauté. Quid des intérêts financiers des laboratoires dans le domaine ?

### Communauté de patients — Michael Chekroun

> Savoir profane vs. savoir professionnel ? Communauté de patients en ligne ? Intelligence collective accélérant la recherche médicale ?

Réflexion sur le côté anxiogène entre le fait de ne pas avoir d'informations et celui d'en avoir de fausses, associé aux dérives de l'auto-diagnostique et de l'auto-médication.

1/3 des requêtes sur *Dr Google* portent sur un problème de santé (et ça ne m'étonne même pas).

Développement d'une plateforme permettant au « patient de devenir acteur de sa santé » avec une horizontalité du rapport médecin/patient qui entrent en collaboration, voire en [coopération](/david/blog/2013/autoritaire-cooperatif/).

Ouverture sur la notion de double peine du patient : souffrance dans la maladie et isolation sociale causée par la maladie.

### Building a model Brain — Richard Walker

> The Human Brain Project: if you want to understand a complex system, you should build it.

Aggregating biological signatures of deceases with many patients to identify a model and find an appropriated treatment.

> Are you going to make an artificial brain ? Is it dangerous ? No.

For scientific reasons: the brain is changing and continuously adapting, the project doesn't model that process because we don't have the knowledge to achieve this.

### Techniques chirurgicales : des origines, à la robotique — Bertin Nahum

> Électrodes dans le cerveau reliées à des stimulateurs placés sous la peau pour éviter les tremblements et raideurs de la maladie de parkinson. Chirurgie réalisée sur patient éveillé pour trouver le réglage fin propre à la personne.

Dommage de ne pas avoir pu avoir une photo du robot en fonction développé par la personne effectuant la présentation ou une vidéo du placement des électrodes.

### e-santé & bien vieillir — Philippe Guillet

> Comment augmenter l'espérance de vie *en santé* ?

Augmentation de la fragilité des personnes âgées au cours des 30 dernières années (différence avec la courte d'espérance de vie), première cause de décès des personnes de plus de 70 ans devant le cancer.

### Autour de la respiration — Jeanine Guey

> Ode à la méditation pour être heureux.

Exercice de relaxation, que je pensais au début proche du *T'ai chi ch'uan* mais c'était juste l'introduction et ça se révèle être finalement beaucoup plus reposant. Plutôt sceptique initialement — surtout dans un groupe — je me suis prêté au jeu et j'ai vraiment senti qu'il y avait quelque chose à creuser dans ce moment, ne serait-ce que par son silence. Dommage que la sortie de méditation ait été aussi brutale avec le mouvement de groupe vers le repas.

### 5 in 5 — Christel Beltran

> 5 sens dans 5 ans.

Prospectives peu réjouissantes à mon goût. Le support semblait intéressant mais illisible.

### De la plainte de la mémoire à la maladie d'alzheimer — Pr Jacques Touchon

> Comment gérer l'autonomie des patients atteints afin qu'ils puissent rester chez eux ? Défi : maintient à domicile.

Vers une télé-médecine avec des tablettes et des données en temps-réel des patients pour qu'ils suivent leurs indicateurs de santé. J'imagine une sorte de *dashboard* pour son corps. Pourrait être associé à des outils pour lutter contre le handicap (ex : exo-squelette) ou de prévention via des systèmes de sécurité.

> Un cerveau qui n'est pas stimulé est un cerveau qui meurt. La routine est une tueuse de neurones.

Utilisation des *serious games* pour y pallier et lutter contre l'appauvrissement du cerveau.

Cas de l'isolement qui est une problématique majeure (misère sociale, dépression, risque suicidaire) qui pourrait être solutionnée par une mise en contact du sujet âgé avec les proches grâce aux robots. Cela me semble être très éloigné d'un *lien* social…

Ouverture sur la finalité : la dignité des patients.

### Des capteurs au service du patient ? — Daniel Laune

> Comprendre les mécanismes des pathologies pour avoir une médecine personnalisée.

Utilisation de *SmartPill* par ingestion permettant d'avoir une transmission de données gastriques en temps-réel.

Développement du premier pancréas artificiel autonome qui ouvre la voie de l'*appification* de l'organisme (la gestion se fait via son *smartphone*).

La mesure de soi prend une tournure esthétique avec les tatouages électroniques permettant de surveiller le corps.

### Designing hands — Ted Varley

> Designing a prosthetic is very unusual because you can't use it yourself.

When you fall, your reaction can't anticipate to move your hand fast enough and most of prosthetics break (lack of feedback from sensors too). Possibility to replace fingers and use of very strong materials.

I wonder why they designed the hand to be black, it feels very unnatural to me (probably related to marketing with the brand name: bebionic).

### Comment contrôler le cerveau ? — Xavier Vasques

> What are your available data to predict the clinical evolution vs. how can I improve the quality of life of the patient?

Back to the deep brain stimulation technique with the idea to put (restore?) electricity in the brain to resolve problems.

### Lève-toi et marche ! — Jean-Michel Fournier

Point de vue d'un proche de patient qui a eu une *dystonie* traitée par les stimulations électriques précédemment exposées. **Enfin l'avis des personnes concernées !** Retour lucide et clair qui ne tombe pas dans l'affectif. Évoque l'inquiétude des patients traités (crainte de la panne) et de ceux qui se demandent s'ils pourront être traités aussi miraculeusement.

Fonde de grands espoirs dans la conjonction de la médecine et de la technologie.

### At the boundaries of the self — Andréa Sérino

> How the brain generate your self and represents the space where our body interacts with the environment?

The *Peri Personal Space* is plastic, it extends to incorporate the tool in use with the hand. That what happens with prosthetics. The system changes depending what we do, where the action takes place. Empathy leads to an extension of the space (works with politic faces too!).

Social networks: how our brain adapts to these solutions?

### Nous ne sommes pas faits pour mourir — Pr. Christophe De Jaeger

> La mort est-elle une fatalité ?

C'est la seule chose certaine lorsque l'on nait : nous allons mourir. Quels changements culturels — et même de civilisation — seraient engendrés par la découverte de l'immortalité ? On peut déjà réaliser cela à l'échelle de cellules.

> We're all amateurs… we don't live long enough to become anything else. — Sir Charles Spencer "Charlie" Chaplin

50 ans est un âge clé : on sait ce que l'on n'est plus (vitalité des enfants) mais on sait ce que l'on n'a pas envie de devenir (vieillesse des parents).

Il ne tient qu'à nous d'avoir une bonne gestion de notre capital santé pour vieillir en conservant notre autonomie. C'est un système combinant gènes, capital santé et environnement. L'âge physiologique est différent de l'âge chronologique, il faut avoir *envie* de vieillir différemment en apportant une compensation physiologique.

Dans une logique d'espèce, nous devrions nous améliorer par sélection naturelle. Mais la religion et l'amour du prochain est venue contrecarrer ceci. Vouloir intervenir sur la mort remet d'une certaine façon en cause notre destinée.

Ouverture sur la réflexion des cycles de vie : du traditionnel formation/travail/retraite à des cycles formation/travail/pause répétés.

Un peu frustré d'avoir eu seulement des indications relatives à notre action sur le capital santé sans mentionner la possibilité de choisir/modifier son environnement également (en comparaison avec les gènes qui son innés).

### Bilan personnel

Les intervenants et les thématiques abordées étaient intéressants mais je reste sur un sentiment mitigé avec la sensation que les sujets ont été traités de manière très superficielle, je reste clairement sur ma faim en terme de contenu que ce soit au niveau de la technique ou du partage d'expérience.

La partie éthique des interventions est passée complètement à la trappe ce qui est surprenant compte-tenu de la problématique et des enjeux sous-jacents.

Toute la journée, le concept de **smart** (*cities*, *sensor*, *pill*, *phone*, *hospital*, etc) a été abordé sans pour autant se poser la question de savoir pourquoi on avait besoin de s'entourer d'autant de choses intelligentes. Sommes-nous devenus stupides ? Est-ce cet environnement d'assistance qui nous a rendu stupides ? Quelle est la part d'éducation à introduire pour y pallier ?

Le second fil rouge de la journée était clairement la peur de la mort avec diverses tentatives de repousser les limites de la vie *en santé* pour finir en apothéose avec une apologie de la *sportivation* de la vie. Cela soulève forcément la question de l'utilité de vivre aussi longtemps…

**[Mise à jour]** : Thibault a [vu la médecine du futur, et elle lui fait peur](http://www.miximum.fr/actus/1249-jai-vu-la-medecine-du-futur-et-elle-fait-plutot-peur).
