title: Testament numérique
slug: testament-numerique
date: 2013-01-16
chapo: Anticiper ce moment permet de relativiser la valeur numérique actuelle de mes données et de leurs usages.

> There's an old joke among programmers about who will maintain the code when its author gets hit by a truck. This page is here so that if for some reason I'm no longer able to keep my web services running, people will know what to do.
>
> <cite> Aaron Swartz, *[If I get hit by a truck…](http://www.aaronsw.com/2002/continuity)*</cite>

J'ai découvert cette page après avoir appris le suicide de l'auteur. [Aaron a fait énormément de choses durant les 26 années de sa vie](http://www.aaronsw.com/), dont [web.py](http://webpy.org/) qui m'avait fait découvrir le développement web *avec Python*, chose que je pensais impossible à l'époque mais aussi [participé à la définition](https://public.resource.org/open_government_meeting.html) de l'*OpenData* en 2007. Les circonstances de sa mort sont clairement [honteuses](http://lessig.tumblr.com/post/40347463044/prosecutor-as-bully).

Ce contexte sordide m'amène à me questionner sur cette notion de *testament numérique*, ou plutôt d'*héritage numérique*. À qui confier une telle tâche ? Pour quelles raisons ? À quels coûts ?

Allons-y par catégories, si je venais à ne plus être en mesure de gérer mon identité numérique :

* *annonce* : je souhaite qu'Émilie s'occupe de l'annonce de mon décès aux personnes me contactant directement par mail et publie la page d'accueil dédiée sur ce site avec la commande `cd ~/Sites/larlet/ && workon larlet && fab dead` ;
* *données personnelles* : je souhaite que mes mails soient supprimés définitivement et que mes comptes de services web soient fermés, un mois après la précédente annonce ;
* *écrits* : je souhaite que l'intégralité de mes écrits numériques soient élevés dans le domaine public, ceci incluant le site internet ci-présent, les d'articles en cours sont confiés à Émilie qui est libre de les publier en l'état ;
* *media* : je souhaite que les media (photos et vidéos) soient confiés à Émilie qui est libre d'en publier certaines selon son bon jugement ;
* *code* : je souhaite que le code non libéré en `open-source` soit supprimé, excepté le code en cours pour des clients qui leur revient (même s'ils ont normalement déjà accès au dépôt du projet), le *copyright* du code est transféré à [scopyleft](http://scopyleft.fr) ;
* *gestion* : je souhaite que [Karl Dubost](http://www.la-grange.net/) s'occupe de gérer la pérennité de la publication du site et du nom de domaine associé aussi longtemps qu'il le juge nécessaire, cela représente 100 Mo de fichiers statiques et 1 Go de bande passante par mois à ce jour, le domaine `larlet.fr` est réservé jusqu'au 26 juillet 2015 et son certificat `SSL` valide jusqu'au 25 décembre 2015 (coût pour l'ensemble d'environ 25€ par an avec un crédit pré-payé de 50€ chez Gandi) ;
* *matériel* : je souhaite que le matériel informatique qui n'appartient pas à [scopyleft](http://scopyleft.fr) soit donné à une association dans l'éducation et le web, après formatage bas niveau des disques durs.

En rédigeant ce testament, je me rends compte à quel point certaines choses sont futiles et d'autres extrêmement importantes pour assurer cette transmission (accès, documentation, etc). **Anticiper ce moment permet de relativiser la valeur numérique actuelle de mes données et de leurs usages.**

*Dans le cas où Karl serait inapte lui-même à ce moment là, je laisse son propre héritier numérique ([Olivier à ce jour](http://www.la-grange.net/2013/01/18/testament)) gérer ce moment.*

*PS : cette page fait office de référence et sera mise à jour au cours du temps. Voir le [billet relatif](/david/blog/2013/mort-anticipation/) également.*
