title: Web et temps
slug: web-temps
date: 2013-11-02
chapo: Quand l'architecture de l'information se transforme en cheminement de l'intimité.

> Toutes les sociétés modernes sont caractérisées par une pénurie de temps : plus une société est moderne, moins elle a de temps […] Plus on est riche matériellement, plus on devient pauvre en ressource temporelle.
>
> <cite>*[La technique est-elle responsable de l’accélération du monde ?](http://www.internetactu.net/2013/03/19/la-technique-est-elle-responsable-de-lacceleration-du-monde/)*</cite>

J'ai un rapport étrange au temps passé sur le Web, d'un côté il y a la navigation fonctionnelle pour trouver une information, un bout de code, pour comparer des produits, etc et de l'autre une navigation qui invite à la découverte, à se perdre, à découvrir des concepts, à flâner sur des blogs. La première demande une certaine *efficacité* alors que la seconde est de l'ordre de l'intime et je rejoins tout à fait Emmanuel à ce sujet :

> C'est bien ce qui me chagrine aussi dans mon métier ; bosser dans le *fast web*. […] Ne pas perdre de vue que nous travaillons dans une portion particulière du web et ne pas le réduire qu'à cela, ni ne le voir qu'à travers ce prisme.
>
> <cite>*[Vitesse de lecture](http://emmanuel.clement.free.fr/blog/index.php/post/2013/10/24/Vitesse-de-lecture)*, Emmanuel Clément</cite>

Nous mettons tout en œuvre dans notre profession pour améliorer cette efficacité, pour que l'utilisateur n'ait plus à réfléchir, moins à cliquer, pour qu'il consomme plus et plus vite. La vague *minimaliste* n'était peut-être finalement qu'un moyen pour consommer plus rapidement de l'information ? En oubliant le *[slow web](/david/thoughts/#slowweb)*, obsolète.

> Nous sommes devenus obsédés par le graphisme fantaisiste, des mise en pages dites "responsive" et des scripts qui font des choses magiques.
>
> **Mais les outils les plus puissants du web restent les mots.**
>
> J'ai écrit ces mots, et vous êtes en train de les lire: *c'est ça* qui est magique.
>
> <cite>*[Ceci est une page Web.](http://justinjackson.ca/words_fr.html)*, Justin Jackson</cite>

Malheureusement la magie n'opère pas forcément s'il manque un contexte à ces mots, sur la personne qui les a écrit, son état d'esprit au moment de la publication, son environnement, son vécu. [Karl](http://la-grange.net/) refuse l'indexation de son site pour ces raisons (et du coup je ne retrouve plus le billet en question :-)) et il y a des liens que je rends moins explicites que d'autres sur ce site pour les mêmes raisons.

**Quand l'architecture de l'information se transforme en cheminement de l'intimité.** Est-ce propre aux blogs qui révèlent les facettes d'une personnalité avec une certaine pudeur ? J'imagine qu'il y a de nombreuses personnes qui explorent le Web ainsi. Faudrait-il appliquer ces principes aux entreprises en gardant [des traces rouillées](http://la-grange.net/2013/08/08/ffm) de leur histoire au lieu de tout casser tous les 2 ans pour suivre la dernière mode en terme de design et de buzzwords ? *Cela demanderait d'assumer son passé et d'avoir une vision à long terme.* Une maturité qui semble bien lointaine…