title: Diversion numérique
slug: diversion-numerique
date: 2014-01-28
chapo: Ma stratégie est de lâcher-prise sur le global et prendre soin du local.

En cette [journée de la protection des données](https://en.wikipedia.org/wiki/Data_Privacy_Day), je souhaitais revenir sur cet article :

> Je voudrais ici oser une hypothèse. Une thèse même. Cette thèse serait ceci : la surveillance arachnéenne des citoyens-clients par ceux qui nous gouvernent « verticalement » (pouvoirs d’État tout autant que pouvoirs libéraux des multinationales des réseaux) n’est si étonnamment tolérée que parce qu’elle s’ancre, « horizontalement » sur des pratiques sociales de contrôles mutuels — quotidiennes, familières, devenues naturelles. Autrement dit : la NSA pousse sur un terreau sociétal qui a fait du contrôle de soi, des autres et du monde, par la technologie, une évidence du lien, un ethos, une manière de vivre. La tige croît sur des rhizomes.
>
> […]
>
> Ce désir de contrôle, cette pulsion de surveillance et de sécurité frénétique, elle passe désormais par chacun d’entre nous. Elle prend corps et fait fibre dans nos nerfs. Chacun s’en fait le relai, le colporteur, la conduction jouissive et peureuse. Chacun y trouve son petit plaisir de flic, de gestionnaire en maîtrise, de voyeur à deux balles. Tu contrôles ta maison, ta voiture, tes achats ; il surveille les mails de sa femme, géolocalise sa fille, budgétise le temps de connexion de son fils. Elle contrôle son pouls, sa tension, compte ses calories et ses pas. Vous filtrez vos appels, cherchez votre ex sur Facebook, googueulisez la fille que vous avez rencontrée au bar hier plutôt que de la découvrir telle qu’elle se révèle. Et l’on vous offre tous les outils personnels et paresseux pour ça. Toutes les applis. Toute la quincaillerie clinquante du geek à portée de clics et de bips.
>
> […]
>
> Vous avez remarqué ceci ? La pub ne vend plus rien au nom de la liberté. Mais tout, ou presque, au nom du confort et de la sécurité. Changement d’ethos majeur.
>
> <cite>*[701 000 heures de garde-à-vue](http://www.playlistsociety.fr/2014/01/701-000-heures-de-garde-a-vue/)*, Alain Damasio</cite>

Plus je réfléchis à ces histoires de *confort* et de *sécurité*, plus j'ai envie de *dévier plutôt que de résister*. Si le fond du problème est un *désir de contrôle* au niveau de la société, cela ne risque pas de s'arranger en ajoutant encore du contrôle au niveau personnel pour se cacher, hacker, etc. **Ma stratégie (sur le long terme donc, vs. tactique) est de lâcher-prise sur le global et prendre soin du local.**

> It’s all about metadata after all. By itself, on one single website, this may seem harmless. But by collecting and merging the metadata of several websites comprehensive tracking becomes possible.
>
> <cite>*[Google Webfonts, The Spy Inside?](http://fontfeed.com/archives/google-webfonts-the-spy-inside/)*</cite>

Que les états, les renseignements généraux ou les multinationales puissent me profiler grossièrement n'est pas nouveau et je n'ai pas l'énergie pour lutter contre, même collectivement. Cela ne pourrait changer radicalement que par une *révolution* et nous en sommes encore assez éloignés, bien trop contents de [notre confort](/david/blog/2013/confort-convivialite/).

En revanche, que mes voisins, ma famille ou mes collaborateurs aient accès à des informations que j'estime être personnelles et/ou confidentielles pourrait altérer des cercles de confiance qui me sont très chers. Ces données locales qui relèvent [de l'intimité](/david/blog/2013/web-temps/) constituent une base de mes relations et des liens qui unissent les différents cercles de ma personnalité. Protéger ce maillage très fin me semble être beaucoup plus important d'autant qu'il est encore protégé par nos limitations techniques (mais plus pour longtemps).

> L'opacité ou la transparence, propriétés équivalentes d'un même phénomène, n'exigent pas la totalité. La gradation est en fait leur atout le plus important.
>
> <cite>*[Gestion de l'opacité](http://www.la-grange.net/2014/01/13/opacite)*, Karl Dubost</cite>

Comment y pallier alors ? En introduisant du *bruit numérique*, de l'entropie brouillant les pistes pour que ces micro-interactions restent floues, noyées dans la masse. Chiffrer, multiplier les identités, générer des traces numériques incohérentes. Tester des outils comme [BitMessage](https://bitmessage.org/wiki/Main_Page) ou [Twister](http://twister.net.co/) (qui consomment encore beaucoup trop de CPU pour mon usage mais j'espère que ça s'améliorera).

Mais en parallèle également, ne pas hésiter à *chuchoter numériquement*. Revenir à [des outils moins intelligents](/david/blog/2013/telephone-stupide/), conserver certains cercles complètement déconnectés, discuter de visu et en pleine nature pour ne pas avoir l'impression d'être épié par un quelconque périphérique. [Réduire son empreinte numérique](/david/blog/2014/gaspillage-numerique/) pour privilégier les échanges de qualité, réduire le nombre de services *dans le cloud* qui enregistrent chacune de nos actions et de nos interactions, éduquer ses concitoyens sur ce que signifie le stockage illimité de nos échanges et de nos relations.

La *frugalité numérique* me semble être la meilleure amie de notre opacité, monter le son d'un côté pour pouvoir évoluer sur la pointe des pieds par ailleurs. **Tromper les algorithmes en faisant diversion.**
