title: Enseignement et acquisition
slug: enseignement-acquisition
date: 2014-10-22
chapo: À quel point faut-il prévenir plutôt que guérir ? Qu’est-ce qui est le plus formateur ?

> Easier to ask for forgiveness than permission. This common Python coding style assumes the existence of valid keys or attributes and catches exceptions if the assumption proves false. This clean and fast style is characterized by the presence of many *try* and *except* statements. The technique contrasts with the [LBYL](https://docs.python.org/2/glossary.html#term-lbyl) style common to many other languages such as C.
>
> <cite>*[EAFP](https://docs.python.org/2/glossary.html#term-eafp)*</cite>

[J’ai appris](/david/blog/2014/cours-iut-bases/#comment-1) qu’il y avait eu une suite à l’[intervention de SudWeb](http://sudweb.fr/2014/orateurs.html#remi-parmentier) au sujet de l’[enseignement de l’intégration](https://github.com/hteumeuleu/enseigner) [lors de ParisWeb](http://www.paris-web.fr/2014/ateliers/construire-ensemble-un-enseignement-du-front-end-pertinent-pedagogique-et-perenne.php) (merci [Boris](http://borisschapira.com/) !). On peut dire que ça tombe [au bon moment](/david/pro/enseignement/). Tout cela m’amène à faire un parallèle entre des paradigmes de langages de programmation (*EAFP* vs. *LBYL*) et l’opposition pratique vs. théorique que l’on rencontre forcément lorsque l’on souhaite transmettre ses connaissances. **À quel point faut-il prévenir plutôt que guérir ? Qu’est-ce qui est le plus formateur ?**

J’ai pour l’instant pris l’option très expérimentale : produisez, je vous corrige. Et j’espère bien arriver jusqu’à un point où cela deviendra : *produisez, corrigez-vous !* Ce *vous* correspondant au groupe et aux connaissances accessibles en ligne. Mais je suis tiraillé. Ces étudiants ont la chance d’avoir une formation et je leur propose de devenir autodidactes. Est-ce que je ne les prive pas ainsi d’une théorie qui m’a manquée pour pouvoir progresser plus rapidement il y a 10 ans ? Est-ce que les *trentenaires du Web* (huhuhu) ne se cachent pas derrière cette mise en pratique car ils n’ont connu que ça ?

Et puis je me raccroche à la permissivité du Web, à cette inconsistence inscrite dans son ADN, à ces paquets qui errent entre 2 continents avec l’espoir d’arriver quelque part. J’imagine [ces étudiants](/david/blog/2014/cours-iut-bases/) qui souhaitent à tout prix être autonomes alors qu’il va leur falloir apprendre à faire ensemble. Qui veulent appliquer de la bonne pratique sans forcément en comprendre le sens et le besoin. Je les observe, perdus mais volontaires, et je garde espoir. **Ils ont encore le temps pour faire des erreurs et l’énergie pour se relever.**
