title: Gaspillage numérique
slug: gaspillage-numerique
date: 2014-01-04
chapo: Ce n'est pas une ère d'abondance mais de gaspillage numérique dont nous faisons partie.

> Lorsque j'essaye d'aller au plus profond de cette question de la sobriété s'éveille en moi la sensation que semblent avoir eu les être premiers, qui proclamaient que rien ne leur appartenait. Que dire de ces peuples qui, malgré l'abondance, restent modérés ? Le peuple sioux, que j'affectionne particulièrement sans savoir vraiment pourquoi, lors des grandes chasses de buffles abondants, ou même surabondants, n'en prélevait que le nombre qui leur permettait de vivre. Rien des animaux sacrifiés ne doit être dilapidé, tout gaspillage étant prohibé par la morale sacrée, en tant qu'offense à la nature et aux principes qui l'animent. Et la gratitude à l'égard de la prodigalité de la terre allait de soi. Cette sobriété dans l'abondance est une leçon de noblesse.
>
> <cite>*Vers la sobriété heureuse*, Pierre Rabhi</cite>

Nous sommes à une ère de l'abondance, ou même de la surabondance *numérique*. On peut stocker des terra-octets de données dans sa poche, on peut *streamer* des megabits avec son téléphone, on peut faire tourner 8 processeurs sur ses genoux. **Quelle leçon de noblesse en tirer ?** J'avais écrit un édito dans le magazine [Fait main](http://faitmain.org/index.html) il y a 6 mois mais je pense qu'il faut aller plus loin.

>  Des photos de vacances non triées aux mails archivés *ad vitam aeternam*, des films collectionnés aux bibliothèques musicales dont la qualité est devenue obsolète, des livres téléchargés mais jamais ouverts aux projets inachevés, nous disposons tous de **poussières numériques** plus ou moins évidentes.
>
> À l'heure où le stockage de données domestiques se compte en téra-octets, on pourrait trouver saugrenue l'idée de limiter son impact en terme de stockage numérique. Et pourtant. Songez un instant à cette masse de données accumulées, à ce *grenier numérique* qui encombre votre disque dur de ses données antédiluviennes, et ces sauvegardes sur d'autres supports, et ces sauvegardes distantes, et ces sauvegardes incrémentales. **Autant de duplications et de transferts qui ont un coût écologique non négligeable.**
>
> […]
>
> Pour venir à bout de cette poussière qui s'accumule, il faut se prêter à deux exercices : **un ménage régulier et une hygiène de vie numérique**.
>
> <cite>*[Le coût écologique de vos données](http://faitmain.org//volume-2/cout-ecologique-donnees.html)*</cite>

*Je ne comprends pas qu'une sauvegarde distante doive traverser l'atlantique.* Je m'extasiais de [l'utilisation du P2P pour faire des sauvegardes croisées](/david/biologeek/archives/20061001-peer-to-peer-et-sauvegarde-croisee/) il y a 7 ans (!) et rien de nouveau depuis alors que cela semble relativement simple. Quelle part de *solidarité numérique* pourrait être associée à ces sauvegardes si l'on revient à des échanges d'espace disque locaux ?

*Je ne comprends pas qu'il faille une dizaine de serveurs pour faire tourner un simple site.* Testing, staging, intégration, QA, pré-prod, statistiques, monitoring, mailing, asynchrone, etc. Chacune de mes *pull-requests* et la cascade d'actions qu'elle entraîne consomme certainement plus que l'énergie qui m'a permis d'avoir produit la modification de code.

*Je ne comprends pas que l'on puisse mettre en production des sites à fort traffic sans tests de consommation côté client.* Le site [data.gouv.fr](http://www.data.gouv.fr/) est un (mauvais) exemple symptomatique des dommages que cela peut causer, quelle est la facture à l'échelle de la France ? Combien de designers en ont conscience lorsqu'ils ajoutent des parallaxes et autres transformations CSS ?

*Je ne comprends pas cet engouement pour le streaming de données récurrentes.* À partir de combien d'écoutes est-ce qu'un même morceau consomme plus en *streaming* qu'en stockage ? Et si une partie de ces sauvegardes croisées n'était pas chiffrée ?

*Je ne comprends pas que l'on fasse l'apologie de l'illimité dans un monde fini.* Forfaits illimités, stockage illimité, quelles habitudes de consommation est-ce que l'on essaye de nous inculquer à travers le numérique ?

*Je ne comprends pas*. Mais je m'interroge. **Ce n'est pas une ère d'abondance mais de gaspillage numérique dont nous faisons partie.** Et cela ne fait que commencer…
