title: Running LEAN
slug: running-lean
date: 2014-10-11
chapo: J’ai l’impression qu’il est très difficile d’avoir une approche artistique au sens large avec Running LEAN.

> Je suis en train de refaire le site internet de scopyleft, la coopérative web que j’ai co-créée avec des amis. Je réalise une série d’interviews afin de vérifier si mes premières pistes sur cette refonte sont pertinentes sur le public que je me suis fixé… et dont tu as la chance incroyable de faire partie ! Enfin je crois. Je vais te poser quelques questions pour vérifier cela :
>
> <cite>Début d’interview rédigée dans le cadre de [TrampoLEAN](http://trampolean.fr/)</cite>

J’ai eu la chance d’assister à la première édition de [TrampoLEAN](http://trampolean.fr/) (la prochaine session est le 24 octobre à Montpellier) qui consiste à mettre en pratique *Running LEAN* sur un projet personnel en étant accompagné. Je pense que l’approche est intéressante lorsque l’on souhaite concevoir un produit qui réponde vraiment à des besoins utilisateurs. L’utilisation du [Lean Canvas](https://fr.wikipedia.org/wiki/Lean_Startup#Lean_Canvas) et la réalisation d’interviews en amont même de la première ligne de code permet de pivoter à moindres frais pour maximiser la valeur apportée à la cible choisie. Je vous renvoie à l’excellent billet de Lionel pour plus de précisions sur les motivations de la méthode :

> **Penser pour l'utilisateur c'est garder le confort de ne pas se confronter à lui.** On fait de belles théories, les intervenants du projet trouvent que les idées sont bonnes entre eux, alors que la seule préoccupation est d'avoir la certitude que l'idée est bonne pour l'utilisateur.
>
> <cite>*[Pourquoi Running Lean ?](http://lionelchanson.fr/pourquoi-running-lean.html)*</cite>

Le problème que j’ai rencontré lors de sa mise en application est que j’ai choisi un projet bien singulier : *la refonte du site de scopyleft*. Mon objectif était de tester les limites de l’approche et je pense les avoir atteintes. **J’ai l’impression qu’il est très difficile d’avoir une approche artistique au sens large avec Running LEAN.** Lorsque l’on reste sur des besoins, c’est très pertinent. Dès que l’on va vers du style et de la personnalité ça l’est beaucoup moins car cela devient propre à chaque individu. Je ne pense pas qu’il soit possible d’écrire un livre ou de réaliser un tableau avec une telle approche car la cible se réduit alors à une seule personne : *l’auteur*.

Il doit être possible d’identifier ces cas aux limites lors de la recherche des hypothèses à tester, lorsque celles-ci sont trop difficiles à formuler c’est qu’il y a une difficulté à cerner le problème *ou* que le problème n’est pas résoluble par cette méthode. Dans les deux cas il faut se remettre en question avant de passer aux interviews qui apporteront peu d’intérêt si ce n’est la confirmation que chaque personne est singulière :-).

<cite>Mais pourtant un site doit bien répondre à un besoin ?</cite> Tout à fait. Mais il repose aussi sur du rédactionnel qui a plus ou moins d’importance. **La subtilité réside dans ce curseur entre utilité et personnalité.** Dans le cadre du site de scopyleft, je pense que l’on est plus proches de la personnalité. Ou plutôt *j’ai* envie que l’on reste plus proches de ce que l’on est. Peut-être faudrait-il un nom pour cet écueil dans la méthode : *Getting personal* ?

Malgré ce relatif échec personnel (*earn or learn* est notre nouveau *motto*), la méthode a montré de bons résultats avec les autres participants et sur les projets que l’on accompagne. Il y a vraiment du bon dans cette approche si elle arrive suffisamment en amont des projets, lorsque les porteurs ne se sont pas encore enfermés dans leurs propres certitudes. Ou cherchent un retour sur investissement sur l’énergie déjà déployée et l’argent déjà dépensé sans avoir le recul nécessaire pour lâcher prise et revenir aux bases : *le besoin utilisateur*.

Au détriment de la satisfaction du porteur ? *De l’égo de l’auteur ?* **Oups.**
