title: Talents publicitaires
slug: talents-publicitaires
date: 2014-03-30
chapo: Voilà, Tariq, les talents français du code sont au mieux de la chair à canons publicitaires US.

> Dans le milieu informatique, les outils et services que nous utilisons sur l'ordinateur et en réseau engagent certaines réactions. Ce qui me paralyse de plus en plus avec les services proposés en ligne, avec les univers policés crées par des armées de designers et de personnes en charge du UX est la contrainte grandissante de l'outil dans un type d'actions très contrôlées. L'optimisation du contrôle afin de rendre « l'expérience plus efficace. » Mais bien souvent, en faisant cela, nous perdons également toutes ces souplesses qui rendent les gens créatifs, qui incitent chacun à s'investir, à s'approprier et à créer les espaces de leur choix.
>
> De nombreux services en ligne ne sont pas là pour maximiser l'appropriation de l'utilisateur, mais bien pour optimiser la rentabilité et la profitabilité du service.
>
> <cite>*[La flexibilité de l'environnement](http://www.la-grange.net/2014/01/09/flexibilite)*, Karl Dubost</cite>

Hypothèse qui se révèle être confirmée dans le cas de [Facebook lors d'une refonte récente](http://dcurt.is/facebooks-predicament) un peu trop optimisée pour l'utilisateur (et pas assez pour les revenus). Est-ce qu'il faut pour autant penser que la publicité soit le moteur du Web comme l'affirme Christian Heilmann ?

> Hang on a second. Whether we like it or not, **ads are what makes the current internet work**. They are what ensures the “free” we crave and benefit from, and if you dig deep enough you will find that nobody working in web development or design is not in one way or another paid by income stemming from ad sales on the web. Thus, us pretending that ads are for other people is sheer arrogance.
>
> <cite>*[Why “just use Adblock” should never be a professional answer](http://christianheilmann.com/2014/02/02/why-just-use-adblock-should-never-be-a-professional-answer/)*</cite>

Ayant pour client Mozilla qui tire une bonne partie de ses revenus de Google, je ne peux malheureusement qu'acquiescer. Et me sentir acteur de ce blanchiment pseudo-éthique d'argent sale. *Adworld, cliquez-ici pour acheter un rêve mondialisé.*

> Car par la même occasion, ces mastodontes nivellent les goûts et le monde ressemble à une banlieue australienne, standardisée for ever, à coup d’adolescents éternels et du divorce des parents : are you up to date ? La mise à jour permanente de nos besoins infinis passe aujourd’hui par l’écoute laconique de nos goûts sans démesure, le goût des autres est aussi le nôtre, et l’on ciblera l’humeur du moment selon que l’on "clique" ici ou là. Quand je pense aux utopies que nous balancions fiers et jeunes au début de ce que l’on croyait être le "web indépendant" : ah les cons ! D’autres ont bien mieux compris ce que l’on pouvait tirer de cette rêverie en termes monétaires : de la bulle financière comme dans un bain moussant.
>
> <cite>*[Tout dans le client !](http://grosse.fatigue.free.fr/causetoujours/spip.php?article361)*</cite>

Quelles options reste-t-il pour passer entre les bulles ? Travailler avec le public est une possibilité, les bulles financières se transformant en savonnettes politiques. Terrain glissant dont les ambitions et les moyens sont limités à 5 ans. Après nous le déluge d'URLs cassées. *Sans savon.*

> The reason why I find business models so fascinating is because your business model is your destiny; newspapers made their bed with advertisers, and when advertisers left for a better product, the newspaper was doomed. To change destiny, journalists need to fundamentally rethink their *business*
>
> <cite>*[Newspapers Are Dead; Long Live Journalism](http://stratechery.com/2014/newspapers-are-dead-long-live-journalism/)*</cite>

Encourager l'innovation est une autre option, en accompagnant des projets depuis leur départ. En brisant trop souvent des rêves impossibles qui ne méritent que de maigrir avec le dernier régime à la mode. Et puis il reste la question du financement. *Et des taxes.*

> Hiring was delayed, partly because of social taxes that companies pay on salaries. In France, the share of nonwage costs for employers to fund unemployment benefits, education, health care and pensions is more than 33 percent. In Britain, it is around 20 percent.
>
> <cite>*[Au Revoir, Entrepreneurs](http://www.nytimes.com/2014/03/23/business/international/some-french-entrepreneurs-say-au-revoir.html?hp&_r=1)*</cite>

Quelle honte d'accorder 33% de son revenu à son espace de vie. À l'éducation que l'on a reçu, aux soins dont on bénéficie. Mais rassurez-vous, vous pouvez en être dispensé grâce au fabuleux statut de JEI qui fait pâlir d'envie outre-atlantique :

> * Someone throws a “but what about the high taxes?” at you – you respond with “I subsidize all of my R&D with Government grants (up to €100M/year), and my company has a JEI status which wipes out employment taxes on engineers.“
> * Someone throws a “What about strict employment laws?” at you, and you better be ready with “All our employees start with a legal 6-month trial period which allows me to fire them at a moment’s notice, and most of France’s strict employment laws don’t kick in until you have 50 employees: that’s how many WhatsApp had when it was acquired for $19 Billion.”
>
> <cite>*[Bonjour, Entrepreneurs – Only you can prevent French-Bashing](http://www.rudebaguette.com/2014/03/24/bonjour-entrepreneurs/)*</cite>

Et cerise sur le gâteau, on peut virer ses salariés dans les 6 mois sans aucun risque. Sous réserve de rester en-dessous des 50 salariés (excluant les stagiaires bien entendu). Et puis [un développeur français est si peu cher](http://denoyel.com/post/81081988751/i-didnt-leave-france-i-moved-to-the-us), pourquoi s'en priver ?

**Voilà, [Tariq, les talents français du code](https://medium.com/tariqs-thoughts/ff4299a38760) sont au mieux de la chair à canons publicitaires US.** Ce n'est pas d'un Github à la française dont nous avons besoin, mais d'une multitude de projets citoyens. Pour créer du lien social, du lien inter-générationel,  du lien local, du lien politique. Pour se sentir utile en tant que [développeur](/david/blog/2014/manifeste-developpeur/), pour se sentir [agile](/david/blog/2014/agilite-personnelle/) en tant qu'humain.