title: Un web omni-présent
slug: un-web-omni-present
date: 2014-08-26
chapo: Intervention donnée lors des Rencontres de Lure 2014.

*Intervention donnée lors des [Rencontres de Lure](http://delure.org/), avec pour thème CHEMINS DE FAIRE, ACTIVER LA PAGE BLANCHE // Traverse. 1h et un public inconnu, bien éloigné de ma zone de confort…*

J'ai emprunté plusieurs *chemins de traverse* au cours de ma vie. Le premier a été de passer de la biologie à l'informatique et plus particulièrement au web. Puis j'ai assez rapidement décidé de travailler à mon compte pour avoir plus de liberté. Je suis ensuite allé au Japon pendant un an pour explorer une nouvelle culture, d'autres modes de vie et de pensée. Et enfin j'ai co-créé une SCOP de retour en France il y a 2 ans. Chacune de ces expériences a été l'occasion de repartir d'une *page blanche*. Ou presque. De faire en sorte que mon passé et ma culture soient des acteurs de nouvelles interactions dans de nouveaux domaines.

En découvrant le web, j'ai exploré un monde de relations qui n'était finalement pas si éloigné de la biologie. En découvrant la vie de freelance, j'ai pris conscience des enjeux et des responsabilités qui incombent à un chef d'entreprise, chaque client devenant un petit patron. En découvrant le Japon, j'ai appris à apprécier les singularités de la culture française. En découvrant la collaboration, j'ai été confronté aux difficultés d'une approche démocratique.

Aujourd'hui, on expérimente avec [scopyleft](http://scopyleft.fr) l'activation de la *page blanche* des autres pour arriver ensemble à produire le plus de valeur. On a essayé l'agilité avant de se rendre compte qu'il fallait travailler en amont même des projets en s'inspirant des méthodes du Lean Startup (et notamment du [Lean Canvas](https://fr.wikipedia.org/wiki/Lean_Startup#Lean_Canvas)). La vérification de la pertinence d'une idée peut être obtenue avant même de plonger dans la technique à travers des interviews ou des « produits embryons ».

<figure class="image">
    <img src="/static/david/blog/2014/lure/univers.jpg" />
</figure>

Je me représente le web comme cet univers en expansion. On en définit mal les contours — on sait qu'il s'agit d'amas d'amas de galaxies — que l'on se représente plus ou moins sphérique. Parmi cette multitude d'étoiles, des planètes se sont formées et certaines se trouvent être à des conditions de pression et de température favorables à l'apparition de rencontres. **J'ai l'impression d'être un astéroïde qui a atterri par hasard sur la planète des Rencontres de Lure.** Afin que l'on partage un vocabulaire commun, j'ai posé 3 questions pour que l'on puisse échanger durant l'heure qui a suivi :

* Quels sont ceux d'entre vous qui travaillent dans le web ?
* Quels sont ceux parmi vous qui codent pour le web (html, css, js) ?
* Quels sont ceux qui ont un compte Facebook ? Twitter ? Gmail ?


## Un web

> The problem with a centralized web is that the few points of control attract some unsavory characters. […] It's not just possible, but fairly common for someone to visit a Google website from a Google device, using Google DNS servers and a Google browser on the way.
>
> <cite>*[The Internet With A Human Face](http://idlewords.com/bt14.htm)*</cite>

On appelle souvent le web « la toile » ce qui lui donne une représentation concentrique avec l'araignée généralement au centre. C'est une assez mauvaise image du web originel, malheureusement cette métaphore tend à se rapprocher du web actuel. Nous sommes partis d'un web plus ou moins acentré pour arriver à un web	qui ressemble à une télévision sur lequel on zappe entre 6 onglets (Google, Facebook, Twitter, Instagram, Wikipedia, Amazon). Cette position donne à ces monopoles une situation préoccupante à triple titre :

* *Ils peuvent fragmenter le web.* Certains contenus, certaines données, ne deviennent accessibles qu'en faisant partie de la plateforme. En publiant sur ces sites, vous êtes acteurs de cette fragmentation sous couvert d'élitisme/snobisme.
* *Ils peuvent filtrer le web.* Les algorithmes mis en place pour vous afficher les contenus de manière pertinente sont des œillères dangereuses. En ne consultant que ces sources d'information vous devenez prisonniers de bulles de complaisance bien lisses.
* *Ils peuvent monétiser le web.* À partir de vos données, de vos relations, de vos interactions, de vos simples explorations. Votre profil prend de la valeur si vous êtes malade, si vous êtes dépensier, si vous tombez enceinte !

Les amas de galaxies dont je parlais en introduction s'agrègent et perdent de leur hétérogénéité. Comment évoluera un réseau en pair à pair avec de telles inégalités entre les pairs ?

On assiste également à une *app*-ification du web qui sous couvert de simplicité transforme vos interactions à travers le réseau en passant par des boîtes noires qui n'ont plus ni la simplicité des technologies web, ni la lisibilité de leur code.

<figure class="image">
    <img src="/static/david/blog/2014/lure/unweb.jpg" />
</figure>

La diversité sur le web se réduit à tel point qu'une page personnelle vous fait aujourd'hui passer pour un marginal. Voire un suspect ?

## Omni

> Le coût de la surveillance est beaucoup trop bas.
>
> <cite>*[Lettre aux barbus](http://reflets.info/lettre-aux-barbus/)*, Laurent Chemla</cite>

On parle beaucoup d'*Internet of Things*, de *Quantified Self* ou d'*OpenData* avec l'idée derrière tout cela que beaucoup de données (*Big Data* — BINGO!) vont transiter entre nous, nos objets et notre environnement au sens large pour <strike>enrichir des hipsters de la silicon valley</strike> nous simplifier la vie.

Malheureusement ce dont on s'est aperçu avec Snowden et depuis, c'est que **ces données servent surtout à nous tracer à grande échelle.** Cette surveillance généralisée est préoccupante pour 3 raisons :

* *Perte de confiance dans le politique.* C'était déjà pas la joie mais alors là c'est à vous faire douter de votre intérêt pour la citoyenneté. Les acteurs en puissance ont tout à gagner à ce qu'on les laisse s'amuser entre eux. Mais ce n'est plus de la démocratie…
* *Sentiment d'insécurité et lissage de l'opinion.* Si chaque citoyen devient suspect, il faut [se fondre dans la masse](http://www.journaldugeek.com/2014/08/28/spirale-du-silence-baillonnereseaux-sociaux/). Pour tromper les algorithmes, pour tromper les (futurs) drones, pour finir par se tromper soi-même. Et lorsqu'on s'est suffisamment conformé au moule on tape sur la minorité voisine pour évacuer son stress et se sentir vivant. Ou on retweete une cause vraiment juste… [mais passagère aussi](http://www.slate.fr/story/90839/indigner-twitter-oublier).
* *Renoncement à une vie privée numérique.* Puisque [plus rien ne marche](http://www.framablog.org/index.php/post/plus-rien-ne-marche-que-faire), autant vivre avec et arrêter d'essayer de se battre contre des moulins. De toute façon ceux qui ont peur [doivent bien avoir quelque chose à cacher](https://www.youtube.com/watch?v=xxSKmecZ09E) ? Ou peut-être que l'on a envie d'un web intime, d'un web qui autorise les erreurs, d'un web qui dénonce les injustices ?

<figure class="image">
    <img src="/static/david/blog/2014/lure/traces.jpg" />
</figure>

Devant cette surveillance généralisée, pour vivre heureux vivons submergés ?

## Présent

> Seven generation sustainability is an ecological concept that urges the current generation of humans to live sustainably and work for the benefit of the seventh generation into the future.
>
> <cite>*[Great Law of the Iroquois](https://en.wikipedia.org/wiki/Seven_generation_sustainability)*</cite>

*Internet n'oublie jamais.* On a tous entendu cet adage qui est pourtant relativement faux. Des pages, des photos, des données disparaissent tous les jours. Lorsqu'un service ferme ce sont des milliers, voire des millions de comptes qui sont perdus. J'ai d'ailleurs appelé cela [un datacide](/david/biologeek/archives/20091202-discussions-sur-les-applications-web-libres/) lorsque l'on assiste à un génocide de données. Cela peut avoir des effets bénéfiques et l'on pense bien évidemment au *droit à l'oubli* mais le problème est qu'Internet n'agit pas comme une souvenance — la façon dont on se souvient de ce que l'on a vécu — mais comme un journal de bord à moitié effacé. On ne choisit pas ce qui est conservé, on le subit.

**Face à cette culpabilité numérique on en vient à une sorte d'exhibitionnisme numérique** : plus je publie et moins les choses que je souhaite cacher seront visibles. On obtient des flux sans réflexion, sans espoir d'archivage, sans aucun contrôle. Le lâcher-prise sur ses interactions en ligne est symptomatique d'une inconscience généralisée de l'usage qui peut en être fait.

<figure class="image">
    <img src="/static/david/blog/2014/lure/present.jpg" />
</figure>

Ouf ! On a survécu à l'introduction un peu déprimante (j'ai réussi à plomber l'ambiance de typographes — huhu). Si l'on analyse chacun des points de ce web omni-présent, on constate qu'il y a principalement [un problème de confort](/david/blog/2013/confort-convivialite/). Le web se fragmente car on ne prend pas la peine d'avoir son propre serveur, se surveille massivement car on est paresseux sur le chiffrement et disparait car l'on n'a pas envie de se soucier de ses traces numériques. Quelles pistes non techniques pour un web plus sain ?

## Pistes

### Militer

Le militantisme peut avoir un impact s'il est pratiqué à large échelle. La force du web est de pouvoir transmettre et propager des informations très rapidement. Il faut se servir de cet outil à bon escient !

<figure class="image">
    <img src="/static/david/blog/2014/lure/militer.jpg" />
</figure>

### Déconnecter

Je vais prendre mon exemple : je n'ai pas de compte Facebook, j'ai fait plusieurs [diètes de tweets](/david/blog/2013/diete-tweets/), je n'ai [plus de smartphone](/david/blog/2013/telephone-stupide/). C'est certainement extrême mais je n'en suis pas [mort numériquement](/david/blog/2013/testament-numerique/) pour autant. Je me porte même plutôt mieux depuis. S'interroger sur ses usages permet de prendre conscience de ce qui a vraiment de la valeur.

<figure class="image">
    <img src="/static/david/blog/2014/lure/retro.jpg" />
</figure>

### Innover localement

Je fonde beaucoup d'espoirs dans les initiatives locales. De nombreux projets sont en gestation et se développent autour de petites communautés de façon décentralisée. Une façon de s'adapter à la culture locale, de recréer une sorte d'[intimité numérique](/david/blog/2013/donnees-intimes/).

<figure class="image">
    <img src="/static/david/blog/2014/lure/innover.jpg" />
</figure>

### Éduquer

Cette dynamique d'ouverture ne se fera pas sans éducation. [Pas seulement auprès des enfants](/david/blog/2014/education-citoyenne-web/), on n'a malheureusement pas le luxe d'attendre que les nouvelles générations représentent la majorité. Il faudrait une éducation citoyenne de masse, 100 personnes aujourd'hui qui transmettront demain à 1000 autres ? ;-)

<figure class="image">
    <img src="/static/david/blog/2014/lure/eduquer.jpg" />
</figure>

### Se réapproprier

En utilisant des *outils conviviaux* tels que les défini Ivan Illich :

* ne doit pas dégrader l'autonomie personnelle en se rendant indispensable
* ne suscite ni esclave, ni maître
* élargit le rayon d’action personnel

Il est temps de se réapproprier ses savoirs pour être à même de réacquérir son autonomie et en offrir à d'autres.

<figure class="image">
    <img src="/static/david/blog/2014/lure/reapproprier.jpg" />
</figure>

La concentration de galaxies est à l'origine d'une augmentation de la température qui se termine généralement en trous noirs. Quels autres leviers avons-nous pour éviter que le web ne soit aspiré par ces trous noirs ? J'ai démarré le discussion avec cette citation :

> Il faut choisir, se reposer ou être libre.
>
> <cite>*[Thucydide](https://fr.wikipedia.org/wiki/Thucydide)*, ~2400 av. Facebook</cite>

## Discussion

### Questions techniques

Beaucoup de discussions sur la faisabilité technique d'une telle surveillance. [Si l'on fait un premier point sur l'affaire Snowden](http://www.libwalk.so/2014/07/14/NSA-temps-de-faire-le-premier-point.html), le constat est on ne peut plus limpide. C'est même pire après tout ce qui a été découvert depuis…

### Questions sur la peur

On m'a demandé de quoi est-ce que j'avais peur, ressortant le fameux [Nothing to hide, nothing to fear](https://www.youtube.com/watch?v=5MzlV0Clees). Je n'ai pas peur, je m'interroge sur un constat et sur ma participation indirecte à la situation actuelle en étant acteur de ce système. J'explore des solutions et je vais en chercher dans des lieux comme les rencontres de Lure pour y retrouver une certaine naïveté technique et une expérience vieille de quelques millénaires.

### Solutions techniques

Il m'a quand même été demandé de donner quelques solutions techniques. Voici des propositions :

* Utiliser [DuckDuckGo](https://duckduckgo.com/) ou [Yandex](https://www.yandex.com/) plutôt que Google pour la recherche ;
* Héberger ses contenus chez [un des](http://www.online.net/fr) [nombreux](https://www.ovh.com/fr/index.xml) [hébergeurs](https://www.alwaysdata.com/) [français](https://www.gandi.net/) avec son propre nom de domaine ;
* Utiliser ce nom de domaine pour avoir [une adresse email que l'on contrôle](http://mathieu.agopian.info/blog/quitter-gmail.html), des projets [dédiés à la confidentialité](https://caliopen.org/) arrivent ;
* Ne pas hésiter à [dupliquer ses contenus](/david/stream/) lorsqu'ils sont publiés sur des plateformes externes.

Ces 4 points sont très basiques, vous pouvez ensuite vous pencher sur des solutions comme les [réseaux privés virtuels (VPN)](https://fr.wikipedia.org/wiki/R%C3%A9seau_priv%C3%A9_virtuel) ou [Tor](https://fr.wikipedia.org/wiki/Tor_%28r%C3%A9seau%29) pour aller plus loin.

**Le web est une invention précieuse, préservons son graphe : ses liens et ses données.**
