title: Cours IUT : Argumentation technique
slug: cours-iut-argumentation-technique
date: 2015-03-16
chapo: Il s’agit de vérifier qu’ils sont capables de transmettre leurs propres découvertes/réalisations.

> Operational efficiency can be preserved by using several ideas from [Spotify’s organizational model](http://d1u2s20mo6at4b.cloudfront.net/wp-content/uploads/SpotifyScaling.pdf) ([cache](/static/david/stream/SpotifyScaling.pdf)). Integrated architects can support and learn from one another by participating in Chapters and Guilds. Chapters and Guilds allow integrated architects from separate teams to share knowledge and tools that all teams can benefit from. Individual, team, and company growth occurs faster. Economies of scale are able to be leveraged from the insights of a single team.
> 
> <cite>*[Software Architect - A Role, Not a Job](http://spin.atomicobject.com/2015/02/19/software-architect-role/)* ([cache](/david/cache/375d50703a88ff1c07bc00ba4d65eed5/))</cite>

La dernière évaluation de mes [cours](/david/pro/enseignement/) porte sur l’argumentation technique autour des [animations web](/david/blog/2015/cours-iut-animations-web/). **Il s’agit de vérifier qu’ils sont capables de transmettre leurs propres découvertes/réalisations à leurs collègues.** J’ai choisi d’évaluer leur réussite selon 2 critères :

* la pertinence de ce qu’ils ont à me proposer pour éviter les [animations inutiles](http://vaalentin.github.io/2015/) qui prennent 100% de mon CPU ;
* l’argumentation qu’ils proposent en parallèle de leur présentation, c’est une situation à laquelle ils seront je l’espère confrontés dans leur futur emploi (s’ils bossent dans un boîte qui n’encourage pas les échanges internes et externes, je ne peux que leur conseiller d’en trouver une autre).

Je leur avais proposé comme source de donnée s’ils manquaient d’idées l’article « [Du S3C hiérarchique au S4C holarchique](http://pedagogieagile.com/2015/02/25/du-s3c-hierarchique-au-s4c-holarchique/) ([cache](/david/cache/8d343d1a9ec2e9a2ef801fb9074b1a9f/)) » (ou plutôt l’image/pdf centrale à animer, une animation valant mille images). Il n’y a finalement eu qu’un seul groupe qui aura pris cette base ce que je trouve plutôt positif, les autres ayant opté pour l’enrichissement d’un projet existant.

On a terminé ce cycle de cours par une *outroduction* à l’agilité/kanban/lean en 30 minutes (pfiou !) suivie d’une rétrospective un peu particulière vu qu’elle visait principalement à améliorer le cours. Du coup les différentes catégories proposées étaient les suivantes :

* Qu’est-ce que j’ai appris ?
* Qu’est-ce que je saurais transmettre à mon tour ?
* Qu’est-ce qui m’a frustré ?
* Qu’est-ce qui m’a ennuyé ?

La discussion qui a suivie était vraiment très intéressante et ils ont pu faire émerger 4 pistes d’amélioration :

* *Le cours mériterait d’intervenir plus tôt dans l’année* afin qu’ils puissent intégrer les concepts et avoir le temps de les mettre en pratique transversalement.
* *Continuer la veille techno*, même si leur participation a été faible je pense que ça leur a fait prendre conscience de son importance.
* *Réfléchir à la pertinence de l’ordre* après avoir établi le *backlog* lors de la [construction collaborative](/david/blog/2015/cours-iut-construction-collaborative/) histoire de ne pas se retrouver à vouloir [faire du Angular sans avoir les bases de JS](/david/blog/2015/cours-iut-comprendre-javascript/).
* *Commencer par évaluer le niveau de départ* des étudiants histoire de mieux s’adapter par la suite.

Je vais essayer de faire remonter ce qui ne dépend pas de moi pour que la formation soit un peu plus pertinente l’année prochaine. Les étudiants ont vraiment joué le jeu pour que la discussion reste constructive et focalisée sur le cours plus que l’administration ou les personnes.
