title: Cours IUT : Candidature spontanée
slug: cours-iut-candidature-spontanee
date: 2015-03-02
chapo: Je souhaitais vérifier qu’ils arrivaient à mettre en valeur ce qu’ils avaient assimilé lors du cours.

> Je suis le directeur technique du site lemonde.fr, vous avez 2 heures pour m’envoyer un email de candidature spontanée. Vous disposez de toutes les ressources et discussions qui vous semblent nécessaires.

C’est ainsi que débutait cette évaluation du [cours](/david/pro/enseignement/) sur le [Web Mobile](/david/blog/2015/cours-iut-web-mobile/).

## Motivations

**Je souhaitais vérifier qu’ils arrivaient à mettre en valeur ce qu’ils avaient assimilé lors du cours.** Leur faire prendre conscience aussi qu’ils pouvaient être très bons mais s’ils ne parviennent pas à obtenir un entretien cela ne sert pas à grand chose. Ayant 2 heures à tuer, je me suis prêté au jeu et j’ai rédigé ma propre candidature spontanée en me mettant à leur place/niveau de connaissances.

## Ma réponse

Objet : *Candidature spontanée pour améliorer LeMonde*  
Destinataire : *Olivier Grange-Labat*

Bonjour Olivier,

Je crée des sites web depuis 4 ans dont 2 ans à mon compte et je viens de valider une année de licence professionnelle dédiée à la création de sites internet. Cela m’a permis de me familiariser avec les notions de frameworks (Bootstrap et AngularJS) et de CMS (Wordpress). J’ai aussi eu l’occasion de développer en JavaScript et d’explorer les possibilités offertes par le web mobile.

Je souhaite intégrer votre équipe technique pour les challenges auxquels vous êtes confrontés au quotidien compte tenu des contraintes journalistiques et de votre popularité.

Je pense pouvoir vous apporter mes compétences et mon énergie dans trois domaines :

### Performances

J’ai remarqué qu’il était possible (naïvement) d’améliorer les performances de votre site. Il y a actuellement plus de 200 requêtes effectuées au chargement de la page d’accueil, ce qui prend 30 secondes à charger totalement en 3G. C’est en deçà des standards actuels en terme de réactivité et cela s’explique de plusieurs manières :

* les fichiers JavaScript (44) ne sont pas réunis ni compressés ;
* les fichiers CSS (21) ne sont pas non plus optimisés.

Cela engendre des effets de bord comme le chargement de l’image des *sprites* CSS en double à la fois appelées par `widgets.css` et `footer.css` pour la page d’accueil.

* beaucoup de fichiers n’ont pas des durées de cache satisfaisantes pour pouvoir réafficher la page sans effectuer de requêtes supplémentaires.

Il y a bien sûr les contraintes liées aux partenaires publicitaires mais d’autres fichiers dépendants du CDN pourraient être optimisés.

* la taille totale des fichiers CSS (230KB) est importante.

Il serait possible de regrouper les styles propres à l’affichage du contenu au-dessus de la ligne de flottaison et de les intégrer directement dans le `HTML` pour ne charger les styles additionnels que de manière asynchrone ensuite.

*Je suis motivé pour mettre en place un workflow de publication qui prenne en compte des métriques de performances afin d’améliorer incrémentalement la situation.*


### Lisibilité

J’ai reproduit la fonctionnalité de lecture Zen en une quinzaine de lignes de JavaScript (à coller dans la console du navigateur) :

    :::javascript
    var title = document.querySelector('article h1');
    var content = document.getElementById('articleBody');
    document.open();
    document.write(title.outerHTML + content.outerHTML);
    document.close();
    title = document.querySelector('h1');
    content = document.getElementById('articleBody');
    title.style.textAlign = 'center';
    title.style.fontSize = '40px';
    title.style.color = '#555';
    content.style.fontSize = '25px';
    content.style.width = '30em';
    content.style.lineHeight = '1.3';
    content.style.margin = '0 auto';
    content.style.color = '#07486C';

Mon objectif n’est pas ici de la remplacer compte-tenu du potentiel de conversion des lecteurs/clients qu’elle représente mais bien de l’améliorer et de la personaliser en fonction des capacités de la personne.

*Je souhaite participer aux recherches ergonomiques et typographiques permettant d’améliorer la lisibilité du contenu du site.*


### Veille technologique

Je pratique une veille technologique au quotidien que je partage sur mon site/blog : [https://larlet.fr/david/](https://larlet.fr/david/) . Je suis persuadé que de nombreuses expériences effectuées par l’équipe technique pourraient être partagées avec la communauté. C’est par exemple le cas pour l’équipe de M6 : [http://tech.m6web.fr/](http://tech.m6web.fr/) .

*Je propose de mettre en place un espace de partage et d’échange avec la communauté qui permettrait de s’enrichir de retours externes et de pratiquer un recrutement passif.*


Je suis disponible pour vous rencontrer dans vos locaux ou au cours d’un déjeuner. Vous pouvez également me contacter par téléphone au 06 84 93 58 23.

Cordialement,  
David


## Résultats

Je suis conscient de la difficulté de l’exercice, surtout réalisé en 2 heures, j’ai moi-même été pressé par le temps et dû proposer une solution JS pour le zen mode qui ne me satisfait pas et à relire le mail je pense que j’aurais changé le style mais c’est le jeu. Dans tous les échanges qui ont suivi, j’ai beaucoup insisté sur le fait qu’il s’agissait de *mon* point de vue et qu’il différait peut-être beaucoup de celui du directeur technique (Olivier si tu lis ces lignes…).

Une seule personne sur les 10 présentes a réussie a identifier le destinataire du mail. Les autres se sont principalement adressées aux ressources humaines. Cela a donné lieu à une discussion sur l’intérêt de connaître le destinataire et de suivre [ses centres d’intérêts](https://twitter.com/ogrange). Ici il fallait clairement parler de React :-).

La moitié des mails ont été des fichiers PDF joints (ou pire : du docx) comportant le CV et une lettre de candidature générique. Cela a permis de discuter de l’intérêt d’un CV et de l’importance de mettre sa candidature directement dans le corps du mail. Il a aussi été question de ratisser large vs. s’adresser à une personne et un projet. Problématique qu’ils ont déjà lors de leur recherche de stage.

Deux étudiants ont personnalisé la candidature mais sans aller assez loin et en donnant des informations et principes trop généralistes pour être pertinents (tenter d’apprendre ce qu’est le *responsive design* à un directeur technique de journal en ligne n’est à mon avis pas une bonne idée). Il faut savoir être force de proposition tout en restant humble.

Trois personnes ont fait des audits de performances et ont réutilisé ce que l’on avait vu en cours pour proposer leurs compétences de manière pertinente. C’est peu mais c’est déjà ça !

Globalement, je suis un peu déçu de ce qu’ils m’ont proposé mais je pense que la discussion qui a suivie leur a donné de la matière pour réfléchir et améliorer leur approche.


## Évaluation

J’ai toujours beaucoup de mal avec la notation demandée. Après discussion, la note finale aura 3 origines :

* une auto-évaluation portant sur leurs acquis puis sur l’exercice ;
* une évaluation collective sur l’exercice ;
* une évaluation de ma part sur l’exercice.

L’évaluation auto/collective à base de post-it fonctionne très bien et prend un quart d’heure pour 10 personnes.

