title: Cours IUT : Exploration collective
slug: cours-iut-exploration-collective
date: 2015-03-09
chapo: C’est une démarche intéressante car c’est une forme de veille active à plusieurs.

> Le quatrième et dernier réseau se présente, lui, sous l’aspect d’une concession, d’un remords, voire d’un retour du refoulé. On en avait vu poindre l’éventualité à propos de la mise en relation des inégaux en matière de connaissance, éventualité alors victorieusement repoussée. Elle ressurgit en bonne et due forme, pour finir, sous les traits d’un réseau « d’éducateurs professionnels ». Illich n’en nie pas la nécessité, en dernier ressort, mais il ne s’y résigne que pour mieux réaffirmer la transformation complète que réclame à ses yeux la figure du maître d’école. S’il admet qu’il n’est pas possible de faire l’économie d’un personnel spécialisé, il veut, d’abord, qu’on ne s’y adresse que par choix, et il veut, ensuite, que ces professionnels soient eux-mêmes des « éducateurs indépendants », sans plus rien de commun avec les serviteurs d’une institution contraignante qu’ils ont été traditionnellement.
>
> Ce que préconise Illich revient ni plus ni moins à une réinvention de la figure traditionnelle du sage. Le paradoxe qu’il fait valoir est que le renforcement du sens de l’autonomie individuelle prédispose à s’entourer de conseils avisés : « Si les citoyens avaient de nouvelles possibilités de choix, disposaient de chances nouvelles de s’instruire, leur désir de trouver un maître devrait grandir. Plus certains de leur indépendance, ils accepteraient volontiers d’être guidés, puisqu’ils n’auraient pas peur d’être manipulés par ce dernier. Ils seraient du même coup plus aptes à reconnaitre une sagesse acquise au cours d’une vie. Déscolariser l’éducation devrait développer (au lieu d’étouffer) l’effort pour rechercher des être humains possédant une sagesse pratique, prêts à aider le nouveau venu au seuil de son « aventure éducative ».
>
> Des administrateurs compétents sont indispensables pour faire fonctionner les réseaux du savoir. Parents et enfants, il est raisonnable de le prévoir, auront besoin d’assistance pour s’orienter et trouver le chemin qui leur convient. Les étudiants gagneront à pouvoir compter sur les conseils avisés de personnes qualifiées pour bâtir un projet, résoudre les difficultés qu’ils rencontrent ou choisir entre différentes méthodes possibles. Enfin, au plus haut niveau, les « difficiles voyages d’exploration intellectuelle » requièrent souvent l’aide d’un guide. Des « maîtres à penser » sont nécessaires. Illich ne recule pas devant l’expression, il veut lui rendre sa fraîcheur première, au contraire, en entendant par là ceux « que l’on prend volontiers comme modèles, que l’on désire suivre dans leurs recherches successives ». L’important est que cette relation conserve un caractère informel, fondé sur le choix personnel et « l’estime mutuelle ».
>
> <cite>*Transmettre, apprendre* de Marie-Claude Blais, Marcel Gauchet et Dominique Ottavi</cite>

Le [cours](/david/pro/enseignement/) précédent sur [les animations web](/david/blog/2015/cours-iut-animations-web/) a été l’occasion d’explorer ensemble différentes pratiques et bibliothèques. On partait d’une solution technique et on essayait de la mettre en pratique sur un exemple pertinent. C’est l’inverse de ce qu’ils auront à faire pour le travail à rendre mais **c’est une démarche intéressante car c’est une forme de veille active à plusieurs.**

On a commencé par animer un bouton d’envoi de mail grâce à [animate.css](http://daneden.github.io/animate.css/), l’idée était d’avoir un *feedback* visuel sur l’accomplissement d’une tâche, d’afficher un message au bout d’un certain délai et d’éviter la double soumission en cas de clics multiples. Puis nous avons exploré les effets de [parallaxe](http://keithclark.co.uk/articles/pure-css-parallax-websites/) ([cache](/david/cache/bdea3b9e4326f5709a02c72c720367db/)) avec les différents plans en étudiant des cas comme celui de [Pencil](http://www.fiftythree.com/pencil) pour la pertinence. Pour finir, nous avons utilisé [ChartJS](http://www.chartjs.org/) pour afficher un graphe des notes des étudiants sur le précédent module. Ils avaient pour mission entre les 2 sessions d’explorer les options possibles (changer l’échelle, le type de graphe, etc).

Grâce à l’une des questions posées, j’ai pu apprendre la différence entre le `return false` de jQuery et celui de JavaScript (natif), il se trouve que jQuery [stoppe la propagation](http://www.mail-archive.com/jquery-en@googlegroups.com/msg71371.html) alors que ce n’est pas le cas nativement. Dans tous les cas il vaut mieux être explicite et utiliser `event.preventDefault()` qui a par exemple l’avantage de pouvoir être placé en début de fonction et d’éviter la redirection en cas d’erreur (s’il s’agit d’un lien). Il va falloir que je leur parle de [la propagation d’événements](http://www.quirksmode.org/js/events_order.html) ([cache](/david/cache/a90e5a0df79fca21cb3a03be83b360fc/)).
