title: Co-working en transition
slug: coworking-transition
date: 2015-03-23
chapo: Les espaces de co-working sont les cybercafés du 21e siècle.

> First, we’d need to offer something to attract awesome people. No amount of money, catered lunch or nice offices could compete with Google or Facebook. But, what about travel? All my friends loved to travel, and it would be cheaper to fly everyone to a random country and rent a huge mansion than get office space in SF. I even wrote a blog post called [Why We’re Traveling](http://phileasandblogg.com/why-were-traveling/) ([cache](/david/cache/1e87f94abc80a68d31946df5de7f0aca/)) that outlines what I was thinking.
>
> […]
>
> Someday, I’ll write a whole blog post on this experience. However, the short version is this: I ditched the investors, financed the trip myself, and made it less structured. Everyone just sorta worked on their own projects. The financial, emotional and time setbacks were devastating, however I still really love the idea of a traveling incubator.
> 
> <cite>*[Five Years Time](https://medium.com/@gkoberger/five-years-time-6a6ae1157a66)* ([cache](/david/cache/285b39b2d9af1b76d39c072410e991ca/))</cite>

*Article écrit à 2 mains (les miennes) et 2 pieds (ceux de Stéphane) qui arpentent les espaces de co-working depuis quelques mois.*

Nous sommes à un tournant intéressant dans notre façon de travailler, le travail à distance commence à être accepté et reconnu pour ses bienfaits. Pour que cette transition s’amorce, les espaces de *co-working* ont vu le jour un peu partout de façon caricaturale avec :

* *les co-working traditionnels* : ce sont ceux qui ont vu le jour en premier et qui restent classiquement des bureaux partagés. Simples et fonctionnels, ils restent froids et sans vie.
* *les co-working institutionnels* : mis en place par la puissance publique, ils sont de plus en plus délaissés et servent de salles de réunions pour élus locaux en manque d’innovation.
* *les co-working business* : montés par des personnes qui ont compris qu’il y avait de l’argent à se faire, ils offrent beaucoup de services et d’avantages à des prix assez élevés.
* *les co-working fablabs* : puisqu’on regroupe des personnes dans un même lieu, autant leur proposer des outils et des matériaux pour qu’ils construisent ensemble, l’intérêt d’une centralisation réside ici dans la mutualisation des outils de production.

Si le travail à distance est maintenant accepté, qu’en est-il du [nomadisme](/david/blog/2015/compagnons-du-dev/) qui pourrait lui être associé ? Le besoin de reproduire des structures ressemblant à des bureaux classiques n’est que transitoire, nous devions passer par là pour nous en libérer.

**Les espaces de co-working sont les cybercafés du 21e siècle.** Si nous avons aujourd’hui besoin de lieux clairement définis, de plus en plus de restaurants, cafés, etc proposent un accès wifi et des espaces plus ou moins adaptés au travailleur. Le *co-working* itinérant devient alors envisageable et les espaces dédiés sont voués à disparaître. Prenez un routeur 4G pour [les wifi récalcitrants](/david/stream/2015/02/15/) et votre bureau urbain s’étend. Vous n’avez plus *un* espace de travail mais *des* espaces de réflexion et d’autres de collaboration en fonction de l’effervescence des lieux. Vous ne réservez plus une salle de réunion mais un espace semi-privatisable dans un lieu public. Vous n’allez plus *au* travail mais *en* travail au même titre que vous partez en randonnée. Vous n’assistez plus à une formation, vous [vivez une expérience](http://trampolean.fr/pour-sudweb/).

> Autour d’eux, ils doivent générer des solutions, des projets impactants et des programmes éducatifs qui aident à les pérenniser. Le but ultime n’est pas la réussite des fablabs, mais la réussite des initiatives qu’ils propulsent. Sinon, ce serait ridicule. Je ne suis pas d’accord pour édifier une nouvelle religion. Je pense que le succès des fablabs sera atteint le jour où ils disparaîtront, car tout le monde aura eu accès à la fabrication.
>
> <cite>*[« Tout un écosystème émerge autour de la Fab City à Barcelone »](http://www.makery.info/2015/03/13/tomas-diez-tout-un-ecosysteme-emerge-autour-de-la-fab-city-a-barcelone/)* ([cache](/david/cache/a557bb971798ef8ec5c9fd076fa50a83/))</cite>


Il reste encore [beaucoup à inventer](http://www.eventuallycoding.com/index.php/travailler-autrement/) ([cache](/david/cache/e17cece6f0b6200b0ea6a81bbe07d52f/)) dans le domaine, je ne crois plus trop à un futur [plein d’indépendants précaires](http://leconome.blogs.liberation.fr/2015/01/06/uber-airbnb-les-barbares-attaquent-le-marche-du-travail-et-le-modele-social/) ([cache](/david/cache/ec9dff0766f0c1a09300cb63b726f78a/)) qui se regrouperaient le temps d’un projet comme on peut le voir dans l’industrie du cinéma. En revanche, je pense que les *slasheurs*  ne sont qu’un prélude à un morcellement et à une diversité du travail, de ses natures et de ses lieux. De ses façon de collaborer et de coopérer. De produire *ensemble*, partout.
