title: Expérimentations techniques
slug: experimentations-techniques
date: 2015-10-19
chapo: L’objectif de l’exercice est de les faire gagner en autonomie, mais ensemble.

> Last but certainly not least, you should write about what you learn. There are so many good reasons to do this, but perhaps the best reason is it forces you to understand the topic better. If you can’t explain how something works, there’s a decent chance you don’t really understand it yourself. And oftentimes you don’t realize you don’t understand it until you try writing it down.
>
> In my experience, writing, giving talks, and creating demos has been one of the best ways to force myself to dive in and fully understand something, inside and out. Even if no one ever reads what you write, the process of doing it is more than worth it.
> 
> <cite>*[How to Become a Great Front-End Engineer](http://philipwalton.com/articles/how-to-become-a-great-front-end-engineer/)* ([cache](/david/cache/4d600e85879d0f0522a8b79b4ecea92f/))</cite>

On a démarré une séquence [à l’IUT](/david/pro/enseignement/) de quatre semaines en demi-groupe la matin et classe entière l’après-midi. L’occasion d’expérimenter sur les sujets techniques qu’ils choisissent en groupes de trois ou quatre le matin et de restituer leurs trouvailles l’après-midi devant leurs collègues pour échanger. Pour l’instant, on en est à deux itérations par groupe le matin. Je leur demande d’orienter leur discussion selon ces quatre axes :

* ce qu’ils ont réussi à faire ;
* ce qu’ils n’ont pas réussi à faire ;
* ce qu’ils ont acquis suite à ce travail ;
* ce qu’ils vont changer pour s’améliorer.

**L’objectif de l’exercice est de les faire progresser en autonomie, mais ensemble.** De leur faire prendre conscience qu’ils vont devoir faire ce travail par eux-même et bien souvent tout seuls par la suite. Leur permettre de gagner en maturité sur des restitutions techniques dédiées aux équipes internes en allant pourquoi pas vers des échanges externes type conférences ou écritures. Leur apprendre à se répartir les tâches plutôt que de bosser seuls dans leurs coins.

Cela me permet également de voir ce par quoi est-ce qu’ils sont motivés pour la suite des cours, pour l’instant ils ont exploré :

* transitions CSS
* menu sur image
* parallax
* menu déroulant
* grille Bootstrap
* slideshow avec sprites
* animations CSS
* animations au hover

> l’enseignant ne doit pas simplement transmettre des savoirs mais être un mentor qui accompagne les projets des étudiants. Ainsi, l’enseignant ne doit pas être là pour leur dire ce qu’ils *doivent faire* mais pour les accompagner dans ce qu’ils *souhaitent faire*.
>
> […]
>
> Je pense que la coopération est bien meilleure que la compétition. Aujourd’hui, les systèmes scolaires sont essentiellement basés sur la compétition. En France par exemple, on cherche à sélectionner une élite au détriment des autres alors que la coopération a bien plus d’avantages. Il y a toutefois un modèle intermédiaire qui semble marcher relativement bien : la « coopétition ». Il s’agit de créer des équipes et de les mettre en compétition. C’est vrai dans le foot mais également dans des compétitions étudiantes. De prime abord, je n’aurais pas forcément cru que cela marcherait mais j’ai vu des étudiants devenir champions du monde de biologie synthétique au MIT parce qu’ils avaient été motivés par ce type de coopétition.
>
> Le plus important dans ces formes de coopétition comme celle du MIT est que tous les étudiants doivent documenter en temps réel tout ce qu’ils font. Ces informations sont donc disponibles pour les autres, tout particulièrement pour les étudiants d’une année sur l’autre qui peuvent s’en servir pour aller toujours plus loin. C’est la création de ce que j’appelle des “écosystèmes d’apprentissage coopératif et d’innovation” : à chaque fois que quelqu’un a appris quelque chose, quelqu’un d’autre va pouvoir apprendre cette même chose plus facilement ; à chaque fois que quelqu’un a innové dans une dimension, quelqu’un d’autre va pouvoir innover dans la même dimension plus facilement. Ainsi, le but de la coopétition n’est pas de refaire toujours la même épreuve toujours plus vite, comme c’est le cas de la compétition, mais d’aller toujours plus loin. Il ne s’agit pas de faire une course de 100 mètres chaque année mais de gravir de nouvelles montagnes. Je ne suis pas sûr que ce modèle réussisse à tout le monde mais je pense que la coopétition est déjà mieux que la compétition classique.
>
> <cite>*[Les pratiques collaboratives dans l’éducation](http://www.paristechreview.com/2015/03/12/education-collaborative/)* ([cache](/david/cache/4544ff4caa2be5d5f93000acff35df28/))</cite>

Autre règle que j’ai mis en pratique : les étudiants peuvent choisir le même thème qu’un groupe précédent auquel cas ils *peuvent* reprendre leur travail. Aucun groupe n’a pour l’instant choisi cette option. C’est dommage car cela posait les problématiques de transmission de sources et de documentation qui sont capitales dans notre profession. Nouvelle suggestion : qu’une des personnes du groupe précédent intègre le nouveau groupe pour transmission. Amélioration itérative pour tous :-).