title: La pairmutation du travail
slug: pairmutation-travail
date: 2015-10-30
chapo: Tout seul on va plus vite, ensemble on va ailleurs.

> \#enseignement #crowdfounding #bonheur #mobilité #digitallabor #SCOP #compétition #méditation #phagocytose #collaboration #ouverture #nomadisme #esclavage #capital #holacratie #lean #startup #subordination #35h quels choix pour notre travail demain ?

*Il s’agit du sujet que nous avons choisi de présenter avec Stéphane lors de [l’Agile Tour Bordeaux](http://agiletourbordeaux.fr/) pour faire suite au [travail en transition](/david/blog/2015/travail-transition/) que nous avions déjà évoqué à Toulon.*

Pour une fois, il me sera impossible de faire [un résumé des échanges](/david/talks/) durant la session car ils ont été totalement improvisés. Et aléatoires. *Explications.*

Après l’intervention de Toulon, nous étions très insatisfaits du déroulement de la session : trop brouillon, trop peu de vitalité, sujet mal dégrossi, etc. Aussi nous avons choisi de retravailler pour Bordeaux en pensant éclaircir notre vision sur le sujet et fluidifier nos échanges. Après quelques tempêtes de cerveaux stressantes, on se rend compte qu’il n’est pas possible de clarifier notre position car le sujet est en instabilité constante et qu’on ne souhaite pas le figer. Mais on a quand même des choses à dire. Commence à naître l’idée la veille à deux heures du matin de faire cela de manière plus détendue en assumant ce flou.

Le résultat était entre le théâtre d’improvisation et la philosophie de comptoir. Cela m’a rappelé ce que j’avais tenté de faire il y a quatre ans lors de ParisWeb [avec ma page blanche](/david/biologeek/archives/20111016-retour-sur-mon-intervention-parisweb/), en mieux. Notre support était aléatoire et constitué d’une vingtaine de mots clés en opposition qui nous servaient de points de départ pour amorcer le dialogue entre nous. Autant dire que j’étais très très loin de ma zone de confort.

Mais c’est peut-être ce qu’il faut retenir justement de l’intervention. Cette capacité à se mettre en danger pour progresser. **Cette volonté de ne pas choisir la facilité pour évoluer.** Cette nécessité de s’adapter pour évoluer en milieu complexe, voire chaotique. Je retiendrai aussi ce proverbe modifié qui nous est venu naturellement lors des répétitions et qui est assez représentatif de ce que l’on expérimente avec [scopyleft](http://scopyleft.fr/) :

> Tout seul on va plus vite, ensemble on va *ailleurs*.

Pas forcément plus loin. L’exploration de cet ailleurs est notre quête, c’est ce qui nous insuffle l’énergie pour accepter de réduire notre efficacité en empruntant d’autres chemins. *Ensemble.* Ce nouveau territoire est une autre planète où les lois physiques ne sont plus les mêmes, on ne change pas de façon de travailler mais **on change la nature même du travail en mutation ainsi que le rapport avec nos pairs** (bam, vous venez de comprendre le titre). Ces nouvelles lois (numérique, confiance, communication) nous autorisent à imaginer de nouvelles façons de collaborer et de produire de la valeur.

Il y a eu plusieurs métaphores — plus ou moins risquées ;-) — pour illustrer nos propos, celle que nous avons filée tout au long du dialogue est l’opposition maternelle/cours préparatoire. Avec d’un côté le jeu, la mobilité, la coopération, la copie, la facilitation et de l’autre la notation, l’isolement, le contrôle, le par cœur, la compétition et l’illusion de croire qu’il y a une unique source de savoir centralisée et théorique. **Le monde du travail est en train de passer du CP à la maternelle** de manière forcée car le CP nous préparait à des tâches répétitives qui sont maintenant automatisées. Ce sont nos capacités de résilience, de créativité et de collaboration qui nous différencient (encore) de la machine et qui nous permettent de produire d’autres choses, aidés par la machine. Ce sont ces capacités qui doivent être développées par une école moderne.

Cela nous a donné l’opportunité de citer de nombreux retours d’expériences, aussi bien sur les [cours à l’IUT](/david/pro/enseignement/) que dans les [accompagnements](/david/pro/accompagnement/) que nous proposons qui rendent visibles les contradictions à être *entre* la maternelle et le CP et à se raccrocher à d’anciens schémas de pensée. À ne pas embrasser le changement en l’acceptant et en l’appréciant comme moteur de l’innovation au sein de l’entreprise. Mais aussi et surtout comme moteur de son chemin de vie dont la frontière entre personnel et professionnel s’estompe progressivement.

Il a beaucoup été question de SCOP (hasard de l’aléatoire) et de capital avec ce cadre de travail qui nous permet de réconcilier l’humain, l’entreprise et la valeur produite. J’ai mis longtemps à me rendre compte à quel point la ré-acquisition du capital et des savoirs (faire, être, vivre) opérait un changement radical dans notre rapport au *bien commun* que constitue la SCOP. À quel point la responsabilité partagée n’est pas une responsabilité diluée mais un moyen de s’investir *pour* et *par* les autres. Le changement est beaucoup trop profond pour que j’ai suffisamment de recul, même après trois ans, mais **j’ai l’impression d’être acteur d’un changement de paradigme.** Et ça me plait.

En conclusion, le fil rouge était très fin et nos acrobaties intellectuelles parfois difficiles à suivre, voire complètement utopiques pour certains. J’aurais aimé qu’il y ait davantage de retours de la part de l’assistance bienveillante mais j’accepte que ces réflexions puissent demander un temps plus long pour réagir. Honnêtement, le format est très difficile pour les orateurs mais il y a des choses à creuser pour le rendre plus pertinent. On pourrait aller plus loin en proposant à l’assistance de choisir les thèmes ou de changer de thème lorsqu’il semble épuisé ou de prioriser les thèmes en amont ou de la faire intervenir sur les thèmes ou plein d’autres choses que nous expérimenterons pour une prochaine fois.
