title: Travail en transition
slug: travail-transition
date: 2015-06-26
chapo: Ce qui nous distingue fondamentalement des robots est notre capacité à rêver.

> « L’emploi est mort, vive le travail ! » [nous dit](http://www.culturemobile.net/visions/bernard-stiegler-emploi-est-mort-vive-travail) le philosophe Bernard Stiegler. Pourquoi le système pyramidal vacille ? Pourquoi notre rapport au travail évolue ? Pourquoi le nomadisme collaboratif ? Quelle est l’importance du numérique dans tout ça ? On n’a pas forcément les réponses mais on a fait des expériences. Et on aime bien partager :-)

*Voici un compte-rendu de la keynote écrit à 4 mains que l’on a donné avec Stéphane lors de [la conférence E1](http://e1-conference.com/) à Toulon.*

Est-ce que je suis en train de travailler ? Est-ce que j’étais en train de travailler cette nuit en résolvant un bug ? Est-ce que j’étais en train de travailler sous la douche en préparant cette introduction ? Est-ce que *vous* êtes en train de travailler en assistant à cette conférence ? Est-ce que *vous* étiez en train de travailler ce weekend en réfléchissant à la réponse d’un mail professionnel ? Le travail ne consiste plus à être employé pendant 35 heures par semaine mais devient beaucoup plus perméable et fait partie intégrante de nos vies. Le numérique a participé à l’accélération de ce processus, au moins pour les métiers demandant de la créativité.

Afin de s’émanciper de ce nouveau rapport au temps, nous avons créé [une SCOP](https://fr.wikipedia.org/wiki/Soci%C3%A9t%C3%A9_coop%C3%A9rative_et_participative) il y a 3 ans. Une SCOP est une société coopérative dont tous les employés sont généralement associés et ont le même  poids dans les décisions de l’entreprise. C’est une déclinaison démocratique de l’entreprise qui permet de remettre l’humain — et non le capital — au centre. Oubliés les RTT, vacances, weekends ou jours fériés, on se fait suffisamment confiance pour savoir que chacun utilise son temps pour le bien commun qu’est notre cadre de travail. **C’est faire le choix de ne plus subir la perméabilité du travail mais de s’adapter à ce nouveau mode de vie.** En sachant écouter son corps pour rester dans un rythme soutenable, en apprenant à combiner les intérêts de chacun.

Une fois la question du temps réglée (ou du moins considérée), restait celle de l’espace. « Vous êtes où ? » est souvent la première question que je pose en visioconférence avec mes collègues et elle n’est pas anodine. Elle me rappelle le « Tu es où ? » de la découverte des téléphones portables désormais caduque. Elle traduit la découverte d’une nouvelle pratique.

Nous avons monté [scopyleft](http://scopyleft.fr) à Clapiers petit village péri-urbain au Nord de Montpellier. Au milieu des pins en regardant les écureuils, on a testé le slow-working permanent dans un endroit de vie professionnel et familial. Pas de cloison entre le boulot et la vie personnelle. Ma fille, les clients, nos pairs, le Go, les post-it®, les repas, des ateliers techniques, de la musique et des confs-call.

En décembre, le lieu pouvait se stabiliser comme tiers-lieu ou disparaitre. On a lancé une pièce… on a quitté le campement.

*Ma nouvelle question préférée : « Où me poser pour tapoter ? »*

Depuis janvier, avec cette petite question, 57 lieux ouverts dans 8 villes qui n’ont révélées qu’une petite partie de leurs secrets - Montpellier, Toulon, Marseille, Barcelone, Bordeaux, Arles, Nantes, Paris.

Une nouvelle ville ça commence souvent un dimanche après midi. On débarque à Bordeaux par exemple et assez vite on se demande « Où tapoter ? ». Les premiers endroits sont classiques : la brasserie des Arts, le Starbuck au dernier étage de la Fnac. Le lendemain c’est la traditionnelle visite des coworkings.

Journée abhorrée, je le fais juste pour vérifier une hypothèse : « Les coworkings d’aujourd’hui sont les cybercafés d’hier, des endroits qui ne répondent pas vraiment aux besoins qu’ils pointent ». Je n’aime pas le côté guilde, l’entre-soi, et la volonté en filigrane de reproduire l’ambiance des bureaux.

À partir du 3ème jour ça devient vivifiant, les endroits insolites se laissent approcher : le garage moderne une ressourcerie et garage automobile coopératif, le CAPT musée d’Art contemporain, la société philomatique, l’Asile un ancien sex-shop reconverti en tiers-lieu qui abrite, pêle-mêle un tailleur de pierre, un graffeur de toile photoluminescente, un light-painter.

En vrac, d’autres endroits approchés : une maison de retraite (très pratiques le dimanche), les tennis de la Jalade et ses cours en terre battue, le jardin des plantes de Toulouse, Anglas, un camping bio sur les bords de l’Hérault.

Certains de ces lieux sont référencés sur le site d’Antoine Vernois : [devfriendlyplaces.net](http://www.devfriendlyplaces.net/)

Dire non à quelque chose, c’est dire oui à plein d’autres choses. En quittant les bureaux, de nouveaux patterns sont apparus, avec Lilian Ricaud, un autre tapoteur itinérant, nous commençons à les référencer.

Ouvrir un lieu :

1. Est-ce que je peux visiter ?
2. Est-ce que je peux tapoter ?
3. Est-ce que je peux utiliser le wifi ?
4. Est-ce que je peux revenir ?
5. Et avec d’autres tapoteurs ?

Différentes pratiques :

* Marche créative : Pour approfondir un sujet, à deux on démarre par une ballade exploratoire, et quand un endroit nous parle, on s’arrête pour converger.
* Formation itinérante : On utilise cette pratique pour casser le format des interventions. Ballade en ville ou expédition dans des grottes, ça change des formations statiques, volatiles et mentorées.
* Tiers-lieu éphémère : À la manière des ready-made, on déclare un lieu comme co-working. Cette année, nous avons organisé DevOpenSud sur ce modèle. On a loué deux gites pendant quatre jours en haute-ariège, pour travailler, échanger et jouer.

En ce moment, dans scopyleft, nous sommes trois. Celui que vous ne voyez pas, est celui qui vous regarde de Sardaigne. Vincent n’est pas là car il pratique l’itinérance un peu partout dans le monde.

La courbe du chômage augmente, inexorablement et malgré toutes les promesses vaines des politiques. Et c’est finalement une bonne chose, c’est même un objectif en soi si on y réfléchit bien. **L’automatisation met fin au plein emploi et c’est une excellente nouvelle pour l’humanité : enfin le moment de s’absoudre des tâches répétitives, usantes, dégradantes.** Elle a eu lieu dans l’agronomie puis l’industrie et elle se répand aujourd’hui dans les services. Elle est bénéfique sous réserve d’avoir une activité et un niveau de vie décents bien sûr. L’une des solutions pourrait être le *Revenu de Base* qui fournirait à tout un chacun une base de [revenu universel et inconditionnel](https://fr.wikipedia.org/wiki/Revenu_de_base). Cela ouvre la porte à une multitude de métiers créatifs et épanouissants qui créent de la valeur, mais différente de celle des robots. Il s’agit ici d’un choix politique dont tous les citoyens doivent prendre conscience pour consentir à une solution commune.

La réduction du temps de travail passera probablement par un modèle proche de l’intermittence. Des créations ponctuelles, potentiellement périodiques, qui regroupent des compétences et des savoirs-faire pour accomplir une tâche. Le milieu des développeurs est peut-être le premier à adopter des pratiques qui permettent une telle organisation du travail. Est-il possible de passer à l’échelle ? Si nous devenons tous intermittents, à quelle stabilité se raccrocher pour faire des projets sur le long terme ? Ne plus « faire carrière » mais être en accord avec ses convictions du moment ?

Notre modèle économique est totalement exploratoire. Nous essayons de combiner bien-être, projets utiles et survie économique. Le tout en ne renonçant pas à notre éthique. Cela passe par de la formation, de la stratégie, de l’expertise, de l’accompagnement, du développement spécifique, de la co-construction de produits, de la prise de risque. C’est instable par nature et c’est ce qui nous permet d’avoir une longueur d’avance. C’est aussi ce qui nous éloigne de toute forme d’automatisation possible. Les métiers du numérique sont en avance dans ce domaine, nous avons le pouvoir d’automatiser les tâches qui nous semblent répétitives et de les partager. C’est une chance car cela nous permet de montrer l’exemple à d’autres secteurs : l’*Open-Source* et les *biens communs* permettent de focaliser notre attention sur ce qui apporte réellement de la valeur tout en donnant un sens au surcoût ponctuel de la production de ces outils avec une maintenance et une gouvernance partagées.

L’observatoire du travail nous indique que 30% des taches répétitives disparaissent tous les ans.

*La pratique du covoiturage est un bon laboratoire pour vérifier ce genre de marqueur.*

Pour qualifier les tâches qui ne sont pas répétitives, j’essaye de les passer au filtre d’un « et si… » - « Et si j’essayais avec un rond ? Ou en forçant le trait ? Et si j’enlevais les pieds ? ».

C’est apparement un petit détail, mais c’est le détail qui tue. Lorsque les tâches à réaliser sont créatives, le Command & Control est contre-productif.

*Dans un contexte de « et si… », le nouveau manager ne doit plus gêner ses équipes, il laisse son rôle de difficultateur et endosse celui de faciliteur.*

C’est intéressant d’observer les jeunes organisations utiliser naturellement des pratiques adaptées. Ça pourrait même devenir une activité : l’éthologie des nouveaux barbares.

Certaines de ces jeunes organisations ont naturellement ré-interrogé le code du travail : plus d’horaires cadrées, plus de lien de subordination, pas de feuille de mission, des entretiens annuels hebdomadaires, les prises de décisions stratégiques confiées à l’équipe.

On peut également s’amuser à écouter les signaux faibles. Déranger un « et si… » pendant qu’il expérimente, c’est risqué. Il ne retrouvera peut-être jamais la sonde qu’il vient de jeter dans l’espace. Combien de petit prince sont mort avec cette phrase fatale : « Est-ce que je peux t’interrompre » ?

Beaucoup des pratiques et outils collaboratifs répondent aux questions posées par l’écoute de ces signaux faibles : Kanban, Slack, les Innovations Games, Trello, Running Lean, l’Impact Mapping, le Story Mapping.

D’un autre côté, nous sommes dans une période grise ou les temps modernes de Chaplin se superposent à un nouveau paradigme encore inexploré. Cela produit parfois de jolis précipités.

Si ça n’aggravait pas la souffrance au travail, ce serait assez amusant d’observer ces malformations collaboratives :

* Les grands groupes qui s’encombrent avec l’Agilité en détournant l’invitation pour se concentrer presque exclusivement sur la vélocité ou sur les indicateurs en perdant des heures à jouer au planning poker.
* Les incubateurs institutionnels qui maltraitent l’innovation en orientant les porteurs vers la pratique du pitch, les prédictions à trois ans et la séduction par hypnose des investisseurs.

Ces couacs devraient peu à peu se ringardiser, les anciennes recettes fonctionnant un peu moins bien dans les contextes émergents : un nouveau genre de Darwinisme collaboratif.

Un médiateur numérique expliquait, par exemple, que les fonctionnaires étaient passés maître dans l’art du contournement des process. Quand la hiérarchie est trop pesante, ils pratiquent la grève du zèle. Ils appliquent les process à la lettre pour bloquer leur administration.

Cette nouvelle façon de travailler remet en cause l’éducation. Quels enseignements sont adaptés à une telle forme d’activité ? Sûrement pas l’actuel qui transforme nos enfants en petits robots assis à des bureaux pour effectuer de manière isolée des tâches répétitives. Qui encourage la compétition et l’accumulation de savoirs sans intérêt pour le monde de demain. Au contraire, **il s’agit de laisser la pleine expression à leur créativité et à leur collaboration, d’expérimenter pour acquérir les concepts.** Les écoles dites alternatives — bien qu’élitistes — font des propositions dans ce domaine. Nous n’avons pas besoin de réformes mais d’une refonte en profondeur.

Je donne actuellement des [cours à l’IUT d’Arles](/david/pro/enseignement/) et il est affligeant de constater la faible initiative qu’il y a chez les étudiants en 3e année de licence. Ils ont été formatés toute leur scolarité par cette relation élève-professeur, apprenant-sachant qui leur ôte toute curiosité. C’est terrible car seuls quelques uns arrivent à aller au-delà de ce rapport pour gagner en autonomie, exceptionnellement en groupe. J’ai essayé plusieurs pratiques issues de l’agilité pour essayer de les rendre acteurs de leur acquisition de savoirs. Les résultats obtenus au cours de cette première année n’ont pas été concluants mais cela m’a donné des pistes pour l’année prochaine et l’expérience se poursuit.

Si l’on va plus loin, cela remet en cause le système pyramidal actuel pour aller vers un graphe de relations, à l’image du Web. L’entreprise passe d’un modèle hiérarchique et permanent à un regroupement égalitaire et ponctuel. L’administration passe d’un modèle centralisé et impersonnel à un modèle distribué et adapté. Les relations de pouvoir cèdent place aux affinités et motivations communes. Les hiérarchies ne sont aujourd’hui conservées que par crainte d’une trop importante partie de la population en inactivité.

Les approches Agiles préconisent que l’équipe travaille dans le même lieu. C’est idéal, mais c’est une contrainte qui risque de ne pas rester réaliste. Explorer de nouvelles pratiques devrait nous aider à trouver des solutions pour mieux collaborer à distance.

Les grands groupes patinent dans une mayonnaise Agile, ce n’est pas très grave, j’entends Darwin : « qu’ils disparaissent ! » Plus inquiétantes sont les jeunes sociétés boulimiques, elles ont bien compris l’intérêt des pratiques collaboratives, et facilitent la vie de leurs stagiaires auto-entrepreneurs.

Prendre le temps de décoder les mutations du travail, devrait aider à sortir du mode Shadock, en vérifiant que nos pratiques ne sont pas issues de vilaines croyances réflexes.

L’écosystème des communautés de pratiques collaboratives nous donnent des opportunités inédites pour amorcer et explorer nos idées sans faire appel aux acteurs de l’économie cynique et suicidaire. Mais là je sors du cadre…

Qu’allons-nous faire de tout ce temps libre ? Cette question n’est pas anodine car l’inactivité fait peur. Or la fin du plein emploi ne signifie pas la fin de l’activité, bien au contraire. Demandez aux retraités autour de vous, l’activité dépend de votre vitalité et de vos aspirations. Ce temps permettra peut-être à chacun de réfléchir aux motivations qui l’anime, à sa place dans le monde et parmi ses semblables.

**Ce qui nous distingue fondamentalement des robots est notre capacité à rêver.** Même si certains sentiments peuvent être déterminés de manière algorithmique en se basant sur suffisamment de données, le rêve est ce qui nous permet de nous projeter et ce qui fait finalement de nous des humains. Le numérique nous offre la possibilité de partager nos rêves et de se fédérer facilement autour de projets innovants et de valeurs communes.

Je rêve d’un monde qui nous permette de concrétiser nos rêves. D’un travail qui combine épanouissement, créativité et respect. *La transition est là, de quoi rêvez-vous pour résoudre vos problèmes ?*
