title: Accompagner un enfant
slug: accompagner-enfant
date: 2016-11-27
chapo: La seule chose que je puisse et veuille t’offrir c’est de l’attention.

Alexandre,

Voici le compte-rendu d’une expérience, celle de ces [trois dernières années](/david/blog/2013/premier-regard/). Je ne sais pas si tu auras la volonté ou la capacité de lire ce texte à un moment de ta vie, je le produis en guise de mémoire et peut-être de pistes à explorer pour toi ou d’autres. Ou pas, sa durée de vie est liée à l’attention que je porte à mes textes. Il est empli d’incertitudes et de doutes que je te souhaite d’avoir un jour à ton tour.

Ces années ont été parsemées d’émotions, de peurs, d’apprentissages, de culpabilités, de bonheurs, de stress en tout genres, d’amour, de contradictions et de bienveillance. À tel point qu’il est difficile de classifier ou d’ordonner cela. Je vais tenter de m’en référer à la souvenance que j’en ai.


## Conception

>  La crise consiste justement dans le fait que l'ancien meurt et que le nouveau ne peut pas naître : pendant cet interrègne on observe les phénomènes morbides les plus variés […] Le vieux monde se meurt, le nouveau monde tarde à apparaître et dans ce clair-obscur surgissent les monstres.
>
> <cite>Antonio Gramsci</cite>

Ta conception biologique a été simple. C’est tout le processus en amont qui a été très long pour accepter de mettre au monde un nouvel être. Pour gagner la confiance suffisante en moi, en nous et dans les autres. J’envie parfois presque les personnes qui ne se posent pas toutes ces questions mais j’ai l’illusion de croire qu’elles passent peut-être à côté de l’essentiel : cette remise en question permanente.

J’espère me tromper en voyant surgir petit à petit des monstres qui ont de plus en plus de pouvoir. Il va sûrement falloir apprendre à vivre avec car nous évoluons au sein du même environnement. Je souhaite pour autant ne faire peser aucun espoir sur tes épaules. Sois.


## Être

> Pensez-y en cette nouvelle année scolaire, vos élèves apprendront beaucoup plus ce que vous êtes que seulement ce que vous savez. Vous êtes ce que vous savez. Si les apprenants apprennent ce que vous êtes, ils apprendront nécessairement ce que vous savez. Par contre, ils ne deviendront jamais ce que vous êtes en apprenants seulement ce que vous savez. Vous pouvez relire ce paragraphe plus d’une fois.
>
> Il vous restera à régler la question qui tue: « Les élèves sont-ils intéressés à devenir ce que vous êtes ? »
>
> <cite>*[Être ce que l’on enseigne!](https://didapro.me/2016/08/28/etre-ce-que-lon-enseigne/)* ([cache](/david/cache/407523e7b6630fbf3ac5580422bda8a5/))</cite>

Lorsque tu as découvert l’air libre, j’ai envoyé un message à la famille proche : « Alexandre est né » et l’on m’a reproché d’avoir été trop bref. Je pense au contraire avoir été trop long. « Alexandre est » aurait amplement suffit. Et pourtant je ne saurais dater précisément ta naissance qui a eue lieue bien avant cette libération. Si la vie est un état, la mise au monde est davantage un processus qu’une date, et celui-ci est toujours en cours.


## Vivant

> Un adulte créatif est un enfant qui a survécu.
>
> Ursula K. Le Guin

Trois ans et tu es toujours vivant. J’aime ta vitalité et j’essaye d’interférer le moins possible avec ta créativité et tes expériences car je considère que ce sont des instants très importants. J’aime voir l’étincelle dans cet œil qui préfigure de nouvelles connexions neuronales. J’aime que tu t’essayes à l’humour. J’aime ta capacité de concentration quand tu souhaites comprendre quelque chose. Ou quand tu t’enfermes dans ta chambre pour dessiner un cachalot.

Tu as vu très peu d’écrans pour l’instant. Ton imaginaire s’alimente beaucoup dans les livres dont la sélection s’avère être de plus en plus compliquée pour éviter la violence sans pour autant tomber dans le moralisateur. Tu n’as pas été sur beaucoup d’écrans non plus, ton existence numérique semble tellement futile en regard de la richesse d’autres interactions.


## (Non)Violence

> Enfance sans confiance n’est que ruine de l’Humanité.

C’est la principale raison pour laquelle nous sommes allés au Québec. L’envie de trouver un cadre différent, avec moins de violence à la fois physique et psychologique. L’humain est ainsi fait qu’il a besoin de boucs-émissaires, les régions inhospitalières ont cet avantage de moins s’en prendre aux minorités qu’au climat. Ce choix fut particulièrement difficile car il impliquait une mise à distance vis-à-vis de la famille.

En te faisant confiance, je n’ai pas besoin de violence. En limitant les stress, je réduis les sources de tensions. C’est un luxe qui demande [de l’espace et du temps](/david/stream/2015/01/24/). Et de la [volonté](/david/stream/2015/08/19/). Le résultat est pour l’instant bien au-delà de mes espérances et je me demande ce que cela va produire par la suite.


## Mimétisme

> **Grandir c'est se spécialiser.** L'adulte n'est pas moins intelligent, il est *spécialisé* : **spécialisé dans sa langue, dans sa culture, dans sa pensée, dans ses comportements sociaux, etc. Et vivre avec l'enfant, c'est participer à sa spécialisation.** Nos façons de parler, de réagir, ce que nous faisons avec lui ou devant lui, va littéralement participer au *câblage* de son cerveau.
>
> <cite>*[Les lois naturelles de l’enfant](https://www.celinealvarez.org/plasticite-pour-le-meilleur-ou-pour-le-pire)* ([cache](/david/cache/85f366cbdabe0217a6ee79d66d1b5561/))</cite>

Je constate chaque jour à quel point l’inné est mince face à l’acquis. La co-évolution culture-génome théorique me semble être clairement déséquilibrée en pratique et ce déséquilibre tend à s’accentuer. Cela donne une incroyable responsabilité à l’accompagnant qui en vient à guider quasi malgré lui. Partager ses expériences sans orienter est un vrai challenge. Faire s’épanouir un libre arbitre et un esprit critique qui ne soient pas les nôtres.

Je ne cherche pas pour autant à me mettre en spectateur comme [pourrait le faire un photographe](/david/blog/2013/photographie-exclusion/). Je préfère égoïstement partager avec toi sans penser aux *likes* des proches. J’aime participer à cet apprentissage et j’essaye autant que possible d’avoir des moments explicites d’échanges qui ne soient pas encombrés de [flatulences numériques](/david/blog/2016/illusion-sociale/). **La seule chose que je puisse et veuille t’offrir c’est de l’attention.**


## Alimentation

Tu manges ce que tu veux et presque quand tu veux. Tu manges souvent froid. On mange souvent devant un spectacle bien plus enthousiasmant que la télévision. Je finis beaucoup de plats (froids aussi). Aucun repas n’est équilibré. Aucune semaine ne semble déséquilibrée pour autant. Tes goûts évoluent d’un jour sur l’autre et me font reconsidérer cette notion.

Il y a des moments où le parasitisme devient symbiose et cela me met en joie. Je réalise que l’accompagnement est réciproque, ce qui garantit sa pérennité. En plus du savoir-faire et du savoir-être, il y aurait un savoir-échanger à développer ensemble, la famille étant ce pot commun dont nous sortons tous grandis.


## Instruction

Je me suis renseigné sur de [nombreuses formes d’instructions](/david/blog/2016/motessori-steiner-waldorf/). On a visité des écoles plus ou moins traditionnelles. Difficile de trouver un lieu qui soit en accord avec nos valeurs. Peut-être que l’instruction en famille sera finalement choisie au prix d’une certaine marginalisation. Si c’est l’option retenue, il faudra absolument que l’on trouve d’autres sources de connaissances et d’émotions que tes parents, aussi incroyables (et modestes !) soient-ils :p.

De multiples inspirations pour une expérience forcément unique. Et en même temps avoir la volonté de partir d’une page blanche pour apprendre à l’écrire ensemble, d’expériences en réajustements. Chaque déséquilibre motivant le prochain pas, vaincre la peur récurrente du vide en se faisant confiance mutuellement.


## Tabous

[Appartenance](/david/stream/2015/10/31/), fierté, amour, chantage, beauté. Il y a des jugements que je me refuse à ton égard car je ne les trouve pas sains. Je ne veux pas que tu aies besoin de mon regard pour te trouver beau. Je ne souhaite pas introduire de chantage entre nous, encore moins affectif, c’est trop facile. Il ne peut y avoir d’amour dans une relation imposée comme celle d’un lien de filiation. C’est autre chose. Dans la fierté réside un espoir initial égoïste, une projection que l’on atteint enfin.

Ces termes ne sont pas tabous pour autant et nous aurons l’occasion d’échanger beaucoup plus longuement sur ces sujets. Et [plein d’autres](/david/blog/2013/conseils-pere/). Tu m’auras vraisemblablement fait changer d’ici là.


## Conclusion

Il n’y a pas de conclusion. La futilité du quotidien reprend son droit. La beauté de l’éphémère et du moment présent. La conscience de vivre ensemble pleinement. L’inconscience de savoir que ça ne pourra durer éternellement. L’intime croyance qu’un lien se tisse durablement entre deux hommes qui se transforment.

Aujourd’hui c’était une chouette journée. Hier pas mal non plus. Et demain ? On verra bien. Ensemble ? Avec plaisir !