title: Ce pas qui nous élève
slug: ce-pas-qui-nous-eleve
date: 2016-04-12
chapo: Si la photocopie n’a pas tuée le livre, la mise en PDF du texte finira par l’achever.

> « Ce pas qui nous élève - pour des écritures numériques créatives, un manifeste » de Luc Dall’Armellina, annoté et augmenté par Philippe Aigrain, Jean-Michel Lebaut, Annie Abrahams, Emmanuel Guez, Antoine Moreau, Jacques Rodet, Julien Longhi, Pierre Fourny, Stephan Hyronde est mis à disposition selon les termes de la licence Creative Commons Attribution 4.0 International CC-BY-SA. Cette oeuvre est libre, vous pouvez (l)également la copier, la diffuser et la modifier selon les termes de la Licence Art Libre 1.3 http://artlibre. org (dernière mise à jour 2 juillet 2014)

Texte découvert lors d’[ÉCRiDiL](http://ecridil.hypotheses.org/) et si la photocopie n’a pas tuée le livre, la [mise en PDF du texte](http://lucdall.free.fr/publicat/manifesto.pdf) ([cache](/static/david/blog/manifesto.pdf)) finira par l’achever. **Le voici en version intégrale HTML :**

L’école comme l’université ont trop longtemps asservi l’écriture au seul dogme de l’accès aux savoirs et à l’injonction de la communication.

Elles l’ont cantonnée à un rôle instrumental, en marge du sillage du capitalisme cognitif (Yann Moulier Boutang), à travers des modes de production industrielle des connaissances, la vidant peu à peu de ses dimensions artistiques, esthétiques et politiques (Luc Dall’Armellina, a).

La situation est telle aujourd’hui qu’écrire n’est plus pour la plupart des élèves et étudiants qu’un passage obligé, une compétence parmi d’autres, une technique qu’il faut bien manipuler puisqu’elle est nécessaire pour réussir à l’école, quelle que soit sa discipline.

Le drame de l’écriture ainsi (s)abordée est qu’elle soit envisagée au singulier, sans alliés, pas même la lecture, dont la pratique collective relève de l’exception. C’est une grande perte car c’est autour d’elle que se dessine, se forme et se révèle la qualité d’une attention (Alain Giffard), terreau d’une culture commune, par delà les langues, au coeur des pratiques de lecture, d’annotation, d’invention.

L’écriture contemporaine est devenue numérique : elle ne porte plus uniquement sur le texte du langage inter-humain mais aussi sur celui du langage humains-machines intégrant les boucles complexes et interactives qui nous lient tous. Il était prévisible que lecture et écriture en soient profondément transformées, altérées. L’écriture numérique agit de plus sur la nature même de la connaissance et en re-configure les modes d’existence (Stéphane Crozat, Bruno Bachimont, Isabelle Cailleau, Serge Bouchardon, Ludovic Gaillard).

L’écriture est devenue autre : fluide, fragmentaire, multiple. Sous nos yeux, sous nos doigts, elle est devenue hybride, trans-disciplinaire, avec plus ou moins de bonheur ou d’inquiétude pour toutes celles et ceux qui s’y livrent sur les réseaux, dans les jeux, sur les tablettes ou les ordinateurs. Les couches de langages superposés, constituantes des écritures numériques, induisent et co-produisent nos récits. Si techniques et écritures ont depuis toujours des destins mêlés (Friedrich A. Kittler), leurs codes comme leurs inter-relations sont aujourd’hui universellement partageables.

L’école reste encore en marge des pratiques d’écritures sur les réseaux, largement considérés comme sources de danger. Quel accompagnement à la culture numérique pour les élèves, les étudiants, les enseignants aujourd’hui ? Ces derniers ont pour mission d’initier les enfants du 21è siècle à des pratiques qu’ils ignorent souvent eux-mêmes, ce qui n’est pas un problème en soi, certains nous ont superbement montré (Joseph Jacotot) qu’on pouvait innover à partir d’une ignorance. Ce qui fait problème, c’est que nos institutions en charge de l’éducation cherchent encore à former à des « outils ». Cette vision réductrice empêche de mesurer que la révolution numérique est essentiellement culturelle, anthropologique. La question éducative portait jusqu’ici sur des compétences, des savoirs techniques et cognitifs mesurables quantitativement. Elle repose aujourd’hui sur une capacité à entrer en relation avec ses pairs, renouvelée par la curiosité, la créativité et la coopération, évaluables qualitativement. Le changement de paradigme est complet (Ken Robinson).

Après la révolution des logiciels libres puis celle des données open, c’est au tour de la pédagogie de devenir ouverte, coopérative, conviviale, et partageable (François Taddéi). Il ne s’agit plus aujourd’hui d’empiler des savoirs, d’ailleurs souvent accessibles sur les réseaux, mais de les articuler à nos expériences sensibles pour en faire des connaissances, puis des nouveaux savoirs. C’est cette boucle d’interactions qu’il nous faut construire ensemble.

Artistes, enseignants, formateurs, chercheurs, designers, auteurs, citoyens, nous déclarons la naissance des écritures numériques créatives, augmentées des pratiques d’ateliers d’écritures créatives en littérature, métissées des pratiques de workshop en art et design, pollénisées de celles des hacklab en développement de logiciel libre.

Nous déclarons révolu le temps des ntic et des tices qui ont découpé, chosifié, didactisé - assez doctement il faut le dire, à coups de stratégies d’usages et de procédures opérationnelles, dans des ENT (espaces numériques de travail) protégés comme des camps retranchés - des pratiques qu’il convenait surtout de découvrir avec attention et d’expérimenter avec curiosité.

« Un signe majeur de la déconnexion des élites est l’usage de l’expression « nouvelles technologies ». Ils parlent de « plan numérique » comme on planifiait la récolte de blé en URSS, cherchant à contrôler des choses qui ne sont pas contrôlables. » déclare Adrienne Alix de Wikimédia (Laure Belot).

Pourquoi dans les écoles, les salles de ntic sont-elles des endroits dont on veut sortir à peine entré ? Des ordinateurs et des étudiants alignés en rang d’oignon et l’enseignant faisant face au groupe, contrôlant les écrans de ses élèves : excellente recette pour décourager toute créativité !

Bougeons les tables, changeons les câblages arborescents au profit de grappes en étoiles. La table ronde permettra à chacun de se voir, de se sourire, de se parler, elle favorisera la convivialité, elle appellera la coopération, une pédagogie ouverte pourra naître. Avec une variété d’assises confortables, d’espaces modulaires, retrouvons les possibilités de notre corps discipliné par trois siècles de dispositifs contraignants (Michel Foucault, a). Créons des espaces dans l’espace, des temps dans le temps, des singularités dans le collectif.

Avec les écritures numériques créatives, nous entendons redonner au mot savoir son sens premier de saveur. Nous appelons créatives, les écritures numériques qui ne se contentent pas de produire des dispositifs, des œuvres ou des savoirs selon des modalités déjà connues, mais qui cherchent dans une co-élaboration émancipée, à mettre ceux-ci en question, en critique, en trouvant de nouvelles voies et formes, en fabriquant par percolation, hybridation, expérimentation. Il n’y pas de modèle pour qui cherche ce qu’il n’a jamais vu (Paul Eluard), aussi, si la littérature c’est ce qui change la littérature, alors pratiquons la sous toutes ses formes !

Pour ce faire, le temps des spécialisations disciplinaires doit cesser son dictat. Les pratiques sensibles doivent retrouver leur place avec les savoirs théoriques, avec les expériences techniques. Écrire n’est pas seulement noter ce que l’on pense pour ne pas l’oublier, mais se constitue en soi-même - et plus que jamais - comme un mode de pensée, qui doit pouvoir se décliner dans le texte donné à lire comme dans le code présidant à son apparition. A quand des ateliers croisant arts visuels, littérature, musique, programmation ? A quand d’autres croisant géographie, sciences économiques, design et data-mining ?

Les écritures numériques créatives œuvrent bien sûr avec les arts et manières de faire de la littérature et de la poésie, mais aussi – c’est leur différence avec les ateliers d’écritures créatives - avec ceux du design et de la programmation car le texte numérique a une forme, réglée par des conditions d’apparition et d’interaction qu’il s’agit de penser et d’expérimenter avec la précision d’une science et l’exigence d’un art.

Ces écritures font appel aux singularités de celles et ceux qui, augmentés en collectifs mixtes de praticiens, théoriciens, artistes, techniciens, n’aspirent qu’à s’élever même s’ils ne savent pas encore très bien comment se nommer (Mc Kenzie Wark). Peu importe, ils sont la communauté qui vient (Giorgio Agamben,(b)) et leurs productions parleront pour eux.

Ce qui s’appelle ateliers d’écritures en littérature, workshops en arts, fablab en design, hacklab en ingénierie pourra constituer en alternance, autant de moments fondateurs dans une culture des écritures numériques créatives. Ces lieux ont émergés des pratiques du réseau, des pratiques de leurs écritures. Ils sont irrigués par une pédagogie du faire et de la coopération, de la créativité et de l’invention, du partage et de l’émancipation. Ensemble, ces cultures peuvent doter l’école des moyens de participer créativement aux transformations majeures qui s’annoncent. Saura-t-elle s’y engager ?

Ces temps et leurs approches trouveront avantageusement leur place - transversale - dans tous les lieux, avec tous les enseignements, de l’école à l’université et en formation (Philippe Aigrain, (a)).

Quelle politique pédagogique, incluant la formation des enseignants et des citoyens tout au long de la vie innovera en proposant d’accueillir et de faire fructifier ces pratiques ? Quel projet pour porter et valoriser l’interdisciplinarité en partenariat comme socle fondateur ? Si les initiatives heureuses ne manquent pas (Café Pédagogique), y compris dans les institutions, les centres de recherche (projet PRECIP, COSTECH-UTC), elle se font encore en marge, avec des énergies individuelles, et beaucoup trop souvent contre l’institution qui ne sait pas les reconnaître, les épauler, en favoriser la fédération, le marcottage, l’essaimage.

Redonner au mot savoir son sens premier de saveur est une question d’exigence esthétique et politique. C’est aujourd’hui une urgence. La restauration de la saveur sera le premier pas vers une démocratie renouvelée, car derrière ce qu’on appelle les écritures numériques, avec le code, les machines, opère une certaine manière de faire : une culture singulière.

Singulière, c’est-à-dire porteuse d’une façon inouïe d’envisager nos rapports les uns aux autres, à l’économie, au savoir, à la connaissance, aux arts et aux techniques, à la science, à l’amitié, au collectif, à l’esthétique, au politique (Jacques Rancière (a)) : « L’homme est un animal politique parce qu’il est un animal littéraire qui se laisse détourner de sa destination « naturelle » par le pouvoir des mots. » Avec les écritures numériques en réseaux, est née la conscience d’habiter le même monde, et avec elle, celle de pouvoir créer, partager, coopérer en pleine conscience et en toute liberté (Olivier Blondeau).

Ensemble nous voulons concevoir l’acte d’écrire numérique créativement. Nous refusons les héritages idéologiques pesants qui maintiennent les pratiques d’écritures dans les corsets de l’utilitarisme ou de la spécialisation, mettant dos-à-dos les techniciens et les littéraires. Nous refusons les coupures disciplinaires, les clivages institutionnels, les protectionnismes administratifs, les oppositions stériles. Les arts contre les sciences, les humanités contre les techniques. Nous avons besoin de la liberté de les hybrider car nous sommes devenus des êtres hybrides (Bruno Latour) : arts, sciences, techniques, humanités.

« Être libre et agir ne font qu’un » dit Hannah Arendt. Le réseau des réseaux est libre - du moins y-a-t-il là un combat - et libres sont ses arts et manières de faire. Nous voulons sans entrave et dans le même mouvement :

écrire - penser - coopérer - expérimenter – résister - lire - apprendre - devenir - construire

// ce texte est le programme d’émergence

// des écritures numériques créatives

// libres échappées de la longue nuit des ntic

// avatars relevant des digital humanities

// après avoir listé les variables qui seront mobilisées

// nous les détaillons ci-après

## écrire

Nous parlons, écrivons, lisons, tendus vers l’avenir. Nous vivons aujourd’hui à travers nos machines connectées, manipulant les signes de nos alphabets vieux de deux mille cinq cent ans. Nous pressons les touches de nos claviers-machines, à la suite des scribes qui marquaient avant nous la cire ou l’argile avec leurs stylets-calames.

A la différence des signes gravés, nos signes écrans semblent disparaître chaque nuit de nos moniteurs éteints. Mais le lendemain, la machine réveillée, ils reviennent d’un simple appel. Les voilà comme re-générés, formés de quelques traits agencés en vecteurs, scintillants de tous leurs pixels.

Le travail conjoint d’une puce calculante au silicium, d’une mémoire autonome et d’un algorithme produit une forme, un signe, un mot, une phrase, un paragraphe, un texte. Un clic et le voilà à l’autre bout du monde, partagé avec nos pairs lecteurs-scripteurs, dansant, glissant, sous leurs doigts.

Nos machines sont devenues les extensions connectées de nos cerveaux (André Leroi-Gourhan), rencontre pragmatique de nos recherches et de nos désirs. Sensibles savoirs.

Ecriture, histoire ancienne s’il en est, de la Mésopotamie à l’Egypte, de l’Amérique pré-Colombienne à la Crète, de l’Irak à la Palestine, de la Chine à la Syrie, de l’Angleterre à l’Amérique (Anne Zali). Sans cesse elle a changé de forme, d’outils, de supports et conséquemment, de pratiques. Des omoplates d’agneau aux carapaces de tortues, du marbre au parchemin, du papier à l’écran, de l’écran à l’architecture elle-même.

Nous n’avons de cesse, hier comme aujourd’hui, de jouer, rejouer, déjouer l’écriture, de la repriser comme un tissu aux bords sans fin, carte sur le territoire de nos pensées, telle celle que commandait, toujours insatisfait, l’Empereur du Milieu à ses cartographes (Jorge Luis Borgès).

« Si je devais écrire un livre pour communiquer ce que je pense déjà, avant d’avoir commencé à écrire, je n’aurais jamais le courage de l’entreprendre. Je ne l’écris que parce que je ne sais pas encore exactement quoi penser de cette chose que je voudrais tant penser. [...] Je suis un expérimentateur en ce sens que j’écris pour me changer moi-même et ne plus penser la même chose qu’auparavant. » (Michel Foucault, b).

C’est qu’écrire est en soi, une aventure, la tentative fragile, sensible et raisonnée de former une pensée singulière. Écrire c’est choisir une série de mots qui appartiennent à tous et qu’on fait siens dans un certain agencement, dans une respiration qui nous est propre.

Nous écrivons avec les mots des autres (Bakhtine) car la langue est ce qui nous rassemble tous et pourtant nous distingue chacun-e par la liberté du souffle et du style.

L’écriture dès ses origines, réussit à tenir ensemble la culture qui nous unit, et l’art qui nous singularise. C’est cette complétude qu’il nous faut retrouver dans les écoles. Il y a urgence ! Écrire dans notre hyper-modernité en réseaux est devenu une façon essentielle de faire lien, d’enrichir notre pacte démocratique en renouvelant nos arts et manières de de faire.

Quelques-uns nous ont montré qu’on pouvait le faire, avec exigence (André Schiffrin).

Si « écrire c’est (aussi) se livrer à la fascination de l’absence de temps » (Maurice Blanchot), la suspension du temps dans laquelle écrire prend place, est sans doute son point de fondation, la vacance par laquelle naît une pensée propre. Pensée qui ne doit rien à des usages pré-conçus ou formatés, rien non plus aux modes, et rien encore aux injonctions.

Écrire, c’est chercher aujourd’hui, avec le corps et l’esprit, avec nos extensions machiniques, un devenir, animal, humain, un devenir soi (Gilles Deleuze & Félix Guattari). Écrire, c’est avancer dans la nuit, attentifs aux lucioles (Pier Paolo Pasolini).

Écrire n’est pas garder une poire pour la soif c’est marcher avec ses semelles de vent, c’est lécher la rosée à même les brins d’herbe. Écrire, c’est porter attention à ce qu’on ne sait pas, c’est neutraliser ce qu’on croit savoir de façon à être nu devant le dire.

## penser

La pensée qui se forge dans l’écrire, prend source dans un vacillement de la perception, et se constitue comme une aventure, entre émotion et savoir. Nos écrits sont trempés dans nos vies tissées par les techniques, dans des villes où nous prenons des bains de multitude.

Nous vivons l’entre deux ères des machines mécaniques industrielles et des technologies de l’esprit. Nos innombrables véhicules motorisés nous permettent de nous transporter physiquement sur les réseaux routiers. Nos ordinateurs reliés aux réseaux numériques, eux, nous permettent de lire, voire entendre, échanger à distance, voyages immobiles. Notre pensée contemporaine s’y forme dans une remise en jeu du je et du nous, confrontés-aux mais aussi reliés-par toutes ces machines qui nous environnent.

Machines de transport : avions, trains, voitures, motos, vélos, rollers, chacune ayant son rythme, ses fulgurances et ses fantasmes. Vitesse, fluidités, saccades, allongements, coupures, glisses, heurts, forment la matrice d’un dire à travers leur filtre.

Machines d’informations : télévision, radio, presse, réseaux numériques, ordinateurs, chacune imprimant son flux, son flow, son flu, son mode de circulation, de propagation, sa viralité. Quelques écrivains ont montré de belle manière, comment la fréquentation de ces machines altèrent nos représentations de leurs espaces-temps-mouvements singuliers imprimant leur climax : La prose du Transsibérien et de la petite Jehanne de France de Blaise Cendrars, Sur la route de Jack Kerouac, le Traité du zen et de l’entretien des motocyclettes de Robert M. Pirsig, Les autonautes de la cosmoroute de Julio Cortàzar, En voiture de François Bon, (...).

D’autres se sont attachés à mettre en récit les écritures numériques dans une vision sublimée ou extrapolée de ce qui ne nous offre pas moins de transports que les machines mécaniques, évoquant tour à tour fantasmes et dérives de ces technologies de l’esprit (Pierre Lévy, a) : Le monde de Morel de A. Bioy Casares, Scroogled de Cory Doctorow, Schismatrice de Bruce Sterling, In Milton Lumky Territory et Siva de Philip K. Dick, Idoru de William Gibson, (...).

C’est que « L’art ne consiste pas à mettre en avant des alternatives, mais à résister, par la forme et rien d’autre, contre le cours du monde qui continue de menacer les hommes comme un pistolet appuyé contre leur poitrine. » (T. W. Adorno). 

## coopérer

La forme, cette grande affaire de l’art, qui n’en reste pas moins un acte de résistance (Gilles Deleuze) est aussi un jeu (Donald Winnicott), qui rend la vie plus intéressante que l’art (Robert Filiou).

Écrire est devenu une activité telle qu’on peut la voir sous l’angle d’une anthropologie (Clarisse Herendschmit). Elle concerne aujourd’hui aussi bien la langue, les nombres, les codes, que le produit de leurs hybridations (Kathryn Hayles). C’est-à dire qu’elle forme et porte en germe les mathématiques et l’économie, la science, la technique et les technologies, les arts et la culture.

Le code est méta écriture, il détermine ce qui sera visible, audible, manipulable, quand, comment, et de quelle manière. Pour la première fois dans notre histoire, avec la programmation numérique les mots n’ont plus seulement une valeur sémiotique mais possèdent une efficience performative, en dehors de nous. On peut aujourd’hui écrire le code d’un programme qui commandera l’impression en trois dimension d’un objet physique : voilà un type d’écriture qui n’est pas moins singulier qu’un autre, poétique, littéraire ou philosophique.

Des codes libres circulent sur les réseaux dont il importe de devenir familiers à défaut d’en devenir experts. Il n’est pas anecdotique de remarquer que Pandoc (John Mc Farlane) est l’oeuvre logicielle d’un philosophe, que cet outil universel permet la conversion de documents en de multiples formats, qu’il est libre, gratuit, multi-plate-formes et fait partie - invisible - de nombreux systèmes partout sur le web.

Il existe aujourd’hui sur des plate-formes libres, un véritable éco-système partagé des environnements, langages (GitHub, Sourceforge), et outils d’écritures numériques (FramaSoft), qu’elles soient écritures d’annotations, de traductions, d’hypertextes, de collaborations, de combinatoires, de génération.

Des outils d’écritures numériques multiplate-formes programmables à l’aide de langage comme Processing sont nés du désir d’acculturer les artistes au code informatique (Casey Reas & Ben Fry) et les informaticiens à la culture des arts (John Maeda). Son code de programmation a été simplifié de façon à être compréhensible, autant que peut l’être une langue naturelle, il n’a pour autant rien à envier à d’autres langages quand à sa puissance.

D’autres ont souhaité expérimenter une approche logico-graphique de la programmation comme avec PureData (Miller Puckette) qui a d’abord été pensé pour le traitement du signal sonore et qui a peu à peu étendu ses capacités à tous les types de médias et de capteurs.

Ces deux logiciels sont libres, ouverts, gratuits et fédèrent une communauté mondiale active d’amateurs, de hackers (Eric S. Raymond), d’artistes (Antoine Moreau), qui documente ses codes sources, partage ses pratiques, invente sa culture. L’art en train de se faire se forme à leurs contacts : arts et design d’interactivité, de la performance, de l’installation équipée de capteurs, du son et de l’image.

Quelles écoles - non spécialisées - pratiquent et enseignent les écritures dans cet esprit aujourd’hui, à part quelques écoles d’art ? Où se pratique donc la programmation envisagée comme un des beaux-arts (Pierre Lévy, b) ?

A l’heure des pratiques coopératives numériques dont les fab-lab, hackerspaces et autres medialabs, sont devenus les lieux vivants, eux-mêmes issus de la culture du logiciel libre (Richard Stallman), une voie s’est ouverte, qui rend ou rendra bientôt caduque l’enseignement tel qu’on l’a conçu jusqu’ici parce qu’il a fait l’impasse de la convivialité (Ivan Illich). Il ne suffit pas de déclarer l’école émancipée parce que bien équipée en matériel numérique, encore faut-il que le monde y entre tout entier, que les codeurs, danseurs, conteurs, artisans, poètes, musiciens, écrivains, techniciens, artistes y aient une place d’invités réguliers, de partenaires, d’amis.

Il faut encore qu’il n’y ai plus l’école d’un côté et le monde de l’autre, mais que le monde vive à l’intérieur de l’école. Il faut pour cela des enseignants passeurs, des enseignants à même de circuler entre les savoirs, collaborant avec leurs pairs de toutes les disciplines, des enseignants médiateurs dans une école généreuse, ouverte et accueillante.

Il ne s’agit pas seulement de former aux langages et aux outils mais d’en accompagner les pratiques coopératives en réseaux, les arts, la culture ! Le numérique relève moins de difficultés techniques que d’une préparation culturelle attentionnée car c’est d’une autre façon de faire société dont il est question. Artistes, enseignants, élèves-étudiants, développeurs doivent pouvoir tisser des liens, se comprendre, co-élaborer le tissu du texte numérique contemporain que les spécialisations ne permettent plus d’appréhender créativement.

Nous sommes là, attentifs sur nos lieux de vie, ateliers, classes, amphis, écoles, fab-labs, sur les réseaux, c’est-à-dire sur le terrain, tous à espérer qu’enfin l’école change, qu’elle mute, qu’elle rende possible, qu’elle s’ouvre au monde qui cogne à sa porte !

## expérimenter

« Oui, je suis un criminel. Mon crime est celui de la curiosité. » déclarait Loyd Blankenship, (alias The Mentor) juste après son arrestation en 1986, dans son manifeste du hacker.

Les modalités actuelles de l’éducation et de l’enseignement sont partout mises en crise par la curiosité, l’expérimentation, la coopération, l’esprit d’invention, propres aux manières de faire contemporaines (Neil Gershenfeld) et qui ont déjà été expérimentées à l’école (Célestin Freinet, Fernand Deligny). Quelle excellente nouvelle pour nous tous !

Et pourtant l’école comme l’université, toutes occupées à la reproduction de leur fonctionnement, n’ont pas encore été en mesure de reconnaître, donc de s’approprier ces approches novatrices dont nous, nos enfants et les leurs ont/auront crucialement besoin. La recherche créative engendre ses propres moyens d’élévation des êtres, d’une façon incomparablement plus profonde que ne l’ont jamais été la course aux savoirs et au premiers rangs de classements qu’on aura oublié demain.

Si l’école et l’université ne changent pas radicalement leur modus operandi, elles deviendront comme ces arbres immenses, secs et isolés, qui ne savent plus attirer vers eux que la foudre. Autour d’eux un paysage nouveau apparaît doucement, se couvrant ça et là de petits îlots de verdure tendre : arts et manières de faire du libre.

Du top-down au bottom-up ! Vite ! Le temps presse ! Les anciennes institutions peuvent encore prendre part aux mutations en cours et ré-inventer leur rôle, en s’appuyant, relayant, accompagnant les heureuses initiatives de leurs bases, en cherchant comment les fédérer sans les étouffer. Il y a urgence, les initiatives créatives ne manquent pas !

Il est de première importance que les écoles et les universités reconnaissent et organisent la pratique de toutes les écritures avec créativité : littéraires comme programmatiques, pas seulement au sein des filières spécialisées, mais dans toutes les écoles. Comme on le fait avec une langue étrangère : par la pratique, le jeu, la culture. Créons des ateliers de lecture et d’écriture du code, inventons les approches discursives des n dimensions de sa culture, trouvons l’espace d’analyse critique des formes d’arts qu’elle invente ou auxquelles elle participe... et connectons cette culture aux écritures littéraires que nous pratiquons déjà.

L’écriture numérique créative prend naturellement sa place dans les contemporaines et transdisciplinaires humanités numériques (Marin Dacos et al.) : arts et cultures et techniques. Ce « et » fait toute la différence avec le mode « ou » des régimes éducatifs précédents. Exit l’esprit de concurrence que l’élitisme a instrumentalisé en prétextant l’excellence, place aux puissances infinies de l’esprit de coopération ! C’est d’elle dont les enfants d’aujourd’hui devront être les experts demain.

## résister

Il en va de l’écriture du code comme de celle des mots à la naissance des alphabets, elle reste encore aujourd’hui l’apanage des nouveaux scribes. Elle peut mener au désastre d’une confiscation du pouvoir par quelques castes, elle peut aussi devenir un formidable vecteur d’émancipation des individus (Open Classrooms). A nous de peser, d’opposer, de proposer.

Si l’écriture numérique créative a des pouvoirs, nous avons des responsabilités, la première est de prendre toute la mesure de ses puissances. Loin de ne concerner que les individus, loin d’être réduite à des « usages », l’écriture numérique créative suscite par ses pratiques, la collaboration qui conduit à voir le monde avec les yeux des autres.

L’écriture dont l’école a aujourd’hui besoin est celle-ci, plurielle, créative, hybride, littéraire, technique, artistique, philosophique, si l’on veut vivre ensemble dans la complémentarité et la coopération (Denis Kambouchner, Philippe Meirieu, Bernard Stiegler, Julien Gautier, Guillaume Vergne), si l’on veut que chacun puisse vivre une augmentation de son être dans ce mouvement même qui augmente l’autre avec qui il est en relation. C’est là, littéralement, l’origine du mot « auteur ». 

Il nous faut pour cela résister créativement et collectivement à la cage numérique dorée que les grands groupes (Apple, Amazon, Google, Facebook) nous ont fabriquée en nous promettant que c’est pour notre bien. Si notre servitude est volontaire, c’est que nous les laissons croire que leurs services sont faits pour nous. Mais nous avons moins besoin de leurs services que de moyens d’émancipation. Nous devons résister à leurs sirènes car nous n’avons dans leurs plans qu’une place d’objets, de consommateurs, et non de sujets pensants et agissants.

Il nous faut, en sujets libres, inventer nos lignes de désirs, rendre poreuses et circulables les voies étanches des spécialisations qui isolent aujourd’hui les lettrés des non lettrés du numérique.

L’écriture numérique créative a le pouvoir de réunir les conditions de l’augmentation des êtres par l’élaboration, le partage et la confrontation des idées nouvelles, par l’enrichissement des pratiques communes et des expressions singulières afin que chacun-e y dessine sa vie dans l’interaction du regard des autres.

L’école comme l’université doivent pour cela opérer une révolution d’importance inédite (!) : rompre avec la fabrication des têtes bien pleines (Michel de Montaigne) assujetties à l’esprit de compétition... car cette mutation reste encore à accomplir. 

## lire

« L’astronome qui lit une carte d’étoiles disparues ; le tisserand qui lit les dessins complexes d’un tapis en cours de tissage ; les parents qui lisent sur le visage du bébé des signes de joie, de peur ou d’étonnement ; l’amant qui lit à l’aveuglette le corps aimé, la nuit sous les draps (...) - tous partagent avec le lecteur de livres l’art de déchiffrer et de traduire des signes. » Alberto Manguel

Les singularités créatives dont notre époque a besoin, ne naitront pas d’enseignements spécialisés défendus par des lobbys, dont le modèle s’est vidé de sens, mais de l’expérience attentive, progressive, ludique et informée des savoirs sensibles, scientifiques et techniques tissés ensemble.

Nous pourrions (re)faire nôtre ce mot de Voltaire qui dit qu’un homme qui ne lit pas une plume à la main est un homme qui dort. La lecture partagée doit redevenir une pratique indissociable de celle d’écrire (Philippe Aigrain, (c)). Elle le doit pour participer de notre éveil. Elle le doit car lorsqu’on lit, c’est notre corps, notre voix qui soufflent un texte pour le former. La pratique des écritures numériques créatives nous le fait curieusement redécouvrir.

Il nous faut chacun-e, retrouver notre souffle, en redevenir familiers. De par le monde, on appelle les vents alysés, baguio, bolon, chergui, hurricane, bise, sonora, tramontane, mistral, ou encore loo, eurus, ghibli (...) parce que chacun d’eux est singulier, porte une histoire, une mémoire, une culture, un parfum, un style. De même, l’expérience du souffle de lire est humainement irremplaçable, c’est une praxis : une expérience esthétique qui porte dans sa pratique, ses questions réflexives et critiques (Antonio Gramsci).

« Si tu es seul à rêver, ce n’est qu’un rêve, si vous rêvez à plusieurs, c’est la réalité qui commence ! » dit une chanson populaire brésilienne.

L’acte de lire a été envisagé depuis toujours comme un acte cognitif, savant, technique mais parfois aussi comme un art. Un collectif d’artistes et développeurs (Téléférique) a créé en 2003 le projet Reader, véritable utopie de la lecture collective, soutenue par une réflexion artistique, philosophique et par la création d’un langage d’affichage temporel du texte (TRML). Les séances de lecture collectives qu’ils ont données en public ont marqué les mémoires et changé les représentations de ce que nous pensions devoir rester un acte individuel.

Annie Abrahams dont les travaux portent sur les communications inter-humaines, développe des performances de lecture-écriture sur le web et en présence. Dans le projet Reading Club qu’elle réalise avec Emmanuel Guez depuis 2013, les participants présents et distants lisent, écrivent, commentent, font et défont un texte, dans un jeu intertextuel et à l’intérieur d’une arène interprétative (Annie Abrahams, Emmanuel Guez). Les artistes mettent en scène, en images et en situations, le processus d’interaction, d’interprétation et de création qu’ils expérimentent en performance.

Lire, c’est accepter d’interpréter ce qu’on a sous les yeux comme si c’était la première fois qu’il s’y présentait, mais à vrai dire c’est toujours la première fois car jamais on ne se baigne dans le même fleuve.

Lire, c’est permettre à son esprit de trouver la liberté de parler à travers son propre corps, même en silence. C’est rendre ce corps attentif, à même de traduire les mots en souffle sensible. Lire c’est encore vivre cette intime réconciliation du corps et de l’esprit qui se partage collectivement dans la lecture à voix haute.

On dit (Wikipédia) que le verbe « lire » revêt aussi un sens plus général, celui de lire les signes des temps. De cela aussi nous avons besoin, non pour être des devins approximatifs mais pour devenir simplement des contemporains courageux (Giorgio Agamben, (a)). 

## apprendre

L’humanisme né de l’imprimerie a libéré la lecture : elle a cessé d’être le privilège des clercs, elle est devenue un moyen offert à chacun de construire sa réflexion et de se confronter au monde.

L’humanisme né avec le numérique libère de surcroît l’écriture : elle a cessé d’être l’apanage des professionnels de la littérature et du savoir, elle est devenue un moyen offert à tous de participer à l’intelligence collective du monde.

À l’école en particulier, il devient par exemple impératif de libérer la littérature des manuels scolaires. Le numérique permet de réinventer-revitaliser-réenchanter le texte, tant il suscite de nouvelles façons de lire, créatives, intrusives, collaboratives, tant il permet de dépasser la tradition de la métatextualité (la culture de la glose, la pédagogie de l’enseignant en chaire) pour s’adonner aux bonheurs de l’intertextualité, de l’intratextualité, de l’hypertextualité, de la textualité numérique…

Le texte est à envisager désormais non comme simple objet (à lire, à étudier), mais comme support d’activités de lecture-écriture-publication, afin que par lui aussi l’élève se constitue comme sujet, sujet de sa langue, sujet de sa représentation du monde, sujet de sa construction de soi et de son rapport aux autres.

Autrement dit, par le numérique, la chance est enfin donnée aux pédagogues de faire de la littérature une pratique, démocratique, et du texte une relation, comblante. 

## devenir

« Fais le pas qui t’élèves. » J’ai vu, comme d’autres, cette inscription écrite à la craie blanche sur le mur d’un couloir de l’université Paris 8, entre le département d’arts et celui d’hypermédia. Elle y est restée lisible les quatre années qu’a duré ma thèse, et ce malgré l’incessante activité d’ajouts-retraits-recouvrements de graffitis et d’affichages tout autour d’elle. Cette petite phrase a finalement été recouverte d’une couche de peinture blanche après des travaux de rénovation. Fragile mémoire. 

Le défi des institutions école, université, est de vivifier l’enseignement de l’écriture et de la littérature avec la culture et les pratiques numériques de sa création contemporaine (Luc Dall’Armellina, b). Mais, fluides, légères, ces pratiques débordent cependant de toutes parts toute idée de disciplines. Il s’agit d’ouvrir un espace-temps pour l’écriture numérique créative, comme pratique transversale, inter-disciplinaire, sensible, technique et critique, de l’école à l’université et en formation tout au long de sa vie.

Ce défi est lancé à des institutions dont le mode de gouvernance est sclérosé par des modèles d’organisations hiérarchiques verticales produisant concurrence, défiance, violence. Nos vieilles institutions peinent à relever les défis culturels contemporains de créativité et d’invention, dans les domaines de la formation, de la recherche, de la coopération locale et internationale, soit au moins trois de leur six missions (loi 2013-660 du 22 juillet 2013 sur l’enseignement supérieur et la recherche). Il nous faut agir, transformer les gouvernances, retrouver des institutions à échelle humaine, celle du village (Yona Friedman).

Le défi des accompagnateurs - ensemble hybride de formateurs, d’enseignants, d’artistes, d’auteurs, de musiciens, de chercheurs, de citoyens - est d’aborder les écritures numériques créatives par les arts littéraires (François Bon), mais aussi d’en mesurer les influences et zones de contact, de partage avec les arts visuels (Pierre Ménard), cartographiques et sonores (Cécile Portier), performanciels, narratifs et poétiques car la littérature-monde (Marc Jahjah) les traversent comme jamais auparavant

Leur défi est encore de dépasser le commentaire des œuvres de littérature (numérique ou non) ses outils, langages, esthétiques, pour accompagner les pratiques d’écritures sous toutes leurs formes, connues et à naître. Les accompagnateurs chercheront à ne pas réduire le nouveau au connu mais à favoriser l’émergence de l’esprit d’invention dont tous, nous sommes capables (Joseph Jacotot, Jacques Rancière (b)).

Le défi des pratiquants (élèves, étudiants, chercheurs, auteurs, formateurs, etc) est d’oublier les cours qui se consomment. Leur défi est de coopérer dans un groupe de création et de réflexion artistique et technique.

Leur défi est de lâcher prise afin d’expérimenter dans le même mouvement, la création littéraire en médias d’écriture-lecture, l’écriture des codes performatifs de leurs apparitions, et l’invention d’une esthétique singulière. A partir d’une pratique personnelle et collective mêlée, faire émerger des questions inédites, hybrider des techniques, créer des œuvres, former des idées, inventer des outils. 

## construire

On pourrait à cet endroit demander : pourquoi les écritures créatives numériques constituent-elles un enjeu si important aujourd’hui qu’il faille un manifeste pour les servir ? Peut-être parce que l’écriture, à chaque fois qu’elle a changé de supports d’inscriptions, a profondément révolutionné nos manières de dire, de penser et de faire en étendant et en externalisant continuellement notre mémoire dans des médias et des technologies.

La naissance de l’écriture a permis la naissance du droit, des villes, de la monnaie, du commerce, de la géométrie, des religions monothéistes. L’invention de l’imprimerie a permis les échanges mondiaux, la monnaie imprimée, la science, la littérature et la démocratie modernes (Michel Serres).

Le troisième temps de la révolution des écritures est celui que nous vivons depuis le MEMEX (Vannevar Bush), c’est celui d’une mutation avec ces deux précédents. Il s’agit de s’affranchir des anciens cadres, non parce qu’ils ne sont pas bons mais parce que le poids patrimonial et institutionnel qu’on leur a conféré empêche et retarde l’expérimentation des modalités dont nous avons besoin aujourd’hui pour construire notre présent en pensant à demain.

Les écritures numériques créatives que nous appelons de nos voeux peuvent et doivent participer à re-construire l’« espace potentiel » (Donald Winnicott) ouvert par le jeu, à la base de toute expérience culturelle partageable.

Cet espace potentiel qu’est l’Internet depuis ses débuts, est aujourd’hui mis en péril, menacé dans sa neutralité (La Quadrature du Net) par des choix politiques et économiques qui l’orientent vers un dispositif de contrôle généralisé. Quel(s) politique(s) mesure(nt) que c’est de l’éco-système créatif de nos démocraties dont il s’agit ?

Oui, les écritures numériques créatives ont la capacité de redonner à l’écriture-lecture son pouvoir d’émancipation personnelle par la restauration des puissances d’agir des individus (Martha Nussbaum).

Oui, elles sont à même de porter la fabrique et l’exercice du pouvoir critique d’une pharmacologie des technologies numériques (Bernard Stiegler, Ars Industrialis). Oui, elles ont la forme et l’ambition de contribuer à l’augmentation des êtres par l’expérience des arts (John Dewey), visant une pratique techno-esthétique partagée des biens communs (Philippe Aigrain, b) au sein d’un processus civilisateur (Milad Doueihi).

Un manifeste, parce que les temps, les pratiques et les sensibilités mutent depuis cinquante ans à grande vitesse, mais que les institutions école et université en charge de les accueillir, de les faire fructifier, de les valoriser et de les fédérer sont encore pétrifiées dans leurs rigidités et ne mesurent pas l’urgence de faire peau neuve.

Partout où nous le pourrons, sans attendre, en braconniers s’il le faut, donnons aux écritures numériques créatives, le pouvoir qui est le leur, celui de nous éclairer. 

**Faisons ce pas qui nous élève.**
