title: Communities and leadership
slug: communities-leadership
date: 2016-09-17
lang: en
chapo: From my experience, free thinking is at that price.

> I am a member of a community of thinkers.
>
> I believe that communities exist as homes for professionals to learn, teach, and reflect on their work.
>
> I challenge each community in the software industry to:
>
> * reflect and honor the practitioners who make its existence possible;
> * provide an excellent experience for its members;
> * support the excellent experience its members provide for their clients and colleagues in all aspects of their professional interactions;
> * exemplify, as a body, the professional and humane behavior of its members;
> * engage and collaborate within and across communities through respectful exploration of diverse and divergent insights;
> * embrace newcomers to the community openly and to celebrate ongoing journeys; and,
> * thrive on the sustained health of the community and its members through continual reflection and improvement.
>
> I believe that leaders in each community have a responsibility to exhibit these behaviors, and that people who exhibit these behaviors will become leaders.
>
> I am a member of a community of thinkers. If I should happen to be a catalyst more than others, I consider that a tribute to those who have inspired me.
> 
> <cite>*[A Community of Thinkers](https://www.rallydev.com/blog/agile/community-thinkers)* ([cache](/david/cache/10187b57ded8df0531ae8551615e812c/))</cite>

I was re-reading that old declaration lately and the two last sentences bugged me. It seems that I’m not the only one in that case given the extract of the reaction I found on InfoQ (sadly the complete original article vanished since then):

> Unlike those who inspired me, I am a practitioner. Agile/Lean/Kanban is secondary to me. My job is to delivery business value and these communities provided tools that helped me do it. As a practitioner I discovered problem that I need to solve. I feed these solutions back to the communities. I AM NOT A LEADER AND I RESIST THE NOTION OF BEING ONE.  I would like to think I am a member of ”a community of thinkers”. AND I would like to be respected for the contribution I make to those communities. I would like that community to respect me enough to keep giving me new ideas rather than insist I subscribe to an orthodoxy.
>
> […]
>
> So what is the difference between Leaders and Leadership?
>
> A **leader** feels like a **commitment** (something we only like if we have to):
>
> * “Do it this way if you want to be part of my club.”,
> * “My way or the highway”,
> * “You’re either with us or against us”
>
> **Leadership** feels like an **option** (this is what we like as it allows freedom of choice):
>
> * “Here is a way you can do it, it worked for me in a certain context.”,
> * “You might want to check out X it seems related to what you’re doing.”
>
> <cite>*[A Community of Thinkers](https://www.infoq.com/news/2010/01/community-thinkers)* ([cache](/david/cache/a988dfd71bcb88bfa23755ca95737dc1/))</cite>

I really like that definition of *leadership*, it reflects my thoughts on mentoring and teaching new things. I wonder how much mentalities have changed during these last 6 years and if the same kind of statement would be different today regarding the evolution of the reflexion about the role of leaders vs. leadership. Maybe we’re heading toward more inclusive and horizontal communities or maybe I’m just a victim of the *bubble effect* showing me only what I want to agree with.

> Because of that personal nature, we wanted to avoid putting our statement up as some kind of manifesto that people can sign. If you feel strongly enough about this statement that you would want to sign up, copy it. Post it on your own site. Attribute it to wherever you got your copy from – *the act of sharing is more important to us than the act of creation* – and feel free to change it so that it reflects your own values. I don’t think that any statement like this can ever be perfect, nor will we perfectly live up to it.
>
> <cite>*Ibid.*, emphase is mine.</cite>

Given that the original initiative encourages re-appropriation, here is my personal take on the end of the statement:

> I believe that people in each community have a responsibility to exhibit these behaviors, and that people who exhibit these behaviors will create resilient and friendly communities.
>
> I am a member of a community of thinkers. If I should happen to be a catalyst more than others, I consider that a threat for other participants and I would step down. Healthy communities are acentered graphs, not pyramids or silos.

Now I feel like I can be part of *a community of thinkers* that doesn’t promote leaders as an achievement to look for but as something to fear and be extremely cautious with. **From my experience, free thinking is at that price.**
