title: Delivery and value(s)
slug: delivery-values
date: 2016-09-20
lang: en
chapo: The goal of a group is not only to deliver value but to challenge current values.

> Edelman said that people tend to trust businesses more than governments, in part because “business gets stuff done” while government is seen as “incapable.” People trust technology companies in particular because “they deliver value.”
> 
> <cite>*[Trust in Government Is Collapsing Around the World](http://www.appy-geek.com/Web/ArticleWeb.aspx?regionid=1&articleid=67847626)* ([cache](/david/cache/45e0123a3bfc9a640f774aad73cc6fad/))</cite>

I’m working with the French government for more than a year now in a small team where delivery prevails upon meetings and infinite validations. I clearly understand the motivations to push forward what can be achieved by a government. To be inspired by the startup “culture” might be seen as highly positive. At least at first.

The maintenance remains a problem though. Where startups are delivering value as fast as possible in order to be bought or to raise more money, a government doesn’t have these escape plans. A startup joining the dead pool is acceptable, when you remove or neglect a service from a government it will have a direct impact on citizens. Not quite the same responsibility here. You still have the right and duty to kill a product if it doesn’t find its audience but the measurement is harder to define because it’s not purely based on profit.

The more I work on [data.gouv.fr](https://www.data.gouv.fr/fr/), the more I realize that my goal is not (only) to deliver but to challenge the previous processes and cultures. To show that there are other ways to do some things, another angle to see that particular problem and to communicate on its resolutions. New things to experiment both as a team and an [international community](https://github.com/opendatateam).

**The goal of a group is not only to deliver value but to challenge current values.**

The level of trust within governments should be related to their abilities to question their actions, listen to feedback and adapt. This is way more than to deliver punctually or even continuously value. This is about where we are going. *Together.*

> Optimists explain good things as being personal, general, and permanent, and explain away bad things as being impersonal, specific, and temporary. And if you point out the contradiction in their explanations, they see no contradiction. To them, the bad stuff really isn't about them, it's just that one thing that one time.
>
> <cite>*[Optimism](https://github.com/raganwald/presentations/blob/master/optimism.md)* ([cache](/david/cache/22e5b23fa989d12fc89fe5d2709760d8/))</cite>

Maybe turning a culture from pessimism to optimism is “just” a matter of making people aware of a new level of consciousness. A level that is not only personal but includes others for heading towards a new vision for this world. Mocking governments for their incapacity is easy, trying to be part of the long-term solution is way more challenging.

**Never forget that a nation is a cooperative that scaled.**

Trust is clearly broken these days for many reasons but it cannot be restored without a positive attitude and an incredible amount of energy. Working with a government was (and still is!) quite enlightening to me. If you want to change the world and have a big impact (not my ambition but that’s the top reasons given by my peers), think twice before starting/joining a tax-optimized company with no other goal than being bought by a big one. There is a [solution](https://18f.gsa.gov/join/) [probably](https://gds.blog.gov.uk/jobs/) [closer](http://www.etalab.gouv.fr/) and healthier for everybody.
