title: Domaines et expatriation
slug: domaines-expatriation
date: 2016-07-11
chapo: Me considérant comme un citoyen du monde, je n’envisage plus une extension qui ne reflète pas cette motivation.

> Unsurprisingly, the nameservers for top-level TLDs don’t actually change all that often. [98%](http://dns.measurement-factory.com/writings/wessels-pam2003-paper.pdf) of the requests root DNS servers receive are in error, most often because of broken and toy clients which don’t properly cache their results. This became such a problem that several root DNS operators had to [spin up](https://www.as112.net/) special servers just to return ‘go away’ to all the people asking for reverse DNS lookups on their local IP addresses.
>
> The TLD nameservers are administered by different companies and governments all around the world ([Verisign](https://www.verisign.com/) manages .com). When you purchase a .com domain, about $0.18 [goes to](http://webmasters.stackexchange.com/questions/61467/if-icann-only-charges-18%C2%A2-per-domain-name-why-am-i-paying-10) the ICANN, and $7.85 goes to Verisign.
> 
> <cite>*[The History of the URL: Domain, Protocol, and Port](https://eager.io/blog/the-history-of-the-url-domain-and-protocol/)* ([cache](/david/cache/90a9fd7dd73e7b0975c94821db4d2797/))</cite>

C’est une question que je m’étais déjà posée en allant au Japon et la solution temporaire avait été d’utiliser `larlet.com` pour publier mes [pensées en anglais](/david/thoughts/) ([réunifiées ici depuis](/david/thoughts/#centralizing)). Dans le cas du [Canada](/david/blog/2016/dechirance-nationalite/), la problématique est légèrement différente car le départ est a priori définitif, ou en tout cas pour une durée indéterminée. Or les `.fr` doivent être détenus par des résidents français croyais-je avant de tomber sur :

> L’AFNIC ouvre aujourd’hui le .fr aux français résidents à l’étranger. Jusqu’à présent le titulaire d’un nom de domaine en .fr devait posséder une adresse en France. Le processus actuel d’enregistrement et de vérification des personnes physiques est conservé : Il n’y a pas de nouveaux tests techniques lors de la saisie, ceci afin d’alléger au maximum les vérifications géographiques des titulaires des noms de domaine ; La vérification d’éligibilité est réalisée par l’AFNIC auprès des bureaux d’enregistrement en charge du nom de domaine : le contact administratif a une obligation de présence sur le territoire ; cette vérification d’éligibilité est déclenchée sur plaintes extérieures et dans le cadre de vérifications aléatoires. Cette nouvelle mesure était déployé sur le banc de test depuis le 2 mars. Dorénavant sur le banc de production,  le code pays à renseigner pour un titulaire personne physique n’est plus limité aux codes pays français (FR, RE, MQ, GP etc.). Si vous rencontrez des difficultés, n’hésitez pas à nous contacter à support@afnic.fr La charte de nommage a été modifiée afin d’intégrer cette nouvelle disposition : Charte de nommage pour les noms de domaine .fr (200 Ko)
>
> <cite>*[Français résidents à l’étranger sur le banc de production](https://www.afnic.fr/fr/l-afnic-en-bref/actualites/actualites-operationnelles/3739/showOperational/francais-residents-a-l-etranger-sur-le-banc-de-production.html)*</cite>

Qui date malheureusement de 2010 et dont [la charte](https://www.afnic.fr/fr/ressources/documents-de-reference/chartes/charte-de-nommage-en-vigueur-9.html) n’est plus liée… et qui nécessite toujours d’avoir un contact administratif résidant en France. Dans l’article 5.1 de la charte de l’AFNIC actuelle (qui ne semble pas posséder de version HTML !) on peut y lire :

> 88\. Peuvent demander l’enregistrement ou le renouvellement d’un nom de domaine, dans chacun des domaines de premier niveau, toutes personnes physiques résidant et toutes personnes morales ayant leur siège ou établissement principal :
>
> * sur le territoire de l’un des états membres de l’union européenne ;
> * sur le territoire des pays suivants : Islande, Liechtenstein, Norvège, Suisse.
>
> <cite>*[Charte de nommage de l’Association française de nommage internet en coopération](https://www.afnic.fr/medias/documents/Cadre_legal/Charte_de_nommage_22032016_VF.pdf)* ([cache](/static/david/blog/Charte_de_nommage_22032016_VF.pdf))</cite>

Du coup je me demande bien dans quelle mesure ma détention du domaine `larlet.fr` reste légale si je deviens résident permanent canadien. Peut-être que [Stéphane](www.bortzmeyer.org/) saurait m’éclairer sur le sujet. Quoi qu’il en soit, les extensions génériques sont moins problématiques si vous avez la bougeotte :-).

Au passage, il est intéressant d’aller voir les conditions d’accès à un `.quebec` :

> Tout le monde peut obtenir un .QUEBEC. Pour vous enregistrer, renouveler ou transférer un nom de domaine .QUEBEC, vous devez être une personne physique ou une personne morale ayant un lien avec la communauté du .QUEBEC. Ceci signifie que vous, tout comme votre registraire, devez être en mesure de démontrer un lien ou un intérêt raisonnable envers la communauté, au moment de l’enregistrement et tout au long de sa durée de vie utile. Le lien à la communauté peut être de nature linguistique, culturelle, touristique, commerciale ou de toute autre nature, dans la mesure où il est favorable et non préjudiciable à la collectivité québécoise. Contactez votre registraire pour plus d’informations ou consultez la liste des registraires accrédités.
>
> <cite>*[Qui peut obtenir un .QUEBEC ?](http://registre.quebec/faq/)*</cite>

Et Gandi — qui le propose à 31,90€ par an — affiche :

> Les .QUEBEC  sont ouverts à toute personne ayant un lien avec la communauté québécoise, ce lien peut être de nature linguistique, culturelle, touristique, commerciale ou de toute autre nature dans la mesure où il est favorable et non préjudiciable à la communauté québécoise.
>
> Lors de l’enregistrement, vous devez indiquer la raison de votre enregistrement et l’utilisation projetée de votre nom de domaine, vous pouvez également expliquer votre lien avec la communauté québécoise.
>
> <cite>*Une infobulle sur Gandi.net*</cite>

Je serais curieux de savoir qui est en mesure de juger de ce lien ou intérêt et avec quelle fréquence. Quoi qu’il en soit, l’appartenance à une nationalité me semble de plus en plus désuète et dommageable.

**Me considérant comme un citoyen du monde, je n’envisage plus une extension qui ne reflète pas cette motivation.**

L’envie de publier en anglais me reprenant de manière cyclique, je ré-envisage l’usage du `.com` mais il faudrait que je le transfère sur Gandi auparavant. *Nomad URIs do change!*