title: Écriture collaborative
slug: ecriture-collaborative
date: 2016-05-20
chapo: Un bien commun doit-il perdre toute personnalité(s) ?

> C’est que j’étais persuadé que j’allais être corrigé et ridiculisé, renvoyé à ma place d’enfant naïf, par les adultes qui peuplent le monde. Pire encore, pour parachever mon humiliation, je m’imagine tentant de répondre à ces critiques. Car j’ai toujours été, jusqu’à présent, incapable de recevoir une critique ou un contre-argument sans y répondre. La création ayant toujours eu pour but que de créer un lien entre moi et les autres êtres humains, je ne peux donc refuser cet échange. Et c’est sans doute là ma plus grande erreur. Regardant autour de moi les comportements des autres artistes, (reconnus ou pas, mais du moins assumant avec aisance leur rôle), je réalise que publier, c’est sans doute avant tout : apprendre à ne pas répondre. Mettre à disposition ses œuvres, ses idées, ses opinions, même ses sentiments les plus intimes, sans tenter de les adapter à un public, sans tenter de prévoir les réactions, et surtout, sans prévoir de réagir à ces dernières. En somme, avoir une démarche artistique, et non un processus marketing.
> 
> <cite>*[Journal d’un imposteur](http://www.antoinekirsch.fr/?p=1727)* ([cache](/david/cache/7deb0417a9a14b749c72e338f4e92c3b/))</cite>

Je m’intéresse à la possibilité d’écrire des textes à plusieurs depuis la création de [scopyleft](http://scopyleft.fr/) lorsque nous avons eu à travailler ensemble sur la rédaction d’un manifeste et sur d’autres documents. J’ai déjà parlé de [l’approche LEAN qui me semble insuffisante](/david/blog/2014/running-lean/) dans le domaine artistique et je me rends compte avec le témoignage de Thierry Crouzet que les outils comme [Scribay](https://www.scribay.com/) peuvent produire la même frustration :

> Si je continue ainsi sur Scribay, je n’écrirai tout simplement pas, j’en crèverais. Les critiques sont si nombreuses, si divergentes, que je n’en retire aucune motivation, aucune inspiration, aucune ébriété, aucune direction. Et c’est pourtant ce que je recherche dans l’écriture interactive, le shoot d’adrénaline, et non qu’une multitude de correcteurs me tombe sur le coin de la tête alors que je n’ai pas écrit plus de dix pages d’un texte qui en comportera des centaines. Je me fiche bien à ce stade d’avoir quelques phrases bancales avec quelques fautes d’orthographe.
>
> <cite>*[L’interactivité, c’est pas automatique](http://tcrouzet.com/2016/04/26/linteractivite-cest-pas-automatique/)* ([cache](/david/cache/38968a4f3a35079208bd2c78113613f8/))</cite>

Il y a de plus en plus d’outils comme [Draft](http://docs.withdraft.com/) — avec une [jolie introduction](https://m.signalvnoise.com/i-can-t-sing-6c11cdf93dfc) ([cache](/david/cache/6a356cf6749f10608e1ed508c2c544c5/)) — ou [Penflip](https://www.penflip.com/) qui sont basés sur Git, on avait même commencé à écrire le nôtre avec [Yohan](http://yohanboniface.me/). Mais le problème n’est pas forcément dans le choix des outils (qui a dit « jamais ! » :-)). **Le blocage se situe au niveau du style et des intentions.**

J’ai lu avec attention *Comment passer du café du commerce à l’intelligence collective ?* et en fait je n’arrive pas à voir si l’écriture est vraiment le fruit d’une intelligence ou s’il est même souhaitable qu’elle tente d’être trop intelligente.

> Pour sortir du « café du commerce », il est nécessaire de chercher dans un premier temps non pas ce qui est vrai mais les différents points de vue sur un sujet. Plus le nombre de personnes qui proposerons un point de vue sera grand, plus la vision aura des chances d’être plus complète. A ce stade, la discussion peut s’accommoder de visions approximatives, voire apparemment fausses, l’objectif étant de rassembler le plus grand nombre de point de vue différents et d’en susciter de nouveaux pour compléter ceux déjà rassemblés.
>
> Mais nous devons également composer avec nos propres limitations cognitives. Ainsi, nous ne pouvons garder à l’esprit que les trois derniers éléments d’une discussion. Lorsque nous prenons du recul par rapport au discours, nous pouvons avoir une vue d’ensemble des différents affirmations ou arguments, mais là encore nous sommes limités et ne pouvons conserver à l’esprit qu’entre 5 et 9 idées. Pour permettre de traiter un sujet par l’intelligence collective, nous allons donc devoir avoir une méthode pour travailler avec un très grand nombre de personnes, cartographier l’ensemble des idées proposées tout en s’interdisant dans un premier temps de sélectionner certaines idées et d’en éliminer d’autres.
>
> <cite>*[Comment produire un document à plusieurs centaines de personnes ?](http://ebook.coop-tic.eu/francais/wakka.php?wiki=CommentProduireUnDocumentAPlusieursCentai)* ([cache](/david/cache/2662b2cf4aebb3f76a7c60ba4d62c314/))</cite>

Comment garder le liant stylistique lors de cette phase de convergence ? Qui serait en mesure de re-lier le texte final sans en altérer le sens ? Est-ce qu’il faut deux équipes indépendantes ? Est-ce que l’écriture collaborative est limitée à certains types de productions ? *Écrire ensemble c’est lâcher-prise sur la forme au profit du fond.* Et ce n’est pas facile. 

**Un bien commun doit-il perdre toute personnalité(s) ?**

