title: L’illusion sociale
slug: illusion-sociale
date: 2016-07-28
chapo: Peut-être qu’il faut dépasser la relation sociale pour aller vers une relation locale multi-directionnelle.

> Semblables à ces chrétiens qui parlent indéfiniment de Dieu, du christianisme et de leur foi, parce que s’ils s’arrêtaient de parler, ils se trouveraient devant un vide immense, nous parlons sans fin de politique pour couvrir inconsciemment le vide de la situation. […] Le progrès, c’est recevoir cette extrême puissance, cette part mythique d’une souveraineté théorique qui consiste à se déposséder de ses décisions au profit de quelqu’un qui les prendra à votre place. Le progrès, c’est lire le journal.
>
> […]
>
> Celui qui dans notre société se tient sur la réserve, ne participe pas aux élections, tient les débats politiques et les changements de constitution pour superficiels et sans véritable prise sur les véritables problèmes de l’homme, celui qui sait bien que la guerre d’Algérie l’atteint dans sa chair ou celle de ses enfants, mais ne croit pas que déclarations, motions et votes y changeront quoi que ce soit, celui-là sera jugé le plus sévèrement par tous. C’est le véritable hérétique de nos jours. Et la société l’excommunie comme l’Église médiévale le sorcier. Il est un pessimiste, un stupide (car il ne voit pas les relations très profondes et secrètes du jeu politique), un défaitiste qui se courbe devant la fatalité, un mauvais citoyen : assurément si tout va mal, c’est à cause de lui, car s’il faisait preuve de civisme, le votre serait valorisé (il ne suffit pas de 80 % de votants, non, il faut 100 % !) et la démocratie serait effective ! Les jugements pleuvent sur lui, autant jugements d’efficacité, que jugements moraux, et même psychologiques (car l’apolitique est forcément un paranoïaque ou schizophrène). Enfin, condamnation dernière en notre temps ; ce ne peut être qu’un réactionnaire.
>
> <cite>*L’illusion politique* par Jacques Ellul.</cite>

Là où la religion avait une portée internationale, la politique se restreignait déjà au niveau national et le social réduit encore davantage les ambitions humaines en se limitant à un groupe local faussement distribué par les réseaux sociaux. On ne lit plus les journaux pour faire de la politique, on dépile ses *timelines* pour interagir socialement.

Des réseaux entre privilégiés qui conspuent d’autres privilégiés, qui s’apitoient sur la misère du monde avec des milliers de *like* et de *retweets* en la piétinant par ailleurs. Ivre d’un effet de masse sans aucune incidence si ce n’est celui d’avoir créé une nouvelle profession, celle de *community manager*.


> Très superficiellement l’homme moderne désire être informé de la dernière actualité parce qu’elle est une source de prestige incontestable dans un groupe. Pouvoir annoncer aux autres ce qu’ils ignorent, entrer dans ce personnage légendaire du porteur de nouvelles, être celui qui a la supériorité d’être mieux informé, et plus encore celui qui détient un secret, qu’il va transmettre à d’autres, attendant leur réaction, attendant leur surprise, avec cette distance possible de celui qui sait, et qui par là même peut mettre en question ceux qui ne savent pas encore. Quelle affirmation de maîtrise ! Dans un monde avide de nouvelles comme le nôtre, être celui qui sait et qui transmet est une participation aux forces souveraines, c’est pourquoi l’homme actuel cherche à être le premier informé.
>
> <cite>*L’illusion politique* par Jacques Ellul.</cite>

Ce que Jacques Ellul décrivait en 1965 n’a finalement fait l’objet que d’une amplification liée à la mise en réseau à une échelle plus large permise par le Web. Une gigantesque captation d’attention en guise d’intelligence collective, chacun essayant d’être le porteur de nouvelles de ses communautés. C’est l’une des raisons pour laquelle j’ai arrêté de [publier quotidiennement](/david/stream/2015/) cette année.

Quelles faiblesses veut-on cacher via cette recherche de supériorité ? Quel manque social nous pousse à en chercher ailleurs ? Quel lien familial brisé souhaite-t-on remplacer ?


> Il y a peut-être abus à parler de « transmission horizontale » pour parler de cette puissante force de socialisation des jeunes qui semble aujourd’hui faire obstacle à la transmission : la socialisation par les pairs ou par les moyens de communication de masse. Il faudra en revanche aborder la véritable nature de cet obstacle supposé, car il est partie prenante du sentiment de « crise de la transmission ». Peut-on dire, comme cela se répète à l’envi dans les travaux contemporains, que nous sommes passés de la transmission verticale à la transmission horizontale, autrement dit « des pères aux pairs » ? L’importance accordée à la socialisation par les pairs contribue à maintenir dans l’ombre le rôle de la transmission familiale.
>
> <cite>*Transmettre, apprendre* par Marie-Claude Blais, Marcel Gauchet et Dominique Ottavi.</cite>

Ces deux formes — pair-à-pair vs. (p|m)ère-à-fil(s|le) — sont-elles vraiment complémentaires alors que l’attention est limitée par le temps ? Les membres de la famille deviennent-ils des pairs comme les autres ?

**Après avoir monétisé l’attention, on s’en prend aujourd’hui à l’occupation.** Pokémon GO n’est que le début d’une perte de l’*être avec* vers celle du *faire avec*. L’intermédiaire social est loin d’être neutre dans cette relation guidée par une main invisible qui a des impacts bien réels.

J’ai déjà parlé de [l’épuisement des colibris](/david/blog/2016/economie-extraction/), en monétisant l’occupation on passe un cap dans notre incapacitation à agir ensemble à des fins bien supérieures à celles du profit. En jouant sur les [affects joyeux intrinsèques](https://scinfolex.com/2016/06/28/ce-que-lon-apprend-sur-les-communs-en-lisant-frederic-lordon/) ([cache](/david/cache/202858c9a26f193aaf18a6770d5f8171/)) chers à Frédéric Lordon, on n’enrôle plus seulement la force de travail des salariés mais celle de toute la population ce qui représente une main — qui soutient un *smartphone* — d’œuvre gratuite bien plus conséquente.

Ce manque de bien commun tangible conduit à des [super-structures violentes](/david/blog/2016/etat-violence/) et sans âme. *L’État est une SCOP qui a mal tournée.* C’est le passage à l’échelle de ce qui ne peut passer à cette échelle auquel cas le lien social s’en trouve rompu.


> Confondre communication et relation serait extrêmement préjudiciable à la reconquête d’un temps réel, convivial et solidaire, dont des êtres de plus en plus nombreux ressentent la nécessité vitale. Un lien social tangible dans la sphère de  vie de chacune et de chacun de nous ne peut être aboli sans un immense préjudice. Les outils de la communication, de la commande à distance et de l’information auront toujours une grande mémoire, mais jamais de souvenirs. Renforcent-ils les liens sociaux, ou ne font-ils que connecter des solitudes ?
>
> <cite>*Vers la sobriété heureuse*, Pierre Rabhi</cite>

Je me pose de plus en plus la question. Le nuage se remplit chaque jour un peu plus de nos relations sans pour autant nous faire profiter de la pluie de souvenirs associés. Les échanges deviennent aussi éphémères que les réflexions qui en découlent.

Observez vos dernières notifications (ou *flatulences numériques* comme j’aime les nommer maintenant tant elles sont dérangeantes pour l’entourage), combien se rapportent à un individu, combien se rapportent à une entreprise, combien enfin décrivent une action ou une réflexion collective ? Le lien social numérique n’est qu’une suite de micro-interactions décousues qui ne peut mener au *vivre ensemble*. Un réseau social ne peut survivre sans des échanges longs.


> Le lien social existe toujours, voire même davantage avec l'arrivée du numérique, qui permet des rencontres inattendues. Les algorithmes font des suggestions, qui peuvent être pertinentes et intéressantes, mais que l'on n'est pas obligé de suivre. Il n'y a aucune obligation à être sur Facebook, et encore moins à en faire sa principale porte d'entrée sur le web (je le déconseille même fortement). La construction de la pensée ne s'y fait pas, même si c'est un canal de diffusion non négligeable.
>
> <cite>*[Pour penser la "disruption" numérique, il faut y plonger](http://authueil.org/?2016/07/11/2333-pour-penser-la-disruption-numerique-il-faut-y-plonger)* ([cache](/david/cache/084758a6079aaeddd903bab6c4e5ff10/))</cite>

Qu’est-ce qu’un lien social si ce n’est co-construire de la pensée ? Est-ce que le divertissement suffit vraiment à certaines personnes ? Quelles addictions viennent combler ce vide de sens ? C’est ce qui me semble être une illusion sociale bien orchestrée.

**En refusant ces services, je me marginalise.** De manière [militante](/david/blog/2015/oiseau-bleu/) et volontaire même si cela m’affecte de ne plus participer à certaines discussions. Je me retire d’un espace de vie qui est passé du PMU aux Galeries Lafayette. Et je ne parle même pas de la [surveillance associée](http://idlewords.com/talks/sase_panel.htm) ([cache](/david/cache/fa3c6aace8c96eada03d113ac49ef77a/)).


> L’émergence de ce qu’on appelle le web 2.0 fut à la fois une idéologie et une stratégie d’accumulation du capital : il a promis de nouveaux profits énormes, ce qui a permis d’attirer de nouveaux investisseurs financiers. Il a promis un Internet participatif de « prosommateurs », une publicité de plus en plus ciblée et une exploitation du travail numérique accrue à travers le crowdsourcing, qui a vu son heure de gloire dans le soi-disant « nouveau réseau (new web) ». Google et Facebook ne sont pas des entreprises de communication mais les plus grandes agences publicitaires du monde. Les « réseaux sociaux », c’est de la publicité ciblée.
>
> <cite>*[Internet et lutte des classes](http://revueperiode.net/internet-et-lutte-des-classes/)* ([cache](/david/cache/637a090890f6a6da12da087d45b0fe58/))</cite>

Le problème n’est pas tant que les fins soient lucratives mais ce que les personnes en capacité de décider sont prêtes à faire pour augmenter cette rentabilité. L’[opinion publique](/david/blog/2016/classements-listes/) semble être très facile à manipuler lorsqu’on a une telle force de frappe. Peut-être l’avons-nous déjà été à notre insu sous couvert d’un *bug* dans une mise à jour algorithmique.


> As one colleague in tech explained it to me recently, for most people working on such projects, the goal is basically to provide for themselves everything that their mothers no longer do.
>
> <cite>*[Solving All the Wrong Problems](http://www.nytimes.com/2016/07/10/opinion/sunday/solving-all-the-wrong-problems.html)* ([cache](/david/cache/7727b060c25b64136ce5f1a5c7598f2d/))</cite>

Peut-être qu’un jour les trentenaires en manque d’affection et d’attention n’essayeront plus de recréer leur *Mother-as-a-Service*. Peut-être que les entrepreneurs qui ne rêvent que d’impact et d’échelle se rendront compte que l’on peut diversifier les impacts en restant à petite échelle et en liant les externalités positives générées. Peut-être que les citoyens prendront conscience qu’un *faire commun* n’est pas une urne. **Peut-être qu’il faut dépasser la relation sociale pour aller vers une relation locale multi-directionnelle.**