title: Montessori et Steiner-Waldorf
slug: motessori-steiner-waldorf
date: 2016-03-25
chapo: Là où Montessori est de l’agro-écologie, Steiner-Waldorf est de l’agriculture biodynamique.

> Apprendre entre les savoirs, penser entre les langues, prendre en compte les nuits entre les jours, les échanges entre les élèves, entre les professeurs, entre tous. Exercer l’art de la rencontre. Cet entre-deux peut s’exercer partout et particulièrement par l’apprentissage de l’Eurythmie, art social et discipline du corps et de l’esprit.
>
> Les expérimentations des neurosciences confirment aujourd’hui l’efficacité des interactions sociales pour l’appropriation, la mémorisation : l’apprentissage sur écran est efficace dans l’instant mais s’efface dans la durée. L’apprentissage en coopération est durable.
>
> <cite>*École du domaine du possible*, brochure</cite>

Ce billet fait suite aux visites de l’[école Montessori d’Avignon](http://www.ecolemontessori-avignon.org/) et de l’école du domaine du possible qui en est à sa première année d’existence [à](/david/biologeek/archives/20091218-dit-arles-et-pas-en-arles/) Arles. Je n’ai pas eu d’autres occasions d’être au contact de ces formes de pédagogies si l’on exclu la littérature sur ce sujet et aucune personne dans mon entourage n’est allée dans ces écoles. Ce billet est donc uniquement du ressenti après un premier contact.

Sur les ressemblances tout d’abord, les deux écoles ont une base  [d’autonomie, de bienveillance et de curiosité](/david/stream/2015/04/20/) qui ne me sont pas étrangères. Elles aménagent les lieux pour être compatibles avec un apprentissage encourageant la singularité des individus et comportent des classes par cycles et non par âge. Dans les deux cas, ce sont des écoles non subventionnées par l’État donc l’année coûte dans les 4 000 euros et elles proposent un tarif indexé sur les revenus permettant d’avoir une solidarité locale et de ne pas rendre leurs accès trop élitistes.

Sur les différences maintenant, j’ai été frappé par le côté cartésien de l’approche Montessori et la rigueur scientifique associée au détriment (?) des aspects artistiques. Les activités sont très libres selon les affinités de l’enfant à une période donnée. En revanche, côté Steiner-Waldorf l’accent est mis sur l’[eurythmie](https://fr.wikipedia.org/wiki/Eurythmie) et la relation (cosmique ?) avec la nature. L’école sera localisée directement dans une ferme dès l’année prochaine. Il y a aussi le rapport à l’[Anthroposophie](/david/blog/2012/nef-anthroposophie/) qui [gratte sérieusement](https://veritesteiner.wordpress.com/2015/12/28/le-domaine-du-possible-fait-sa-propagande/) ([cache](/david/cache/0d1a91749a9ae4ff9f74110b79691254/)) même si l’école du domaine du possible se revendique d’être d’inspiration multiple et n’est pas *stricto sensu* du Steiner-Waldorf mais cela demanderait à être vérifié.

On retrouve presque l’[asymétrie cérébrale](https://fr.wikipedia.org/wiki/Asym%C3%A9trie_c%C3%A9r%C3%A9brale) dans ces approches avec une opposition cerveau gauche / cerveau droit. Je me risque à ce parallèle : **Là où Montessori est de l’[agro-écologie](https://fr.wikipedia.org/wiki/Agro%C3%A9cologie), Steiner-Waldorf est de l’[agriculture biodynamique](https://fr.wikipedia.org/wiki/Agriculture_biodynamique).** Je pousserais même la métaphore un peu plus loin en évoquant la [permaculture](https://fr.wikipedia.org/wiki/Permaculture) comme illustration de l’*instruction en famille*. Mais ce sera l’objet d’un futur billet.
