title: Passion et définition
slug: passion-definition
date: 2016-09-25
chapo: Générer des imperfections qui tendent vers un monde singulier.

> Following your passion is a very “me”-centered view of the world. When you go through life, what you’ll find is what you take out of the world over time — be it money, cars, stuff, accolades — is much less important than what you’ve put into the world. So my recommendation would be follow your contribution. Find the thing that you’re great at, put that into the world, contribute to others, help the world be better and that is the thing to follow.
>
> <cite>*[Don’t Follow Your Passion: Career Advice for Recent Graduates](http://a16z.com/2015/05/28/some-career-advice-for-all-you-recent-graduates/)* ([cache](/david/cache/cb431b56e427c24e63b843781efa2e71/))</cite>

J’ai toujours tourné autour de la *passion* pour me définir numériquement « passionné par le Web », « mon métier est une passion », etc. Je trouve la passion de plus en plus dangereuse et inexacte dans mon cas. J’essaye justement de résoudre des problèmes de manière dépassionnée pour être en mesure d’écouter ceux que je vais tenter d’aider. De la même manière, se passionner pour le Web ou pour un outil est relativement stérile, c’est ce que l’on arrive à en faire qui est exaltant.

Se définir est un exercice extrêmement difficile, j’ai du mal à m’en tenir à une définition [technique](https://n.survol.fr/n/dis-tonton-cest-quoi-un-developpeur) ([cache](/david/cache/16742d1d393922450c7237cf199e3744/)) ou [simpliste](https://wizbii.tech/maman-papa-je-suis-d%C3%A9veloppeur-front-end-et-voil%C3%A0-ce-que-%C3%A7a-veut-dire-fb7d98c5e0b8) ([cache](/david/cache/ae0bd3d45e9b20de382224c9cebead14/)) car mon rôle ne se limite pas à résoudre des problèmes mais de manière plus large à en prendre conscience et à avoir l’empathie suffisante pour être pertinent. Quitte à m’y reprendre plusieurs fois. Quitte à ne jamais y arriver. Quitte à devoir le raconter pour pouvoir m’en souvenir. Quitte à faire le deuil de la performance pour bénéficier des externalités de la collaboration. Ces différentes étapes de lâcher-prise sont loin d’être techniques.

> La quête de la perfection rend immobile, me dit-il. L’immobilisme est une pulsion de mort. Le bricolage, imparfait, est l’expression du désir. Le geste de jeter au monde une création imparfaite, une idée en développement, un outil plus ou moins bancal. Tout cela. C’est l’expression de la vie, a-t-il dit. Une pulsion de survie.
> 
> <cite>*[Hack is life !](https://poulpita.com/2016/09/24/hack-is-life/)* ([cache](/david/cache/1ba5195aa31d1203fb8c4972b22de494/))</cite>

Cette friction qui existe dans l’imperfection est une piste intéressante. Peut-être est-ce ma pulsion de survie : **Générer des imperfections qui tendent vers un monde singulier.** Un espace-temps dans lequel chacun aurait le [luxe](/david/stream/2015/01/24/) d’expérimenter, de s’accomplir et de rencontrer. Sans forcément juger les [expériences des autres](https://medium.com/@cohome_in/t%C3%A9moignage-de-freelance-je-pratique-le-prix-libre-ce191d87bed6) ([cache](/david/cache/d61a53eef6e629a08b942494f6a8a710/)), ni poursuivre les mêmes accomplissements. En s’inspirant des imperfections d’autrui pour se remettre en question et pourquoi pas faire un bout de chemin ensemble. Le temps de s’augmenter l’un et l’autre.

> On stigmatise les gens qui « ne font rien », en oubliant les gens qui font et « qui ne sont rien », dont l’identité est totalement broyée par leur travail, et qui représentent une part bien plus importante de la société que les premiers nommés. Évidemment qu’il existe un équilibre. Le rechercher passe par des phases d’explorations alternées du faire et de l’être, pour ensuite pouvoir faire en étant, et être en faisant, dans la joie.
>
> […]
>
> Qui es-tu, quand tu ne fais rien ?
>
> <cite>*[Je suis un fainéant. Ou pas.](https://vivre-en-resilience.com/2016/09/07/je-suis-un-faineant-ou-pas/)* ([cache](/david/cache/2b3910d53520c5ccf0cd929996b2c022/))</cite>

Peut-être que le changement débute par son rapport à l’autre ; auquel on ne commence pas par demander ce qu’il *fait* dans la vie mais ce qu’il *est* dans la vie. Très personnel, assez brutal, à tenter :-).
