title: Algorithmes et public relations
slug: algorithmes-public-relations
date: 2017-02-05
chapo: Un bien commun soustrait au collectif de par son passage à l’échelle.

> Mais il est un moyen pour diminuer ce sentiment d’arbitraire et de toute-puissance. C’est l’application des *public relations* à l’administration : il s’agit d’amener le citoyen à comprendre le pourquoi des décisions prises et, bien plus, à le faire collaborer activement avec l’administration. Des services spécialisés vont alors être à la disposition des administrés pour leur montrer comment fonctionne le service, quelles sont les règles appliquées, pourquoi telle décision plutôt que telle autre a été prise, en quoi ceci est juste, etc. Dès lors disparait le sentiment d’angoisse : l’individu se trouve devant un univers explicable, où les actes ne sont pas absurdes, mais au contraire rationnels et réfléchis. Il est *dans* le système. La décision qui le révoltait devient absolument normale à ses yeux aussi. Le comportement de tel corps de police qui lui paraissait scandaleux devient exactement explicable quand on se situe dans le service et l’optique de ce corps ; les *public relations* sont donc une méthode pour incorporer psychologiquement l’administré dans l’administration, pour lui faire accepter de bonne grâce l’acte commis, pour le faire adhérer à ses raisons.
>
> Autrement dit, il s’agit de réduire le conflit, de créer de bonnes relations, mais celles-ci fondées non sur le fait que l’administration serait au service de l’administré (ce qui est impossible ; la formule est souvent employée, mais elle n’a tout simplement pas de contenu réel imaginable !), mais sur le fait que l’administré, ayant compris, ne rouspète plus. Comme dans tous les domaines, les *public relations* sont un mécanisme de conformisation : qui ne fait qu’accentuer l’autorité, la toute-puissance administrative et ne la compense absolument pas.
>
> Or c’est bien ici que réside l’illusion politique : croire que le citoyen par la voie politique pourrait maîtriser ou contrôler cet État, pourrait le changer.
>
> <cite>*L’illusion politique* par Jacques Ellul.</cite>

La lecture du chapitre relatif au *Contrôle de l’État* ne cesse de m’évoquer le rapport que l’on a aujourd’hui aux plateformes et à leurs algorithmes. Il y aurait des pages entières que l’on pourrait remettre au goût du jour en intervertissant l’État et les plateformes ce qui pose réellement la question de [leur nature politique](https://medium.com/@laurentcalixte/google-amazon-facebook-sont-ils-des-partis-politiques-1fabf9aa395c) ([cache](/david/cache/bf9870c8ed885ad543cea95ed8af96d0/)).

Tout le débat actuel sur l’ouverture et la documentation des algorithmes s’y retrouve. Comprendre sans pouvoir influer. Une autre forme de bureaucratie opaque que l’on essaye de rendre davantage supportable à ceux qui en font les frais. **Un bien commun soustrait au collectif de par son passage à l’échelle.** Civisme d’un côté, attention de l’autre. Tout deux sacrifiés sur l’autel d’un capitalisme confisquant le temps nécessaire au respect et à la confiance, eux-mêmes garants de notre humanité. On parle beaucoup de biens communs ces temps-ci sans préalablement explorer les maux collectifs. Et si l’on repartait des besoins ?

> L’antinomie entre bureaucratie et démocratie est bien connue, bien étudiée. Mais l’illusion est de croire que la bureaucratie peut être dominée par la démocratie.
>
> Toutefois la nouvelle notion de la démocratie (populaire) concorde bien avec la bureaucratie sur le plan totalitaire : la démocratie n’est plus un moyen de contrôler le pouvoir, mais un moyen d’encadrer les masses.
>
> <cite>*Ibid.*</cite>