title: Bitcoin and energy
slug: bitcoin-energy
date: 2017-01-13
lang: en
chapo: Bitcoin can be a way to store extra clean energy.

> One of the obvious objections to Bitcoin has been that the consensus mechanism based on proof-of-work (PoW) is **wasteful**. […] The cost of running Bitcoin is the exact cost of running a system that puts all its trust in a network without privileged nodes.
>
> […]
>
> If you produce surplus electricity, then **Bitcoin mining is your battery** […] The combination of the above ideas might bring to fruition the vision held by the likes of Henry Ford and Thomas Edison of the **energy dollar**
> 
> <cite>*[2016 in Review](https://rauchg.com/2017/2016-in-review)* ([cache](/david/cache/d602608a639cf7051553c62acdedb404/))</cite>

Besides from being a hell of a year for the people at ▲ZEIT — just look at how much they achieved — the shared ideas at the bottom of the post are quite enlightening, especially the one about Bitcoin as a battery. This is the first time I see that technology mentioned without thinking to my neighbours drowning into the Arctic Sea a.k.a. polar bears. And still, using that “money” as a mesure of energy spent is relevant in a context where supply from clean energy can have hiccups.

Let’s say you have a sunny Monday, you use that extra energy to mine some bitcoins. Later that week you’re short on energy because of the rain, you can use that money to buy energy from another source, for instance a dam to be consistent. That’s quite ingenious. **Bitcoin can be a way to store extra clean energy.**

Now what if the time spent on a given website was in use to mine bitcoins for the author of the website? There is maybe a business model here, the visitor allowing to use his energy for a given amount of time per website. As a bonus all these shiny CSS transforms and useless JS will be avoided to let the CPU focus on mining. Yay! Each and every website acting as a micro-battery to create an energy grid at the scale of the Web. Maybe the future is not about micro-payments but pico-gifts of energy.
