title: Distributed teams
slug: distributed-teams
date: 2017-11-05
lang: en
chapo: Working for ten years in distributed teams.

> I am *not* a remote worker, **I am a part of a distributed team**.
> 
> <cite>*[Remote is Dead. Long Live Distributed.](https://medium.com/walmartlabs/we-are-distributed-4c64ec6109f4)* ([cache](/david/cache/3ecaade78d0aa8238013aa0b11f68b81/))</cite>

It has been [ten years today](/david/biologeek/archives/20071105-freelance-django-enfin-independant/) that I started to work within distributed teams. I honestly don’t know how I would go back nowadays to an office with all my colleagues in the same room. It would mean that we all have the same rhythms, constraints and wishes. That equation looks just impossible *for me* to be effective. It doesn’t match [my way of being](/david/blog/2017/spectre-autisme/) and working.

These last six months, we assemble a team with [Yohan](http://yohanboniface.me/) and [Vincent](http://vinyll.github.io/) to accomplish [quite](https://framagit.org/drone) some [work](https://github.com/pyrates) (more to come about all this) and even if we were on different timezones it worked quite seamlessly. Not because of agile processes (whatever it means) but because we’re part of a culture of feedback, empathy and respect. Pairing one hour or two per day looks natural, working transparently and sharing your mood seems logical, taking the time to perform pro-active reviews and learn new things is normal. Acquiring this maturity takes time though and I’m still working on it.

What I learned these last ten years is… drum rolls… that **communication is key**. I’m sure you are suddenly mind-blowed by such an unexpected and profound advice. And still, so many teams are failing because of this. Or more accurately lack of. I tend to think that being distributed somehow helps on that topic with asynchronous communication and different ways of interacting. You are forced to communicate to feel part of the team. Cohesion is made by links and not anymore by presence, that is kind of a paradigm shifting.

Another sort of *cliché* advice is that **documentation matters**, be it a one-page vision at high level, a [6-page memo](https://www.linkedin.com/pulse/beauty-amazons-6-pager-brad-porter) ([cache](/david/cache/8b68131010f19944c7898cd0a89fd6b1/)) at middle level, a couple of [architecture decision records](http://thinkrelevance.com/blog/2011/11/15/documenting-architecture-decisions) ([cache](/david/cache/011e34ad5c059996409dc1ee3caa6b17/)) to document architecture decisions and/or [technical RFCs](https://buriti.ca/6-lessons-i-learned-while-implementing-technical-rfcs-as-a-management-tool-34687dbf46cb) ([cache](/david/cache/23b9ed11a9f44f12c58d899dc056b48d/)) as management tools, writing down why you did it that way, how you are currently experimenting and what you will do soon is clearly underrated.

*Note that I would love to state that working full-time remotely is possible. But it’s definitely not. You have to meet your colleagues in-person at some point. It can be once a week, a month or a year depending on how mature you are to deal with tensions and frustrations. Even companies like [Mozilla](https://www.mozilla.org/) or [LincolnLoop](https://lincolnloop.com/) have to setup workweeks on a regular basis.*

Last and not least, **your behaviour will last**. I was very upset 2 or 3 times this decade and it was always extremely bad for me on the long run to ruminate these situations for so long, not feeling happy with my confrontations. My take away is that integrity is better than money and sometimes taking distance is necessary and clearly better than fighting back immediately with anger. Once again, nothing new nor disrupting here, [be easy to work with](https://jacobian.org/writing/you-have-two-jobs/) ([cache](/david/cache/f7321657093de90e4e5f1765a43c81b1/)) and anticipate delicate situations as much as possible is my professional motto.

What the next ten years will be alike? Hard to say, I always wonder what would be even better to me and I think I reached some peak where I feel valuable to a team/product without being too stressed. And that’s finally all that matters.
