title: Échanger, supprimer et rebondir
slug: echanger-supprimer-rebondir
date: 2017-01-06
chapo: Nouveaux lieux, nouvelles communautés, nouveaux terrains de jeux et d’expérimentations.

> Some of the things I have looked at those days is resilience. How can you survive bad moments, build again, start from scratch, after an incident that is affecting you (whatever its cause). Again, just like for [bad emotion](https://poulpita.com/2016/10/26/its-okay-not-to-be-okay/), or [anger](https://poulpita.com/2016/11/06/mlc-toolbox-about-anger/), here are some articles I identified as bringing some pieces of answers. Those are not *the* answer, but an opportunity to deal with notions and play with it.
>
> <cite>*[Middle Life Crisis Toolbox : about resilience](https://poulpita.com/2016/12/27/middle-life-crisis-toolbox-about-resilience/)* ([cache](/david/cache/b98cf5de13265ce0642a69a80a05fb3f/))</cite>

La tentative d’établissement d’un [lexique](/david/lexique/) l’année dernière a été un échec. Je suis content d’arriver à le reconnaitre. Manque de rythme et l’impression de tourner en rond dans ma propre noirceur.


## Échanger

> It’s this kind of storytelling that I think is maybe critical to understanding the web today: it’s not just that the web made all of us writers—or potential writers, at least. It’s that the speed of distribution on the web, and the connectedness of hypertext, creates a space for iteration and revision, for call and response, that means each act of writing is by definition collaborative.
>
> <cite>*[Hypertext as an agent of change](http://aworkinglibrary.com/writing/hypertext-as-an-agent-of-change/)* ([cache](/david/cache/7cd4629c33617cf1469d593dc039d44c/))</cite>

J’ai envie d’[encourager la découverte](/david/blog/2016/blogrolls-decouverte/) de manière plus active, non plus en ouvrant des portes mais en tendant la main pour un échange. De la réaction à la discussion. J’ai initié cela à travers des [correspondances](/david/correspondances/2017/) qui prennent la forme de lettres. Des *Lettres persanes* à [Dear data](http://www.dear-data.com/) en passant par le *Manuel d’écriture et de survie*, ce format m’a toujours intéressé et offre de nombreuses possibilités de réponses. Passer d’une contemplation de la toile à son tissage assidu, avec un rythme que j’espère hebdomadaire.

Toute la difficulté est de rester dans l’extime en étant compréhensible. Un exercice de style qui s’avère être compliqué ce qui n’est pas sans me plaire.


## Supprimer

> The present is always compromised, always rushed. We muddle through with half the information we need, praised for our speed and faulted when we stop to contemplate or even breathe. Frameworks built on newish worst practices seem like the way out, but they end up teaching and permanently ingraining bad habits in a generation of web makers. Semantics, accessibility, and clarity matter. Reusability is not out of reach. All it takes is clarity and communication.
>
> <cite>*[Kiss My Classname](http://www.zeldman.com/2017/01/03/kiss-my-classname/)* ([cache](/david/cache/f23869c33feb88036ef5ce5b669cadbf/))</cite>

Je suis de plus en plus convaincu que la meilleure des protections est la suppression (heureusement que je ne suis pas garde du corps). J’avais déjà commencé avec la suppression de plus d’une décennie de logs IRC, je compte bien continuer avec les courriels, les photos, etc. En contrepartie, les données restantes seront systématiquement chiffrées et redondées. D’expérience il est beaucoup plus facile de s’astreindre à cette hygiène numérique en gérant moins de données.

Cette année je vais également tenter professionnellement de supprimer des fonctionnalités. Avec de plus en plus le sentiment d’être un développeur décroissant qui se détourne des couches qui viennent immanquablement s’empiler chaque année au détriment de leur compréhension. Il est plus que temps que j’accorde davantage d’attention à l’universalité ainsi qu’à la résilience de ce que je produis. Sans oublier la nature politique de chacune de mes lignes de code.


## Rebondir

> Alors mon plan, si tant est qu’il y en ait un, c’est de trouver ma place, dans l’ici et maintenant de cette mystérieuse incarnation, sans faire de mal à quiconque, et surtout pas à moi. Je reconnais l’existence et l’importance dans l’équilibre global de toutes les initiatives que j’ai découvertes. Je me reconnais dans beaucoup d’entre elles, étant toute à la fois pragmatique, intellectuelle, agissante et contemplative.
>
> <cite>*[C’est quoi ton plan ?](http://maiadereva.semeoz.info/cest-quoi-plan/)* ([cache](/david/cache/cae8bfcf1b65585dac39c0b8491f4ac5/))</cite>

Faire un *reset* dans ma vie avec le départ à Montréal m’a ([re](/david/thoughts/#dequiring))fait prendre conscience de tout ce que j’ai pu accumuler ces trois dernières années. Et du gaspillage que cela occasionne à chaque déplacement. Je vais davantage me concentrer sur des objets moins spécifiques au détriment de leurs technicité. Il en est de même des communautés que je souhaite rencontrer, davantage participer à des communs qui ne se concrétisent pas (seulement) par du code.

Une autre piste que je voudrais explorer est de rendre cet espace auto-suffisant en terme de financement (domaine, hébergement, etc). Un billet plus complet arrive sur le sujet.

**Nouveaux lieux, nouvelles communautés, nouveaux terrains de jeux et d’expérimentations.**


### Dans les épisodes précédents

* 2016 : [Réduire, expérimenter et bouger](/david/blog/2016/reduire-experimenter-bouger/)
* 2015 : [Publier, enseigner et cultiver](/david/blog/2015/publier-enseigner-cultiver/)
* 2014 : [Protéger, lâcher prise et rêver](/david/blog/2014/proteger-lacher-prise-rever/)
* 2013 : [Coopérer, militer et cacher](/david/blog/2013/cooperer-militer-cacher/)
* 2012 : [Rediriger, économiser et débattre](/david/biologeek/archives/20120131-resolutions-rediriger-economiser-et-debattre/)
* 2011 : [Découvrir, concrétiser et transmettre](/david/biologeek/archives/20110112-resolutions-decouvrir-concretiser-et-transmettre/)
* 2010 : [Redistribuer, produire et bouger](/david/biologeek/archives/20100103-resolutions-redistribuer-produire-et-bouger/)
* 2009 : [Prendre soin, voyager et partager](/david/biologeek/archives/20090102-bilan-apres-une-annee-de-freelance/)
* 2008 : [Être, aimer et faire](/david/biologeek/archives/20080101-resolutions-etre-aimer-et-faire/)