title: Micro-cultures and governance
slug: micro-cultures-governance
date: 2017-04-07
lang: en
chapo: Each Mastodon instance creates a micro-culture and links between these micro-cultures are done by humans.

> A new system of governance or collaboration that does not follow a competitive hierarchical model will need to employ stigmergy in most of its action based systems. It is neither reasonable nor desirable for individual thought and action to be subjugated to group consensus in matters which do not affect the group, and it is frankly impossible to accomplish complex tasks if every decision must be presented for approval; that is the biggest weakness of the hierarchical model.
> 
> <cite>*[Stigmergy](https://georgiebc.wordpress.com/2012/12/24/stigmergy-2/)* ([cache](/david/cache/af41fb9f0fa8bc245d6dc8d38db6c7b6/))</cite>

The recent hype within the French community about [Mastodon](https://github.com/tootsuite/mastodon) is fascinating and raises some questions about decentralisation. At first, everybody jumps on [main instances](https://mastodon.social/@dav) for the sake of simplicity and that’s normal. Consider it as freemium, you have 15 days (followers?) to evaluate the product and invest some time to choose and/or install the instance that fits you. The next step is to stick to traditional model and join an instance you trust (like being employed by a company) or to be tech-savy/confident enough to install and maintain your own instance (like acting as a freelance). And then come cooperatives-alike instances, the ones requiring to care about values and ethics.

Why is that important? **Each Mastodon instance creates a micro-culture and links between these micro-cultures are done by humans.** One line of “code” added, thousands of new connections made possible. Another one is removed and a lot of relations are broken without even being noticeable for users. Having that responsibility should be daunting for each instance administrator. That’s why I decided to co-create [a cooperative](http://scopyleft.fr/) after years of freelancing. It was both too easy and too difficult to deal with moral questions alone. Efficiency versus exploration. How do we decide collectively which instances we would like to be linked to? How much time can we dedicate to that task?

There are already initiatives [to finance and share the responsibility](https://mastodon.social/@mattcropp/1804855) of instances and that’s great. I’m more inclined to host an instance at scopyleft.fr than at larlet.fr for the same reasons.  And invite peers to join the governance, discussing and sharing together before doing and working together.

The more I think about all that, the more I realise that federating identities into a unique one is an old model we may want to avoid with real decentralisation. Even with strong self-integrity you do not (re)act the same way given the group you’re in, multiple identities may allow to generate multiple circles of trust (hello G+). Either inter-connected or not. How these relations will evolve at scale based on governance and self-interest is still to be observed. Oh, and acted. Wait, tooted.

*Note: disconnected instances will probably hurt Slack too, maybe more that Twitter actually.*