title: Politique et reliance
slug: politique-reliance
date: 2017-02-21
chapo: Dans résilience il y a lien.

> Ainsi de la formation scolaire : plus on s’oriente vers la fonction pratique, technique, adaptée au monde moderne, et plus on interdit toute connaissance vraie, toute réflexion, toute prise de conscience par l’adaptation préalable. L’enseignement des jésuites de 1830 me parait bien plus apte à cela que le plus moderne et pédagogique de nos enseignements audiovisuels qui n’est jamais rien d’autre qu’un mécanisme d’adaptation pure et simple à la société et donc interdit a priori toute prise de conscience et toute réflexion. Il en est de même en ce qui concerne l’information. Il ne s’agit pas de *plus* informer le citoyen. Il ne l’est déjà que trop. Il est faux que le citoyen très informé soit plus apte… il est plongé dans l’actualité, présente le type même de l’illusion politique, et se trouve plus facilement livré à la propagande. Bien entendu nous ne voulons pas dire par là qu’il faut supprimer enseignement et information, mais simplement tels qu’ils sont conçus (et j’entends par là les plus ultimes pointes du progrès pédagogique et de la bonne information), ils ne peuvent que préparer l’homme à se gaver d’illusion. Le connaître et le comprendre ne peuvent être le fait que de la personne privée, et non de l’être social. C’est ici que réside le malentendu de base.
>
> Il nous faut bien évidemment savoir que « le sujet de la pratique politique et la personne privée sont le même », mais le sujet de la pratique politique ne peut être qu’une personne privée existant en tant que telle et se livrant en tant que telle à l’exercice politique : il s’agit d’un homme conscient de soi avant d’être responsable de la vie publique, et il s’agit dans l’enseignement et dans l’information de permettre la création du premier et non du second.
>
> <cite>*L’illusion politique* par Jacques Ellul.</cite>

Merci [Thomas](https://oncletom.io/) pour ce livre que je lis avec assiduité (sur le trône, je le con-fesse (ça commence bien cet exercice). Il a sur moi l’effet d’un *pharmakon*, rassurant de se sentir moins seul et déprimant de voir que la situation a si peu évoluée en 40 ans. Tiens d’ailleurs en parlant de déprime, je n’ai toujours pas répondu à [Cascador](https://www.blog-libre.org/) sur mon manque de distinction entre le *burn-out* et le *bore-out*. Ils ont pour moi tout deux la même origine qui est un manque d’écoute de soi et d’identification des *burn-in* et *bore-in* annonciateurs. Je me disais l’autre jour que le sport m’aide beaucoup en ce sens, je ne veux surtout pas écouter de musique dans ces moments là car ils me permettent d’être à l’écoute de mon corps et de mon esprit.

Par triple association d’idée, j’en viens à penser à Aurélien. Je n’arrive pas à réagir à ses [récents articles](https://latitude77.org/2017/01/) et j’ai du mal à en identifier les causes. Peut-être vouloir rester accessible, peut-être l’incapacité d’atteindre ce niveau. Je continue de réfléchir à l’éthique des algorithmes vs. la morale de leurs implémentations. La réflexion est comme une marée dont les idées fluctuent avec le ressac. J’ai cette même approche avec le [Cercle des diodes](https://ut7.fr/blog/2017/02/02/dojo_philo_la_suite.html) ([cache](/david/cache/645886b1eec43508b8704b7d4a48739f/)) (à distance) qui consiste à réfléchir ensemble en [jouant un rôle](http://philoteam.ning.com/page/mat-riel-de-jeu). Si les sujets « Peut-il y avoir rencontre à distance ? » et « Tout est-il politique ? » ont été traités très rapidement, ils ne cessent de se rappeler à moi au gré d’insomnies.

> Pour moi, en une première approche très générale, la *reliance* possède une double signification conceptuelle :
>
> 1. *l’acte de relier ou de se relier :* la reliance agie, réalisée, c’est-à-dire *l’acte de reliance* ;
>
> 2. *le résultat de cet acte :* la reliance vécue, c’est-à-dire *l’état de reliance*.
>
> <cite>*[Reliance, déliance, liance : émergence de trois notions sociologiques](https://www.cairn.info/revue-societes-2003-2-page-99.htm)* ([cache](/david/cache/526f95a281f82f4ae5cf85d0bfe610fd/))</cite>

Je me souviens d’Élodie qui souhaitait introduire la reliance comme valeur de scopyleft. Ou peut-être était-ce lors d’une autre discussion, difficile de savoir. Il faudrait que je prenne de ses nouvelles et lui faire savoir que certaines graines continuent de germer longtemps après son passage. Et si c’étaient les défaillances de la mémoire qui permettaient d’affaiblir et de renforcer les liens ? On s’enrichit d’un côté, on encaisse de l’autre et on progresse ainsi en essayant de survivre. 

**Dans résilience il y a lien.**

À force d’écrire sur du papier, j’ai mal au poignet gauche. Heureusement que je me suis fait un entorse à droite, j’aurais été frustré de ne plus pouvoir écrire du tout. Bientôt rééducation avec sa numérisation ?

*Texte rédigé lors d’un exercice d’[écriture libre](http://nota-bene.org/Ecriture-libre) ([cache](/david/cache/1c61fd0ddcc74ee69615636ade36c411/)) ce qui explique le fouillis incompréhensible de mes pensées, publié tel quel après quelques jours pour mémoire. Une fois re…lié.*

PS : si vous êtes en [tension](https://www.xkcd.com/859/) tout comme moi, j’abrège votre souffrance), intéressant de constater qu’à l’écrit je n’ai pas eu de problème à l’oublier, je me demande si ce [TOC](https://fr.wikipedia.org/wiki/Trouble_obsessionnel_compulsif) est sur-représenté chez les développeurs :-).
