title: Web et génétique
slug: web-genetique
date: 2017-01-30
chapo: Le web est un artifice inventé par les cultures pour se propager (meme).

En ce moment et sur les conseils de [Christian den Hartigh](https://pedagogieagile.com/), je me regarde les [vidéos du Marathon des Sciences](http://www.fermedesetoiles.com/webtv/chaine/4/marathon_des_sciences) comme on le ferait d’une série TV. En plus instructif. Et ce sont notamment celles de Pierre-Henri Gouyon « [Le fil de la vie : où l'ordre de la vie est-il écrit ?](http://www.fermedesetoiles.com/webtv/video/217/pierre_henri_gouyon_le_fil_de_la_vie_ou_l_ordre_de_la_vie_est_il_ecrit) » et de Guillaume Lecointre « [La biologie à la lumière du désordre](http://www.fermedesetoiles.com/webtv/video/218/guillaume_lecointre_la_biologie_a_la_lumiere_du_desordre) » qui m’ont fait prendre conscience du parallèle existant entre la génétique et le web. Dans les deux cas, il s’agit d’évaluer quelle est la façon la plus pérenne de faire transiter une information. On peut même aller dans l’extrême et reprendre l’une des phrases chocs de la première présentation :

> Les individus sont des artifices inventés par les gènes pour se reproduire.

Ce que je m’empresse de paraphraser ainsi (il faut voir la vidéo pour comprendre la référence aux memes) :

> Le web est un artifice inventé par les cultures pour se propager (meme).

Le web acquérant son importance dans les idées qu’il véhicule. Une histoire de contenu et de contenant. Défendre la liberté d’expression des cultures est un enjeu lié à celui de la neutralité du Net par exemple, l’un n’allant pas sans l’autre. Mais je m’égare, revenons à notre ADN. Dans le cas de la génétique, la solution qui semble prévaloir jusqu’à présent est triple et correspond à :

> Message → Décodeur → Contexte

L’information qui est finalement transmise repose sur ces trois facteurs que les généticiens traduisent en :

> Génétique → Épigénétique → Environnement

On a l’ADN qui se trouve être interprété d’une certaine manière et qui s’exprime ensuite en fonction de la pression environnementale. Je reste vague car on ne connait pas encore vraiment les mécanismes fins de ce processus. Or, on retrouve le même triptyque dans le web avec :

> Code → Navigateur → Situation

Le HTML/CSS/JS contient le message qui a besoin d’un navigateur pour être décodé. Message qui va être lu dans un contexte donné (mobilité, attention, etc). Le couplage de l’une de ces étapes avec l’autre affaiblit le processus de transmission. Les deux conférenciers souhaitent tordre le cou à la notion de « code génétique » alors que je la trouve pertinente dans ce cadre là. Ou alors faudrait-il relativiser ce que l’on entend par « programme » informatique de manière plus générale ?

En biologie, il y a besoin d’avoir de la variabilité à chacune de ces étapes locales pour arriver à une stabilité globale. Les cas de stabilités locales étant sujettes à des extinctions de masse à moyen terme. Laissant la place à l’expression d’une nouvelle diversité qui stabilise au niveau macro. **En informatique, les plateformes/silos et/ou la mono-culture Webkit et/ou le biais culturel au sens large mettent en péril cette diversité.** Si votre information est publiée sur Medium, lisible par Chrome uniquement et/ou à destination des riches, il y a statistiquement moins de chances qu’elle soit à l’épreuve du temps.

En tant que développeur web, je ne peux avoir d’influence que sur le code. L’universalité du code produit est garante de la [résilience](/david/blog/2017/resilient-web-tools/) de l’information sur le long terme. Lorsque je cible un navigateur ou une situation, je l’affaiblis et je lui fais prendre des risques. Vouloir être précurseur d’une nouvelle ère est un pari à court terme, avec pour enjeu les données d’autrui qui risquent de se retrouver dans un cul-de-sac phylogénétique, signifiant l’extinction d’un message.

Un autre point qui m’a fait tiquer est l’opposition historique inné/acquis qui se matérialise par le couple conservateurs/libéraux en politique. Les premiers étant dans l’analytique, les seconds dans l’empathie. **Le code comme notion de Droite et son interprétation comme notion de Gauche.** La [création rapide et égoïste](/david/blog/2017/code-vitesse/) vs. la [collaboration lente et plurielle](/david/blog/2016/collaboration-debt/). Le repli et l’ouverture. Montre moi ta façon de transmettre une information et je te dirai pour qui tu vas voter :-).
