title: Bushcraft retrospective
slug: bushcraft-retrospective
date: 2018-10-07
chapo: One year, 30+ days in the bush, what I learned.
lang: en

<details lang=fr>
  <summary>Résumé en français</summary>
  <p>Petit bilan après une année passée à parcourir les bois québécois.</p>
</details>

> But there’s a deeper reason, I’ve come to think, that so many people don’t have hobbies: We’re afraid of being bad at them. Or rather, we are intimidated by the expectation — itself a hallmark of our intensely public, performative age — that we must actually be skilled at what we do in our free time. Our “hobbies,” if that’s even the word for them anymore, have become too serious, too demanding, too much an occasion to become anxious about whether you are really the person you claim to be.
>
> If you’re a jogger, it is no longer enough to cruise around the block; you’re training for the next marathon. If you’re a painter, you are no longer passing a pleasant afternoon, just you, your watercolors and your water lilies; you are trying to land a gallery show or at least garner a respectable social media following. When your identity is linked to your hobby — you’re a yogi, a surfer, a rock climber — you’d better be good at it, or else who are you?
> 
> <cite>*[In Praise of Mediocrity](https://www.nytimes.com/2018/09/29/opinion/sunday/in-praise-of-mediocrity.html)* ([cache](/david/cache/4a30c5e49bd90cbd2ecf7f131b2d1a19/))</cite>

I realized during my [last trip](/david/blog/2018/into-the-raft/) that I spent more than 30 days out [in the wilderness](/david/bushcraft/) that year. Alone. **Does it qualify as a hobby?**

## Naming

First, let’s talk about that *bushcraft* term, I think it doesn’t fit anymore what I’m attempting/aiming for in the forest. If I had to qualify it, it would be at the intersection of *light bushcraft*, *wild camping* and *active meditation*. I don’t know how to summarize it all. And maybe I should give up trying.

Again, this is not about surviving or fighting elements but to *be* in the forest and realize what civilization brought to us.

## Drinking

This is probably the only solved problem so far:

* Katadyn BeFree when it’s not freezing ;
* [Jetboil Joule Cooking System](/david/stream/2018/02/15/) otherwise.

Between the two, a [wood stove](/david/stream/2018/04/28/) is the way to go. Lakes/rivers in Quebec are rarely contaminated which helps to reduce some stress for these kind of manipulations.

## Sleeping

I tried a lot of options, from a [raised bed](/david/blog/2018/into-the-camp/) to sleeping [on my raft](/david/blog/2018/into-the-raft/) (with more traditional ones!), none is great. I need to iterate on this topic given that I cannot go for a 4+ days trip otherwise.

Bringing a hammock to take a nap during the day is great but for the night I’m sleeping on the side so it’s not a viable solution (except maybe the [Draumr](https://www.amokequipment.com/collections/draumr-hammock) but it’s quite heavy).

Finding a place to build a semi-permanent shelter would allow myself to set a better sleeping area.

## Eating

There are so many ways to eat in the woods. What I learned so far is that it’s safer to take a few meals which can be prepared with cold water (like semolina) in case of impossibility to make a fire (very strong wind for instance). 

I never took a dehydrated meal this last year, I’ll probably test during the winter if I feel lazy. Most of the time I prefer to take multiple snacks instead of a regular meal. I find it easier to deal with hypothermia and hypoglycaemia.

I didn’t take any meat either except a few *saucissons* during the winter because you need a lot of lipids to warm up the body during the evening/night. And I’m not ready to crunch a butter tablet.

One thing I discovered is oatmeal coupled with dehydrated hot chocolate and dried fruits. Light, hot, definitely filling. A good solution for breakfasts. Pro tip: a whole pot of water boiling, half in the oatmeal, the other half infusing the tea in the pot while eating, then transferring the tea in the oatmeal bowl to clean it. Nothing to wash :-).

## Fishing

I caught 4 fishes this year. Four. All black basses on the same spot. I fished countless hours though. The return over investment is so ridiculous (without counting the 80$ I had to pay for my permit, not being a Canadian…) if you consider the weight of the material. It does supplement my food with proteins but the cost is probably too high for that.

When I fish, it is to catch ONE fish and to eat it right away. Which means that fishing at 5 a.m. is not an option because I prefer sugar in the morning! Even in the evening, the last one was so big I had to force myself to finish it. That’s always when you put the rice in the water that it’s biting right?

All that considered, I need to find a better approach. Or go further into veganism which would be more consistent…

## Fearing

Out of zoos, I never ever saw a bear in Canada. At first I was quite afraid bringing a bear spray and all. Then a bell. And now nothing, I accepted that it will probably hear/smell me miles away and flee anyway.

This is the same for wolves and coyotes, I still hear them sometimes in the distance by night and that’s okay. You have to be more cautious during the winter when the number of prey is limited but other than that an unwounded human is too scary.

I accepted the night has its own sounds and I’m happy when I can hear an owl hooting in the evening, a little less when it’s a loon all the night but hey *I* am the one in their forest making unlikely noises too.

When I go for a swim in a remote lake with nobody around I am a bit concerned about contracting some cramps but a good hydration and not stressing too much about it is the best I can do to prevent it. Overthinking is your worst ally.

I’m still afraid of falling trees though. You have to hike in an unmaintained forest to realize the probability to get hit by a tree on a windy night is far from being null.

## Being

When you come over your fears, what remains is you (thank you Frank Herbert). This is the end of a cycle to me and it took me a whole year to get to it. To be in peace with the surrounding nature, to be in peace with myself. To be aware of the energy consumption of making some water boiling or going from one point to another. To know myself better in different contexts and to inhabit a foreign soil literally from the ground. I don’t know how close it is related to the feeling of being an immigrant and/or of getting back to nature given the pending (environmental) crisis.

*What’s next?*
