title: Cheminer, espérer et contrôler
slug: cheminer-esperer-controler
date: 2018-01-03
chapo: Aller chercher l’espoir là où il est encore possible.

<details lang=en>
  <summary>Summary in English</summary>
  <p>Wandering, hoping and controlling. It might sounds antithetic, as is my life, evolving in a diverse society.</p>
</details>

> Car dans le monde animiste, il y a un mot pour dire que les être de la métamorphose deviennent la norme, prolifèrent, il y a un terme pour dire que l’on ne sait plus prédire le climat ou le comportement de la rivière… On appelle ça le temps mythique. C’est un temps particulier. Une forme du temps dont la spécificité était d’être à l’origine du monde et qui à la fois continue à exister. C’est un temps des origines qui subsiste et continue à travailler le présent pour nous inviter à stabiliser le futur.
>
> Dans le temps du monde, on sait avec qui on entre en relation : on connait le comportement du loup, de la rivière, du caribou…, on sait comment entrer dans une relation soutenable avec eux. Dans le temps du mythe, les êtres et relations sont instables, métamorphiques, en train de se faire. Dans le temps du mythe, humains et animaux ne sont pas toujours distingués, les genres ne sont pas circonscrits. L’histoire des mythes, c’est l’histoire de personnages, de chamans, de héros… qui nouent des pactes avec les êtres de la métamorphose pour stabiliser des relations viables avec eux. Le temps du monde hérite de cette stabilité, permet de cohabiter de manière décente, honorable, soutenable, avec ceux avec qui nous partageons la terre.
>
> Est-ce que ça sert à quelque chose de comprendre notre temps comme un retour du temps du mythe ?
> 
> <cite>*[De l’impossible habitabilité de l’anthropocène](http://www.internetactu.net/2017/12/21/de-limpossible-habitabilite-de-lanthropocene/)* ([cache](/david/cache/7775553e1b47a7acd09205efe5a9c0e1/))</cite>


## Cheminer

Grosse envie de parcourir la forêt. Seul, accompagné, en canot, en famille, en toute saison. Un besoin de nouvelles nécessités, de nouveaux bruits, de (pré)occupations différentes. Trouver des lieux à partager, d’autres à garder intimes, explorer un territoire sans se l’approprier d’aucune façon. Juste être un parmi d’autres, être de la multitude qui vit.

Encore en pleine recherche entre légèreté et résilience, avancée et contemplation, dépense et économie. Après avoir gambadé en nature plus d’une décennie, envie de ralentir la foulée pour découvrir une nouvelle dimension.


## Espérer

Aller chercher l’espoir là où il est encore possible. En trouvant un cadre bienveillant, en transmettant des énergies positives, en acquérant des compétences constructives. Enfouir les culpabilités irrésolvables faute de mieux, fuir les échanges toxiques au lieu de résister. Lâcher-prise et croire en l’hyperlocal, même si cela doit se limiter à une famille.

Et en parallèle, chercher la congruence. Encore et encore. Découvrir de nouvelles pratiques propres à une équipe donnée. Tisser de la confiance en produisant du périssable.


## Contrôler

Reprendre possession de mes outils, la compréhension comme thérapie à la *fatigue*. L’aventure initiée avec Yohan sur [pyrates](https://github.com/pyrates) m’a fait prendre conscience du bienfondé de la (ré)écriture afin de s’aligner techniquement tout en ayant un sentiment de maîtrise sur la chaîne de production de la valeur. Aux antipodes d’une aggrégation de bouts de configuration cryptiques ;-).

Mais cela va peut-être plus loin que la technique avec la réalisation de pain, la culture potagère ou la pêche opportuniste. Repartir de bases saines, ré-interroger des besoins vitaux. Itérer sur des basiques, sans snobisme. Une pratique de la différence pour s’accepter dans un monde uniformisant. Et tenter de comprendre ces autres.


### Dans les épisodes précédents

* 2017 : [Échanger, supprimer et rebondir](/david/blog/2017/echanger-supprimer-rebondir/)
* 2016 : [Réduire, expérimenter et bouger](/david/blog/2016/reduire-experimenter-bouger/)
* 2015 : [Publier, enseigner et cultiver](/david/blog/2015/publier-enseigner-cultiver/)
* 2014 : [Protéger, lâcher prise et rêver](/david/blog/2014/proteger-lacher-prise-rever/)
* 2013 : [Coopérer, militer et cacher](/david/blog/2013/cooperer-militer-cacher/)
* 2012 : [Rediriger, économiser et débattre](/david/biologeek/archives/20120131-resolutions-rediriger-economiser-et-debattre/)
* 2011 : [Découvrir, concrétiser et transmettre](/david/biologeek/archives/20110112-resolutions-decouvrir-concretiser-et-transmettre/)
* 2010 : [Redistribuer, produire et bouger](/david/biologeek/archives/20100103-resolutions-redistribuer-produire-et-bouger/)
* 2009 : [Prendre soin, voyager et partager](/david/biologeek/archives/20090102-bilan-apres-une-annee-de-freelance/)
* 2008 : [Être, aimer et faire](/david/biologeek/archives/20080101-resolutions-etre-aimer-et-faire/)
