title: Meritocracy crisis
slug: meritocracy-crisis
date: 2018-06-19
chapo: We recreated an aristocracy. It’s time to wake up!
lang: en

<details lang=fr>
  <summary>Résumé en français</summary>
  <p>
    Au sujet des inégalités engendrées par la méritocratie. Voir aussi les billets d’Aurélien à ce sujet : <a href="https://www.blog-libre.org/2016/04/20/meritocratie-1/">1</a> (<a href="/david/cache/80deab01e48391df91c212bf1e7b2b86/">cache</a>) et <a href="https://www.blog-libre.org/2016/04/21/meritocratie-2/">2</a> (<a href="/david/cache/8c1736e8dd979cf38e9ffca8fc7589af/">cache</a>).
  </p>
</details>

> Yes, of course, we’re fucked. (Though it’s important to specify the “we” in this formulation, because the global poor, the disenfranchised, the young, and the yet-to-be-born are certifiably *far more fucked* than such affluent, white, middle-aged Americans as Vollmann and myself.) But here’s the thing: with climate change as with so much else, *all fuckedness is relative*. Climate catastrophe is not a binary *win* or *lose*, *solution* or *no-solution*, *fucked* or *not-fucked* situation. Just *how fucked* we/they will be—that is, what kind of civilization, or any sort of social justice, will be possible in the coming centuries or decades—depends on many things, including all sorts of historic, built-in systemic injustices we know all too well, and any number of contingencies we can’t foresee. But most of all it depends on *what we do right now*, in our lifetimes. And by that I mean: what we do *politically*, not only on climate but across the board, because large-scale political action—the kind that moves whole countries and economies in ways commensurate with the scale and urgency of the situation—has always been the only thing that matters here. (I really don’t care about your personal carbon footprint. I mean, please do try to lower it, because that’s a good thing to do, but fussing and guilt-tripping over one’s *individual* contribution to climate change is neither an intellectually nor a morally serious response to a *global systemic crisis*. That this still needs to be said in 2018 is, to say the least, somewhat disappointing.)
> 
> <cite>*[Carbon Ironies](https://thebaffler.com/latest/carbon-ironies-stephenson)* ([cache](/david/cache/a8b9b40fbf4319b50732148b867f8537/))</cite>

I really think the current situation (climate change, potential collapse and so on) has something to do with meritocracy. Not in the sense that *they* deserve it but because of the way we structure societal inequalities based on that pattern. What started as a satire:

> When Michael Young, a British sociologist, coined the term *meritocracy* in 1958, it was in a dystopian satire. At the time, the world he imagined, in which intelligence fully determined who thrived and who languished, was understood to be predatory, pathological, far-fetched. Today, however, we’ve almost finished installing such a system, and we have embraced the idea of a meritocracy with few reservations, even treating it as virtuous. That can’t be right. Smart people should feel entitled to make the most of their gift. But they should not be permitted to reshape society so as to instate giftedness as a universal yardstick of human worth.
>
> <cite>*[The Disadvantages of Being Stupid](https://www.theatlantic.com/magazine/archive/2016/07/the-war-on-stupid-people/485618/?single_page=true)* ([cache](/david/cache/955d9edc26a98528b83e092abb820a0f/))</cite>

Soon replaced the previous aristocracy with exactly the same patterns:

> A narrative is emerging. It is that the new meritocratic aristocracy has come to look like every other aristocracy. The members of the educated class use their intellectual, financial and social advantages to pass down privilege to their children, creating a hereditary elite that is ever more insulated from the rest of society. We need to build a meritocracy that is true to its values, truly open to all.
> 
> <cite>*[The Strange Failure of the Educated Elite](https://www.nytimes.com/2018/05/28/opinion/failure-educated-elite.html)* ([cache](/david/cache/010d7b4cef0538d956bae632f72cef53/))</cite>

Trying to fix a profoundly anchored cultural way of thinking and acting with [yet another manifesto](https://postmeritocracy.org/) ([cache](/david/cache/5dd36dfcafda22db4792e1a51a4e807f/)) restricted to tech and open source is being blind to what is happening at a larger scale. Associated privileges have consequences in areas far more widespread within the society. All is linked **and** coupled.

*And I don’t have any clue on how to fix that complex and systemic issue (knowing that I am part of it). I feel it is deeply related to power and our representation of the world, our relation to nature and our need to dominate others to exist.*

The temptation to create a community apart of that society is getting higher and higher as time flies by. Restarting from scratch trying to avoid known pitfalls. Failing, iterating, growing slowly and consciously.


## Related

* It’s interesting how Mozilla is [trying to address the concern](https://groups.google.com/forum/#!msg/mozilla.governance/OQlS6-gUBLQ/u0Em5XKjCAAJ) ([cache](/david/cache/8322131f44f453460494b9a24850300b/)) by totally getting rid of the term.
* The [Open Decision Framework](https://github.com/red-hat-people-team/open-decision-framework/blob/master/ODF-community.md#open-decision-framework) ([cache](/david/cache/272e63c4d3672925043c6bfa06f19ed9/)) might help to deal with some biases at the beginning.
