title: Penser à distance
slug: penser-distance
date: 2018-12-04
chapo: Une bonne expérience de réunion avec visuels à distance.

Je passe beaucoup de temps à travailler avec des personnes de l’autre côté de l’atlantique. Lorsqu’il s’agit de prendre quelques minutes quotidiennement pour échanger sur du court terme, une connexion vacillante avec du bruit ambiant peut suffire. Mais lorsqu’il s’agit de réfléchir ensemble à la suite sur du moyen/long terme c’est beaucoup plus compliqué. Surtout si le reste de l’équipe a les moyens de se retrouver dans la même pièce ce qui donne lieu à une asymétrie d’expression. Pour l’avoir vécu de nombreuses fois, c’est assez frustrant.

Je vais décrire ici une configuration qui nous a permis sur [zam](https://beta.gouv.fr/startups/zam.html) de faire une session ensemble à cinq personnes qui était très satisfaisante pour moi. Le matériel requis est assez simple :

1. un téléphone intelligent qui permet de capter le son
2. un portable muni d’une caméra pour partager l’image

Pourquoi ne pas faire les deux avec le même outil ? Cela permet d’avoir le recul nécessaire à la caméra afin que je puisse voir l’ensemble de la pièce et aux interlocuteur·ice·s de ne pas avoir à crier en direction du portable pour autant. Vous pouvez adjoindre un vidéo-projecteur pour plus de confort ce qui permet de mieux discerner les expressions de visage de la personne à distance. Concrètement ça donne ceci (des fois les expressions du visage c’est pas non plus très flatteur :P) :

<figure class="unsquared">
  <img src="/static/david/blog/penser-distance/vue-participant.jpg" alt="Vue participant" />
  <figcaption>
    1. Le téléphone pour le son et la mobilité<br>
    2. Le portable avec webcam pour l’image<br>
    3. Le vidéo-projecteur pour voir les expressions du visage (facultatif)<br>
    4. Du chocolat pour le fun ! (pas facultatif)
  </figcaption>
</figure>

En bonus, la captation du son peut se faire à distance du vidéo-projecteur ce qui évite d’avoir le ventilateur qui bourdonne. Sans compter que le téléphone est généralement plus apte à filtrer les sons ambiants. De mon côté, j’ai le flux vidéo de la pièce en continu et j’entends les interlocuteur·ice·s même s’ils ou elles se baladent :

<figure class="unsquared">
  <img src="/static/david/blog/penser-distance/vue-classique.jpg" alt="Vue classique" />
  <figcaption>
    Ce que je vois de mon côté la plupart du temps
  </figcaption>
</figure>

Là où ça devient vraiment chouette c’est que le téléphone intelligent peut être transporté vers un point d’intérêt temporaire comme un tableau de post-it ou un croquis sur un cahier et grâce à l’activation de la caméra sur celui-ci je me retrouve capable d’avoir cette vue :

<figure class="unsquared">
  <img src="/static/david/blog/penser-distance/vue-tableau.jpg" alt="Vue tableau" />
  <figcaption>
    Lorsqu’on a besoin de discuter avec du visuel
  </figcaption>
</figure>

Sur laquelle je peux zoomer en mettant en plein écran et vraiment interagir à distance, voir ce qui est pointé du doigt ou demander des explications sur une colonne particulière :

<figure class="unsquared">
  <img src="/static/david/blog/penser-distance/vue-tableau-zoom.jpg" alt="Vue tableau zoom" />
  <figcaption>
    Lorsque j’ai besoin de voir ce qui est indiqué sur des post-it par exemple
  </figcaption>
</figure>

La mise en place est relativement aisée et peu coûteuse (comparé à des solutions dédiées) mais par contre ça change tout pour moi. On a passé plusieurs heures à discuter d’évolutions sans que je ressente de gêne que ce soit pour me faire entendre ou pour comprendre ce qui se disait relativement à des supports visuels. C’est un peu ce que je cherche depuis… plus de dix ans !

*Merci à Maïtané, Ronan, Mélodie et Raphaël. Pour tout <3.*
