title: Start-up nation
slug: startup-nation
date: 2018-06-12
chapo: Les Startups d’État sont différentes !

<details lang=en>
  <summary>Summary in English</summary>
  <p>Please stop messing around with start-up nation and Startups d’État names. These concepts are really different.</p>
</details>

> Et pour cela, un seul modèle tout prêt à l’emprunt, celui des plates-formes et des start-ups. On aurait pu penser que « l’état plate-forme » serait devenu le slogan de Macron et de toute l’administration, sous l’influence de l’élite économique et des réseaux de consultants qui gravitent autour de lui. J’avais signalé comment l’ouvrage de Colin et Verdier sur « l’âge de la multitude » vantait de façon quasi obscène la performance des plates-formes, à l’époque (2012) où Uber émergeait avec la philosophie de barbare qu’on connait (et dont les auteurs se réjouissaient puisque cela allait enfin bousculer toutes les rentes) et où les GAFA devenaient les maitres du monde, les nouveaux suzerains auprès desquels tous les gouvernements faisaient figure de vassaux.
> 
> <cite>*[Le dogme de la "startup nation" à l’attaque du service public](https://blogs.mediapart.fr/dominique-g-boullier/blog/070618/le-dogme-de-la-startup-nation-l-attaque-du-service-public)* ([cache](/david/cache/ee1a15eed46e2fd9cef9b41ee81036cb/))</cite>

*Avertissement : je participe aux Startups d’État depuis 3 ans où j’ai contribué à 3 produits différents. Les propos qui suivent sont le fruit d’une réflexion personnelle.*

Il y a beaucoup de choses qui se mélangent dans cet article, à commencer par [start-up nation](https://twitter.com/emmanuelmacron/status/852561494810251264?lang=en) et [Startups d’État](https://beta.gouv.fr/apropos/) ([cache](/david/cache/86939b13f2cea3d1ffbaa5b544fe5e45/)) qui sont deux concepts que je considère être aux antipodes mais qui ne cessent d’être associés dans mon entourage. Je vais tenter de clarifier en répondant point par point :

## Recette 1: table rase

> Ressources étonnantes qui ne figurent pas dans les méthodes innovantes proposées : une histoire, une mémoire, une généalogie, une trace de tout ce qui a été tenté et de tout ce qu’on peut apprendre, des réussites comme des échecs. Voilà un des syndromes de l’idéologie startupiste […] : l’inculture historique

Le programme [Entrepreneur.e d’Intérêt Général](https://entrepreneur-interet-general.etalab.gouv.fr/) c’est justement de recruter quelqu’un de l’extérieur pour être en binôme avec un agent qui a la connaissance de l’irritant, qui a déjà tenté des choses et qui est une mémoire vivante de la problématique.

Il s’agit aussi d’une acculturation à double sens qui est nécessaire pour établir un lien d’empathie avec les personnes affectées au quotidien par le problème. L’attitude que j’observe n’est pas de nature conquérante mais bien au contraire compréhensive et bienveillante. Il ne s’agit pas de disrupter mais d’accompagner.

## Recette 2: créativité oui! controverse non!

> Car on peut développer une interface géniale et très « user friendly » d’une application et avoir des retours très satisfaits de ces clients futurs ou réels alors même que l’application crée un désastre économique […], écologique […] ou moral […]. Où se trouve la boite à outils des controverses, des débats publics, du bien commun qui exige débat, contradiction et souci, souci constant des développeurs eux-mêmes à propos de la finalité de leur travail. Car oui, même les geeks et startupers sont responsables et se rendent compte qu’on leur fait parfois produire des dispositifs d’asservissement. […] La disparition du politique, voici le second syndrome du dogme startupiste.

La pensée politique se décline à plusieurs échelles :

* à titre personnel, je pense que l’on a tous nos propres tiraillements et pour ma part [je ne les cache pas](/david/stream/2018/04/25/) et [je me rassure comme je peux](/david/stream/2018/06/06/) ;
* à titre d’équipe, il faut considérer ces startups comme des espaces de collaboration et de réflexion sur un sujet donné, les échanges sont nombreux et loin d’être restreints à la technique ;
* à titre de communauté, les startups ne sont pas isolées entre elles et communiquent de manière transverse pour échanger leurs pratiques mais aussi leurs craintes et leurs doutes ;
* à titre de mouvement, il y a des initiatives dans tous les pays et les [questionnements sont proches](/david/stream/2018/05/22/).

Ces différents niveau de réflexion me semblent être suffisants pour que la controverse existe. Sans compter que les personnes externes (dont je fais partie) sont aussi là en tant que citoyens plus ou moins engagés.

## Recette 3: passage à l'acte

> Ils verraient alors à quel point les cultures politiques ont disparu pour faire place à un impératif quasi fusionnel autour des promesses de la technologie et surtout au passage à l’acte, celui du producteur de code. Il s’agit bien d’un passage à l’acte au sens psychanalytique, qui suspend toute élaboration du désir pour lui substituer la réactivité de la pulsion, dont on ne peut produire aucune réflexivité et qui ne supporte pas l’idée même d’un débat, d’un colloque, soit-il singulier. […] C’est dire à quel point le sens politique du débat, pourtant vital pour la démocratie, a été perdu au profit d’un modèle du confessionnal. On peut donc continuer à passer à l’acte à condition de s’excuser, ce qui revient à ajouter un nouveau terme au slogan du monde numérique « rough consensus, running code… and apologies » !

Je vois une certaine naïveté dans cette pensée qu’il n’y a pas un humain derrière ce *producteur de code* qui est lui-même un citoyen (potentiellement usager de son propre outil au passage). Il ne faut pas croire également que les startups sont développées complètement hors-sol, au contraire, il s’agit de s’intégrer dans un écosystème existant et de coopérer avec les différents groupes afin de se coordonner et d’aller dans la même direction. Celle qui semble correspondre aux besoins des citoyens.

## Recette 4: court-termisme (quick wins en français)

> Une dernière dimension me parait totalement absente des discours sur l’adaptation des services publics, celle de la vision. Elle est en quelque sorte le contre point de la mémoire et de la table rase. On pourrait en effet rester indulgent devant le mépris de la mémoire (et donc du passé) si la vision du futur était assez puissante et convaincante. 

Ici, je dois avouer que je reste pour l’instant sur ma faim. La vision se dessine au fur et à mesure de l’avancée du projet mais il manque parfois un cap clair dans ce qui est produit et pour quelles finalités. Les externalités sont toujours nombreuses et c’est là où les choix politiques ont leur importance pour orienter et donner de la valeur à l’une plutôt qu’à l’autre.

En revanche, là où la *proposition du futur* me semble enthousiasmante c’est de montrer qu’une petite équipe est en capacité de réduire un petit irritant. Et que cela puisse donner de l’espoir et de l’envie à d’autres, façon colibris.

## Recette 5: metoo (l'autre!) et tyrannie du retard

> Or, l’impératif de vision à long terme et de « devenir avec » (les usagers, les talents et les envies des agents) est au cœur du service public et si l’on considère qu’il est absent, ce n’est certainement pas en installant une dénégation de la responsabilité à long terme et de vision, attribuée aux start-ups, que l’on va remédier à la situation. Au bout du compte, c’est avant tout la pression de l’innovation **technologique** qui semble être le seul moteur d’innovation.

Plus j’acquiers de l’expérience et plus je me rends compte que l’innovation au cœur des Startups d’État n’est pas tant dans la technologie que dans le fait de montrer que des interactions entre ministères sont possibles, que la donnée gagne à être partagée avec tous, que les agents peuvent produire un bien commun plus qu’un bien politique (au sens de *Politikè* et non de *Politeia*). Plus que des produits innovants, ce sont les produits inspirants qui m’animent.

## Un design organisationnel pluriel et coopératif est possible

> Les agents des services publics connaissent les points de blocage et se focaliseront plus facilement sur cette créativité organisationnelle parce qu’ils sont à l’intérieur des services et savent qu’on ne peut pas repartir de zéro. Comment leur redonne-t-on confiance dans leur propre esprit d’initiative, alors qu’on a passé des années à les décourager pour des raisons de procédure, pour des rivalités de clocher ou pour des réductions de moyens systématiques ? Que peuvent-nous dire les pratiques des start-ups pour changer cela ? Quasiment rien, car leur objet, leur situation, leurs cultures, leurs contraintes ne sont pas du tout de cet ordre.

J’espère avoir montré qu’il y a peut-être une alternative. Pour l’anecdote, je ne suis peut-être pas un statupers pur souche mais j’ai quand même évolué dans quelques-unes et mon contact avec le service public me permet aujourd’hui justement d’appréhender cette culture différente et ces contraintes associées. Les divergences culturelles ne peuvent être forcées de manière unilatérale, cela passe forcément par un échange et une compréhension de l’autre, fut-il agent, citoyen ou ministre. Sans ce contact, je n’aurais probablement pas exploré les [communs](/david/blog/2017/donnees-communs/), les [algorithmes](/david/blog/2017/algorithmes-public-relations/) ou [l’importance de la maintenance](/david/blog/2016/delivery-values/) et de la [simplicité requise](/david/blog/2016/simplicite-defaut/) pour y accéder.

C’est ce qui me motive aujourd’hui : être au contact d’autres cultures afin d’être toujours en capacité de pouvoir changer. De la nécessité d’une certaine entropie pour pouvoir continuer à évoluer. Ne plus être acteur du changement mais porter en soi le changement.

*Et que ce changement ait fortuitement des répercussions positives…*