title: Faire équipe
slug: faire-equipe
date: 2019-08-26
chapo: Comment est-ce que ça se passe dans ton équipe ?

*Ceci n’est pas une recette, encore moins une méthode. Il s’agit d’un [instantané](/david/blog/2016/instantane-scopyleft/), d’une histoire, d’un témoignage. Le récit d’une année à faire équipe. Faire car il s’agit d’une attention permanente pour réussir à grandir ensemble. Équipe car des liens suffisamment forts se sont formés pour avoir envie de continuer.*

Est-ce que le fait qu’on soit une équipe distribuée et asynchrone change quelque chose ? Est-ce que le fait qu’il y ait une certaine diversité dans l’équipe influe sur nos relations ? Est-ce qu’il y aurait des choses à améliorer ? Je n’en ai aucune idée. Et cela ne m’intéresse pas dans ce contexte, car justement il est changeant. Aussi, je vais davantage me concentrer sur le comment… faute d’avoir trouvé un pourquoi.


## L’équipe

Nous sommes cinq et aucun de nous n’est à plein temps sur le [produit](https://beta.gouv.fr/startups/zam.html) ([cache](/david/cache/19190c0e99e46346141821509905c1e9/)) :

* Mélodie a la connaissance métier
* [Ronan](https://ronan.amicel.net/) code avec moi
* [Maïtané](http://www.maiwann.net/) rend le produit utilisable
* [Raphael](http://ut7.fr/) est là en soutien

Les rôles ne sont pas pour autant figés, sur une petite équipe il est de toute façon nécessaire de pouvoir emprunter la casquette de l’autre, ne serait-ce que pendant des vacances.


## Les rituels

Une journée type lorsqu’on a six heures de décalage horaire.

Je me lève et je regarde ce qui s’est dit dans la matinée française. Le niveau de stress est assez bas car je sais que Ronan peut être sur le pont avant moi. J’enchaîne en faisant un tour du côté du code pour voir s’il y a de nouvelles propositions et/ou commentaires.

Lorsque je me sens apte à parler (pas évident au réveil), je propose à Ronan ou Maïtané  de travailler ensemble sur une fonctionnalité si le contexte et l’enthousiasme s’y prêtent. Sinon, je picore dans la liste des choses à faire.

En fin de matinée (pour moi), on papote avec Mélodie et les présent·e·s, en moyenne autour d’une heure par jour je dirais. C’est un temps important pour s’accorder et transmettre des informations sur la vie du produit, notamment lorsqu’on est à distance. C’est aussi le moment où je discute d’un plus gros morceaux à faire lorsque les autres ont décroché·e·s.

Mon après-midi ou ma soirée (ça dépend de la météo) est généralement consacrée à une tâche demandant une concentration plus profonde, ce qui est l’idéal car je suis moins sollicité. En parallèle, je garde un œil sur le serveur de production si c’est un moment législatif particulier.

Et on recommence le lendemain. Ou presque.

Tous les mois, il y a une démonstration qui nous permet d’échanger avec les utilisateurs et utilisatrices sur ce que nous développons. Ce qui vient ajuster la liste des choses à faire afin d’être plus proche de leurs besoins.

Quand on en ressent le besoin on se fait une rétrospective, à peu près tous les quatre/cinq mois. L’occasion de prendre un peu de recul et de se rappeler qu’on aime bien travailler ensemble.

Lorsqu’il y a un gros morceau qui nécessite d’en discuter de manière plus avancée, on n’hésite pas à prendre le temps de [penser à distance](/david/blog/2018/penser-distance/). Lorsqu’il y a des petits tracas personnels, on n’hésite pas non plus à panser à distance.

Tous les ans, on se retrouve physiquement. Bon ok, ça n’est arrivé qu’une fois mais statistiquement ça se tient :-).


## Les pratiques

Commençons par la technique car c’est plutôt mon domaine.

On passe du temps à coder ensemble avec Ronan. On ne se l’impose pas pour autant, ça dépend beaucoup de la motivation du moment. On écrit des tests, on fait des revues de code, rien d’extravagant.

Ce qui est moins courant, c’est que l’on passe du temps à designer ensemble avec Maïtané aussi. On se partage un écran et on passe en revue ce qui ne va pas afin de corriger cela en direct.

Autant le *pair-programming* me semble être une pratique relativement courante, autant le *pair-designing* (?) est moins documenté. Cela apporte pourtant une grande valeur au produit et à la cohérence de ce qui est développé. Sans compter le fait de s’accorder dans l’équipe sur la pertinence de certains éléments.

Mais en fait tout cela n’est rien sans des retours de nos utilisateur·ice·s.

Les démonstrations sont une excuse pour discuter avec les personnes qui utilisent notre outil et savoir comment est-ce qu’elles appréhendent certaines fonctionnalités ou les problèmes qu’elles ont rencontré dans leur cas particulier.

Comme cela ne suffit pas pour identifier tous les irritants, Mélodie et Maïtané vont régulièrement observer sur place comment travaillent *en vrai* les personnes. Quelles sont leurs habitudes avec les onglets, quels sont les chemins courants qui pourraient être simplifiés, qu’est-ce qui est complètement ignoré dans le feu de l’action, etc.


## Les joies

> For a long time I believed that a strong team is made of stars — extraordinary world-class individuals who can generate and execute ideas at a level no one else can. These days, I feel that a strong team is the one that feels more like a close family than a constellation of stars. A family where everybody has a sense of predictability, trust and respect for each other. A family which deeply embodies the values the company carries and reflects these values throughout their work. But also a family where everybody feels genuinely valued, happy and ignited to create.
> 
> <cite>*[Vitaly Friedman on LinkedIn](https://www.linkedin.com/feed/update/urn%3Ali%3Aactivity%3A6563052649350995968/)* ([cache](/david/cache/d15e69a2911bc64c80bfdcb76edfd0a6/))</cite>

Les rituels, les pratiques, tout cela semble très analytique et pourtant c’est autre chose qui se produit au quotidien. On voit les autres évoluer et on se sent évoluer grâce aux différentes interactions que l’on peut avoir. On partage davantage que du code ou un produit, un bout de chemin que l’on fait ensemble et qui donne envie d’aller de l’avant. En trouvant un équilibre entre monotonie et apprentissage qui satisfasse chacun·e d’entre nous.

Peut-être est-ce cela faire équipe : partager l’enthousiasme de faire des choses ensemble qui permettent de mieux se connaître. Et si je me connais bien davantage aujourd’hui c’est après avoir eu l’occasion d’échanger avec ces personnes bienveillantes. C’est après avoir traversé des périodes anxiogènes en se serrant les coudes. C’est enfin avoir su s’adapter pour communiquer autant au sein de l’équipe qu’avec notre contexte de manière sereine.


## L’arithmétique

J’ai déjà parlé du [mythe des 10x engineers](/david/blog/2017/code-vitesse/), je crois de plus en plus en la somme des individus qui forme un tout plus pertinent. Le fameux `1 + 1 = 3` appliqué à un périmètre plus large. Et par pertinent j’entends harmonieux et enthousiasmant plus que productif et efficace. Je vais donner quelques exemples pour préciser.

Je pourrais coder pendant une année complète tout seul sur un produit. Ça m’est arrivé par exemple quand j’étais au Japon. Et je sais que dans ces conditions, la qualité en pâtit. Pas seulement la qualité du code mais la qualité de mon apprentissage autour de celui-ci (qui est relativement lié à ma qualité de vie). Depuis, je fais mon possible pour ne pas me retrouver dans cette situation à nouveau et j’ai du plaisir à pouvoir échanger sur mes pratiques au quotidien. Parenthèse : c’est aussi pour cela que je ne suis plus à mon compte, ce que je (re)trouve dans [scopyleft](http://scopyleft.fr/) c’est cette capacité à apprendre et réfléchir par l’échange.

Autre exemple, on peut faire une interface peu avenante et fonctionnelle. On peut recruter quelqu’un·e pour faire des maquettes. Mais lorsque toute l’équipe s’y met on a une combinaison de contraintes techniques, de contraintes métiers, de retours utilisateur·ice·s et d’inspirations diverses pour arriver au compromis qui soit satisfaisant pour toutes et tous. Avoir quelqu’un qui tient la barre dans ce domaine est un plus indéniable et quand tout l’équipage est sur le pont pour réussir à garder le cap ça permet d’y aller de manière plus sereine.

Enfin, une personne peut porter un projet toute seule. Mais sans échanges réguliers avec l’équipe, la responsabilité qui lui incombe va finir par altérer son jugement et son humeur. C’est normal, c’est même sain. Il faut un moyen de décharger les frictions et rien ne vaut pour cela le soutien de celles et ceux embarqué·e·s dans la même aventure.


## Les mystères

Est-ce que c’est pour autant [double rainbow all the way](https://www.youtube-nocookie.com/embed/OQSNhk5ICTI) tous les jours ? Non. Est-ce qu’on code tout parfaitement du premier coup ? [Encore moins](https://www.youtube-nocookie.com/embed/MYZ67-Sh7kM). Est-ce qu’on [œuvre](/david/blog/2017/oeuvrier-du-web/) pour le [bien commun](/david/stream/2018/06/06/) ou pour le [gouvernement](/david/stream/2018/04/25/) ? [¡Porque no los dos!](https://www.youtube-nocookie.com/embed/OawrlVoQqSs) Est-ce qu’on s’envoie des gifs et des vidéos toute la journée ? Mème pas.

Plus sérieusement, est-ce que ça va durer et/ou est-ce que c’est reproductible ? Difficile de répondre à ces deux questions aussi je les assimile à des mystères. Et j’arrive plutôt bien à vivre avec ainsi :-).


## Conclusion

Au-delà de la notion de *faire équipe*, il y a celle plus globale de *savoir-agir* qui vient mettre en pratique des *savoir-être* et des *savoir-faire*. Peut-être est-ce qu’il s’agit là de l’un des savoirs essentiels à notre temps et tellement négligé. Au moment où l’on encourage à devenir un *consomm’acteur* qui s’assimile pour moi à un *avoir-agir*, il me semblerait pertinent d’essayer d’apprendre à faire ensemble.

Si possible à plus de cinq.

---

*Est-ce que ce témoignage a été utile ? Difficile à évaluer tout seul, on en discute pour essayer de le rendre plus pertinent ?*
