title: Flux RSS ?
slug: flux-rss
date: 2019-03-19
chapo: Tentative d’explication claire d’un truc non trivial.


*Un article qui va évoluer en fonction de vos retours de façon à en faire une référence. N’hésitez pas à me proposer des améliorations !*

Si vous avez entendu parler de « flux RSS », « flux Atom », de « syndication », d’« agrégateur » ou en anglais de « *feeds* » sans vraiment savoir de quoi il retourne je vais essayer de démystifier ça.

Sans parler de technique. En parlant un peu de politique quand même.


## Utilité

Si vous savez ce qu’est une liste de diffusion (ou *newsletter*)  vous entretenez une familiarité avec les flux RS.

Avec une liste de diffusion, vous recevez un courriel (ou *email*) à chaque nouvelle information disponible. Une personne rédige un texte, ajoute tous ses contacts en copie et ça arrive dans votre boîte de réception.

<details>
<summary>Enfin presque…</summary>
<em>En réalité, ça passe probablement par un service tiers qui récupère votre adresse et redirige chaque lien envoyé pour pouvoir vous profiler en fonction de ce qui vous a intéressé mais restons concentré·e·s sur le flux d’information pour l’instant.</em>
</details>

Lorsqu’on utilise un flux RSS, il s’agit de s’abonner à ce qu’une personne va publier (oui, c’est l’ancêtre du réseau social !) sauf que vous ne recevez pas les mises à jour dans votre boîte de réception mais dans un outil dédié. Et vous n’avez en général pas à fournir votre courriel ni à vous identifier. Et RSS fonctionne avec la majorité des publications sur le Web.

Enfin ça fonctionnait, car — et c’est là où ça devient politique — les plateformes ont tout intérêt à ce que vous restiez chez elles pour tracer votre comportement, que vous veniez regarder de la publicité le plus régulièrement possible, etc.

Utiliser un lecteur de flux RSS (on appelle cela un agrégateur) c’est *aussi* lutter contre une centralisation du Web. C’est également ne pas être soumis aux bon vouloir d’un algorithme pour sélectionner ce que vous allez voir. C’est choisir intentionnellement vos lectures et donc votre esprit critique.


## Usage

En général, on représente le RSS avec l’icône (orange) suivante :

<svg role="img" aria-label="Logo de RSS" xmlns="http://www.w3.org/2000/svg" width="48" height="48" viewBox="0 0 24 24" fill="none" stroke="#f5a623" stroke-width="3" stroke-linecap="square" stroke-linejoin="arcs"><path d="M4 11a9 9 0 0 1 9 9"></path><path d="M4 4a16 16 0 0 1 16 16"></path><circle cx="5" cy="19" r="1"></circle></svg>

J’ai dans mon outil d’agrégation une centaine de sources, majoritairement des blogs personnels, qui se rafraichissent toutes les 30 minutes. Je n’ai plus besoin d’aller consulter ces sites un par un pour savoir s’ils ont été mis à jour, des petits robots s’en occupent pour moi. Je me retrouve avec un flux d’articles en ordre chronologique de publication. Et lisibles dans un style unifié qui me permet d’être attentif à ce que je lis. Pas de *popups* pour recevoir du *spam*, pas de publicités qui s’agitent, pas de bouton pour accepter les *cookies*. Du contenu simple et lisible.

Bien sûr, en un clic je peux me retrouver sur le site et interagir avec mais, dans la majorité des cas, cette suite d’articles me suffit. Cela me permet de gagner beaucoup de temps et de tranquillité d’esprit. Je n’ai pas la peur de manquer quelque chose, je n’ai pas la peur de suivre des liens de suggestions douteux, je ne suis pas profilé par ce que je lis.


## Et moi ?

Premièrement, si vous produisez du contenu, assurez-vous d’avoir laissé la possibilité aux autres de s’abonner à votre flux RSS. Sur la plupart des outils de publication (Wordpress, Medium, etc) la syndication est activée par défaut, mais vous pouvez vous en assurer en vous abonnant à vos propres publications ! Vous pouvez faire un lien explicite vers votre flux dans vos pages pour en favoriser la découverte et encourager cette façon décentralisée et libre d’accéder à de l’information.

Et justement en parlant de s’abonner, il existe une [multitude d’agrégateurs](https://en.wikipedia.org/wiki/Comparison_of_feed_aggregators) (cette page n’existait malheureusement pas en français, [maintenant si](https://fr.wikipedia.org/wiki/Comparaison_des_agr%C3%A9gateurs_de_flux) !), à vous de trouver celui qui vous convient. C’est aussi la beauté d’un standard, cela permet d’une part d’éviter les monopoles et de l’autre d’être résilient lorsqu’un outil est abandonné. J’utilise pour ma part [NetNewsWire](https://en.wikipedia.org/wiki/NetNewsWire) sous macOS et rien ne m’empêche d’en changer demain sachant que les imports et exports sont aussi standardisés.

Lorsque vous avez installé un de ces outils, vous pouvez tester en vous abonnant — totalement au hasard — au [flux de cet espace](/david/log). Si vous cliquez sur ce lien dans votre navigateur vous allez avoir un code (presque) impossible à lire *mais* si vous l’ajoutez à votre agrégateur alors là votre vie va changer à tout jamais. Vous pouvez ensuite parcourir vos sites favoris à la recherche d’un flux RSS dédié.

Ça devrait ressembler à ça :

<figure class="unsquared">
  <img src="/static/david/blog/2019/capture-lecteur-rss.png" alt="Capture de mon lecteur RSS" />
  <figcaption>
    Par exemple, voici le rendu de ce billet dans mon agrégateur (so meta).
  </figcaption>
</figure>

Notez qu’il existe des agrégateurs sous forme de logiciels dédiés mais aussi sous forme d’applications Web selon vos préférences personnelles et/ou vos contraintes (mobilité, ordinateur partagé, etc).

Quelques exemples avec les principaux écueils que vous pouvez rencontrer :

* [Romy Duhem-Verdière](http://romy.tetue.net/), ce qui devrait être le cas « classique », un lien direct vers le [flux RSS](http://feeds.feedburner.com/romy) depuis toutes les pages.
* [Claire Zuliani](https://marges.clairezuliani.com/), le lien n’est pas visible donc il faut soit que votre agrégateur le trouve à partir de la page, soit aller dans le code source pour [le trouver](https://marges.clairezuliani.com/feed.xml).
* [Élise Gravel](http://elisegravel.com/), on voit qu’il est mal configuré (non affichage dans le navigateur) et non découvrable directement depuis le site ni même son code source. Il faut savoir que c’est un Wordpress qui rajoute `/feed/` par défaut à [l’URL du flux](http://elisegravel.com/feed/), pas évident.
* [Chris Prouse](https://www.youtube.com/channel/UCBqV52BgH8eQGExjZz7rO5w) sur Youtube, il faut passer par [un petit outil](https://lehollandaisvolant.net/?d=2018/06/09/13/55/04-mini-outil-trouver-le-flux-rss-dune-chaine-youtube) pour trouver le [flux RSS d’une chaîne](https://www.youtube.com/feeds/videos.xml?channel_id=UCBqV52BgH8eQGExjZz7rO5w).
* D’autres cas insolites ?

Cela fonctionne aussi bien évidemment avec des sites d’informations plus traditionnels comme [Le Monde Diplomatique](https://www.monde-diplomatique.fr/).

Il existe des extensions dédiées aux navigateurs pour détecter les flux RSS comme [Awesome RSS](https://addons.mozilla.org/fr/firefox/addon/awesome-rss/) pour Firefox ou [RSS Subscription Extension](https://chrome.google.com/webstore/detail/rss-subscription-extensio/nlbjncdgjeocebhnmkbbbdekmmmcbfjd) pour Chrome.

## Encore !

* La page wikipedia [Souscription à du contenu](https://fr.wikipedia.org/wiki/Souscription_%C3%A0_du_contenu)
* [Syndication mon amour](https://openweb.eu.org/articles/syndication-mon-amour) ([cache](/david/cache/9e92a5ac171038de1c58a2ab90e98c0e/))
* Votre propre article sur le sujet ?
 
 
