title: Individuer, écrire et se diversifier
slug: individuer-ecrire-diversifier
date: 2019-01-30
chapo: Quelques intentions pour cette année.

<details lang=en>
  <summary>Summary in English</summary>
  <p>My traditionnal January new year intentions.</p>
</details>

*En relisant les dix (!) dernières années de résolutions, je me rends compte qu’il s’agit davantage d’intentions. Elles ne sont pas forcément respectées mais elles me servent parfois de fil rouge quand je doute. Et c’est déjà pas mal.*


## Individuer

> Je n’ai pas choisi les gloires patentées. La voie de l’admira­tion a suivi le chemin d’émergence des irremplaçables, de ceux qui tentaient l’aventure de l’irremplaçabilité, qui allaient au­ devant de leur sujet comme on va au­ devant du monde, précisément détachés de leur sujet, car la voie de l’individuation ressemble, sous maints aspects, à celle de la dépersonnalisation. Il ne s’agira pas de devenir une personnalité, une singularité, comme une injonction à la mise en scène de l’ego. L’enjeu est tout autre : il est relationnel. Se lier aux autres, se lier au sens, se lier au Réel, se lier à l’œuvre, l’éternité des liens comme seule vérité.
> 
> Refaire lien, donc, avec l’individuation. 
>
> <cite>*Les irremplaçables*, [Prologue](http://www.espritcivique.org/index/wp-content/uploads/2016/01/Prologue-_-les-irremplacables.pdf) ([cache](/static/david/stream/cynthia-fleury-les-irremplacables-prologue.pdf), PDF 500 Ko), Cynthia Fleury</cite>

L’année 2018 aura été l’occasion de prendre conscience d’une responsabilité encore plus accablante. En tant que privilégié, en tant que développeur, en tant que père, en tant qu’humain.

Il ne tient qu’à moi de rendre cela plus léger. En donnant la capacité aux autres de s’exprimer. En exposant certains des chemins explorés pour accepter cet état.

Et surtout en restant enthousiaste vis-à-vis de ce qu’il reste à être.


## Écrire

> Nous nous trouvons donc à une période charnière. Et pour celles et ceux qui pensent que le livre, comme forme spécifique d’inscription de la pensée, a encore quelque chose à dire et proposer, l’internet est devenu un allié essentiel… et en même temps un nouveau concurrent. Mais cela semble être la position de l’internet dans l’ensemble des champs de la société, n’est-ce pas ?
> 
> <cite>*[Éditer à l’ère numérique](http://bbf.enssib.fr/consulter/bbf-2018-15-0046-006)* ([cache](/david/cache/0476779bebae9ae41e06c41494a48bd0/))</cite>

J’ai l’impression d’être dans de bonnes dispositions pour écrire davantage, sur des formats plus longs. Mes premières [itérations hebdomadaires](/david/stream/2019/) sont encourageantes et je m’en réjouis. Peut-être à un moment aller vers du mensuel pour prendre le temps de creuser davantage ?

Écrire c’est aussi se libérer d’une consommation à sens unique, il serait illusoire de vouloir écrire autant que ce que je lis mais j’ai le sentiment de rééquilibrer ma balance personnelle à ce sujet.

Le lien est ténu entre transférer et proposer sa propre interprétation. Toute la nuance est ici dans ce petit caillou ajouté au passage de cairn.


## Se diversifier

> Ces derniers mois ont toutefois été plus efficaces, au point que j’arrive à la résumer en une courte phrase : **concevoir les outils dont la société aura besoin demain**. Pour comprendre cette raison d’être, il me paraît important de bien définir ce dont je parle.
>
> Tout d’abord, lorsque je parle de « concevoir [des] outils », je fais le choix conscient de ne pas utiliser le terme de « développer ». Pour moi, **un logiciel n’est pas une fin en soi**. Il y a avant tout une phase d’acquisition des besoins et de réflexion qui peut notamment mener à la conclusion qu’un outil informatique ne serait pas une bonne solution. Cela implique aussi que je dois étendre mes compétences au delà de la technique informatique, en acquérant notamment plus de compétences liées à l’expérience utilisateur.
> 
> <cite>*[Introspection professionnelle : valeurs et raison d’être](http://next.marienfressinaud.fr/introspection-professionnelle-valeurs-et-raison-detre.html)* ([cache](/david/cache/ae0c05f602dc7c5bd4831aacb1be5eba/))</cite>

Je pense avoir fait le tour de cette *full-stack* d’ivoire toujours plus élitiste et complexe. J’ai envie d’aller vers plus de [polyvalence](/david/stream/2018/12/12/) et de [transversalité](/david/stream/2018/12/04/). C’est là où est la (ma ?) valeur aujourd’hui. S’enfermer dans la technique, c’est accepter des œillères et concentrer mon attention sur la facilité.

Davantage d’empathie et de communication afin de privilégier la pertinence humaine à l’excellence technique. C’est une voie qui semble difficile, particulièrement pour moi, et j’espère trouver des pistes pour surmonter cela.

*P.S. : j’ai normalement répondu à tous les courriels de 2018 qui m’étaient adressés, si vous êtes en attente d’une réponse de ma part n’hésitez pas à vous re-manifester. Merci à toutes les personnes qui ont pris le temps de me contacter pour diverses raisons, c’est toujours un plaisir d’avoir un retour.*


### Ces dernières années

* 2018 : [Cheminer, espérer et contrôler](/david/blog/2018/cheminer-esperer-controler/)
* 2017 : [Échanger, supprimer et rebondir](/david/blog/2017/echanger-supprimer-rebondir/)
* 2016 : [Réduire, expérimenter et bouger](/david/blog/2016/reduire-experimenter-bouger/)
* 2015 : [Publier, enseigner et cultiver](/david/blog/2015/publier-enseigner-cultiver/)
* 2014 : [Protéger, lâcher prise et rêver](/david/blog/2014/proteger-lacher-prise-rever/)
* 2013 : [Coopérer, militer et cacher](/david/blog/2013/cooperer-militer-cacher/)
* 2012 : [Rediriger, économiser et débattre](/david/biologeek/archives/20120131-resolutions-rediriger-economiser-et-debattre/)
* 2011 : [Découvrir, concrétiser et transmettre](/david/biologeek/archives/20110112-resolutions-decouvrir-concretiser-et-transmettre/)
* 2010 : [Redistribuer, produire et bouger](/david/biologeek/archives/20100103-resolutions-redistribuer-produire-et-bouger/)
* 2009 : [Prendre soin, voyager et partager](/david/biologeek/archives/20090102-bilan-apres-une-annee-de-freelance/)
* 2008 : [Être, aimer et faire](/david/biologeek/archives/20080101-resolutions-etre-aimer-et-faire/)
