title: Valeurs et étoiles
slug: valeurs-etoiles
date: 2019-03-11
chapo: Des valeurs comme des étoiles et non des ports.

> Je crois qu’il y a trois aspects cruciaux et de renforçant mutuellement qui aident les communautés intentionnelles à s’épanouir de manière saine.
> J’appelle le premier **le ciment de la communauté**, c’est-à-dire le fait de prendre le temps de partager des activités agréables qui permettent de développer un sentiment de gratitude et de confiance et qui facilitent aussi la création d’ocytocine, hormone du plaisir, par les organismes. […]
> Le deuxième aspect d’une communauté saine et florissante, selon moi, est le fait d’avoir **de bonnes capacités de communication et de traitement des informations**. […]
> Le troisième aspect, **la gestion efficace de projet**, est une évidence pour les fondateurs de communautés réussies ou les professionnels de l’habitation communautaire, mais souvent moins évidente, ou même inexistante pour les personnes très idéalistes ou adeptes de la contre-culture. […]
>
> Je crois que ces trois aspects se renforcent mutuellement. Si un groupe a un bon « ciment », par exemple, les personnes auront tendance à se sentir suffisamment connectés et en harmonie pour que la plupart du temps elles s’entendent bien et n’aient pas besoin de se parler avec trop de délicatesse, et elles auront également moins de conflits à résoudre. […]
> De la même manière, si un groupe a une gestion efficace de son projet, l’impression d’accomplissement en voyant que la communauté tend vers ses objectifs va générer plus de ciment pour celle-ci, augmentant le sentiment de confiance et de gratitude, et réduisant ainsi les besoins de communication très attentionnée et les sessions de résolution des conflits.
>
> <cite>*Vivre autrement*, Diana Leafe Christian</cite>

Cet article est le résultat d’une réflexion issue d’une discussion avec Stéphane au sujet des valeurs de [scopyleft](http://scopyleft.fr/). Considérant les valeurs non pas comme des acquis que l’on expose mais comme des points d’attention que l’on travaille. Cet angle permet *et* nécessite de faire évoluer la liste au cours du temps.

Aussi les valeurs suivantes sont davantage des étoiles que des ports, elles donnent une direction pointant vers des inconnus que je souhaite explorer.


## Contentement

C’est ce que j’identifie comme l’une des clés pour être en cohérence avec ce que je souhaite pour mon milieu (et ma santé mentale). Être content de ce que j’ai et être en mesure de l’adapter par moi-même en acquérant des savoir-faire et savoir-être si je souhaite le rendre plus pertinent dans ma compréhension actuelle des choses. Et chose importante, être en capacité de transmettre ces savoirs.

Je vois la frugalité ou le minimalisme comme des *conséquences* d’un contentement sur le long terme. Une fois l’existant usé et rentabilisé pas uniquement pour sa valeur marchande mais au regard de son coût de création et de destruction.

Je souhaite travailler cette valeur non pas car je ne suis jamais content (encore que) mais parce que j’ai conscience du fait que mon rôle de privilégié me permet d’être en permanence en recherche d’optimisation dans une dynamique qui n’est pas soutenable.


## Empathie

J’ai le sentiment d’être assez mal équipé dans ce domaine, ayant davantage une approche de sociologue vis-à-vis de mes pair·e·s que de proche, voire d’intime. J’ai pourtant l’intuition que cette valeur est capitale pour pouvoir faire groupe et créer des choses ensemble.

C’est aussi un fil qui me fait un peu peur à dérouler compte-tenu des extrêmes où cela pourrait me mener en terme d’estime de soi. Il y a des conséquences de nos comportements que l’on préfère garder dans l’angle mort pour ne pas devenir fou.

Les communs sont une forme d’empathie égo-centrée si l’on considère qu’il s’agit de produire quelque chose pour *sa* communauté. L’open-source aussi d’une certaine manière (même si j’ai tendance à plutôt lui associer une notion de [solidarité](/david/blog/2013/open-source-solidarite/)). Mais qu’en est-il d’une empathie — sans condescendance — touchant des personnes moins privilégiées que moi ?


## Complémentarité

L’auto-suffisance est un exercice intéressant mais ne suffit pas. Trouver des personnes de confiance pour évoluer, transmettre, se reposer, explorer ensemble. Ne pas chercher des pièces de puzzle mais des formes variées, inattendues, qui remettent en question et proposent d’autres chemins.

Je ne sais pas s’il s’agit d’une valeur à proprement parler, je le vois comme un terrain de jeux qu’il m’est coûteux *et* nécessaire de rejoindre. Apprendre à désapprendre. Être à l’écoute. Rire. Faire un bout de chemin ensemble pour en sortir différent·e·s.

Se serrer les coudes pour envisager un futur enthousiasmant.

---

Maintenant que ces pistes personnelles sont mises à plat, je peux me rapprocher du groupe pour tenter de m’accorder et en travailler certaines à plusieurs, en fonction des affinités. Naviguer ensemble, pas forcément en direction de la même étoile mais vers la même constellation, de façon à explorer un bout de territoire commun.
