title: Offline-next et service workers

> Rich offline experiences, periodic background syncs, push notifications— functionality that would normally require a native application—are coming to the web. Service workers provide the technical foundation that all these features will rely on.
>
> <cite>*[Introduction to Service Worker](http://www.html5rocks.com/en/tutorials/service-worker/introduction/)* ([cache](/david/cache/64fd51915364724e3489270d05a68907/))</cite>

Je suis tombé hier sur un lien faisant part d’[une expérience d’affichage des liens](https://medium.com/de-correspondent/links-are-broken-these-three-alternatives-have-improved-our-readers-reading-experience-796c302c8930) ([cache](/david/cache/36c784e8e4609ab33a91b7f0f2a47b80/)) ou plutôt de non affichage. C’est une problématique à laquelle je réfléchis depuis pas mal de temps et je trouve leur solution élégante. Je pense qu’elle pourrait être généralisée avec un simple script JavaScript qui récupère le `title` d’un lien et le met en `aside` en fonction de la taille de la fenêtre.

Et puis ma réflexion se poursuit sur la possibilité de récupérer ces liens afin d’améliorer les performances [via un `prefetch`](https://developer.mozilla.org/en-US/docs/Web/HTTP/Link_prefetching_FAQ) et pourquoi ne pas les stocker pour [un usage hors-ligne](https://developer.mozilla.org/fr/Apps/Build/Hors-ligne). [Anthony](http://ricaud.me/) me propose de regarder du côté des *Services Workers*, ce qui répond parfaitement à mon besoin (il y a des [builds Firefox dédiés](http://blog.wanderview.com/blog/2015/02/10/introducing-firefox-service-worker-builds/)). Peut-être l’occasion de coder un petit truc pour rendre ce site un peu plus portable ?
