title: Headers et sécurité

Aujourd’hui, j’ai mis en place les *headers* [X-Frame-Options](https://developer.mozilla.org/en-US/docs/Web/HTTP/X-Frame-Options) et [Content-Security-Policy](https://developer.mozilla.org/en-US/docs/Web/Security/CSP/Introducing_Content_Security_Policy). Le premier limite l’usage des *iframes* sur vos contenus (et donc le *clickjacking* même si dans mon cas c’est limité), le second permet d’autoriser explicitement les images et media (par exemples) de sources distantes, ce qui est utile pour les articles [que je mets en cache](/david/stream/2015/01/05/) et accessoirement limiter les XSS.

Voici ce que ça donne pour une configuration Apache (ne pas oublier les `unsafe-*` si vous avez du contenu *inline*) :

	:::shell
	Header always set X-Frame-Options SAMEORIGIN
	Header always set Content-Security-Policy "default-src 'self' 'unsafe-inline' 'unsafe-eval'; img-src *; media-src *"