title: Performances Web

> Server response times, while easy to track and instrument, are ultimately a meaningless performance metric from an end-user perspective. End-users don’t care how fast your super-turbocharged bare-metal Node.js server is - they care about the page being completely loaded as fast as possible. Your boss is breathing down your neck about the site being slow - but your Elixir-based microservices architecture has average server response times of 10 nanoseconds! What’s going on?
>
> <cite>*[Ludicrously Fast Page Loads - A Guide for Full-Stack Devs](http://www.nateberkopec.com/2015/10/07/frontend-performance-chrome-timeline.html)* ([cache](/david/cache/c5b80c55264378bfbe3c455400a35c60/))</cite>

Entre les [Accelerated Mobile Pages](https://www.ampproject.org/how-it-works/) ([cache](/david/cache/c23d0953ddad43d6877ce1f07c5ff114/)) et les [Async Fragments](http://www.ebaytechblog.com/2014/12/08/async-fragments-rediscovering-progressive-html-rendering-with-marko/) ([cache](/david/cache/37bacf0c487ec399cba44cc8eb187e19/)), l’actualité est riche dans le monde de la performance web et ce n’est qu’un début. Ou plutôt un chemin, vers une modularité des approches pour avoir la meilleure [stratégie](https://medium.com/@DamienJubeau/budget-de-performance-indispensable-rapidite-sites-web-a771922e89e8) ([cache](/david/cache/6ee1dffe6a2acf9c55a5558550beb9cf/)) en fonction du besoin *et* du contexte.

Les outils que je présente en ce moment [aux étudiants](/david/pro/enseignement/) : [WebPageTest](http://www.webpagetest.org/), [Dareboost](https://www.dareboost.com/home) et [Yellow Lab Tools](http://yellowlab.tools/). Il s’agit surtout de comprendre comment est chargée une page web et pourquoi les performances *ressenties* sont importantes pour l’expérience utilisateur.

PS : [Jeremy Keith en parle également](https://adactio.com/journal/9646) ([cache](/david/cache/67543479546d48a5d3c8b730cbf6a934/)).
