title: DNS et confiance

> Although there is no single solution that can solve all privacy issues, there are still things you can do to protect yourself. Privacy is a lot like security, you have to address it in layers. This layering is also referred to as “defense in depth.” Think about it this way: To protect your house from burglars, you might install deadbolt locks on the doors, you might leave a light on, and you may even install a security system. Every one of these actions by themselves can lower the possibility that your house is targeted. However, together, they create a strong perimeter of defense. The same holds true when addressing your online privacy. 
> 
> <cite>*[Introducing Verisign Public DNS: A Free Recursive DNS Service That Respects Your Privacy](http://blogs.verisign.com/blog/entry/introducing_verisign_public_dns_a)* ([cache](/david/cache/4da9dec1383dabe04082c24757e313cd/))</cite>

Le choix de ses `DNS` est important car il s’agit d’un des points de centralisation du Web. J’ai tendance à penser que ceux de votre hébergeur sont presque un moindre mal sachant qu’il en connait déjà beaucoup (trop) sur vous mais si vous n’êtes pas sur un réseau de confiance il vaut probablement mieux utiliser ceux de la [FDN](http://www.fdn.fr/) : `80.67.169.12` et `80.67.169.40` ou `2001:910:800::12` en `IPv6`. Autre option, installer son propre serveur de `DNS` en local mais c’est plus contraignant et ça demande de répéter l’opération sur tous vos périphériques…

Pour tester une configuration, ceux [de Google](https://developers.google.com/speed/public-dns/) (`8.8.8.8` et `8.8.4.4`) ou [de Verisign](http://www.verisign.com/en_US/innovation/public-dns/index.xhtml?loc=en_US) (`64.6.64.6` et `64.6.65.6`) auront probablement une grande fiabilité mais sont source de profilage et soumis à la loi américaine.