title: Blog offline

> Sure, browsers cache stuff all the time. The advantages here are in persistence and control. Browser caches are easily overwritten while an application cache is more persistent. Badly configured servers often force the client to refetch things unnecessarily, for example hosting providers you don’t have control over. Service workers, with a full caching API, allow the client full control, and can make smarter decisions about what and when to cache. Many of us have experienced the case where we get on a plane with a page loaded in our browser, only to find that either a browser setting or cache header forces a reload attempt when you then go to read the page, a reload that has no hope of succeeding, and your page is gone.
> 
> <cite>*[Taking the web offline with service workers](https://mobiforge.com/design-development/taking-web-offline-service-workers)* ([cache](/david/cache/37423996e74c25551e0f500cdabb85a7/))</cite>

J’ai bien envie d’expérimenter les possibilités offertes par les [services workers](https://developer.mozilla.org/en-US/docs/Web/API/Service_Worker_API) ici pour gérer les liens en cache et peut-être même les billets connexes afin de pouvoir lire les articles et leurs dépendances en étant déconnecté. Les [outils](https://github.com/GoogleChrome/sw-toolbox), [bibliothèques](https://github.com/TalAter/UpUp) et [exemples](https://github.com/OliverJAsh/simple-offline-blog) existent ainsi qu’une [littérature](https://ponyfoo.com/articles/serviceworker-revolution) ([cache](/david/cache/2126318176fe110654aa27abf77b6603/)) [abondante](https://auth0.com/blog/2015/10/30/creating-offline-first-web-apps-with-service-workers/) ([cache](/david/cache/7c43491dfbc3a003f3a99ab213917a79/)) sur le sujet avec des  [alternatives temporaires](https://davidwalsh.name/dont-wait-serviceworker-adding-offline-support-oneline) ([cache](/david/cache/f11cb990b8c6bcaf1ef428bbdefe14bb/)). Et ce n’est [qu’un début](https://jakearchibald.github.io/ebook-demo/publisher-site/readme/).

P-S : la [liste de diffusion](http://offlinefirst.org/) *offline-first* est une vraie mine !

P-P-S : notez que l’usage d’[InstantClick](http://instantclick.io/) sur ce site vous permet déjà d’avoir un cache en passant sur les liens locaux avant de vous déconnecter.