title: Open-Source et micro-paiement

> There are several reasons we’re trying this experiment. But perhaps the most important reason is this: we want another reason for our partner agencies to support open source code. We’ve long known at 18F that opening our source code from day one improves our ability to deliver. But we want to show that opening our source code improves our ability to contract for digital services. We also want to see whether this is a sustainable way to engage small businesses and non-traditional contractors in the government space.
> 
> <cite>*[Open Source Micro-purchasing: An experiment in federal acquisition](https://18f.gsa.gov/2015/10/13/open-source-micropurchasing/)* ([cache](/david/cache/6f1b0b82d32cfefa87cc415a3df420a7/))</cite>

L’expérience menée par 18F et [les enseignements qu’ils en ont tiré](https://18f.gsa.gov/2015/11/06/micro-purchase-lessons/) ([cache](/david/cache/d8edcdeb0f9fc8b092d348b12086eae8/)) sont exceptionnels. Imaginez si chaque *bug* sur un projet *open-source* issu du public devient un micro-marché public.

Cela demanderait de redéfinir [ce que l’on entend par open-source](https://palant.de/2015/10/24/mozilla-what-constitutes-open-source) ([cache](/david/cache/d45e9bff2b5acb7114bf91ba859f4377/)) et [gouvernance](http://www.otsukare.info/2015/11/03/amp-google) ([cache](/david/cache/02bea22fe97283a306c5eac5d6479c3f/)), trop de projets se limitant à [ouvrir leur code](http://ben.balter.com/2014/09/29/source-disclosed-!=-open-source/) ([cache](/david/cache/e1639a7ed3ce867487716129008f7901/)) sans [inclure la communauté](http://ben.balter.com/2015/03/17/open-source-best-practices-external-engagement/) ([cache](/david/cache/79cca35c0ad4871d0159a6c940a64b47/)) et [limitant l’open-source à un verbe](http://ben.balter.com/2012/10/15/open-source-is-not-a-verb/) ([cache](/david/cache/4f67e6d4dd9d13cc7f1348f7949587c8/)) (hop ça vous fait un peu de lecture, merci [Matti](http://mattischneider.fr/) !).

Mais allons encore plus loin et laissons le secteur public [expérimenter plein de choses et n’en conserver qu’une petite quantité](http://blog.fogus.me/2015/11/04/the-100101-method-my-approach-to-open-source/) ([cache](/david/cache/4a0166954570aaa8bb250e098e9d83e1/)) en incluant toutes les parties prenantes dans les décisions (élus, fonctionnaires, contributeurs, citoyens motivés, etc). C’est moins sexy que d’enseigner le code à l’école mais ça ressemble à un gouvernement ouvert ([convivial](/david/blog/2013/open-source-conviviale/) ?). Ou de l’idée que je m’en fais en tout cas. L’open-source est de la création de *bien commun* qui n’est [pas compatible avec le secteur privé](http://www.coglib.com/~icordasc/blog/2015/11/corporations-and-oss-do-not-mix.html) ([cache](/david/cache/735087276fd57a6e3b9c2b71d7fa12c3/)), transformons ce code en *bien public*.