title: Révolte et révolution

> Philosophe du XXème siècle, Jacques Ellul voit dans la société technique (qu’il définit par celle qui cherche à tout prix l’optimisation d’elle-même) une société qui se focalise sur les moyens, renvoyant les finalités à une telle périphérie qu’elles en deviennent inaccessibles. Il en découle la loi de Gabor : « tout ce qui est possible sera réalisé, non pas parce que c’est intéressant, mais parce que c’est possible ».
>
> La société technique est donc une fin en soi qui produit de l’absurde. Le sens ainsi chassé, disparait la tension possible entre ce qui est et ce qui pourrait avoir du sens. Privés par nous-mêmes, collectivement, de la possibilité de concevoir le sens, ce sont les idéaux, carburant des révolutions, qui disparaissent, entrainant la disparition de ces dernières. La société technique absorbe donc toute possibilité de révolution. Ne resterait-il qu’un pis-aller, sous forme d’une la révolte individuelle, instinctive face à l’absurde ?
>
> Jacques Ellul propose une « révolution nécessaire », d’un tout autre ordre. Il oppose à la loi de Gabor le concept de « non-puissance » : la possibilité de faire, mais le choix assumé de ne pas faire. Cette distanciation « restitue à l’homme sa dimension en épaisseur, qui la technique lui enlève ». Cet acte de non-puissance n’est évidemment pas un engagement dans la société technique, mais ce n’est pas un désengagement non plus. La non-puissance est une distanciation, un dégagement, depuis lequel, réinvesti de sens, l’engagement redevient possible.
>
> Il propose également de penser cette « révolution nécessaire » dans un contexte de rééquilibrage entre individu et collectif, donc incarnée en petits groupes, connectés entre eux, et qui peuvent avoir un véritable impact sur leurs vies (c’est en lien avec le personnalisme de Mounier).
>
> <cite>Résumé d’Aurélien au sujet de *[Révolutions ! (1/4) : Jacques Ellul : « exister, c’est résister » ?](http://www.franceculture.fr/emission-les-nouveaux-chemins-de-la-connaissance-revolutions-14-jacques-ellul-exister-c-est-resister)*</cite>

Suite à la [note relative à la guerre](/david/stream/2015/11/20/), Aurélien ([Twitter](https://twitter.com/Alatitude77)/[Newsfeed](http://aurelien.latitude77.org/feed.atom)) me propose d’écouter l’émission de France Culture dédiée à Jacques Ellul et à la notion de *non-puissance technique*. Il va me falloir du temps pour digérer cette proposition.

Et de conclure avec une transcription de la vidéo proposée par [Christian](http://www.christian-faure.net/2015/11/19/un-autre-son-de-cloche/) dont je rappelle les proposition à offrir à la jeunesse pour lui éviter de tomber dans le fanatisme haineux :

> 1. offer youth something that makes them dream, of a life of significance through struggle and sacrifice in comradeship.
> 2. offer youth a positive personal dream, with a concrete chance of realization.
> 3. offer youth the chance to create their own local initiatives.
>
> <cite>*[Scott Atran on Youth, Violent Extremism and Promoting Peace](http://www.seattlestar.net/2015/04/scott-atran-on-youth-violent-extremism-and-promoting-peace/)* ([cache](/david/cache/9964a8091c7bcbf1afb010332eb405ad/))</cite>

On est bien loin des lois liberticides… Du coup les propositions me font penser à la citation que je [pensais être](/david/blog/2013/confort-convivialite/) de [René Dubos](https://fr.wikipedia.org/wiki/Ren%C3%A9_Dubos) et qui en fait serait de… Jacques Ellul ! La boucle est bouclée.

> Penser globalement, agir localement

Scott Atran aurait probablement préfixé <cite>Rêver mondialement</cite> :-).
