title: Robust JavaScript
lang: en

> Still, JavaScript is the most brittle of all front-end web technologies. An important skill of a front-end developer is to know when *not* to solve a problem with client-side JavaScript. It is always more robust to solve a problem further down in the stack.
>
> If all techniques and tools did not help you to write robust JavaScript, consider reducing the code complexity and the amount of code. In the last resort, reduce the usage of client-side JavaScript. Find simpler solutions that rely on HTML, CSS and server-side logic alone.
> 
> <cite>*[Robust Client-Side JavaScript](https://molily.de/robust-javascript/)* ([cache](/david/cache/8fe5a8da3e34d271b28d9caa30cc8a2c/))</cite>

Best. Conclusion. Ever. Before thinking about progressive enhancement, discuss if the enhancement in itself is worth the price of development, maintenance, performance, accessibility and so on.

The most robust JavaScript is by far the one you avoid to push to production.