title: Commit (hi)story
lang: en 

> There is one tool that we under utilise in our communities for communicating our intent and that is our version control system. […]
>
> Our commit history has some very special properties which make it particularly useful for documenting intent.
>
> It is kept forever.
>
> It is always up to date and this almost certainly not true of most of the documentation you have, perhaps in a wiki or even in code comments.
>
> And, this may come as a surprise to some of you, it is searchable.
>
> <cite>*[Telling stories through your commits](https://blog.mocoso.co.uk/talks/2015/01/12/telling-stories-through-your-commits/)* ([cache](/david/cache/13d9da5621e5616aee2248696390c693/))</cite>

Even if I try to write [good commit messages](https://chris.beams.io/posts/git-commit/) ([cache](/david/cache/47c163111260f462fa10532e784a4c44/)), I never thought about actually using it as an [up-to-date line by line documentation](https://about.futurelearn.com/blog/telling-stories-with-your-git-history) ([cache](/david/cache/3298d68a0ad3d267742d80811213d628/)). Which lead me to think about a more friendly way to visualize it. Using [git blame or any other git trickery](https://mislav.net/2014/02/hidden-documentation/) ([cache](/david/cache/d92f0d39965b2b41d2701d3a6a114c3c/)) is a bit too nerdy for me. I’m still looking for the most [appropriated plugin](https://packagecontrol.io/search/git?sort=popularity) for my editor which would display the commit message related to each line without the hurdle of doing it by hand.