title: Machine failearning
lang: en

> A challenging feature of machine learning is that exactly how a given system works is opaque. Nobody — not even those who have access to the code and data — can tell what piece of data came together with what other piece of data to result in the finding the program made. This further undermines the notion of informed consent, as we do not know which data results in what privacy consequences. What we do know is that these algorithms work better the more data they have. This creates an incentive for companies to collect and store as much data as possible, and to bury the privacy ramifications, either in legalese or by playing dumb and being vague.
> 
> <cite>*[The Latest Data Privacy Debacle](https://www.nytimes.com/2018/01/30/opinion/strava-privacy.html)* ([cache](/david/cache/21879bc7bba82e6781257300c3da60d0/))</cite>

Even worse that that, you can easily [play a learning algorithm](https://nrkbeta.no/2018/01/31/how-we-found-the-identity-of-military-personnel-using-strava/) ([cache](/david/cache/bbe65584db1ae537b0020054aaec042b/)). This is not anymore about [mutual consent](https://danielpocock.com/fair-communication-requires-mutual-consent) ([cache](/david/cache/3b8e57679878f4222ab277a5078b165b/)) because even the company you consent with has no idea what they are doing. They hardly see the power in all this data and are almost blind on risks.

If [privacy is the next big thing](https://kryogenix.org/code/privacy-could-be-the-next-big-thing-hackference/) ([cache](/david/cache/6f628fc1d353da4b829c85976fad2059/)), it must start with an expiry date on pushed data and it must be encrypted on the client-side. For sure, it’s becoming harder to share with somebody else but that’s where peer-to-peer comes to the rescue! Keys to your data should not pass through a third-party actor which has all rights on deciding to whom they are granted.

*From social networks to local networks.*