title: Experience and complexity
lang: en

> In one way, it is easier to be inexperienced: you don’t have to learn what is no longer relevant. Experience, on the other hand, creates two distinct struggles: the first is to identify and unlearn what is no longer necessary (that’s work, too). The second is to remain open-minded, patient, and willing to engage with what’s new, even if it resembles a new take on something you decided against a long time ago.
> 
> <cite>*[Everything Easy is Hard Again](https://frankchimero.com/writing/everything-easy-is-hard-again/)* ([cache](/david/cache/25fe9405483b28a2787d48fd3fa89de8/))</cite>

Franck Chimero nailed it. Everything in that talk is what [I fought against/for](/david/blog/2016/simplicite-defaut/) within the last two years and my [attempt to go back to basics](/david/blog/2017/async-python-frameworks/), struggling with that infinite loop of technologies bringing more complexity at each and every new turn.

> That breaks my heart, because so much of my start on the web came from being able to see and easily make sense of any site I’d visit. I had view source, but each year that goes by, it becomes less and less helpful as a way to investigate other people’s work.
>
> <cite>*Ibid.*</cite>

That is why I tried to document as much as I can my HTML here: no compression, no tooling, just raw HTML, CSS and JS (alright some is minified with a link to the source). I wonder if somebody even tried to look at it, I consider this as passive transmission for active readers.

That is the beauty of the plain old web, each page you download is yours to hack, mess up with, understand.