title: Mailbox is your copy
lang: en

> The email in your mailbox is **your copy** of what was said, and nobody else can change it or make it go away. The fact that the content of an email can’t be edited is one of the best things about POP3 and IMAP email standards. I admit it annoyed me when I first ran into it – why can’t you just fix up a message in place – but the immutability is the real strength of email. You can safely forget the detail of something that you read in an email, knowing that when you go back to look at it, the information will be exactly the same.
>
> Over time your mailbox becomes an extension of your memory – a trusted repository of history, in the way that an online news site will never be. Regardless of the underlying reasons, it is a fact that websites can be “corrected” after you read them, tweets can be deleted and posts taken down.
>
> To be clear, often things are taken down or edited for good reasons. The problem is, you can read something online, forward somebody a link to it or just go back later to re-read it, and discover that the content has changed since you were last there. If you don’t have perfect memory (I sure don’t!) then you may not even be sure exactly what changed – just be left with a feeling that it’s not quite how you remember it.
>
> Right now, email is not like that. Email is static, immutable, unchanging.
> 
> <cite>*[Email is your electronic memory](https://blog.fastmail.com/2018/02/14/email-is-your-electronic-memory/)* ([cache](/david/cache/c8aa773f82199cd3a8fb3c3c6d42ad3d/))</cite>

If only browser’s caches were considered as mail boxes, keeping their own copies of downloaded pages forever in a browsable and searchable way. That is what I tried to achieve with [contentbrowser](https://bitbucket.org/david/contentbrowser/) a long time ago (abandonware) and a patch I applied here with [cached links](/david/stream/2015/01/05/) these last three years.

Going solo down that path is quite useless though because the [Internet isn’t forever](https://longreads.com/2018/02/20/the-internet-isnt-forever/) ([cache](/david/cache/26b1f7790c59d8d0537b117f32f2fcde/)) and I think there are alternatives between a [regular browser](https://www.mozilla.org/en-US/firefox/) and a [full P2P one](https://beakerbrowser.com/), particularly one that is more social like sharing cached links across small communities.

Maybe an extension would actually do the trick?