title: Corporate responsibility
lang: en

> Everything that is produced requires resources and all these resources have some impact on our environment. What we do, what we take and what we destroy is guided by a combination of environmental responsibility, ethical responsibility and social responsibility. We have unlimited responsibility for Total Quality.
>
> Gränsfors Bruk realises that the quality and life of a product is a crucial element of this responsibility. A good product that you learn how to use and look after properly is likely to last much longer – and a longer product life means:
>
> 1. taking fewer natural resources: reduced consumption of raw materials and energy
> 2. destroying less: generating less waste.
> 3. having to do less: gaining time to do other things that are important or enjoyable
>
> One core goal for Gränsfors Bruk is to make good products that last a very long time. As proof of this, and to leave nobody in any doubt that we take our responsibilities seriously, Gränsfors Bruk sells its axes with a 20 Year Guarantee. The production and choice of materials is guided by environmental considerations and aims to be positive for the employees and the end users alike.
> 
> <cite>*[Corporate responsibility](https://www.gransforsbruk.com/en/about/corporate-responsibility/)* ([cache](/david/cache/a57ab16df04167493789509c156660aa/))</cite>

I’m still digging into that [long term warranty](/david/stream/2018/01/18/) provided by tools I buy. And it continues with fondamental theses:

> 1. **An axe is only as good as the accumulated skills of the people who forge, grind and attach the handle to the axe.** All our axes are made by human hand. And all these people deserve great respect and recognition for their professional expertise. Our company would be nothing without them.
>
> 2. **Smarter production requires fewer natural resources and imbues a product with better quality and a longer life.** A longer product life in turn decreases the overall consumption of natural resources and reduces waste.
>
> 3. **Every unnecessary step in axe production should be stripped out.** Unnecessary grinding, polishing, painting and use of epoxy adhesive for the handle has been eliminated. This makes for a better working environment, lower energy consumption and less of an impact on nature.
>
> 4. **We have unlimited responsibility for Total Quality.** Working conditions, product quality and concern for nature are just some factors determining Total Quality. Others include humanity, ethics and beauty.
>
> 5. **Sound knowledge of a product increases its value and life.** The axe user therefore needs information – The Axe Book is one source, courses and Gränsfors Axe Museum are others.
>
> <cite>*[Production](https://www.gransforsbruk.com/en/production/)* ([cache](/david/cache/c834b82629a68bc467b36c77214f1848/))</cite>

It inspires me to be a better crafter and to propose my own warranties related to web products. I’m really hoping that it would make a difference to have these concerns during the development of a website. 

*Act & see.*
