title: Solution vs. clue
lang: en

> That's when you have to watch out and resist the temptation to take code that *works* for code that's *good*. What you've found on Stack Overflow is - in all but the rarest cases - not a *solution* but rather a *clue*. It can certainly make for a great pointer, but it was *not* written with your exact problem / requirements / constraints /code base / application in mind. And sometimes, it might simply be a dirty hack.
>
> Embrace Stack Overflow as a good source of guidance for certain problems. But also take the time to thoroughly and honestly evaluate if you've found a real, solid solution.
> 
> <cite>*[Our Development Philosophy (1): Architecture, Design Patterns and Programming Principles](https://www.git-tower.com/blog/dev-philosophy-1)* ([cache](/david/cache/2483b6184d1a2e7c96c298db4bdf163b/))</cite>

Pretty well stated by the Tower team. Stack Overflow makes you find *leads* faster, but the solution is up-to-you and that’s part of the beauty of that job :-).

Make sure to check out the [second part too](https://www.git-tower.com/blog/dev-philosophy-2) ([cache](/david/cache/03f7d88efe4db61d7007bcf736aa789f/)), as writing code is only the first step of a long path.