title: DNS and privacy
lang: en

> The problem is that these DNS services are often slow and not privacy respecting. What many Internet users don't realize is that even if you're visiting a website that is encrypted — has the little green lock in your browser — that doesn't keep your DNS resolver from knowing the identity of all the sites you visit. That means, by default, your ISP, every wifi network you've connected to, and your mobile network provider have a list of every site you've visited while using them.
> 
> <cite>*[Announcing 1.1.1.1: the fastest, privacy-first consumer DNS service](https://blog.cloudflare.com/announcing-1111/)* ([cache](/david/cache/558df36be2c166357e092d0a774059eb/))</cite>

That’s not the first time I talked about [DNS and trust](/david/stream/2015/10/12/), last time I encouraged you to switch to FDN ones if you are in France. Is there a better alternative three years later? You might be tempted by [Quad9](https://www.quad9.net/) which is a not-for-profit organization with [decent performances](https://www.dnsperf.com/#!dns-resolvers) and a better presence around the globe (when you have to cross an ocean that makes a difference!) or use a [DNS proxy](https://github.com/jedisct1/dnscrypt-proxy) in order to hit multiple DNS services and cover your tracks (there is a [macOS client](https://github.com/alterstep/dnscrypt-osxclient)) or even hosting [your own DNS caching](https://unbound.net/) service.

But what if the best DNS for privacy is actually no DNS at all?!

The idea is [not new](https://gnunet.org/taxonomy/term/34) and there are more recent [initiatives](https://docs.meshwith.me/) to [ease the setup of a mesh network](https://github.com/cjdelisle/cjdns/), definitely something to consider for something local. I look forward for your suggestions/experiences!