title: Control vs. Care
lang: en

> So this leads to some of the questions that I’ve been thinking, why we need to care about the distributed web. The first question I ask is: How can we resist the capitalist means of control and instead care for each other through the network? The word care is important here because I think about care as an alternative to control. Control is how the network operates, The Internet consists of control mechanisms from different nodes. I’m focusing on this word control because Gilles Deleuze talks about “societies of control” in contrast to “societies of discipline.” A society of discipline is like a confined space of imprisonment, while on the contrary, a society of control is more like a private highway. The free-floating traffic of information travels in what appears to be open space, but in reality it is highly regulated because of the infrastructure on which it is built.
>
> We optimize ourselves to operate within control protocols, efficiency and compliance to terms of service. We attempt “Search Engine Optimization” of the self. Meanwhile, the society of control does not provide space for the us to take agency and take care.
>  
> […]  
>
> We are also focusing on care instead of control. Care is this very soft sense of responsibility and accountability. Without care, everything becomes code. We can try and write codes of conduct and codes of expectation, but until it’s executed and implemented into use, it’s just code. It’s just abstract symbols.
>
> The big question I have is: can we code to care, and can we code carefully? Let’s think about care instead of control. Let’s think about person instead of user. Let’s try and unlearn instead of machine learn.
> 
> <cite>*[Ethics and Archiving the Web](https://dwc-tchoi8.hashbase.io/posts/eaw/)* ([cache](/david/cache/e69527953d6b8c1b9ccaa2e6691fea85/))</cite>

I have been thinking a lot about that lately, if what we want to truly achieve with code of conducts is justice then we need both laws (the code in itself, hi Lessig!) but also the executive part of it and finally the people to apply it. If (tech) conferences are quite good at code, they are lacking on the preparation of the team to handle such issues and worse are totally blind on the necessary explicit way to execute it.

As long as that missing link is not taken care of, we will not be able to apply anything relevant under problematic circumstances. That is why I am more and more convinced we should let that part to the existing justice infrastructure, a lot of things in code of conducts can already be punished by an application of the law. *But*, do our best to care about the victims and propose help (financial, psychological, pertinent contacts and so on) to engage with the justice on the long run.

*Nice in-depth article about current decentralization tools/protocols by the way.*
