title: Level of ease
lang: en

> We spent several years trying to engineer our way out of this in increasingly complex ways, so that people could set up a publication on Ghost with the same level of ease as they do on Medium. In part, because that's what people were demanding. We never even got close. It's just not how modern web technology works.
>
> Decentralised platforms fundamentally cannot compete on ease of setup. Nothing beats the UX of signing up for a centralised application.
> 
> But
>
> Centralised platforms fundamentally cannot compete on power and flexibility. In the long run, nothing beats owning your technology and controlling your destiny.
> 
> <cite>*[After 5 years and $3M, here's everything we've learned from building Ghost](https://blog.ghost.org/5/)* ([cache](/david/cache/3df4e0352e35f47e6a9195994284ec19/))</cite>

A lot to say/quote about that article but I will focus on that part. First, it is great and super rare to have such real business feedback so thanks to the Ghost crew. Second, I think it is an issue to try to mimic a centralized approach on a decentralized mode, you cannot compete on the same field and as they say they had to adapt to address another audience. Third, there was *maybe* a circumvent way to give a try: using a decentralized protocol too like [IPFS](https://ipfs.io/) or [dat](https://datproject.org/). Both the technology and the market were not ready at that time but I *feel* there are **now** opportunities on that field.

A lot of hypothesis here but let’s get back to the level of ease. Why would that be simpler in a true peer-to-peer approach? Because it creates new patterns, there are no such “OAuth, Algolia and imgix” anymore, your data stay local. Of course, there are new challenges to tackle but the basic act of publishing easily is already done for you at the low level. For now you need a whole app to access that content but [soon enough](https://blog.mozilla.org/addons/2018/01/26/extensions-firefox-59/) ([cache](/david/cache/b431025fdd5261443b3a89a3f60b4ce8/)) it will hopefully not be the case anymore and an [extension](https://github.com/sammacbeth/dat-fox/blob/master/README.md) will suffice (yes, I know you need a [local Gateway](https://github.com/sammacbeth/dat-fox/blob/master/README.md) *for now* but you get the point).