title: Spiritualité et mystère

> L’esprit et l’âme sont les deux émergences du cerveau ; l’esprit est l’ensemble des activités intellectuelles, spirituelles et mentales ; l’âme est l’ensemble des éléments de sensibilité. L’un est bien entendu inséparable de l’autre, certains ont plus d’âme et d’autres plus d’esprit ! C’est à partir de ces deux composantes qu’émerge la conscience, qui est conscience de soi et réflexivité sur la connaissance. Voilà en quoi la conscience, le produit ultime de l’évolution humaine, reste le plus fragile puisqu’elle peut vaciller à la moindre émotion. Nous avons vu, dès que se déchaîne une guerre à quel point les gens perdent leur conscience pour devenir des barbares.
> 
> […]
> 
> J’en arrive à la spiritualité, que l’on réduit généralement à la foi religieuse, mais je pense qu’elle englobe toutes les activités de l’esprit portant sur la méditation, la réflexion, la relation avec autrui, avec le monde, tout ce qui dépasse les purs intérêts immédiats, matériels, économiques ou autres. La spiritualité est un besoin de l’esprit, de l’âme, de réfléchir, de se mettre dans le monde, d’en comprendre le sens, d’en jouir des beautés ; elle se manifeste dans l’amour de la musique, de la poésie, mais à mon avis, elle n’a nul besoin de Dieu.
> 
> […]
> 
> Mais je crois profondément au mystère, au mystère de l’univers. Pourquoi est-il né, d’où est-il sorti ? Je m’intéresse beaucoup aux sciences astrophysiques, qui nous disent que notre univers est né du vide. Mais comment un vide pourrait-il produire quelque chose qui n’est pas vide ? En somme, je pense que, quels que soient les problèmes que l’on aborde — l’univers, la vie, l’être humain, le destin, l’aventure humaine, le futur — nous somme toujours placés devant un mystère. Il n’a rien à voir avec l’énigme qui, comme dans les romans policiers, peut être résolue après une enquête expérimentale et rationnelle. Le mystère, ce sont les limites de l’esprit humain devant une réalité qui lui est inconnaissable parce que sa logique ne peut pas l’appréhender, ce sont les limites de la logique de l’esprit humain. Peut-être les mystiques ont-ils le sentiment du mystère quand ils sont dans l’ineffable, ils ont alors l’impression d’être en état de communion avec une réalité supérieure, qu’elle soit incarnée ou non. Peut-être existe-t-il en effet des formes de méditation mystique, notamment bouddhistes, qui appréhendent un autre versant du mystère ? Peut-être que la poésie et la musique nous rapprochent du noyau de certains mystères ? Je suis persuadé que, par ce moyen, par ce biais, il nous est possible d’aller plus avant dans le sentiment du mystère. Pour ce qui me concerne, je vis avec le sentiment permanent du mystère. Je me souviens de ce que disait Jankélévitch : le mystère n’est pas dans l’origine des choses mais dans le fait que les choses sont ce qu’elles sont.
> 
> <cite>*L’urgence et l’essentiel*, Edgar Morin</cite>

Je ne suis pas sûr de savoir où je vais dans ces recherches, creuser un mystère qui ne semble pas résoluble procure l’enthousiasme d’un chemin sans fin que l’on peut suivre par étapes. En en apprenant un peu plus à chaque tronçon, sur ce monde, les autres et finalement soi. La clé est peut-être ici d’ailleurs : *la quête d’un soi que l’on espère hors d’atteinte.*

En attendant de faire le chemin inverse pour trouver l’apaisement final :

>  Pour les plus croyants, beaucoup de questions sont déjà tranchées (*« de toute façon, on change juste d’étage »*) mais d’autres, moins fervents, trouvent malgré tout dans la religion une source d’apaisement. Il faut bien le dire, c’est plus facile quand on croit. *« Je suis particulièrement croyante depuis quelque temps, en vieillissant,* assume Paule Giron. *C’est déjà pas marrant de mourir, si en plus on n’est pas croyant, se dire qu’on va se retrouver dans un trou, c’est vraiment pas facile. Je ne sais pas s’il y a tellement de vieux qui sont capables d’affronter cette brutalité : "T’as fait ta vie, allez hop, on te débarrasse avec une pelle, au revoir et merci." être athée, ça va tant qu’on est bien. »* *« Je pense que ça aide, parce que ça donne un sens »*, abonde Nancy de La Perrière. Pourtant, elle, catholique *« de naissance »*, croit *« parfois plus difficilement »*. *« J’accepte moins les choses qu’avant, je réfléchis plus. »* Mais ne pas croire en Dieu n’oblige pas à ne croire en rien : *« Je pense que l’existence a un sens, mais je ne le vois pas, c’est de l’ordre de la croyance. »* 
> 
> <cite>*[Les vieux dans les yeux](http://www.liberation.fr/apps/2018/05/les-vieux-dans-les-yeux/)* ([cache](/david/cache/bd6f7b0939080d06669b77e859aef3d0/))</cite>
