title: Moving in alignment
lang: en

> “Alignment” is not the same thing as “agreement,” although people often conflate the two. A group might verbally agree on a destination, but its participants might still move in conflicting directions. Conversely, a group might move in perfect lock-step without ever having explicitly agreed on where it’s going or how (as was the case in my pickup game). It might even achieve this while explicitly disagreeing.
>
> This distinction is important, because it’s not necessarily hard to get a group to agree on something. One way is to make a statement that is so abstract, it’s both indisputable and meaningless. An example of something I often hear is, “We value collaboration.” Another one is, “Our goal is to better serve our customers.” Very few people would disagree with either of those statements, but by themselves, they’re too broad to mean anything. Agreement without alignment also often happens in groups with conflict-averse cultures, where people would rather assent than argue.
>
> *Being in alignment* is different than *moving in alignment*. If the goal is for everyone to be moving toward the same goal in rhythm and without resistance, then everyone must both *want* to move in alignment with everyone else and *be capable* of doing this. You achieve the former by *aligning*. You achieve the latter by *practicing*.
>
> How do you get a group into alignment? How can you tell when a group is aligned? And how can groups practice *moving* in alignment?
> 
> <cite>*[The Art of Aligning Groups](http://fasterthan20.com/2018/08/the-art-of-aligning-groups/)* ([cache](/david/cache/01fe9dacc4f148d6a1d10838124139b5/))</cite>

A lot of thoughts and discussions these days about values, with different sizes of (meta)groups. I like this article insisting on the fact that alignment is a constant adjustment of positions from people composing the group. This is a dynamic path requiring a constant attention to keep the alignment.

*Without taking the time to readjust continuously, [spirals](/david/stream/2018/04/07/) are slowly but surely diverging.*