title: The cost of connections
lang: en

> In computational simulations, we find that networks without a connection cost do not evolve to be hierarchical, even when the task has a hierarchical structure. However, with a connection cost, networks evolve to be both modular and hierarchical, and these networks exhibit higher overall performance and evolvability (i.e. faster adaptation to new environments). Additional analyses confirm that hierarchy independently improves adaptability after controlling for modularity. Overall, our results suggest that the same force–the cost of connections–promotes the evolution of both hierarchy and modularity, and that these properties are important drivers of network performance and adaptability. 
>
> <cite>*[The Evolutionary Origins of Hierarchy](http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1004829)* ([cache (PDF, 5 Mb)](/static/david/stream/the-evolutionary-origins-of-hierarchy.pdf))</cite>

This article gives some insights on why it might be more pertinent to choose a hierarchical network in case of “hierarchical logic problems with many inputs and one output”. The world is more complex though, but the cost of connections is still relevant to choose the appropriate way of being modular given the size of the group considered.

My take away: only small cultures can stay horizontal.

*Thanks [Aurélien](https://mastodon.social/@alatitude77/100624069455370739)!*

