title: Milieux de vie

> Si nous regardons de plus près les luttes sociales des dernières années (mouvement étudiant, *Idle no more*, luttes contre les gaz de schiste et les projets d’oléoducs), ces différentes formes de résistance sont toutes liées à la défense des services publics, des territoires et des milieux de vie. Le terrain premier des luttes sociales n’est pas d’abord la *sphère productive*, mais les lieux où les gens vivent, habitent, étudient et se rencontrent. Le terme « milieu » désigne ainsi l’ensemble des espaces, à la fois matériels et sociaux, physiques et culturels, où les gens tissent des liens avec les autres et leur environnement pour reproduire leurs conditions d’existence et la vie commune d’une société. Le concept de milieu, beaucoup plus général que celui de « travail » (qu’il peut inclure par ailleurs, comme dans l’expression « milieu de travail »), regroupe l’ensemble des activités sociales (productives ou improductives, scientifiques, artistiques, politiques et relationnelles) qui peuvent être l’objet d’une marchandisation ou d’une réappropriation collective.
> 
> Cette notion permet d’aborder un ensemble d’enjeux sociaux de première importance — accaparement des terres, privatisation de l’espace public, profilage racial, brutalité policière, sécurité alimentaire, logement, mobilité, justice environnementale — qui peuvent être interprétés à l’aune de cette catégorie. C’est pourquoi nous dirons que l’objet de l’émancipation n’est pas seulement le travail (bien que celui-ci demeure un enjeu fondamental), mais *la réappropriation démocratique des milieux de vie*, c’est-à-dire la possibilité de prendre part aux décisions collectives qui affectent nos conditions d’existence. La démocratisation des milieux de travail ne représente ainsi qu’une modalité particulière de ce principe plus général.
> 
> <cite>*À nous la ville ! Traité de municipalisme*, Jonathan Durand Folco</cite>

Et de continuer sur le fait que la manifestation est dorénavant supplantée par l’occupation. On parle souvent du Web comme étant un catalyseur mais rarement d’un milieu *occupable* et à ce titre dont on peut difficilement se sentir être dépossédé. La zone à défendre devenant floue, les adversaires en profitent.

*La lutte pour un intangible commun est-elle perdue d’avance ?*