title: Playing with fire
lang: en

> Abrupt climate change is a third reason. Summer is hotter and drier now. What worked well for the entire Holocene epoch doesn’t necessarily work at all in the Anthropocene. And the ideal forest strategy in 2018’s climate will not be ideal in 2068’s, at least the way we’re going. So it comes back to taking carbon out of the air. I think this must be one reason the Californian fires are especially fearsome to many Americans: because the idea of California is often subtly an idea of the future.
> 
> <cite>*[6, 90: Sauce](https://tinyletter.com/vruba/letters/6-90-sauce)* ([cache](/david/cache/5100e582756eae7b217f03ac1b126b11/))</cite>

Meanwhile:

> Thirty years ago, some believed that warmer temperatures would expand the field of play, turning the Arctic into the new Midwest. As Rex Tillerson, then the C.E.O. of Exxon, cheerfully put it in 2012, “Changes to weather patterns that move crop production areas around—we’ll adapt to that.” But there is no rich topsoil in the far North; instead, the ground is underlaid with permafrost, which can be found beneath a fifth of the Northern Hemisphere. As the permafrost melts, it releases more carbon into the atmosphere. The thawing layer cracks roads, tilts houses, and uproots trees to create what scientists call “drunken forests.” Ninety scientists who released a joint report in 2017 concluded that economic losses from a warming Arctic could approach ninety trillion dollars in the course of the century, considerably outweighing whatever savings may have resulted from shorter shipping routes as the Northwest Passage unfreezes.
>
> […]
>
> An investigation by the L.A. *Times* revealed that Exxon executives took these warnings seriously. Ken Croasdale, a senior researcher for the company’s Canadian subsidiary, led a team that investigated the positive and negative effects of warming on Exxon’s Arctic operations. In 1991, he found that greenhouse gases were rising due to the burning of fossil fuels. “Nobody disputes this fact,” he said. The following year, he wrote that “global warming can only help lower exploration and development costs” in the Beaufort Sea. Drilling season in the Arctic, he correctly predicted, would increase from two months to as many as five months. At the same time, he said, the rise in the sea level could threaten onshore infrastructure and create bigger waves that would damage offshore drilling structures. Thawing permafrost could make the earth buckle and slide under buildings and pipelines. As a result of these findings, Exxon and other major oil companies began laying plans to move into the Arctic, and started to build their new drilling platforms with higher decks, to compensate for the anticipated rises in sea level.
>
> […]
>
> The implications of the exposés were startling. Not only did Exxon and other companies know that scientists like Hansen were right; they used his NASA climate models to figure out how low their drilling costs in the Arctic would eventually fall. Had Exxon and its peers passed on what they knew to the public, geological history would look very different today.
> 
> <cite>*[How Extreme Weather Is Shrinking the Planet](https://www.newyorker.com/magazine/2018/11/26/how-extreme-weather-is-shrinking-the-planet)* ([cache](/david/cache/0e769136c71e92af818b174b95a26037/))</cite>

*Can we turn the World off and on again?*