title: Bread and algorithms
lang: en

> “With bread baking, you kind of follow an algorithm to produce a result and that result isn’t always what you think it’s going to be, so you kind of have to step back and debug and diagnose the steps along the way. How did I go wrong here? That’s because technically the temperature might not be right or the dough strength might not be right. That iterative procedure and working through those algorithms kind of appeals to engineer. There’s the precision part of it, but also, when it comes down to it, technical people like to work with their hands. You want to construct something and I think bread is a good way to do that.”
>
> Benenson gave me some context for what motivated him to make his Tartine timing spreadsheet. (He also created a custom calendar in Google for scheduling various stages of the bread-making process.) “My girlfriend made this point that was like, maybe sourdough is interesting to male nerds because it’s this way to be precise in cooking that doesn’t involve pastries, which has this very gendered association.”
>
> Bread “has all these degrees of freedom,” Benenson continued. “That’s a term people use in algorithms when there are lots of different possible ways that something could be implemented. ... You can do creative coding and at the end of the day, you’re just like, I made a form on a webpage. ... It doesn’t have an audience that is going to viscerally appreciate it like a loaf of sourdough. [Making bread] is a way to apply that exacting, problem-solving intellectual intensity to a problem that has immediate feedback in your friends and family and is a great contrast to programming.”
>
> […]
>
> “There’s been a moment when every single person I know who works in tech — and I say this as a blanket statement — has hit a wall with tech,” Bilton said. “It’s too embedded in their lives, it consumes everything, they’re too dependent on it. They’re deleting apps from their phone.” But, he added, “you can’t turn that technical side of your brain off if that’s what you do for a living.”
>
> Which is why, when the tech bros discovered Tartine Bread, Robertson himself was confronted with something he’d rarely encountered before. “I get stopped at a lot of places in different cities and it’s mostly by guys in tech,” he explained to me this month. “They’re taking all the little details really seriously and going very, very deep. They ask a lot of questions, sometimes silly questions.” Like what kind of questions? “‘What if the temperature is three degrees different than you say in the book?’ I don’t know!”
>
> <cite>*[How Tech Bros Fell in Love With Baking Bread](https://www.eater.com/2018/11/19/18099127/bread-silicon-valley-sourdough-tech-bros-tartine-chad-robertson)* ([cache](/david/cache/eb44169b75155abf0f229921b157c7f3/))</cite>

Iterative, daily work and improvements. Something developers know about. This time for the good of their relatives. How appealing is it compared to their useless (at best), harmful (at worse) lines of code?

<figure>
  <img src="/static/david/stream/bread.jpg" alt="Picture of my bread" />
  <figcaption>
    One of my multiple attempts.
  </figcaption>
</figure>

*Touché.*