title: Minimum Viable Governance
lang: en

> The main goals of this proposal are:
>
> * Be **boring**: We're not experts in governance, and we don't think Python is a good place to experiment with new and untried governance models. So this proposal sticks to mature, well-known, previously tested processes as much as possible. The high-level approach of a mostly-hands-off council is arguably the most common across large successful F/OSS projects, and low-level details are derived directly from Django's governance.
> * Be **simple**: We've attempted to pare things down to the minimum needed to make this workable: the council, the core team (who elect the council), and the process for changing the document. The goal is Minimum Viable Governance.
> * Be **comprehensive**: But for the things we need to define, we've tried to make sure to cover all the bases, because we don't want to go through this kind of crisis again. Having a clear and unambiguous set of rules also helps minimize confusion and resentment.
> * Be **flexible and light-weight**: We know that it will take time and experimentation to find the best processes for working together. By keeping this document as minimal as possible, we keep maximal flexibility for adjusting things later, while minimizing the need for heavy-weight and anxiety-provoking processes like whole-project votes.
> 
> <cite>*[PEP 8016 -- The Steering Council Model](https://www.python.org/dev/peps/pep-8016/#rationale)* ([cache](/david/cache/468a5d6b78e3cd13a45d0f248cfe6346/))</cite>

Interesting rationale from the [Python Enhancement Proposal](https://www.python.org/dev/peps/pep-0001/#what-is-a-pep) regarding the governance of the language itself [after Guido quit](/david/stream/2018/07/12/) five months ago.

*Inspiring to see how the community itself can achieve its own non-technical rules.*