title: Golden Path
lang: en

> How to build a golden path and reverse software sprawl
>
> 1. Assemble a small council of trusted senior engineers.
> 2. Task them with creating a recommended list of default components for developers to use when building out new services.  This will be your Golden Path, the path of convergence (and the path of least resistance).
> 3. Tell all your engineers that going forward, **the Golden Path will be fully supported by the org**.  Upgrades, patches, security fixes; backups, monitoring, build pipeline; deploy tooling, artifact versioning, development environment, even tier 1 on call support.  Pave the path with gold.  Nobody HAS to use these components … but if they don’t, they’re on their own.  They will have to support it themselves.
> 4. Work with team leads to draw up an umbrella plan for adopting the Golden Path for their current projects as well as older production services, as much as is reasonable or possible or desirable.  Come up with a timeline for the whole eng org to deprecate as many other tools as possible.  **Allocate real engineering time** to the effort.  Hell, make a party out of it!
> 5. After the cutoff date (and once things have stabilized), establish a regular process for reviewing and incorporating feedback about the blessed Path and considering any proposed changes, additions or removals.
> 
> <cite>*[Software Sprawl, The Golden Path, and Scaling Teams With Agency](https://charity.wtf/2018/12/02/software-sprawl-the-golden-path-and-scaling-teams-with-agency/)* ([cache](/david/cache/514ebd8c64cdbe4a0720318ffe229b3e/))</cite>

Food for thoughts. Now who is in charge of assembling the council? Is that possible that it comes directly from teams? How to [keep the governance minimalist](/david/stream/2018/12/20/) and still have a democratic/self-managed process?

*Thanks [Mathieu](https://twitter.com/magopian/status/1076390470304104448)!*