title: Balbutiements

*Tentatives autour d’un format hebdomadaire.*

> Lost here is the gentle pursuit of a modest competence, the doing of something just because you enjoy it, not because you are good at it. Hobbies, let me remind you, are supposed to be something different from work. But alien values like “the pursuit of excellence” have crept into and corrupted what was once the realm of leisure, leaving little room for the true amateur.
>
> <cite>*[In Praise of Mediocrity](https://www.nytimes.com/2018/09/29/opinion/sunday/in-praise-of-mediocrity.html)* ([cache](/david/cache/4a30c5e49bd90cbd2ecf7f131b2d1a19/))</cite>

Pendant que certains se focalisent sur leur <strike>santé</strike>compétence (en opposition au savoir-faire, voir [Lepage](https://comptoir.org/2018/12/26/franck-lepage-le-gilet-jaune-est-le-symbole-dune-conscience-de-classe-qui-est-en-train-de-renaitre/) ([cache](/david/cache/cd9506501d087bff737affa52e9188a2/))), d’autres proposent des cérémonies d’enterrement de leurs données…

> However, do we value them enough to consider funerals for these once beloved traces of our life when they are gone? Through this workshop, participants learnt to use design fiction as a method to explore emerging and speculative rituals helping users to cope with failing data-driven services.
>
> <cite>*[Requiem for a data: imagining speculative rituals to cope with a data loss](https://medium.com/design-friction/requiem-for-a-data-imagining-speculative-rituals-to-cope-with-a-data-loss-32175e6c4c08)* ([cache](/david/cache/a3935b1b839c8d6d17ace91e98ff2bbc/))</cite>

… tout en les publiant sur Medium, ce qui n’est pas sans une certaine ironie mais finalement assez cohérent. À se demander si l’éphémère assumé ne serait pas la seule voie de salut pour accepter ses propres contradictions :

> The logic of the camera is that reality is real only to the extent that it is photographable. It pulls individuals out of the moment and makes them see it (and themselves) as an object for the future as well as always already of the past. This seizing of experience’s ephemerality — to possess the present, docile and durable — is what Andreas Kitzmann called a “museal gesture,” what Jean Baudrillard called “museumification,” and what André Bazin called the “mummy complex,” the “need to have the last word in the argument with death by means of the form that endures.” It’s ownership of the present by proxy.
>
> <cite>*[Pics and It Didn’t Happen](https://thenewinquiry.com/pics-and-it-didnt-happen/)* ([cache](/david/cache/ebd19f9c1e332d26ebb7f2aa03f5f301/))</cite>

Ce n’est pas pour rien si le logo de Snapchat est un fantôme en effet. Celui de la construction de notre identité. La fuite d’une nostalgie que l’on crée *et* retrouve avec romantisme d’un côté. Mais aussi les traces d’un chemin permettant de bâtir une souvenance cohérente. De la caverne à la bulle de filtres il n’y a qu’un pas.

> L’écran cathodique est une caverne reconstituée dans la mesure où elle fait voir, non pas le monde, mais ses images. *Le monde vient à l’homme et non plus l’homme au monde.* Dès lors, il acquiert une réalité fantomatique.
>
> <cite>*Les irremplaçables*, Cynthia Fleury</cite>

Twitter et consorts n’étant finalement que des Snapchats du texte, tout est [question de temps](https://gcemetery.co/). Un temps dont on ne prend pas soin et ne pas s’en préoccuper consiste peut-être à ne pas se considérer soi-même. Lorsqu’on ne produit que du jetable, on en vient à se considérer comme étant remplaçable.

> Autrement dit, le temps s’ouvre sur la nécessité même de l’individuation. Le temps ne délivrera son sens qu’à celui qui poursuit le travail d’individuation. Ce travail fait toute sa liberté. […] Ne pas saisir l’instant pour cheminer vers soi, ne pas articuler le « connais l’instant » avec le « connais-toi toi-même », c’est manquer la possibilité de l’individuation, l’ajourner pour une venue plus improbable encore. Les rencontres avec soi-même sont rares.
>
> <cite>*Les irremplaçables*, Cynthia Fleury</cite>

Dans quelle mesure est-ce que ce temps — que l’on ne prends plus le temps de savourer — met à mal notre créativité profonde, faute de tension longue ? C’est l’une des explorations pour cette année, publier moins pour tenter d’articuler des pensées en tentant d’éviter l’écueil facile de la revue de presse aigrie. Manifestement loupé pour cette première, j’accepte l’échec sachant que j’ai encore 51 essais.

> Mais là où le travail de l’artiste est de servir de contenant à ces sentiments, de les faire mijoter en ses tréfonds pour mieux les digérer, afin de produire une œuvre, les réseaux sociaux nous invitent à nous en débarrasser aussitôt. Une belle idée ? Aussitôt postée. Une indignation ? Aussitôt postée. Une colère noire ? Aussitôt postée. Nous évacuons sciemment la matière première de notre puissance de création comme nous tirerions la chasse d’eau, sans réfléchir à ce que nous faisons. Les réseaux sociaux comme toilettes des émotions.
>
> <cite>*[Suicide social (ou comment quitter les réseaux sociaux sur un coup de tête)](https://page42.org/suicide-social/)* ([cache](/david/cache/830311097b8a4bc8856379842d5bfeec/))</cite>

Toujours intéressant de lire ces retours qui se préoccupent énormément des êtres perdus en tirant la chasse mais parlent peu des personnes à retrouver qui sont déjà passées par là et qui sont maintenant plus légères. Ces [articles](/david/stream/2015/01/01/) comme la numérisation du graffiti dans les toilettes : « X a fait caca ici. » Le besoin d’exprimer son détachement pour montrer à quel point l’on était attaché. Se dé-lier pour être en mesure de se re-lier. Comment mailler sans centraliser ?

**Le Web permet-il de tisser autre chose qu’une bulle ?**

<figure>
  <img src="/static/david/stream/caca-facebook.jpg" alt="Affiche informative sur la loutre et son caca" loading="lazy" width="500" height="500" />
  <figcaption>
    Puisqu’on en est à ces considérations, je n’hésite pas à ressortir cette petite pépite… il y en a qui s’amusent bien :-)
  </figcaption>
</figure>

> Notre idéalisme doit se faire à l’époque dans l’espoir de la transformer. Nous avons connaissance du temps long de l’économie du livre, de la présence imbriquée de ses intermédiaires, des pratiques du milieu littéraire et des attitudes trop souvent boutiquières de ses acteurs, mais nous avons surtout connaissance de la méconnaissance des lecteurs quant à toutes ces questions relatives au livre, à son économie, à son existence numérique et à sa diffusion. En écrivant ainsi « NC » dans notre licence, nous raturons « Non au Capital ». À travers cette vulgarité poussiéreuse, nous voulons éviter les usages de nos contemporains qui se servent de la propriété intellectuelle soit pour maintenir une situation passéiste autour de l’usage classique du droit d’auteur, soit pour assurer une certaine fluidité du marché, volontairement ou non, par l’entremise des licences libres.
>
> <cite>*[Partage](https://abrupt.ch/partage/)* ([cache](/david/cache/2623ad615200612902d1fa654b6f0b4a/))</cite>

« Non au Capital ». Non à la capitulation. Non au jetable. Non à la propriété. Non à la destruction des identités.

*Mais « oui » à quoi au juste ?*
