title: Agilité

*Cette semaine a débutée par deux journée dans les bois avec des températures qui n’ont pas dépassées les -18°C. C’était « frète » comme on dit par ici. Heureusement, j’ai passé une nuit dans un refuge que j’ai fait passer de -9°C à 32°C (!) en 3 heures grâce au poêle, le contraste était assez saisissant. Cela m’a permis d’avancer sur mon projet de couture avec un sprint de… 5 heures non-stop, vive l’hiver ! Aussi, j’ai vu le premier <strike>arc-en-ciel circulaire</strike>[halo](https://fr.wikipedia.org/wiki/Halo_(ph%C3%A9nom%C3%A8ne_optique)) de ma vie <3*

<figure>
  <img src="/static/david/stream/couture.jpg" alt="Mon atelier de couture portable" loading="lazy" width="500" height="500" />
  <figcaption>
    Atelier de couture portable, ça manque un peu de lumière malgré le réflecteur/pare-vent du réchaud à bois.
  </figcaption>
</figure>

C’était aussi l’occasion de réfléchir à l’agilité et à ce que ça voulait dire de promouvoir certaines pratiques dans l’objectif de [me diversifier](/david/stream/2018/12/12/) (plus à venir là-dessus). J’en suis ressorti avec la définition suivante :

> **Agilité (n.f.) : prendre le temps de communiquer.**

Tout est là, ce qui a pour conséquence possible de comprendre son équipe, d’avoir de l’empathie pour ses utilisateur·ice·s, de partager avec ses pair·e·s dans le but de proposer des trucs pertinents. La communication c’est l’inefficacité qui permet l’horizontalité.

*Sans communication on a besoin de hiérarchie.*

<figure class="unsquared">
    <a href="/static/david/media/2019/20190111-canada-tronc-enneige.jpg">
      <img src="/static/david/media/2019/thumbnails/20190111-canada-tronc-enneige.jpg" alt="Tronc enneigé" />
    </a>
  <figcaption>
    Un développeur <em>full-stack</em> bien chargé.
  </figcaption>
</figure>

Et en parlant de ce qui pousse sur les arbres :

> In other words, the ethical alternatives will not grow on trees. They must be funded. And given that they cannot and will not be funded by the same interests that created the problem to begin with (venture capital), we need alternative, ethical funding to create alternative, ethical infrastructure. The technological infrastructure of our societies must be funded from the commons, for the common good. And that requires political will and a system that’s not institutionally corrupt. Neither of which we have today.
>
> <cite>*[Baby steps](https://ar.al/2018/12/07/baby-steps/)* ([cache](/david/cache/242a36faf1d181fb8cafd0869e95e034/))</cite>

Aral Balkan essaye beaucoup de choses, à petits pas, et les partage sur [son espace](https://ar.al/). J’aime ça. Il y a une super cagnotte à laquelle on participe (presque) tous et qui nous permet (presque) tous d’en profiter aussi. Indice : ce n’est pas le loto. Quels outils (et données) pour rendre transparente son attribution ? Quels algorithmes politiques (pléonasme) pour influer sur cette répartition ?

> I wish there were a clever marketing name for no-cookies/no-JavaScript sites. It should be a trend.
>
> While the industry is focused on SSL everywhere, we’re not looking at the other half of surveillance tech.
>
> <cite>*[NetNewsWire Privacy Policy](http://inessential.com/2019/01/14/netnewswire_privacy_policy)* ([cache](/david/cache/98fa0ca9f540e32f20ef7784b6fef3ec/))</cite>

Brent Simmons nous rappelle que de sécuriser une connexion pour cacher ce que l’on fait et que ça ne soit consigné que par le destinataire… pour être ensuite revendu en arrière plan est complètement incohérent. De là à dire que HTTPS encourage les monopoles, la centralisation et les inégalités, il n’y a qu’un troll. J’assume.

Via [keybase](https://keybase.io/) je découvre [stellar](https://learn.stellar.org/) qui revendique <cite>« No forks, no energy-wasting, and no unfair staking »</cite> pour des transactions monétaires. Je n’ai pas les compétences pour lire le [papier blanc](https://www.stellar.org/papers/stellar-consensus-protocol.pdf) ([cache](/static/david/stream/stellar-consensus-protocol.pdf), PDF 200Ko) mais ça semble prometteur.  Enfin des micro-paiements en 2019 ?

<figure class="unsquared">
    <a href="/static/david/media/2019/20190112-canada-arbre-givre.jpg">
      <img src="/static/david/media/2019/thumbnails/20190112-canada-arbre-givre.jpg" alt="Arbre givré" />
    </a>
  <figcaption>
    Quand on me demande si j’ai eu froid.
  </figcaption>
</figure>

J’ai pas mal de conseils pour le grand froid. Ce qui est capital c’est la gestion de l’eau. On a beau être littéralement entouré d’eau (neige), on peut en arriver très vite à être déshydraté sans pouvoir remédier à cela rapidement. Ma stratégie actuelle, c’est d’avoir un petit thermos *sur moi* (effet bouillotte + ça aussi ça gèle au bout d’un moment !) d’eau ou infusion brûlante. Je rempli le capuchon/verre de neige et je complète avec l’eau chaude, ça me double la quantité de liquide ingérable avec la possibilité de boire une boisson chaude en cas de besoin. Aussi, c’est la saison où il faut piétiner sa barre énergétique *avant* de l’ouvrir au risque de se casser les dents…

> Nous gagnerions à mieux maîtriser la quantité produite et à mieux comprendre ce qui est fait de nos déchets, ainsi que l'énergie dépensée à les trier, les enfouir, les incinérer. Nous gagnerions à connaître le coût environnemental de toute l'affaire, depuis la fabrication des sacs en plastique immonde jusqu'à l'incinération d'une matière qui a en tout et pour tout servi quelques heures, au mieux quelques jours. Nous gagnerions à retrouver le pouvoir de prendre du recul sur ce que nous produisons.
>
> <cite>*[La ville et ses déchets](http://resilience.mcpaccard.com/notes/la-ville-et-ses-dechets)* ([cache](/david/cache/f48428bd52e750dd7cdb1d2efb15a5ba/))</cite>

Marie-Cécile Paccard partage son chemin de résilience à travers des [notes](http://resilience.mcpaccard.com/). À Montréal la ville offre à chaque résident deux bacs : un petit à mettre dans sa cuisine et un plus gros pour stocker en attendant que le camion dédié passe une fois par semaine. Au printemps, il y a une distribution publique de compost pour boucler le cycle et enrichir les jardins locaux. Je ne sais pas quel coût cela représente, j’ai l’intuition que le retour sur investissement global est positif.

> You probably had several great things you wanted to do, but had to pick just a few of them. If so, then consider thinking of it from a place of celebration.
>
> Instead of feeling regret over what you didn’t do, celebrate what you did do.
>
> <cite>*[Regret vs Celebration](https://shawnblanc.net/2019/01/regret-vs-celebration/)* ([cache](/david/cache/cabff60e2f12405860c7269dc56debe8/))</cite>

*This.* Tiens, et si je rédigeais mes intentions annuelles ?

<figure class="unsquared">
    <a href="/static/david/media/2019/20190112-canada-arbre-soleil.jpg">
      <img src="/static/david/media/2019/thumbnails/20190112-canada-arbre-soleil.jpg" alt="Soleil à travers les arbres" />
    </a>
  <figcaption>
    Au bout du tunnel neigeux, la lumière.
  </figcaption>
</figure>

> Fermer de temps en temps les portes et les fenêtres de la conscience ; demeurer insensibles au bruit et à la lutte que le monde souterrain des organes à notre service livre pour s’entraider ou s’entre-détruire ; faire silence, un peu, faire table rase dans notre conscience pour qu’il y ait de nouveau de la place pour les choses nouvelles, et en particulier pour les fonctions et les fonctionnaires plus nobles, pour gouverner, pour prévoir, pour pressentir (car notre organisme est une véritable oligarchie) voilà, je le répète, le rôle de la faculté active d’oubli, une sorte de gardienne, de surveillante chargée de maintenir l’ordre psychique, la tranquillité, l’étiquette. On en conclura immédiatement que nul bonheur, nulle sérénité, nulle espérance, nulle fierté, nulle jouissance de l’instant présent ne pourrait exister sans faculté d’oubli.
>
> <cite>*Généalogie de la morale*, Nietzsche</cite>
