title: Sans voie

*Cela m’intéresse d’avoir vos retours sur cette formule hebdomadaire. Notamment si une [liste de diffusion](/david/stream/2018/12/31/) vous faciliterait la vie.*

> We were caught off guard by surveillance capitalism because there was no way that we could have imagined its action, any more than the early peoples of the Caribbean could have foreseen the rivers of blood that would flow from their hospitality toward the sailors who appeared out of thin air waving the banner of the Spanish monarchs. Like the Caribbean people, we faced something truly unprecedented.
>
> Once we searched Google, but now Google searches us. Once we thought of digital services as free, but now surveillance capitalists think of us as free.
>
> […]
>
> The result is that these new knowledge territories become the subject of political conflict. The first conflict is over the distribution of knowledge: “Who knows?” The second is about authority: “Who decides who knows?” The third is about power: “Who decides who decides who knows?”
>
> […]
>
> Surveillance capitalism moves from a focus on individual users to a focus on populations, like cities, and eventually on society as a whole. Think of the capital that can be attracted to futures markets in which population predictions evolve to approximate certainty.
>
> <cite>*[“The goal is to automate us”: welcome to the age of surveillance capitalism](https://www.theguardian.com/technology/2019/jan/20/shoshana-zuboff-age-of-surveillance-capitalism-google-facebook)* ([cache](/david/cache/4a2353c0bf9b33642f6a2badcef58d25/))</cite>

Incroyable interview de Shoshana Zuboff. Alors on va prendre cet article et le mélanger avec cette hypothèse saugrenue :

> Let’s say for a moment that I am a billionaire. I am an intelligent person with a top flight education. I believe that I got to where I am through hard work, and because of my libertarian streak, I espouse that free markets could make anyone like me of course, that is if the competition can outwit my competitive instinct to crush them. I didn’t get to where I am by running a charity. I believe in social darwinism. While I won’t call it white supremacy, there are those among us smarter and more capable than others.
>
> Because I am a billionaire, I have access to all the latest intel, and even though I have my suspicions about academics — with their constant asking for grants — it’s pretty clear that climate change is coming… more importantly, climate change will be good for business.
>
> As a billionaire, I can find the cities that will be least affected and invest heavily in them with massive tax breaks. I can also make sure to build my future homes and enclaves in places that are protected from the worst of it. Given that my intellect and hard-earned wealth will give me shelter from the coming storm, I really only have to worry about the effect it will have on my business.
>
> If I made my fortune in fossil fuels, the answer is simple — I must deny climate change because, as the poorer nations collapse, I will be given leave to drill everywhere in the united states I have been denied — along with fracking — to preserve continuity in our way of life that effort alone will make the US the world’s biggest oil producer in perpetuity. Climate-based social and economic collapse in South America, Africa, and the middle east is good for my business. Not to mention that the increased pressure on the world’s economy will most likely have a dampening effect on the sustainable competition. Fossil fuels are the existing infrastructure and the focus during a global emergency should be to protect what is already there instead of taking chances on new tech.
>
> If I am in any other business, climate change is very good for my bottom line: the dead and displaced were never going to be my customers anyway (how many people have amazon prime in cities like homs, anyway?), those who suffer economic collapse can always come work for me… on my terms of course.
>
> The best part of the coming long emergency is that the worse things get in terms of catastrophic damage, food instability, and economic instability, the more opportunity there will be for my businesses to get valuable reconstruction and infrastructure repair contracts.
>
> Also, the more catastrophic the damage, the more of a blank slate we get to circumvent local, regional, and national regulations on trade, manufacturing, and commerce. Governments in crisis, and regulatory agencies, don’t recover as quickly as my agile, anti-fragile companies. So those places that have not been destroyed will easily become havens for my factories and server farms, and I will have my pick of the desperate labor pool. As Ming the merciless famously said “they will be happy with less.”
>
> The social pressures exerted on the planet will be good for business — as the “haves” feel more encroached upon by the “have nots,” they will back authoritarian regimes that promise to protect their moneys, assets, and entitlements authoritarian governments are far easier to make deals with than heavily regulated democracies; not to mention that the larger military presence necessary for authoritarianism is good for business. Military contracts are especially opaque and lacking oversight. And let’s face it, as a self-made billionaire who never asked for favors and got here through sheer intellect hard work, I may not be — in my more fanciful moments — beyond the thought that a ”natural” culling may not be the worst thing for free markets or the global gene pool.
>
> Which leads me to quietly fund climate change denial conferences and pressure groups, and let the world go its way without using my power and influence for change (the odd philanthropic gesture here and there will always be good to keep the bleeding hearts from catching on). Disaster is good for billionaires and their businesses. Disaster cleanses, purifies, simplifies, and, if your immediate needs and your business infrastructure is protected, it creates something far more valuable… it creates opportunities and removes obstacles.
>
> I dunno, just a thought.
>
> <cite>*[Javi Grillo-Marxuach on Twitter](https://twitter.com/OKBJGM/status/1088171717845868545)*</cite>

Complotisme ! Lucidité ? En tout cas ça pique… et ça donne une perspective sur la situation actuelle et future. Tout renforcement des inégalités ne fera qu’aggraver notre rapport au climat au devant duquel nous ne sommes pas tous égaux. Où est [l’obligation morale](https://www.monde-diplomatique.fr/2019/01/BONELLI/59444) ([cache](/david/cache/190fadf71b05aed7dcc2514935791178/)) lorsque les forces deviennent aussi inégales ? Quel intérêt à soutenir une réciprocité lorsque des facteurs externes vont de toute façon déstabiliser l’ordre social ?

La beauté du capitalisme est de mettre un prix *et* un mot sur chaque chose. Une étiquette qui permette de l’oublier, de passer à autre chose.

*De vivre avec.*

> L’écriture fut l’un des mystères originels de la civilisation, elle permit de réduire la complexité de l’expérience au mot écrit. En outre, l’écriture fournit à la classe dirigeante un instrument idéologique d’une puissance considérable. La parole divine devint loi, relayée par les prêtres ; c’est pourquoi, dirent les Iroquois, confrontant les Européens : ‘L’écriture est l’invention du Diable’. Avec l’avènement de l’écriture, les symboles devinrent explicites, et perdirent immédiatement leur profondeur. Dès lors, la parole de l’homme n’était plus une éternelle exploration du réel, mais un signe qui pouvait être utilisé contre lui. […] Car l’écrit sépare la conscience en deux — il devient plus légitime que la parole, détruisant ainsi le sens du discours et érodant la tradition orale ; et il rend possible l’utilisation des mots pour manipuler politiquement et contrôler les autres. L’écrit supplante la mémoire ; une version officielle des événements, fixe et permanente peut être élaborée. Si c’est écrit, dans les civilisations anciennes [et j’ajouterai, aujourd’hui], c’est que ça doit être vrai.
>
> <cite>Stanley Diamond cité dans *[Endgame Vol.1 : Civilisation (par Derrick Jensen)](http://partage-le.com/2018/11/endgame-vol-1-civilisation-par-derrick-jensen/)* ([cache](/david/cache/8692b22578a8044c1a944bf6dc53d5d2/))</cite>

Mais en contrepartie, se retenir d’écrire c’est laisser l’attention à d’autres. C’est perdre cette capacité à se comprendre avec un langage commun. C’est verbaliser nos oppressions pour mieux les comprendre, les partager et les combattre. C’est nommer l’innommable.

*(D)Écrire est un acte politique.*

> Voler au sujet sa capacité d’énonciation n’est donc pas suffisant. Ce qu’il faut voler, c’est la condition de possibilité de cette énonciation, sa dynamique de conscientisation. Premier grand processus de la domination : « priver de langage les dominés ». L’opération d’usurpation ne réussissant pas toujours, la prise de conscience émerge. Pour s’assurer la durabilité de la domination, il faut alors provoquer chez le sujet un sentiment de désolation, qui prend l’apparence d’une individuation inversée, dans la mesure où le sujet se sent abandonné, seul de son espèce, sans capacité de faire lient avec d’autres sujets partageant la même expérience. Le sujet ne parvient pas à élaborer cette idée d’une expérience commune d’injustice.
>
> <cite>*Les irremplaçables*, Cynthia Fleury</cite>

Comment prendre conscience collectivement lorsque les outils sont contrôlés ? Comment transmettre des messages alors que ceux-ci sont soigneusement sélectionnés ? Comment être le media sans *faire* le media ?

Collecter pour lier. Brouillonner pour éclaircir. Écrire pour être.

> Écrire, cela permet de tenir, avant de retenir. Tenir la distance. Distance dans la durée : endurer de me taire, d’enfermer les émotions en mon for intérieur. Distance  dans l’espace entre les élèves et moi, pour leur laisser de la place, sans l’occuper d’emblée de ma propre puissance.
>
> <cite>*[Enseigner et tenir un journal de bord (2)](http://www.lettresvives.org/2019/01/30/enseigner-et-tenir-un-journal-de-bord-2/)* ([cache](/david/cache/faca46586ac0eee2aad2c23a63e39159/))</cite>

*Publier pour devenir ?*
