title: Écriture

*Cette semaine, j’ai regardé « Leave No Trace » et ça m’a bien chamboulé.*

>  You know those people whose lives are transformed by meditation or yoga or something like that?
>
> For me, it’s writing in my diary and journals. It’s made all the difference in the world for my learning, reflecting, and peace of mind.
>
> <cite>*[Benefits of a daily diary and topic journals](https://sivers.org/dj)* ([cache](/david/cache/73006248a47469926e2bea43eeb3519b/))</cite>

Une suite de [petits textes](https://patthomson.net/2019/02/11/tiny-texts-if-not-beautiful%e2%80%8b-small-is-pretty-darn%e2%80%8b-useful/) ([cache](/david/cache/3e8ce57c6cc627a5f76afe8976d4c123/)) qui témoignent d’une vie. Avec la seule prétention d’être capable de partager, au moins sur la forme. De petits espaces d’expressions permettant de partager ses intentions et ses frustrations. De créer du lien, même à distance. Surtout à distance.

Depuis quelques jours je teste [l’extension minimal](https://addons.mozilla.org/fr/firefox/addon/minimal-internet-experience/), Youtube est le seul service que j’utilise sur ceux qui sont apaisés et je vois déjà une différence. La première guerre des robots pour sauver l’humanité a déjà lieue dans les navigateurs.

*Deviendrions-nous des dommages collatéraux ?*

> If you’re not a programmer — or you’re new to programming, or haven’t written apps with a user interface — it’s easy to think that the actual under-the-hood implementation of a feature is what takes the most time.
>
> It’s not. In the case of the search feature, I spent more time just *thinking* about how I want to do the UI than on the actual search-in-the-database implementation.
>
> <cite>*[NetNewsWire Status: February 19, 2019](http://inessential.com/2019/02/19/netnewswire_status_february_19_2019)* ([cache](/david/cache/9ccea9cbe220b80a12486cf5f3f01dab/))</cite>

Brent Simmons rappelle à juste titre l’importance de la réflexion dans mon activité. J’ai du mal à décrire à quel point le sport m’aide au quotidien pour avancer dans mon travail. Prendre le temps de clarifier une situation pour pouvoir l’implémenter. Changer d’angle pour aller chercher une autre forme d’empathie. Laisser la place à d’autres chemins de pensées *par* le mouvement.

Il est intéressant de constater que l’on dit parfois « écrire du code », différents styles d’écriture, différents genres. Différentes formes d’édition et de diffusion aussi. Là où il y a de la place pour l’expression, il y a de la singularité qui apparait. Et non [LA singularité (technologique)](https://fr.wikipedia.org/wiki/Singularit%C3%A9_technologique) que l’on pourrait interpréter comme la peur d’une expression généralisée finalement.

*Un robot peut-il se perdre dans ses propres pensées ?*

> My takeaway from these stories is this: Once you’ve learned enough that there’s a certain distance between the current version of your product and **the best version of that product you can imagine**, then the right approach is *not* to replace your software with a new version, but to **build something new next to it — without throwing away what you have**.
>
> <cite>*[Lessons from 6 software rewrite stories](https://medium.com/@herbcaudill/lessons-from-6-software-rewrite-stories-635e4c8f7c22)* ([cache](/david/cache/af7c2a8156b46cdd0ec53fdb2fcd1b0d/))</cite>

Écrire, ré-écrire, sur-écrire, trans-écrire, co-écrire, cette littérature du code nous raconte ses différentes histoires. Le code *source* non pas comme une source intarissable mais comme un torrent qui navigue au gré des contextes pour se faire son propre chemin. Et puis le périmètre s’élargi, le courant se calme et cela me donne envie de retourner vers la source.

*Quelles histoires est-ce que je suis en train d’écrire ?*

> It seems natural, then, that as soon as something starts to be used it loses all its magic, but instead of taking a look at what we've made, what it is and what it means, as Virilio suggests, our natural compulsion is to see it as flawed and try to perfect it, to have another crack at it, to start over.
>
> <cite>*[“Il faut penser à ce qui arrive - nous sommes les producteurs de l'avenir.”](https://tinyletter.com/disastrid/letters/il-faut-penser-ce-qui-arrive-nous-sommes-les-producteurs-de-l-avenir)* ([cache](/david/cache/e954503908771a0601fcd933ca38f0fe/))</cite>

Cet attrait pour la nouveauté qui est à la fois la raison de notre évolution rapide mais aussi la déraison de notre croissance futile. Si notre vie a la cyclicité d’une chanson, il vaudrait mieux en apprécier le refrain.

> « Quels sont les êtres et les choses qui vous permettent de subsister ? » Et pas seulement d’argent. Puis : « De quoi dépendons-nous ? Qui dépend de nous ? » Et ensuite : « Que sommes-nous prêts à défendre ? Qui sommes-nous prêts à attaquer ? Avec qui se défendre ? »
>
> Il ne faut pas sauter directement à la troisième question, qui risque sans cela d’être trop générale et de ne procurer aucune capacité d’agir. Il n’est pas si facile de savoir tout de suite, sur une question précise, qui sont nos ennemis et surtout avec quels alliés les combattre efficacement. Pour avoir des intérêts, il faut être capable de décrire les situations.
>
> <cite>*[Bruno Latour : « Les Gilets jaunes sont des migrants de l’intérieur quittés par leur pays »](https://reporterre.net/Bruno-Latour-Les-Gilets-jaunes-sont-des-migrants-de-l-interieur-quittes-par)* ([cache](/david/cache/59d87f8343fbfcc2acc7eb57bf28b7b6/))</cite>

Décrire les situations. Écrire des doléances, ensemble. Non pas individuelles mais communes. Transformer un grand débat en une multitude de petites améliorations. La technique existe pour faciliter cela mais en a-t-on vraiment besoin ?

*Quel biais introduit-elle ?*

Pour poursuivre, Emmanuel me propose la lecture de [Cher Journal](http://psychoactif.blogspot.com/2019/02/cher-journal.html) ([cache](/david/cache/71f24f51133386dae84e6f0bd0076193/)).
