title: Journaux

*J’ai rererelu [Le grand méchant renard](https://fr.wikipedia.org/wiki/Le_Grand_M%C3%A9chant_Renard) et c’est trop bien de pouvoir partager des lectures saines à plusieurs niveaux de compréhension. Il faudrait que je détaille ce que j’entends par sain dans ce contexte.*

> But there’s still plenty left. And I certainly wonder whether with all the technology we now have, more could be automated, or delegated to machines. Perhaps all that data I’ve collected on myself will one day let one basically just built a “bot of me”. Having seen so many of my emails—and being able to look at all my files and personal analytics—maybe it’s actually possible to predict how I’d respond to any particular question.
>
> <cite>*[Seeking the Productive Life: Some Details of My Personal Infrastructure](https://blog.stephenwolfram.com/2019/02/seeking-the-productive-life-some-details-of-my-personal-infrastructure/)* ([cache](/david/cache/b575f1ff37d73ad1daddb682de8dd784/))</cite>

Article passionnant de Stephen Wolfram sur sa façon de travailler et de stocker les choses. Quand je dis passionnant c’est pour le chemin que cela me montre et que je ne veux surtout [pas emprunter](/david/blog/2013/souffrance-plaisir/). Lorsque je vois des personnes comme [Aaron Parecki](https://aaronparecki.com/) partager autant de données (sommeil, localisation, voyages, nourriture, boisson, etc), j’ai l’impression qu’il y a une motivation sous-jacente d’ordre [Mallory](https://fr.wikipedia.org/wiki/George_Mallory)-esque : parce qu’elles sont là.

*Dans quelle mesure est-ce que cela se rapproche d’un [capitalisme de la donnée](http://www.jcdardart.net/index.php?article11/jouissance-et-capitalisme-des-mort-vivants-entre-psychanalyse-et-economie-politique-ii) ([cache](/david/cache/ebb3b367810e7a8dba723d9c0a932cf3/)), une accumulation sans jouissance ? — Cette fin d’article <3*

Ce que je retiens notamment de la façon de s’organiser de Stephen Wolfram, c’est le fait de tout organiser par carnets et c’est une chose qui me trotte en tête depuis un moment. Une façon d’agencer sa pensée et ses activités puis de pouvoir les redistribuer de manière pertinente en les agrégeant et/ou en les partageant. Un truc à l’intersection du réseau social, de la prise de note et de la carte mentale (rien que ça). Pour que ça soit vraiment un *vaporware* il suffirait que j’ajoute la possibilité d’agréger celles des autres…

> The boy kings of Silicon Valley love a good algorithm—they’ve designed some great ones over the years. But there are problems even the best math can’t solve. There are times when you physically have to walk over to a server and pull the plug. I get why they want an algorithm to do it—lack of accountability. Intentionally pulling the plug on someone who’s trolling women on your service is a decision. It requires agency, leadership, and a point of view. But should that troll get caught in an algorithm? Well, that’s a different matter. There was no intent to specifically get rid of that person. A good algorithm is the equivalent of breaking up with someone over a text message and then turning your phone off. It’s cowardly. Good leaders should aspire to have their fingerprints all over hard decisions.
>
> <cite>*[Good news!](https://monteiro.substack.com/p/good-news)* ([cache](/david/cache/59ebc5c5d2325856df1ac97f6d5f8853/))</cite>

En parlant de données, on peut observer comment [les licornes jouent avec les nôtres](https://blog.jonlu.ca/posts/experiments-and-growth-hacking) ([cache](/david/cache/e17eedd1ba5b82341c39695cd3c84723/)). Si tout cela doit servir de base d’apprentissage pour des algorithmes, tenter de fuir cette collecte laisse la place à une autre culture, [une autre ponctuation](https://www.affordance.info/mon_weblog/2019/02/la-moderation-est-une-ponctuation.html) ([cache](/david/cache/d001d5ea62a121f9c794dde7d7da0325/)).

*L’absence (intentionnelle) de données signifie-t-elle l’absence de lutte ?*

> Ce n’est pas seulement dans les pays ravagés par la guerre qu’il faut apprendre à vivre dans les ruines. Car les ruines se rapprochent et nous enserrent de toute part, des sites industriels aux paysages naturels dévastés. Mais l’erreur serait de croire que l’on se contente d’y survivre.
>
> Dans les ruines prolifèrent en effet de nouveaux mondes qu’Anna Tsing a choisi d’explorer en suivant l’odyssée étonnante d’un mystérieux champignon qui ne pousse que dans les forêts détruites.
>
> <cite>*[Le champignon de la fin du monde](https://www.editionsladecouverte.fr/catalogue/index-Le_champignon_de_la_fin_du_monde-9782359251364.html)* ([cache](/david/cache/0bc37cc4c13212ae125cd6d239291263/))</cite>

Il faut que je trouve ce livre. Ça me rappelle que je n’arrive pas à écrire quelque chose de plus conséquent ici. Pas sûr de savoir si c’est une bonne chose ou pas… à sur-réfléchir, je sous-agis.

*Mais ne serait-ce pas l’objectif en fait ?*

> “oh, are you the guy with the orange website?”
>
> “Why, yes I am.”
>
> <cite>*[Write on your own website](http://bradfrost.com/blog/post/write-on-your-own-website/)* ([cache](/david/cache/e48fafd147f4483c551da036d392e829/))</cite>

Envie de couleurs pour cet espace. Qu’est-ce que cela signifie pour mon état d’esprit actuel ? mon identité numérique future ? (ouh le gros mot.)

Vous vous rappelez de ma [définition de l’agilité](/david/stream/2019/01/18/) ? Et bien pour aller plus loin, je pense que les agilistes sont des personnes ayant pris conscience d’un (de leurs) défaut(s) de communication. Les parenthèses sont importantes.

*Bon et sinon, je commence [à bien m’impatienter](http://www.bikepacking.com/plog/breakfast-with-muskox-film/) ([cache](/david/cache/4769d145b21f418532af646960fbff9d/)) que la neige fonde !*
