title: Reconnaissance

*Une semaine qui a commencée avec un poignard dans le dos et une impossibilité de m’asseoir pendant quelques jours. L’occasion d’utiliser à bon escient ce bureau assis-debout. La douleur aidant, j’ai pas mal cogité la nuit et me suis fendu d’une refonte ici même.*

> Despite IBM’s assurances that Flickr users can opt out of the database, NBC News discovered that it’s almost impossible to get photos removed. IBM requires photographers to email links to photos they want removed, but the company has not publicly shared the list of Flickr users and photos included in the dataset, so there is no easy way of finding out whose photos are included. IBM did not respond to questions about this process.
> 
> […]
> 
> “People gave their consent to sharing their photos in a different internet ecosystem,” said Meredith Whittaker, co-director of the AI Now Institute, which studies the social implications of artificial intelligence. “Now they are being unwillingly or unknowingly cast in the training of systems that could potentially be used in oppressive ways against their communities.”
> 
> <cite>*[Facial recognition's 'dirty little secret': Millions of online photos scraped without consent](https://www.nbcnews.com/tech/internet/facial-recognition-s-dirty-little-secret-millions-online-photos-scraped-n981921)* ([cache](/david/cache/a23d0976e021e011a44a16857e0423d8/))</cite>

Rappelez-vous : si c’est gratuit… [c’est toi qui enseigne](/david/blog/2016/si-cest-gratuit/). Pas forcément avec ton consentement. *#ForTheScience*

> Sur fond de reportages sur la mauvaise utilisation du Web, il est compréhensible que de nombreuses personnes aient peur et se demandent si le Web est vraiment une force au service du bien. Mais compte tenu de tout ce que le Web a changé au cours des trente dernières années, il serait défaitiste et dénué d’imagination de supposer que le Web tel que nous le connaissons ne peut pas être amélioré dans les trente prochaines années. Si nous renonçons à construire un Web meilleur aujourd’hui, ce n’est pas le Web qui nous aura fait défaut. C’est nous qui aurons fait défaut au Web.
> 
> <cite>*[30 years on, what’s next #ForTheWeb?](https://webfoundation.org/2019/03/web-birthday-30/)* ([cache](/david/cache/a4b5360bdc2248e66f9810dc029a2125/))</cite>

J’apprends [sur Twitter](https://twitter.com/jensimmons/status/1105464258899382279) que l’anniversaire se passe sur Facebook. Je réalise en voulant récupérer l’article qu’il est bardé de `<span style="font-weight: 400;">` et qu’il faut activer un CDN pour récupérer le JavaScript permettant d’afficher la version française. *#ForTheWeb*

---

J’ai réalisé que j’avais besoin de reconnaissance — ou plutôt de considération — dans mon travail. Peut-être que c’est lié à l’insécurité associée à [la nouveauté](/david/stream/2018/12/12/) ou alors à l’identification d’un défaut [d’empathie](/david/blog/2019/valeurs-etoiles/) réciproque. Toujours est-il que ça me gratte. *#ForTheEgo*

> Tant que nous refuserons de reconnaître ce lien causal, nos appels à l’avènement d’une société meilleure où régneraient la bienveillance et la tolérance mutuelle resteront des vœux pieux. Ce n’est pas à force d’exhortations que les gens vont cesse de se juger les uns les autres en fonction de leur apparence, ou de penser que la richesse d’une personne révèle sa valeur intrinsèque. Nos réponses à la hiérarchie sont trop profondément inscrites en nous pour pouvoir être simplement désactivées, en faisant fi de l’ampleur des inégalités. Lorsque vous avez des gens qui sont littéralement pétrifiés par leur sentiment d’infériorité, les encourager à se prendre en main, à reprendre confiance, à se faire des amis et à participer à la vie commune n’aura guère d’effets. Il est tout aussi vain d’espérer briser la connexion entre les disparités de revenus et certaines tendances que nous avons décrites – par exemple, la conviction d’être supérieur ou inférieur aux autres, ou le dédain affiché pour « ceux d’en bas ». Si nous voulons changer les choses, nous devons nous attaquer aux facteurs qui déclenchent toutes ces réactions en nous.
> 
> <cite>*[L’inégalité est-elle au cœur des problèmes de société ?](http://www.internetactu.net/2019/03/12/linegalite-est-elle-au-coeur-des-problemes-de-societe/)* ([cache](/david/cache/84cd2922becf4293ad27dca2c17c57e4/))</cite>

Discussion de couple au détour d’un [pouet](https://mastodon.social/@dav) sur le féminisme, l’écoute et l’injonction au silence. Cela m’a permis de mettre des mots sur ce qui me motive dans ces luttes et ce ne sont justement pas les luttes. Mais plutôt comment les éviter en premier lieu. Et comment avoir des discussions avec suffisamment de diversité pour que l’on évite les prochaines manifestations d’un déséquilibre de puissance, comment reconnaître des *patterns* ? Le soin est nécessaire car il y a des blessé·e·s *et* comment éviter cette violence originelle ? *#ForTheTalk*

> La reconnaissance faciale revêt de nombreuses formes : de l’authentification via Face ID d’Apple, à l’étiquetage automatique des images et des gens sur les réseaux sociaux, en passant par les filtres d’Instagram aux terminaux de paiement biométriques, ou aux caméras de porte d’Amazon… la diversité d’usage des outils de reconnaissance faciale recomposent nos préférences personnelles et collectives et nous conduit à appréhender ces technologies comme une composante « familière, non menaçante, voire même nécessaire à la vie au XXIe siècle ». Comme si chacun de ces services rendait la perspective de la reconnaissance faciale inévitable, voire indiscutable.
>
> <cite>*[La généralisation de la reconnaissance faciale est-elle inévitable ?](http://www.internetactu.net/a-lire-ailleurs/la-generalisation-de-la-reconnaissance-faciale-est-elle-inevitable/)* ([cache](/david/cache/15ca065d281050682e0d1ff34852b2c3/))</cite>

À défaut d’être reconnu par nos semblables, cherche-t-on une autre forme de reconnaissance ? De l’importance des mots, accepterait-on ces technologies si elles étaient nommées différemment ? Nouvelle fonctionnalité : « profilage facial » ou « classement ethnique » ou « catalogage physique ». *#ForTheWords*

> C’est extrêmement difficile. A Caracas, les supermarchés sont fermés. Comme la monnaie nationale n’a plus aucune valeur, les gens ne payent que par carte bleue. Or sans électricité, les terminaux de CB ne fonctionnent plus. Seuls 10 % des supermarchés sont ouverts, lorsqu’ils ont la chance d’avoir un générateur. Mais ils n’acceptent, en espèces, que les dollars, ce que personne n’a.
> 
> <cite>*[Panne d’électricité géante au Venezuela : « A Caracas c’est le chaos »](https://www.lemonde.fr/international/article/2019/03/12/panne-de-courant-geante-au-venezuela-a-caracas-c-est-le-chaos_5435054_3210.html)* ([cache](/david/cache/6e228b00f87b1311f65a16e1e81abb9e/))</cite>

Un aperçu de ce qui pourrait nous attendre (presque) tous. Il y a beaucoup de discussions autour de l’effondrement sur le scenario catastrophique/hollywoodien vs. l’entraide et la solidarité. Il y a bien sûr un angle journalistique ici mais ça donne une idée dans un certain contexte. *#ForTheFear*