title: Dissonance

*Une semaine de remise en questions. À chialer (au sens québecois du terme) sur mes problèmes de visa alors que pour d’autres il s’agit de fuir la guerre. À côtoyer d’autres privilégiés qui n’en ont même pas conscience. À se demander à qui je tends la main. En vrai.*

> Même une action demandant plus d’investissement, comme la production d’électricité verte ou la souscription à un contrat d’électricité garantissant une part d’électricité verte, ne va pas de pair avec une réduction de l’impact de la mobilité. Ces contradictions peuvent en partie s’expliquer par un plus grand recours des plus diplômés à la voiture et à l’avion pour les loisirs, ce qui montre les limites de la conscience et de l’action individuelles.
>
> <cite>*[Les plus riches parmi les plus diplômés polluent plus que les autres](https://www.credoc.fr/download/pdf/4p/CMV303.pdf) ([cache, PDF 422Ko](/static/david/stream/consommation-durable.pdf))*</cite>

Je m’apprête à effectuer un vol transatlantique pour diverses raisons et je me sens très mal à l’aise vis-à-vis de ce choix. Aussi cette étude [Consommation durable : l’engagement de façade des classes supérieures](https://www.credoc.fr/publications/consommation-durable-lengagement-de-facade-des-classes-superieures) tombe-t-elle à pic… mais je fais mon [compost](/david/stream/2019/01/18/) ! Je vous ferais un égoportrait avec un ours blanc en train de se noyer par le hublot. Pour le poster sur mon site car il est [très performant et consomme si peu de ressources](http://gauthierroussilhe.com/fr/posts/convert-low-tech) ([cache](/david/cache/22565dd7b049c52135f495c2ab526634/)). Tiens et si je l’hébergeais avec un [panneau solaire](https://ecoho.st/). Oh et je pourrais signer un [climanifeste](https://www.climanifeste.net/). 🤥

*Montrer l’exemple qu’il disait.*

> People who scapegoat Jack Dorsey and Mark Zuckerberg miss a fundamental truth. Twitter didn’t happen to politics. Facebook didn’t happen to politics. The internet happened to politics. The shifts are structural and until we understand that, we can’t have an intelligent conversation about the state of the world. The common narratives, which are exaggerated by the media’s incentive to sensationalize the news, blind us to the real problems that plague society. 
> 
> […]
> 
> Truth will become a collective endeavor. Right now, our collective truth making systems are in a nascent stage. Like a toddler, they’re in complete disarray. As a result, we don’t know who to trust or how to discover truth. We need new ways to verify truth, certify intelligence, and organize society. When producing and distributing information was expensive, only the best content was published. On the internet, where everybody has a megaphone, content is filtered not before publication, but at distribution. It’s a self-governing system, where attention-grabbing information spreads and dull information rots inside the internet’s dark and dusky crannies. 
> 
> <cite>*[What the Hell is Going On?](https://www.perell.com/blog/what-the-hell-is-going-on)* ([cache](/david/cache/1e67906b890ca112f0dd27b95f23bf8c/))</cite>

Je crois qu’il ne faut plus chercher le *pourquoi* sur ces questions de confiance mais le *quelle est notre volonté* en tant qu’individu et que collectif. Et d’ailleurs pour quelle taille de collectif ?

*À combien de personnes est-ce que j’ai besoin de faire confiance ?*

> Au-delà du don qu’il peut sembler être, l’enseignement est toujours une lutte : *s’obliger* à transmettre, faire face à la résistance de l’autre qui croit savoir déjà, qui ne veut pas apprendre davantage ou autrement, qui ne sait pas ce qu’apprendre signifie, et soi-même devoir sans cesse remettre en cause ce que l’on croit savoir et ce que l’on croit devoir transmettre, sans cesse aussi veiller à ce que son désir de transmettre ne disparaisse pas.
> 
> <cite>*Les irremplaçables* ([entretien vidéo autour de l’ouvrage](https://www.youtube.com/embed/_Si-zBPjMnQ)), Cynthia Fleury</cite>

Il y a la lutte dans ce que l’on choisit de transmettre et il y a également la lutte dans le choix des destinataires de cette transmission. Le savoir comme un moyen de réduire les inégalités. Ou au moins celles auxquelles on est sensibilisé. Si vous aviez un pouvoir, à qui le confieriez vous ?

*À qui transmettre l’acquis ?*

> I’ve worked on large and small teams before, but I’m currently working closely with just one other developer. I thought I’d try to list all the things that we don’t have to do anymore, to see if there’s any sort of process/value inflection point when you have *exactly two* developers.
>
> <cite>*[Powers of Two](https://www.benrady.com/2017/12/powers-of-two.html)* ([cache](/david/cache/820db5ac496cd40f5f1aa7df5c50b557/))</cite>

Ça se rapproche beaucoup de ce que l’on pratique avec [Ronan](https://ronan.amicel.net/) depuis bientôt un an, d’ailleurs c’est lui qui m’a passé le lien :-). Je me demande parfois comment cela pourrait évoluer à trois. Ou quatre. Au-delà, je serais probablement moins à l’aise. Je réalise que je n’ai jamais travaillé dans une équipe plus grande. Même chez Mozilla on n’était finalement pas plus de quatre développeurs dans l’équipe, que ce soit pour les paiements du Marketplace FirefoxOS ou ensuite sur le site des *addons*.

*Suis-je vraiment légitime pour parler d’agilité dans ce contexte ?*

> When you arrive, you have to put your phone into a neoprene pouch, supplied by a company called Yondr, which they lock and give back to you. If you want to use your phone during the show, you can go into the concourse and unlock it by touching it to one of several unlocking bases. The concert area itself remains screen-free.
> 
> <cite>*[The Simple Joy of “No Phones Allowed”](https://www.raptitude.com/2018/11/joy-no-phones/)* ([cache](/david/cache/f8e578d710be904529483c102465219b/))</cite>

Je vais peut-être pouvoir retourner en concert et ça me met en joie.

*Bientôt dans les restaurants ?*

