title: Définitions

*Une semaine rythmée par l’exploration de nouveaux lieux de vie. Quitter le plateau et ses montréalisiens pour lequel j’entretiens une relation d’amour-haine. Envisager diverses options, divers choix de vie. Se rappeler que c’est un luxe d’avoir ces choix.*

> Among the reasons invoked by landlords to reject the application of future tenants, according to the people that responded to me; no couples, no roommates, no children, no animals, no foreigners, and no students. There are even people who said they have been refused an apartment because their job was too recent, or because they did not want to share personal information.
>
> <cite>*[Even in Montreal, It's Becoming Harder to Find an Apartment](https://www.vice.com/en_ca/article/nexppq/even-in-montreal-its-becoming-harder-to-find-an-apartment)* ([cache](/david/cache/96625442246b7e90c3e1dc20a771e2ff/))</cite>

En tant que privilégié, il est assez rare que je subisse des discriminations *a priori*, juste par mon état familial ou mon pays de naissance. Et même dans ces cas là, j’ai bien conscience qu’il s’agit de problèmes de riche qui me font relativiser considérant ce que subissent et ressentent d’autres personnes au quotidien, depuis leur naissance. Dans quelle mesure est-ce que ma culture se définit comme étant tout ce qui *n’est pas* accepté par celles des autres ? Est-ce que je dois forcément me définir *via* les peurs que je suscite ?

> And yet much of that history seems to be lost already. Thousands of sensors were installed throughout Biosphere 2 to harvest data, but in his recent book, “Pushing Our Limits,” the Biospherian Mark Nelson says that only a small fraction of that data have been analyzed and published. When Dr. Nelson asked the University of Arizona about the rest, he was told the university didn’t have it. “It’s shameful to simply accept that these important data are gone,” he wrote.
> 
> <cite>*[The Lost History of One of the World’s Strangest Science Experiments](https://www.nytimes.com/2019/03/29/sunday-review/biosphere-2-climate-change.html)* ([cache](/david/cache/6c734792866219036818636e2af93e65/))</cite>

Une histoire parmi tant d’autres de données perdues. Peut-être que c’est la meilleure définition de l’Histoire : une donnée qui se perd et que l’on continue à raconter. Comme si l’analytique avait besoin d’être humanisé pour faire partie de l’imaginaire collectif. Comme si le vide béant laissé là était trop douloureux pour ne pas le romancer et se l’approprier par le récit. On conserve si peu de traces des non-évènements qui constituent pourtant la majorité de nos vies.

> When Britain colonised Australia in the 18th and 19th Century, it drew on the legal doctrine now known as *terra nullius* – nobody’s land – to justify its conquest and treat the indigenous population as if they didn’t exist or have any claims on the land. Today our attitude is one of *tempus nullius*. The future is an “empty time”, an unclaimed territory that is similarly devoid of inhabitants. Like the distant realms of empire, it is ours for the taking.
> 
> <cite>*[Why we need to reinvent democracy for the long-term](http://www.bbc.com/future/story/20190318-can-we-reinvent-democracy-for-the-long-term)* ([cache](/david/cache/44f0cb47043f0627df9ccfb4d8227922/))</cite>

Lorsque l’espace n’est plus colonisable, c’est le temps qui le devient. Laisser sa trace partout, en tout temps. Mégal-homme-anes en lutte désespérée contre une vie éphémère. Une fois l’humanité éteinte, nos traces temporelles ne seront que nos déchets. C’est peut-être l’ultime but de la science : obtenir des déchets pérennes pour laisser une trace. « On était là, pas pour longtemps, mais on espère que vous vous souviendrez de nous. » La bouteille en plastique jetée à la mer prend soudain un tout autre sens.

> Ce temps où j’invente mon avenir disparait au profit d’un temps tout immergé dans le présent, lui-même vidé par la déréalisation qu’il subit tant il ne ressortit pas à de l’expérience. Pour se développer, l’individuation a besoin non seulement de temps, mais de définir l’objet même de ce à quoi elle passe son temps. C’est là une lutte quotidienne de ne pas se laisser confisquer le temps propre par autrui ou par tout phénomène exogène. Plus grave encore est la certitude grandissant dans nos cerveaux chloroformés que le temps n’est que dépersonnalisé, comme s’il était une entité chérubinique, purement abstraite, insaisissable. Le temps, c’est seulement ce qu’on en fait. Et Anders de revenir sur ce temps passé devant l’écran, à s’anesthésier l’esprit.
> 
> <cite>*Les irremplaçables*, [Prologue](http://www.espritcivique.org/index/wp-content/uploads/2016/01/Prologue-_-les-irremplacables.pdf) ([cache](/static/david/stream/cynthia-fleury-les-irremplacables-prologue.pdf), PDF 500 Ko), Cynthia Fleury</cite>

Cela fait un mois complet que je n’ai plus pratiqué aucune activité physique. Il s’agit d’un manque important à ma santé, à la fois physique et mentale. Et à ma capacité d’avoir un rapport à l’autre — et donc à moi — qui soit apaisé. Je commence à mieux comprendre l’expression « prendre son mal en patience ».
