title: Péremption

*Une dernière avant de [monter dans l’avion](https://joachimesque.com/blog/2019-04-10-je-ne-prends-plus-l-avion) ([cache](/david/cache/b24b62b1c3d676ee0a613bb74d8f9d06/)) et d’être probablement moins en ligne pendant trois semaines. N’oubliez pas que [vous pouvez écrire aussi](https://daverupert.com/2019/04/some-unsolicited-blogging-advice/) ([cache](/david/cache/cff4306a435c4d2ac7ea52af54c08efb/)). Et lier. Et publier. Pour plus ou moins longtemps. Ou pas.*

> In a one-day project, he created a [speculative system of classifying links](http://www.ted-hunt.com/HYPERLINKS/index.html) ([cache](/david/cache/384600333e479aae7b6bd500ae58a3ad/)). A double underline indicates a citation of a source document and dash, dot and wave underlines signal agreement, disagreement and other relationships. “Otlet proposed ideas about how information has its own social world,” Hunt says. “You could relate documents that disagreed with each other, or cited each other or built on each other and XYZ.”
> 
> <cite>*[How Google warped the hyperlink](https://www.wired.co.uk/article/google-link-hyperlink-seo)* ([cache](/david/cache/d882643dd70e30ab8af009837911f6e8/))</cite>

Imaginez une lieu de communication — au hasard Twitter — où les mentions/retweets seraient typés de la sorte. À quel point est-ce que cela modifierait notre façon d’explorer le graphe ? Quel profilage cela permettrait si vous choisissiez explicitement la nature des liens parcourus ? Dans quel mesure pourrait-on se doter d’outils afin de lutter contre des choix implicites et algorithmiques ?

> But, this has all made me wonder: has the modern stack killed experimentation, and shipping bad ideas? Do weird experiments and fun ideas die on the floor, tangled in complexity, more often now? I'd hazard a guess that the answer is yes, and that you should probably skip that hipster framework —for now— as well. Just ship something instead.
> 
> <cite>*[You probably don’t need that hip web framework](https://char.gd/blog/2019/you-dont-need-that-hipster-web-framework)* ([cache](/david/cache/0c2fa2dc32036c32f5d8f3e658522f82/))</cite>

Je ne pense pas que ce qui tue l’innovation soit la petite expérience frustrante du soir sur une nouvelle technologie donnée. En revanche, la difficulté à transmettre à cause de cette barrière n’est probablement pas anodine dans cette évolution. Et l’envie suscitée par [cette tribu sourde aux autres](https://andy-bell.design/wrote/break-out-of-the-echo-chamber/) ([cache](/david/cache/00011f902c5c3ba730866d4e86287a97/)) est probablement très néfaste. C’est difficilement quantifiable car on parle là de moyen-terme dans un écosystème assez complexe. Et les personnes qui ont réussi à franchir ce palier savent qu’elles ont un avantage [en terme de pouvoir](https://adactio.com/journal/15050) ([cache](/david/cache/e504bc16c239f638c24d4793d381e1ff/)) sur une nouvelle génération.

*Une façon de se prémunir de sa propre obsolescence. Obole sans sens.*

> Les huis clos sont des articles bruts parfois temporaires, publiés dans un but exutoire et cathartique sans intention d’échange.

Note : je ne vais pas lier + garder une copie de l’article vu qu’il est potentiellement temporaire de manière explicite.

C’est toujours inspirant de considérer des publications qui peuvent être temporaires. On oublie souvent qu’en fait tout ce qui est publié sur Internet l’est temporairement. Un blog, un journal, [les deux](https://twitter.com/A_Moatti/status/1115184169125076999), un media, un réseau social. Comment rendre ces dates de péremptions explicites ? Encore une chose qui pourrait être attachée au lien.

*Quelle nécessité de jugement en tant qu’auteur pour qualifier ces liens ?*

> Bien sûr, les réseaux sociaux sont loin de promouvoir toutes ces fonctions – certainement parce que certains de ces objectifs sont incompatibles avec leurs modèles économiques : la polarisation politique et les insultes génèrent plus de pages vues que la délibération ou la promotion de la diversité.
>
> <cite>*[Médias, plateformes sociales et citoyenneté](http://www.internetactu.net/2019/04/09/medias-plateformes-sociales-et-citoyennete/)* ([cache](/david/cache/6c481577ef6b895c3c25e5b01edaeb3e/))</cite>

Et c’est bien là où les personnes qui développent ces réseaux pourraient avoir un impact. Encore faudrait-il qu’elles arrivent à [prendre un peu de recul](https://insights.stackoverflow.com/survey/2019#job-priorities) sur leurs outils… si tant est que cela puisse être pensé sous un autre angle que celui de la [productivité](https://jeremy.codes/blog/defining-productivity/) ([cache](/david/cache/8de0797ae7cfe73b9c44c9751daf54ab/)).

*Mais a-t-on encore ce luxe dans un système productiviste ?*

>  These disappearances, along with other changes Facebook has made to how it saves its archive of announcements and blog posts, make it much harder to parse the social network's historical record. This makes it far more difficult to hold the company, and Zuckerberg himself, accountable to past statements — particularly during a period of intense scrutiny of the company in the wake of a string of scandals. 
>
> <cite>*[Years of Mark Zuckerberg's old Facebook posts have vanished. The company says it 'mistakenly deleted' them.](https://www.businessinsider.fr/us/facebook-old-posts-mark-zuckerberg-disappeared-2019-3)* ([cache](/david/cache/43ebcda55555c1567bc17403c4b5dbd0/))</cite>

Saperlipopette ! Après le comique de répétition, celui de suppression ? En parallèle de ça, on met des [bâtons dans les roues d’archive.org](https://blog.archive.org/2019/04/10/official-eu-agencies-falsely-report-more-than-550-archive-org-urls-as-terrorist-content/) ([cache](/david/cache/becea8b04d16cfbeb4d7d73c4a1abc26/)). Coïncidence ?

*La personne la plus influente du monde a-t-elle un droit à l’oubli ?*

> Facebook n'a de la démocratie qu'une approche instrumentale dans laquelle publicités et pétitions qui étaient hier principalement le moyen de son agenda de croissance économique sont désormais clairement la finalité de l'agenda idéologique et politique de son fondateur. Et ce n'est pas une bonne nouvelle. 
> 
> <cite>*[Le problème de la publicité électorale, ce n'est pas l'élection, c'est le ciblage.](https://www.affordance.info/mon_weblog/2019/04/global-public-ads-archive.html)* ([cache](/david/cache/da481f47aa395dd4f8e511d4266c2e3e/))</cite>

La bonne nouvelle c’est que l’on pourra réajuster le cap une fois les dérives observées afin de ne pas reproduire de telles erreurs par la suite. C’est ainsi que notre démocratie fonctionne.

*N’est-ce pas ?*

> The books can be read when the solar powered website is down due to bad weather. In fact, the content can be viewed with no access to a computer, a power supply, or an industrial civilization. A printed website also serves to preserve the content of Low-tech Magazine in the longer run. Websites don’t live forever, and the internet should not be taken for granted. 
>
> <cite>*[Low-tech Magazine: The Printed Website](https://www.lowtechmagazine.com/2019/03/printed-website.html)* ([cache](/david/cache/7c36201571eb9f1d8731b012aaa192a6/))</cite>

Ne pas prendre le Web pour un acquis mais pour un moyen de diffusion relativement ponctuel dans l’histoire de l’Humanité. Qui ne va pas forcément durer très longtemps. Est-ce qu’il y aurait quelque chose à sauver de cet espace avant l’effondrement ? Sur quels supports ?

*Quelle prétention à vouloir publier pour longtemps ?*
