title: Amateur

*Une semaine dans les cartons pour descendre de ce Plateau d’ivoire peuplé de montréalisiens. Et aussi pour prendre conscience qu’il n’y a pas que des trentenaires privilégiés à Montréal (autocritique++). Réduire la dissonance cognitive, avec urgence.*

<figure>
  <img src="/static/david/stream/life-quality-vs-cost.png" alt="Graph of the Quality of life and Cost of Living around the world" loading="lazy" width="500" height="500" />
  <figcaption>
    En parlant de privilégiés (<a href="https://www.reddit.com/r/dataisbeautiful/comments/bslfv2/oc_which_cities_are_the_best_deals_quality_of/">source</a>).
  </figcaption>
</figure>

---

> Je ne me sens jamais amateur. Je me considère comme un pro de la perception, un pro de l’expérience optimale, un pro de l’esthétique, c’est ce que je recherche quand j’écris comme quand je fais du bikepacking. Se considérer comme amateur, c’est partir perdant. Quand on écrit, quand on est artiste, même quand on pédale, on vise le génie, sinon à quoi bon ? Gombrowicz disait que 100 % des génies s’étaient voulu génie, mais aucun qui ne s’était pas fixé cet objectif démesuré n’avait été capable de se surpasser. À chacun de trouver son domaine d’expertise.
>
> <cite>*[Bikepacking dans les Smoky Mountains](https://tcrouzet.com/2019/05/26/bikepacking-dans-les-smoky-mountains/)* ([cache](/david/cache/59f6e7bb672f120d7d8d04e10cca94e8/))</cite>

J’aurais du mal à être plus en désaccord avec cette figure de l’amateur. Être amateur, c’est avoir suffisamment confiance dans ses compétences pour ne pas avoir à se revendiquer d’être un pro. Être amateur, c’est *aussi et en même temps* être en doute sur ses savoir-faire ce qui donne la curiosité d’explorer d’autres espaces et d’autres pratiques. Être amateur, c’est ne pas avoir besoin de se mesurer aux autres à travers la compétition car le cheminement est interne. Être amateur, c’est négliger la performance (universelle) au profit de la pertinence (spécifique).

Être amateur, c’est finalement — de façon assez égoïste — aimer ce que l’on fait pour soi. En espérant produire des externalités positives par la démonstration de ce qui est possible.

---

> L’humanité existe depuis quelques millions d’années mais ne collabore sur un projet mondial au-delà de la Terre, dans l’espace, que depuis une trentaine d’années.
>
> Si notre civilisation espère s’élever, elle devra embraser une vision cosmique : aller voir sur d’autres astres, d’autres systèmes stellaires, voire s’attendre à devoir vivre dans des stations autonomes en déplacement.
>
> <cite>*[Quelques mégastructures artificielles pour coloniser la galaxie](https://couleur-science.eu/?d=4e59a5--quelques-megastructures-artificielles-pour-coloniser-la-galaxie)* ([cache](/david/cache/ff5119f01fac378b6830e686fcdbaa04/))</cite>

Je trouve ça fascinant de se poser ce genre de questions. Merci Timo.

---

> But the real insensitivity is to either exaggerate, or lead the public to exaggerate, the death toll of Chernobyl, and the potency of radiation, since doing so results in panics, like the one in Fukushima, Japan, in 2011, which killed about 2,000 people. While some amount of temporary evacuation might have been justified, there was simply never any reason for such large, and long-term, displacement.
>
> “With hindsight, we can say the evacuation was a mistake,” said Philip Thomas, a professor of risk management who led a recent research project on nuclear accidents. “We would have recommended that nobody be evacuated.”
>
> <cite>*[The Reason They Fictionalize Nuclear Disasters Like Chernobyl Is Because They Kill So Few People](https://www.forbes.com/sites/michaelshellenberger/2019/05/09/the-reason-they-fictionalize-nuclear-disasters-like-chernobyl-is-because-they-kill-so-few-people/)* ([cache](/david/cache/3518f5d1068e4aa8fc2197e3d16fda02/))</cite>

Je découvre le nombre de morts liés à l’évacuation de Fukushima. [Wikipedia s’accorde sur 1600](https://fr.wikipedia.org/wiki/Catastrophe_nucl%C3%A9aire_de_Fukushima#Effets_sur_les_populations_des_%C3%A9vacuations_forc%C3%A9es_li%C3%A9es_%C3%A0_l'accident) pour les 300000 évacués. Qui sait, en sacrifiant Prypiat on aurait pu mener une expérience sur le long terme relative aux [conséquences sanitaires](https://fr.wikipedia.org/wiki/Catastrophe_nucl%C3%A9aire_de_Tchernobyl#Sanitaires) d’une telle explosion.

À deux doigts de faire une mauvaise blague à base de roulette russe. Mais ça n’aurait probablement pas plu à la tortue cynique.

> Notre espèce peine à se connaître elle-même. Nous avons besoin de poser un regard anthropologique sur ce que nous sommes, ce que nous faisons et sur le monde autour de nous, estime Paul Jorion. La science nous donne l’impression de comprendre beaucoup, mais bien des sociétés se sont imposées en ayant une compréhension très partielle du monde. Pour Jorion, nous sommes subordonnés à la survie de notre espèce, mais elle est mal équipée pour cela. Nous n’avons disposé longtemps que d’une seule méthode pour assurer notre survie : la reproduction. Aujourd’hui pourtant, nous avons une différence avec les autres espèces : nous cherchons à résoudre notre survie, le problème de notre extinction probable, par un autre moyen que la reproduction : la raison !
>
> <cite>*[Technocritiques (1/2) : comment prioriser la critique ?](http://www.internetactu.net/2019/06/06/technocritiques-12-comment-prioriser-la-critique/)* ([cache](/david/cache/d07886e85ddc5db48716a84888c1d377/))</cite>

---

> Le temps frais, les précipitations et les inondations qui ont touché plusieurs régions du Québec ont fait en sorte que la superficie touchée par les incendies de forêt est la plus petite des 25 dernières années pour la Société de protection des forêts contre le feu (SOPFEU), c’est-à-dire depuis sa création en 1994. Ainsi, au 31 mai dernier, les pompiers forestiers et les pompiers municipaux ont éteint 54 feux ayant consumé 28,1 hectares (ha) de forêt. Ce résultat suit de très près l’année 2017 qui enregistrait 53 incendies à la même date. La moyenne des dix dernières années se situe à 195 incendies pour 20 969 ha.
>
> <cite>*[Bilan du mois de mai: la plus petite superficie touchée depuis la création de la SOPFEU](http://sopfeu.qc.ca/communiques/bilan-du-mois-de-mai-la-plus-petite-superficie-touchee-depuis-la-creation-de-la-sopfeu/)* ([cache](/david/cache/fa7f0dc3ae7b9e1eea9ddf8b5f5e3e42/))</cite>

Voir le verre a moitié plein.

---

>  “Child labor in the cocoa industry will continue to be a struggle as long as we continue to pay farmers a fraction of the cost of sustainable production. … Fairtrade isn’t a perfect solution,” said Bryan Lew, chief operating officer for Fairtrade America. But, he said, the higher prices for certified cocoa and the group’s efforts to organize farmer cooperatives are steps toward alleviating its root cause: poverty.
>
>  […]
>
>  But to Schoenmakers, it’s a simple matter. “Nobody needs chocolate,” he said. “It’s a gift to yourself or someone else. We think it’s absolute madness that for a gift that no one really needs, so many people suffer.”
>
> <cite>*[Hershey, Nestle and Mars broke their pledges to end child labor in chocolate production](https://www.washingtonpost.com/graphics/2019/business/hershey-nestle-mars-chocolate-child-labor-west-africa/)* ([cache](/david/cache/02a55f4340a09188addcf4448823a985/))</cite>

Autant se rapprocher du végétarisme m’est relativement aisé. Autant quand on touche au chocolat c’est plus difficile.

Un plaisir d’amateur contre un esclavage de mineur.

*Dissonance disais-je.*

---

> Le fait que l’État ait fini par dominer les grands récits archéologiques et historiques n’a rien de très étonnant. Pour nous — Homo Sapiens — qui considérons habituellement les choses du point de vue d’une seule ou de quelques générations, la permanence de l’État et de son espace administré apparaît comme une constante indissociable de notre condition. Au-delà de l’hégémonie complète dont jouit actuellement l’organisation étatique, une grande partie des études archéologiques et historiques du monde est financée par l’État, et se résume souvent à un exercice narcissique de réalisation d’autoportrait. La tradition archéologique qui, jusqu’à récemment, consistait à exhumer et à analyser les ruines historiques majeures, aggrave encore ce travers.
>
> Ainsi, si vous construisiez de manière monumentale, en pierre, et en concentrant opportunément vos décombres en un seul endroit, il était assez probable que vous soyez “découverts” et par-là même amenés à dominer les pages de l’histoire ancienne. Si, au contraire, vous construisiez en bois, en bambou, ou en roseaux, vous risquiez fort d’échapper aux annales de l’archéologie. Et si vous étiez des chasseurs-cueilleurs ou des nomades, même nombreux, ne laissant derrière vous qu’une fine couche clairsemée de déchets biodégradables, il était assez probable que vous soyez totalement absents des archives archéologiques.
>
> <cite>*Homo Domesticus*, James C. Scott [via](http://partage-le.com/2019/04/emmanuel-macron-et-le-peuple-de-batisseurs-par-nicolas-casaux/) ([cache](/david/cache/b90ecdc1c52fc36259fc0dc43d34c8c2/))</cite>

Ne pas laisser de traces. En publiant ces mots je deviens un sédentaire du Web. Je pollue avec des archives qui n’ont que l’attention d’un disque quelque part sur l’ordinateur d’un autre (mais aussi sur le mien). Le moment où vous lisez ces lignes est suffisant, elles pourraient se biodégrader, ne laissant une trace infime que dans cette conscience collective.

L’écrivain amateur comme un nomade du Web. L’écrivain nomade comme un amateur du Web. Réduire l’égo, le génie étant dans le partage et l’enrichissement progressif pour tous.

---

Lorsqu’un restaurant m’emballe la nourriture restante dans du plastique ou du polystyrène, est-ce que je ne suis pas en train d’aggraver le problème sous couvert de bonne conscience ?

*Avec urgence mais à petits pas.*
