title: Écoute

*Citation de la quinzaine : « On me demande souvent à quoi je pense quand je marche. Et bien, je ne pense pas, je vis ! Il y a des moments pour la réflexion et d’autres pour le mouvement. », Sarah Marquis.*

---

> When a company first forms, there are no norms or principles guiding how its people should make decisions. It’s basically just what’s in the founders’ heads. With each decision a company makes, its “decision genome” is established and subsequently hardened. You’ve decided in your first month that you’re only going to hire engineers from Top 10 engineering schools? That’s now part of your genome and will determine the composition of your company. You’ve decided to forgo extra profits by keeping your prices low for consumers? That’s now part of your genome. You’ve decided to employ a single dark pattern to trick users into adding more things to their shopping cart? Part of your genome.
> 
> <cite>*[Superhuman is Spying on You](https://mikeindustries.com/blog/archive/2019/06/superhuman-is-spying-on-you)* ([cache](/david/cache/350fd6131fbc77101106a9215b9ac0e6/))</cite>

Et [sa suite](https://mikeindustries.com/blog/archive/2019/07/superhumans-superficial-privacy-fixes-do-not-prevent-it-from-spying-on-you) ([cache](/david/cache/64dc10e933dcbbb46ddbed3d8306dbc5/)). Tellement emblématique d’une époque. C’est la raison pour laquelle je suis à la recherche aujourd’hui de solutions [sans algorithmes](https://inessential.com/2019/07/02/no_algorithms) ([cache](/david/cache/b66ec62a77bb2dbbf2368414e7b90a63/)), sans être [écouté en permanence](https://nakedsecurity.sophos.com/2019/07/12/hey-google-why-are-your-contractors-listening-to-me/) ([cache](/david/cache/3c4dd88180e3bda7fb6742a9af7c29a2/)) sur un fond de [« bonne » morale](https://threatpost.com/google-home-recordings-domestic-violence/146424/) ([cache](/david/cache/96ee2f98aa1d8e683d8a95ac9cc4e078/)) ou [pour m’éduquer](https://thehill.com/policy/technology/452397-uk-health-service-to-use-amazon-alexa-to-give-medical-advice) ([cache](/david/cache/ee1e672a6abc1a35cd1f8e29f8a4b318/)). Tout en conservant un journal des échanges potentiels afin de [mieux pouvoir… acheter, bien sûr](https://www.cnbc.com/2019/07/05/google-gmail-purchase-history-cant-be-deleted.html) ([cache](/david/cache/333cc43be3909e59353c96610911331c/)).

*Ne pas voir de la malice là où il n’y aurait que du capitalisme. Sur écoutes.*

---

> The obvious downside of URL Pages is that the links get very long very quickly. Luckily, some URL shorteners are able to accommodate fairly long URLs (shoutout to TinyUrl). In a strange way, this effectively means the link shortener is acting as the web host since it is responsible for storing the record of the web page's data.
>
> <cite>*[URL Pages](https://github.com/jstrieb/urlpages)*</cite>

J’aime bien l’expérimentation, ne pas essayer ceci à la maison (enfin dans la maison des autres en fait). Je suis sûr qu’il y aurait quelque chose à faire pour le versionnement de pages stockées en cache par un ServiceWorker. Lié mais pas trop, j’aime bien voir les essais qui sont réalisés pour [standardiser la génération d’un site statique](https://github.com/zeit/next.js/issues/7607) à partir d’une arborescence. Toujours la [tentation](/david/correspondances/2017/02/05/) de publier un truc. En relisant la transcription de cette [intervention sur le choix des technologies](http://boringtechnology.club/), je me demande souvent si je ne devrais pas abandonner [CommonMark](https://commonmark.org/) au profit de HTML pour la rédaction et la pérennité.

Corollaire : [Karl](http://www.la-grange.net/karl/) a toujours raison.

*Mais publier sans prendre le temps d’être à l’écoute des utilisateur·ice·s, à quoi bon ?*

---

> Au-delà de ça, j’ai pris conscience que mes réseaux sociaux (et dans une certaine mesure la newsletter) proposaient des updates de la vie douce par facilité.  
> Parce que la difficulté et la tristesse nécessitent plus de recul, parce qu’il faut attendre qu’un peu de clarté se dégage. Et sans doute aussi par pudeur : ce sont des parts qui touchent de près une intimité qui n’a pas forcément vocation à être dévoilée.  
> Équilibre difficile à atteindre.
> 
> <cite>*[Comment l'itinérance a mis notre relation à l'épreuve](https://estcequecestdutravail.xyz/2019/07/weathers-of-the-heart.html)* ([cache](/david/cache/0012ffa54d39ac5b4227d629730c1008/))</cite>

Le web comme espace de partage de bonheurs et d’aigreurs mais beaucoup moins de peurs, d’angoisses, de coups durs, de tristesses. Ou alors *a posteriori* lorsqu’on est revenu à un état suffisamment correct. Si un jour j’arrête de publier, ce sera peut-être alors le moment de m’aider. Être à l’écoute du silence des autres dans un tel brouhaha. Comment être tenu informé lorsqu’un flux se tarit, [anticiper ?](https://thewalrus.ca/death-will-millennials-be-the-first-generation-to-stop-fearing-death/) ([cache](/david/cache/21dafc87e26a4da3726fa593dfe50235/))

*Aussi, merci beaucoup pour la recette en fin d’article <3.*

---

> La technique déforme et exacerbe les problèmes qu’elle est supposée résoudre. Elle nous fait croire qu’elle fournit des solutions neutres et optimales aux problèmes sociaux. Elle nous fait croire qu’elle est le mécanisme même du changement social, alors qu’elle ne fait qu’obscurcir les dynamiques sociales et politiques qui sont à l’oeuvre. La technologie nous fait croire que la vie urbaine n’est qu’un problème technique et nous invite à diagnostiquer sélectivement les problèmes qu’elle pourrait résoudre.
> 
> <cite>*[Vers des villes politiquement intelligentes](http://www.internetactu.net/2019/07/10/vers-des-villes-politiquement-intelligentes/)* ([cache](/david/cache/e668f8556490e6aa490d53761f62aa61/))</cite>

Avant les villes politiquement intelligentes, il serait intéressant de laisser les citoyen·ne·s [jouer avec la ville](http://molleindustria.org/GamesForCities/). Définir des règles qui leurs conviennent collectivement afin que toutes les voix puissent être entendues. Que la représentation de la ville par une caste ne soit pas la seule imaginable.

*Ni enviable.*

---

> Pour ma part, j’ai saisi très tôt que je devais impérativement comprendre mon corps et en prendre soin. Garder la santé revient souvent à respecter le rythme de notre corps et à constamment se repositionner en retrouvant son équilibre. Il y a une manière de garder la santé et rester bien loin des médecins. Il s’agit d’un geste que nous arrivons tous à faire et devinez, il est gratuit en plus : il faut dormir, dormir aussi longtemps que le corps vous l’indique.
>
> <cite>*Sauvage par Nature*, Sarah Marquis</cite>

Je dois avouer que le fait de ne pas réussir à dormir trop longtemps permet — sans trop de difficultés — d’adopter un rythme circadien… ce qui ouvre d’autres perspectives. Il faudrait que je trouve un moyen de consigner mes réflexions matinales. Si possible numériquement, mais sans être en capacité d’être à l’écoute du bruit numérique.

J’ai l’impression qu’extérioriser sans partager n’aurait pas les mêmes vertus. Écrire sans une certaine écoute fantasmée semble si vain à un égo con(valescent).

*J’ai parfois le sentiment que mon mal de dos est dû à une tête trop lourde. Tout un symbole.*