title: Timelines

*Réflexion sur les lignes de temps, de vie. J’ai un vieux truc pour mes [présentations](/david/talks/) et je me pose pas mal de questions sur la généralisation d’une telle représentation, surtout après avoir vu [ces timelines](https://kirk.is/timelines/).*

Mais avant, la citation de la semaine :

> Substack is — to be *extremely* reductive — paywalled blogging software that sends out an email notification.
> 
> <cite>*[Fast Software, Paid Newsletters, Novels](https://craigmod.com/roden/028/)* ([cache](/david/cache/0e61c22644fe5ee4dd27f44be4d4ecd1/))</cite>

C’est la façon dont je considère les listes de diffusion actuelles. Une mode entre intimité et incompréhension. Cela ne m’empêche aucunement d’en apprécier quelques unes, une fois [converties en <strike>blog</strike> flux](https://www.kill-the-newsletter.com/).

---

> “Billionnaire” isn’t a qualification. It’s the description of a person who is hoarding more resources than they could use in 100 lifetimes while other people are starving. It’s the name for a human dragon sleeping on its pile of rubies and gold.
>  
> <cite>Via mastodon, il semblerait que le compte original ne soit plus accessible.</cite>

Est-ce qu’il faut vraiment être devenu milliardaire pour être dans cette position ? Est-ce que chaque choix dans le but d’établir un capital n’est pas déjà une façon de le subtiliser à d’autres ?

> Je vais le dire autrement : nous sommes en train d’abandonner la solution du pauvre pour la solution du riche. Le rêve ­rifkinien(1) d’avoir chacun son panneau et sa batterie tout en gardant à peu près le même niveau de consommation matérielle requiert de mettre 30 ou 40 fois plus d’argent sur la table pour y parvenir qu’en recourant aux centrales nucléaires que nous avons déjà. L’idée selon laquelle le nucléaire serait cher et les énergies renouvelables (ENR) pas chères ne correspond à aucun fait observable et augmente, selon moi, la vulnérabilité face à ce qui va se passer à l’avenir. 
> 
> <cite>*[Jean-Marc Jancovici : « l’Europe est en décroissance ­énergétique depuis 2007 »](http://www.socialter.fr/fr/module/99999672/834/jean_marc_jancovici__qleurope_est_en_dcroissance_nergtique_depuis_2007q)* ([cache](/david/cache/80d3ead34359f058ced9a7d576fad44f/))</cite>

Je n’avais jamais par exemple pensé l’énergie en ce sens et au moment d’investir (le terme aurait dû me mettre la puce à l’oreille…) dans du solaire pour gagner en autonomie j’ai eu ce recul salutaire d’essayer de comprendre si ça pouvait passer à l’échelle. Il y a une difficulté à encourager du [local expérimental](https://solar.lowtechmagazine.com/2016/05/how-to-go-off-grid-in-your-apartment.html) ([cache](/david/cache/6941291d7ecc05597de98d49e641d1da/)) qui pourrait rapidement devenir élitiste et capitaliste en privant les autres des ressources nécessaires à sa reproduction.

---

> I've always liked to document experiences, and I have a thing for collections and completeness. I decided early that this redesign needed some kind of friendly 'museum of me' as a way of introducing myself; less about my work and more about my life. The culture we surround ourselves with, the art that speaks to us, and the songs that soundtrack our lives — these things shape our identities. They speak volumes about who we are, and why the things we put into this world look or feel a certain way. There's so much more to each of us than our professional achievements.
> 
> <cite>*[Timeline](https://colly.com/journal/timeline)* ([cache](/david/cache/9e00f323536ca62675b40000f757c06b/))</cite>

Chacun de nos échanges est une *timeline*, une publication sur un mur, des gazouillis, un agrégat de *stories*, des pouets, des courriels, des articles de blog. Ces 20 dernières années du Web n’ont été qu’une façon de les représenter. Il y a des choix pour chacun des items de ces lignes de vie. En tant que créateur, en tant qu’éditeur, en tant qu’hébergeur et en tant qu’audience. C’est l’équilibre de pouvoir entre ces entités qui rend la relation saine.

*Les licornes actuelles déstabilisent intentionnellement cette relation.*

---

> L'association participe à la réflexion sur l’évolution du droit d’auteur et des licences associées : voir la [Licence Contributive Commons](http://contributivecommons.org/la-licence-contributive-commons/) ([cache](/david/cache/d21ceba463236ad2cc2f1b451dfb81ee/)) qui est un projet initié par l'association.
>
> Elle place ses contenus originaux sous une licence garantissant le partage du savoir selon des modalités visant à une réciprocité.
>
> <cite>*[Code social de Semeoz](http://semeoz.info/codesocial-de-semeoz/)* ([cache](/david/cache/19e12f71b92331c5fcdb887f3fb5c923/))</cite>

[Maïa](http://maiadereva.net/) annonce la fin de [Semeoz](http://semeoz.info/) (Observatoire des pratiques collaboratives et constructives) et nous invite à récupérer ce que l’on souhaite. Cela me pousse à m’interroger sur la pertinence d’une licence à réciprocité lorsque l’entité créatrice a été dissoute. Comment rester fidèle à une telle licence dans ces conditions ?

---

> While questioning is key to curiosity, it can be tricky to know what to ask. Here are some of my standbys:
>
> * “Can you say that in more/different words?”
> * “How did you come to that decision?”
> * “Anything else I should know about?”
> * “Whose land is this?”
> * “Who’s missing or misrepresented?”
> * “Who’s telling this story, and why?”
>
> There you have it—six questions for better, deeper living. A curious mind can become a caring mind—the more we know, the more we can appreciate a situation’s nuance and complexity.
> 
> <cite>*[Questions for learning](https://lucascherkewski.com/hit-and-miss/98-learning-questions/)* ([cache](/david/cache/50d50d4d4bfd0aed1ec1e8781d3bf7f5/))</cite>

Différentes questions pour [différents niveaux d’écoute](https://oncletom.io/2019/07/20/niveaux-ecoute/) ([cache](/david/cache/92a1b430a0ea471685ef2591066d3a05/)). Une façon d’orienter l’échange et donc la relation. Une façon aussi de raconter nos émotions en fonction de son interlocuteur·ice.

*Une timeline peut-elle être bi-directionnelle ?*

---


Il aura fallu quelques aiguilles d’acupuncture dans le dos pour percer un abcès psychologique latent. Ou alors c’est juste une question de coussin trop gros, auquel cas ça devient la série la plus stupide et ennuyeuse qui soit. 

*Et coûteuse, à tous les niveaux. #painline*
