title: 1%

*Essayer d’être à l’écoute de soi avant de pouvoir être à l’écoute des autres. Devenir le 1% de sa vie, prendre conscience des 99 autres. Savoir décliner lorsqu’on n’est pas en forme. Prendre soin de ma propre attente.*

---

> We should direct our attention to find ways to solve problems affecting our own health, our environment, the world we live in. A good example of action for developers is [the world's first online hackathon to help fix the climate](https://fixathon.io/), running between today and end of August.
> 
> <cite>*[WDRL 270](https://wdrl.info/archive/270)* ([cache](/david/cache/203650d02bde8c120ff702cf04ebd853/))</cite>

J’apprends via l’une de mes publications préférées l’existence de ce hackathon. J’aurais presque envie de participer avec un truc qui germe depuis quelques semaines. *Merci Anselm.*

Au passage, pourquoi préféré ? En partie pour la forme : aucun traçage des liens sur lesquels j’ai cliqué.

> Once subscribed, you’ll receive newsletter emails; the opening of the message or clicks on the links are not tracked (though sometimes, the links included may be non-public links, which allows to count overall clicks from the newsletter; such links are the same for all subscribers, hence not connected to your identity).
> 
> <cite>*[Privacy Policy](https://wdrl.info/privacy)* ([cache](/david/cache/f5477e30821b38530e76be1cea167dd6/))</cite>

C’est tellement inhabituel dans ce milieu. Apprendre à remercier les 1% qui m’inspirent et qui me permettent de garder l’espoir d’un monde moins noir.

---

> But those 1% do have to recognise - we ALL have to recognise - that they are enormously privileged. That they are lucky to be able to do what they do. That they have won a grand industry prize that allows them to ignore all the things that most teams have to deal with.
>
> For most teams are not able to just do what they want. They are constrained by the organisation that they exist within. They must produce code that will reliably work and be easily maintained over the next several years. They can't afford to retain someone who will innovate a new codebase and then move on, leaving others to puzzle over it. They can't hire a 10x Engineer Ninja who will reimplement a brochure-ware website in a client-side framework and then ignore those users who are excluded by it.
>
> No, most teams are very boring. I'm really glad about that. We need boring. Boring is what gives stability. Boring is what allows web teams to concentrate on building robust websites, and focussing on user needs. Boring is what allows teams to produce elegant long-life solutions that do not need to be babysat and stroked by a magical engineering gnome.
>
> <cite>*[The Real Dark Web](https://www.sonniesedge.net/posts/real-dark-web/)* ([cache](/david/cache/c402e68f592c57e1e60552481a838839/))</cite>

La réalité est plus complexe, il existe tout un spectre de technologies ennuyantes et à maintenir. Différents niveaux d’acceptation, de souffrances aussi. Et parfois d’accomplissement, s’il y a de la maintenance c’est probablement qu’il y a un usage.

*Ce qui manque parfois cruellement aux 1% qui en parlent le plus…*

---

> Whatever works for you, invest in that. It’s more important than ever before because once they get to know you better than you know yourself, it’s game over for you. They can manipulate you and control you and you will not even realize this is happening. Because they have hacked you.
>
> <cite>*[Yuval Harari on social inequality and the naivete of tech CEOs](https://www.fastcompany.com/90381354/exclusive-video-yuval-harari-on-social-inequality-and-the-naivete-of-tech-ceos)*</cite>

Se connaître mieux qu’un algorithme afin d’être en capacité de pouvoir résister.

*Introspection vs. algospection.*

---

> Le récit de la croissance verte a donc le même statut que le climato-scepticisme aux États-Unis : un discours de légitimation qui permet aux dirigeants de dissimuler l’égoïsme de leur action et aux citoyens de continuer à vivre comme si de rien n’était. Un anthropologue extraterrestre qui viendrait nous étudier, ou un historien du futur qui s’intéresserait à notre époque, ne verraient pas de différence de fonction entre les deux ; seulement deux variantes géographiquement situées du même récit de légitimation. Le citoyen européen qui mord à la croissance verte n’est pas différent du climato-sceptique américain, dont pourtant il se moque. Et, du point de vue de l’anthropologue extraterrestre ou de l’historien du futur, un journaliste français qui se félicite de voir le gouvernement promouvoir les éoliennes ne commet pas un crime moins grand que le journaliste de Fox News qui explique que le réchauffement climatique est un complot des chinois.
> 
> <cite>*[ZAD, nature, culture et recomposition des mondes : un entretien avec Alessandro Pignocchi](https://www.partage-le.com/2019/07/zad-nature-culture-et-recomposition-des-mondes-un-entretien-avec-alessandro-pignocchi/)* ([cache](/david/cache/4eb6e7269f426d89fe6df030f6e2df6a/))</cite>

Tout est dit. La paille dans l’œil du voisin est peut-être en plastique mais on se retrouve avec le même champ de vision une fois qu’on se ballade avec une en inox.

*Ces illustrations <3*

---

> Tl;dr : je me lance dans une nouvelle expérimentation pour tenter de réduire l'éco-anxiété et le surplus de charge mentale que je ressens trop fortement depuis quelques semaines en faisant une pause "réseaux sociaux" d'un mois et demi environ.
> 
> <cite>*[Pause](https://mcgodwin.com/articles/pause)* ([cache](/david/cache/58bcdfc949f761457536462e32ded69c/))</cite>

Idem ici, de manière définitive. Il y aura probablement moins de liens au dehors. Plus de liens en dedans.

*Les réponses sont en nous, tout ça.*

---

> We continue to feel incredibly uncomfortable about playing the role of content arbiter and do not plan to exercise it often.
>
> […]
>
> Cloudflare is not a government. While we've been successful as a company, that does not give us the political legitimacy to make determinations on what content is good and bad. Nor should it. Questions around content are real societal issues that need politically legitimate solutions. We will continue to engage with lawmakers around the world as they set the boundaries of what is acceptable in their countries through due process of law. And we will comply with those boundaries when and where they are set.
>
> <cite>*[Terminating Service for 8Chan](https://blog.cloudflare.com/terminating-service-for-8chan/)* ([cache](/david/cache/3bcbe6b5623dd86a60e96ac45554d7f8/))</cite>

C’est peu de dire que je ne porte pas dans mon cœur un service qui centralise autant et j’ai conscience du jesaispasquoiwashing qu’il y a dans ce billet. Toujours est-il qu’il me semble approprié et bénéfique dans le signal porté. Oui, il est possible de refuser des clients lorsqu’on opère un service.

*N’oubliez pas que [Shopify](https://medium.com/@tobi/in-support-of-free-speech-275d62670203) ([cache](/david/cache/91f08ca21219c531188f89a550bc673d/)) n’a pas du tout la même vision des choses…*

---

Citation de la semaine :

> 1% today is better than 50% tomorrow or some distant and impossible far-flung future.
>
> <cite>*[1% Better](https://www.robinrendle.com/notes/1percent-better)* ([cache](/david/cache/ded4988675cc0492e08546e4aa307f50/))</cite>

