title: Holisme

*Considérer la somme de ses actions et intentions comme un tout. Lâcher-prise sur celles [des autres](/david/stream/2018/10/30/). Ou du moins essayer.*

---

> The reasons I’m leaving aren’t a mystery. I’m committed to the AI Now Institute, to my AI ethics work, and to organizing for an accountable tech industry — and it’s clear Google isn’t a place where I can continue this work.
> 
> […]
> 
> The stakes are extremely high. The use of AI for social control and oppression is already emerging, even in the face of developers’ best of intentions. We have a short window in which to act, to build in real guardrails for these systems, before AI is built into our infrastructure and it’s too late.
>
> <cite>*[Onward! Another #GoogleWalkout Goodbye](https://medium.com/@GoogleWalkout/onward-another-googlewalkout-goodbye-b733fa134a7d)* ([cache](/david/cache/a1276f19c75228e6c7407d517b2e8ef7/))</cite>

Il y aura toujours quelqu’un de plus désespéré pour prendre le relais. Fragiliser des personnes pour qu’elles acceptent l’inacceptable fait partie du système. Triste et impossible à endiguer si l’on ne prend pas en compte les réactions de celles et ceux qui ont le privilège de pouvoir encore choisir.

*Le capitalisme construit du perdant-perdant-[1%](/david/stream/2019/08/06/).*

---

> Success, for any project, always requires a shift from fast-paced experimentation to a more conservative focus on stability and integrations. Which is interesting in its own right. It could be fun. The privacy and power dynamics involved with selling a SaaS to universities while serving a very vulnerable student population, however, are very worrying.
> 
> <cite>*[Weeknote 18 - Uncertainty and Discomfort](https://www.baldurbjarnason.com/weeknote-18/)* ([cache](/david/cache/c7691fa8cf87c52384df1f7a89512680/))</cite>

De la responsabilité de ce que l’on produit. Difficile de faire le moins de dégâts possibles et d’être rémunéré pour cela.

*De l’impact ? Mais contre/envers qui ?*

---

> I found that among 80 tiny home downsizers located across the United States, ecological footprints were reduced by about 45% on average. Surprisingly, I found that downsizing can influence many parts of one’s lifestyle and reduce impacts on the environment in unexpected ways.
> 
> <cite>*[Are tiny houses really better for the environment?, study asks](https://www.fastcompany.com/90385816/do-tiny-home-owners-actually-live-more-sustainably-now-we-know)* ([cache](/david/cache/29d077cc73809f5b6f3e4f93404f829c/))</cite>

S’intéresser à ces choses là, c’est prendre conscience du [coût d’un avocat](https://www.bbc.com/news/science-environment-46459714) ou d’une livraison en véhicule motorisé.

Aussi :

> Also - yes, thank you - I know that most pollution is caused by companies, not people eating sausages, but I also wonder how I’m going to look E in the face when she asks what I did about the planet being shot to shit and say “absolutely nothing”. So being a vegetarian is one thing.
> 
> <cite>*[Week 48: Cheese sandwiches](https://alicebartlett.co.uk/blog/weaknotes-48)* ([cache](/david/cache/4b1a313c0dc39329de63e421e77af75a/))</cite>

---

> Fresh sourdough costs three times more than an average loaf. Milk in glass costs more per pint. Fruit and vegetables cost more per item when not in plastic, they’re the bigger varieties, the tastier ones, the organic ones. It’s only expensive meat and fish out on the counters, the nice cuts. And at the deli it’s only fancy cheese to choose from.
>
> Value ranges are always in plastic.
>
> <cite>*[Plastic Free July](https://paulrhayes.com/plastic-free-july/)* ([cache](/david/cache/3ef250664d1fffcc62c747a2ffea79db/))</cite>

C’est un des choix du moment : payer le double pour le même produit qui n’est pas emballé dans du plastique. La main invisible du marché.

*Le plastique, [c’est pratique](http://blog.ecologie-politique.eu/post/C-est-pratique) ([cache](/david/cache/ce546b9ff3f6bce409c075b19c65d968/)).*

---

> Deux mois et demi après, j'ai la tête moins encombrée et je peux suivre le fil de mes pensées, de ce qui me travaille, m'attriste et me réjouit.
>
> <cite>*[☕️ Journal : Organiser visuellement {l'espace,les pensées}](https://oncletom.io/2019/08/09/organiser-visuellement/)* ([cache](/david/cache/f202d7cd992d1549ef789ccefadc9b0a/))</cite>

Je répondais récemment par courriel :

> J’en ressors souvent avec une sorte de soulagement, pas par le poids de la régularité mais par la charge mentale que toutes ces pensées occasionnent. Si c’est publié ça peut sortir de mon esprit, les pensées actuelles me semblent être consignées. Et peuvent servir de points de repères pour de futures réflexions. Ou me permettent de les oublier plus facilement, de passer à autre chose.

Je me demande très souvent si je devrais publier tout cela dans un carnet, est-ce que cela produirait la même émotion/sensation ? Ou avec une personne en particulier ? Je me sentirais peut-être coupable/responsable d’asséner ces pensées, ici j’ai l’impression que ça reste dilué et que les personnes qui viennent lire consentent  à accepter de telles idées.

*General Ideas Protection Regulation?*

---

Citation libre/adaptée de la semaine :

> Le meilleur moment pour utiliser son propre domaine, c’était il y a 20 ans. Le deuxième meilleur moment, c’est maintenant.

Mon domaine est un arbre, les GAFAM sont de l’huile de palme.

> Blogging, as a community and a practice, continues to be refined to this day thanks to the dedication of web users everywhere. But its sharpest point was made the day Mena Trott decided that a blog could be more than just some text on a page. It could be one of a kind.
>
> <cite>*[The Evolution of Blogging](https://thehistoryoftheweb.com/the-evolution-of-blogging/)* ([cache](/david/cache/f55ab110bc52da0a9ba2366d80df4bd0/))</cite>

Il y a 18 ans de cela…

*Thomas a depuis [publié une réponse](https://oncletom.io/2019/08/15/en-reponse-a-holisme/) ([cache](/david/cache/c7479d6d3e816cbb77749c7786f0ae6a/)). Et j’y réponds [plus tard](/david/stream/2019/08/20/).*