title: Frustration

*Une semaine avec l’intention de faire des choses en famille. On a cueilli des bleuets et dormi dans la forêt. Essayé la [Rabaska](https://fr.wikipedia.org/wiki/Rabaska) et le kayak de mer. Pêché pas mal d’algues et de boutons de moustiques.*

---

> These kinds of violent, spectacular disasters are what the public has come to understand as a technological failure. But most technological failures, especially when dealing with the environment, are decidedly mundane. They often disproportionately affect the poor in ways that are spatially diffuse and take generations to unfold—a kind of “slow violence,” as the scholar Rob Nixon has memorably argued.
> 
> […]
>
> But it also has the outlines of a broader truth: in engineering, the “success” of a technology often has less to do with solving problems than rendering them opaque or distant from our imagination. Like an endless game of whack-a-mole, the problems never truly go away—they come back with a vengeance decades later and miles away in new forms, often made worse by the very infrastructure engineers created.
>
> <cite>*[Engineers Don’t Solve Problems](https://logicmag.io/failure/engineers-dont-solve-problems/)* ([cache](/david/cache/0e85c776ed374f05913bfdc167823b02/))</cite>

J’aime cette idée de transformation du problème plus que de trouver une solution. En ayant conscience que la transformation [n’est pas forcément celle que l’on croit](http://jsomers.net/blog/gettiers) ([cache](/david/cache/621cb3500a9620826579b5e620bb9b74/)).

---

J’ai découvert une nouvelle technique de pêche appelée [Tenkara](https://en.wikipedia.org/wiki/Tenkara_fishing) qui est suffisamment minimaliste pour m’attirer. Quitte à faire tremper des hameçons dans l’eau, autant que ce soit avec style.

Et aussitôt de réaliser que cela requiert encore un équipement dédié. Comment explorer et itérer sans consommer ? Que faire du matériel devenu obsolète lorsque le savoir-faire remplace la technique ?

*C’est une réflexion qui me taraude depuis que j’ai commencé à [aller en forêt](/david/bushcraft/).*

---

> la culpabilité sert à maquiller une honte, tu penses que ça maquille la honte de quoi ?
> 
> <cite>*[☕️ Journal : En réponse à "Holisme"](https://oncletom.io/2019/08/15/en-reponse-a-holisme/)* ([cache](/david/cache/c7479d6d3e816cbb77749c7786f0ae6a/))</cite>

Probablement celle d’un monde dont je fais partie.

---

Je me demande si les [Deux cents familles](https://fr.wikipedia.org/wiki/Deux_cents_familles) sont le pendant de nos [1%](/david/stream/2019/08/06/). Et à quel point il s’agit d’un mythe lorsqu’on arrive à [ce type de données](https://github.com/mdiplo/Medias_francais) relativement sourcées.

---

<figure>
  <img src="/static/david/stream/cennydd-com-irony.png" alt="Capture d’écran d’un site dont  les contrastes sont mauvais par défaut." loading="lazy" width="500" height="500" />
  <figcaption>
    Ironie ? Si seulement…
  </figcaption>
</figure>

Je ne compte plus le nombre de site de designers avec de bonnes intentions mais des lacunes techniques qui rendent leur message peu crédible à mes yeux. Parler d’effondrement sur un site avec un logo animé qui consomme un CPU à 100% en permanence, parler de low-techs avec plusieurs méga-octets d’images en carousel, publier du contenu inaccessible par défaut lorsqu’on ne veut pas accéder aux ressources distantes (ou lorsqu’elles vont disparaitre), etc.

Comment leur faire prendre conscience de cela sans amener la violence de ma frustration ?

---

> These are powerful moments. You can feel a silence like that. It stretches out—listening, there’s only a sense of expanding space. Straining the ears, the expanding emptiness of the air strikes you. The outside wakes up the inside, and I realize I’m standing alone with my thoughts.
>
> And then I or someone or something moves, intentionally or unintentionally sending out a ripple that disrupts this packet of silence, reconfiguring a quiet geography with some new wave.
>
> <cite>*[A geography of intentional sound](https://buttondown.email/lchski/archive/hit-and-miss-102-a-geography-of-intentional-sound/)* ([cache](/david/cache/dc01c92370b5eaef16216536785de523/))</cite>

Silence par défaut. Alors que je suis entouré de cônes oranges, de tondeuses, d’arrosage automatiques, de robots de piscines et autres sources de pollutions pas que sonores, j’aspire au silence.

La technologie et la richesse sont liées au bruit. Plus on en produit, plus on est riche d’énergie. 

*S’approprier l’espaces sonore afin de réduire [les pauvres](/david/stream/2019/06/14/) au silence.*

---

J’ai peut-être enfin trouvé comment transformer la frustration de faire chauffer un four à haute température pour faire cuire un pain sans réutiliser la chaleur produite. Il s’agit de faire chauffer la théière en fonte d’une part et de faire cuire des [Onsen tamago](https://en.wikipedia.org/wiki/Onsen_tamago) d’autre part. La pierre semble transférer l’énergie adéquate pour tenir une température de 70°C pendant la durée nécessaire.

Et quand j’ai du temps ? *Pizza !*

<figure>
  <img src="/static/david/stream/pizza-pain.jpg" alt="Une pizza, un pain et de l’huile d’olive." loading="lazy" width="500" height="500" />
  <figcaption>
    Une pizza, un pain et de l’huile d’olive. Pas pire.
  </figcaption>
</figure>

---

Citation de la semaine :

> Vous savez quoi ? J’ai envie d’être dur, mais réaliste, avec nous : si la planète (ou plutôt l’humanité) s’en va actuellement chez le diable, la responsabilité, voire la faute, nous incombe.
> 
> Ouais. Parce qu’on tolère ce genre de tricheries, de mensonges et d’indolences de nos gouvernements. Parce qu’on s’évite d’en faire un enjeu primordial, trop occupés à se vautrer dans un confort à la con, à s’acheter un climatiseur alors que la planète est en train de bouillir. Parce que c’est ben le fun, le compost, les bixis et la bouffe bio, mais rien ne suffira en l’absence de politiques macros. Parce qu’on regarde le doigt, comme des idiots, alors que les sages, soit les scientifiques, pointent la lune.
>
> <cite>*Dérèglements politiques*, Frédéric Bérard</cite>

Mine de rien, je commence à m’intéresser à la politique québécoise.

---

*Supprimer les réseaux sociaux me fait passer plus de temps sur Wikipedia. Je ne m’y attendais pas vraiment et je trouve ça chouette. Ça n’a pas l’air de me rendre moins aigri par contre.*