title: Documenter

*Une semaine à notamment s’interroger sur ce qui fait coopérative. Et peut-être qu’il s’agit d’avoir une [histoire](https://github.com/scopyleft/documentation/blob/master/incubateur/histoire.md) [commune](/david/blog/2016/instantane-scopyleft/) à [raconter](http://scopyleft.fr/blog/2014/scopyleft-aventure-humaine/). Partager non pas ce que l’on a fait ensemble mais ce que l’on a été ensemble. Réflexion à poursuivre… à documenter ?*

---

> Ce document est une forme expérimentale de backlog, c’est ici que nous allons écrire, décrire ce que le service fait ou va faire. Peut-être pourrait-on l’appeler documentation vivante, mais n’ayant pas encore lu le livre de Cyrille Martraire Living Documentation, je me garderais bien d'utiliser ce terme.
> 
> Les phrases gras qui commence par **En attendant** correspondent à des choses qui ont été faite rapidement dans l’application en attendant mieux.
> 
> Les phrase en italique qui commence par *En option* et qui utilise le conditionnel, correspondent à des choses qui pourrait être faite plus tard, afin d’améliorer l’utilisation du service.
>
> <cite>*[DaTrust](https://datrust-demo.herokuapp.com/histoire)* ([cache](/david/cache/5b8ca2591e180f0d1f5eaf366ada63a3/))</cite>

[Yannick](https://elsif.fr/) explore des choses et c’est un sujet qui [m’intéresse](/david/stream/2018/01/19/) [beaucoup](/david/blog/2015/collaboration-technique/) (notamment car je participe à des [équipes](/david/blog/2019/faire-equipe/) [distribuées](/david/blog/2017/distributed-teams/)). Introduire de l’écriture dans le processus de création, non pas *a priori* mais *pendant* pour savoir comment est-ce que l’on en est arrivé là *a posteriori*. Quelles étaient les intentions sous-jacentes ? Dans quel contexte ces choix ont été faits à l’époque ? Etc.

Tout en rendant cette histoire explicite *et* consultable **et** pouvant être enrichie par toutes les personnes du produit.

---

> I didn’t know how to write a book. But I did know how to give a workshop. […] The workshop was a prototyping device. It was going to do three things:
>
> * Force me to come up with a full day’s worth of content that could eventually become a book.
> * Get instant feedback from an audience to learn what’s interesting, what resonates and what doesn’t.
> * Put something out into the world that people could buy, so I could interview them afterward using the jobs-to-be-done approach.
>
> <cite>*[How I Wrote Shape Up](https://m.signalvnoise.com/how-i-wrote-shape-up/)* ([cache](/david/cache/abe0ca32c7acf832dc82217e53739fb6/))</cite>

Ryan Singer explique le processus d’écriture de [Shape Up](https://basecamp.com/shapeup) ([cache](/static/david/stream/shape-up.pdf), PDF, 20 Mo), dont je n’ai pas encore pris le temps de parler. J’apprécie beaucoup le partage de ce processus car il m’offre des pistes de réflexion pour documenter ma propre façon de travailler.

*Lean Writing?*

---

> June 1, 2020: users will not be able to use Mercurial features in Bitbucket or via its API and all Mercurial repositories will be removed.
> 
> <cite>*[Sunsetting Mercurial support in Bitbucket](https://bitbucket.org/blog/sunsetting-mercurial-support-in-bitbucket)* ([cache](/david/cache/87641025fa5722a47ad82a0db0e751e0/))</cite>

Git a gagné. Cela me désole qu’il puisse y avoir un monopole de la décentralisation. Enfin encore faudrait-il voir ce que l’on entend par décentralisation lorsqu’il y a un oligopole d’acteurs mais passons.

En voyant le verre à moitié plein, cela va me permettre de faire du ménage dans l’historique de ce qui est publié (actuellement sous [mercurial](https://www.mercurial-scm.org/)). Et peut-être le rendre public ? Je vois [la valeur que cela pourrait avoir](https://github.com/lchski/lucascherkewski.com/commit/a7ee923d894fc90eca273cd6df245232890def5d). Et en même temps pour moi l’écriture est une pratique relativement intime.

*Peut-être que cela me permettrait d’en apprendre davantage sur mon propre processus ?*

---

> Many parents and pediatricians speculate about the role that screen time and social media might play in this social deficit. But it’s important to acknowledge that simply taking away or limiting screens is not enough. Children turn to screens because opportunities for real-life human interaction have vanished; the public places and spaces where kids used to learn to be people have been decimated or deemed too dangerous for those under 18.
> 
> <cite>*[We Have Ruined Childhood](https://www.nytimes.com/2019/08/17/opinion/sunday/childhood-suicide-depression-anxiety.html)* ([cache](/david/cache/4d8631dabdb64bb007d29b23ae07370f/))</cite>

No kidding.

*Pun intended.*

---

> But the real tragedy of modern technology is that it’s turned us into **consumers**. Our voracious consumption of media parallels our consumption of fossil fuels, corn syrup, and plastic straws. And although we’re starting to worry about our consumption of those physical goods, we seem less concerned about our consumption of information.
>
> We treat information as necessarily good, and comfort ourselves with the feeling that whatever article or newsletter we waste our time with is actually *good* for us. We equate *reading* with *self improvement*, even though we forget most of what we’ve read, and what we remember isn’t useful.
>
> <cite>*[Consume less, create more](https://tjcx.me/posts/consumption-distraction/)* ([cache](/david/cache/1c0838399842b2c1996dc673cdd4f26c/))</cite>

Est-ce que le ratio créateur·ice·s/consommateur·ice·s a évolué au cours du temps ? Est-ce qu’il peut même évoluer compte tenu de l’importance d’avoir des comsommateur·ice·s pour se motiver à créer ?

*Le stylo/pinceau/clavier invisible de la création.*

---

> Le 18 décembre 2018, [cailloux n°18](https://tinyletter.com/achp__/letters/cailloux-du-18-d-cembre-2018-le-temps-et-des-larmes), six minutes et trente-cinq secondes de grâce.
>
> <cite>*[cailloux n°44 : premier anniversaire](https://tinyletter.com/achp__/letters/cailloux-n-44-premier-anniversaire)* ([cache](/david/cache/e85824e347cb44dae213c0f900d4e1bd/))</cite>

Merci Alexia de ressortir des archives ce [petit caillou/bijou](https://www.youtube.com/embed/xF5MhpvKzuw) que j’avais loupé. Sur un morceau que j’apprécie énormément.

*Au passage, [Alternate Tube Redirector](https://addons.mozilla.org/fr/firefox/addon/alternate-tube-redirector/) sauve des ours blancs et réduit votre exposition aux algorithmes de Google.*

---

> Today, we are updating our advertising policies with respect to state media. Going forward, we will not accept advertising from state-controlled news media entities. […] We are exploring transparency approaches to keep the public updated on these types of actions going forward.
> 
> <cite>*[Updating our advertising policies on state media](https://blog.twitter.com/en_us/topics/company/2019/advertising_policies_on_state_media.html)* ([cache](/david/cache/fe4ba5e459728b1313068bdd5571e729/))</cite>

Commencer par documenter [pourquoi](https://twitter.com/pinboard/status/1162711159000055808) est-ce que l’on prend une telle décision serait la moindre des choses.

*La base en fait.*

---

Citation de la semaine :

> Le froid, le silence et la solitude sont les trois produits de luxe du monde contemporain.
>
> <cite>*Une vie à coucher dehors*, Sylvain Tesson</cite>

À méditer lors de ma prochaine [balade dans les bois](/david/bushcraft/). Le froid s’en vient.

*P.S. : toujours intéressant de voir [à partir de quand est-ce que l’on a les pieds dans l’eau](http://flood.firetree.net/?ll=45.5369,-73.7276&zoom=11&m=20) lorsqu’on habite sur une île.*