title: Discrétion

*Une semaine très chaotique. Je me demande souvent si je devrais pas me faire plus discret lorsque mon attention se trouve être sollicitée de manière non soutenable. Ou au moins ne pas avoir d’opinions trop tranchées. Et en même temps, c’est ce qui me permet de vider un trop plein.*

---

> La discrétion, que Benoît appelait la « mère des vertus », est le discernement mesuré des situations uniques, qui fait de notre obéissance le contraire même de l’enrégimentement. La réflexion que je souhaite encourager requiert de la discrétion de la part du lecteur, sans qu’elle en devienne privée pour autant. L’intimité est une construction sociale toute moderne. Elle relève de l’individualisme possessif qui forme les opinions semeuses de discorde. Ce que je souhaite vous voir partager avec moi, ce n’est pas une opinion, mais une angoisse presque insupportable face à […].
> 
> <cite>*La perte des sens*, Ivan Illich</cite>

J’avais déjà lu que pour d’autres cultures/civilisations, l’intimité n’existait pas forcément. Est-ce que l’intimité est nécessaire à la création de rareté, de capital personnel ? Peut-il y avoir capitalisme sans intimité ?

*Vous avez une semaine.*

---

> “What if we were to take advantage of all these incredible solutions that have been developed and driven by people who have nothing to do with the federal government?” he asked during his speech to the packed ballroom. “What if we were to unlock those capabilities to do the mission of national defense? What if we were to take advantage of the long-tail marketplaces that have developed in the commercial cloud industries? That’s what JEDI is.”
> 
> <cite>*[Meet America’s newest military giant: Amazon](https://www.technologyreview.com/s/614487/meet-americas-newest-military-giant-amazon/)* ([cache](/david/cache/0538edd174779fac8efd235af4617d06/))</cite>

Vous pourriez être tenté de participer à une bibliothèque comme [boto](https://github.com/boto/boto3) à un moment dans votre vie. Puis apprendre bien plus tard qu’elle pourrait être utilisée par le Pentagon pour des objectifs qui vous semblent en désaccord avec ce qui est [bien ou mal](/david/stream/2019/09/24/). Ce n’est pas forcément une question de valeurs mais de temporalité.

Les développeurs sont les forgerons des temps modernes et ils sont en train de se rendre compte qu’une hache ne sert pas qu’à fendre du bois.

> The Open Source movement has always been focused on *code*. The result is a system that sadly neglects *people*. Many maintainers find themselves in a curious place. On one hand, we have people who regret seeing their code used for unethical purposes, but, because of the Open Source values they previously embraced, are unable to do anything except watch their code become weaponized.
> 
> <cite>*[Open Source is Broken](https://medium.com/@degoodmanwilson/open-source-is-broken-d836efbceb4f)* ([cache](/david/cache/c0c032bc2b7206274f16f371e7cb8b26/))</cite>

---

>  This project is only relevant if the collapse is of a specific magnitude. A weak-enough collapse and it's useless (just a few fabs that close down, a few wars here and there, hunger, disease, but people are nevertheless able to maintain current technology levels). A big enough collapse and it's even more useless (who needs microcontrollers when you're running away from cannibals).
>
> But if the collapse magnitude is right, then this project will change the course of our history, which makes it worth trying. 
>
> <cite>*[Collapse OS - Why?](https://collapseos.org/why.html)* ([cache](/david/cache/91abf4fee00beb5a5e26171bf7c70312/))</cite>

C’est la beauté de tout ce qui est entrepris relativement à un effondrement prochain : l’inconnu. On ne peut se préparer qu’à un certain ordre de magnitude pour un certain contexte. Pour les autres cas, il vaut [mieux en rire](https://www.youtube-nocookie.com/embed/VaEDLG7aIN0).

*Je salue l’initiative cela dit.*

---

> 1. Connaître l’impact de nos trajets en avion  
> 2. Comparer plus justement les différentes options  
> 3. Penser le trajet comme un voyage  
> 4. Profiter au mieux du spectacle par la fenêtre  
> 5. Rester connecté pendant le voyage  
> 6. Explorer de nouvelles villes pendant les correspondances  
> 7. Profiter et se laisser inspirer par le voyage  
> 
> <cite>*[Et si demain on ne prenait plus l'avion ?](https://www.linkedin.com/pulse/et-si-demain-ne-prenait-plus-lavion-audrey-blanchard)* ([cache](/david/cache/4568871f2df349c5815a931e197e20c7/))</cite>

En ce moment, je me sens surtout responsable de faire prendre l’avion aux autres pour venir me voir. Ce qui est à double tranchant.

*Les dissonances de l’expatriation trans-atlantique.*

---

>  Tout va dans le même sens : Les héri­tages béné­fi­cient prin­ci­pa­le­ment aux plus favo­ri­sés. On ne parle pas de soli­da­rité inter­gé­né­ra­tion­nelle mais de perpé­tua­tion de la richesse par droit de nais­sance.
>  
> <cite>*[Quelques chiffres sur l’héritage](https://n.survol.fr/n/quelques-chiffres-sur-lheritage)* ([cache](/david/cache/70d3f33ab2fdf2fc77f0c49c3e285180/))</cite>

Merci Éric de faire ce travail, chiffres à l’appui. Et concernant les taxes appliquées :

> Alors 16 % pour quelqu’un qui reçoit magiquement de quoi être dans les plus riches sans rien avoir fait pour, comparé à la taxation du travail… moi je dis que c’est insignifiant.
>
> Si ça avait du sens, je proposerais même d’inverser (plus taxer l’héritage, moins taxer le travail)
> 
> <cite>*[Commentaire sur « Quelques chiffres sur l’héritage »](https://n.survol.fr/n/quelques-chiffres-sur-lheritage#comment-259911)* ([cache](/david/cache/2ddc0064fa1b229219273139990b6fba/))</cite>

Si seulement tout cela avait un sens. L’héritage financier est une vaste blague.

---

Citation de la semaine :

> Quand le passé est pris pour un gouvernail, le navire marche à reculons. 
> 
> <cite>*L’apprenti sage*, Gilles Vigneault</cite>

---

*Je me rends compte que je n’écris plus en anglais ici et ça a changé ma façon de penser. Ou plutôt ma faculté à pouvoir communiquer mes pensées en anglais plus rapidement. Peut-être quelque chose à prendre en considération pour la suite.*
