title: Dettes

*Une semaine de repos tout relatif. Un bon moment pour prendre du recul et construire des projets enthousiasmants. Je suis presque impatient de l’arrivée de la neige !*

---

> None of our old infrastructure was built with planetary management in mind, and very little is even now. What we’re dealing with is hundreds of years of something that software world calls technical debt. Technical debt is the shortcuts and trade-offs engineers use to get something done either cheaper or in less time, which inevitably creates the need to fix systems later, often at great cost or difficulty.
>
> Some technical debt is understood up front, some comes from builders being ignorant  of the system they are working in. Most of our planet’s infrastructure is mired in huge amounts of technical debt, most of which we didn’t know we were signing up for at the time, some of which we’re just incurring recklessly as we go along, unable to face the scale of the problem and pushing it off on the next generation.
> 
> <cite>*[A World We Built to Burn](https://www.emptywheel.net/2019/10/18/a-world-we-built-to-burn/)* ([cache](/david/cache/e416dd2c76330823b6670113638fbb4e/))</cite>

La [grosse réécriture](http://chadfowler.com/2006/12/27/the-big-rewrite.html) ([cache](/david/cache/e1911ccf82335e72f78e6e6328c01cf3/)) c’est d’aller coloniser une autre planète. Ce qu’il ne faut [presque](https://signalvnoise.com/posts/3856-the-big-rewrite-revisited) ([cache](/david/cache/aba249544f94d53e86639377152f142d/)) [jamais faire](https://www.joelonsoftware.com/2000/04/06/things-you-should-never-do-part-i/) ([cache](/david/cache/5e39102b63fc01f6b189dec941178776/)).

*Ne laissez pas des techniciens aux manettes.*

---

> This approach to discovery—answers first, explanations later—accrues what I call intellectual debt. It’s possible to discover what works without knowing why it works, and then to put that insight to use immediately, assuming that the underlying mechanism will be figured out later. In some cases, we pay off this intellectual debt quickly. But, in others, we let it compound, relying, for decades, on knowledge that’s not fully known.
> 
> […]
> 
> Building and maintaining a society-wide intellectual-debt balance sheet would probably require refining our approach to trade secrets and other intellectual property. In cities, building codes ask building owners to publicly disclose their renovation plans. Similarly, we might explore asking libraries or universities to accept, in escrow, otherwise hidden data sets and algorithms that have found a certain measure of public use. That would allow researchers to begin probing the models and underlying data on which we’re coming to depend, and—by building theories—make payments on our intellectual debt before it becomes due in the form of errors and vulnerabilities.
> 
> <cite>*[The Hidden Costs of Automated Thinking](https://www.newyorker.com/tech/annals-of-technology/the-hidden-costs-of-automated-thinking)* ([cache](/david/cache/f98974457e4d16ef6940e03b1e6ee58b/))</cite>

Le biais introduit n’est pas nouveau, il prend une nouvelle importance en raison de l’échelle à laquelle il s’applique et des conséquences que l’on veut bien accepter en tant que société/humanité. Le risque est dans notre incapacité à pouvoir mettre en défaut une machine qui aurait appris sur des données incomplètes/erronées/biaisées.

---

> Les individualités ressortent, les personnes viennent nous parler de leurs parcours, de leurs doutes et de leurs espoirs, de la dissonance cognitive qu'elles ressentent au quotidien, sans trop savoir vers où se tourner, quelles actions mettre en œuvre. Elles nous parlent des changements qu'elles ont mis en place, même quand elles travaillent dans des domaines a priori très durs à faire bouger. Elles relatent leurs cheminements intimes de reconnexion à ce qui se passe autour d'elles, à la "nature" et à ce qui a plus de sens.
>
> Avec le temps et le recul, j'ai l'impression que c'est de cette dissonance et de l'incapacité des êtres à vivre avec elle trop longtemps que va émerger la force du changement. Comme le burnout est le symptôme positif qui montre la maladie de la société et du travail, la dissonance et la vitalité individuelle aideraient les personnes à refuser l'injustice de la situation. 
>
> <cite>*[Faire atterrir le design](https://mcgodwin.com/articles/faire-atterrir-le-design)* ([cache](/david/cache/3a000c75f747820cc701b42dd657ef61/))</cite>

On discutait hier de la conquête spatiale vs. le « problème » de la faim de dans le monde. Aucun programme politique ne propose de changer cela, l’injustice de la répartition de la richesse étant à prise de conscience variable en fonction de la distance. 

*Chacun·e essayant de vivre avec ses propres dissonances.*

---

> Je rends visite aux vieilles personnes, aux aînés. On parle du temps, on rigole un peu, on se transmet des nouvelles, puis ils racontent comment étaient les choses jadis. Ils nous racontent une légende. C’est une longue conversation décousue. Mais les choses qui reviennent encore et encore dans la conversation sont importantes et on sait qu’elles sont importantes. Ils ne nous disent pas qu’il faut faire ceci ou cela. Ils nous racontent une histoire. On rentre à la maison et on y repense, et on sait qu’ils nous ont dit une vérité.
>
> <cite>*Blake Debassige, cité dans Mary E. Southcott, Anashnaabe of Manitoulin Island*, au musée canadien de l’histoire</cite>

Comment interpréter ces légendes et/ou histoires lorsqu’elles racontent un endettement ? Quelle confiance avoir dans une expérience qui nous a mené à une impasse ? Comment éviter de reproduire ces récits pour en inventer de nouveaux ?

> Our memory is our coherence, our reason, our feeling, even our action. Without it, we are nothing.
> 
> <cite>*Louis Bunuel quoted in [Time, Self, and Remembering Online](https://thefrailestthing.com/2019/06/20/time-self-and-remembering-online/)* ([cache](/david/cache/ce407f71e4157776d5171885f8f2b57c/))</cite>

---

J’écrivais récemment :

> Et en même temps si notre échange d’il y a 12 ans avait été chiffré, il y a peu de chances que j’en ai eu encore les clés pour le retrouver…

C’est la seconde fois que je suis coincé par [GPGTools](https://gpgtools.org/) pour pouvoir répondre à des courriels chiffrés suite à une [mise à jour de macOS](/david/stream/2019/10/08/). La complexité technique introduit une dépendance à l’outil. Une forme de dette pour l’archiviste que j’aspire parfois à être.
