title: Dépendances

*Un jour férié en France, c’est souvent une journée tranquille pour moi. L’occasion de creuser davantage de liens et de réflexions. Et de fermer des onglets après avoir partagé quelques connexions neuronales.*

---

Trucs enthousiasmants cette semaine :

1. Faire du ménage numérique sur cet espace et préparer un dépôt chez moi pour stocker tout cela et probablement ouvrir un peu de code.
2. Arriver à la page 100 de la numérisation de l’[histoire d’une partie de ma famille](/famille/histoire/).
3. Aller gambader dans la neige comme deux petits chiens fous avec mon fils.
4. Tenter d’établir [des ponts](https://tinyletter.com/lesponts/) locaux.

---

> The other day, I came across a website I’d written over two decades ago. I double-clicked the file, and it opened and ran perfectly. Then I tried to run a website I’d written 18 months ago and found I couldn’t run it without firing up a web server, and when I ran NPM install, one or two of those 65,000 files had issues that meant node failed to install them and the website didn’t run. When I did get it working, it needed a database. And then it relied on some third-party APIs and there was an issue with CORS because I hadn’t whitelisted localhost.
>
> My website made of files carried on, chugging along. This isn’t me saying that things were better in the old days. I’m just saying that years ago websites were made of files; now they are made of dependencies.
>
> <cite>*[Computer Files Are Going Extinct](https://onezero.medium.com/the-death-of-the-computer-file-doc-43cb028c0506)* ([cache](/david/cache/5a75780d94a07e5abd9449dc6c863ad5/))</cite>

Un peu [forcé](/david/stream/2019/08/27/), je suis en train de revoir comment publier ce qui stocké ici. En réduisant les dépendances à la fois pour le code et pour l’écriture. C’est un long chemin que je prends plaisir à parcourir.

*Il fait appel aux différents sens du mot « accessibilité ».*

---

> Look, all technology breaks sometimes. I’m not saying that new is bad because it’s buggy; I promise you, the old stuff broke too. You probably do not want to go back. But there’s a difference between “the car broke down” and “the car got lost”. One is a fragility of *things*: if you drive a car, you need to take responsibility for keeping it in good shape. It’s a scarcity problem. But the latter feels more like an abundance problem: it’s fragility of *something*, I just couldn’t put my finger on what.
>
> <cite>*[Everything is Amazing, But Nothing is Ours](https://alexdanco.com/2019/10/26/everything-is-amazing-but-nothing-is-ours/)* ([cache](/david/cache/83928917b2696111caabdeb514722b7f/))</cite>

La fragilité de la *connaissance*. Ne plus avoir conscience de l’espace et du temps dans lequel on vit. D’où la perte de repères.

En l’occurence, ça n’est pas la voiture qui s’est perdue. Mais le code de quelqu’un d’autre dans sa voiture.

---

> Autre façon de voir les choses : Jusqu’où vouloir filtrer le néga­tif et encou­ra­ger le posi­tif revient à se mettre la tête dans le sable pour ne pas voir la réalité ?
>
> À quel point filtrer ce côté sombre, même partiel­le­ment, n’est pas une posture de privi­lé­gié qui n’est pas impacté aussi direc­te­ment que d’autres ?
>
> <cite>*[Dépeindre un monde trop sombre](https://n.survol.fr/n/depeindre-un-monde-trop-sombre)* ([cache](/david/cache/031fd65bf92fec13351403b10831acd7/))</cite>

Si je me morfonds dans la négativité, cela finit par affecter ma santé et j’ai l’impression que les causes que je pourrais soutenir perdent un allié. C’est assez arrogant de penser cela et pourtant c’est le seul moyen que j’ai trouvé de (sur)vivre pour l’instant.

---

> And even if humanity really is doomed, there’s always the hope that someday a hyperintelligent species of cockroach will inherit the Earth. And when cockroach archaeologists try to reconstruct our history, I would like them to be able to say, loosely translated from their complex pheromone-and-dancing system of communication: “These meatsacks may not have been as good at surviving as us cockroaches—but at least they tried!”
>
> <cite>*[What can a software developer do about climate change?](https://codewithoutrules.com/2019/09/10/software-developers-climage-change/)* ([cache](/david/cache/c982d6d5411add24cca0c698ba457826/))</cite>

Réflexion de la semaine : en utilisant les énergies fossiles, on consomme un héritage que nos ancêtres sur des millions de génération ont réussi à préserver. Le meilleur moyen de ne pas avoir d’héritage est de ne plus rien avoir à partager. Une situation de crise — à moyen terme — ne peut que réduire les inégalités.

Lorsqu’il ne reste que quelques gouttes au fond du verre, on ne se demande plus s’il est à moitié vide ou à moitié plein.

*On économise notre salive.*

---

> Often consumers don’t have much power of selection at all. Those who run small businesses find it nearly impossible to walk away from Facebook, Instagram, Yelp, Etsy, even Amazon. Employers often mandate that their workers use certain apps or systems like Zoom, Slack, and Google Docs. “It is only the hyper-privileged who are now saying, ‘I’m not going to give my kids this,’ or, ‘I’m not on social media,’” says Rumman Chowdhury, a data scientist at Accenture. “You actually have to be so comfortable in your privilege that you can opt out of things.”
>
> <cite>*[Tech issues: The myth of inevitable technological progress](https://www.vox.com/the-highlight/2019/10/1/20887003/tech-technology-evolution-natural-inevitable-ethics)* ([cache](/david/cache/49e857c4f07b8b8ca905203fe51b7b7c/))</cite>

Dis-moi de combien de dépendances est-ce que tu peux te passer et je te dirai à quel point tu es privilégié. La capitalisme consiste à rendre dépendants ceux qui ont moins.

*Quid des privilégiés qui tentent de montrer un autre chemin ? À quel moment la marginalisation ne peut plus en être une ?*

---

> The main thing I discovered was that the *snippets.db* database file in the Suggestions folder stored my emails. And on top of that, I found that it stored my S/MIME encrypted emails completely **UNENCRYPTED**. Even with Siri disabled on the Mac, it *still* stores unencrypted messages in this database!
>
> **This is definitely not the expected behavior and can be considered an inadvertent information exposure.**
>
> <cite>*[Apple Mail Stores Encrypted Emails in Plain Text Database, fix included!](https://medium.com/@boberito/apple-mail-stores-encrypted-emails-in-plain-text-database-fix-included-3c2369ce26d4)* ([cache](/david/cache/6aa439c2a9931f53c792d98e92c2ea46/))</cite>

Au moment où je galère en attendant une mise à jour des GPGTools pour ne serait-ce que lire mes courriels chiffrés, j’apprends qu’ils sont en fait lisibles en clair sur ma machine… quelle blague. Lorsqu’une dépendance en combat une autre.

Restez patients si vous attendez une réponse chiffrée de ma part. Peut-être qu’il faut que je change de [stratégie](/david/stream/2019/10/29/) à ce sujet (ça serait pas mal des ancres plus précises, en [attendant mieux](https://github.com/WICG/ScrollToTextFragment)). Et en même temps le courriel est une des technologies la plus proche de mes valeurs qui soit, ce serait dommage d’avoir recours à une autre infrastructure et un autre outil pour pouvoir s’échanger des données chiffrées.

---

Citation de la semaine :

> Il est trop tard pour être pessimiste.
>
> <cite>*[Gilles Boeuf au sujet de « Envers les animaux, une responsabilité globale »](https://www.franceculture.fr/emissions/matieres-a-penser/animal-humain-35-envers-les-animaux-une-responsabilite-globale)*</cite>

Il y a tellement de sens possibles à cette citation <3. Il est probablement trop tard pour être in-dépendant également.

*Merci Aurélien.*
