title: Se livrer

*Je n’avais plus mal au dos. Et puis j’ai maintenant une nécessité de prendre l’avion en 2020, probablement deux fois de suite. J’ai de nouveau mal au dos. Il y a peut-être un lien. Peut-être.*

---

Cette semaine :

1. J’ai résisté à la tentation d’acheter des choses (j’aimerais pouvoir écrire cette ligne chaque semaine).
2. J’ai commencé à mettre au clair mes journaux liés à des projets/produits professionnels, il faudrait que je documente cela. Très *meta*.
3. J’ai fait des pizzas et elles ont été appréciées.
4. Je suis en train de planifier ma prochaine sortie dans les bois.

---

> Ne reste pas assis à t’étudier. C’est assommant. Il n’y a que des peluches dans ton nombril. Il faut te propulser dehors, jeune auteur-e. Pense aux autres, à un ailleurs, à une distance qui te ramènera, au bout du compte, chez toi.
> 
> La seule véritable façon de développer son univers consiste à se fondre dans l’altérité. Un mot simple désigne cela : *empathie*. Mais ne te laisse pas berner. L’empathie est dure, violente, elle peut te modifier profondément. Te lacérer. Soit averti(e) : on te traitera de sentimental(e). En vérité, les vrais sentimentaux sont les cyniques. Ils vivent dans les nuages d’une nostalgie bornée. N’ont aucune musculature. Ne se déplacent jamais. Se retiennent à une idée qui n’éveille plus rien. Rappelle-toi que le monde ne se limite pas à une histoire. Nous trouvons dans les autres un prolongement de nous-mêmes.
> 
> Alors, laisse les cyniques tranquilles. Coiffe-les au poteau. Entre dans l’inconnu. Admets que ton récit soit plus grand que toi.
> 
> <cite>*Lettres à un jeune auteur*, Colum McCann</cite>

Mais alors, peut-on écrire un livre si l’on est cynique ? Au moment où je me disais qu’écrire sur un truc auto-centré pourrait avoir de la valeur, ça m’a *à la fois* encouragé et découragé.

Bon en même temps, j’ai un blog pour ça.

> Écrire un livre m’est quelque chose de beaucoup trop définitif et incontrôlable. Il s’agit de figer le temps en une œuvre unique et immuable, destinée à être léguée au monde dans l’espoir qu’elle ne s’y fanera pas, en espérant que les autres se souviendront de l’arroser de temps en temps. Pour ma part, je n’ai rien à foutre que mes mots disparaissent avec moi lorsque je serai morte. Je n’ai aucune prétention de vouloir laisser un témoignage qui me survivra et qui sera lu par le plus grand nombre ; Hypothermia n’est pas un héritage absolu. Il m’est un travail d’écriture qui évolue avec le temps, et que je tiens à modeler au fil des billets. Le blog me permet de récupérer les lambeaux des jours passés et de les assembler, les scotcher ensemble, article après article, pour éviter qu’ils se perdent trop vite.
>
> Je n’écris pas pour qu’on se souvienne de moi après ma mort. J’écris pour me rappeler au fait que je suis bien vivante.
>
> <cite>*[Plutôt écrire que mourir](https://www.hypothermia.fr/2017/04/plutot-ecrire-que-mourir/)* ([cache](/david/cache/6179fe08ea483a3cca573e211f3b78fd/))</cite>

---

> I suspect most folks reading this would *not* want to self-identify as an Instagram hope-to-be-influencer or Twitter combatant or Netflix binger. But most wouldn’t shy from self-identifying as, say, a reader.
> 
> We’re amicable to calling ourselves readers for the same reason we want to identify as rock climbers or marathon runners or exceptional parents or selfless children or humanitarians or folks who’ve written thoughtful and considered books — because these activities carry with them an implicit sense of self-betterment, typified by being *active* (as opposed to passive).
>
> <cite>*[Stab a Book, the Book Won't Die](https://craigmod.com/essays/media_accounting/)* ([cache](/david/cache/4f4dfee4677038df8e39c5547ed8adeb/))</cite>

Actif ou passif, choix conscient ou algorithmique, dégustation ou consommation, une question de point de vue. De ce qu’est le produit, de quel est le producteur, de ce qu’est le déchet, de se sentir unique tout en faisant la même chose.

*Ni trop similaire, ni trop différent. Trop condescendant alors ?*

---

> Mais, en fin de compte, ce n’est pas le caractère extraordinaire du maître qui laisse le disciple perplexe, l’intrigue et rend son esprit plus profond, c’est le caractère parfaitement ordinaire du maître. Parce qu’il n’est que lui-même, il est miroir pour ses disciples. Quand nous sommes avec lui, nous sentons nos propres forces et nos faiblesses sans qu’émane de lui aucune impression d’éloge ou de critique. En sa présence nous voyons notre visage originel, et ce que nous voyons d’extraordinaire n’est que notre propre nature véritable. Lorsque nous apprenons à laisser libre notre propre nature, ce qui sépare le maitre et le disciple disparaît en un profond courant d’être et de joie dans l’épanouissement de l’esprit de Bouddha.
> 
> <cite>*Préface de « Esprit Zen, esprit neuf »*, Richard Baker</cite>

J’ai commencé un livre sur le bouddhisme et le zen. Je ne sais pas où cela va me mener.

*Merci Emmanuel.*

---

> Voici la contradiction profonde de cette structure sociale : il est impossible, dans cette société d’externalisation, de donner accès à tous au confort matériel des pays riches, car cela supposerait qu’il n’y ait plus d’extérieur où exploiter des travailleurs à la chaîne, où sous-traiter l’accueil des migrants, où ponctionner les sols pour en récolter le soja et l’huile de palme, où déverser les déchets électroniques. L’inégalité structurelle de la société d’externalisation en fait une société non universalisable.
> 
> Cela permet d’ailleurs de comprendre combien cher vaut alors la citoyenneté d’un pays comme l’Allemagne, le Canada ou la France, parmi d’autres. Naître au Nord constitue un privilège exclusif : une espérance de vie plus élevée, un revenu plus élevé, un environnement plus sain et une liberté de circuler interdite à la plus grande partie de l’humanité. Par conséquent, chercher à universaliser une vie digne de ce nom suppose une remise en question de cette structure même. Cela suppose de mettre à bas les principes structurants de l’économie capitaliste (propriété privée, marché, exploitation, surproduction, surconsommation, etc.) et de son organisation internationale fondée sur des échanges économiques et écologiques inégaux.
>
> <cite>*Préface de « À côté de nous le déluge »*, Arnaud Theurillat-Clouturier</cite>

Ce livre ne va pas arranger mon mal de dos, et pourtant il est difficile de faire l’autruche alors que les coïncidences sont de plus en plus visibles :

> On October 22nd, the day of the Bolivian election, Tesla’s stock price skyrocketed. Coincidence?
>
> Half of the planet’s lithium is in Bolivia. Lithium is necessary for high-tech batteries. With Evo gone, companies like Tesla will be able to strip mine Bolivia for dirt-cheap.
>
> <cite>*[Samuel D. Finkelstein II sur Twitter](https://twitter.com/CANCEL_SAM/status/1194065889072730123)*</cite>

---

Citation de la semaine :

> Nous sommes entourés par l’océan. Il n’y a nulle part où se cacher.
> 
> <cite>*[Canada climate change: Quebec’s islands are crumbling](https://www.washingtonpost.com/graphics/2019/world/climate-environment/canada-quebec-islands-climate-change/)* ([cache](/david/cache/000c16d784ca75d3bc0a86c8c5955e2b/))</cite>

Ne pas oublier que nous sommes tous entourés par l’océan.

---

*Depuis que j’ai [quitté le plateau](/david/stream/2019/06/07/) et ses [montréalisiens](/david/stream/2019/04/05/), j’ai l’impression d’habiter en province. Les « amis » viennent nous voir, une fois, pour vérifier qu’ils ne pourront jamais quitter cet intra-muros élitiste. Ils s’indignent sur des murs Facebook sans voir ceux qu’ils ont in·consciemment érigés autour d’eux.*
