title: Ecocentric

*Une semaine en dent de scie avec pas mal de stress. Mais aussi d’appels d’air ! Tout en étant le sujet de mes propres contradictions. Ma vie, mon désenchantement.*

---

Truc chouettes :

* Finir de rédiger un long billet qui me tient à cœur.
* Recoder ce qui génère ces pages en Python moderne.
* Réussir en partie à décrocher du boulot lorsque je n’étais pas à l’aise avec la situation.
* Repartir sur une initiative qui me tient à cœur.

---

> It could be all that, but it probably isn’t. It’s probably me. I am 37 now. The world is smaller, more tired, more fragile, more horribly complex and full of troubles. Or, rather: the world is the same as it ever was, but I am more aware of it and of the reality of my place within it. I have grown up, and there is nothing to be done about it. The worst part of it is that I can’t seem to look without thinking anymore. And now I know far more about what we are doing. We: the people. I know what we are doing, all over the world, to everything, all of the time. I know why the magic is dying. It’s me. It’s us.
> 
> […]
> 
> Now I declared, to myself if no one else, that I was ‘ecocentric’ too. This was not the same as being egocentric, though some disagreed, and though it sounded a bit too much like ‘eccentric’ this was also a distraction. I was ecocentric because I did not believe – had never believed, I didn’t think – that humans were the centre of the world, that the Earth was their playground, that they had the right to do what they liked or even that what they did was that important.
> 
> […]
> 
> I am leaving on a pilgrimage to find what I left behind in the jungles and by the cold campfires and in the parts of my head and my heart that I have been skirting around because I have been busy fragmenting the world in order to save it; busy believing it is mine to save.
> 
> <cite>*[Confessions of a recovering environmentalist](http://paulkingsnorth.net/2010/04/30/confessions-of-a-recovering-environmentalist/)* ([cache](/david/cache/7934f3d41b6b0d12d17deb476e1e41c6/))</cite>

Parfois j’aimerais me sentir trop vieux pour penser être capable de changer des choses. Plus que quelques années j’espère.

> It turns out that very few people give a fuck about anything outside of their own heads, let alone what you are doing. Anxiety is often caused by our perceptions of what other’s think about us, or will think if the worst happens, whatever that may be.
>
> When we obsess over that perception and worry ourselves into panic, it’s a form of narcissism. Your narrative becomes 100% about you.
>
> <cite>*[Radical Acceptance](https://www.cjchilvers.com/blog/radical-acceptance)* ([cache](/david/cache/ab774857ba59cf8eb7f9b6c28be10df8/))</cite>

J’aimerais pouvoir accepter cela dès maintenant. Tant qu’il y a de la frustration il y a de l’espoir.

---

> “At the start of the 21st century, one of the questions that excited me most about access to the Internet was the possibility of producing infinite copies of books and sharing knowledge. That idea of an Internet that was going to be a tool for integration and access to knowledge has shattered into smithereens. It was a booby trap. We are working as the unpaid slaves of the new digital world. I feel that it’s like when the Spanish colonisers reached Latin America. We believed the story of ‘a new world’. And we were in a box, controlled by the most powerful country in the world. We should have regulated a long time before. And we should have said: ‘I will share my photo, but how are you benefitting and how am I?’ Because what we are doing today is work for free; with our time, creativity and energy we are paying these empires. We are giving them everything”.
> 
> And she rounds off her speech by ensuring that not only are our lands at their mercy, like in the past, but the most private, most vulnerable part of each of us. “We are totally predictable and controllable. And that means easily manipulated. This really worries me”.
>
> <cite>*[Renata Ávila: “The Internet of creation disappeared. Now we have the Internet of surveillance and control”](http://lab.cccb.org/en/renata-avila-the-internet-of-creation-disappeared-now-we-have-the-internet-of-surveillance-and-control/)* ([cache](/david/cache/51ff12628638505a680f04d3dd6abe02/))</cite>

Où il est question de colonialisme numérique, de surveillance généralisée et d’alternatives à proposer en tant qu’européens.

Peut-être qu’il faudrait que j’ouvre un compte sur Facebook histoire d’être suffisamment manipulé pour oublier tout ça. Et le reste.

*Génie.*

---

> Notre cerveau est un organe formidable, malheureusement il est loin d’être parfait et les études sur son fonctionnement (sciences cognitives) le démontrent à foison. Confronté à des problèmes, il a mis en place des stratégies pour les résoudre, notamment des raccourcis de pensée qui sont spontanés et inconscients. Souvent très utiles, ces raccourcis peuvent parfois nous faire mal interpréter les choses. Ils sont également des leviers privilégiés pour ceux qui voudraient orienter notre interprétation.
> 
> En résumé :
> 
> 1. Le trop-plein d’information est nocif, donc on filtre en masse.
> 2. Ça ne va pas en s’arrangeant, alors on ne s’encombre que du strict nécessaire.
> 3. Il faut agir vite pour ne pas rater son tour, alors nous sautons directement aux conclusions.
> 4. Le manque d’information rend confus, donc on remplit les trous.
> 
> Mais les solutions que nous avons trouvées pour régler les problèmes peuvent nous jouer des tours :
> 
> 1. Nous ne voyons pas tout. Et certaines des informations que nous écartons/filtrons sont en fait utiles et importantes.
> 2. Notre mémoire renforce les erreurs. Une partie des choses dont nous nous rappelons le plus tard rendent les systèmes cités ci-dessus encore plus biaisés et plus dommageables pour nos processus de pensée.
> 3. Les décisions rapides peuvent être complètement nulles. Certaines des conclusions auxquelles nous sautons sont injustes, égoïstes et contre-productives.
> 4. Notre quête de sens peut générer des illusions. Nous imaginons parfois des détails qui ont été placés là par nos suppositions et construisons des intentions et des histoires qui n’existent pas vraiment.
> 
> <cite>*[Codex des biais cognitifs, 2016](https://www.penser-critique.be/wp-content/uploads/2018/02/codex-biais-cognitifs.pdf) ([cache](/static/david/stream/codex-biais-cognitifs.pdf), PDF, 855 Ko)*</cite>

Il est difficile d’avoir conscience d’être la solution à son propre mal-être. Sans pour autant réussir à y faire grand chose…

*Maudit cerveau.*

---

> Je crois qu'il n'y a pas de problème *d'addiction* au Like mais que nous avons un problème de *diction* qui naît de l'absence de *frictions*. Qu'il nous faut parvenir à "dire", à rendre explicite et public ce qui nous émeut, ce qui nous révolte, ce qui nous attendrit, ce qui nous blesse, ce qui nous choque, ce qui nous intéresse, ce qui nous informe, et plus que tout ce qui nous lie. Et que cette "*diction*" est une *friction* ; que le prix à payer pour cette *diction* est celui d'une *friction* ; que cette *diction* a un coût et ce que coût n'est ni nul ni entièrement substituable ou déléguable à des entreprises
> 
> <cite>*[La fin du like ?](https://www.affordance.info/mon_weblog/2019/11/la-fin-du-like-.html)* ([cache](/david/cache/20f0ff21c9c7cf9cf8cc1cf76f6c42f0/))</cite>

J’en suis arrivé à la même conclusion et j’essaye de dés-émojis-er mes écrits ici et là. C’est difficile tellement il est aisé de cliquer sur une réaction proposée. Un émoji vaut mille mots et c’est justement  ce qui prête à confusion, l’interprétation des émotions étant très complexe et culturelle.

Sans compter [leur biais et leur instabilité](/david/stream/2018/11/22/).

🤷‍♂️

---

Citation de la semaine :

> Vous prévoyez écouter des séries en rafale pendant les Fêtes ? Saviez‑vous que regarder neuf heures d’épisodes correspond à une consommation de 1 kWh au coût d’environ 7 ¢ ? En effet, vous bénéficiez des plus bas tarifs résidentiels de l’Amérique du Nord. Bon visionnement !
> 
> <cite>Dans l’infolettre d’Hydro-Québec</cite>

Netflix, Disney+, AppleTV++, toujours plus d’abrutissement.

*Je suis sans voix.*

---

Manifestement je suis en manque de forêt.
