title: Publier

*Sur le web, on peut distinguer public et lier. Transmettre une URL publique sans pour autant la lier. Publier un flux sans qu’il soit définitif. Je joue beaucoup avec cela ces derniers temps.*

Trucs importants cette semaine : publier des journaux, beaucoup de journaux. Autant d’un point de vue personnel que professionnel. Un truc [pour les grands](http://ut7.fr/blog/2014/11/06/un-outils-pour-les-grands.html) ([cache](/david/cache/b2c2bf876afb7f7d3e4fd68a672a763b/)). [Yannick](https://elsif.fr/) et [Ronan](https://ronan.amicel.net/) m’ont beaucoup inspiré dans cette pratique, autant dans le recul quotidien qu’elle procure que dans l’histoire qu’elle raconte au fil du temps.

Au passage, j’ai enfin terminé d’extraire les journaux privés de cet espace afin de pouvoir pousser le code et le contenu à un endroit que je peux pérenniser. Lorsqu’une dépendance [de longue date](/david/biologeek/archives/20081026-bitbucket-pour-gerer-ses-depots-mercurial/) permet de reprendre le contrôle [suite à une exclusion](/david/stream/2019/08/27/).

---

> Valoriser le brouillon – la recherche en train de se faire – mêlé aux publications des circuits conventionnels comme les revues et les monographies. Les carnets font partie, pour certain·e·s, d’une même démarche d’écriture que les articles ou les communications, valorisons ces espaces de publication !
> 
> <cite>*[Publier les carnets, éloge du brouillon](https://www.quaternum.net/2019/12/05/publier-les-carnets-eloge-du-brouillon/)* ([cache](/david/cache/cfe4b390cb6f1605019866159855f868/))</cite>

Coïncidence marrante, c’est ce que j’ai essayé de faire pour la [publication de la semaine dernière](/david/stream/2019/12/03/). Vous n’avez peut-être pas lu la fin si votre agrégateur ne vous averti·e pas des mises à jour des contenus eux-mêmes. Et c’est là où la publication du brouillon est difficile, il faut adapter/recréer l’ensemble des outils qui ont été développés pour une publication à un instant donné.

À quel moment prévenir le lecteur ou la lectrice qu’une publication a été amendée ? De quelle manière ? Ce ne sont pas des questions techniques mais de design.

*Si tant est que les deux puissent être séparés.*

---

> Je suis de plus en plus attiré par les petits incréments indiscernables de notre quotidien, mais qui nous entraîne inconsciemment vers la réalisation d'un chemin. Personne n'a voulu la patine, mais elle est tout de même le résultat d'habitudes et de fréquences. Elle est l'histoire d'une invisibilité, de frictions, contacts, mouvements qui lui donnent naissance.
> 
> <cite>*[Carnets Web de La Grange](http://www.la-grange.net/2019/01/04/patine)* ([cache](/david/cache/45d6fff68f5149e4542c35edaae22d25/))</cite>

La Grange se réveille doucement, en ayant laissé le temps à la patine de s’installer, loin des lecteurs et lectrices. C’est une chose qui m’a souvent tenté (notamment dans mes pires cauchemars lorsque j’imagine monétiser cet endroit sur sa fraîcheur), tout en sachant que la publication est pour moi une libération qui peut difficilement attendre. Il est rare que je passe par un brouillon ou que je ne rédige pas en un seul jet, publié dans la foulée. J’ai déjà du mal à attendre le lendemain pour une publication comme celle-ci.

J’aurais certainement des choses à apprendre d’une telle pratique. Sur mon rapport au partage et à l’importance de mon image.

*Casser le miroir pour mieux se réparer.*

---

> Many—usually cis, white, heterosexual—people in the tech industry believe that this “privacy tradeoff” is worthwhile. While they have a financial incentive in the continuation of this model, and are not necessarily the worst harmed when their privacy is weakened, their privilege has made them short-sighted.
> 
> <cite>*[It’s Time to Get Personal](https://24ways.org/2019/its-time-to-get-personal/)* ([cache](/david/cache/94862aae8361e7a89530dca75e991c35/))</cite>

J’apprécie beaucoup le travail de Laura Kalbag. Je continue de travailler ma compréhension des privilèges et de ce que ça peut signifier pour mon entourage. Publier sur son espace est élitiste et publier sur une plateforme soulève d’autres problèmes. Deux formes de dominations, l’une par la technique, l’autre par la pression sociale/culturelle. Une piste est de proposer des [outils conviviaux](https://fr.wikipedia.org/wiki/Outil_convivial) — et c’est ce que s’attèlent à faire [Laura](https://laurakalbag.com/) et [Aral](https://ar.al/). J’aimerais poursuivre une piste parallèle.

*J’apprécie beaucoup leur travail (bis).*

---

> Guess what? It's not about reaching as many people as possible with your content. If you can do that, great, remember me when you're famous. But chances are that by far the biggest beneficiary of you trying to help past you is future you. If others benefit, that's icing.
> 
> <cite>*[Learn In Public](https://www.swyx.io/writing/learn-in-public/)* ([cache](/david/cache/079e037d172796798451cbba9da82cb9/))</cite>

Parfois, en relisant un vieux billet, j’ai le sourire comme celui que l’on peut avoir lorsqu’on retrouve une photographie. Avec une peu de nostalgie mais aussi d’accomplissement suite au chemin parcouru depuis. En se sentant un peu coupable d’avoir été bien différent, d’avoir osé immortaliser des états et les publier. En ayant conscience que l’acte de publication rend caduque ces mots, ces images, ces pensées. Qui continuent leurs chemins dans ma tête… et parfois dans les vôtres.

*Ce web-log n’est finalement qu’un très long change-log.*

---

> I know the anxiety of sharing something with the world. I know there is a pressure to match the quality we see elsewhere on the web. But maybe we should stop trying to live up to somebody else’s standards and focus on just getting stuff out there instead. Maybe our “imperfect” things are already helpful to someone. Maybe this shouldn’t be so hard.
>
> <cite>*[Good Enough](https://mxb.dev/blog/good-enough/)* ([cache](/david/cache/4b2b67d433ac6e25067ac892c40f3cd1/))</cite>

Il y a le karaoké des plateformes, des lieux suffisamment bruyants pour que la médiocrité ne semble pas visible. Il y a les cours de chant qui doivent se faire en des lieux prestigieux, des noms de domaines mélodieux. Et puis, il y a chanter sous la douche ou siffloter sur son vélo, publier chez soi ce qui semble sonner vrai. Transmettre son humeur aux autres, son tempo du moment, ses dissonances aussi, ça soulage et c’est déjà pas mal.

*fab stream2019.publish*