title: Origines

*Essayer de comprendre le passé pour envisager un meilleur avenir. Le défi de chaque être pensant. Pansant ? Passant.*

---

Cette semaine, le truc cool c’est d’avoir participé à [pyrates](https://github.com/pyrates/). Revenir à la base : des petits outils qui fonctionnent. Réduire les dépendances et essayer de comprendre ce qu’il se passe sous le capot.

Aussi, j’ai rencontré des gens biens.

Enfin, j’ai fait un peu d’archéologie dans mes sauvegardes, c’est toujours intéressant de voir ce que l’on a pu garder, ce qui a été à la source de notre travail actuel, ce qui nous fait aujourd’hui sourire.

---

> La notion de « chaînon manquant » est apparue au XIXe siècle. Elle a été utilisée pour qualifier l’absence de fossiles susceptibles d’expliquer le passage d’une forme à l’autre, par exemple entre « le singe » et l’Homme. Le pithécanthrope d’Eugène Dubois, devenu *Homo erectus*, aurait pu faire office de chaînon manquant, comme son nom l’indiquait (singe-homme), mais il était trop différent de ce que les préhistoriens imaginaient à l’époque.
>
> Aujourd’hui, cette notion est devenue totalement obsolète. D’une part, l’évolution n’est plus comparée à une chaîne dont les espèces seraient les maillons, mais plutôt à un arbre portant de multiples ramifications. D’autre part, si l’on ne considère qu’une seule lignée (un rameau isolé de ce buisson), on sait qu’il manquera toujours des chaînons, des étapes du processus de transformation d’une espèce en une autre. En effet, comme la fossilisation est un phénomène rare, les formes intermédiaires n’ont certainement pas toutes été conservées, surtout si l’évolution a été très rapide (à l’échelle des temps géologiques).
> 
> <cite>*Sapiens à la plage*, Jean-Baptiste de Panafieu</cite>

Je trouve fascinante cette notion de « buisson des australopithèques » pour reprendre les termes de l’auteur. On ne sait pas vraiment d’où on vient, ni pourquoi des cousins ont disparu. Est-ce qu’une espèce peut avoir conscience de sa propre extinction ? Est-ce que ces cousins ont été dans l’acceptation ou dans la lutte ?

*On ne saura probablement jamais.*

---

> Whereas chimpanzees spend 5 hours a day chewing raw food, a single hour suffices for people eating cooked food. The advent of cooking enabled humans to eat more kinds of food, to devote less time to eating, and to make do with smaller teeth and shorter intestines. Some scholars believe there is a direct link between the advent of cooking, the shortening of the human intestinal track, and the growth of the human brain. Since long intestines and large brains are both massive energy consumers, it’s hard to have both. By shortening the intestines and decreasing their energy consumption, cooking inadvertently opened the way to the jumbo brains.
> 
> <cite>*[If Sapiens were a blog post](https://neilkakkar.com/sapiens.html)* ([cache](/david/cache/bc7c6d25f181495551b1635db6a67387/))</cite>

Est-ce qu’en passant à un régime hyper-contrôlé on arrive à laisser encore davantage d’énergie à notre cerveau ? Quid de [manger le même repas chaque jour](https://www.theatlantic.com/family/archive/2019/03/eating-the-same-thing-lunch-meal/584347/) ([cache](/david/cache/83eb6629fc067dec5ad53c8d391362e0/)) ?

Il reste tellement de choses à explorer. Je me demande comment est-ce que l’on peut avoir envie d’aller sur d’autres planètes alors qu’il y a un territoire inconnu en chacun de nous.

La clé de la coopération est peut-être dans notre assiette :

> Pour les australopithèques confrontés au milieu ouvert, peut-être plus dangereux encore que la forêt, la vie en communauté offrait une garantie de plus grande sécurité. Un cerveau plus gros peut alors présenter un avantage, en permettant une coopération plus poussée entre les membres du groupe.
>
> Mais la sécurité a un coût ! Ce cerveau surdéveloppé demande une nourriture plus riche, donc d’origine animale, qui est généralement plus digeste. Son assimilation demandera moins d’efforts à l’intestin qui consommera moins d’énergie, une économie dont le cerveau pourra tirer profit. Et si ce dernier est plus efficace, il sera capable de trouver plus de sources de nourriture ou de fabriquer les outils aidant à s’en procurer. C’est le cercle vertueux de l’encéphalisation ! Deuxième cercle vertueux : si un gros cerveau facilite les relations sociales, celles-ci vont en retour permettre une meilleure exploitation du milieu, par exemple par la mise en commun des nouvelles ressources.
> 
> <cite>*Sapiens à la plage*, Jean-Baptiste de Panafieu</cite>

---

> Why didn’t humans abandon farming when the plan backfired? Partly because it took generations for the small changes to accumulate and transform society and, by then, nobody remembered that they had ever lived differently. And partly because population growth burned humanity’s boats. If the adoption of ploughing increased a village’s population from a hundred to 110, which ten people would have volunteered to starve so that the others could go back to the good old times? There was no going back. The trap snapped shut.
> 
> <cite>*[If Sapiens were a blog post](https://neilkakkar.com/sapiens.html)* ([cache](/david/cache/bc7c6d25f181495551b1635db6a67387/))</cite>

Nous sommes probablement encore aujourd’hui prisonniers de ce cycle, qui a pu s’accélérer avec les énergies non-renouvelables. Ce qui a permis son emballement va probablement permettre d’en sortir, dans la douleur, comme une seconde naissance ? Le recul des survivants sera-t-il suffisant pour ne pas retomber dans le même cercle non vertueux ?

---

> Ce que les médias occidentaux appellent « Arabes », ce sont le plus souvent les anciens nomades, alors qu’« Africains » désigne les tribus sédentaires. La présence musulmane dans la région remonte au VIIIe siècle, c’est-à-dire aux premières décennies de l’expansion de l’islam. L’idée que le conflit du Darfour résulterait de l’intrusion exogène d’Arabes musulmans dans une région jusque-là intacte au plan ethnico-religieux est donc fausse.
> 
> Il n’est bien entendu pas question de soutenir que la dimension « ethnique » du conflit est une pure invention des médias. Au Darfour, les ethnies existent bel et bien, et ce pour une raison simple : elles ont été créées par les colons britanniques. Un sultanat existe au Darfour depuis le milieu du XVIIe siècle. Les Britanniques prennent possession de la région à la fin du XIXe siècle et au début du XXe siècle, la période coloniale au Soudan durant de 1916 à 1956. En arrivant, les Britanniques instaurent un système de droits de propriété du sol, qui attribue des portions de terre à certaines ethnies et non à d’autres. Ce système permet, d’une part, de contrôler la population locale — les tribus du Darfour s’étaient opposées à la conquête britannique avec détermination. Il permet d’autre part d’en tirer un profit économique, par l’entremise de l’impôt notamment. Une première cristallisation des « ethnies » se fait sur la base de la propriété foncière (une base de classe, donc), qui opposera désormais les nomades aux sédentaires, ceux qui se sont vu attribuer une terre et les autres, sous l’impulsion du colonialisme anglais. Le conflit actuel est une lointaine conséquence de ce système de propriété. De la part des impérialistes, cette façon de procéder est courante à l’époque. C’est que ce que Mahmood Mamdani appelle la stratégie de *re-define and rule*, « re-catégoriser et dominer ». L’opposition entre Hutus et Tutsis au Rwanda a une généalogie comparable.
>
> <cite>*[La nature est un champ de bataille](https://www.editions-zones.fr/lyber?la-nature-est-un-champ-de-bataille) ([cache](/david/cache/2020/a72c83494fc6636cde5b73bd2b064958/))*, Razmig Keucheyan</cite>

Voilà une chose que l’on a oublié de m’enseigner en cours d’histoire. C’est fâcheux.

---

> The state and the market approached people with an offer that could not be refused. ‘Become individuals,’ they said. ‘Marry whomever you desire, without asking permission from your parents. Take up whatever job suits you, even if community elders frown. Live wherever you wish, even if you cannot make it every week to the family dinner. You are no longer dependent on your family or your community. We, the state and the market, will take care of you instead. We will provide food, shelter, education, health, welfare and employment. We will provide pensions, insurance and protection.’
> 
> <cite>*[If Sapiens were a blog post](https://neilkakkar.com/sapiens.html)* ([cache](/david/cache/bc7c6d25f181495551b1635db6a67387/))</cite>

Je n’avais jamais envisagé ce changement de culture sous cet angle. Encourager l’individualité pour bénéficier de sa précarité. Voilà qui ne va pas améliorer ma misanthropie.

---

J’ai pris une résolution avant l’heure suite à deux réunions qui m’ont placé dans cette situation :

> Lorsque j’estime être le plus privilégié dans un groupe, je me mets en mode écoute uniquement.

En conservant mon énergie pour transmettre ces retours d’expériences à mes semblables.

*L’allié est un messager.*
