title: Outils

*Pas mal de trucs perso cette semaine, c’est pas pire d’avoir du temps hors boulot aussi. Ça me laisse le temps de coder un peu. Oh wait.*

Et la première chose c’est d’avoir enfin rendu publiques les [lignes de code](https://git.larlet.fr/davidbgk) qui construisent ce site. Et en fait ça n’est pas tant de l’acte de publication mais celui de l’avoir recodé en Python 3 et avec des [outils](https://github.com/pyrates/) que j’affectionne. Et aussi découpé car je ne souhaitais pas que tout devienne accessible. Et aussi migrer des journaux privés. Et aussi revoir le déploiement pour recoller tous les morceaux.

*Bref, c’était en chantier depuis un moment et ça fait du bien quand ça sort !*

---

> I frequently wonder if the people who love Lisp or Smalltalk fall into that same broad category: that they don’t “love Lisp” so much as they love *their* Lisp, the Howl’s Moving Memory Palaces they’ve built for themselves, tailored to the precise cut of their own idiosyncracies. That if you really dig in and ask them you’ll find that *other people’s* Lisp, obviously, sucks. 
>
> <cite>*[Poor Craft](http://exple.tive.org/blarg/2019/12/17/poor-craft/)* ([cache](/david/cache/613d27d467c47a4dc1e697a027219434/))</cite>

Merci Karl pour ce petit lien qui pique au niveau du tempo :-). Je plaide à moitié coupable, je trouve qu’une certaine émulation est saine et on a tous des motivations différentes qui aboutissent à des outils différents. Et en même temps je vois le gaspillage, l’égoïsme et le manque d’accessibilité technique de ces outils.

*Lorsque je mange mes céréales avec une cuillère que j’ai sculptée, elles ont un autre goût.*

---

>  So my proposal is seven unconventional guidelines in how we handle websites designed to be informative, to make them easy to maintain and preserve. The guiding intention is that the maintainer will try to keep the website up for at least 10 years, maybe even 20 or 30 years. These are not controversial views necessarily, but are aspirations that are not mainstream—a manifesto for a long-lasting website. 
>  
> <cite>*[A Manifesto for Preserving Content on the Web](https://jeffhuang.com/designed_to_last/)* ([cache](/david/cache/4e7f48be44adc1ef9e8d4539015fd6ee/))</cite>

Après 15 ans à essayer de conserver mes publications dans le temps, je ne peux qu’acquiescer. Réduire les dépendances au maximum et comprendre chaque étape de la chaîne depuis vos doigts jusqu’à la publication du HTML.

Je me demande encore si je vais pousser ces sources sur Microsoft Github™ le temps qu’elles aillent [se les geler en Arctique](https://archiveprogram.github.com/).

*Pari facile : que le lien ci-dessus soit un jour une 404. #ironie*

---

> Here I aim to show how these different disciplinary approaches converge across four scales of maintenance. In “Rust,” we’ll look at the repair of large urban infrastructures, from transportation systems to social networks. In “Dust,” we consider architectural maintenance alongside housework and other forms of caretaking in the domestic and interior realms. In “Cracks,” we study the repair of objects, from television sets to subway signs to cell phones. Finally, in “Corruption,” we turn to the curators who clean and maintain data — a resource that fuels the operation of our digital objects, our networked architectures, and our intelligent cities.
> 
> […]
> 
> Across the many scales and dimensions of this problem, we are never far from three enduring truths: (1) Maintainers require care; (2) caregiving requires maintenance; and (3) the distinctions between these practices are shaped by race, gender, class, and other political, economic, and cultural forces. Who gets to organize the maintenance of infrastructure, and who then executes the work? Who gets cared for at home, and who does that tending and mending? Agreements about what things deserve repair — and what “good repair” entails — are always contingent and contextual. If we wish to better support the critical work performed by the world’s maintainers, we must recognize that maintenance encompasses a world of standards, tools, practices, and wisdom. Sometimes it deploys machine learning; other times, a mop.
> 
> <cite>*[Maintenance and Care](https://placesjournal.org/article/maintenance-and-care/)* ([cache](/david/cache/a8c72cf5a081dac8fcaa67404eda3026/))</cite>

J’ai ce lien depuis un moment dans mon navigateur et il me fournit des clés de lecture lorsqu’on parle de maintenance, à l’intersection entre les privilèges et la technique. Conserver ses privilèges c’est faire aspirer — de moins privilégiés — à une technique dont ils n’auront pas/plus la maîtrise. Se libérer de cette dépendance devient alors un obstacle infranchissable lorsqu’elle est associée à une certaine idée du confort.

Au passage, je trouve le terme de *sustainer* assez équivoque ([PDF, 400Ko](https://sustainoss.org/wp-content/uploads/2019/12/SustainOSS-west-2017-report.pdf) ([cache](/static/david/stream/SustainOSS-west-2017-report.pdf))).

> This world-wide crisis of world-wide institutions can lead to a new consciousness about the nature of tools and to majority action for their control. If tools are not controlled politically, they will be managed in a belated technocratic response to disaster. Freedom and dignity will continue to dissolve into an unprecedented enslavement of man to his tools.
> 
> <cite>*Tools for Conviviality*, Ivan Illich (1973)</cite>

Voir aussi : [calmtech](https://calmtech.com/) ([cache](/david/cache/ab325197a8e81f929de1b10477cce340/)).

---

> Ainsi, celui qui occupe une position défavorable à l’intérieur de la structure inégalitaire s’efforcera d’échapper à celle-ci et d’en trouver une autre plus favorable en adoptant l’habitus d’un « gagnant ». À moins que la situation défavorable ne semble si inébranlable et si désespérée, que la position sociale des mieux lotis ne paraisse si inattaignable et si inaccessible, que s’installe un habitus fataliste et que l’action ne vise plus qu’à assurer le strict nécessaire à la survie.
> 
> Par ailleurs, la personne qui occupe dans la société une position plus avantageuse veille à maintenir son état relativement privilégié et s’efforce donc, par réflexe d’habitus, de se démarquer des moins bien nantis tout en jetant un coup d’œil vers le haut ou vers les endroits qui, selon la perception sociale généralement admise, promettent une vie (encore) meilleure ou même la meilleure qui soit.
> 
> Dans les zones privilégiées de la structure sociale, du point de vue tant objectif que subjectif, se développe alors chez les *happy few* un habitus de l’évidence ou bien de la supériorité, éventuellement aussi un habitus de l’exclusion et du mépris, lequel s’exprimera dans des comportements quotidiens à l’avenant, allant de l’attitude confiante et naturelle devant sa propre situation de privilégié jusqu’à l’ostentation arrogante et la justification aggressive.
>
> <cite>*À côté de nous le déluge*, Stephan Lessenich</cite>

Il faudrait que je prenne le temps de lire Bourdieu un de ces jours [quand même](/david/stream/2018/09/23/). Je disais la même chose [il y a cinq ans](/david/stream/2014/#tw-507621612447727617). Parfois [la spirale](/david/stream/2018/04/07/) tourne en rond.

Tiens un des effets de bord des sources publiques, c’est qu’il devrait vous être plus facile de faire des recherches dedans. Ou peut-être que je suis le seul à en avoir besoin afin de réinternaliser un peu de mémoire des fois.

Autre externalité potentiellement positive, j’ai bien envie de jouer avec ma façon de [publier](/david/stream/2019/12/10/) des [choses](/david/stream/2018/10/30/) l’année prochaine.

*Un autre rythme ? Un autre format d’exploration des contenus ?*
