title: Intemporels

*Une liste d’articles qui ne prennent pas trop de rides. J’aime beaucoup ce qu’a fait [Anselm Hannemann](https://wdrl.info/evergreen/) alors voici un espace que je vais mettre à jour au gré de mes lectures. Ça me permettra aussi de lier des références mises en cache dans le futur. L’ordre n’est pas significatif.*

Bonne lecture !

---

<a name="humans" href="#humans">⚓︎</a>

> User experience design has led us to use a certain vocabulary: Instead of seeing human beings with goals and attitudes, we see users. We use words like subscribers, subs, visitors, spenders, whales or even just “traffic” or “installs” to refer to them. We assign a role to them. UX design dehumanizes people.
>
> <cite>*[Humans, not Users](https://johannesippen.com/2019/humans-not-users/)* ([cache](/david/cache/85dd627b08fa417c198d95acfc8e6aa0/))</cite>

---

<a name="empathy" href="#empathy">⚓︎</a>

> In UX, empathy enables us to understand not only our users’ immediate frustrations, but also their hopes, fears, abilities, limitations, reasoning, and goals. It allows us to dig deep into our understanding of the user and create solutions that will not only solve a need, but effectively improve our users’ lives by removing unnecessary pain or friction. Instead of just designing an accessible website, practicing empathy is using a screen reader, blindfolded, in order to complete a task on your own website.
>
> <cite>*[Sympathy vs. Empathy in UX](https://www.nngroup.com/articles/sympathy-vs-empathy-ux/)* ([cache](/david/cache/eae184de757f4384212d32a1273772cd/))</cite>

---

<a name="noreply" href="#noreply">⚓︎</a>

> You want your customers to be talking to you. You want them sharing ideas and experiences with you. Instead of a no-reply, set it to your support email address. Make sure someone will see any replies that a customer sends. Sure, you’re going to get lots of auto-responders. That’s why your email app has filter and rules you can set up.
>
> <cite>*[No Reply Addresses](https://m.signalvnoise.com/no-reply-addresses/)* ([cache](/david/cache/0b96c949ec0089286a634baa9684318c/))</cite>

---

<a name="ethics" href="#ethics">⚓︎</a>

> In everyday language, the word “ethics” is used as a synonym for morals. And in everyday discussions that is just fine. Morals sounds old fashioned, conservative, unscientific. We say “ethics” even though, strictly speaking, we mean morals. When it comes to discussing the “ethics” or the morality of our industry, we need to understand our basic moral beliefs.
>
> <cite>*[“Ethics” and Ethics](https://ia.net/topics/ethics-and-ethics)* ([cache](/david/cache/c7620deb7c5227e16a8e5c5207f8e28b/))</cite>

---

<a name="privacy" href="#privacy">⚓︎</a>

> This is, by the way, the dirty secret of the machine learning movement: almost everything produced by ML could have been produced, more cheaply, using a very dumb heuristic you coded up by hand, because mostly the ML is trained by feeding it examples of what humans did while following a very dumb heuristic. There's no magic here.
>
> <cite>*[Forget privacy: you’re terrible at targeting anyway](https://apenwarr.ca/log/20190201)* ([cache](/david/cache/abe583967cb53a01298d4b073cb406ad/))</cite>

---

<a name="noms" href="#noms">⚓︎</a>

> Les personnes chargées de créer des formulaires, des bases de données ou des ontologies ignorent souvent la façon dont les noms changent d'un pays à l'autre. Elles conçoivent leurs formulaires et leurs bases de données sans se rendre compte de l'effort demandé pour un utilisateur étranger. Cet article vous présentera d'abord les différents styles utilisés pour un nom de personne, puis détaillera quelques incidences possibles pour les gérer au mieux sur le Web.
>
> <cite>*[Noms de personnes à travers le monde](https://www.w3.org/International/questions/qa-personal-names)* ([cache](/david/cache/c893cbc0aedae4e797a69270c50b5c25/))</cite>

[Voir aussi](https://www.kalzumeus.com/2010/06/17/falsehoods-programmers-believe-about-names/) ([cache](/david/cache/61fb6db44e7173cd9318753c955f7dda/)).

---

<a name="opensource" href="#opensource">⚓︎</a>

> Communities prior to the advent of coinage didn’t seek to settle their trades on the spot, at least not within those communities. They relied on much more egalitarian long-running concepts of reciprocity. Forms much closer to the communist slogans of “from each according to his ability, to each according to his needs” than the quid pro quo paradigm we all take for granted in today’s market-based societies.
>
> <cite>*[Open source beyond the market](https://m.signalvnoise.com/open-source-beyond-the-market/)* ([cache](/david/cache/b97a637aaaabbf5b82b172fe781dc7f6/))</cite>

---

<a name="search" href="#search">⚓︎</a>

> Search is a deceptively complex field, where competence is hard-won through training, practice, and experience. The list stands at a total of 105 falsehoods. I couldn’t mash up the ole 99-problems meme with this to cull 6 unworthy items, because they are all worthy.
>
> <cite>*[Falsehoods Programmers Believe About Search](https://opensourceconnections.com/blog/2019/05/29/falsehoods-programmers-believe-about-search/)* ([cache](/david/cache/626468d153ec2e83731dbbd7133af224/))</cite>

---

<a name="assets" href="#assets">⚓︎</a>

> There really is very little reason to leave your static assets on anyone else’s infrastructure. The perceived benefits are often a myth, and even if they weren’t, the trade-offs simply aren’t worth it. Loading assets from multiple origins is demonstrably slower. Take ten minutes over the next few days to audit your projects, and fetch any off-site static assets under your own control.
>
> <cite>*[Self-Host Your Static Assets](https://csswizardry.com/2019/05/self-host-your-static-assets/)* ([cache](/david/cache/6f8793385f7b1ea2511bf614b5287397/))</cite>

---

<a name="projector" href="#projector">⚓︎</a>

> The Projector Test is my favorite “gut check” manual UI test, and I encourage you to use it early, often, and especially when ironing out final visual specs. It doesn’t substitute for testing out a functional version of your site in a variety of environments — browsers, form factors, screen resolutions, operating systems, screen orientations, screen readers, etc. — but it’s a good place to start. Embrace your conference room’s projector and challenge yourself to make your designs look stellar on even the fuzziest, most washed-out of screens.
>
> <cite>*[Projectors don’t lie.](https://medium.com/salesforce-ux/projectors-dont-lie-b85ef628b04)* ([cache](/david/cache/ffe10a872d4fd33d7fc24b4cb38528db/))</cite>

---

<a name="performance" href="#performance">⚓︎</a>

> You know what's better than perceived performance? Actual performance. Avoid techniques that merely provide a mirage of speed.
>
> Instead, declutter and optimise the foundations of your design system which will result in less weight, less complexity, less distraction, less hassle and ultimately, less bull shit.
>
> <cite>*[Designing for actual performance](https://adamsilver.io/articles/designing-for-actual-performance/)* ([cache](/david/cache/4f3420365156f407064711f8cc0f45d6/))</cite>

---

<a name="plaintext" href="#plaintext">⚓︎</a>

> Ultimately, in email, less is more.
>
> This can be a tough pill for marketers to swallow (myself included) because we're naturally driven to be creative. But data repeatedly shows plain-text email wins, so it's up to us to decide whether or not we want to make the switch. 
>
> <cite>*[Plain Text vs. HTML Emails: Which Is Better?](https://blog.hubspot.com/marketing/plain-text-vs-html-emails-data)* ([cache](/david/cache/f46d27e60634cd0c0769fd59c28250d6/))</cite>

---

<a name="feature-flags" href="#feature-flags">⚓︎</a>

> You want to avoid branching for this work if at all possible, based on previous painful experiences of merging long-lived branches in the past. Instead, you decide that the entire team will continue to work on trunk, but the developers working on the Spline Reticulation improvements will use a Feature Toggle to prevent their work from impacting the rest of the team or destabilizing the codebase.
>
> <cite>*[Feature Toggles (aka Feature Flags)](https://martinfowler.com/articles/feature-toggles.html)* ([cache](/david/cache/7c569b2880bd3ed844e039a322b9731d/))</cite>

---

<a name="timezones" href="#timezones">⚓︎</a>

> Always measure and store time in UTC. If you need to record where the time was taken, store that separately. Do not store the local time + timezone information!
>
> <cite>*[“Eppur si muove!” – Dealing with Timezones in Python](http://lucumr.pocoo.org/2011/7/15/eppur-si-muove/)* ([cache](/david/cache/3caf29e374bca01d6b9cab9a618ee830/))</cite>

---

<a name="do-nothing" href="#do-nothing">⚓︎</a>

> This script doesn’t actually do any of the steps of the procedure. That’s why it’s called a do-nothing script. It feeds the user a step at a time and waits for them to complete each step manually.
>
> At first glance, it might not be obvious that this script provides value. Maybe it looks like all we’ve done is make the instructions harder to read. But the value of a do-nothing script is immense
> 
> <cite>*[Do-nothing scripting: the key to gradual automation](https://blog.danslimmon.com/2019/07/15/do-nothing-scripting-the-key-to-gradual-automation/)* ([cache](/david/cache/00a288de97e8a854d5fdfe03ba2bcf72/))</cite>

---

<a name="intuitive-ux" href="#intuitive-ux">⚓︎</a>

> When I started as a professional UX designer, I was shocked how many times my clients would hand me the initial wireframes (or the living, breathing, in-browser MVP) and there’d be completely obvious UX mistakes all over them. I’m not talking about things you need hours of research and A/B testing to discover. I’m talking, like, dead simple mistakes.
> 
> <cite>*[4 Rules for Intuitive UX](https://learnui.design/blog/4-rules-intuitive-ux.html)* ([cache](/david/cache/f599501674792192b83b5bbc2d7e5324/))</cite>

---

<a name="form-design" href="#form-design">⚓︎</a>

> So, if I was designing a new form, I’d want to know how to avoid the common issues. And to use my time to solve newer and perhaps more difficult problems.
>
> Seriously, who wants to spend time solving something that’s already been solved?
>
> <cite>*[Form design: from zero to hero all in one blog post](https://adamsilver.io/articles/form-design-from-zero-to-hero-all-in-one-blog-post/)* ([cache](/david/cache/ea6f3644381c108795010c0ae6aee332/))</cite>

---

<a name="passwords" href="#passwords">⚓︎</a>

> Vous voulez que votre mot de passe résiste à un voisin malveillant prêt à mettre plus de 10 € sur la table ? Prévoyez au moins 10 carac­tères.
>
> Et là, seconde magie : Si vous mettez 10 carac­tères on se moque de savoir si vous y avez mis des chiffres ou symboles. La longueur a bien plus d’im­por­tance que l’éven­tail de carac­tères utilisé.
>
> <cite>*[Développeurs, vous devriez avoir honte](https://n.survol.fr/n/developpeurs-vous-devriez-avoir-honte-regles-de-mots-de-passe)* ([cache](/david/cache/f77e84e4666177057f83bf901b4c5b68/))</cite>

---

<a name="burnt-pizza" href="#burnt-pizza">⚓︎</a>

> Say you’re trying to test whether people like pizza. If you serve them burnt pizza, you’re not getting feedback on whether they like pizza. You only know that they don’t like burnt pizza. Similarly, when you’re only relying on the MVP, the fastest and cheapest functional prototype, you risk not actually testing your product, but rather a poor or flawed version of it.
>
> <cite>*[Don’t Serve Burnt Pizza (And Other Lessons in Building Minimum Lovable Products)](https://firstround.com/review/dont-serve-burnt-pizza-and-other-lessons-in-building-minimum-lovable-products/)* ([cache](/david/cache/2ba49645e8cd27503661e03a73bbac37/))</cite>

---

<a name="advertising" href="#advertising">⚓︎</a>

> In 2018 $273bn was spent on digital ads globally. We delve into the world of clicks, banners and keywords to find out if any of it is real. What do we really know about the effectiveness of digital advertising?
> 
> <cite>*[The new dot com bubble is here: it’s called online advertising](https://thecorrespondent.com/100/the-new-dot-com-bubble-is-here-its-called-online-advertising/13228924500-22d5fd24)* ([cache](/david/cache/9ecfef782dcd4d2a31f763e7b98c4c13/))</cite>

---

*Est-ce qu’il y aurait des publications de cet espace que vous mettriez dans une telle liste ? Je fais ma propre liste en pied de page et je serais curieux de savoir si elle diffère de la vôtre :-).*
