title: Éducation manuelle
slug: education-manuelle
date: 2014-01-31
chapo: Quelle part d'inné pourrait l'amener à emprunter les chemins non balisés de sa singularité ?

> Le changement de logique ne peut se réaliser sans que l'on revoie de fond en comble l'éducation des enfants. Celle qui prévaut aujourd'hui est déterminée et inspirée par les priorités de l'idéologie marchande et financière, et l'abandon passif à une caste enseignante. On sait de plus en plus l'importance que revêtent la conception, la gestation et la façon de mettre au monde un enfant. Trêve d'hypocrisie : ce que tout le monde appelle « éducation » est une machine à fabriquer des soldats de la pseudo-économie, et non de futurs êtres humains accomplis, capables de penser, de critiquer, de créer, de maîtriser et de gérer leurs émotions, ainsi que de ce que nous appelons spiritualité ; « éduquer » peut alors se résumer à déformer pour formater et rendre conforme. Le malaise grandissant de toute jeunesse condamnée au naufrage est dès lors que le système ne peut l'intégrer ou la prendre en charge témoigne de cette aliénation. L'équation qui a prévalu, en particulier lors des Trente Glorieuses, selon laquelle faire de bonnes études donnait une qualification garante d'un salaire ne fonctionne plus dans la société de la croissance illimitée. Alors, pourquoi s'obstiner dans cette option déjà obsolète ?
>
> Dans le nouveau paradigme, il faut être en priorité attentif à l'enfant, en développant une pédagogie de l'être qui permette avant toute chose de le faire naître à lui-même, c'est-à-dire de l'aider à révéler sa personnalité unique, ses talents propres, pour répondre à la vocation que lui inspire sa présence au monde et à la société. C'est le doter d'une cohérence intérieure qui lui donnera le sentiment d'être à sa véritable place dans la diversité du monde. Pour que cette naissance à soi-même advienne réellement, il est indispensable d'abolir ce terrible climat de compétition qui donne à l'enfant l'impression que le monde est une arène, physique et psychique, produisant de l'angoisse d'échouer au détriment de l'enthousiasme d'apprendre.
>
> La prépondérance donnée à l'intellect au détriment de l'intelligence des mains, auxquelles nous devons pourtant notre évolution, est une catastrophe qui fait de nous des infirmes sans que nous en ayons conscience ; elle a créé une sorte de hiérarchie arbitraire offrant aux concepts la clé d'un processus décisionnel que l'expérience tangible ne peut valider. Le rapport concret à la nature est également indispensable, car c'est à elle que l'enfant doit la vie, toute son existence durant ; tirer parti d'un principe vital sans le connaître est une lacune fondamentale.
>
> L'éducation doit restaurer la complémentarité des aptitudes. Les établissements éducatifs devraient tous proposer de la terre à cultiver, des ateliers d'initiation manuelle, artistique… Des jardins biologiques permettraient de faire l'expérience tangible des lois intangibles du vivant : la fécondité de la terre, sa générosité à nous offrir les aliments qui nous font vivre, le mystère et la beauté des phénomènes qui régissent l'immense complexité de ce que nous appelons écologie. L'école doit être également le lieu privilégié de l'initiation à la complémentarité féminin/masculin et, bien entendu, celui d'une éducation à la sobriété peut-être décisive pour la vie entière. Car l'enfant, ignorant tout, en amont, du processus de production des biens dont il use abondamment dans la civilisation de la surabondance, ainsi que du devenir des déchets qu'il induit en aval, en est réduit à une stricte, et triste, fonction de petit consommateur gaspilleur. Il est inconscient de sa participation à l'outrance collective des nantis et des privilèges sans joie, alors que tant d'enfants vivent dans des pays où le quotidien est fait de frugalité — quand ce n'est pas de misère. Paradoxalement, j'ai souvent observé dans les yeux de ces derniers une étincelle encore ardente, comme lorsque l'espérance demeure vivante en dépit de tout. L'initiation à la modération est source de joie, car elle rend plus accessible la satisfaction, abolissant la frustration que produit le toujours-plus, entretenue en permanence par une publicité au talent pernicieux, dont tous les enfants devraient être protégés. Cette prise en otage produit des enfants blasés, désabusés, et, avec le « tout, tout de suite », c'en est fini de ce désir auquel la patience donne tant de saveur et de valeur. Dans le même ordre d'idées, on constate que l'industrie du jouet participe à l'ingérence de l'adulte dans l'imaginaire de l'enfant. Saturé d'outils ludiques prêts à la consommation, celui-ci est détourné de cette capacité naturelle commune à tous les enfants du monde de créer par eux-mêmes, et avec une fraîcheur incomparable, les objets nécessaires à leur amusement. Cette créativité, ennoblie de leur candeur, participerait très fortement à la sobriété par le fait qu'elle rend inutile la prolifération extravagante d'objets dont la fabrication est très dispendieuse en matières premières, souvent dérivées du pétrole, en énergie, en pollution, en recyclage, etc. Par ailleurs, on ne peut que déplorer le nombre de plus en plus exorbitant de jouets qui véhiculent des symboles pernicieux et pervers de la société contemporaine. Ils instillent dans des âmes innocentes les toxines de toutes les turpitudes : violence, meurtre, pornographie, etc. Il est du devoir urgent des Etats, et des parents, d'édicter des règles strictes pour protéger l'enfant, si vulnérable et manipulable, de toutes les convoitises qui portent atteinte à son intégrité. Il ne s'agit pas de traiter cette question avec un moralisme ou un manichéisme de circonstance, mais de donner à des faits objectifs des réponses objectives, qui doivent être apportées par les adultes, responsables du devenir des générations que la vie leur a confiées. Il ne suffit pas de se demander : « Quelle planète laisserons-nous à nos enfants ? » ; il faut également se poser la question : « Quels enfants laisserons-nous à notre planète ? »
>
> <cite>*Vers la sobriété heureuse*, Pierre Rabhi.</cite>

Je m'interroge beaucoup sur l'*éducation manuelle* que je pourrais partager avec mon fils sachant le peu de savoir-faire que j'ai dans ce domaine. Comment *faciliter* sa découverte d'activités que je n'ai pas moi-même pratiquées ? Dans quelle mesure est-ce que l'on peut découvrir *ensemble* de nouvelles pratiques ? Comment attiser sa *curiosité* sur un domaine qui ne m'a pas déjà attiré ? **Quelle part d'inné pourrait l'amener à emprunter les chemins non balisés de sa singularité ?**

Il y a bien des écoles [« permettant aux enfants d’apprendre à vivre ensemble »](http://www.lesamanins.com/ecole) et qui doivent inclure l'agroécologie dans leur enseignement vu le lieu mais elles sont très rares. Il y a la famille ou les amis mais on reste dans des cercles relativement fermés. Il y a le Web mais ça reste trop théorique. Il y a les stages mais il faut avoir un certain âge. Il reste les camps/colonies/centres aérés qui sont peut-être la manière la plus simple de découvrir un nouveau domaine de manière candide. En voyez-vous d'autres ?

