# Dossier

> [en] It’s a difficult concept to get across, though. Directory structure isn’t just unintuitive to students — it’s *so* intuitive to professors that they have difficulty figuring out how to explain it. “Those of us who have been around a while *know* what a file is, but I was at a bit of a loss to explain it,” lamented one educator […] Others, meanwhile, believe it’s professors who need to adjust their thinking. […] Even professors who have incorporated directory structure into their courses suspect that they may be clinging to an approach that’s soon to be obsolete. […] His advice to fellow educators: Get ready. “This is not gonna go away,” he says. “You’re not gonna go back to the way things were. ==You have to accept it.== The sooner that you accept that things change, the better.”
>
> <cite>*[Kids who grew up with search engines could change STEM education forever](https://www.theverge.com/22684730/students-file-folder-directory-structure-education-gen-z)* ([cache](/david/cache/2021/f82b9c31388b1f42ddd9d4d7849d7c86/))</cite>

Un article fascinant qui interroge sur ce qui doit être transmis et ce qui doit évoluer par l’usage quitte à adapter les outils… et les modèles mentaux des générations précédentes. Ces derniers sont probablement les moins flexibles.

Je me suis rendu compte que je classais beaucoup moins mes courriels, je suis passé d’une arborescence assez profonde à une demi-douzaine de dossiers. Je peux me le permettre car la recherche de Mail.app est très pertinente, en contrepartie cela me lie fortement à l’outil et dès que je teste une alternative je suis frustré par ce manque.

Tristement, j’ai construit mes propres barreaux. Chaque génération est-elle condamnée à tenter de les transformer en échelles ?

![Des nuages dans le ciel.](/static/david/2021/nuages.jpg "Rester léger.")

---

Réponse(s) de [David](https://eldritch.cafe/@davidbruant/107020047121002118) :

> Ma croyance, c’est que les dossiers sur ordi sont un héritage de la manière dont les systèmes d’exploitation sont organisés (par fichier et dossier)  
> Et les premières interfaces utilisateurs ont reflété naïvement l’API du système d’exploitation
>
> Et c’était mieux que rien
>
> Et clairement, une fois que l’on peut chercher via une requête textuelle qui a une compréhension correcte des dates et du langage, la notion de dossier perd complètement son intérêt
>
> Déjà, le déplacement de « dossier » vers « label » que GMail a proposé a été un premier pas en avant libérateur pour les emails
>
> Le dossier, c’est une des solutions possibles au problème « j’ai besoin de retrouver une information »  
> Et il y en a beaucoup d’autres
>
> J’imagine que le dossier émerge dans les systèmes d’exploitation, parce qu’il faut trouver *une* solution au problème de retrouver ses infos et le rangement manuel dans des dossiers, c’est 1) assez familier comme modèle mental et 2) facile à implémenter (enfin j’imagine parce que je n’ai jamais implémenter un système de fichier… en tout cas, c’est beaucoup plus facile à implémenter qu’un système qui comprend le langage)
>
> Une des difficulté à implémenter autre chose que des dossiers (ou des labels), c’est que ça amène rapidement des problèmes de performance ou de pertinence
>
> Les dossiers, il n’y a pas de problème de performance (…et pour la pertinence, on délègue entièrement la responsabilité à l’utilisateur de créer/maintenir une arborescence qui lui est pertinente)
>
> Implémenter un système de recherche pertinent, ça demande une compréhension correcte du langage du contenu  
> …mais quel langage ?  
> parce qu’une recherche s’implémente différemment selon le langage  
> Et si on travaille dans plusieurs langues ?
>
> Et l’usage de la recherche devient une partie importante de l’expérience utilisateur

Je tombe également sur : [Google introduces a new way to search that combines images and text into one query](https://techcrunch.com/2021/09/29/google-introduces-a-new-way-to-search-that-combines-images-and-text-into-one-query/) ([cache](/david/cache/2021/b65dcd34bb1ea8d8b610aaf06a0b5902/)).

#étiquette #recherche #technique
