title:      ★ La bio-informatique (bioinfo pour les intimes), définitions et applications
slug:       la-bio-informatique-bioinfo-pour-les-intimes-definitions-et-applications
date:       2004-09-30 23:37:04
type:       post
vignette:   
contextual_title1:  ★ Choisissez votre avenir
contextual_url1:    20081209-choisissez-votre-avenir
contextual_title2:  ★ RDF, l&#39;ADN de notre identité numérique ?
contextual_url2:    20080811-rdf-adn-de-notre-identite-numerique
contextual_title3:  Ontologies et biologie : l&#39;espoir du web sémantique ?
contextual_url3:    20070419-ontologies-et-biologie-l-espoir-du-web-semantique

<p>Beaucoup de personnes me demandent, mais qu'est ce que c'est en somme la bio-informatique&nbsp;? Enfin une réponse ;-)</p>


<p>Avertissement&nbsp;: l'objectif de cet article n'est pas de décrire en détail ce qu'est la bio-informatique mais juste de vous donner un aperçu de ses applications possibles, il n'est en aucun cas exhaustif. Ce billet est susceptible d'être actualisé en fonction de mes connaissances.</p>

<h2>Pourquoi la bio-informatique est-elle une discipline amenée à se développer&nbsp;?</h2>


<p>La bio-informatique se situe à l'interface de deux disciplines&nbsp;: la <strong>biologie</strong> et l'<strong>informatique</strong>. Le bio-informaticien peut donc aisément être comparé à un interprète bilingue connaissant à la fois le langage informatique et le langage biologique. Il doit pouvoir se servir de l'outil informatique afin de résoudre des problèmes d'ordre biologique faisant appel à des données... biologiques&nbsp;!</p>


<p>Actuellement, la taille de ces bases de données croît exponentiellement, notamment en raison du séquençage des génômes, il est donc nécessaire d'avoir recours à des programmes toujours plus performants pour classer/annoter/confronter ces résultats écrits par des programmeurs toujours plus ingénieux&nbsp;: les bio-informaticiens (<abbr title="Ce Qu&#039;il Fallait Démontrer">CQFD</abbr> ;-p).</p>



<h2>Quelles sont les applications actuelles de la bio-informatique&nbsp;?</h2>


<p>On peut classer ces applications en différentes catégories compte-tenu de la diversité des domaines d'action de la bio-info.</p>

<ul>
<li>L'une des premières applications est bien sûr l'<strong>analyse de séquences</strong> qui peut aller de l'identification de gènes aux comparaisons de séquences en passant par la prédiction de motifs ou l'établissement de signatures.</li>
<li>La <strong>structure des protéines</strong> nécessite l'usage de la bio-info, que ce soit pour la visualisation ou la prédiction de leur repliement.</li>
<li>Un autre aspect de la bio-info réside dans son utilisation en <strong>phylogénie</strong> de façon à comparer les espèces à l'échelle moléculaire et obtenir ainsi un classement évolutif qui soit plus fiable.</li>
<li>Des <strong>liaisons génétiques</strong> peuvent êtres établies grâce à la bio-informatique pour permettre de détecter des gènes candidats de maladies génétiques par exmple.</li>
<li>Enfin, l'utilisation de la bio-informatique en <strong>génomique fonctionnelle</strong> permet de travailler sur le transcriptome, le protéome, l'intéractome...</li>
</ul>

<h2>Les Biotechnologies, où le "rêve" rejoint la réalité</h2>


<p>Prennons par exemple les <strong>biopuces</strong>, savant mélange de silicium et d'<abbr title="Acide DésoxyriboNucléique">ADN</abbr> qui est sensé révolutionner l'informatique de demain.</p>


<p>L'idée est très simple: puisque chaque brin d'<abbr title="Acide DésoxyriboNucléique">ADN</abbr> est composé d'une suite de bases azotées reliées par complémentarité au brin complémentaire, il suffit de placer un seul de ces brins sur une puce&nbsp;: quand il reconnaîtra son complémentaire, il provoquera l'émission d'un message fluorescent, capté ensuite par l'ordinateur. C'est là toute la magie de ce concentré de technologies: transformer une réaction biologique en signal électronique.</p>


<p>Les applications sont nombreuses et variées (comme toujours en bio-informatique ;-), cela va de la réalisation de profils génétiques à moindre coût à la vérification de la nature de la viande contenue dans des raviolis en passant par la vérification d'une absence de farine animale dans l'alimentation d'une vache&nbsp;!</p>


<blockquote><p>A la fin de l'année 2003, le Pentagone a accordé un crédit de plus de 2 millions de dollars à une équipe de la Virginia Commonwealth University, qui projette, entre autres choses, de greffer des minicapteurs à la surface de la peau de soldats volontaires, avant chaque combat. Véritables thermostats de la santé du patient, ils permettront non seulement de connaître la carte d'identité génétique des combattants, mais aussi, à un moment donné, la quantité des anticorps du soldat.</p></blockquote>


<p>On n'est plus si loin de l'implantation d'une biopuce à la naissance... voire avant ?! Pas très réjouisant tout ça :-/</p>


<p>J'aurais peut-être pas du finir là dessus car là vous êtes en train de vous dire "Oh la la la bio-info ça craint, c'est la concrétisation de nos pires cauchemards !" et c'est là qu'intervient l'éthique du chercheur... mais ce sera l'objet d'un prochain billet :-)))</p>
