title:      Travailler pour Microsoft ?!
slug:       travailler-pour-microsoft
date:       2005-04-18 09:15:03
type:       post
vignette:   images/logos/microsoft_research.png
contextual_title1:  ★ Choisissez votre avenir
contextual_url1:    20081209-choisissez-votre-avenir
contextual_title2:  ★ RDF, l&#39;ADN de notre identité numérique ?
contextual_url2:    20080811-rdf-adn-de-notre-identite-numerique
contextual_title3:  ★ L&#39;artiste qui sommeille en chaque geek
contextual_url3:    20080613-artiste-qui-sommeille-en-chaque-geek

<p>Je vous l'avoue, l'idée ne m'avait même pas effleuré l'esprit avant la réception d'un mail mentionnant cette branche de l'univers Redmond qui m'était jusqu'alors inconnue. Voici donc le mail issu de la <a href="http://listes.impg.prd.fr/wws/info/bioinfo">mailing-list de bio-informatique</a> à laquelle tout bio-informaticien devrait être inscrit&nbsp;:</p>

<blockquote><p>The new interdisciplinary centre of excellence <strong>Microsoft Research - University of Trento Centre for Computational and Systems Biology</strong> has been established in the Trento region (Italy). The main objectives and activities of the centre are</p></blockquote>

<blockquote><p><strong>Overall objectives</strong></p>
<p>
1. To advance the state of knowledge of biological information processing, the aetiology of disease, and potentially new therapies through the creation of a new research centre that will bring together scientists from multiple disciplines to focus on conducting leading research into advanced computational modeling of biological systems.</p>
<p>
2. To conduct novel research into defining new computational and communication paradigms that are 'biomimetic' in nature, i.e., based on new principles learned from the research into biological information processing.</p>
<p>
3. To exploit the research. This is expected to take the form of the development of new computational tools for enabling the predictive modeling of biological systems and processes for basic and applied research. These tools will help improving health-care, environment monitoring and protection, quality of food as well as developing better therapies and treatments by the pharmaceutical industries.</p>
<p>
4. To disseminate and communicate the results of this research for the benefit of the scientific community globally, including publications, open conferences and workshops, and <ins>provide freely available, the tools developed in the course of the research for (non-commercial) science</ins>.</p>
<p>
<strong>Activities:</strong></p>
<p>
Calculi for Biology, and 'Biomimetic' computation</p>
<p>
We attack an open and challenging problem: the definition of a set of basic and general primitives for modeling biological systems directly inspired by biological processes. Hence, the main objective of this theme is to define a calculus for biology and develop a prototype to be applied in the theme of case studies. We also plan to include quantitative information in the definition of the calculus.</p>
<p>
It is our belief that biological phenomena can serve as valuable source of inspiration for new primitives of process calculi and new computational paradigms. Process calculi, by their own nature, take input and output, and hence communication, as the very basic form of action/reaction between concurrent systems.</p>
<p>
Concurrency theory-and particularly process algebras-are emerging as a highly promising tool to provide formal foundations to systems biology. This field is evolving rapidly</p>
<p>
<strong>Case studies</strong></p>
<p>
The main goal of this theme is to validate and tune the work of the previous theme by exploiting the results in software developing tools and helping biologists to do science. Furthermore, the preliminary analysis of real problems will inform the design of suitable primitives. Also, we will build upon the effort of the theme on calculi for the definition of analysis, verification and simulation techniques to acquire new knowledge on the biological realm. A different case study could inform how the languages and techniques devised here could be transposed into the ICT field to improve software quality and to manage complexity.</p>
<p>
Storing dynamical evolution of biological systems</p>
<p>
The main goal of this theme is to set-up the mining and access to distributed databases storing information (programs) on the dynamic behaviour of biological systems. Coordination with servers providing the run-time support for non-homogeneous data should also be provided. The knowledge and technology acquired in the first two research themes will be used to populate databases.</p>
<p></p>
<p>
Detailed information on recruitment can be found at the page <a href="http://www.unitn.it/events/microsoft/index_eng.htm">http://www.unitn.it/events/microsoft/index_eng.htm</a> following the link recruitment.<br />
The selection procedure will take place in the period 'end of May - mid June'.</p></blockquote>


<p>Remarquez que je me suis permis de souligner ce que j'ai trouvé important de la part de Microsoft :-)</p>


<p>Bon, passé le «&nbsp;Décidemment, les italiens écrivent aussi bien anglais que nous... », je me suis demandé dans quels domaines Microsoft recrutait des bio-informaticiens. Direction le site de <a href="http://research.microsoft.com/">Microsoft Research</a> où les études sont un peu plus détaillées.</p>


<p>Je me précipite donc sur le seul article de première page qui parle un tant soit peu de biologie, à savoir <a href="http://research.microsoft.com/displayArticle.aspx?id=1238">Microsoft Scientists Search for Breakthroughs in HIV Vaccine Design</a> et là j'espère que vous êtes bien assis devant votre écran parce que ça vaut son pesant de cacahuètes&nbsp;:</p>


<blockquote><p>Microsoft Research is working with leading doctors and scientists to use advanced computer science techniques in the fight to slow or stop the HIV/AIDS pandemic. Microsoft researchers are applying software algorithms similar to those used on computing challenges such as managing computer databases, compressing digital files or blocking spam e-mail to overcome roadblocks in the hunt for an HIV vaccine.</p></blockquote>


<p>Il est vrai qu'en matière de failles de sécurité, Microsoft a une longue expérience&nbsp;! Et c'est ce qu'ils devraient mettre en avant avec un slogan du style «&nbsp;Les failles de sécurité ça nous connaît », je trouve que c'est plus pertinent que les bases de données, la compression ou le blocage du spam dans la lutte contre le <abbr title="Virus de l&#039;Immuno-déficience Humaine">VIH</abbr>... il vaut mieux mettre en avant le domaine dans lequel on est le leader non&nbsp;?</p>


<p>Bon vous l'aurez compris, je ne suis pas prêt à travailler pour Microsoft :-).</p>


<p><strong>[edit]</strong>&nbsp;: je ne peux pas laisser passer le lien donné par <a href="http://www.enroweb.com/dotclear/">Enro</a> dans <a href="https://larlet.fr/david/biologeek/archives/20050418-travailler-pour-microsoft/#c265">les commentaires</a> mais je ne suis pas sûr que tout le monde y ait accès alors je vous le restitue ici même si ça viole la privacy policy de nature.com (de toute façon on n'a même pas le droit de lier le site sans envoyer un mail...)&nbsp;:</p>


<blockquote><p><strong>Microsoft's European perspective</strong>
As part of its European Science Initiative, software giant Microsoft has announced that it intends to open up to five 'centres of excellence' in Europe over the next five years. The company is also funding a career-development fellowship programme, which will see up to ten European postdocs in science and technology receive as much as 250,000€  (US$320,000) each. In addition, Microsoft will support up to 30 PhDs a year, fund scientific workshops throughout the continent and sponsor an award for European Scientist of the Year.</p>
<p>
All of these efforts will help Microsoft to find ways to match its computing expertise with different scientific disciplines in Europe, says Stephen Emmott, director of the company's External Research Office in Cambridge, UK. It also aims to match its own research expertise in computing with promising European scientists in emerging fields that embody "new kinds of science", he adds.</p>
<p>
To that end, the first centre of excellence will be the Centre for Computational and Systems Biology at the University of Trento in Italy. The university and Italian local and national governments are also providing funding. The centre will employ ten full-time research directors, and with postdocs, technicians and visiting scientists, should play host to about 40 scientists at any one time.</p>
<p>
Microsoft hope that the five centres of excellence will help to build bridges between computing and other sciences, as well as between industry and academia, but it also wants them to serve as a focal point for career development, says Emmott. The company aims to match promising young researchers with more senior scientists throughout Europe, as well as computer scientists at the company, and provide them with strong funding and infrastructure. "A key part is supporting the careers of various promising scientists," says Emmott.</p>
<p>
For both graduate students and postdocs, the company is seeking young scientists willing to work at interfaces: between the United States and Europe; the company and academia; and computing and more traditional disciplines.</p>
<p>
The other centres of excellence have yet to be announced, but sites in France, Germany and Britain are currently under consideration.</p></blockquote>


<p>Et pour répondre à la question posée, il est vrai que le salaire proposé est alléchant (!) mais bon s'imposer dans la science à coup de sponsors et de noms pompeux... j'attend de voir ce que ça va donner et quelles vont être les réactions européennes, n'hésitez pas à me faire part de vos témoignages :-).</p>


<p><strong>[edit 2]</strong>&nbsp;: on parle aussi sur le <a href="http://standblog.org/blog/">Standblog</a> du <a href="http://standblog.org/blog/2005/04/21/93114129-laboratoire-microsoft-inria-un-petit-decodage">rapprochement Microsoft/recherche</a>.</p>
