title:      ★ Manifeste du biologeek
slug:       manifeste-du-biologeek
date:       2005-06-16 00:52:13
type:       post
vignette:   images/logos/biologeek.png
contextual_title1:  Enfin un design pour biologeek !
contextual_url1:    20080829-enfin-un-design-pour-biologeek
contextual_title2:  Biologeek (enfin) propulsé par Django
contextual_url2:    20080423-biologeek-enfin-propulse-par-django
contextual_title3:  Ajout des flux RSS, du sitemap et des commentaires avec Django
contextual_url3:    20070623-ajout-des-flux-rss-du-sitemap-et-des-commentaires-avec-django

<p>Ce texte est une libre adaptation du <a href="http://anargeek.net/fr.html">manuel de l'anargeek</a>. Il en est actuellement à sa version 2, la <a href="https://larlet.fr/david/biologeek/archives/20041006-manifestement-biologeek-aussi/">version 1 est toujours disponible</a> sur ce site.</p>



<p>Avant toute chose, je pense qu'il est intéressant de rappeler la définition d'un geek donnée par Wikipédia&nbsp;:</p>



<blockquote><p>Un geek est une personne passionnée par un sujet au point d'en être obsédée. Le type de geeks le plus connu constitue celui des computer geeks, «&nbsp;mordus d'ordinateurs » ou «&nbsp;technophiles ». Les geeks sont donc des passionnés d'informatique. Ils évoluent dans un monde virtuel où l'ordinateur prend une place centrale&nbsp;: ils habitent Internet et leur langue se caractérise par un jargon informatique, des codes, des graphies, des modes que les profanes ne peuvent comprendre.</p></blockquote>


<p>Je ne suis pas entièrement d'accord avec cette définition et c'est la raison pour laquelle je souhaite apporter non pas une correction mais plutôt quelques précisions quant à mon idée là-dessus et à ce qui me pousse à être un biologeek&nbsp;:</p>

<p><strong>Geek</strong>, l'ordinateur est pour moi plus qu'un outil de travail, j'aime passer du temps à le comprendre, à l'utiliser et à l'optimiser. J'ai donc naturellement opté pour un système d'exploitation Linux me permettant d'avoir une telle liberté.</p>


<p><strong>Geek</strong>, je considère Internet comme une source d'information inépuisable et diversifiée me permettant d'accroître mon savoir quotidiennement. J'y respecte les personnes qui y contribuent et j'essaye dans la mesure du possible de transmettre les connaissances qui me semblent pertinentes.</p>


<p><strong>Geek</strong>, j'apprends à communiquer avec mon ordinateur par le biais d'un langage simple&nbsp;: la programmation. Cela me permet de créer et de modifier mes propres programmes lorsque ceux-ci sont inexistants, manquent d'ergonomie ou de fonctionnalités. Je met à la disposition de la communauté le code source documenté de mon travail dans le but d'aider les personnes ne connaissant pas ce langage et d'éviter aux autres de perdre du temps à coder quelque chose qui a déjà été implémenté.</p>


<p><strong>Geek</strong>, j'assume mes écrits et mes actes, le pseudo-anonymat de ce «&nbsp;nouveau continent » ne doit en aucun cas être à l'origine de mon irrespect. Je reste courtois et ne participe pas à des débats stériles et chronophages.</p>


<p><strong>Geek</strong>, enfin, je suis tolérant et patient envers celui qui en sait moins que moi, toujours à l'écoute de celui qui en sait plus. La transmission de mon savoir me permet de le maîtriser et de m'élever un peu plus chaque jour.</p>



<p><strong>Biolo</strong>, j'admire et je respecte la vie sous toutes ses formes. Fruit d'une pression sélective millénaire, elle nous révèle chaque jour les secrets de son adaptation dont nous nous inspirons.</p>


<p><strong>Biolo</strong>, je sais que la nature est complexe et que notre état actuel des connaissances ne nous permet pas d'affirmer les dogmes et les lois établies jusqu'à présent. Je suis conscient de ces limitations et je sais prendre du recul face à des situations inexpliquées.</p>


<p><strong>Biolo</strong>, je suis curieux et je n'hésite pas à prendre le temps nécessaire à la compréhension d'un mécanisme biologique. Cette curiosité n'est pas une perte de temps tant qu'elle contribue à mon éveil.</p>


<p><strong>Biolo</strong>, je suis aussi humain, j'essaye de rendre ma participation à l'«&nbsp;aventure humaine » utile à l'élévation de sa connaissance sans que celle-ci soit réalisée aux dépens des autres.</p>


<p><strong>Biolo</strong>, enfin, je respecte mon environnement en ayant une vision à long terme. Je limite mon impact sur mon «&nbsp;cadre de vie » que je partage avec la nature et mes enfants.</p>



<p><strong>Biologeek</strong>, j'utilise l'outil informatique pour résoudre des problèmes d'ordre biologique. La bio-informatique réunit mes deux passions et m'aide à m'accomplir.</p>


<p><strong>Biologeek</strong>, j'essaye dans la mesure du possible de diffuser les codes sources de mes programmes accompagnés de leur utilité et des conclusions qu'ils m'ont permis d'obtenir. Je sais que mon travail n'est ni un début, ni une fin en soit mais tout de même un pas en avant. La reproductibilité de mes résultats permettra aux autres scientifiques de ne pas avoir à refaire ce pas.</p>


<p><strong>Biologeek</strong>, je m'inspire de processus biologiques pour les appliquer à l'informatique. Certains de ces algorithmes font parfois leurs preuves depuis des millions d'années...</p>


<p><strong>Biologeek</strong>, je sais que la biologie et l'informatique sont indissociablement liés, que ce soit en termes de puissance de calcul ou de stockage des données. Il m'est donc nécessaire de connaître deux domaines que l'on pourrait penser opposés. Cette union met en relief les similarités de ces domaines, chacun apportant ses qualités à l'autre. Bel exemple de complémentarité et d'enrichissement mutuel.</p>


<p><strong>Biologeek</strong>, enfin, je suis conscient et soucieux de mes actes, autant d'un point de vue éthique qu'humain. J'évalue les conséquences possibles de mes découvertes et j'agis en connaissance de cause. Mon attitude responsable est la plus grande de mes ambitions.</p>



<p>Ce texte vous a plu/déplu, tout ou partie, discutons-en, notamment si certains points vous semblent obscurs, ce texte a vocation à être accessible à tous (le monde souffre de bien trop d'incompréhensions) et vos remarques seront à l'origine de son enrichissement.</p>


<p>Comme le rappelle la licence du site, ce texte est librement distribuable/modifiable, n'hésitez pas à écrire votre propre manuel&nbsp;! Réalisez-vous, épatez-nous :-).</p>
