title:      ★ Comprendre Ubuntu et le NTFS
slug:       comprendre-ubuntu-et-le-ntfs
date:       2006-08-13 22:55:26
type:       post
vignette:   images/logos/ubuntu_ntfs.png
contextual_title1:  Bilan sur Paris Capitale du Libre 2007
contextual_url1:    20070615-bilan-sur-paris-capitale-du-libre-2007
contextual_title2:  Revue du portable Tecra A8 sous Ubuntu Feisty
contextual_url2:    20070508-revue-du-portable-tecra-a8-sous-ubuntu-feisty
contextual_title3:  Comment valoriser la communauté des Logiciels Libres auprès des professionnels ?
contextual_url3:    20070426-comment-valoriser-la-communaute-des-logiciels-libres-aupres-des-professionnels

<p>Cela fait des mois que je suis premier sur la recherche <a href="http://www.google.fr/search?hl=fr&amp;q=ubuntu+ntfs&amp;btnG=Recherche+Google&amp;meta=">ubuntu+ntfs</a> et je sais bien que les utilisateurs arrivant sur <a href="https://larlet.fr/david/biologeek/archives/20041125-ubuntu-ou-comment-oublier-windows-definitivement/">la page concernée</a> (qui commence à dater, je deviens nostalgique avec l'âge :-D) doivent être contents d'apprendre qu'ils ont fait ou sont en train de <a href="http://www.ubuntu-fr.org/">faire le bon choix</a> mais avouons qu'ils doivent s'en retourner un peu bredouilles... cette page devrait être plus instructive, suivez le guide&nbsp;!</p>

<p>L'objectif n'est pas de vous apprendre à monter une partition <abbr title="New Technology File System">NTFS</abbr> sous Ubuntu mais de comprendre comment ça marche. Si votre seul besoin est de monter une partition Windows, la <a href="http://doc.ubuntu-fr.org/installation/partitions_windows">documentation sur les partitions Windows du site ubuntu-fr</a> vous l'apprendra mieux que moi. Maintenant découvrir Linux, c'est aussi éveiller sa curiosité et essayer d'en savoir un peu plus sur les entrailles de son système.</p>


<h2>Les systèmes de fichiers</h2>


<p>Dixit <a href="http://fr.wikipedia.org/wiki/Syst%C3%A8me_de_fichiers">Wikipédia</a>&nbsp;:</p>


<blockquote><p>En informatique, un système de fichiers (FS ou FileSystem en anglais) est une méthode d'organisation des données persistantes sur un médium durable (par exemple&nbsp;: disque dur, disquette, CDROM, clef USB ...).</p></blockquote>


<p>Ok, donc pour faire simple on va considérer 3 systèmes de données qui sont ceux auxquels vous serez normalement confrontés si vous utilisez Ubuntu et Windows&nbsp;: <abbr title="File Allocation Table">FAT</abbr>32, <abbr title="New Technology File System">NTFS</abbr> et <abbr title="Extended File System">Ext</abbr>3.</p>


<h2>Les spécificités</h2>


<p>Fat32 est le plus ancien, il a pour seul mérite aujourd'hui d'être compatible avec beaucoup de systèmes d'exploitation et c'est ce qui nous intéresse ici. Par contre il ne gère ni les droits sur les fichiers, ni les fichiers de taille supérieure à 4<abbr title="Giga-octets">Go</abbr>. De plus il n'est pas journalisé, si vous ne savez pas ce que ça signifie je l'explique ensuite.</p>


<p>NTFS est un système de fichiers ayant été développé par Microsoft. Il est plus intéressant que le Fat32 car il sait utiliser la journalisation de son système de fichiers et n'est pas limité par la taille de ses fichiers. <del>En revanche, il ne sait pas non plus attribuer de droits utilisateur sur les fichiers qu'il contient.</del> Bon il ne sait pas faire un système qui ne soit pas fragmenté aussi mais ce n'est pas l'objet de ce billet.</p>


<p><strong>[correction du 14/08]</strong>&nbsp;: comme le souligne Richard en commentaire, NTFS gère les droits d'accès aux fichiers. Je m'étais basé sur le <a href="http://doc.ubuntu-fr.org/installation/systeme_de_fichiers#comparaison_de_systemes_de_fichiers">tableau de la documentation ubuntu-fr</a> qui manifestement était faux. D'ailleurs la <a href="https://help.ubuntu.com/community/LinuxFilesystemsExplained">page traduite a changée depuis</a>. Pour <a href="http://okki666.free.fr/docmaster/articles/linux100.htm">en savoir plus sur les <abbr title="Access Control Lists">ACL</abbr> sous GNU/Linux</a> et <a href="http://en.wikipedia.org/wiki/Comparison_of_file_systems">comparer les systèmes de fichiers</a> un peu plus finement (en anglais car <a href="http://fr.wikipedia.org/wiki/Comparaison_des_syst%C3%A8mes_de_fichiers">la version fr</a> est succincte).</p>


<p>Ext3 est le système le plus populaire sous Linux... et pourtant ce n'est pas le meilleur&nbsp;! Si on l'a recommandé autrefois et s'il est aussi populaire aujourd'hui c'est en grande partie car il est compatible avec le format Ext2 qui était le standard avant et que le format Reiserfs (qui est plus récent) ne permet pas de transformer directement une partition, il faut donc la reformater. C'est contraignant si vous avez déjà des données mais dans votre cas si vous installez Ubuntu pour la première fois, choisissez ce format (à part si vous avez un ordinateur portable car ce format influe sur la consommation et donc sur votre batterie).</p>


<p>Quel que soit le format choisi pour votre Ubuntu, il présente les avantages d'être journalisé et de gérer les permissions sur les fichiers. Et oui, Windows il y a mieux... mais c'est moins cher ;-).</p>


<p><strong>Mais pourquoi est-ce que je vous parle de journalisation depuis tout à l'heure ?</strong></p>


<p>La journalisation est le brouillon permanent du système permettant de récupérer vos données en cas de crash. Si pour une raison x ou y une interruption survient, le système le sait et essaye de recoller les morceaux à partir du brouillon au prochain démarrage. Cette fonctionnalité est de pratique à indispensable selon la nature des données considérées.</p>


<h2>Le problème</h2>


<p>NTFS est mal documenté, certains pensent à dessein, pour freiner l'expansion de Linux et si vous êtes sur cette page ils n'ont peut-être pas tord :-). Toujours est-il qu'il n'a pas pour l'instant été possible d'établir de «&nbsp;traducteur » fiable entre ce système de données et le système Ext3. <strong>C'est la raison pour laquelle vous ne pourrez pas écrire sur votre partition NTFS à partir d'Ubuntu de manière sûre.</strong></p>


<h2>Les solutions</h2>


<p>Comprennez qu'il n'y a pas de solution idéale à ce jour. La meilleure solution (à mon avis) étant d'éradiquer Windows mais bon je comprend que ça puisse gêner. Vous avez le choix entre la solution contraignante et la solution expérimentale, à vous de prendre vos responsabilité.</p>


<h3>La solution contraignante</h3>


<p>Il s'agit d'avoir une partition en Fat32 qui est «&nbsp;partagée » entre les deux systèmes qui savent lire et écrire dessus. C'est le seul avantage. Les inconvénients sont&nbsp;:</p>
<ul>
<li>aucune gestion des droits utilisateurs&nbsp;;</li>
<li>en cas d'interruption du système lors d'une copie sur cette partition, ce n'est pas récupérable (du coup il faut penser à copier puis supprimer la source, en 2006 on a fait mieux...)&nbsp;;</li>
<li>on ne sait jamais quelle taille donner à la partition en question (sans compter qu'il y a la fameuse restriction des partitions à 32Go en Fat32 qui ne semble s'appliquer qu'à Windows, je me demande si c'est pas devenu une légende ça).</li>
</ul>

<p>Du coup c'est un peu un casse-tête et vous serez peut-être tenté(e) d'avoir recours à la solution expérimentale...</p>


<h3>La solution expériementale</h3>


<p><strong>Avant tout, je décline toute responsabilité en cas de problème concernant cette solution, je vous ai déjà donné la mienne.</strong></p>


<p>Il existe deux méthodes pour essayer d'écrire sur une partition NTFS à partir d'Ubuntu (ou Linux, il vaut mieux avoir un noyau &gt;= 2.6.15 dans ce cas)&nbsp;:</p>
<ul>
<li>utiliser le driver du kernel <a href="http://www.linux-ntfs.org/">linux-ntfs</a>, il est actuellement stable en modification de fichier mais pas en création ou en supression ce qui est assez gênant&nbsp;;</li>
<li>avoir recours à <a href="http://www.jankratochvil.net/project/captive/">Captive NTFS</a>&nbsp;: il est réputé pour être très lent, et va probablement ne plus avoir lieu d'être <a href="http://fr.wikipedia.org/wiki/Captive_NTFS">d'après Wikipédia</a>&nbsp;:</li>
</ul>

<blockquote><p>Linux-NTFS étant en passe de compléter le plus gros du support natif de NTFS sous Linux (la version 3g reprend les performances en lecture de la version 2 et les améliore, elle est aussi capable d'éditer des fichiers existants mais en sus de les créer ou de les supprimer. La fonctionnalité de déplacement de fichiers ou de répertoires est en cours de développement), Captive-NTFS risque de n'avoir plus de raison d'être dans les mois à venir (en date du 08/2006) - du moins tant que WinFS ne sort pas..</p></blockquote>


<p>Je n'ai testé aucune des deux car je n'en ai pas l'utilité donc c'est à vous de vous renseigner plus en avant là-dessus. Souvenez-vous qu'il vaut mieux se documenter <strong>avant</strong> d'avoir le problème, surtout quand ça concerne vos données.</p>


<p>N'ayant plus de Windows sous la main, je laisse les habitués du dualboot commenter ce billet avec leurs dernières expériences à ce sujet. En conclusion, Ubuntu et le NTFS, c'est pas la panacée... espérons que le même cirque ne recommencera pas avec WinFS mais bon <a href="http://www.zdnet.fr/actualites/informatique/0,39040745,39192611,00.htm">on a le temps de voir venir</a>&nbsp;!</p>
