title:      ★ Rêve de geek
slug:       reve-de-geek
date:       2007-01-31 14:35:56
type:       post
vignette:   images/logos/goobuntu.png
contextual_title1:  ★ Le point sur RDF et RDFa
contextual_url1:    20080425-le-point-sur-rdf-et-rdfa
contextual_title2:  ★ Résolutions : rediriger, économiser et débattre
contextual_url2:    20120131-resolutions-rediriger-economiser-et-debattre
contextual_title3:  ★ Résolutions : découvrir, concrétiser et transmettre
contextual_url3:    20110112-resolutions-decouvrir-concretiser-et-transmettre

<p>Et si l'avenir des Logiciels Libres passait par le développement d'applications web libres. Le train a été pris en marche concernant les systèmes d'exploitation et les applications mais les applications web en sont à leurs balbutiements. Ce serait peut-être l'occasion de commencer sur un pied d'égalité. J'étais sceptique/cynique vis-à-vis du mal nommé web 2.0 mais force est de constater que ça dure&nbsp;: le desktop va migrer en ligne (enfin c'est <a href="https://larlet.fr/david/biologeek/archives/20041001-le-web-arriverait-il-a-maturite/">pas vraiment une idée nouvelle</a> non plus...) et je n'ai pas envie de migrer mes données vers des solutions propriétaires en ligne. Quel intérêt d'avoir un système d'exploitation «&nbsp;libéré » si c'est pour utiliser Flickr ou Gmail&nbsp;?</p>

<h2>Mais alors quelle solution&nbsp;?</h2>


<p>Celle à laquelle je pense depuis quelques temps repose sur une suite d'applications web libres cohérentes mais indépendantes qui permettrait de n'utiliser que les briques dont on a réellement besoin. Imaginons un instant ce que ça pourrait donner&nbsp;:</p>

<ul>
<li>Je me connecte via <abbr title="Secure Socket Layer">SSL</abbr> sur mon interface d'administration à la netvibes qui me permet d'un seul coup d'œil d'avoir accès à l'état de la machine sur laquelle est hébergée ma suite, aux derniers commentaires à mettre en ligne, aux statistiques de mon blog, aux derniers mails reçus, aux dernières entrées dans mon agrégateur, etc.</li>
<li>Je passe en mode publication car j'ai pris des photos à Solutions Linux que je veux mettre en ligne puis faire un billet de blog s'y rapportant. Ok, au passage je mets les dernières photos de mon chat sur mon espace à accès restreint pour en faire profiter la famille.</li>
<li>Je passe en mode veille technologique et je lis mon agrégateur pour être au courant des dernières avancées et/ou trolls, je vérifie dans mon logger <abbr title="Internet Relay Chat">IRC</abbr> si l'on ne m'a pas pingué.</li>
<li>Je passe en mode consultation de mes mails, on m'envoie un lien intéressant, hop il est mis dans mon service de gestion de favoris à la blogmarks.</li>
<li>Zut, en vérifiant mon gestionnaire de todo-list je me rappelle qu'il faut que je finisse ce billet de blog avant 16h.</li>
</ul>

<p>La liste peut être interminable mais vous avez compris le principe.</p>


<h2>Admettons qu'une telle plateforme soit développée sous licence libre, quelles sont les failles restantes&nbsp;?</h2>


<p>La sécurité bien entendu mais la communauté Open-Source a déjà prouvé à de nombreuses reprises l'avantage qu'elle avait face aux éditeurs propriétaires/closed-source. Reste la confiance que l'on peut avoir dans l'hébergeur de sa solution. Et c'est pour moi le principal frein à un tel développement. Enfin frein ou opportunité pour un hébergeur de qualité qui décide d'être innovant sur ce point là en développant cette solution quitte à ce qu'elle soit payante. Je suis prêt à payer pour accéder à une telle liberté mais aussi à la sérennité vis-à-vis de mes sauvegardes...</p>


<p>Car aucune garantie n'est donnée quand à la perénnité de vos données lorsque vous souscrivez à un service en ligne (seule la non-commercialisation de vos données est, parfois, assurée). Mais imaginez que blogmarks ou flickr ferme. Ce sont des années de données perdues, on se rend généralement compte de la dépendance à un service lorsqu'il disparaît. De la même façon, qu'est ce qui vous garantit que des sauvegardes régulières sont réalisées sur ces services&nbsp;? Le bon sens&nbsp;? Est-ce que vous en faites&nbsp;? Depuis quand&nbsp;? Rappelez-vous que ces services sont bien souvent gratuits... mais coûteux donc il faut parfois prendre des décisions cruciales en interne.</p>


<h2>Du rêve à la réalité&nbsp;?</h2>


<p>Finalement, je me rend compte que ce «&nbsp;rêve » regroupe une grande partie des sujets abordés sur ce blog puisque ça pourrait être du développement web open-source en python à l'aide de frameworks web pour, entre autres, gagner du temps. Il ne manque plus qu'une couche de web sémantique pour rendre tous ces services décentralisés. Car l'échec des services actuels c'est aussi l'interopérabilité, les types d'<abbr title="Application Programming Interface">API</abbr> sont spécifiques et il est assez difficile de faire des bibliothèques génériques permettant d'y accéder ou de permettre la communication entre les services alors que tous les outils pour arriver à ça existent. <a href="https://larlet.fr/david/biologeek/archives/20070104-comment-utiliser-openid-la-solution-d-identification-tant-attendue/">OpenId</a> est un bon exemple de brique permettant une identification unique, il en faut d'autres.</p>


<p>Reste à développer tout ça. C'est loin d'être facile et ça demande du temps, énormément de temps mais l'enjeu en vaut la chandelle pour pouvoir véritablement parler de web 2.0. Vous pensez quoi de tout ça&nbsp;? Utopie&nbsp;?</p>
