title: Confort et convivialité
slug: confort-convivialite
date: 2013-10-21
chapo: Ce billet est un résumé enrichi de ce que j'ai dit ou aurait voulu dire lors de TEDxToulon le 18 octobre.

*Ce billet est un résumé enrichi de ce que j'ai dit ou aurait voulu dire lors de [TEDxToulon](http://tedxtoulon.com/) le 18 octobre.*

Le Web est devenu une télévision dont l'audience est principalement répartie sur les 9 « chaînes » suivantes :

1. Facebook
2. Twitter
3. Instagram
4. Google
5. Wikipédia
6. Amazon
7. Github
8. Youtube
9. eBay

Cela m'attriste et compte-tenu de mon métier m'amène à me questionner sur les raisons de ce que je considère comme un échec dans **le passage d'un réseau distribué et collaboratif à une centralisation massive et individualisante.** La transformation d'un système d'échange de savoirs en une plateforme dédiée à la consommation d'information.

J'ai passé ces 10 dernières années à me concentrer sur les outils comme tout bon technicien, puis les usages pour finalement m'intéresser aux raisons profondes qui sont à l'origine d'un tel phénomène sociétal. J'en suis arrivé à identifier 2 causes majeures.

> Il faut un milieu sécurisant pour exécuter le programme génétique et il faut un milieu stressant pour l'optimiser. […] Cette lacune provoque l'apparition de maladies de la dégénérescence « car il n'y a pire stress que l'absence de stress ».

Nous sommes dans ce que Boris Cyrulnik appelle une « *sécurité angoissante* » qu'il oppose à un *stress optimisant*. Une partie (réduite et riche) de notre planète vit dans cette sécurité angoissante qui ne lui permet plus d'évoluer, de trouver des solutions innovantes, d'avoir une activité gratifiante. Nous compensons par une boulimie d'informations, de choses, de drogues mais cela reste cruellement insatisfaisant.

Ce confort nous enferme — seul — dans des *bulles de confort* qui ne nous permettent plus d'évoluer et ce à toutes les échelles, aussi bien en tant qu'individu qu'en tant qu'espèce. **Nous n'avons plus besoin de développer notre intelligence adaptative.** Nous n'avons plus besoin de collaborer et nous sommes en train de perdre la notion de *vivre ensemble*.

La seconde source de notre incapacité à pouvoir exploiter Internet à son plein potentiel est notre manque d'attention. Notre société souffre d'un déficit d'attention en partie généré par le marketing qui conduit à une perte de respect pour son prochain.

> La population *dans son ensemble* souffre à cet égard, et *demande attention*. C'est pourquoi une politique de la jeunesse ne peut être qu'une politique de la *formation de ses capacités* dans tous les domaines, et telles que *ses capacités (ses savoirs faire, vivre et penser) sont toutes des formes de son attention* — et ceci est vrai de toutes les époques de l'humanité.
>
> Mais à notre époque, une telle politique est un *combat* et un *dépassement* en un sens nouveau, dans la mesure où il s'agit :
>
> 1. d'une part, de surmonter l'époque de la croissance conçue comme un consumérisme basé lui-même sur la captation toxique et destructrice de l'attention.
> 2. d'autre part, de *prendre appui sur les technologies de l'esprit qui émergent avec le numérique*, qui constituent aussi des technologies de la transindividuation qui sont un nouveau *pharmakon*, et qui permettent donc tout autant de dépasser le modèle toxique que d'en aggraver *irréversiblement* les effets.
>
> Tel est le véritable enjeu de la crise et du tournant qui doit s'y prendre — vers du meilleur ou vers du pire, sinon vers *le* pire : ce tournant est la croisée de ces deux chemins et constitue une alternative.
>
> S'élever, c'est aller vers le meilleur, et un tel chemin, qui est un combat, contre la régression, ne peut être mené qu'*avec les générations* qui doivent en devenir actrices et responsables.
>
> <cite>*Pharmacologie du Front National*, Bernard Stiegler</cite>

On ne sait plus prendre soin de son voisin ou de ses enfants. Cela peut vous sembler éloigné du Web mais **comment avoir envie de cultiver un réseau de proches en proches si l'on ne s'intéresse plus à son proche-ain ?**

Partant de ce cuisant constat d'une société qui n'était pas prête à utiliser un tel outil collaboratif, j'ai exploré les différentes pistes qui permettraient de se rapprocher de cet usage.

## Les outils conviviaux

Ivan Illich dans son ouvrage *Tools for conviviality* introduit le concept d'*outil convivial* à travers 3 critères propres à une *instrumentation* ou une *institution* conviviale :

> * ne doit pas dégrader l'autonomie personnelle en se rendant indispensable
> * ne suscite ni esclave, ni maître
> * élargit le rayon d'action personnel

On peut utiliser ces critères pour analyser du marteau à la voiture en passant par l'école. Il est intéressant de constater que peu d'outils actuels passent ce simple test. Avec ces critères, l'outil technologique s'abstient de renforcer les hiérarchies entre individus et utilise les avancées techniques comme des amplificateurs. C'est l'inverse de ce qu'il se produit avec les spécialisations et les expertises en tout genres qui favorisent les relations de dépendances. **On ne sait plus vivre en groupes réduits car on a perdu nos savoirs essentiels, on les a délégués et/ou morcelés.**

> Une vie sans savoir est une vie sans saveur. — Bernard Stiegler

Il nous faut réacquérir ces savoirs et redécouvrir la valeur des outils conviviaux. Ce n'est pas ici une apologie de l'autarcie mais une revalorisation des communautés, l'individuation de soi passant par l'accomplissement de la vision du groupe. Un même individu pouvant appartenir simultanément à plusieurs groupes.

## Les initiatives locales

> Never doubt that a small group of thoughtful committed citizens can change the world — M. Meade

Malgré un bilan pessimiste, amer, je vois bien aussi qu'il y a une activité locale foisonnante qui — sur des initiatives quasi-individuelles — produit du lien social, de la reconquête de citoyenneté et de nouvelles interactions. Le déploiement de *tiers-lieux* (fablabs, espaces de co-working, espaces publics numériques, etc) sur l'ensemble du territoire en est un exemple. L'essor du tissu associatif en est un autre. Le maillage s'intensifie localement et laisse s'exprimer les diversités culturelles des groupes créés. **On assiste à des micro-expériences d'intelligence collective.**

> When you close that door, you're creating a small culture. — Dan Mezick

Dan Mezick explique que les personnes présentes dans une même salle créent déjà une culture locale qui va être à même d'avoir ses propres règles de collaboration. Passant par des étapes de *[liminarité](https://en.wikipedia.org/wiki/Liminality)* pour accéder à l'état de *[communitas](https://en.wikipedia.org/wiki/Communitas)*.

## Une éducation à la collaboration

> Un gagnant c'est un fabriquant de perdants. — [Albert Jacquard](http://out.neokraft.net/post/61016024417)

On nous enseigne à devenir les meilleurs, cela provient historiquement de l'[excellence des lycées](https://fr.wikipedia.org/wiki/Lyc%C3%A9e_en_France#Des_.C3.A9tablissements_d.27abord_uniquement_masculins_pour_former_une_.C3.A9lite) mis en place par Napoléon il y a 2 siècles avec ses *[masses de granit](https://fr.wikipedia.org/wiki/Masses_de_granit)* mais n'a plus lieu d'être. L'objectif de Napoléon au lendemain de la révolution française était de créer un système lui permettant de s'élever au plus vite tout en ayant une base solide, or on sait [depuis les pharaons](http://www.nioutaik.fr/index.php/2013/02/26/640-la-revelation-des-pyramides-le-documentaire-en-mousse) que la meilleure structure pour arriver à cela est la pyramide, d'où l'aboutissement à une pyramide administrative hiérarchisée dont l'école est la base. **Cette approche archaïque de l'enseignement n'est plus une nécessité.**

L'[exemple de certains pays du nord](http://www.publicsenat.fr/emissions/documentaire/l-ecole-a-bout-de-souffle/71763) ou d'[expériences menées au Québec](http://www.lapresse.ca/le-soleil/actualites/education/201309/27/01-4694156-la-classe-inversee-le-pari-denseigner-a-lenvers.php) nous montre qu'il est tout à fait possible d'avoir une autre approche fondée sur la collaboration que l'on peut qualifier de réussite en termes d'acquis et de bien-être de l'enfant.

> Chaque fois que l’on enseigne prématurément à un enfant quelque chose qu’il aurait pu découvrir par lui-même, on lui empêche de l’inventer et donc de le comprendre complètement
>
> Jean Piaget au sujet du [constructivisme](https://fr.wikipedia.org/wiki/Constructivisme_%28psychologie%29)

Cette compétition permanente nécessite de comparer des résultats, or ce sont les chemins menant à ces résultats qui sont intéressants mais ceci est beaucoup plus difficilement évaluable. **L'attachement aux diplômes forme ces élèves à devenir des adultes qui ont perdu tout esprit critique et qui se sont déshumanisés au profit d'une rigueur scientifique.** Qui consomment et diffusent une information sans être capable de l'analyser ou de la recouper.

## Vers une vision commune consentie

Néanmoins, ces pistes ne pourront passer à une échelle plus large et *a fortiori* mondiale sans une vision politique consentie. L'enjeu est pour moi celui de faire évoluer notre espèce plus par son adaptation ou ses outils mais par sa façon d'interagir. **Cela va demander aux politiques non pas de se comporter en guides mais en facilitateurs : faire en sorte que les groupes de citoyens puissent s'exprimer et interagir pour créer de la valeur et la partager.**

Il existe des outils comme la [sociocratie](http://www.sociocratie.net/Theorie/index.php) pour faire interagir ces groupes et prendre des décisions à une échelle plus large de façon à aider les politiques. Celle-ci repose sur 4 règles simples :

> * Le consentement
> * Les cercles
> * Le double lien
> * L'élection sans candidat

Il existe également des structures juridiques comme les [SCOP](https://fr.wikipedia.org/wiki/Soci%C3%A9t%C3%A9_coop%C3%A9rative_et_participative) qui amènent des valeurs [démocratiques et collaboratives](https://larlet.fr/david/blog/2013/scopyleft-valeurs/) au sein de l'entreprise.

> Penser global, agir local. — [René Dubos](https://fr.wikipedia.org/wiki/Ren%C3%A9_Dubos)

**Je suis de plus en plus persuadé qu'Internet était un accident et que nous n'étions pas prêts à nous servir d'un tel outil.** Avant de passer à une échelle globale il va falloir apprendre à collaborer de manière locale. Il faut envisager Internet comme un cap en direction duquel notre société et notre espèce peuvent aller pour évoluer de manière significative : **celui qui fait passer de l'individu au groupe, celui qui fait passer de la sécurité à la collaboration, celui qui fait passer du confort à la convivialité.**

*Lecture proposée par l'un des auditeur ([Yoann](https://twitter.com/ygini)) à la suite de l'intervention : [Intelligence Collective, la révolution invisible](http://thetransitioner.org/Intelligence_Collective_Revolution_Invisible_JFNoubel.pdf).*
