title: Développeurs et magiciens
slug: developpeurs-magiciens
date: 2013-01-10
chapo: Les développeurs ne sont pas des magiciens, ils savent juste lâcher-prise sur les approches traditionnelles pour transformer la société.

> Programmers are today’s magicians. In many industries this is obvious, but it’s now becoming more obvious in publishing. Marco was able to make *The Magazine* happen quickly because he saw that Newsstand was underutilized and understood its capabilities. He knew this because he’s a programmer. Newsstand wasn’t announced at a publishing conference. It was announced at the `WWDC`.
>
> <cite>Craig Mod, *[Subcompact Publishing](http://craigmod.com/journal/subcompact_publishing/)*</cite>

L'article intégral est intéressant mais je voudrais réagir sur ce paragraphe en particulier. J'apprenais [récemment](/david/blog/2012/education-www/) qu'anthropologiquement parlant, le fait que nos outils aient atteint une capacité supérieure à leur usage (voiture, ordinateur, etc) est très récent. Forcément, ceux qui savent exploiter ces outils de manière plus efficace sont considérés comme étant des magiciens mais cela leur demande d'avoir des compétences et/ou centres d'intérêts transverses à l'informatique dans notre cas. La magie vient de là et pourtant *il est malheureusement rare que des personnes soient pluri-compétentes car notre système éducatif forme des spécialistes*, or — comme le dit le proverbe chinois — les spécialistes ne parlent pas [en amateurs](/david/blog/2013/science-amateurisme/). **L'amatorat est peut-être le seul espoir que je vois pour endiguer l'individualisme grandissant de notre société,** mais celui-ci ne pourra se développer qu'à partir d'une organisation acentrée, clanique. Configuration que l'on retrouve dans les communautés `open-source` notamment.

Au sujet du **subcompact publishing** maintenant, on a vu la sortie de *[The Magazine](http://the-magazine.org/)* et *[The Evening Edition](http://evening-edition.com/)* ces derniers temps, chacun proposant une version Web de ce à quoi l'on pourrait s'attendre d'une publication. Ces nouveaux arrivants ont juste su innover là où les media traditionnels ont piètrement reproduit les schémas physique sans avoir une culture web. Et ce n'est qu'un début, la vidéo est à réinventer, les magazines photo sont à réinventer, les livres sont à réinventer, etc. J'utilise réinventer et non réadapter car il s'agit de créer de nouvelles représentations et de nouveaux usages. Cela me rappelle **les notions d'adoption et de transformation** de l'agilité :

> Adopter des pratiques, c'est faire de l'agile. Pour être agile, cela ne suffit pas. Comme d'autres avant lui, il considère que le développement agile est plus une culture qu'un processus.
>
> <cite>Claude Aubry, *[Un guide pour l'adoption et la transformation agile](http://www.aubryconseil.com/post/Un-guide-pour-l-adoption-et-la-transformation-agile)*</cite>

Cette évolution doit passer par un *lâcher-prise* de la part des éditeurs et éditorialistes traditionnels et par une simplification de [l'accès au contenu](/david/blog/2013/navigateur-contenus/) :

> The Internet is overwhelming for many people — it never ends, and our connection to it is consuming more and more of our time.
>
> When things get overwhelming, my advice is always the same: simplify.
>
> But how do you simplify such a complicated beast as the Internet? It’s impossible! Actually, no, it’s doable, but it takes a willingness to let go.
>
> Without letting go, there is no simplicity.
>
> <cite>Leo Babauta, *[Simplify the Internet](http://zenhabits.net/unline/)*

**Les développeurs ne sont pas des magiciens, ils savent juste lâcher-prise sur les approches traditionnelles pour transformer la société.**
