title: HTML et sémantique
slug: html-semantique
date: 2013-08-09
chapo: Les class et id sont la sémantique HTML du pauvre.

> La sémantique ce n'est pas très compliqué. C'est un contrat qui permet à un groupe (plus ou moins grand) de communiquer ensemble. On établit des conventions qui permettent d'échanger des éléments qui font que nous allons nous comprendre. Mais tout cela n'est finalement pas très important. Ce qui me dérange un peu plus, c'est le détournement de la signification de `id` et `class` par la nouvelle génération.
>
> <cite>*[Un HTML avec class et des id](http://www.la-grange.net/2013/07/24/html)*, Karl Dubost</cite>

Voilà qui me place dans la « nouvelle génération » (chouette !), je me suis longtemps conformé à avoir des id/class qui respectent une certaine logique sémantique avant de me rendre compte du peu de sens que l'on pouvait attribuer aux contenus avec ces attributs. **Les `class` et `id` sont la sémantique HTML du pauvre.**

Or il existe des outils permettant d'introduire de la sémantique au sein du HTML : *RDFa*, *microdata* ou les *microformats* (je garde les microformats qui pourtant s'appuient uniquement sur des `class` car [les préfixes en version 2](http://tantek.com/presentations/2013/07/microformats2/) vont clairement au-delà d'une simple utilisation de classes HTML). Ces façons d'introduire du sens au sein d'un contenu permettent d'exprimer une complexité beaucoup plus proche des besoins que j'ai pu rencontrer ainsi qu'une réutilisation rendue possible grâce à la standardisation des vocabulaires employés.

Malheureusement aucune de ces solutions n'est aujourd'hui exploitable à l'échelle du Web et la promesse de pouvoir requêter/aggréger des données par ce biais là n'a pas été tenue. C'est la raison pour laquelle je me suis éloigné de tout ce qui avait trait au Web Sémantique ces derniers mois. Comme le précise Karl, il s'agit avant tout d'une question de taille de groupe. **Mais comment faire « passer à l'échelle » une intelligence collective ?**