title: Confiance et certification
slug: confiance-certification
date: 2016-04-05
chapo: Les relations de confiance ne peuvent être contractualisées.

> Dans le contexte économique actuel d’une explosion de l’emploi indépendant, avec une augmentation de 85 % entre 2000 et 2013, certains imagent qu’il pourrait y avoir des places de marchés autonomes et sécurisées où le travail et les contrats seraient hébergés et opérés par une blockchain.
>
> Les frontières des organisation classiques sont ainsi remises en cause avec la blockchain avec **l’émergence d’organisations coopératives décentralisées d’un nouveau genre**.
> 
> <cite>*[Compte-rendu du petit-déjeuner Blockchain du 9 Mars 2016](http://blog.octo.com/cr-petit-dej-blockchain-octo/)* ([cache](/david/cache/9cec57d235c0a3e15da2518326b88ed1/))</cite>

J’ai un peu de mal à voir associées les coopératives fondées sur la confiance et la *blockchain* qui propose un consensus certifiant et décentralisé. Ici la complexité des relations humaines s’oppose à la complexité des preuves de travail algorithmiques. Chacune demande du temps, dans un cas de construction sociale dans l’autre de calcul pour *miner*, mais il s’agit finalement de leur seul point de ressemblance.

**Les relations de confiance ne peuvent être contractualisées.** Auquel cas elles perdent leur intérêt du fait de leur [délégation](/david/thoughts/#delegating), fût-elle décentralisée. *Au passage relire la conclusion de ce billet me fait doucement sourire après le [fiasco leftpad](http://www.haneycodes.net/npm-left-pad-have-we-forgotten-how-to-program/) ([cache](/david/cache/68b4ccd13ef04eb9a617d50741c15945/)) :-).* Or, une coopérative est un tissu de confiance et de solidarité, c’est ce qui fait sa résilience et ce qui la rend si… humaine.

> En fait, rappellait Noémie de Grenier, pour se prémunir des risques d’auto-exploitation, l’organisation collective reste la meilleure réponse. Si la coopérative se défend d’être l’unique solution à l’ubérisation, Noémie de Grenier souligne que <cite>“l’individualisation induit toujours de la précarité”</cite>. Le travail isolé et précaire n’est jamais émancipateur.
>
> <cite>*[Quelle est la meilleure réponse à l’ubérisation ? Les collectifs !](http://www.internetactu.net/2016/04/04/quelle-est-la-meilleure-reponse-a-luberisation-les-collectifs/)* ([cache](/david/cache/09e4f7f29fa44a5f1627290c306824f4/))</cite>

N’en déplaise à AlphaGo, la modélisation de nos interactions est loin d’être maîtrisée par la froideur algorithmique. Si <cite>nos comportements sont réguliers et monotones</cite> [d’après Dominique Cardon](/david/blog/2015/enmi/), il n’en reste pas moins que nos sentiments, notre créativité et la richesse de nos interactions le sont moins.

Faut-il pour autant rejeter la solution technique pour réunir des personnes ? Bien sûr que non, mais il faudrait peut-être s’en tenir au terme de *mutualisation* plus que de coopérative qui repose sur des valeurs autres qu’un intérêt économique commun.

Il y a un réel enjeu de société ici que le web a (peut-être ?) perdu avec le temps. **Avec quels types de liens veut-on tisser nos relations ?**

> En déplaçant le débat de l’intelligence collective vers la gouvernance algorithmique, on a défait le lien tenu et fragile qui faisait du web des communautés un espace dans lequel les contributions individuelles entretenaient un lien avec des formes collectives.
>
> […]
>
> Il y a quelque chose de paradoxal et de particulièrement ambigu dans les ressorts norminatifs du discours d’économisation du web. Pour critiquer le pouvoir économique des plateformes, il mobilise une anthropologie individualiste qu’il a par ailleurs rendue responsable de l’affaiblissement des pratiques coopératives du web des pionniers.
>
> <cite>*Qu’est-ce que le Digital Labor ?*, Dominique Cardon</cite>

*Je recommande vraiment cet ouvrage co-écrit avec Antonio A. Casilli.*