title: Histoires de données
slug: histoires-donnees
date: 2016-03-21
chapo: La libération des algorithmes passera par la documentation de leurs données et de leurs finalités.

> Pour Daniel Le Métayer, les informaticiens doivent s’interroger pour améliorer cette situation. La transparence ne peut se résoudre par la publication du code source d’un programme. Ça serait utile, mais ça n’aiderait pas grand monde. Expliciter le mode opératoire détaillé d’un logiciel également. L’important est de documenter les données qu’il exploite en entrée. Quelles données sont prises en compte, et quels sont leur incidence, leur impact ? Quels sont les critères qui jouent favorablement ou défavorablement lors d’une demande de prêt par exemple ? Il est nécessaire d’extraire les traits distinctifs de leurs fonctionnements pour permettre à tous de mieux les apprécier. 
>
> […]
>
> Pour Antoinette Rouvroy, l’enjeu n’est pas d’exiger la transparence du code, mais celle des finalités, pour autant qu’elles ne se réduisent pas à de la communication commerciale. Ainsi nombre d’algorithmes ont pour finalité d’améliorer l’expérience utilisateur d’un site. Mais cette raison n’est pas une explication suffisante : améliorer l’expérience utilisateur signifie le plus souvent chercher à vous faire rester plus longtemps sur le site ou vous pousser à consommer. Pour bien des sites de commerce en ligne, l’enjeu n’est pas d’améliorer l’expérience, mais de faire du *datapricing*, c’est-à-dire de la tarification algorithmique. 
>
> […]
>
> C’est justement l’enjeu de l’*accountability*, rappelle Le Métayer, de l’idée de rendre des comptes, de la responsabilité ou de la loyauté des algorithmes. Si on a du mal à effectuer des contrôles a priori, il est nécessaire d’exiger que ceux qui possèdent des données, qui procèdent à des traitements aient des comptes à rendre sur la manière dont ils utilisent les données. Nous avons besoin d’imposer des règles contraignantes, comme nous le faisons sur les données financières ou les fichiers de police… 
>  
> <cite>*[Algorithmes et responsabilités](http://www.internetactu.net/2016/03/16/algorithmes-et-responsabilites/)* ([cache](/david/cache/814e6d0f0086ed7892633b555160f2b2/))</cite>

On parle beaucoup d’ouverture des algorithmes en ce moment, en particulier à travers l’ouverture du [code des impôts](https://www.etalab.gouv.fr/codeimpot-un-hackathon-autour-de-louverture-du-code-source-du-calculateur-impots) ([cache](/david/cache/037c1290a99c2e030ab70f72d4797092/)). Or il me semble que l’ouverture d’un algorithme est une première étape nécessaire mais loin d’être suffisante, lorsqu’on appose une licence ouverte sur un code on ne fait pas pour autant du logiciel libre, [« juste » de l’Open-Source](/david/blog/2013/open-source-solidarite/). C’est la compréhension des tenants et des aboutissants qui est intéressante, c’est l’historique des décisions qui ont conduit à la matérialisation informatique de ces choix. **La libération des algorithmes passera par la documentation de leurs données et de leurs finalités.**

> C’est l’objet de mon travail : les algorithmes, il y a des gens qui les fabriquent. Et ces gens qui les fabriquent ne le fabriquent pas pour rien - la mesure d’efficacité qui est au bout dépend d’une intention initiale. Une partie du travail que peut  faire l’anthropologie ou la sociologie des algorithmes, la sociologie des algorithmes, c’est d’essayer de comprendre quelle est la vision du monde, les représentations, que se sont données ceux qui les fabriquent pour que le calcul d’efficacité à la fin produise tel ou tel genre de résultat.
>
> <cite>*[Les algorithmes n’ont pas les pleins pouvoirs](http://www.archivesdupresent.com/video/25/)* ([cache](/david/cache/7fc96371df2b8ee0c932dd6e2d2f4c25/))</cite>

Je pense que le format des *User Stories* :

>  En tant que <qui\>, je veux <quoi\> afin de <pourquoi\>.

ou leur évolution que je préfère les [Job Stories](https://medium.com/the-job-to-be-done/replacing-the-user-story-with-the-job-story-af7cdee10c27) ([cache](/david/cache/f31342ab50cd32140a9511ff424043fc/)) qui se base sur une situation plus qu’un profil :

> Lorsque <situation\>, je veux <quoi\>, pour pouvoir <résultat attendu\>.

nous donne un formalisme que l’on pourrait réutiliser pour documenter ces algorithmes. Les *Data Stories* pourraient prendre cette forme :

> Avec <ces données\>, je veux <quoi\>, afin de <pourquoi\>.

Ce qui donnerait par exemple :

> Avec *les 20 dernières interactions de l’utilisateur*,  
> je veux *personnaliser sa timeline*  
> afin de *rendre sa lecture plus pertinente*.

Cela demanderait à être davantage détaillé pour être pertinent mais ça donne déjà une idée, imaginons maintenant que la publication de ces histoires soit un avantage compétitif pour un service qui a plus à gagner à divulguer sa logique aux utilisateurs qu’à la cacher à la concurrence. **Imaginons une société où la transparence et la co-construction des algorithmes génèrent suffisamment de valeur pour que cela devienne un modèle d’affaires.**

À quand des Conditions Générales de Transformation de la Donnée ? Dans quelle mesure est-ce que ces conditions s’intègrent dans un [code social](/david/blog/2016/code-social/) ? La [responsabilité](/david/blog/2016/donnees-responsabilite/) des [développeurs](/david/stream/2015/02/28/) ne devrait-elle pas être davantage partagée ?
