title: Instantané Scopyleft
slug: instantane-scopyleft
date: 2016-06-01
chapo: Ce qui suit n’est pas un guide mais un exemple de ce qui peut être fait.

> L’avenir des entreprises est d’être en réseau, de proposer des services en pair à pair, d’être des plateformes distribuées et autogérées. La nature change plus lentement que la culture, la gouvernance ou la technologie. Les entreprises connectées sont appelées à être agiles, “glocales”, basées sur l’humain… Les institutions de demain doivent devenir des systèmes vivants. Elles doivent se penser comme des systèmes d’exploitation avec lesquels les gens peuvent contribuer… Elles doivent coder leurs valeurs dans leur mode d’organisation même.
>
> Reste à savoir comment. Dans cette présentation qui déroulait tous les mots clefs attendus… chacun pouvait surtout piocher ce qu’il voulait entendre, sans pour autant partager les mêmes valeurs. 
> 
> <cite>*[A la croisée des économies collaboratives](http://www.internetactu.net/2016/05/27/a-la-croisee-des-economies-collaboratives/)* ([cache](/david/cache/104a7219b1181ceada90c1658b43f201/))</cite>

J’ai beaucoup de questions relatives à [scopyleft](http://scopyleft.fr/) lors des évènements et rencontres. Il s’agit de quelques réponses valides à cet instant *t* et j’insiste sur l’instantanéité car cette coopérative est un cadre de travail vivant.

*Ce qui suit n’est pas un guide mais un exemple de ce qui peut être fait. Je ne sais pas si c’est généralisable ni même reproductible, encore moins si c’est souhaitable.*


## Emploi

Il y a souvent confusion sur ce qu’est scopyleft pour moi et on me demande si je suis passé par la SCOP pour travailler avec Mozilla puis Etalab ou indépendamment en direct. Scopyleft est ma seule entreprise et je suis content de participer à ce projet. Ce n’est pas un regroupement d’indépendants ou une structure artificielle pour faire plus gros dans les appels d’offres.

C’est *notre* coopérative que l’on cultive depuis plus de trois ans, elle est le reflet de *notre* perception du travail.


## Quotidien

Vincent est travailleur itinérant depuis plus de deux ans, Stéphane a franchi le pas cette année. Autant dire que l’on ne se croise pas tous les jours :-). On profite des conférences comme [Mix-IT](/david/blog/2016/mixit-2016/) ou [SudWeb](/david/blog/2016/sudweb-2016/) dernièrement pour se retrouver physiquement et passer du temps ensemble. C’est l’occasion de se synchroniser sur les projets et de s’aligner sur certaines décisions. Le reste du temps on utilise d’autres moyens de communication (messagerie instantanée et visioconférence).

Notre quotidien n’est pas pour autant exclusivement solitaire sachant que l’on coopère pas mal avec des personnes extérieures à la SCOP : [Etalab](http://www.etalab.gouv.fr/), [UT7](http://ut7.fr/) ou [Claude Aubry](http://www.aubryconseil.com/) par exemple.


## Argent

C’est souvent cette question qui fait vriller l’interlocuteur alors je vais essayer de détailler. Tout ce que l’on facture atterri dans un pot commun qui est là pour faire vivre la coopérative et ses membres. Cette entrée d’argent — parfois personnelle (voir paragraphe suivant) — est indépendante des salaires. Les salaires sont [consentis](/david/blog/2013/consensus-consentement/) par les trois employés à hauteur de leurs besoins ressentis. Nous avons longtemps été à salaires égaux mais ce n’est plus du tout le cas, les rémunérations peuvent évoluer dans le temps et les dividendes (lorsqu’il y en a) tentent d’équilibrer cela. Nous ne nous épuisons pas à capitaliser plus.

**Une relation saine à l’argent ne peut se faire que dans la confiance et la bienveillance.**


## Collaboration

Je travaille actuellement avec Vincent sur [certains](https://github.com/opendatateam/udata) [projets](https://github.com/scopyleft/douane), j’ai participé à [des](/david/blog/2015/travail-transition/) [conférences](/david/blog/2015/pairmutation-travail/) avec Stéphane, je maintiens un autre projet en solo et on expérimente chacun dans nos domaines respectifs pas forcément rémunérateurs (accompagnement, [enseignement](/david/pro/enseignement/), bien-être, etc).

On n’essaye plus de s’imposer la collaboration mais on l’encourage en fonction de la motivation et de l’énergie à ce moment là. C’est assez éloigné de ce que l’on a cherché à faire par le passé en travaillant tous ensemble régulièrement.


## Horaires

On ne comptabilise pas les heures de travail ou les vacances. Ça peut sembler être une [entorse violente](/david/blog/2016/stages-informatique/) au code du travail mais on préfère s’en référer à notre bien-être ressenti. Si l’un de nous a besoin de prendre une semaine ou un mois *off* il les prend. Si l’un de nous a besoin de passer une année à mi-temps pour découvrir son fils il le fait. Si l’un de nous souhaite explorer un pays sans être sûr d’y trouver une connexion on fait avec.

*Tout cela indépendamment de la rémunération que l’on estime être un besoin non indexé sur la force de travail.*


## Inspiration

> A les entendre témoigner, on voit bien que ces formes organisationnelles se cherchent en avançant, qu’elles expérimentent, testent, essayent. C’est certainement lié au fait que ces “nouvelles méthodes” sont peu documentées, nécessitent d’être adaptées et qu’elles ne sont pas si simples à mettre en place et à faire perdurer face à des organisations qui évoluent sans cesse, notamment quand elles sont petites et qu’elles veulent demeurer agiles.
>
> <cite>*[Travailler de manière collaborative, oui ! Mais comment s’organiser ?](http://www.internetactu.net/2016/05/31/travailler-de-maniere-collaborative-oui-mais-comment-sorganiser/)* ([cache](/david/cache/b7a5a3a1fcafe622f9340d53399d3bf6/))</cite>

On me demande régulièrement aussi si ça ne se rapproche pas de X (X pouvant être l’Holacratie, le salaire à vie ou autre). Peut-être. Les sources d’inspiration sont nombreuses mais l’on n’essaye pas d’appliquer une méthode à la lettre. Au même titre que l’on n’applique pas Scrum mais on expérimente dans une culture agile. On itère et on recrée le cadre s’il le faut. **La différence permet de chercher ses propres solutions.**


Voilà certaines raisons pour lesquelles j’ai du mal à envisager de quitter scopyleft même si c’est pour [m’intégrer dans une nouvelle culture](/david/blog/2016/dechirance-nationalite/). J’ai l’impression d’être allé beaucoup trop loin dans ma relation au travail pour pouvoir revenir en arrière sans faire une dépression ! C’est aussi pour cela que je me sens très loin de certaines discussions et relations liées au travail que je ne peux (mal)heureusement plus vivre. Il n’y a plus de bouc-émissaires autres que nos propres contradictions, le travail devenant une matière à part entière que nous explorons ensemble.

*Il faudra que je vous parle d’éducation un de ces jours, j’ai le sentiment d’être dans le même type de dimension parallèle…*
