title: Militantisme festif
slug: militantisme-festif
date: 2016-12-12
chapo: Prendre le temps d’accompagner, pour une fois cela ne sera pas (seulement) pour « réparer la wifi ».

> The main point I want to make is that you, dear reader, are almost certainly in the top category of computer skills, level 3. […] Overall, people with strong technology skills make up **a 5–8% sliver of their country’s population**, whatever rich country they may be coming from. Go back to the OECD’s definition of the level-3 skills, quoted above. Consider defining your goals based on implicit criteria. Or overcoming unexpected outcomes and impasses while using the computer. Or evaluating the relevance and reliability of information in order to discard distractors. Do these sound like something you are capable of? Of course they do.
>
> What’s important is to remember that **95% of the population** in the United States (93% in Northern Europe; 92% in rich Asia) **cannot do these things**.
>
> You can do it; 92%–95% of the population can’t.
>
> <cite>*[The Distribution of Users’ Computer Skills: Worse Than You Think](https://www.nngroup.com/articles/computer-skill-levels/)* ([cache](/david/cache/d1ba3714c51ac038a9fec5c578bcd0d8/))</cite>

Les vieux sont dépassés, les jeunes [savent à peine jouer](https://nicolaslegland.wordpress.com/2013/08/15/les-enfants-ne-savent-pas-se-servir-dun-ordinateur/) ([cache](/david/cache/6c60dd84f64890566da6dc74de7d2dd3/)) et votre génération [ne comprends pas grand chose non plus](https://www.blog-libre.org/2016/12/09/du-sens/) ([cache](/david/cache/5685ce6e3c7b5f8f8cf590630ecd78af/)). Si vous me lisez, il y a de grandes chances que vous fassiez partie des 5% évoqués. Pourquoi ne pas profiter de l’ambiance festive entre les trolls sportifs et les discussions politiques (ou l’inverse) pour [éduquer sur l’état du web](https://www.miximum.fr/blog/conf-cdl-2016/) ([cache](/david/cache/858e0a442225f1fcb544f42b88cf28ba/)) et pointer quelques pistes pour améliorer la situation ? Je vais essayer de découper ça en quelques usages concrets et pistes d’outils à proposer, vous  pouvez [aller beaucoup plus loin avec macOS](https://github.com/drduh/macOS-Security-and-Privacy-Guide) ([cache](/david/cache/8c60d76bd5445b36ad20e7279bb67864/)).


## Navigation

*Le pitch : votre navigation laisse des traces qui sont exploitées, les limiter permet de respecter votre vie privée et d’améliorer les performances de navigation.*

N’importe quel bloqueur de publicité sera déjà mieux que rien. Je recommande [uBlock](https://github.com/gorhill/uBlock) et [Ghostery](https://www.ghostery.com/try-us/download-navigateur-extension/) comme base pour les utilisateurs de Firefox. Votre voisin de droite va probablement évoquer le *business-model* associé et celui de gauche la rémunération des auteurs, soyez prêt :-).

Ces jours-ci j’utilise plutôt [uMatrix](https://github.com/gorhill/uMatrix) en mode très agressif. La moitié du Web se retrouve être très blanche mais je considère que c’est la mauvaise. En gros si le mode Lecteur de Firefox ne trouve pas votre contenu et/ou si vous dépendez d’un CDN pour inclure dynamiquement le contenu de vos articles (ça arrive plus souvent que vous ne le croyez…) il y a peu de chance que je continue.

Dernière chose pour les plus aguerris, j’ai longtemps utilisé [hosts zero](http://someonewhocares.org/hosts/zero/) et je suis récemment passé à [une base consolidée](https://github.com/StevenBlack/hosts/). Si vous trouvez que c’est redondant avec vos extensions navigateurs, sachez que des solutions comme [Electron](https://drewdevault.com/2016/11/24/Electron-considered-harmful.html) ([cache](/david/cache/b9b6d921a44a7b2d1b01da6f20228667/)) contournent justement vos protections. L’utilisation de [LittleSnitch](https://www.obdev.at/products/littlesnitch/index.html) permet de le vérifier (oui, Slack « Desktop » vous traque avec Google Analytics par exemple).

Vous pouvez en profiter pour évoquer [DuckDuckGo](https://duckduckgo.com/) ou [Qwant](https://www.qwant.com/).


## Communication

> Prétendre que votre droit à une sphère privée n’est pas important parce que vous n’avez rien à cacher n’est rien d’autre que de dire que la liberté d’expression n’est pas essentielle, car vous n’avez rien à dire.
>
> <cite>Edward Snowden</cite>

*Pitch : vos échanges personnels passent par les ordinateurs de plusieurs autres personnes (le claoude), qui peuvent très probablement les lire au passage.*

Remplacer les messageries d’Apple ou Facebook est très difficile car cela demande aux interlocuteurs de le faire ensemble, s’ils sont dans la même pièce c’est beaucoup plus facile pour se coordonner ! Hop, entre les huitres vegan et le fois gras sans gluten [Signal](https://whispersystems.org/) party pour tous. Pour les plus téméraires il y a aussi [Ricochet](https://ricochet.im/). Les secrets de famille resteront dans la famille.

Au passage, si vous avez l’occasion d’échanger en visio avec vos proches — au hasard car un océan vous sépare — vous pouvez montrer la simplicité de WebRTC, via [Jitsi](https://meet.jit.si/) par exemple. Pour les utilisateurs du courriel, vous pouvez aussi orienter vers [ProtonMail](https://protonmail.com/) ou entreprendre des [changements plus profonds](http://mathieu.agopian.info/blog/quitter-gmail.html). Possible si le repas dure aussi plus de quatre heures chez vous.


## Partage

*Pitch : quand vous pensez partager des photos avec une personne en les téléversant vers une plateforme, il y a beaucoup plus de monde qui y a et/ou y aura accès.*

Encore une fois c’est le type de besoin où il vaut mieux être ensemble pour faire le grand saut face à des positions monopolistiques (coucou Dropbox). Mon choix actuel repose sur [Tresorit](https://tresorit.com/) qui fonctionne plutôt bien et permet de partager des fichiers avec expiration, limitation du nombre de téléchargements et mot de passe.

Pour ceux qui ont reçu une lettre de la Haute Autorité DOPI, vous pouvez donner quelques pistes pour rester en dessous des radars (limitation de bande passante, port aléatoire, blacklist, etc) et pointer vers des VPN mais je n’ai malheureusement trouvé aucun fournisseur recommandable pour l’instant. Idéalement il m’en faudrait un avec au moins une sortie au Canada et une autre en France (merci Arte).


## Sauvegarde

> The condition of any backup is unknown until a restore is attempted.

*Pitch : les plateformes ne sont pas des solutions de sauvegarde, elles vont disparaitre et vous n’aurez pas les compétences techniques pour récupérer l’ensemble de vos productions.*

Il y a beaucoup d’options dans le domaine, j’ai tendance à privilégier [Arq](https://www.arqbackup.com/) pour cet usage car Tresorit ne permet pas de sauvegarder plus d’un téraoctet. Arq permet de choisir le lieux de stockage (qui peut aussi être n’importe quel SFTP) et comme c’est chiffré avant envoi c’est moins problématique d’aller déposer ça sur l’ordinateur d’un autre.

Il faudra que je tente [bup](https://github.com/bup/bup) à l’occasion mais ça demande de savoir manier la ligne de commande alors on est hors-sujet.


## Mots de passe

*Pitch : inutile d’avoir un coffre fort si la clé est sous le paillasson.*

Ici les usages divergent un peu, entre ceux qui font confiance à leur navigateur, ceux qui alternent entre plusieurs mots de passe forts et ceux qui ont des solutions système. Mais certaines utilisations [peuvent vous surprendre](/david/blog/2016/mots-passe-physiques/), la miss utilise systématiquement le lien pour se faire envoyer un nouveau lien de connexion par exemple et met un truc random (imaginez les dégâts si vous êtes en *two-factor auth* suivi d’un départ à l’étranger…).

Au final, la recommandation est peut-être de ne surtout pas retrouver son mot de passe dans les [listes connues](https://github.com/danielmiessler/SecLists/tree/master/Passwords). Idem pour les [codes](http://techland.time.com/2011/06/13/the-10-most-popular-iphone-passwords-starring-1234/) ([cache](/david/cache/eb48eb13925cfc0f6f2ab925ca716b32/)) et [patterns](http://www.androidauthority.com/lock-pattern-predictable-636267/) ([cache](/david/cache/c3debc564291e372388fcf50a98b2553/)) des téléphones.

**Militer festivement c’est prendre le temps d’accompagner, pour une fois cela ne sera pas (seulement) pour « réparer la wifi ».** Il ne s’agit pas de rester dans la théorie mais bien de manipuler des ordinateurs, aussi miniaturisés soient-ils. Il ne s’agit pas non plus d’imposer, le droit à l’oubli peut être volontaire, la publicité ciblée une nécessité capitaliste et l’enrichissement des 1% un accomplissement personnel.

Joyeux [Nowwwel](https://twitter.com/i/moments/804988777873674240) ([cache](/david/cache/d458bba4b728c236614afce69c252389/)) !

Quelques liens pour aller plus loin :

* [Dégooglisons Internet](https://degooglisons-internet.org/)
* [Guide d’autodéfense numérique](https://guide.boum.org/)
* [Autoprotection Digitale Contre la Surveillance](https://ssd.eff.org/fr)
