title: Espace et temps
slug: espace-temps
date: 2017-05-01
chapo: Ce ne sont pas tant les inégalités que leur visibilité qui est critique dans une société.

> In other words, we should not take too much comfort from the fact that the global internet first evolved thanks to cooperative capitalists, not competitive socialists: the story of the Soviet internet is a reminder that we internet users enjoy no guarantees that the private interests propping up the internet will behave any better than those greater forces whose unwillingness to cooperate not only spelled the end of Soviet electronic socialism but threatens to end the current chapter in our network age.
> 
> <cite>*[How the Soviets invented the internet and why it didn't work](https://aeon.co/essays/how-the-soviets-invented-the-internet-and-why-it-didn-t-work)* ([cache](/david/cache/8fa0536930642be50d2c53d74056d413/))</cite>

J’ai de plus en plus le sentiment que les cycles (d’ouverture aux autres ⟳ repli sur soi) sont intimement liés à notre rapport à la technologie. Et plus particulièrement aux effets que la technologie a sur notre relation à l’espace et au temps. Comme un mécanisme d’auto-protection, lorsque les autres se rapprochent de trop, on se renferme d’autant plus dans notre bulle : égoïsme, survivalisme, nationalisme. Il faut alors le temps de l’acceptation de ces changements et certains évènements comme la guerre favorisent probablement la prise de recul nécessaire à large échelle.

Le numérique (incluant le Web) contribue à la compression de l’espace et du temps. Il permet de prendre conscience à la fois du côté des privilégiés qu’ils le sont d’autant plus et du côté des exploités qu’ils sont nombreux. **Ce ne sont pas tant les inégalités que leur visibilité qui est critique dans une société.** Lorsqu’un outil accroit cette visibilité instantanément et en tout lieu, il est normal que des processus de rétro-actions se mettent en route au service d’une stabilité sociale qui s’apparente au fascisme.

Dans quelle mesure est-ce que cette cyclicité est inéluctable ? Est-ce qu’il est souhaitable de participer au contre-pouvoir ou au contraire de l’accélérer pour passer plus rapidement au prochain cycle ? Mes propres explorations dans la dualité allouée au numérique en tant que *pharmakon* me font douter de sa nature éducative au sens où l’entend Seymour Papert :

> A few talked about the computer as a teaching machine. This book too poses the question of what will be done with personal computers, but in a very different way. I shall be talking about how computers may affect the way people think and learn. I begin to characterize my perspective by noting a distinction between two ways computers might enhance thinking and change patterns of access to knowledge.
>
> <cite>*Mindstorms*, Seymour Papert</cite>

Le passage à l’échelle est trop brutal pour qu’il soit compréhensible et intégrable, l’accompagnement requérant un temps long s’il doit se faire sans violence. Notre capacité à entrevoir les possibles se trouve être masquée par nos dégoûts de l’actuel que nous n’arrivons pas à changer suffisamment rapidement alors qu’ils se trouvent être chaque jour plus visibles.

L’acceptation de ces *fake news* est un moyen d’auto-défense envers une réalité qui nous dépasse. De protection d’une intégrité qui pourrait voler en éclats en cas de déstabilisation trop forte. Il s’agit d’un criant besoin de repères sur un territoire nouveau qui manque de mécanismes de contrôle traditionnels, le fascisme étant avant tout un mal-être externalisé.

> Lorsqu’une activité outillée dépasse un seuil défini par l’échelle *ad hoc*, elle se retourne d’abord contre sa fin, puis menace de destruction le corps social tout entier.
>
> <cite>Ivan Illich cité dans *[Rencontre improbable entre von Foerster et Snowden](https://arxiv.org/ftp/arxiv/papers/1507/1507.00310.pdf)* ([cache](/static/david/blog/rencontre-foerster-snowden.pdf))</cite>

Chacun essaye de (sur)vivre dans son propre processus d’individuation, composant avec les altérités des différents niveaux qui l’entourent. En embrassant la complexité du monde d’une part, en acceptant la fragilité du soi d’autre part. Comment revenir à des outils numériques proposant une échelle compréhensible par tous ? Quelle est notre limite cognitive actuelle vis-à-vis des liens facilités par la technologie ?

En relisant la définition des [outils conviviaux](/david/blog/2013/outils-conviviaux/), je ne peux m’empêcher de penser que [ScuttleButt](/david/blog/2017/confiance-transparence/) donne des pistes en matière de stockage et d’échanges mais surtout de moyens de mise en relation. Une [FAQ](https://www.scuttlebutt.nz/faq/) vient d’être publiée afin de mieux comprendre les concepts sous-jacents et notamment comment les connexions sociales sont réalisées.

La où la *disruption* mène à la violence, la réduction favorise l’apaisement. C’est l’un de mes [objectifs actuels](/david/blog/2017/echanger-supprimer-rebondir/) en tant que [développeur web](/david/blog/2017/web-developer/) de résister à l’un et de tendre vers l’autre.

*Merci à [Aurélien](https://latitude77.org/) de m’avoir ouvert des perspectives, vous devriez travailler avec lui.*