title: Commodité et effondrement
slug: commodite-effondrement
date: 2018-04-23
chapo: Ce cercle anxiogène qui nous mène dans le mur.

<details lang=en>
  <summary>Summary in English</summary>
  <p>Convenience leads to luxury which leads to slavery which leads to centralization which leads to convenience. And we are (almost) all sad about that. A few leads before we hit the wall.</p>
</details>


## Commodité

> « Cette vision est si séduisante qu’elle a fini par dominer notre existence. La plupart des technologies puissantes et importantes créées au cours des dernières décennies offrent une commodité au service de la personnalisation et de l’individualité. Pensez au magnétoscope, à la liste de lecture, à la page Facebook, au compte Instagram. Ce genre de commodité n’est plus une question d’économie de travail physique – beaucoup d’entre nous n’en font pas beaucoup de toute façon. Il s’agit de minimiser les ressources mentales, l’effort mental, nécessaire pour choisir parmi les options qui s’expriment. La commodité est un simple clic, un guichet unique, l’expérience transparente de « plug and play ». L’idéal est la préférence personnelle sans effort. »
>
> <cite>*[La tyrannie de la commodité](http://www.internetactu.net/a-lire-ailleurs/la-tyrannie-de-la-commodite/)* ([cache](/david/cache/f33e6b263592725283a74547db24e04b/))</cite>

Quel prix est-on collectivement prêts à payer pour réduire cet effort ? Combien de personnes asservies ? Combien de ressources définitivement transformées ? [Combien de serveurs pour allumer une ampoule ?](https://twitter.com/internetofshit/status/986006653605687296) Jusqu’où peut-on encore aller entre le ridicule et l’inconscience ?

La commodité est une nouvelle forme de luxe permettant de différencier ceux et celles qui peuvent en profiter des autres. Ces personnes privilégiées sont en capacité d’affirmer une forme de snobisme car elles se trouvent dans une situation de moindre insécurité.

Et elles souhaitent le rester, c’est peut-être là tout l’enjeu.


## Luxe

> My ability to avoid Facebook comes from privilege — I have existing social contacts with whom I know how to stay in touch without using Facebook's network. My job does not require that I use Facebook. I can afford the time and expense to communicate with my electoral representatives and political allies via other channels.
>
> Many people do not have these privileges and are compelled to "opt in" on Facebook's non-negotiable terms.
>
> […]
> 
> Privacy should not be a luxury good, and while I'm happy to encourage people to opt out of these subtle and socially fraught arrangements, I do not argue that anyone who has signed up has somehow relinquished concerns about their privacy. We need to evaluate privacy concerns in their full social contexts. These are not problems that can be resolved on an individual level, because of the interpersonal nature of much of this data and the complexities of the tradeoffs involved.
> 
> <cite>*[Facebook Is Tracking Me Even Though I’m Not on Facebook](https://www.aclu.org/blog/privacy-technology/internet-privacy/facebook-tracking-me-even-though-im-not-facebook)* ([cache](/david/cache/f7c6c2e7ad13507e23628638cad87963/))</cite>

Or cette insécurité conduit à l’embrigadement et à la manipulation de masse qui eux-mêmes contribuent à perpétuer ce système mortifère. On se retrouve dans un cercle qui est tout sauf vertueux et les adeptes de la commodité ne sont pas épargnés pour autant car ils sont sujets à la culpabilité de garder une bonne moitié de la planète comme main-d’œuvre bon marché. Pour ne pas dire esclaves.


## Esclavage

> Nos privilèges découlent uniquement de la pyramide sociale et de l’exploitation de ceux qui sont en dessous. C’est vrai a l’échelle du pays, où le top 20% est très loin d’apporter autant de valeur à la société qu’il n’en consomme. C’est aussi vrai à l’échelle mondiale où le niveau de vie français se base principalement sur les conditions de travail et l’exploitation des ressources des pays dits « en développement ».
>
> Qui pense donc qu’il produit et contribue 100 fois plus que celui qui se tue – littéralement – au travail à l’usine en Asie du sud-est ou celui qui essaie autant que possible de survivre à la misère ou à la guerre dans certaines parties d’Afrique ? Quand je vois les 0,1% les plus privilégiés ont un ratio de richesse probablement bien plus proche du million… Qui peut sérieusement prétendre apporter un million de fois plus que quiconque ?
>
> <cite>*[La chance et le privilège](https://n.survol.fr/n/la-chance-et-le-privilege)* ([cache](/david/cache/74d84924951a6a97ffb43d0b1401a978/))</cite>

Le pire étant peut-être que ces bénéficiaires de la commodité font tout pour à la fois faire l’autruche mais intimement aussi conserver cet état de fait avec ce sentiment de supériorité. Ce qui s’avère là aussi alimenter cette roue anxiogène.

Sans compter la déprolétarisation dont nous sommes les objets et qui nous pousse à la consommation et à l’abrutissement volontaire. Voire à l’auto-mutilation si l’on en croit la flambée de l’usage des drogues et médicaments.

Ce vide, cette désindividuation, sont exacerbés par le numérique qui contribue à accélérer la perte de certains savoirs au profit de la commodité.


## Capacitation

> "Le numérique" est souvent présenté comme un outil de "capacitation", qui nous donne de nouvelles capacités, alors qu'il n'est le plus souvent un outil de facilitation (ce qui n'est déjà pas si mal). 
>
> […]
> 
> Confondre ou assimiler facilitation et capacitation n'est pas simplement un abus de langage mais une erreur méthodologique qui empêche d'isoler les invariants sur lesquels jouer pour atténuer les potentialités de nuisance et augmenter celles de résistance ou d'empathie. 
>
> Car seule la capacitation authentique est porteuse d'émancipation alors que les logiques de facilitation se contentent le plus souvent de reproduire des effets de rente déjà connus en les monétisant ou en les déployant à une échelle différente. 
> 
> <cite>*[La caisse de grève crowdfundée. C'est (l'uberisation de) la lutte finale.](http://affordance.typepad.com/mon_weblog/2018/04/uberisation-de-la-lutte-finale.html)* ([cache](/david/cache/f677efe72cd0411f9b1a1261450df3da/))</cite>

Malheureusement, le numérique qui aurait pu (pourrait encore ?) être un moyen de s’émanciper de cette relation n’a fait que l’aggraver avec les dérives que l’on commence à peine à mettre à jour.

Il y a pourtant tous les ingrédients pour emprunter une autre voie mais la recette semble être hors de portée. L’intelligence collective peinant à se transformer en action collective. Faute de temps ?


## Accélération

> Every cultural object we aestheticize and consume — “the most everyday choices of everyday life, e.g., in cooking, clothing or decoration,” Pierre Bourdieu writes in his 1984 book *Distinction: A Social Critique of the Judgement of Taste* — is a significant part of our identities and reflects who we are. “Taste classifies, and it classifies the classifier,” Bourdieu adds. If our taste is dictated by data-fed algorithms controlled by massive tech corporations, then we must be content to classify ourselves as slavish followers of robots.
>
> <cite>*[What Does The Amazon Echo Look Mean For Personal Style?](https://www.racked.com/2018/4/17/17219166/fashion-style-algorithm-amazon-echo-look)* ([cache](/david/cache/58665f820bf600a356e9f6bbad02400f/))</cite>

Les algorithmes comme machines à classer pour mieux uniformiser, pour prendre le contrôle sur la volonté propre et se désintéresser des besoins primaires.

La captation du temps avec pour promesse celle d’en profiter davantage avec une personnalisation accrue. Si tant est [qu’elle soit possible](http://www.internetactu.net/2017/09/27/comment-nous-passer-de-la-personnalisation/) ([cache](/david/cache/0d020640f938182ac3368bcf41844594/))…


## Ingénieurs

> The relational database is a glorious invention, but for most programmers it doesn’t need to be more than an appliance. Sure, take the time to learn how the drying tumbler machine works, it may well save you a service call to a specialized technician one day. But it’s hardly a requirement for living with such a device and getting your clothes dry.
>
> The relegation to “appliance status” isn’t a dig, but an honor. It means we’ve finally made the technology and the abstraction so good that many, if not most, programmers don’t even have to think about it on a daily basis.
>
> It also means it’s become a commodity.
>
> <cite>*[Conceptual compression means beginners don’t need to know SQL - hallelujah!](https://m.signalvnoise.com/conceptual-compression-means-beginners-dont-need-to-know-sql-hallelujah-661c1eaed983)* ([cache](/david/cache/b8a65978c91a2b16646ac8a02f943258/))</cite>

Les ingénieurs et les développeurs en particulier sont des générateurs de commodité. À commencer par eux-mêmes. Il est préoccupant de remarquer qu’un emballement local (coucou JS !) conduit à autant de fatigue. *Quid* d’un passage à l’échelle, quelle est notre finalité lorsqu’on tente de reproduire ces couches d’abstractions au niveau d’une société ?

Le monde est qu’on le veuille ou non façonné par nos créations qui ont la faculté de pouvoir toucher instantanément une large partie de la population.


## Centralisation

> La centralisation est une autre forme de contraintes et n'est pas requise pour atteindre la « convenience, » la commodité. La centralisation peut permettre l'émergence de certains services et structures qui bénéficient à l'ensemble d'un groupe. Mais ce bénéfice vient avec l'abandon d'autres libertés. C'est ce choix là qui vient toucher à notre intimité profonde. Nous voulons être libres. Ce désir de liberté motive nos choix ajusté en fonction de nos contraintes matérielles et psychologiques.
> 
> <cite>*[Centralisation et choix pratique](http://www.la-grange.net/2018/04/19/centralisation)* ([cache](/david/cache/16510b73d5aae5c1abb065936a0eaa0d/))</cite>

Je n’arrive pas à identifier de cas de commodité qui ne passent pas par une centralisation. Elle est pour moi requise car c’est sa marque de fabrique : confisquer un savoir-faire en le rendant accessible au plus bas coût. Accessible mais non compréhensible ni modifiable. Il y a une certaine ironie à ce que toute cette commodité numérique repose en grande partie sur des bibliothèques *open-source* au passage.


## Misanthropie

> Pris dans un flux de signes, dans des luttes économiques pour la survie ou pour la distinction, vivant sur les réseaux “sociaux” dans l’informalité complète, l’attention intermittente, le décompte des copains, la désillusion ironique, il s’étonne de sentir monter en lui, par épisodes, l’inconvenance ou la bizarrerie, et de voir la distance civile céder toujours plus de terrain à l’affolement relationnel généralisé, à mesure que la paupérisation guette.
>
> La croyance obligée dans le “bonheur” comme valeur unique ou but accessible, est devenue sa névrose, et compte tenu du mensonge qu’elle charrie, la source d’un ressentiment explosif. […] Tout cela, sans aucun doute, dessine un circuit neuf de la violence, un nouveau rapport du désir à la frustration, du signe à l’affect, de la répression au transfert. Toute une énergétique nouvelle
>
> <cite>*[L’ensauvagement du web](https://theconversation.com/lensauvagement-du-web-95190)* ([cache](/david/cache/07f1fb28b17eb86cd509fa82a3885f22/))</cite>

En suivant toutes ces ramifications, ma conclusion est loin d’être glorieuse et me fait de plus en plus douter. J’ai de plus en plus l’impression que nos [spirales](/david/stream/2018/04/07/) vont inéluctablement s’inverser et finir dans un entonnoir débouchant sur la bêtise et la barbarie.

Néanmoins, il me reste encore un peu d’espoir.


## Pistes

Dans mes tentatives d’imaginer un [monde plus résilient pour demain](https://www.youtube.com/watch?v=3q54510-HW8), j’essaye de me raccrocher à certaines branches pour ne pas chuter trop bas dans l’aigreur et la dépression. À ce titre, mes [balades en forêt](/david/bushcraft/) sont salutaires en revenant à des basiques et à leurs valeurs. Mais ce n’est pas suffisant.

### Spiritualité

*Note : je parle bien ici de spiritualité et non de religion qui n’en est qu’une forme d’instanciation inadaptée aux défis actuels.*

> Avec le biopouvoir, on n’est plus là-dedans, on est dans l’entreprise de soi, et le « contrôle », qui est un paradigme différent, un autre mode de gouvernementalité. Cela ne passe plus par la discipline, mais justement par la prise de risque individuelle et par l’illusion de l’autonomie de sa conduite. Aujourd’hui, on est pris dans un capitalisme cognitif et affectif  qui embarque les subjectivités, non pas tant sur un mode disciplinaire, mais beaucoup plus sur le mode de la motivation, soit une mobilisation de l’intérieur des sujets, comme le font les religions.
> 
> <cite>*[« Vivez à vos risques et périls, mais vivez dociles et prévisibles »](http://jefklak.org/vivez-a-vos-risques-et-perils-mais-vivez-dociles-et-previsibles/)* ([cache](/david/cache/db2c574ef79ba59a6f46898fd3843c55/))</cite>

L’État et sa violence légitime qui est de moins en moins légitime craquelle de toutes parts. Inventer de nouvelles formes de gouvernances entre les membres d’un groupe et entre les groupes eux-mêmes pour passer du vivre seul au être et aimer ensemble et croire qu’une alternative est encore possible.

Ne pas forcément penser qu’il y a quelque chose au-dessus mais que l’on peut atteindre ensemble un nouvel état. Tester d’autres échelles, d’autres rapports de force, d’autres mises en communs.


### Congruence

> Full disclosure: I believe that groups are mostly held together by good feelings, and the explicit structure is just an artificial scaffold. Enspiral’s written agreements are important because of what they symbolise, not necessarily because of the precise words they say. I think a group is held together by history and relationships and collaborative meaning-making and amorous feelings and psychological responses and co-imagined futures and shared identity, and yes some written agreements and explicit roles too, but I’m convinced the explicit stuff is just the tip of the iceberg.
>
> The explicit stuff is a lot easier to talk about, because we have shared language for it. So it’s easy for us to get distracted and focus on the agreements and lose sight of the underlying meaning that they signify. It’s easy to confuse *what we say* for *what we mean*. At times during the Enspiral journey, I’ve felt like we’ve given more attention to the abstract structure of our organisation and lost sight of the *tangible things that people are doing*. We mistake the symbols for what they symbolise.
>
> <cite>*[The Vibes Theory of Organisational Design](https://medium.com/the-tuning-fork/the-vibes-theory-of-organisational-design-937a73f791cd)* ([cache](/david/cache/32a683b164cc4bed15fa506b046acbfb/))</cite>

Il faudrait expérimenter d’autres rapports au travail — mais aussi dans la famille — pour passer du travailler seul au faire ensemble. S’autoriser à ré-interroger périodiquement ce qui nous lie et ce qui nous fait avancer dans une direction commune. Accepter l’autonomie et les erreurs.

Ne pas réduire les aspérités mais au contraire s’en servir pour qu’elles deviennent motrices. Trouver des moyens de transmettre ces apprentissages de différentes manières afin de ne pas réduire les émotions associées.


### Agilité

L’agilité comme moyen de transformer l’enseignement en apprentissage. Que les savoirs acquis en groupe devienne une connaissance commune, transformant un *savoir faire* en *pouvoir faire*.

Se remettre en question collectivement de manière itérative et accepter la diversité d’un groupe. Se rendre compte qu’il s’agit à la fois de sa force et de sa faiblesse. Réduire la durée des boucles de rétro-actions. Faire du partage de ces expériences un objectif en soi.

Essaimer, butiner, partager le miel… en espérant ne pas subir le même sort que les abeilles.


## Conclusion

> Quelle chose méprisable que l’homme, s’il ne s’élève pas au-dessus de l’humanité ! Tant que nous luttons contre nos passions, que faisons-nous de si grand ? Même si nous sommes les plus forts, nos victimes sont des difformités. Est-ce de quoi nous vanter, que de ne pas ressembler aux derniers des hommes ? Je ne vois pas que ce soit un motif de satisfaction d’être plus robuste qu’un malade. La différence est grande entre la vraie vigueur et la simple santé. Tu as échappé aux vices ; ton front ne ment pas ; tu ne règles pas ton langage sur la volonté d’autrui ; ton cœur est sans détour ; chez toi aucune trace de cette avarice, qui se refuse à elle-même ce qu’elle enlève aux autres ; de ce luxe qui gaspille honteusement l’argent pour le récupérer plus honteusement encore ; de cette ambition qui ne pousse aux dignités que par des voies indignes. Eh bien ! tu n’es encore arrivé à rien ; tu t’es délivré de bien des maux, mais pas encore de toi-même. La vertu que nous voulons est grande, non que l’absence de mal constitue le bonheur, mais elle donne à l’âme plus de liberté, elle la prépare à connaître le ciel, elle la rend digne de partager le sort de Dieu.
>
> <cite>*Recherches sur la Nature*, Sénèque, 62</cite>

Ce qui m’intéresse aujourd’hui, ce n’est pas tant de détecter [le cygne noir](https://fr.wikipedia.org/wiki/Th%C3%A9orie_du_cygne_noir) qui va mener à l’effondrement, ni même d’envisager les premières semaines qui vont suivre mais de penser à ce qui pourrait être reconstruit ensuite. Quelles valeurs voudra-t-on mettre comme éléments fondateurs de cette nouvelle humanité ? À quelles échelles trouvera-t-on pertinent de se regrouper ? Quels deviendront nos accomplissements à titres individuel et collectif ? Que va-t-on apprendre et transmettre de cette expérience ?

**Tout reste à explorer et c’est notamment ce que je trouve enthousiasmant dans ce futur incertain.**