title: Pauvreté

*Une semaine sous le signe du déménagement. Quasiment seuls, ce qui permet de bien sentir le poids de chaque possession. De soupeser la pertinence d’une telle accumulation. Si seuls les riches peuvent se permettre de ne rien amasser, je dois être encore très pauvre.*

---

> Et même quand on touche à des sujets comme le zéro déchet et le minimalisme, où on prône la décroissance, on tombe sur des discours remarquablement éloignés des réalités économiques. Mais oui, c’est super la cosmétique zéro déchet ! Il n’empêche qu’un dentifrice solide, même s’il dure un an, coûte 12 € à l’achat. Face à un budget riquiqui et instable, la personne précaire continuera d’acheter son dentifrice “plein de merde” (vous le voyez, le jugement de valeur ?) à 1,50 € au supermarché. C’est top d’être minimaliste, mais là aussi c’est une déconstruction qui s’opère quand on a le loisir d’y réfléchir. Quand on est dans une posture où se débarrasser d’un objet n’est pas si grave, parce qu’au pire, si on réalise qu’on en avait quand même besoin, on peut toujours en racheter un — de préférence de meilleure qualité, produit dans de meilleures conditions. Il est plus aisé de se détacher du matériel quand on a pu d’abord le posséder, et quand on sait qu’on pourra le posséder à nouveau si l’envie nous prend.
> 
> <cite>*[Critique d’une écologie privilégiée](https://uninvincibleete.com/2019/03/critique-ecologie-privileges/)* ([cache](/david/cache/ac9de234a2df261d25a57e445c38c128/))</cite>

C’est un point de vue qui se rapproche beaucoup de mes propres réflexions sur le minimalisme. Et c’est la principale raison pour laquelle j’en suis revenu. Merci pour cet article qui appuie là où ça fait mal.

---

> But more worrying to me is that people who can’t afford to pay for privacy will be increasingly giving up their data in return for services that they need to get by in our digital age. We might have reached peak data, but perhaps only for the well-off.
> 
> <cite>*[Have we reached Peak Data?](https://howtomeasureghosts.substack.com/p/have-we-reached-peak-data)* ([cache](/david/cache/1165e1a1d392ddecd3efd4500aaecbf3/))</cite>

Combien de temps avant que les services que j’utilise fassent l’hypothèse que j’ai déménagé ? Aucun moyen de savoir.

---

> En somme, la frugalité (Jugaad en Inde, « Shan-zaï » en Chine, « Gambiarra », « Bacalhau » ou « Jeitinho » au Brésil) est aussi une forme de solutionnisme technologique qui repose, une fois encore, sur la confortable conviction que les pauvres ont toutes les ressources en eux pour s’en sortir, pourvu qu’ils articulent habilement leurs problèmes aux dernières technologies disponibles.
> 
> <cite>*[The next billion users : une immersion dans l’internet des pauvres](https://digital-society-forum.orange.com/fr/les-actus/1218-the-next-billion-users-une-immersion-dans-linternet-des-pauvres)* ([cache](/david/cache/058619b034b096224d8c0f21ff4eee75/))</cite>

Et les riches ont toutes les ressources [pour les contrôler](https://twitter.com/maryhui/status/1138675837165641733) :

> There is usually never a line at the train ticketing machines. Judging from an overheard convo, it appears that people are reluctant to use their rechargeable Octopus cards for fear of leaving a paper trail of them having been present at the protest.

Il faudrait pas non plus qu’ils se mettent à espérer pouvoir sortir de leur état.

---

> However, the recent data I compiled – out of curiosity – showed me the default reality of open source finances, indicating a severe imbalance between work quality and compensation. Full-time maintainers are technically talented people responsible for issue management, security, navigating toxic complaints, while receiving below the poverty threshold.
>
> The struggle of open source sustainability is the millennium-old struggle of humanity to free itself from slavery, colonization, and exploitation. This is not the first time hard-working honest people are giving their all, for unfair compensation.
>
> <cite>*[Software below the poverty line](https://staltz.com/software-below-the-poverty-line.html)* ([cache](/david/cache/874c77a88433b49614e722a90281292c/))</cite>

Pas la première fois non, ça serait un peu la définition du capitalisme en fait…

---

> The rich do not live like this. The rich have grown afraid of screens. They want their children to play with blocks, and tech-free private schools are booming. Humans are more expensive, and rich people are willing and able to pay for them. Conspicuous human interaction — living without a phone for a day, quitting social networks and not answering email — has become a status symbol.
>
> All of this has led to a curious new reality: Human contact is becoming a luxury good.
>
> As more screens appear in the lives of the poor, screens are disappearing from the lives of the rich. The richer you are, the more you spend to be offscreen.
>
> <cite>*[Human Contact Is Now a Luxury Good](https://www.nytimes.com/2019/03/23/sunday-review/human-contact-luxury-screens.html)* ([cache](/david/cache/5f1224df8b7e587fd032721767569295/))</cite>

Et son interprétation en français :

> Le numérique qui était un truc de riche devient un truc de pauvre. Pas assez de moyens dans une école ? Il n'y a qu'à y mettre des écrans. Pas assez de moyens dans un hosto ? Hop, un médecin-écran. On va pouvoir automatiser les maisons de retraite avec des robots, ça coûtera moins cher. À l'inverse, dans une maison de retraite de luxe, on aura toujours une foule d'êtres humains pour s'occuper des pensionnaires. Idem dans un hôpital privé, on aura un médecin en chair et en os pour nous informer. Et de plus en plus d'écoles privées se targuent déjà d'être sans écran.
> 
> <cite>*[Robot pour les pauvres, contact humain pour les riches](http://www.slate.fr/story/176253/robot-medecin-deshumanisation-inegalites-ecran-pauvres)* ([cache](/david/cache/5d29ea37c81982d791e3be8781ddd3b0/))</cite>

Pauvre de nous.

---

*Explorer un nouvel endroit. En marchant, en courant, en photographiant, à vélo. Découvrir de nouvelles sensations et de nouvelles personnes. Se retenir d’aller trop vite pour savourer ces moments.*
