title: Désespérance

*J’aime le rythme des saisons, je me demande ce que cela fait de vivre proche de l’équateur. L’impression que chaque jour se répète inlassablement. Dans quelle mesure la saisonnalité encourage la prise de recul ?*

---

> Ernst Bloch avait identifié le « principe espérance » comme cette force dynamique qui fait avancer l’humanité en quête de progrès. Ce n’est alors pas sans raison, peut-être, que Bakhtine indiquait que les carnavals permettent l’expression des « espérances populaires ». Mais y a-t-il aussi, du côté des rebelles d’aujourd’hui, un « principe désespérance » qui pousse à agir même lorsque l’action paraît vaine, lorsque le rapport de force est si défavorablement asymétrique que la révolution est plus que jamais nécessaire, mais parait plus que jamais improbable, pour reprendre les mots du pamphlet *L’insurrection qui vient*, du Comité Invisible ?
> 
> […]
>
> Aujourd’hui, l’humanité est totalement étatisée, pour reprendre l’expression de Thomas Bernard. Résultat : une bonne partie des forces progressistes est incapable de penser l’« efficacité » politique autrement qu’en des termes étatiques : nombres de sièges au parlement, nouvelles politiques publiques, etc. Quant au capitalisme mondialisé, il s’insinue partout et ne se limite plus à l’exploitation du salariat, à la production de faux besoins et à l’intoxication de la vie intime. Il menace la vie sur terre, avec la complicité des gouvernements qui feignent de s’en émouvoir.
>
> Devant pareille catastrophe, l’espérance n’est plus de mise, mais la désespérance n’est pas nécessairement synonyme d’apathie. D’où l’expression : la rage du désespoir. D’où l’expression, également, de « pessimisme combatif » […]
>  
> <cite>*Les nouveaux anarchistes*, Francis Dupuis-Déri</cite>

Pessimisme combatif. J’ai l’impression d’avoir le choix d’un peu trop de combats ces jours-ci.

*Niveau pessimisme ça devrait aller.*

---

> Although I was intellectually quite well prepared for the birth of my first child, I was stunned by the degree of randomness that this event created in my life. It took me a while to understand that it was pointless to plan my days the way I used to. This did not mean that I didn’t plan or prearrange, but that I needed different schemes to deal with the unplannable.
>
> Women in particular have developed such schemes over the centuries—arrangements that are not a surrender to randomness, but an allotment of time and resources based on situational judgements. … What makes them so different is that holistic strategies are, more often than not, intended to minimize disaster rather than to maximize gain. (80)
>
> A crucial distinction here is the place of context. Attempts to minimize disaster require recognition and a profound understanding of context. Context is not considered as stable and invariant; on the contrary, every response induces a counter-response which changes the situation so that the next steps and decisions are taken within an altered context. Traditional planning, on the other hand, assumes a stable context and predictable responses. (81)
> 
> <cite>*[Production and growth](https://lucascherkewski.com/study/franklin-production-growth/)* ([cache](/david/cache/626adbe261881628b7e3f6b99e9faa2b/))</cite>

Je ne connaissais [Ursula Franklin](https://en.wikipedia.org/wiki/Ursula_Franklin) que de nom et elle a l’avantage d’avoir une page wikipedia bien détaillée. [Merci Lucas !](https://lucascherkewski.com/hit-and-miss/108-models-decisions-action/) ([cache](/david/cache/d0f1b7574e318f33044475fc134acc1b/))

Limiter les dégâts plutôt que de gagner davantage que son prochain. Il y aurait un parallèle à faire autour de l’agilité et de ma génération de développeurs et développeuses qui est devenue parent.

*Coïncidence ?*

---

> Ensuite que le travail de ces réseaux que l'on dit sociaux est avant tout de produire de la norme et de faire en sorte que ladite norme satisfasse au modèle économique de régie publicitaire qui est le leur. Et que tout le reste n'est que littérature. 
>
> Or, à l'échelle d'une société, il existe plein de manières différentes de produire de la norme, de fabriquer des référents légitimes et d'en rendre d'autres illégitimes. La manière dont les réseaux sociaux fonctionnent aujourd'hui dès lors qu'ils ont à traiter de questions liées aux corps et à leur représentation dans l'espace public qu'ils circonscrivent au sein de leurs audiences plus ou moins captives, cette manière repose sur des effets de stigmatisation et de désignation (body shaming) qui hystérisent la visibilité de certains traits. Mais elle repose également de manière bien plus insidieuse, sournoise et, hélas efficace, sur notre besoin d'identification et d'appartenance sociale qui nous rend dociles à des effets d'invisibilisation toujours plus prégnants.
>
> <cite>*[Cheveux longs et algos courts.](https://www.affordance.info/mon_weblog/2019/10/cheveux-longs-et-algos-courts-.html)* ([cache](/david/cache/2e11d24bb65486075d08637d8c753862/))</cite>

Produire de la norme, c’était l’objectif de la religion avant d’être celui de l’État. Seule une homogénéité est contrôlable (aujourd’hui on dit « influençable »).

*Fausses nouvelles, vraies vieilleries.*

---

> The above quote yields a glimpse into my position on the entire matter: *stop focusing on the solution, and start focusing on the problem*. You probably know more about your specific problem than the people behind your “found” solutions do. It’s a reasonable approach to give this knowledge precedence over the unknown data that influenced the design decisions of others.
> 
> <cite>*[Thinking vs Choosing](https://www.the-haystack.com/2019/09/20/thinking-vs-choosing/)* ([cache](/david/cache/656cf1cb60d35d056c844d0364bc715d/))</cite>

Devenir la nouvelle mode sans être radicalement différent. Prendre le risque de perdre l’utilisateur·ice ou de guider une nouvelle tendance. L’arête est escarpée.

*Designer c’est douter.*

---

> Some years ago I contacted them because a flaw had been found in TLS encryption that might be dangerous for them, and to my surprise no one there cared. They had been assuming their Internet traffic was being spied upon anyhow, and it turns they were right.
>
> Later they told me “we all use VPNs” and was impressed how privacy conscious they were. But no they told me, everyone does that, because without a VPN the internet here is too slow, they suspected the spying machinery was generally overloaded. The VPN was for speed. It was not assumed to deliver privacy, on which point they were also proven right (most VPN providers are pretty shady).
>
> I mention these two stories to show that our assumptions on oppressive regimes may be wildly off, and not represent the reality on the ground in China, Russia, Iran, Indonesia and Turkey. It is a lot of fun being an armchair imaginary political activist, but things are remarkably different if you actually live there.
> 
> <cite>*[Centralised DoH is bad for privacy, in 2019 and beyond](https://blog.powerdns.com/2019/09/25/centralised-doh-is-bad-for-privacy-in-2019-and-beyond/)* ([cache](/david/cache/f14ac41ec597f2a6af377eabaf6cc66b/))</cite>

Lorsque la réalité est fantasmée.

---

> L’engagement c’est comme le thé : quand il est trop fort, le veilleur perd sommeil ; et quand il est trop faible, il s’endort.
> 
> <cite>*L’apprenti sage II*, Gilles Vigneault</cite>

J’aimerais parfois pouvoir m’arrêter de veiller. Est-ce qu’il suffit d’arrêter de boire du thé ?

---

> La Nature n’est ni un allié, ni un ennemi… Je me protégerai du vent, de la pluie et de la neige et j’allumerai un feu pour me réchauffer. Je ne laisserai ni la peur, ni la panique conquérir mon esprit car là se trouve le véritable ennemi. — Mors Kochanski
> 
> <cite>*[Survie 101: Initiation au bushcraft et à la survie](https://fr.programmescoyote.com/survie-101/)* ([cache](/david/cache/65bf25ec0293137659c10f1c75ef5171/))</cite>

J’ai participé à un atelier de (sur)vie en forêt. Avec des personnes qui ont une approche qui m’intéresse. Cela m’a permis de prendre conscience des connaissances/expériences accumulées dans le domaine. Peut-être qu’il serait temps que je tente de transmettre cela ? Je ne sais pas encore quelle forme est-ce que cela pourrait prendre. J’ai l’impression qu’il y a un intérêt croissant pour le domaine, un peu comme l’auto-défense fut un temps.

Emblématique des peurs d’une époque donnée.

> If you have some power, then your job is to empower somebody else.
> 
> <cite>*Toni Morrison cité dans « [The Weight of the WWWorld is Up to Us by Patty Toland](https://adactio.com/journal/15740) »* ([cache](/david/cache/c6e4ebb566c5d74a7e0d340a8771165c/))</cite>

---

> In June 2014, Apple announced that development of Aperture has been discontinued. Since then, Apple has released six major macOS upgrades. For technical reasons, macOS Mojave is the last version of macOS to run Aperture. Starting with macOS Catalina, Aperture is no longer compatible with macOS.
> 
> <cite>*[Migrate Aperture libraries to the Photos app or Adobe Lightroom Classic](https://support.apple.com/en-ca/HT209594)* ([cache](/david/cache/91c8217bf968020e5c4b17de70c48ffe/))</cite>

Apple m’indique qu’Aperture ne se lancera même plus à la prochaine version de macOS. Je procrastine depuis cinq ans sur le sujet sans trouver d’alternative valable (et je voulais bien sûr faire un tri avant…). Quand je vois les bugs de iCloud + Photos.app par ailleurs je ne peux considérer cette option comme étant (v|f)iable. J’hésite à tout exporter en jpeg dans un coin en attendant mieux, c’est peut-être le format qui sera le plus longtemps supporté.

Il y a déjà deux autres outils que j’utilise qui mentionnent une migration potentiellement difficile. Plus grande sera la friction, plus motivé je serai à aller voir ailleurs.

*Ravi.*